#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2742
#define LARGE_STATE_COUNT 593
#define SYMBOL_COUNT 430
#define ALIAS_COUNT 1
#define TOKEN_COUNT 195
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 217

enum ts_symbol_identifiers {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  anon_sym_AMP = 7,
  aux_sym_function_static_declaration_token1 = 8,
  anon_sym_COMMA = 9,
  anon_sym_EQ = 10,
  aux_sym_global_declaration_token1 = 11,
  aux_sym_namespace_definition_token1 = 12,
  aux_sym_namespace_use_declaration_token1 = 13,
  aux_sym_namespace_use_clause_token1 = 14,
  aux_sym__namespace_use_type_token1 = 15,
  aux_sym__namespace_use_type_token2 = 16,
  anon_sym_BSLASH = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  aux_sym_trait_declaration_token1 = 20,
  aux_sym_interface_declaration_token1 = 21,
  aux_sym_base_clause_token1 = 22,
  aux_sym_enum_declaration_token1 = 23,
  anon_sym_COLON = 24,
  anon_sym_string = 25,
  anon_sym_int = 26,
  aux_sym_enum_case_token1 = 27,
  aux_sym_class_declaration_token1 = 28,
  aux_sym_final_modifier_token1 = 29,
  aux_sym_abstract_modifier_token1 = 30,
  aux_sym_readonly_modifier_token1 = 31,
  aux_sym_class_interface_clause_token1 = 32,
  anon_sym_EQ_GT = 33,
  sym_var_modifier = 34,
  aux_sym_use_instead_of_clause_token1 = 35,
  aux_sym_visibility_modifier_token1 = 36,
  aux_sym_visibility_modifier_token2 = 37,
  aux_sym_visibility_modifier_token3 = 38,
  anon_sym_LPAREN = 39,
  anon_sym_RPAREN = 40,
  anon_sym_LPAREN2 = 41,
  anon_sym_RPAREN2 = 42,
  aux_sym__arrow_function_header_token1 = 43,
  anon_sym_DOT_DOT_DOT = 44,
  anon_sym_QMARK = 45,
  sym_bottom_type = 46,
  anon_sym_PIPE = 47,
  anon_sym_array = 48,
  aux_sym_primitive_type_token1 = 49,
  anon_sym_iterable = 50,
  anon_sym_bool = 51,
  anon_sym_float = 52,
  anon_sym_void = 53,
  anon_sym_mixed = 54,
  anon_sym_false = 55,
  anon_sym_null = 56,
  anon_sym_true = 57,
  aux_sym_cast_type_token1 = 58,
  aux_sym_cast_type_token2 = 59,
  aux_sym_cast_type_token3 = 60,
  aux_sym_cast_type_token4 = 61,
  aux_sym_cast_type_token5 = 62,
  aux_sym_cast_type_token6 = 63,
  aux_sym_cast_type_token7 = 64,
  aux_sym_cast_type_token8 = 65,
  aux_sym_cast_type_token9 = 66,
  aux_sym_cast_type_token10 = 67,
  aux_sym_cast_type_token11 = 68,
  aux_sym_cast_type_token12 = 69,
  aux_sym_echo_statement_token1 = 70,
  aux_sym_exit_statement_token1 = 71,
  anon_sym_unset = 72,
  aux_sym_declare_statement_token1 = 73,
  aux_sym_declare_statement_token2 = 74,
  anon_sym_ticks = 75,
  anon_sym_encoding = 76,
  anon_sym_strict_types = 77,
  sym_float = 78,
  aux_sym_try_statement_token1 = 79,
  aux_sym_catch_clause_token1 = 80,
  aux_sym_finally_clause_token1 = 81,
  aux_sym_goto_statement_token1 = 82,
  aux_sym_continue_statement_token1 = 83,
  aux_sym_break_statement_token1 = 84,
  sym_integer = 85,
  aux_sym_return_statement_token1 = 86,
  aux_sym_throw_expression_token1 = 87,
  aux_sym_while_statement_token1 = 88,
  aux_sym_while_statement_token2 = 89,
  aux_sym_do_statement_token1 = 90,
  aux_sym_for_statement_token1 = 91,
  aux_sym_for_statement_token2 = 92,
  aux_sym_foreach_statement_token1 = 93,
  aux_sym_foreach_statement_token2 = 94,
  aux_sym_if_statement_token1 = 95,
  aux_sym_if_statement_token2 = 96,
  aux_sym_else_if_clause_token1 = 97,
  aux_sym_else_clause_token1 = 98,
  aux_sym_match_expression_token1 = 99,
  aux_sym_match_default_expression_token1 = 100,
  aux_sym_switch_statement_token1 = 101,
  aux_sym_switch_block_token1 = 102,
  anon_sym_PLUS = 103,
  anon_sym_DASH = 104,
  anon_sym_TILDE = 105,
  anon_sym_BANG = 106,
  anon_sym_AT = 107,
  aux_sym_clone_expression_token1 = 108,
  anon_sym_COLON_COLON = 109,
  aux_sym_print_intrinsic_token1 = 110,
  aux_sym__new_non_dereferencable_expression_token1 = 111,
  anon_sym_DASH_DASH = 112,
  anon_sym_PLUS_PLUS = 113,
  anon_sym_STAR_STAR_EQ = 114,
  anon_sym_STAR_EQ = 115,
  anon_sym_SLASH_EQ = 116,
  anon_sym_PERCENT_EQ = 117,
  anon_sym_PLUS_EQ = 118,
  anon_sym_DASH_EQ = 119,
  anon_sym_DOT_EQ = 120,
  anon_sym_LT_LT_EQ = 121,
  anon_sym_GT_GT_EQ = 122,
  anon_sym_AMP_EQ = 123,
  anon_sym_CARET_EQ = 124,
  anon_sym_PIPE_EQ = 125,
  anon_sym_QMARK_QMARK_EQ = 126,
  anon_sym_DASH_GT = 127,
  anon_sym_QMARK_DASH_GT = 128,
  aux_sym__list_destructing_token1 = 129,
  anon_sym_LBRACK = 130,
  anon_sym_RBRACK = 131,
  anon_sym_self = 132,
  anon_sym_parent = 133,
  aux_sym__argument_name_token1 = 134,
  aux_sym__argument_name_token2 = 135,
  anon_sym_POUND_LBRACK = 136,
  sym_escape_sequence = 137,
  anon_sym_BSLASHu = 138,
  aux_sym_encapsed_string_token1 = 139,
  anon_sym_DQUOTE = 140,
  aux_sym_string_token1 = 141,
  anon_sym_SQUOTE = 142,
  aux_sym_string_token2 = 143,
  aux_sym_string_content_token1 = 144,
  anon_sym_LT_LT_LT = 145,
  anon_sym_DQUOTE2 = 146,
  sym__new_line = 147,
  anon_sym_SQUOTE2 = 148,
  anon_sym_BQUOTE = 149,
  anon_sym_DOLLAR = 150,
  aux_sym_yield_expression_token1 = 151,
  aux_sym_yield_expression_token2 = 152,
  aux_sym_binary_expression_token1 = 153,
  anon_sym_QMARK_QMARK = 154,
  anon_sym_STAR_STAR = 155,
  aux_sym_binary_expression_token2 = 156,
  aux_sym_binary_expression_token3 = 157,
  aux_sym_binary_expression_token4 = 158,
  anon_sym_PIPE_PIPE = 159,
  anon_sym_AMP_AMP = 160,
  anon_sym_CARET = 161,
  anon_sym_EQ_EQ = 162,
  anon_sym_BANG_EQ = 163,
  anon_sym_LT_GT = 164,
  anon_sym_EQ_EQ_EQ = 165,
  anon_sym_BANG_EQ_EQ = 166,
  anon_sym_LT = 167,
  anon_sym_GT = 168,
  anon_sym_LT_EQ = 169,
  anon_sym_GT_EQ = 170,
  anon_sym_LT_EQ_GT = 171,
  anon_sym_LT_LT = 172,
  anon_sym_GT_GT = 173,
  anon_sym_DOT = 174,
  anon_sym_STAR = 175,
  anon_sym_SLASH = 176,
  anon_sym_PERCENT = 177,
  aux_sym_include_expression_token1 = 178,
  aux_sym_include_once_expression_token1 = 179,
  aux_sym_require_expression_token1 = 180,
  aux_sym_require_once_expression_token1 = 181,
  sym_comment = 182,
  sym__automatic_semicolon = 183,
  sym_encapsed_string_chars = 184,
  sym_encapsed_string_chars_after_variable = 185,
  sym_execution_string_chars = 186,
  sym_execution_string_chars_after_variable = 187,
  sym_encapsed_string_chars_heredoc = 188,
  sym_encapsed_string_chars_after_variable_heredoc = 189,
  sym__eof = 190,
  sym_heredoc_start = 191,
  sym_heredoc_end = 192,
  sym_nowdoc_string = 193,
  sym_sentinel_error = 194,
  sym_program = 195,
  sym_text_interpolation = 196,
  sym_text = 197,
  sym_statement = 198,
  sym_empty_statement = 199,
  sym_reference_modifier = 200,
  sym_function_static_declaration = 201,
  sym_static_variable_declaration = 202,
  sym_global_declaration = 203,
  sym_namespace_definition = 204,
  sym_namespace_use_declaration = 205,
  sym_namespace_use_clause = 206,
  sym_qualified_name = 207,
  sym__name = 208,
  sym_namespace_name = 209,
  sym__namespace_use_group = 210,
  sym_namespace_use_group = 211,
  sym_trait_declaration = 212,
  sym_interface_declaration = 213,
  sym_base_clause = 214,
  sym_enum_declaration = 215,
  sym_enum_declaration_list = 216,
  sym__enum_member_declaration = 217,
  sym_enum_case = 218,
  sym_class_declaration = 219,
  sym_declaration_list = 220,
  sym_final_modifier = 221,
  sym_abstract_modifier = 222,
  sym_readonly_modifier = 223,
  sym_class_interface_clause = 224,
  sym__member_declaration = 225,
  sym_const_declaration = 226,
  sym__class_const_declaration = 227,
  sym__const_declaration = 228,
  sym_property_declaration = 229,
  sym__modifier = 230,
  sym_property_element = 231,
  sym_property_hook_list = 232,
  sym_property_hook = 233,
  sym__property_hook_body = 234,
  sym_method_declaration = 235,
  sym_static_modifier = 236,
  sym_use_declaration = 237,
  sym_use_list = 238,
  sym_use_instead_of_clause = 239,
  sym_use_as_clause = 240,
  sym_visibility_modifier = 241,
  sym_function_definition = 242,
  sym__function_definition_header = 243,
  sym_anonymous_function = 244,
  sym_anonymous_function_use_clause = 245,
  sym__anonymous_function_header = 246,
  sym__arrow_function_header = 247,
  sym_arrow_function = 248,
  sym_formal_parameters = 249,
  sym_property_promotion_parameter = 250,
  sym_simple_parameter = 251,
  sym_variadic_parameter = 252,
  sym_type = 253,
  sym__types = 254,
  sym_named_type = 255,
  sym_optional_type = 256,
  sym_union_type = 257,
  sym_intersection_type = 258,
  sym_disjunctive_normal_form_type = 259,
  sym_primitive_type = 260,
  sym_cast_type = 261,
  sym__return_type = 262,
  sym_const_element = 263,
  sym_echo_statement = 264,
  sym_exit_statement = 265,
  sym_unset_statement = 266,
  sym_declare_statement = 267,
  sym_declare_directive = 268,
  sym_literal = 269,
  sym_try_statement = 270,
  sym_catch_clause = 271,
  sym_type_list = 272,
  sym_finally_clause = 273,
  sym_goto_statement = 274,
  sym_continue_statement = 275,
  sym_break_statement = 276,
  sym_return_statement = 277,
  sym_throw_expression = 278,
  sym_while_statement = 279,
  sym_do_statement = 280,
  sym_for_statement = 281,
  sym__expressions = 282,
  sym_sequence_expression = 283,
  sym_foreach_statement = 284,
  sym_foreach_pair = 285,
  sym__foreach_value = 286,
  sym_if_statement = 287,
  sym_colon_block = 288,
  sym_else_if_clause = 289,
  sym_else_clause = 290,
  sym_else_if_clause_2 = 291,
  sym_else_clause_2 = 292,
  sym_match_expression = 293,
  sym_match_block = 294,
  sym_match_condition_list = 295,
  sym_match_conditional_expression = 296,
  sym_match_default_expression = 297,
  sym_switch_statement = 298,
  sym_switch_block = 299,
  sym_case_statement = 300,
  sym_default_statement = 301,
  sym_compound_statement = 302,
  sym_named_label_statement = 303,
  sym_expression_statement = 304,
  sym_expression = 305,
  sym__unary_expression = 306,
  sym_unary_op_expression = 307,
  sym_error_suppression_expression = 308,
  sym_clone_expression = 309,
  sym_primary_expression = 310,
  sym_parenthesized_expression = 311,
  sym_class_constant_access_expression = 312,
  sym_print_intrinsic = 313,
  sym_object_creation_expression = 314,
  sym__new_non_dereferencable_expression = 315,
  sym__new_dereferencable_expression = 316,
  sym__class_name_reference = 317,
  sym_anonymous_class = 318,
  sym_update_expression = 319,
  sym_cast_expression = 320,
  sym_cast_variable = 321,
  sym_assignment_expression = 322,
  sym_reference_assignment_expression = 323,
  sym_conditional_expression = 324,
  sym_augmented_assignment_expression = 325,
  sym__variable_member_access_expression = 326,
  sym_member_access_expression = 327,
  sym__variable_nullsafe_member_access_expression = 328,
  sym_nullsafe_member_access_expression = 329,
  sym__variable_scoped_property_access_expression = 330,
  sym_scoped_property_access_expression = 331,
  sym_list_literal = 332,
  sym__list_destructing = 333,
  sym__array_destructing = 334,
  sym__array_destructing_element = 335,
  sym_function_call_expression = 336,
  sym__callable_expression = 337,
  sym_scoped_call_expression = 338,
  sym__scope_resolution_qualifier = 339,
  sym_relative_scope = 340,
  sym_variadic_placeholder = 341,
  sym_arguments = 342,
  sym_argument = 343,
  sym__argument_name = 344,
  sym_member_call_expression = 345,
  sym_nullsafe_member_call_expression = 346,
  sym_variadic_unpacking = 347,
  sym__member_name = 348,
  sym__variable_subscript_expression = 349,
  sym__dereferencable_subscript_expression = 350,
  sym__dereferencable_expression = 351,
  sym__dereferencable_scalar = 352,
  sym_array_creation_expression = 353,
  sym_attribute_group = 354,
  sym_attribute_list = 355,
  sym_attribute = 356,
  sym__complex_string_part = 357,
  sym__simple_string_member_access_expression = 358,
  sym__simple_string_subscript_unary_expression = 359,
  sym__simple_string_array_access_argument = 360,
  sym__simple_string_subscript_expression = 361,
  sym__simple_string_part = 362,
  aux_sym__interpolated_string_body = 363,
  aux_sym__interpolated_string_body_heredoc = 364,
  sym_encapsed_string = 365,
  sym_string = 366,
  sym_string_content = 367,
  sym_heredoc_body = 368,
  sym_heredoc = 369,
  sym_nowdoc_body = 370,
  sym_nowdoc = 371,
  aux_sym__interpolated_execution_operator_body = 372,
  sym_shell_command_expression = 373,
  sym_boolean = 374,
  sym_null = 375,
  sym__string = 376,
  sym_dynamic_variable_name = 377,
  sym__simple_variable = 378,
  sym__new_variable = 379,
  sym__callable_variable = 380,
  sym_variable_name = 381,
  sym_by_ref = 382,
  sym_yield_expression = 383,
  sym_array_element_initializer = 384,
  sym_binary_expression = 385,
  sym_include_expression = 386,
  sym_include_once_expression = 387,
  sym_require_expression = 388,
  sym_require_once_expression = 389,
  sym__reserved_identifier = 390,
  sym__identifier = 391,
  sym__semicolon = 392,
  aux_sym_program_repeat1 = 393,
  aux_sym_text_repeat1 = 394,
  aux_sym_function_static_declaration_repeat1 = 395,
  aux_sym_global_declaration_repeat1 = 396,
  aux_sym_namespace_use_declaration_repeat1 = 397,
  aux_sym_namespace_name_repeat1 = 398,
  aux_sym_base_clause_repeat1 = 399,
  aux_sym_enum_declaration_list_repeat1 = 400,
  aux_sym_class_declaration_repeat1 = 401,
  aux_sym_declaration_list_repeat1 = 402,
  aux_sym__const_declaration_repeat1 = 403,
  aux_sym_property_declaration_repeat1 = 404,
  aux_sym_property_hook_list_repeat1 = 405,
  aux_sym_use_list_repeat1 = 406,
  aux_sym_anonymous_function_use_clause_repeat1 = 407,
  aux_sym_formal_parameters_repeat1 = 408,
  aux_sym_union_type_repeat1 = 409,
  aux_sym_intersection_type_repeat1 = 410,
  aux_sym_disjunctive_normal_form_type_repeat1 = 411,
  aux_sym_unset_statement_repeat1 = 412,
  aux_sym_try_statement_repeat1 = 413,
  aux_sym_type_list_repeat1 = 414,
  aux_sym_if_statement_repeat1 = 415,
  aux_sym_if_statement_repeat2 = 416,
  aux_sym_match_block_repeat1 = 417,
  aux_sym_match_condition_list_repeat1 = 418,
  aux_sym_switch_block_repeat1 = 419,
  aux_sym__list_destructing_repeat1 = 420,
  aux_sym__array_destructing_repeat1 = 421,
  aux_sym_arguments_repeat1 = 422,
  aux_sym_array_creation_expression_repeat1 = 423,
  aux_sym_attribute_group_repeat1 = 424,
  aux_sym_attribute_list_repeat1 = 425,
  aux_sym_string_repeat1 = 426,
  aux_sym_string_content_repeat1 = 427,
  aux_sym_heredoc_body_repeat1 = 428,
  aux_sym_nowdoc_body_repeat1 = 429,
  alias_sym_operation = 430,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [anon_sym_AMP] = "&",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_clause_token1] = "as",
  [aux_sym__namespace_use_type_token1] = "function",
  [aux_sym__namespace_use_type_token2] = "const",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_enum_declaration_token1] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_string] = "string",
  [anon_sym_int] = "int",
  [aux_sym_enum_case_token1] = "case",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_final_modifier_token1] = "final",
  [aux_sym_abstract_modifier_token1] = "abstract",
  [aux_sym_readonly_modifier_token1] = "readonly",
  [aux_sym_class_interface_clause_token1] = "implements",
  [anon_sym_EQ_GT] = "=>",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_RPAREN2] = ")",
  [aux_sym__arrow_function_header_token1] = "fn",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [sym_bottom_type] = "bottom_type",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [aux_sym_primitive_type_token1] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_void] = "void",
  [anon_sym_mixed] = "mixed",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_true] = "true",
  [aux_sym_cast_type_token1] = "cast_type_token1",
  [aux_sym_cast_type_token2] = "cast_type_token2",
  [aux_sym_cast_type_token3] = "cast_type_token3",
  [aux_sym_cast_type_token4] = "cast_type_token4",
  [aux_sym_cast_type_token5] = "cast_type_token5",
  [aux_sym_cast_type_token6] = "cast_type_token6",
  [aux_sym_cast_type_token7] = "cast_type_token7",
  [aux_sym_cast_type_token8] = "cast_type_token8",
  [aux_sym_cast_type_token9] = "cast_type_token9",
  [aux_sym_cast_type_token10] = "cast_type_token10",
  [aux_sym_cast_type_token11] = "cast_type_token11",
  [aux_sym_cast_type_token12] = "cast_type_token12",
  [aux_sym_echo_statement_token1] = "echo",
  [aux_sym_exit_statement_token1] = "exit",
  [anon_sym_unset] = "unset",
  [aux_sym_declare_statement_token1] = "declare",
  [aux_sym_declare_statement_token2] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_match_expression_token1] = "match",
  [aux_sym_match_default_expression_token1] = "default",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AT] = "@",
  [aux_sym_clone_expression_token1] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [aux_sym_print_intrinsic_token1] = "print",
  [aux_sym__new_non_dereferencable_expression_token1] = "new",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_QMARK_DASH_GT] = "\?->",
  [aux_sym__list_destructing_token1] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [aux_sym__argument_name_token1] = "_argument_name_token1",
  [aux_sym__argument_name_token2] = "_argument_name_token2",
  [anon_sym_POUND_LBRACK] = "#[",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASHu] = "string_content",
  [aux_sym_encapsed_string_token1] = "encapsed_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "escape_sequence",
  [aux_sym_string_content_token1] = "string_content_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_DQUOTE2] = "\"",
  [sym__new_line] = "_new_line",
  [anon_sym_SQUOTE2] = "'",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_yield_expression_token1] = "yield",
  [aux_sym_yield_expression_token2] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_STAR_STAR] = "**",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_encapsed_string_chars] = "string_content",
  [sym_encapsed_string_chars_after_variable] = "string_content",
  [sym_execution_string_chars] = "string_content",
  [sym_execution_string_chars_after_variable] = "string_content",
  [sym_encapsed_string_chars_heredoc] = "string_content",
  [sym_encapsed_string_chars_after_variable_heredoc] = "string_content",
  [sym__eof] = "_eof",
  [sym_heredoc_start] = "heredoc_start",
  [sym_heredoc_end] = "heredoc_end",
  [sym_nowdoc_string] = "nowdoc_string",
  [sym_sentinel_error] = "sentinel_error",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_statement] = "statement",
  [sym_empty_statement] = "empty_statement",
  [sym_reference_modifier] = "reference_modifier",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym__name] = "_name",
  [sym_namespace_name] = "namespace_name",
  [sym__namespace_use_group] = "_namespace_use_group",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_declaration_list] = "enum_declaration_list",
  [sym__enum_member_declaration] = "_enum_member_declaration",
  [sym_enum_case] = "enum_case",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_final_modifier] = "final_modifier",
  [sym_abstract_modifier] = "abstract_modifier",
  [sym_readonly_modifier] = "readonly_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym__class_const_declaration] = "const_declaration",
  [sym__const_declaration] = "_const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_hook_list] = "property_hook_list",
  [sym_property_hook] = "property_hook",
  [sym__property_hook_body] = "_property_hook_body",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_anonymous_function] = "anonymous_function",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym__anonymous_function_header] = "_anonymous_function_header",
  [sym__arrow_function_header] = "_arrow_function_header",
  [sym_arrow_function] = "arrow_function",
  [sym_formal_parameters] = "formal_parameters",
  [sym_property_promotion_parameter] = "property_promotion_parameter",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_type] = "type",
  [sym__types] = "_types",
  [sym_named_type] = "named_type",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_disjunctive_normal_form_type] = "disjunctive_normal_form_type",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_exit_statement] = "exit_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_literal] = "literal",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym__foreach_value] = "_foreach_value",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_condition_list] = "match_condition_list",
  [sym_match_conditional_expression] = "match_conditional_expression",
  [sym_match_default_expression] = "match_default_expression",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_error_suppression_expression] = "error_suppression_expression",
  [sym_clone_expression] = "clone_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__new_non_dereferencable_expression] = "_new_non_dereferencable_expression",
  [sym__new_dereferencable_expression] = "_new_dereferencable_expression",
  [sym__class_name_reference] = "_class_name_reference",
  [sym_anonymous_class] = "anonymous_class",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_reference_assignment_expression] = "reference_assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__variable_member_access_expression] = "member_access_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym__variable_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym_nullsafe_member_access_expression] = "nullsafe_member_access_expression",
  [sym__variable_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym__array_destructing_element] = "_array_destructing_element",
  [sym_function_call_expression] = "function_call_expression",
  [sym__callable_expression] = "_callable_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_variadic_placeholder] = "variadic_placeholder",
  [sym_arguments] = "arguments",
  [sym_argument] = "argument",
  [sym__argument_name] = "_argument_name",
  [sym_member_call_expression] = "member_call_expression",
  [sym_nullsafe_member_call_expression] = "nullsafe_member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym__member_name] = "_member_name",
  [sym__variable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym__dereferencable_scalar] = "_dereferencable_scalar",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_attribute_group] = "attribute_group",
  [sym_attribute_list] = "attribute_list",
  [sym_attribute] = "attribute",
  [sym__complex_string_part] = "_complex_string_part",
  [sym__simple_string_member_access_expression] = "member_access_expression",
  [sym__simple_string_subscript_unary_expression] = "unary_op_expression",
  [sym__simple_string_array_access_argument] = "_simple_string_array_access_argument",
  [sym__simple_string_subscript_expression] = "subscript_expression",
  [sym__simple_string_part] = "_simple_string_part",
  [aux_sym__interpolated_string_body] = "_interpolated_string_body",
  [aux_sym__interpolated_string_body_heredoc] = "_interpolated_string_body_heredoc",
  [sym_encapsed_string] = "encapsed_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_heredoc_body] = "heredoc_body",
  [sym_heredoc] = "heredoc",
  [sym_nowdoc_body] = "nowdoc_body",
  [sym_nowdoc] = "nowdoc",
  [aux_sym__interpolated_execution_operator_body] = "_interpolated_execution_operator_body",
  [sym_shell_command_expression] = "shell_command_expression",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym__simple_variable] = "_simple_variable",
  [sym__new_variable] = "_new_variable",
  [sym__callable_variable] = "_callable_variable",
  [sym_variable_name] = "variable_name",
  [sym_by_ref] = "by_ref",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [sym__identifier] = "_identifier",
  [sym__semicolon] = "_semicolon",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_enum_declaration_list_repeat1] = "enum_declaration_list_repeat1",
  [aux_sym_class_declaration_repeat1] = "class_declaration_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym__const_declaration_repeat1] = "_const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_hook_list_repeat1] = "property_hook_list_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_intersection_type_repeat1] = "intersection_type_repeat1",
  [aux_sym_disjunctive_normal_form_type_repeat1] = "disjunctive_normal_form_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_condition_list_repeat1] = "match_condition_list_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_attribute_group_repeat1] = "attribute_group_repeat1",
  [aux_sym_attribute_list_repeat1] = "attribute_list_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym_nowdoc_body_repeat1] = "nowdoc_body_repeat1",
  [alias_sym_operation] = "operation",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_AMP] = anon_sym_AMP,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_clause_token1] = aux_sym_namespace_use_clause_token1,
  [aux_sym__namespace_use_type_token1] = aux_sym__namespace_use_type_token1,
  [aux_sym__namespace_use_type_token2] = aux_sym__namespace_use_type_token2,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_enum_declaration_token1] = aux_sym_enum_declaration_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_int] = anon_sym_int,
  [aux_sym_enum_case_token1] = aux_sym_enum_case_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_final_modifier_token1] = aux_sym_final_modifier_token1,
  [aux_sym_abstract_modifier_token1] = aux_sym_abstract_modifier_token1,
  [aux_sym_readonly_modifier_token1] = aux_sym_readonly_modifier_token1,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_RPAREN2] = anon_sym_RPAREN,
  [aux_sym__arrow_function_header_token1] = aux_sym__arrow_function_header_token1,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [sym_bottom_type] = sym_bottom_type,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [aux_sym_primitive_type_token1] = aux_sym_primitive_type_token1,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_mixed] = anon_sym_mixed,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_true] = anon_sym_true,
  [aux_sym_cast_type_token1] = aux_sym_cast_type_token1,
  [aux_sym_cast_type_token2] = aux_sym_cast_type_token2,
  [aux_sym_cast_type_token3] = aux_sym_cast_type_token3,
  [aux_sym_cast_type_token4] = aux_sym_cast_type_token4,
  [aux_sym_cast_type_token5] = aux_sym_cast_type_token5,
  [aux_sym_cast_type_token6] = aux_sym_cast_type_token6,
  [aux_sym_cast_type_token7] = aux_sym_cast_type_token7,
  [aux_sym_cast_type_token8] = aux_sym_cast_type_token8,
  [aux_sym_cast_type_token9] = aux_sym_cast_type_token9,
  [aux_sym_cast_type_token10] = aux_sym_cast_type_token10,
  [aux_sym_cast_type_token11] = aux_sym_cast_type_token11,
  [aux_sym_cast_type_token12] = aux_sym_cast_type_token12,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [aux_sym_exit_statement_token1] = aux_sym_exit_statement_token1,
  [anon_sym_unset] = anon_sym_unset,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [aux_sym_declare_statement_token2] = aux_sym_declare_statement_token2,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_match_expression_token1] = aux_sym_match_expression_token1,
  [aux_sym_match_default_expression_token1] = aux_sym_match_default_expression_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [aux_sym_clone_expression_token1] = aux_sym_clone_expression_token1,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [aux_sym_print_intrinsic_token1] = aux_sym_print_intrinsic_token1,
  [aux_sym__new_non_dereferencable_expression_token1] = aux_sym__new_non_dereferencable_expression_token1,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_QMARK_DASH_GT] = anon_sym_QMARK_DASH_GT,
  [aux_sym__list_destructing_token1] = aux_sym__list_destructing_token1,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [aux_sym__argument_name_token1] = aux_sym__argument_name_token1,
  [aux_sym__argument_name_token2] = aux_sym__argument_name_token2,
  [anon_sym_POUND_LBRACK] = anon_sym_POUND_LBRACK,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASHu] = sym_string_content,
  [aux_sym_encapsed_string_token1] = aux_sym_encapsed_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = sym_escape_sequence,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_DQUOTE2] = anon_sym_DQUOTE,
  [sym__new_line] = sym__new_line,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_yield_expression_token1] = aux_sym_yield_expression_token1,
  [aux_sym_yield_expression_token2] = aux_sym_yield_expression_token2,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_encapsed_string_chars] = sym_string_content,
  [sym_encapsed_string_chars_after_variable] = sym_string_content,
  [sym_execution_string_chars] = sym_string_content,
  [sym_execution_string_chars_after_variable] = sym_string_content,
  [sym_encapsed_string_chars_heredoc] = sym_string_content,
  [sym_encapsed_string_chars_after_variable_heredoc] = sym_string_content,
  [sym__eof] = sym__eof,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_nowdoc_string] = sym_nowdoc_string,
  [sym_sentinel_error] = sym_sentinel_error,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_statement] = sym_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_reference_modifier] = sym_reference_modifier,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym__name] = sym__name,
  [sym_namespace_name] = sym_namespace_name,
  [sym__namespace_use_group] = sym__namespace_use_group,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_declaration_list] = sym_enum_declaration_list,
  [sym__enum_member_declaration] = sym__enum_member_declaration,
  [sym_enum_case] = sym_enum_case,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_final_modifier] = sym_final_modifier,
  [sym_abstract_modifier] = sym_abstract_modifier,
  [sym_readonly_modifier] = sym_readonly_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym__class_const_declaration] = sym_const_declaration,
  [sym__const_declaration] = sym__const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_hook_list] = sym_property_hook_list,
  [sym_property_hook] = sym_property_hook,
  [sym__property_hook_body] = sym__property_hook_body,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_anonymous_function] = sym_anonymous_function,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym__anonymous_function_header] = sym__anonymous_function_header,
  [sym__arrow_function_header] = sym__arrow_function_header,
  [sym_arrow_function] = sym_arrow_function,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_property_promotion_parameter] = sym_property_promotion_parameter,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_type] = sym_type,
  [sym__types] = sym__types,
  [sym_named_type] = sym_named_type,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_disjunctive_normal_form_type] = sym_disjunctive_normal_form_type,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_exit_statement] = sym_exit_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_literal] = sym_literal,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym__foreach_value] = sym__foreach_value,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_condition_list] = sym_match_condition_list,
  [sym_match_conditional_expression] = sym_match_conditional_expression,
  [sym_match_default_expression] = sym_match_default_expression,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_error_suppression_expression] = sym_error_suppression_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__new_non_dereferencable_expression] = sym__new_non_dereferencable_expression,
  [sym__new_dereferencable_expression] = sym__new_dereferencable_expression,
  [sym__class_name_reference] = sym__class_name_reference,
  [sym_anonymous_class] = sym_anonymous_class,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_reference_assignment_expression] = sym_reference_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__variable_member_access_expression] = sym_member_access_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym__variable_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym_nullsafe_member_access_expression] = sym_nullsafe_member_access_expression,
  [sym__variable_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym__array_destructing_element] = sym__array_destructing_element,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__callable_expression] = sym__callable_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_variadic_placeholder] = sym_variadic_placeholder,
  [sym_arguments] = sym_arguments,
  [sym_argument] = sym_argument,
  [sym__argument_name] = sym__argument_name,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_nullsafe_member_call_expression] = sym_nullsafe_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym__member_name] = sym__member_name,
  [sym__variable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_subscript_expression] = sym__variable_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym__dereferencable_scalar] = sym__dereferencable_scalar,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_attribute_group] = sym_attribute_group,
  [sym_attribute_list] = sym_attribute_list,
  [sym_attribute] = sym_attribute,
  [sym__complex_string_part] = sym__complex_string_part,
  [sym__simple_string_member_access_expression] = sym_member_access_expression,
  [sym__simple_string_subscript_unary_expression] = sym_unary_op_expression,
  [sym__simple_string_array_access_argument] = sym__simple_string_array_access_argument,
  [sym__simple_string_subscript_expression] = sym__variable_subscript_expression,
  [sym__simple_string_part] = sym__simple_string_part,
  [aux_sym__interpolated_string_body] = aux_sym__interpolated_string_body,
  [aux_sym__interpolated_string_body_heredoc] = aux_sym__interpolated_string_body_heredoc,
  [sym_encapsed_string] = sym_encapsed_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym_heredoc] = sym_heredoc,
  [sym_nowdoc_body] = sym_nowdoc_body,
  [sym_nowdoc] = sym_nowdoc,
  [aux_sym__interpolated_execution_operator_body] = aux_sym__interpolated_execution_operator_body,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym__simple_variable] = sym__simple_variable,
  [sym__new_variable] = sym__new_variable,
  [sym__callable_variable] = sym__callable_variable,
  [sym_variable_name] = sym_variable_name,
  [sym_by_ref] = sym_by_ref,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [sym__identifier] = sym__identifier,
  [sym__semicolon] = sym__semicolon,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_enum_declaration_list_repeat1] = aux_sym_enum_declaration_list_repeat1,
  [aux_sym_class_declaration_repeat1] = aux_sym_class_declaration_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym__const_declaration_repeat1] = aux_sym__const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_hook_list_repeat1] = aux_sym_property_hook_list_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_intersection_type_repeat1] = aux_sym_intersection_type_repeat1,
  [aux_sym_disjunctive_normal_form_type_repeat1] = aux_sym_disjunctive_normal_form_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_condition_list_repeat1] = aux_sym_match_condition_list_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_attribute_group_repeat1] = aux_sym_attribute_group_repeat1,
  [aux_sym_attribute_list_repeat1] = aux_sym_attribute_list_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym_nowdoc_body_repeat1] = aux_sym_nowdoc_body_repeat1,
  [alias_sym_operation] = alias_sym_operation,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__namespace_use_type_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_enum_case_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_final_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_abstract_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_readonly_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__arrow_function_header_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [sym_bottom_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_primitive_type_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mixed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_cast_type_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token5] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token6] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token7] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token8] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token9] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token10] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token11] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_type_token12] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_exit_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_match_default_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_clone_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_print_intrinsic_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__new_non_dereferencable_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__list_destructing_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__argument_name_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__argument_name_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASHu] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_encapsed_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [sym__new_line] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_yield_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_encapsed_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars] = {
    .visible = true,
    .named = true,
  },
  [sym_execution_string_chars_after_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_encapsed_string_chars_after_variable_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_string] = {
    .visible = true,
    .named = true,
  },
  [sym_sentinel_error] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym__name] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_use_group] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_enum_case] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_final_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__class_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__const_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook_list] = {
    .visible = true,
    .named = true,
  },
  [sym_property_hook] = {
    .visible = true,
    .named = true,
  },
  [sym__property_hook_body] = {
    .visible = false,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_function] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__anonymous_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_function_header] = {
    .visible = false,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_property_promotion_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunctive_normal_form_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exit_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__foreach_value] = {
    .visible = false,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_condition_list] = {
    .visible = true,
    .named = true,
  },
  [sym_match_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_default_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_error_suppression_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__new_non_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__new_dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__class_name_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_anonymous_class] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing_element] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__callable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_placeholder] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__argument_name] = {
    .visible = false,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_nullsafe_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym__member_name] = {
    .visible = false,
    .named = true,
  },
  [sym__variable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__dereferencable_scalar] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_group] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_list] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__complex_string_part] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_subscript_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_array_access_argument] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_string_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_string_part] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_body] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_string_body_heredoc] = {
    .visible = false,
    .named = false,
  },
  [sym_encapsed_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym_nowdoc] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_execution_operator_body] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__new_variable] = {
    .visible = false,
    .named = true,
  },
  [sym__callable_variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_by_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_hook_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_intersection_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunctive_normal_form_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_condition_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_nowdoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_operation] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attributes = 5,
  field_body = 6,
  field_condition = 7,
  field_conditional_expressions = 8,
  field_default_value = 9,
  field_end_tag = 10,
  field_final = 11,
  field_function = 12,
  field_identifier = 13,
  field_initialize = 14,
  field_left = 15,
  field_name = 16,
  field_object = 17,
  field_operator = 18,
  field_parameters = 19,
  field_prefix = 20,
  field_readonly = 21,
  field_reference_modifier = 22,
  field_return_expression = 23,
  field_return_type = 24,
  field_right = 25,
  field_scope = 26,
  field_static_modifier = 27,
  field_type = 28,
  field_update = 29,
  field_value = 30,
  field_visibility = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attributes] = "attributes",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_conditional_expressions] = "conditional_expressions",
  [field_default_value] = "default_value",
  [field_end_tag] = "end_tag",
  [field_final] = "final",
  [field_function] = "function",
  [field_identifier] = "identifier",
  [field_initialize] = "initialize",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_prefix] = "prefix",
  [field_readonly] = "readonly",
  [field_reference_modifier] = "reference_modifier",
  [field_return_expression] = "return_expression",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_static_modifier] = "static_modifier",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
  [field_visibility] = "visibility",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 1},
  [7] = {.index = 7, .length = 1},
  [8] = {.index = 8, .length = 1},
  [9] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 4},
  [13] = {.index = 17, .length = 6},
  [14] = {.index = 23, .length = 2},
  [15] = {.index = 25, .length = 2},
  [16] = {.index = 27, .length = 1},
  [17] = {.index = 28, .length = 1},
  [18] = {.index = 29, .length = 2},
  [19] = {.index = 31, .length = 2},
  [20] = {.index = 33, .length = 2},
  [21] = {.index = 35, .length = 2},
  [23] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 2},
  [26] = {.index = 43, .length = 2},
  [27] = {.index = 45, .length = 2},
  [28] = {.index = 47, .length = 6},
  [29] = {.index = 53, .length = 3},
  [30] = {.index = 56, .length = 2},
  [31] = {.index = 58, .length = 2},
  [32] = {.index = 60, .length = 2},
  [33] = {.index = 62, .length = 5},
  [34] = {.index = 67, .length = 2},
  [35] = {.index = 69, .length = 1},
  [36] = {.index = 70, .length = 1},
  [37] = {.index = 71, .length = 2},
  [38] = {.index = 73, .length = 2},
  [39] = {.index = 75, .length = 2},
  [40] = {.index = 77, .length = 2},
  [41] = {.index = 79, .length = 3},
  [42] = {.index = 82, .length = 2},
  [43] = {.index = 84, .length = 1},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 2},
  [48] = {.index = 93, .length = 2},
  [50] = {.index = 95, .length = 2},
  [51] = {.index = 97, .length = 1},
  [52] = {.index = 98, .length = 3},
  [53] = {.index = 101, .length = 3},
  [54] = {.index = 104, .length = 2},
  [57] = {.index = 106, .length = 2},
  [58] = {.index = 108, .length = 2},
  [59] = {.index = 110, .length = 3},
  [60] = {.index = 113, .length = 2},
  [61] = {.index = 5, .length = 1},
  [62] = {.index = 115, .length = 1},
  [63] = {.index = 116, .length = 1},
  [64] = {.index = 117, .length = 3},
  [65] = {.index = 120, .length = 3},
  [66] = {.index = 123, .length = 2},
  [67] = {.index = 125, .length = 2},
  [68] = {.index = 127, .length = 3},
  [69] = {.index = 130, .length = 3},
  [70] = {.index = 133, .length = 3},
  [71] = {.index = 136, .length = 3},
  [72] = {.index = 139, .length = 3},
  [73] = {.index = 142, .length = 3},
  [74] = {.index = 145, .length = 2},
  [75] = {.index = 147, .length = 2},
  [76] = {.index = 149, .length = 2},
  [77] = {.index = 151, .length = 2},
  [78] = {.index = 153, .length = 3},
  [79] = {.index = 156, .length = 3},
  [80] = {.index = 159, .length = 2},
  [81] = {.index = 161, .length = 3},
  [82] = {.index = 164, .length = 2},
  [83] = {.index = 166, .length = 3},
  [84] = {.index = 169, .length = 3},
  [85] = {.index = 172, .length = 3},
  [86] = {.index = 175, .length = 2},
  [87] = {.index = 177, .length = 3},
  [88] = {.index = 180, .length = 3},
  [89] = {.index = 183, .length = 1},
  [90] = {.index = 184, .length = 3},
  [91] = {.index = 187, .length = 2},
  [92] = {.index = 189, .length = 2},
  [93] = {.index = 189, .length = 2},
  [94] = {.index = 191, .length = 2},
  [95] = {.index = 193, .length = 4},
  [96] = {.index = 197, .length = 2},
  [97] = {.index = 199, .length = 1},
  [98] = {.index = 200, .length = 2},
  [99] = {.index = 202, .length = 3},
  [100] = {.index = 205, .length = 3},
  [101] = {.index = 208, .length = 2},
  [102] = {.index = 210, .length = 3},
  [103] = {.index = 213, .length = 2},
  [104] = {.index = 215, .length = 4},
  [105] = {.index = 219, .length = 3},
  [106] = {.index = 222, .length = 3},
  [108] = {.index = 225, .length = 4},
  [109] = {.index = 229, .length = 3},
  [110] = {.index = 232, .length = 3},
  [111] = {.index = 235, .length = 4},
  [112] = {.index = 239, .length = 4},
  [113] = {.index = 243, .length = 3},
  [114] = {.index = 246, .length = 1},
  [115] = {.index = 247, .length = 2},
  [116] = {.index = 249, .length = 3},
  [117] = {.index = 252, .length = 4},
  [118] = {.index = 256, .length = 3},
  [119] = {.index = 259, .length = 3},
  [120] = {.index = 262, .length = 3},
  [121] = {.index = 265, .length = 3},
  [122] = {.index = 268, .length = 4},
  [123] = {.index = 272, .length = 4},
  [124] = {.index = 276, .length = 3},
  [125] = {.index = 279, .length = 4},
  [126] = {.index = 283, .length = 3},
  [127] = {.index = 286, .length = 2},
  [128] = {.index = 288, .length = 4},
  [129] = {.index = 292, .length = 4},
  [130] = {.index = 296, .length = 3},
  [131] = {.index = 299, .length = 2},
  [132] = {.index = 301, .length = 1},
  [133] = {.index = 302, .length = 1},
  [134] = {.index = 303, .length = 2},
  [135] = {.index = 305, .length = 1},
  [136] = {.index = 306, .length = 1},
  [137] = {.index = 307, .length = 2},
  [140] = {.index = 309, .length = 3},
  [141] = {.index = 312, .length = 3},
  [142] = {.index = 315, .length = 3},
  [143] = {.index = 318, .length = 4},
  [144] = {.index = 322, .length = 4},
  [145] = {.index = 326, .length = 3},
  [146] = {.index = 326, .length = 3},
  [147] = {.index = 329, .length = 5},
  [148] = {.index = 334, .length = 4},
  [149] = {.index = 338, .length = 3},
  [150] = {.index = 341, .length = 2},
  [151] = {.index = 343, .length = 4},
  [152] = {.index = 347, .length = 4},
  [153] = {.index = 351, .length = 1},
  [154] = {.index = 352, .length = 1},
  [155] = {.index = 353, .length = 4},
  [156] = {.index = 357, .length = 4},
  [157] = {.index = 361, .length = 5},
  [158] = {.index = 366, .length = 4},
  [159] = {.index = 370, .length = 4},
  [160] = {.index = 374, .length = 4},
  [161] = {.index = 378, .length = 1},
  [162] = {.index = 379, .length = 5},
  [163] = {.index = 384, .length = 4},
  [164] = {.index = 388, .length = 2},
  [165] = {.index = 390, .length = 2},
  [166] = {.index = 392, .length = 1},
  [167] = {.index = 393, .length = 2},
  [168] = {.index = 395, .length = 1},
  [169] = {.index = 396, .length = 2},
  [170] = {.index = 398, .length = 1},
  [171] = {.index = 399, .length = 1},
  [172] = {.index = 400, .length = 2},
  [173] = {.index = 402, .length = 3},
  [174] = {.index = 405, .length = 3},
  [175] = {.index = 408, .length = 5},
  [176] = {.index = 413, .length = 3},
  [177] = {.index = 416, .length = 5},
  [178] = {.index = 421, .length = 2},
  [179] = {.index = 423, .length = 2},
  [180] = {.index = 425, .length = 2},
  [181] = {.index = 427, .length = 2},
  [182] = {.index = 429, .length = 5},
  [183] = {.index = 434, .length = 5},
  [184] = {.index = 439, .length = 5},
  [185] = {.index = 444, .length = 2},
  [186] = {.index = 446, .length = 2},
  [187] = {.index = 448, .length = 3},
  [188] = {.index = 451, .length = 3},
  [189] = {.index = 454, .length = 2},
  [190] = {.index = 456, .length = 3},
  [191] = {.index = 459, .length = 2},
  [192] = {.index = 461, .length = 3},
  [193] = {.index = 464, .length = 2},
  [194] = {.index = 466, .length = 2},
  [195] = {.index = 468, .length = 3},
  [196] = {.index = 471, .length = 3},
  [197] = {.index = 474, .length = 3},
  [198] = {.index = 477, .length = 3},
  [199] = {.index = 480, .length = 3},
  [200] = {.index = 483, .length = 3},
  [201] = {.index = 486, .length = 6},
  [202] = {.index = 492, .length = 3},
  [203] = {.index = 495, .length = 4},
  [204] = {.index = 499, .length = 3},
  [205] = {.index = 502, .length = 4},
  [206] = {.index = 506, .length = 4},
  [207] = {.index = 510, .length = 4},
  [208] = {.index = 514, .length = 4},
  [209] = {.index = 518, .length = 2},
  [210] = {.index = 520, .length = 2},
  [211] = {.index = 522, .length = 2},
  [212] = {.index = 524, .length = 5},
  [213] = {.index = 529, .length = 3},
  [214] = {.index = 532, .length = 3},
  [215] = {.index = 535, .length = 3},
  [216] = {.index = 538, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0, .inherited = true},
  [1] =
    {field_name, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
    {field_scope, 0, .inherited = true},
  [5] =
    {field_name, 0},
  [6] =
    {field_body, 1},
  [7] =
    {field_parameters, 1},
  [8] =
    {field_prefix, 0},
  [9] =
    {field_argument, 1},
    {field_operator, 0},
  [11] =
    {field_arguments, 1},
    {field_function, 0},
  [13] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [17] =
    {field_attributes, 0, .inherited = true},
    {field_body, 1},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [23] =
    {field_argument, 0},
    {field_operator, 1},
  [25] =
    {field_body, 2},
    {field_name, 1},
  [27] =
    {field_name, 1},
  [28] =
    {field_type, 0},
  [29] =
    {field_body, 1, .inherited = true},
    {field_type, 1, .inherited = true},
  [31] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
  [33] =
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [35] =
    {field_name, 1},
    {field_parameters, 2},
  [37] =
    {field_body, 2},
    {field_condition, 1},
  [39] =
    {field_end_tag, 2},
    {field_identifier, 1},
  [41] =
    {field_name, 2},
    {field_scope, 0},
  [43] =
    {field_prefix, 0},
    {field_prefix, 1},
  [45] =
    {field_parameters, 2},
    {field_static_modifier, 0},
  [47] =
    {field_attributes, 0, .inherited = true},
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_reference_modifier, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_static_modifier, 0, .inherited = true},
  [53] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [56] =
    {field_left, 0},
    {field_right, 2},
  [58] =
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [60] =
    {field_attributes, 0},
    {field_parameters, 2},
  [62] =
    {field_attributes, 0},
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [67] =
    {field_name, 0},
    {field_value, 2},
  [69] =
    {field_alias, 2},
  [70] =
    {field_body, 2},
  [71] =
    {field_name, 1},
    {field_reference_modifier, 0},
  [73] =
    {field_name, 1},
    {field_visibility, 0},
  [75] =
    {field_name, 1},
    {field_type, 0},
  [77] =
    {field_attributes, 0},
    {field_name, 1},
  [79] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 3, .inherited = true},
  [82] =
    {field_name, 2},
    {field_parameters, 3},
  [84] =
    {field_return_type, 1},
  [85] =
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [87] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [90] =
    {field_type, 1},
  [91] =
    {field_attributes, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [93] =
    {field_body, 3},
    {field_name, 1},
  [95] =
    {field_type, 1},
    {field_value, 3},
  [97] =
    {field_alternative, 0},
  [98] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [101] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [104] =
    {field_attributes, 0},
    {field_body, 2},
  [106] =
    {field_name, 2},
    {field_object, 0},
  [108] =
    {field_end_tag, 3},
    {field_identifier, 1},
  [110] =
    {field_end_tag, 3},
    {field_identifier, 1},
    {field_value, 2},
  [113] =
    {field_end_tag, 3},
    {field_identifier, 2},
  [115] =
    {field_reference_modifier, 0},
  [116] =
    {field_name, 0, .inherited = true},
  [117] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_static_modifier, 0},
  [120] =
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
    {field_static_modifier, 0},
  [123] =
    {field_alternative, 3},
    {field_condition, 0},
  [125] =
    {field_left, 0},
    {field_right, 3},
  [127] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_scope, 0},
  [130] =
    {field_arguments, 3},
    {field_name, 2, .inherited = true},
    {field_object, 0},
  [133] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
  [136] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [139] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2},
  [142] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_static_modifier, 1},
  [145] =
    {field_body, 3},
    {field_name, 2},
  [147] =
    {field_alias, 3},
    {field_type, 0},
  [149] =
    {field_body, 3},
    {field_type, 0},
  [151] =
    {field_name, 2},
    {field_reference_modifier, 0},
  [153] =
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [156] =
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [159] =
    {field_name, 2},
    {field_type, 0},
  [161] =
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [164] =
    {field_attributes, 0},
    {field_name, 2},
  [166] =
    {field_attributes, 0},
    {field_name, 2},
    {field_reference_modifier, 1},
  [169] =
    {field_attributes, 0},
    {field_name, 2},
    {field_visibility, 1},
  [172] =
    {field_attributes, 0},
    {field_name, 2},
    {field_type, 1},
  [175] =
    {field_default_value, 2},
    {field_name, 0},
  [177] =
    {field_parameters, 2},
    {field_reference_modifier, 1},
    {field_return_type, 4, .inherited = true},
  [180] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [183] =
    {field_type, 1, .inherited = true},
  [184] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [187] =
    {field_attributes, 0},
    {field_type, 1, .inherited = true},
  [189] =
    {field_body, 4},
    {field_name, 1},
  [191] =
    {field_body, 1},
    {field_condition, 3},
  [193] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [197] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [199] =
    {field_body, 3},
  [200] =
    {field_attributes, 0},
    {field_body, 3},
  [202] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 3},
  [205] =
    {field_end_tag, 4},
    {field_identifier, 1},
    {field_value, 2},
  [208] =
    {field_end_tag, 4},
    {field_identifier, 2},
  [210] =
    {field_end_tag, 4},
    {field_identifier, 2},
    {field_value, 3},
  [213] =
    {field_name, 0, .inherited = true},
    {field_reference_modifier, 1},
  [215] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [219] =
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 0},
  [222] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [225] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 4, .inherited = true},
  [229] =
    {field_attributes, 0},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [232] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 2},
  [235] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_static_modifier, 1},
  [239] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
    {field_static_modifier, 1},
  [243] =
    {field_attributes, 0},
    {field_body, 4},
    {field_name, 3},
  [246] =
    {field_type, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
  [249] =
    {field_default_value, 3},
    {field_name, 1},
    {field_reference_modifier, 0},
  [252] =
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [256] =
    {field_default_value, 3},
    {field_name, 1},
    {field_visibility, 0},
  [259] =
    {field_name, 3},
    {field_reference_modifier, 1},
    {field_type, 0},
  [262] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [265] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 1},
  [268] =
    {field_attributes, 0},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [272] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [276] =
    {field_attributes, 0},
    {field_name, 3},
    {field_type, 1},
  [279] =
    {field_attributes, 0},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [283] =
    {field_attributes, 0},
    {field_default_value, 3},
    {field_name, 1},
  [286] =
    {field_attributes, 0},
    {field_type, 2, .inherited = true},
  [288] =
    {field_attributes, 0},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [292] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [296] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [299] =
    {field_body, 5},
    {field_name, 1},
  [301] =
    {field_body, 5},
  [302] =
    {field_return_expression, 2},
  [303] =
    {field_conditional_expressions, 0},
    {field_return_expression, 2},
  [305] =
    {field_value, 1},
  [306] =
    {field_body, 4},
  [307] =
    {field_attributes, 0},
    {field_body, 4},
  [309] =
    {field_end_tag, 5},
    {field_identifier, 1},
    {field_value, 3},
  [312] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 4},
  [315] =
    {field_end_tag, 5},
    {field_identifier, 2},
    {field_value, 3},
  [318] =
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 0},
  [322] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_reference_modifier, 2},
    {field_return_type, 5, .inherited = true},
  [326] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 2},
  [329] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [334] =
    {field_attributes, 0},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
    {field_static_modifier, 1},
  [338] =
    {field_attributes, 0},
    {field_body, 5},
    {field_name, 3},
  [341] =
    {field_body, 5},
    {field_name, 2},
  [343] =
    {field_default_value, 4},
    {field_name, 2},
    {field_readonly, 1},
    {field_visibility, 0},
  [347] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
    {field_visibility, 0},
  [351] =
    {field_body, 1, .inherited = true},
  [352] =
    {field_body, 0},
  [353] =
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
    {field_type, 0},
  [357] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_reference_modifier, 1},
  [361] =
    {field_attributes, 0},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [366] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_visibility, 1},
  [370] =
    {field_attributes, 0},
    {field_name, 4},
    {field_reference_modifier, 2},
    {field_type, 1},
  [374] =
    {field_attributes, 0},
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 1},
  [378] =
    {field_attributes, 0},
  [379] =
    {field_attributes, 0},
    {field_body, 3},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [384] =
    {field_attributes, 0},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
  [388] =
    {field_body, 4},
    {field_type, 2},
  [390] =
    {field_body, 6},
    {field_update, 4},
  [392] =
    {field_update, 4},
  [393] =
    {field_body, 6},
    {field_condition, 3},
  [395] =
    {field_condition, 3},
  [396] =
    {field_body, 6},
    {field_initialize, 2},
  [398] =
    {field_initialize, 2},
  [399] =
    {field_body, 6},
  [400] =
    {field_attributes, 0},
    {field_body, 5},
  [402] =
    {field_end_tag, 6},
    {field_identifier, 2},
    {field_value, 4},
  [405] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 2},
  [408] =
    {field_attributes, 0},
    {field_parameters, 4},
    {field_reference_modifier, 3},
    {field_return_type, 6, .inherited = true},
    {field_static_modifier, 1},
  [413] =
    {field_attributes, 0},
    {field_body, 6},
    {field_name, 3},
  [416] =
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 1},
    {field_type, 2},
    {field_visibility, 0},
  [421] =
    {field_body, 2, .inherited = true},
    {field_parameters, 1},
  [423] =
    {field_body, 2, .inherited = true},
    {field_reference_modifier, 0},
  [425] =
    {field_body, 2, .inherited = true},
    {field_final, 0},
  [427] =
    {field_attributes, 0},
    {field_body, 2, .inherited = true},
  [429] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_readonly, 2},
    {field_visibility, 1},
  [434] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_type, 2},
    {field_visibility, 1},
  [439] =
    {field_attributes, 0},
    {field_default_value, 5},
    {field_name, 3},
    {field_reference_modifier, 2},
    {field_type, 1},
  [444] =
    {field_attributes, 0},
    {field_type, 2},
  [446] =
    {field_name, 1},
    {field_value, 3},
  [448] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [451] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [454] =
    {field_condition, 3},
    {field_update, 5},
  [456] =
    {field_body, 7},
    {field_initialize, 2},
    {field_update, 5},
  [459] =
    {field_initialize, 2},
    {field_update, 5},
  [461] =
    {field_body, 7},
    {field_condition, 4},
    {field_initialize, 2},
  [464] =
    {field_condition, 4},
    {field_initialize, 2},
  [466] =
    {field_attributes, 0},
    {field_body, 6},
  [468] =
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
    {field_reference_modifier, 0},
  [471] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_parameters, 2},
  [474] =
    {field_body, 3, .inherited = true},
    {field_final, 0},
    {field_reference_modifier, 1},
  [477] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_parameters, 2},
  [480] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_reference_modifier, 1},
  [483] =
    {field_attributes, 0},
    {field_body, 3, .inherited = true},
    {field_final, 1},
  [486] =
    {field_attributes, 0},
    {field_default_value, 6},
    {field_name, 4},
    {field_readonly, 2},
    {field_type, 3},
    {field_visibility, 1},
  [492] =
    {field_attributes, 0},
    {field_name, 2},
    {field_value, 4},
  [495] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [499] =
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
  [502] =
    {field_body, 4, .inherited = true},
    {field_final, 0},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [506] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_parameters, 3},
    {field_reference_modifier, 1},
  [510] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_parameters, 3},
  [514] =
    {field_attributes, 0},
    {field_body, 4, .inherited = true},
    {field_final, 1},
    {field_reference_modifier, 2},
  [518] =
    {field_body, 7},
    {field_update, 4},
  [520] =
    {field_body, 7},
    {field_condition, 3},
  [522] =
    {field_body, 7},
    {field_initialize, 2},
  [524] =
    {field_attributes, 0},
    {field_body, 5, .inherited = true},
    {field_final, 1},
    {field_parameters, 4},
    {field_reference_modifier, 2},
  [529] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
  [532] =
    {field_body, 8},
    {field_initialize, 2},
    {field_update, 5},
  [535] =
    {field_body, 8},
    {field_condition, 4},
    {field_initialize, 2},
  [538] =
    {field_body, 9},
    {field_condition, 4},
    {field_initialize, 2},
    {field_update, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_object_creation_expression,
  },
  [10] = {
    [0] = sym_list_literal,
  },
  [22] = {
    [0] = anon_sym_array,
  },
  [49] = {
    [2] = alias_sym_operation,
  },
  [55] = {
    [1] = sym_list_literal,
  },
  [56] = {
    [2] = sym_list_literal,
  },
  [61] = {
    [0] = sym_name,
  },
  [92] = {
    [3] = sym_primitive_type,
  },
  [107] = {
    [3] = sym_name,
  },
  [131] = {
    [3] = sym_primitive_type,
  },
  [138] = {
    [3] = sym_list_literal,
  },
  [139] = {
    [4] = sym_list_literal,
  },
  [145] = {
    [4] = sym_primitive_type,
  },
  [174] = {
    [4] = sym_primitive_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    sym_name,
  sym__new_dereferencable_expression, 2,
    sym__new_dereferencable_expression,
    sym_object_creation_expression,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 2,
  [8] = 8,
  [9] = 8,
  [10] = 10,
  [11] = 10,
  [12] = 12,
  [13] = 10,
  [14] = 10,
  [15] = 12,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 18,
  [21] = 21,
  [22] = 22,
  [23] = 21,
  [24] = 16,
  [25] = 22,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 17,
  [30] = 26,
  [31] = 26,
  [32] = 28,
  [33] = 27,
  [34] = 27,
  [35] = 17,
  [36] = 19,
  [37] = 18,
  [38] = 16,
  [39] = 21,
  [40] = 18,
  [41] = 22,
  [42] = 19,
  [43] = 28,
  [44] = 28,
  [45] = 16,
  [46] = 19,
  [47] = 22,
  [48] = 26,
  [49] = 27,
  [50] = 17,
  [51] = 21,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 57,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 56,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 63,
  [71] = 55,
  [72] = 72,
  [73] = 56,
  [74] = 57,
  [75] = 75,
  [76] = 63,
  [77] = 77,
  [78] = 61,
  [79] = 79,
  [80] = 67,
  [81] = 58,
  [82] = 67,
  [83] = 83,
  [84] = 84,
  [85] = 63,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 89,
  [91] = 84,
  [92] = 52,
  [93] = 79,
  [94] = 77,
  [95] = 75,
  [96] = 72,
  [97] = 88,
  [98] = 62,
  [99] = 87,
  [100] = 86,
  [101] = 53,
  [102] = 67,
  [103] = 56,
  [104] = 57,
  [105] = 63,
  [106] = 69,
  [107] = 67,
  [108] = 68,
  [109] = 64,
  [110] = 110,
  [111] = 111,
  [112] = 110,
  [113] = 110,
  [114] = 114,
  [115] = 114,
  [116] = 111,
  [117] = 110,
  [118] = 118,
  [119] = 118,
  [120] = 118,
  [121] = 118,
  [122] = 122,
  [123] = 122,
  [124] = 124,
  [125] = 122,
  [126] = 124,
  [127] = 124,
  [128] = 122,
  [129] = 124,
  [130] = 124,
  [131] = 122,
  [132] = 124,
  [133] = 133,
  [134] = 134,
  [135] = 133,
  [136] = 133,
  [137] = 134,
  [138] = 134,
  [139] = 134,
  [140] = 133,
  [141] = 134,
  [142] = 133,
  [143] = 134,
  [144] = 144,
  [145] = 145,
  [146] = 144,
  [147] = 145,
  [148] = 145,
  [149] = 145,
  [150] = 144,
  [151] = 144,
  [152] = 144,
  [153] = 145,
  [154] = 144,
  [155] = 145,
  [156] = 156,
  [157] = 157,
  [158] = 156,
  [159] = 159,
  [160] = 159,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 161,
  [165] = 165,
  [166] = 166,
  [167] = 163,
  [168] = 162,
  [169] = 166,
  [170] = 165,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 171,
  [176] = 176,
  [177] = 172,
  [178] = 173,
  [179] = 179,
  [180] = 179,
  [181] = 181,
  [182] = 181,
  [183] = 181,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 181,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 193,
  [196] = 193,
  [197] = 188,
  [198] = 190,
  [199] = 199,
  [200] = 200,
  [201] = 192,
  [202] = 200,
  [203] = 189,
  [204] = 193,
  [205] = 205,
  [206] = 191,
  [207] = 190,
  [208] = 190,
  [209] = 194,
  [210] = 189,
  [211] = 189,
  [212] = 191,
  [213] = 205,
  [214] = 199,
  [215] = 191,
  [216] = 192,
  [217] = 194,
  [218] = 200,
  [219] = 192,
  [220] = 194,
  [221] = 221,
  [222] = 200,
  [223] = 223,
  [224] = 224,
  [225] = 223,
  [226] = 223,
  [227] = 227,
  [228] = 223,
  [229] = 229,
  [230] = 230,
  [231] = 227,
  [232] = 223,
  [233] = 223,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 234,
  [240] = 234,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 242,
  [245] = 237,
  [246] = 235,
  [247] = 237,
  [248] = 235,
  [249] = 237,
  [250] = 250,
  [251] = 242,
  [252] = 238,
  [253] = 238,
  [254] = 242,
  [255] = 255,
  [256] = 234,
  [257] = 234,
  [258] = 255,
  [259] = 234,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 266,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 276,
  [293] = 275,
  [294] = 274,
  [295] = 271,
  [296] = 269,
  [297] = 276,
  [298] = 298,
  [299] = 299,
  [300] = 266,
  [301] = 264,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 291,
  [309] = 290,
  [310] = 289,
  [311] = 288,
  [312] = 287,
  [313] = 313,
  [314] = 286,
  [315] = 315,
  [316] = 316,
  [317] = 265,
  [318] = 285,
  [319] = 319,
  [320] = 265,
  [321] = 321,
  [322] = 284,
  [323] = 302,
  [324] = 283,
  [325] = 325,
  [326] = 282,
  [327] = 263,
  [328] = 280,
  [329] = 279,
  [330] = 263,
  [331] = 302,
  [332] = 263,
  [333] = 262,
  [334] = 307,
  [335] = 291,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 263,
  [342] = 342,
  [343] = 302,
  [344] = 339,
  [345] = 263,
  [346] = 346,
  [347] = 347,
  [348] = 281,
  [349] = 349,
  [350] = 263,
  [351] = 266,
  [352] = 339,
  [353] = 273,
  [354] = 263,
  [355] = 355,
  [356] = 263,
  [357] = 273,
  [358] = 281,
  [359] = 339,
  [360] = 302,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 339,
  [365] = 365,
  [366] = 275,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 277,
  [371] = 371,
  [372] = 349,
  [373] = 347,
  [374] = 346,
  [375] = 342,
  [376] = 340,
  [377] = 338,
  [378] = 337,
  [379] = 336,
  [380] = 274,
  [381] = 281,
  [382] = 262,
  [383] = 336,
  [384] = 337,
  [385] = 338,
  [386] = 340,
  [387] = 269,
  [388] = 279,
  [389] = 280,
  [390] = 282,
  [391] = 283,
  [392] = 284,
  [393] = 285,
  [394] = 286,
  [395] = 287,
  [396] = 288,
  [397] = 289,
  [398] = 290,
  [399] = 349,
  [400] = 347,
  [401] = 346,
  [402] = 342,
  [403] = 291,
  [404] = 342,
  [405] = 276,
  [406] = 340,
  [407] = 277,
  [408] = 264,
  [409] = 338,
  [410] = 337,
  [411] = 336,
  [412] = 346,
  [413] = 347,
  [414] = 262,
  [415] = 265,
  [416] = 279,
  [417] = 275,
  [418] = 274,
  [419] = 280,
  [420] = 349,
  [421] = 282,
  [422] = 271,
  [423] = 283,
  [424] = 284,
  [425] = 285,
  [426] = 286,
  [427] = 269,
  [428] = 287,
  [429] = 339,
  [430] = 288,
  [431] = 363,
  [432] = 307,
  [433] = 277,
  [434] = 289,
  [435] = 290,
  [436] = 271,
  [437] = 264,
  [438] = 307,
  [439] = 439,
  [440] = 439,
  [441] = 439,
  [442] = 439,
  [443] = 439,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 446,
  [449] = 447,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 452,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 450,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 584,
  [586] = 584,
  [587] = 584,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 593,
  [626] = 594,
  [627] = 599,
  [628] = 607,
  [629] = 624,
  [630] = 605,
  [631] = 624,
  [632] = 590,
  [633] = 598,
  [634] = 618,
  [635] = 597,
  [636] = 610,
  [637] = 637,
  [638] = 638,
  [639] = 591,
  [640] = 606,
  [641] = 641,
  [642] = 616,
  [643] = 602,
  [644] = 644,
  [645] = 614,
  [646] = 613,
  [647] = 592,
  [648] = 615,
  [649] = 620,
  [650] = 596,
  [651] = 651,
  [652] = 600,
  [653] = 619,
  [654] = 617,
  [655] = 589,
  [656] = 656,
  [657] = 657,
  [658] = 622,
  [659] = 623,
  [660] = 638,
  [661] = 612,
  [662] = 624,
  [663] = 611,
  [664] = 608,
  [665] = 621,
  [666] = 600,
  [667] = 657,
  [668] = 657,
  [669] = 669,
  [670] = 638,
  [671] = 603,
  [672] = 672,
  [673] = 595,
  [674] = 609,
  [675] = 604,
  [676] = 601,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 638,
  [681] = 681,
  [682] = 622,
  [683] = 623,
  [684] = 681,
  [685] = 657,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 688,
  [691] = 689,
  [692] = 687,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 686,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 700,
  [702] = 700,
  [703] = 703,
  [704] = 699,
  [705] = 700,
  [706] = 698,
  [707] = 698,
  [708] = 708,
  [709] = 700,
  [710] = 710,
  [711] = 708,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 471,
  [716] = 716,
  [717] = 594,
  [718] = 593,
  [719] = 719,
  [720] = 485,
  [721] = 615,
  [722] = 722,
  [723] = 616,
  [724] = 724,
  [725] = 597,
  [726] = 614,
  [727] = 606,
  [728] = 598,
  [729] = 605,
  [730] = 730,
  [731] = 617,
  [732] = 607,
  [733] = 606,
  [734] = 615,
  [735] = 713,
  [736] = 619,
  [737] = 613,
  [738] = 590,
  [739] = 739,
  [740] = 592,
  [741] = 589,
  [742] = 618,
  [743] = 599,
  [744] = 610,
  [745] = 602,
  [746] = 746,
  [747] = 596,
  [748] = 591,
  [749] = 620,
  [750] = 750,
  [751] = 609,
  [752] = 752,
  [753] = 593,
  [754] = 608,
  [755] = 611,
  [756] = 621,
  [757] = 612,
  [758] = 594,
  [759] = 759,
  [760] = 760,
  [761] = 601,
  [762] = 762,
  [763] = 595,
  [764] = 603,
  [765] = 604,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 602,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 590,
  [784] = 608,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 618,
  [789] = 599,
  [790] = 610,
  [791] = 791,
  [792] = 601,
  [793] = 793,
  [794] = 598,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 592,
  [801] = 596,
  [802] = 589,
  [803] = 803,
  [804] = 609,
  [805] = 616,
  [806] = 806,
  [807] = 617,
  [808] = 619,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 611,
  [815] = 621,
  [816] = 716,
  [817] = 620,
  [818] = 591,
  [819] = 613,
  [820] = 820,
  [821] = 821,
  [822] = 603,
  [823] = 823,
  [824] = 773,
  [825] = 825,
  [826] = 607,
  [827] = 827,
  [828] = 614,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 597,
  [833] = 833,
  [834] = 834,
  [835] = 604,
  [836] = 836,
  [837] = 837,
  [838] = 595,
  [839] = 612,
  [840] = 840,
  [841] = 841,
  [842] = 605,
  [843] = 843,
  [844] = 452,
  [845] = 845,
  [846] = 846,
  [847] = 450,
  [848] = 848,
  [849] = 588,
  [850] = 850,
  [851] = 710,
  [852] = 852,
  [853] = 853,
  [854] = 594,
  [855] = 710,
  [856] = 856,
  [857] = 606,
  [858] = 724,
  [859] = 859,
  [860] = 850,
  [861] = 861,
  [862] = 859,
  [863] = 593,
  [864] = 730,
  [865] = 597,
  [866] = 619,
  [867] = 610,
  [868] = 596,
  [869] = 592,
  [870] = 870,
  [871] = 591,
  [872] = 620,
  [873] = 606,
  [874] = 831,
  [875] = 616,
  [876] = 599,
  [877] = 877,
  [878] = 614,
  [879] = 589,
  [880] = 602,
  [881] = 605,
  [882] = 598,
  [883] = 883,
  [884] = 617,
  [885] = 590,
  [886] = 607,
  [887] = 615,
  [888] = 613,
  [889] = 746,
  [890] = 739,
  [891] = 877,
  [892] = 618,
  [893] = 716,
  [894] = 894,
  [895] = 750,
  [896] = 831,
  [897] = 601,
  [898] = 714,
  [899] = 593,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 615,
  [905] = 609,
  [906] = 612,
  [907] = 594,
  [908] = 759,
  [909] = 611,
  [910] = 604,
  [911] = 714,
  [912] = 603,
  [913] = 595,
  [914] = 608,
  [915] = 724,
  [916] = 730,
  [917] = 621,
  [918] = 716,
  [919] = 845,
  [920] = 605,
  [921] = 827,
  [922] = 922,
  [923] = 752,
  [924] = 599,
  [925] = 607,
  [926] = 610,
  [927] = 806,
  [928] = 781,
  [929] = 787,
  [930] = 831,
  [931] = 931,
  [932] = 776,
  [933] = 848,
  [934] = 615,
  [935] = 825,
  [936] = 829,
  [937] = 833,
  [938] = 768,
  [939] = 595,
  [940] = 841,
  [941] = 772,
  [942] = 774,
  [943] = 803,
  [944] = 799,
  [945] = 604,
  [946] = 592,
  [947] = 596,
  [948] = 589,
  [949] = 797,
  [950] = 603,
  [951] = 767,
  [952] = 601,
  [953] = 836,
  [954] = 485,
  [955] = 590,
  [956] = 931,
  [957] = 777,
  [958] = 597,
  [959] = 843,
  [960] = 602,
  [961] = 588,
  [962] = 760,
  [963] = 769,
  [964] = 778,
  [965] = 830,
  [966] = 823,
  [967] = 812,
  [968] = 782,
  [969] = 785,
  [970] = 856,
  [971] = 598,
  [972] = 820,
  [973] = 612,
  [974] = 614,
  [975] = 621,
  [976] = 846,
  [977] = 771,
  [978] = 766,
  [979] = 611,
  [980] = 810,
  [981] = 762,
  [982] = 775,
  [983] = 786,
  [984] = 809,
  [985] = 606,
  [986] = 780,
  [987] = 987,
  [988] = 613,
  [989] = 834,
  [990] = 821,
  [991] = 798,
  [992] = 618,
  [993] = 591,
  [994] = 620,
  [995] = 619,
  [996] = 779,
  [997] = 617,
  [998] = 471,
  [999] = 796,
  [1000] = 840,
  [1001] = 811,
  [1002] = 837,
  [1003] = 616,
  [1004] = 813,
  [1005] = 609,
  [1006] = 795,
  [1007] = 588,
  [1008] = 608,
  [1009] = 1009,
  [1010] = 724,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 861,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 831,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 730,
  [1027] = 710,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 853,
  [1034] = 1034,
  [1035] = 852,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 791,
  [1041] = 1041,
  [1042] = 793,
  [1043] = 606,
  [1044] = 903,
  [1045] = 615,
  [1046] = 714,
  [1047] = 901,
  [1048] = 900,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 987,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 588,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1080,
  [1084] = 1053,
  [1085] = 1080,
  [1086] = 1054,
  [1087] = 1038,
  [1088] = 1066,
  [1089] = 1050,
  [1090] = 1072,
  [1091] = 1059,
  [1092] = 1041,
  [1093] = 1036,
  [1094] = 1037,
  [1095] = 1013,
  [1096] = 1031,
  [1097] = 1063,
  [1098] = 1032,
  [1099] = 1076,
  [1100] = 1056,
  [1101] = 1014,
  [1102] = 1064,
  [1103] = 1057,
  [1104] = 1065,
  [1105] = 452,
  [1106] = 1067,
  [1107] = 1107,
  [1108] = 1017,
  [1109] = 1015,
  [1110] = 1018,
  [1111] = 1070,
  [1112] = 1060,
  [1113] = 1030,
  [1114] = 1073,
  [1115] = 1061,
  [1116] = 1049,
  [1117] = 1062,
  [1118] = 450,
  [1119] = 1063,
  [1120] = 1068,
  [1121] = 1039,
  [1122] = 1050,
  [1123] = 1071,
  [1124] = 1064,
  [1125] = 1012,
  [1126] = 1075,
  [1127] = 1065,
  [1128] = 1029,
  [1129] = 1076,
  [1130] = 1070,
  [1131] = 1079,
  [1132] = 1067,
  [1133] = 1020,
  [1134] = 1049,
  [1135] = 1025,
  [1136] = 1068,
  [1137] = 1071,
  [1138] = 1059,
  [1139] = 1073,
  [1140] = 1061,
  [1141] = 1075,
  [1142] = 1034,
  [1143] = 1143,
  [1144] = 1054,
  [1145] = 1079,
  [1146] = 1078,
  [1147] = 1081,
  [1148] = 1081,
  [1149] = 1066,
  [1150] = 1028,
  [1151] = 1022,
  [1152] = 1072,
  [1153] = 1074,
  [1154] = 1051,
  [1155] = 1024,
  [1156] = 1082,
  [1157] = 1009,
  [1158] = 1058,
  [1159] = 1069,
  [1160] = 1082,
  [1161] = 1058,
  [1162] = 1056,
  [1163] = 1077,
  [1164] = 1057,
  [1165] = 1051,
  [1166] = 1166,
  [1167] = 1019,
  [1168] = 1069,
  [1169] = 1011,
  [1170] = 1078,
  [1171] = 1060,
  [1172] = 1023,
  [1173] = 1053,
  [1174] = 1062,
  [1175] = 1077,
  [1176] = 1074,
  [1177] = 1177,
  [1178] = 1056,
  [1179] = 1074,
  [1180] = 1053,
  [1181] = 1049,
  [1182] = 1058,
  [1183] = 1070,
  [1184] = 1054,
  [1185] = 1064,
  [1186] = 1082,
  [1187] = 1073,
  [1188] = 1077,
  [1189] = 1076,
  [1190] = 1062,
  [1191] = 1080,
  [1192] = 1065,
  [1193] = 1050,
  [1194] = 1066,
  [1195] = 1051,
  [1196] = 1072,
  [1197] = 1075,
  [1198] = 1079,
  [1199] = 1057,
  [1200] = 1071,
  [1201] = 1068,
  [1202] = 1059,
  [1203] = 1078,
  [1204] = 1061,
  [1205] = 1060,
  [1206] = 1081,
  [1207] = 1063,
  [1208] = 1067,
  [1209] = 1069,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1080,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1226,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1229,
  [1237] = 1233,
  [1238] = 1231,
  [1239] = 1239,
  [1240] = 1235,
  [1241] = 1241,
  [1242] = 1232,
  [1243] = 1080,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1225,
  [1255] = 1255,
  [1256] = 1248,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1248,
  [1262] = 1252,
  [1263] = 1252,
  [1264] = 1225,
  [1265] = 1239,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1239,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1275,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1274,
  [1284] = 1284,
  [1285] = 1284,
  [1286] = 1280,
  [1287] = 1284,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1274,
  [1291] = 1280,
  [1292] = 1284,
  [1293] = 1293,
  [1294] = 1278,
  [1295] = 1284,
  [1296] = 1275,
  [1297] = 1297,
  [1298] = 1278,
  [1299] = 1299,
  [1300] = 1293,
  [1301] = 1297,
  [1302] = 1274,
  [1303] = 1280,
  [1304] = 1284,
  [1305] = 1305,
  [1306] = 1284,
  [1307] = 1280,
  [1308] = 1274,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1297,
  [1312] = 1278,
  [1313] = 1309,
  [1314] = 1281,
  [1315] = 1275,
  [1316] = 1281,
  [1317] = 1293,
  [1318] = 1284,
  [1319] = 1281,
  [1320] = 1279,
  [1321] = 1278,
  [1322] = 1278,
  [1323] = 1293,
  [1324] = 1274,
  [1325] = 1280,
  [1326] = 1284,
  [1327] = 1281,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1331,
  [1334] = 1330,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1340,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1349,
  [1352] = 1350,
  [1353] = 1349,
  [1354] = 1354,
  [1355] = 1350,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1357,
  [1359] = 1357,
  [1360] = 1354,
  [1361] = 1356,
  [1362] = 1348,
  [1363] = 1343,
  [1364] = 1364,
  [1365] = 1342,
  [1366] = 1364,
  [1367] = 1367,
  [1368] = 1367,
  [1369] = 1367,
  [1370] = 1364,
  [1371] = 1371,
  [1372] = 1371,
  [1373] = 1373,
  [1374] = 1345,
  [1375] = 1344,
  [1376] = 1346,
  [1377] = 510,
  [1378] = 1347,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1379,
  [1382] = 1379,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1384,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1389,
  [1393] = 1393,
  [1394] = 1390,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1391,
  [1398] = 1393,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1409,
  [1412] = 1407,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1410,
  [1417] = 1417,
  [1418] = 1414,
  [1419] = 1413,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1451,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 856,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1458,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1458,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1462,
  [1471] = 1462,
  [1472] = 1463,
  [1473] = 1466,
  [1474] = 1458,
  [1475] = 1459,
  [1476] = 1466,
  [1477] = 1458,
  [1478] = 1462,
  [1479] = 1466,
  [1480] = 1468,
  [1481] = 1481,
  [1482] = 1460,
  [1483] = 1467,
  [1484] = 1466,
  [1485] = 1458,
  [1486] = 1469,
  [1487] = 1462,
  [1488] = 1466,
  [1489] = 1462,
  [1490] = 1467,
  [1491] = 1460,
  [1492] = 1466,
  [1493] = 1458,
  [1494] = 1462,
  [1495] = 1495,
  [1496] = 1495,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 903,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 610,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1507,
  [1528] = 1528,
  [1529] = 1521,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 610,
  [1543] = 1543,
  [1544] = 610,
  [1545] = 1545,
  [1546] = 1545,
  [1547] = 1547,
  [1548] = 444,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1457,
  [1552] = 1552,
  [1553] = 445,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1549,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1552,
  [1561] = 1558,
  [1562] = 1555,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1564,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1457,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 598,
  [1594] = 599,
  [1595] = 1452,
  [1596] = 618,
  [1597] = 610,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1589,
  [1602] = 1602,
  [1603] = 1578,
  [1604] = 1579,
  [1605] = 902,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1608,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1589,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1616,
  [1617] = 1617,
  [1618] = 1612,
  [1619] = 1619,
  [1620] = 618,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1621,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1624,
  [1627] = 1627,
  [1628] = 1621,
  [1629] = 1621,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1621,
  [1633] = 1621,
  [1634] = 1621,
  [1635] = 1621,
  [1636] = 1636,
  [1637] = 1636,
  [1638] = 1587,
  [1639] = 1565,
  [1640] = 1622,
  [1641] = 1621,
  [1642] = 1630,
  [1643] = 447,
  [1644] = 1644,
  [1645] = 1610,
  [1646] = 1611,
  [1647] = 1619,
  [1648] = 1648,
  [1649] = 710,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1622,
  [1653] = 1587,
  [1654] = 1565,
  [1655] = 1621,
  [1656] = 610,
  [1657] = 1657,
  [1658] = 1644,
  [1659] = 447,
  [1660] = 610,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1648,
  [1665] = 1622,
  [1666] = 1622,
  [1667] = 1621,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 446,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 599,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1622,
  [1677] = 1621,
  [1678] = 1610,
  [1679] = 1611,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 618,
  [1685] = 1685,
  [1686] = 1457,
  [1687] = 1671,
  [1688] = 1685,
  [1689] = 446,
  [1690] = 1657,
  [1691] = 1675,
  [1692] = 1672,
  [1693] = 1661,
  [1694] = 1663,
  [1695] = 1662,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1588,
  [1699] = 1625,
  [1700] = 1700,
  [1701] = 599,
  [1702] = 598,
  [1703] = 1588,
  [1704] = 1704,
  [1705] = 1627,
  [1706] = 1706,
  [1707] = 598,
  [1708] = 1631,
  [1709] = 1709,
  [1710] = 1515,
  [1711] = 456,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1515,
  [1718] = 1709,
  [1719] = 1504,
  [1720] = 1517,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 1742,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 780,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1523,
  [1751] = 1510,
  [1752] = 1525,
  [1753] = 1753,
  [1754] = 1754,
  [1755] = 1523,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1760,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1759,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 1769,
  [1770] = 454,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1745,
  [1774] = 1729,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1726,
  [1783] = 1783,
  [1784] = 1725,
  [1785] = 1724,
  [1786] = 1730,
  [1787] = 1722,
  [1788] = 1716,
  [1789] = 1713,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 453,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1801,
  [1802] = 1802,
  [1803] = 1803,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1808,
  [1809] = 452,
  [1810] = 450,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1712,
  [1817] = 1715,
  [1818] = 1497,
  [1819] = 1498,
  [1820] = 1499,
  [1821] = 1821,
  [1822] = 1731,
  [1823] = 1732,
  [1824] = 1735,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1500,
  [1828] = 1739,
  [1829] = 1517,
  [1830] = 1504,
  [1831] = 1740,
  [1832] = 1832,
  [1833] = 451,
  [1834] = 1834,
  [1835] = 1746,
  [1836] = 1836,
  [1837] = 455,
  [1838] = 1838,
  [1839] = 1519,
  [1840] = 1510,
  [1841] = 1506,
  [1842] = 510,
  [1843] = 1525,
  [1844] = 1753,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1513,
  [1853] = 1518,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1851,
  [1858] = 1858,
  [1859] = 1851,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1848,
  [1863] = 1863,
  [1864] = 1864,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1870,
  [1871] = 1871,
  [1872] = 1512,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1825,
  [1876] = 1848,
  [1877] = 1851,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1881,
  [1882] = 1882,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1528,
  [1889] = 1519,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1836,
  [1894] = 1894,
  [1895] = 1895,
  [1896] = 1524,
  [1897] = 1506,
  [1898] = 1898,
  [1899] = 1899,
  [1900] = 1848,
  [1901] = 1851,
  [1902] = 1847,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1906,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1757,
  [1914] = 714,
  [1915] = 1915,
  [1916] = 1851,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1923,
  [1925] = 1305,
  [1926] = 1922,
  [1927] = 1911,
  [1928] = 1855,
  [1929] = 1909,
  [1930] = 1905,
  [1931] = 1904,
  [1932] = 1908,
  [1933] = 1921,
  [1934] = 1885,
  [1935] = 1883,
  [1936] = 1845,
  [1937] = 1879,
  [1938] = 1878,
  [1939] = 1733,
  [1940] = 1906,
  [1941] = 1866,
  [1942] = 1736,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1858,
  [1946] = 1851,
  [1947] = 1920,
  [1948] = 1850,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 507,
  [1958] = 1958,
  [1959] = 1956,
  [1960] = 580,
  [1961] = 526,
  [1962] = 1962,
  [1963] = 549,
  [1964] = 1964,
  [1965] = 1965,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 531,
  [1970] = 1328,
  [1971] = 544,
  [1972] = 1972,
  [1973] = 521,
  [1974] = 529,
  [1975] = 530,
  [1976] = 1964,
  [1977] = 457,
  [1978] = 459,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 532,
  [1985] = 517,
  [1986] = 462,
  [1987] = 464,
  [1988] = 1988,
  [1989] = 465,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 534,
  [1994] = 467,
  [1995] = 502,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1965,
  [1999] = 468,
  [2000] = 469,
  [2001] = 568,
  [2002] = 527,
  [2003] = 2003,
  [2004] = 1966,
  [2005] = 495,
  [2006] = 2006,
  [2007] = 498,
  [2008] = 2008,
  [2009] = 1967,
  [2010] = 540,
  [2011] = 543,
  [2012] = 2012,
  [2013] = 499,
  [2014] = 2014,
  [2015] = 2015,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 1892,
  [2019] = 2019,
  [2020] = 500,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 579,
  [2024] = 501,
  [2025] = 2025,
  [2026] = 548,
  [2027] = 503,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 573,
  [2041] = 569,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 460,
  [2045] = 2045,
  [2046] = 559,
  [2047] = 511,
  [2048] = 2048,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 552,
  [2052] = 2052,
  [2053] = 572,
  [2054] = 525,
  [2055] = 2055,
  [2056] = 581,
  [2057] = 2057,
  [2058] = 2003,
  [2059] = 574,
  [2060] = 535,
  [2061] = 2061,
  [2062] = 582,
  [2063] = 575,
  [2064] = 2064,
  [2065] = 1990,
  [2066] = 2066,
  [2067] = 2067,
  [2068] = 475,
  [2069] = 2052,
  [2070] = 519,
  [2071] = 2017,
  [2072] = 2072,
  [2073] = 514,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2022,
  [2078] = 2078,
  [2079] = 1873,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 513,
  [2083] = 2034,
  [2084] = 2037,
  [2085] = 2085,
  [2086] = 536,
  [2087] = 2087,
  [2088] = 512,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 497,
  [2092] = 1826,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2074,
  [2096] = 516,
  [2097] = 528,
  [2098] = 2072,
  [2099] = 576,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2067,
  [2104] = 2104,
  [2105] = 2101,
  [2106] = 2106,
  [2107] = 577,
  [2108] = 2075,
  [2109] = 2109,
  [2110] = 496,
  [2111] = 551,
  [2112] = 2112,
  [2113] = 2113,
  [2114] = 2104,
  [2115] = 509,
  [2116] = 508,
  [2117] = 2117,
  [2118] = 550,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 547,
  [2124] = 2124,
  [2125] = 533,
  [2126] = 524,
  [2127] = 538,
  [2128] = 2078,
  [2129] = 541,
  [2130] = 2130,
  [2131] = 1519,
  [2132] = 2132,
  [2133] = 487,
  [2134] = 2120,
  [2135] = 1955,
  [2136] = 2122,
  [2137] = 2087,
  [2138] = 477,
  [2139] = 2124,
  [2140] = 2140,
  [2141] = 470,
  [2142] = 480,
  [2143] = 472,
  [2144] = 1955,
  [2145] = 2145,
  [2146] = 484,
  [2147] = 2147,
  [2148] = 522,
  [2149] = 473,
  [2150] = 486,
  [2151] = 2151,
  [2152] = 542,
  [2153] = 474,
  [2154] = 504,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 476,
  [2167] = 2167,
  [2168] = 466,
  [2169] = 2169,
  [2170] = 553,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 557,
  [2174] = 2174,
  [2175] = 2157,
  [2176] = 2159,
  [2177] = 2155,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 558,
  [2182] = 2182,
  [2183] = 2048,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 1838,
  [2187] = 2187,
  [2188] = 478,
  [2189] = 2093,
  [2190] = 555,
  [2191] = 2191,
  [2192] = 1874,
  [2193] = 561,
  [2194] = 492,
  [2195] = 2195,
  [2196] = 1981,
  [2197] = 560,
  [2198] = 554,
  [2199] = 2100,
  [2200] = 570,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 491,
  [2208] = 2163,
  [2209] = 567,
  [2210] = 2014,
  [2211] = 2015,
  [2212] = 2165,
  [2213] = 479,
  [2214] = 2106,
  [2215] = 2045,
  [2216] = 1958,
  [2217] = 488,
  [2218] = 1979,
  [2219] = 463,
  [2220] = 2057,
  [2221] = 578,
  [2222] = 1972,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 490,
  [2226] = 2156,
  [2227] = 461,
  [2228] = 2171,
  [2229] = 583,
  [2230] = 2066,
  [2231] = 2231,
  [2232] = 556,
  [2233] = 458,
  [2234] = 2234,
  [2235] = 2191,
  [2236] = 1968,
  [2237] = 1962,
  [2238] = 2238,
  [2239] = 562,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 1955,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 481,
  [2247] = 539,
  [2248] = 2248,
  [2249] = 1988,
  [2250] = 1980,
  [2251] = 2251,
  [2252] = 2191,
  [2253] = 2160,
  [2254] = 1955,
  [2255] = 2187,
  [2256] = 2182,
  [2257] = 1856,
  [2258] = 506,
  [2259] = 2259,
  [2260] = 2050,
  [2261] = 2261,
  [2262] = 2191,
  [2263] = 566,
  [2264] = 489,
  [2265] = 483,
  [2266] = 1992,
  [2267] = 2267,
  [2268] = 520,
  [2269] = 546,
  [2270] = 515,
  [2271] = 2271,
  [2272] = 565,
  [2273] = 2191,
  [2274] = 505,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 482,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 571,
  [2284] = 1533,
  [2285] = 2285,
  [2286] = 2191,
  [2287] = 2021,
  [2288] = 493,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 564,
  [2292] = 563,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 518,
  [2296] = 494,
  [2297] = 1955,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2304,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 1447,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2306,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 2306,
  [2333] = 2317,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2282,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2306,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2349,
  [2350] = 2350,
  [2351] = 2310,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2317,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2357,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2340,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2306,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2167,
  [2370] = 2341,
  [2371] = 2363,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2317,
  [2375] = 2375,
  [2376] = 2373,
  [2377] = 2377,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2310,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2304,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2164,
  [2394] = 2394,
  [2395] = 2377,
  [2396] = 2396,
  [2397] = 2378,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2309,
  [2402] = 2304,
  [2403] = 2316,
  [2404] = 2320,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2326,
  [2408] = 2408,
  [2409] = 1821,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2416,
  [2418] = 2306,
  [2419] = 2375,
  [2420] = 2356,
  [2421] = 2303,
  [2422] = 2415,
  [2423] = 2358,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2385,
  [2427] = 2380,
  [2428] = 2428,
  [2429] = 2327,
  [2430] = 2413,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2408,
  [2434] = 2434,
  [2435] = 2414,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2324,
  [2439] = 2439,
  [2440] = 1832,
  [2441] = 2331,
  [2442] = 2334,
  [2443] = 2443,
  [2444] = 2434,
  [2445] = 2445,
  [2446] = 2336,
  [2447] = 2447,
  [2448] = 2012,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2451,
  [2452] = 2310,
  [2453] = 2453,
  [2454] = 2428,
  [2455] = 2355,
  [2456] = 2335,
  [2457] = 2443,
  [2458] = 2410,
  [2459] = 2459,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2445,
  [2463] = 2463,
  [2464] = 2406,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2381,
  [2468] = 2384,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2473,
  [2474] = 2474,
  [2475] = 2449,
  [2476] = 2411,
  [2477] = 2451,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2459,
  [2481] = 2460,
  [2482] = 901,
  [2483] = 2317,
  [2484] = 2398,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2317,
  [2489] = 2486,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2391,
  [2496] = 2496,
  [2497] = 2388,
  [2498] = 2498,
  [2499] = 2470,
  [2500] = 1834,
  [2501] = 2492,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 1429,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 1871,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2516,
  [2517] = 2515,
  [2518] = 2516,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2513,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2521,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2523,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2527,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2523,
  [2555] = 2528,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2562,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2008,
  [2566] = 2507,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2512,
  [2570] = 2534,
  [2571] = 2571,
  [2572] = 2543,
  [2573] = 2573,
  [2574] = 2557,
  [2575] = 2534,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2553,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2538,
  [2582] = 2552,
  [2583] = 2524,
  [2584] = 2553,
  [2585] = 2551,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2558,
  [2590] = 2536,
  [2591] = 2568,
  [2592] = 2561,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2562,
  [2596] = 2560,
  [2597] = 2597,
  [2598] = 2505,
  [2599] = 2599,
  [2600] = 2577,
  [2601] = 2601,
  [2602] = 2550,
  [2603] = 2580,
  [2604] = 2520,
  [2605] = 2586,
  [2606] = 2587,
  [2607] = 2549,
  [2608] = 2608,
  [2609] = 2524,
  [2610] = 2610,
  [2611] = 2588,
  [2612] = 2612,
  [2613] = 2542,
  [2614] = 2567,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2619,
  [2620] = 2530,
  [2621] = 2532,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2525,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2601,
  [2628] = 2628,
  [2629] = 2561,
  [2630] = 2599,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2562,
  [2634] = 2625,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2628,
  [2638] = 2516,
  [2639] = 2551,
  [2640] = 2640,
  [2641] = 2549,
  [2642] = 2550,
  [2643] = 2551,
  [2644] = 2644,
  [2645] = 2505,
  [2646] = 2646,
  [2647] = 2567,
  [2648] = 2648,
  [2649] = 2608,
  [2650] = 2564,
  [2651] = 2534,
  [2652] = 2652,
  [2653] = 2560,
  [2654] = 2567,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 2534,
  [2658] = 2658,
  [2659] = 2538,
  [2660] = 2660,
  [2661] = 2546,
  [2662] = 2662,
  [2663] = 2556,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2516,
  [2667] = 2547,
  [2668] = 2668,
  [2669] = 2612,
  [2670] = 2670,
  [2671] = 2557,
  [2672] = 2505,
  [2673] = 2523,
  [2674] = 2535,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2564,
  [2678] = 2652,
  [2679] = 2679,
  [2680] = 2597,
  [2681] = 2681,
  [2682] = 2557,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2560,
  [2686] = 2561,
  [2687] = 2562,
  [2688] = 2626,
  [2689] = 2564,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2505,
  [2693] = 2693,
  [2694] = 2516,
  [2695] = 2550,
  [2696] = 2549,
  [2697] = 2697,
  [2698] = 2524,
  [2699] = 2567,
  [2700] = 2505,
  [2701] = 2701,
  [2702] = 2665,
  [2703] = 2626,
  [2704] = 2535,
  [2705] = 2546,
  [2706] = 2516,
  [2707] = 2683,
  [2708] = 2708,
  [2709] = 2515,
  [2710] = 2506,
  [2711] = 2524,
  [2712] = 2665,
  [2713] = 2664,
  [2714] = 2551,
  [2715] = 2615,
  [2716] = 2505,
  [2717] = 2616,
  [2718] = 2617,
  [2719] = 2618,
  [2720] = 2708,
  [2721] = 2721,
  [2722] = 2619,
  [2723] = 2543,
  [2724] = 2539,
  [2725] = 2626,
  [2726] = 2553,
  [2727] = 2231,
  [2728] = 2728,
  [2729] = 2538,
  [2730] = 2708,
  [2731] = 2626,
  [2732] = 2665,
  [2733] = 2683,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2535,
  [2737] = 2571,
  [2738] = 2683,
  [2739] = 2708,
  [2740] = 2740,
  [2741] = 2741,
};

static TSCharacterRange sym_escape_sequence_character_set_1[] = {
  {'"', '"'}, {'$', '$'}, {'0', '7'}, {'\\', '\\'}, {'`', '`'}, {'e', 'f'}, {'n', 'n'}, {'r', 'r'},
  {'t', 'v'}, {'x', 'x'},
};

static TSCharacterRange sym_name_character_set_1[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0x80, 0x9f}, {0xa1, 0x200a}, {0x200c, 0x205f}, {0x2061, 0xfefe},
  {0xff00, 0xffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 135,
        '"', 184,
        '#', 264,
        '$', 188,
        '%', 224,
        '&', 85,
        '\'', 186,
        '(', 95,
        ')', 96,
        '*', 219,
        '+', 127,
        ',', 86,
        '-', 130,
        '.', 217,
        '/', 222,
        '0', 117,
        ':', 93,
        ';', 82,
        '<', 205,
        '=', 87,
        '>', 206,
        '?', 100,
        '@', 136,
        '[', 155,
        '\\', 89,
        ']', 156,
        '^', 196,
        '_', 259,
        '`', 187,
        '{', 90,
        '|', 105,
        '}', 91,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 225,
        'b', 225,
        'E', 228,
        'e', 228,
        'F', 229,
        'f', 229,
        'I', 243,
        'i', 243,
        'N', 257,
        'n', 257,
        'S', 255,
        's', 255,
        'T', 248,
        't', 248,
        'U', 241,
        'u', 241,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(262);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(262);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(263);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 185,
        '\r', 185,
        '"', 184,
        '#', 265,
        '$', 188,
        '-', 31,
        '/', 20,
        '?', 33,
        '[', 155,
        '\\', 35,
        '{', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 185,
        '\r', 185,
        '#', 265,
        '$', 188,
        '-', 31,
        '/', 20,
        '?', 33,
        '[', 155,
        '\\', 36,
        '{', 90,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 135,
        '"', 169,
        '#', 264,
        '$', 188,
        '%', 223,
        '&', 84,
        '\'', 171,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 126,
        ',', 86,
        '-', 129,
        '.', 217,
        '/', 221,
        '0', 117,
        ':', 92,
        ';', 82,
        '<', 202,
        '=', 30,
        '>', 207,
        '?', 103,
        '@', 136,
        '[', 155,
        '\\', 88,
        ']', 156,
        '^', 195,
        '_', 259,
        '`', 187,
        '{', 90,
        '|', 106,
        '}', 91,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 226,
        'b', 226,
        'E', 228,
        'e', 228,
        'F', 230,
        'f', 230,
        'N', 257,
        'n', 257,
        'T', 248,
        't', 248,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 134,
        '"', 169,
        '#', 264,
        '$', 188,
        '&', 83,
        '\'', 171,
        '(', 97,
        ')', 98,
        '+', 126,
        ',', 86,
        '-', 129,
        '.', 113,
        '/', 20,
        '0', 117,
        '<', 27,
        '?', 33,
        '@', 136,
        '[', 155,
        '\\', 88,
        ']', 156,
        '_', 259,
        '`', 187,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 226,
        'b', 226,
        'E', 228,
        'e', 228,
        'F', 230,
        'f', 230,
        'N', 257,
        'n', 257,
        'T', 248,
        't', 248,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 134,
        '"', 169,
        '#', 264,
        '$', 188,
        '\'', 171,
        '(', 97,
        '+', 126,
        '-', 129,
        '.', 114,
        '/', 20,
        '0', 117,
        '<', 27,
        '?', 33,
        '@', 136,
        '[', 155,
        '\\', 88,
        '_', 259,
        '`', 187,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 225,
        'b', 225,
        'E', 228,
        'e', 228,
        'F', 229,
        'f', 229,
        'I', 243,
        'i', 243,
        'N', 257,
        'n', 257,
        'S', 255,
        's', 255,
        'T', 248,
        't', 248,
        'U', 241,
        'u', 241,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 29,
        '"', 169,
        '#', 265,
        '$', 188,
        '%', 223,
        '&', 84,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 126,
        ',', 86,
        '-', 131,
        '.', 216,
        '/', 221,
        ':', 93,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 207,
        '?', 101,
        '[', 155,
        '\\', 35,
        ']', 156,
        '^', 195,
        '`', 187,
        '{', 90,
        '|', 106,
        '}', 91,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 29,
        '"', 169,
        '#', 265,
        '$', 188,
        '%', 223,
        '&', 84,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 126,
        ',', 86,
        '-', 131,
        '.', 216,
        '/', 221,
        ':', 93,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 207,
        '?', 101,
        '[', 155,
        '\\', 36,
        ']', 156,
        '^', 195,
        '`', 187,
        '{', 90,
        '|', 106,
        '}', 91,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 29,
        '#', 265,
        '$', 188,
        '%', 223,
        '&', 84,
        '\'', 186,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 125,
        ',', 86,
        '-', 132,
        '.', 216,
        '/', 221,
        '0', 122,
        ':', 93,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 207,
        '?', 101,
        '[', 155,
        '\\', 88,
        ']', 156,
        '^', 195,
        '{', 90,
        '|', 106,
        '}', 91,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 29,
        '#', 265,
        '$', 188,
        '%', 223,
        '&', 84,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 125,
        ',', 86,
        '-', 132,
        '.', 216,
        '/', 221,
        '0', 122,
        ':', 93,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 207,
        '?', 101,
        '[', 155,
        '\\', 88,
        ']', 156,
        '^', 195,
        '{', 90,
        '|', 106,
        '}', 91,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 29,
        '#', 265,
        '$', 188,
        '%', 223,
        '&', 84,
        '(', 97,
        ')', 98,
        '*', 220,
        '+', 125,
        ',', 86,
        '-', 128,
        '.', 216,
        '/', 221,
        ':', 93,
        ';', 82,
        '<', 204,
        '=', 87,
        '>', 207,
        '?', 103,
        '\\', 88,
        ']', 156,
        '^', 195,
        '{', 90,
        '|', 106,
        '}', 91,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '\'') ADVANCE(170);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '"', 169,
        '#', 265,
        '\'', 171,
        '.', 114,
        '/', 20,
        '0', 117,
        '<', 27,
        '?', 33,
        '_', 56,
        'B', 13,
        'b', 13,
        'E', 39,
        'e', 39,
        'F', 40,
        'f', 40,
        'N', 50,
        'n', 50,
        'T', 47,
        't', 47,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '#', 264,
        '$', 188,
        '&', 83,
        '(', 97,
        ')', 98,
        ',', 86,
        '.', 23,
        '/', 20,
        '?', 102,
        '\\', 88,
        '}', 91,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '#', 265,
        '$', 188,
        '&', 83,
        '(', 95,
        ')', 96,
        '/', 20,
        ';', 82,
        '?', 102,
        '\\', 88,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '#', 265,
        '$', 188,
        '&', 83,
        '(', 97,
        ')', 98,
        '.', 23,
        '/', 20,
        '=', 32,
        '?', 102,
        '\\', 88,
        '{', 90,
        '|', 104,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '#', 265,
        '$', 188,
        '&', 83,
        '(', 97,
        '/', 20,
        ';', 82,
        '?', 102,
        '\\', 88,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(181);
      if (lookahead == '\'') ADVANCE(171);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '?') ADVANCE(179);
      if (lookahead == '\\') ADVANCE(38);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(175);
      if (lookahead != 0) ADVANCE(182);
      END_STATE();
    case 20:
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(263);
      END_STATE();
    case 21:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(21);
      if (lookahead != 0) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '.') ADVANCE(25);
      END_STATE();
    case 24:
      if (lookahead == '.') ADVANCE(114);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(99);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(183);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(26);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(26);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(94);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(94);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(70);
      END_STATE();
    case 34:
      if (lookahead == '>') ADVANCE(154);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(167);
      if (lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(164);
      if (set_contains(sym_escape_sequence_character_set_1, 10, lookahead)) ADVANCE(162);
      END_STATE();
    case 36:
      if (lookahead == 'u') ADVANCE(166);
      END_STATE();
    case 37:
      if (lookahead == '}') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(172);
      if (lookahead != 0) ADVANCE(182);
      END_STATE();
    case 39:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 40:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 41:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 42:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(46);
      END_STATE();
    case 43:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 44:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 45:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(68);
      END_STATE();
    case 47:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 48:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(41);
      END_STATE();
    case 49:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 50:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 51:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(120);
      END_STATE();
    case 52:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(123);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(24);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(165);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 62:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 135,
        '"', 169,
        '#', 264,
        '$', 188,
        '%', 224,
        '&', 85,
        '\'', 171,
        '(', 97,
        ')', 98,
        '*', 219,
        '+', 127,
        ',', 86,
        '-', 130,
        '.', 217,
        '/', 222,
        '0', 117,
        ':', 93,
        ';', 82,
        '<', 205,
        '=', 87,
        '>', 206,
        '?', 100,
        '@', 136,
        '[', 155,
        '\\', 89,
        ']', 156,
        '^', 196,
        '_', 259,
        '`', 187,
        '{', 90,
        '|', 105,
        '}', 91,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 225,
        'b', 225,
        'E', 228,
        'e', 228,
        'F', 229,
        'f', 229,
        'I', 243,
        'i', 243,
        'N', 257,
        'n', 257,
        'S', 255,
        's', 255,
        'T', 248,
        't', 248,
        'U', 241,
        'u', 241,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(62);
      if (('C' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 63:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 134,
        '"', 169,
        '#', 264,
        '$', 188,
        '&', 83,
        '\'', 171,
        '(', 97,
        ')', 98,
        '+', 126,
        ',', 86,
        '-', 129,
        '.', 114,
        '/', 20,
        '0', 117,
        ':', 92,
        ';', 82,
        '<', 27,
        '=', 32,
        '?', 33,
        '@', 136,
        '[', 155,
        '\\', 88,
        ']', 156,
        '_', 259,
        '`', 187,
        '{', 90,
        '}', 91,
        '~', 133,
        'A', 249,
        'a', 249,
        'B', 226,
        'b', 226,
        'E', 228,
        'e', 228,
        'F', 230,
        'f', 230,
        'N', 257,
        'n', 257,
        'T', 248,
        't', 248,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(63);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 64:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '!', 29,
        '"', 169,
        '#', 265,
        '$', 188,
        '%', 224,
        '&', 85,
        '\'', 171,
        '(', 97,
        ')', 98,
        '*', 219,
        '+', 127,
        ',', 86,
        '-', 130,
        '.', 218,
        '/', 222,
        '0', 122,
        ':', 93,
        ';', 82,
        '<', 203,
        '=', 87,
        '>', 206,
        '?', 100,
        '[', 155,
        '\\', 88,
        ']', 156,
        '^', 196,
        '{', 90,
        '|', 105,
        '}', 91,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(124);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(64);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 65:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '"', 169,
        '#', 265,
        '$', 188,
        '&', 83,
        '\'', 171,
        '(', 97,
        ')', 98,
        '.', 23,
        '/', 20,
        '<', 28,
        '?', 33,
        '[', 155,
        '\\', 88,
        '|', 104,
        '}', 91,
        'A', 249,
        'a', 249,
        'B', 226,
        'b', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(65);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('c' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 66:
      if (eof) ADVANCE(67);
      ADVANCE_MAP(
        '#', 80,
        '/', 75,
        '<', 71,
        '?', 78,
        0xa0, 74,
        0x200b, 74,
        0x2060, 74,
        0xfeff, 74,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (lookahead != 0) ADVANCE(81);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(68);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(42);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(81);
      if (lookahead == '\r') ADVANCE(73);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(80);
      if (lookahead == '/') ADVANCE(75);
      if (lookahead == '?') ADVANCE(78);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(74);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(74);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(77);
      if (lookahead == '/') ADVANCE(79);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '/') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(77);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '?') ADVANCE(72);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(81);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(81);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(194);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(194);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(197);
      if (lookahead == '>') ADVANCE(94);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(172);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(137);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_RPAREN2);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(190);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '-') ADVANCE(34);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(189);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(70);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(70);
      if (lookahead == '?') ADVANCE(189);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(151);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(193);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym_cast_type_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym_cast_type_token3);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_cast_type_token6);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym_cast_type_token8);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym_cast_type_token11);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym_cast_type_token12);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(260);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 114,
        '_', 52,
        'B', 51,
        'b', 51,
        'E', 39,
        'e', 39,
        'O', 123,
        'o', 123,
        'X', 59,
        'x', 59,
        '8', 24,
        '9', 24,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(114);
      if (lookahead == '_') ADVANCE(52);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(114);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(51);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(123);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(123);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(139);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(139);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(138);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '=') ADVANCE(145);
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(138);
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(198);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_QMARK_DASH_GT);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym__argument_name_token1);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym__argument_name_token2);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_POUND_LBRACK);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(162);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(163);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(162);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_BSLASHu);
      if (lookahead == '{') ADVANCE(61);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_encapsed_string_token1);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_string_token1);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym_string_token2);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead == '\r') ADVANCE(174);
      if (lookahead == '>') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '#') ADVANCE(181);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '?') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(175);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(178);
      if (lookahead == '/') ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead == '/') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '*') ADVANCE(177);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(178);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '>') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '?') ADVANCE(173);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == '?' ||
          lookahead == '[') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '[' &&
          lookahead != '\\') ADVANCE(180);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DQUOTE2);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym__new_line);
      if (lookahead == '\n') ADVANCE(185);
      if (lookahead == '\r') ADVANCE(185);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(200);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(201);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(212);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(213);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(208);
      if (lookahead == '>') ADVANCE(199);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(69);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(215);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(214);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(210);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '<') ADVANCE(183);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(25);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(192);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(191);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(263);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(22);
      if (lookahead == '/') ADVANCE(263);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '\'') ADVANCE(170);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(245);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(168);
      if (lookahead == '\'') ADVANCE(170);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(114);
      if (lookahead == '_') ADVANCE(259);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(228);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(227);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (0x80 <= lookahead && lookahead <= 0x9f) ||
          (0xa1 <= lookahead && lookahead <= 0x200a) ||
          (0x200c <= lookahead && lookahead <= 0x205f) ||
          (0x2061 <= lookahead && lookahead <= 0xfefe) ||
          (0xff00 <= lookahead && lookahead <= 0xffff)) ADVANCE(261);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(240);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(244);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(240);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(258);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(160);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(111);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(242);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(108);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(158);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(238);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(250);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(251);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(235);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(252);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(232);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(237);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(236);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(256);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(246);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(234);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(109);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(110);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(247);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(233);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(239);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(107);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(227);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_name);
      if (set_contains(sym_name_character_set_1, 9, lookahead)) ADVANCE(261);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(263);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?') ADVANCE(263);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '?' &&
          lookahead != '[') ADVANCE(263);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'E', 3,
        'F', 4,
        'I', 5,
        'M', 6,
        'N', 7,
        'P', 8,
        'S', 9,
        'T', 10,
        'U', 11,
        'V', 12,
        'a', 13,
        'b', 14,
        'e', 15,
        'f', 16,
        'i', 17,
        'm', 18,
        'n', 19,
        'p', 20,
        's', 21,
        't', 22,
        'u', 23,
        'v', 24,
        'C', 25,
        'c', 25,
        'D', 26,
        'd', 26,
        'G', 27,
        'g', 27,
        'L', 28,
        'l', 28,
        'O', 29,
        'o', 29,
        'R', 30,
        'r', 30,
        'W', 31,
        'w', 31,
        'X', 32,
        'x', 32,
        'Y', 33,
        'y', 33,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(38);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'N', 42,
        'n', 42,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 5:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 6:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(54);
      END_STATE();
    case 8:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(57);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 10:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 11:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(63);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(34);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(35);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(36);
      END_STATE();
    case 14:
      if (lookahead == 'O') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(37);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'N', 42,
        'n', 65,
        'C', 40,
        'c', 40,
        'L', 41,
        'l', 41,
        'X', 43,
        'x', 43,
      );
      END_STATE();
    case 16:
      ADVANCE_MAP(
        'a', 66,
        'l', 67,
        'I', 44,
        'i', 44,
        'N', 45,
        'n', 45,
        'O', 46,
        'o', 46,
        'R', 47,
        'r', 47,
        'U', 48,
        'u', 48,
      );
      END_STATE();
    case 17:
      if (lookahead == 'N') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(49);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(50);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(72);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(55);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(56);
      END_STATE();
    case 21:
      if (lookahead == 'T') ADVANCE(57);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(58);
      END_STATE();
    case 22:
      if (lookahead == 'R') ADVANCE(60);
      if (lookahead == 'i') ADVANCE(76);
      if (lookahead == 'r') ADVANCE(77);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(59);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(61);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(79);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 25:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(80);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(83);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(85);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 28:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 29:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(88);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 30:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 31:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(91);
      END_STATE();
    case 32:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(aux_sym_namespace_use_clause_token1);
      END_STATE();
    case 37:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 38:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 39:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 40:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 42:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(103);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(104);
      END_STATE();
    case 44:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym__arrow_function_header_token1);
      END_STATE();
    case 46:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(108);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 50:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(109);
      END_STATE();
    case 51:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 54:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 55:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(116);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(118);
      END_STATE();
    case 57:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'O') ADVANCE(97);
      if (lookahead == 'o') ADVANCE(127);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(128);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(101);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(102);
      END_STATE();
    case 66:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 67:
      if (lookahead == 'o') ADVANCE(130);
      END_STATE();
    case 68:
      if (lookahead == 'T') ADVANCE(112);
      if (lookahead == 't') ADVANCE(131);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(110);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'x') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'v') ADVANCE(134);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 74:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(138);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 77:
      if (lookahead == 'u') ADVANCE(140);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(122);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(123);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(143);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(144);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(145);
      END_STATE();
    case 81:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(146);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(147);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 83:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(149);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(151);
      END_STATE();
    case 85:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(152);
      END_STATE();
    case 86:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(153);
      END_STATE();
    case 87:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(154);
      END_STATE();
    case 88:
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(155);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 90:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(157);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(158);
      END_STATE();
    case 91:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(159);
      END_STATE();
    case 92:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 93:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 94:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 96:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(163);
      END_STATE();
    case 97:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(164);
      END_STATE();
    case 98:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(165);
      END_STATE();
    case 99:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 100:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        'D', 168,
        'd', 168,
        'F', 169,
        'f', 169,
        'I', 170,
        'i', 170,
        'S', 171,
        's', 171,
        'W', 172,
        'w', 172,
      );
      END_STATE();
    case 102:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(173);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(174);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 105:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(176);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 107:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 108:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 109:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 112:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(184);
      END_STATE();
    case 114:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__new_non_dereferencable_expression_token1);
      END_STATE();
    case 116:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(186);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 117:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(188);
      END_STATE();
    case 118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 119:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 121:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 122:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 127:
      if (lookahead == 'L') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(196);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 130:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(201);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 137:
      if (lookahead == 'f') ADVANCE(204);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 139:
      if (lookahead == 'k') ADVANCE(206);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 142:
      if (lookahead == 'd') ADVANCE(209);
      END_STATE();
    case 143:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 144:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 145:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 146:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(213);
      END_STATE();
    case 147:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(214);
      END_STATE();
    case 148:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(215);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(216);
      END_STATE();
    case 149:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 150:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(218);
      END_STATE();
    case 151:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 152:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(220);
      END_STATE();
    case 153:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(221);
      END_STATE();
    case 154:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(222);
      END_STATE();
    case 155:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 156:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(224);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(225);
      END_STATE();
    case 157:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(226);
      END_STATE();
    case 158:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(227);
      END_STATE();
    case 159:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 161:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(230);
      END_STATE();
    case 163:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 164:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 165:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 168:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 169:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(236);
      END_STATE();
    case 170:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(237);
      END_STATE();
    case 171:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(238);
      END_STATE();
    case 172:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(239);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym_enum_declaration_token1);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym_exit_statement_token1);
      END_STATE();
    case 175:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(240);
      END_STATE();
    case 176:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(241);
      END_STATE();
    case 177:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(242);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym_yield_expression_token2);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(243);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(245);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(246);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(247);
      END_STATE();
    case 183:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(248);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 184:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(250);
      END_STATE();
    case 185:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      END_STATE();
    case 186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 187:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      END_STATE();
    case 188:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 189:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(257);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(259);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(260);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 198:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 200:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 201:
      if (lookahead == 'r') ADVANCE(266);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 205:
      if (lookahead == 'c') ADVANCE(268);
      if (lookahead == 'n') ADVANCE(269);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 208:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 210:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(aux_sym_enum_case_token1);
      END_STATE();
    case 212:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 213:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(274);
      END_STATE();
    case 214:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 215:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(276);
      END_STATE();
    case 216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 217:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(278);
      END_STATE();
    case 218:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(279);
      END_STATE();
    case 219:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 220:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__list_destructing_token1);
      END_STATE();
    case 223:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(282);
      END_STATE();
    case 224:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(283);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_cast_type_token10);
      END_STATE();
    case 226:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 227:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 229:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(287);
      END_STATE();
    case 230:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 231:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(289);
      END_STATE();
    case 232:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(290);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 234:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(291);
      END_STATE();
    case 235:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(292);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 239:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(296);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(aux_sym_final_modifier_token1);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(297);
      END_STATE();
    case 242:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(298);
      END_STATE();
    case 243:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 244:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(300);
      END_STATE();
    case 245:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(301);
      END_STATE();
    case 246:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 247:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 248:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      END_STATE();
    case 249:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(305);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(aux_sym_match_expression_token1);
      END_STATE();
    case 251:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(306);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_print_intrinsic_token1);
      END_STATE();
    case 253:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(307);
      END_STATE();
    case 254:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(308);
      END_STATE();
    case 255:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(309);
      END_STATE();
    case 256:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(310);
      END_STATE();
    case 257:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(311);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(312);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_mixed);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_bottom_type);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 268:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 269:
      if (lookahead == 'g') ADVANCE(316);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 272:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(317);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_clone_expression_token1);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token2);
      END_STATE();
    case 277:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 278:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 281:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(322);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(323);
      END_STATE();
    case 283:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(324);
      END_STATE();
    case 284:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(325);
      END_STATE();
    case 285:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(aux_sym_yield_expression_token1);
      END_STATE();
    case 288:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_cast_type_token2);
      END_STATE();
    case 290:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(328);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 292:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(329);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(332);
      END_STATE();
    case 296:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(333);
      END_STATE();
    case 297:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(334);
      END_STATE();
    case 298:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(335);
      END_STATE();
    case 299:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(336);
      END_STATE();
    case 300:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 301:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 302:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(339);
      END_STATE();
    case 303:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(340);
      END_STATE();
    case 304:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 305:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 308:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(345);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 313:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 315:
      if (lookahead == '_') ADVANCE(348);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 317:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 318:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(350);
      END_STATE();
    case 319:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 320:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(352);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_cast_type_token5);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_cast_type_token9);
      END_STATE();
    case 324:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(353);
      END_STATE();
    case 325:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 327:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(355);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_cast_type_token4);
      END_STATE();
    case 329:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(356);
      END_STATE();
    case 330:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(357);
      END_STATE();
    case 331:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(359);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 336:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 337:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(362);
      END_STATE();
    case 339:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(363);
      END_STATE();
    case 340:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_cast_type_token7);
      END_STATE();
    case 342:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(365);
      END_STATE();
    case 343:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(366);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 345:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 346:
      if (lookahead == 'g') ADVANCE(368);
      END_STATE();
    case 347:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(370);
      END_STATE();
    case 349:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 350:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(aux_sym_match_default_expression_token1);
      END_STATE();
    case 353:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(373);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(374);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(aux_sym_abstract_modifier_token1);
      END_STATE();
    case 356:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 357:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 358:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(377);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(aux_sym__namespace_use_type_token1);
      END_STATE();
    case 361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(378);
      END_STATE();
    case 362:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 363:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(380);
      END_STATE();
    case 364:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(381);
      END_STATE();
    case 365:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 370:
      if (lookahead == 'y') ADVANCE(385);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_primitive_type_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_readonly_modifier_token1);
      END_STATE();
    case 374:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(386);
      END_STATE();
    case 375:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 376:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(388);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 378:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 379:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(390);
      END_STATE();
    case 380:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(391);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 385:
      if (lookahead == 'p') ADVANCE(392);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(393);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_declare_statement_token2);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 390:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(394);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 392:
      if (lookahead == 'e') ADVANCE(395);
      END_STATE();
    case 393:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 394:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 395:
      if (lookahead == 's') ADVANCE(398);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 66},
  [2] = {.lex_state = 63},
  [3] = {.lex_state = 63},
  [4] = {.lex_state = 63},
  [5] = {.lex_state = 63},
  [6] = {.lex_state = 63},
  [7] = {.lex_state = 63},
  [8] = {.lex_state = 63},
  [9] = {.lex_state = 63},
  [10] = {.lex_state = 63, .external_lex_state = 2},
  [11] = {.lex_state = 63, .external_lex_state = 2},
  [12] = {.lex_state = 63},
  [13] = {.lex_state = 63, .external_lex_state = 2},
  [14] = {.lex_state = 63, .external_lex_state = 2},
  [15] = {.lex_state = 63},
  [16] = {.lex_state = 63, .external_lex_state = 2},
  [17] = {.lex_state = 63, .external_lex_state = 2},
  [18] = {.lex_state = 63, .external_lex_state = 2},
  [19] = {.lex_state = 63, .external_lex_state = 2},
  [20] = {.lex_state = 63, .external_lex_state = 2},
  [21] = {.lex_state = 63, .external_lex_state = 2},
  [22] = {.lex_state = 63, .external_lex_state = 2},
  [23] = {.lex_state = 63, .external_lex_state = 2},
  [24] = {.lex_state = 63, .external_lex_state = 2},
  [25] = {.lex_state = 63, .external_lex_state = 2},
  [26] = {.lex_state = 63, .external_lex_state = 2},
  [27] = {.lex_state = 63, .external_lex_state = 2},
  [28] = {.lex_state = 63, .external_lex_state = 2},
  [29] = {.lex_state = 63, .external_lex_state = 2},
  [30] = {.lex_state = 63, .external_lex_state = 2},
  [31] = {.lex_state = 63, .external_lex_state = 2},
  [32] = {.lex_state = 63, .external_lex_state = 2},
  [33] = {.lex_state = 63, .external_lex_state = 2},
  [34] = {.lex_state = 63, .external_lex_state = 2},
  [35] = {.lex_state = 63, .external_lex_state = 2},
  [36] = {.lex_state = 63, .external_lex_state = 2},
  [37] = {.lex_state = 63, .external_lex_state = 2},
  [38] = {.lex_state = 63, .external_lex_state = 2},
  [39] = {.lex_state = 63, .external_lex_state = 2},
  [40] = {.lex_state = 63, .external_lex_state = 2},
  [41] = {.lex_state = 63, .external_lex_state = 2},
  [42] = {.lex_state = 63, .external_lex_state = 2},
  [43] = {.lex_state = 63, .external_lex_state = 2},
  [44] = {.lex_state = 63, .external_lex_state = 2},
  [45] = {.lex_state = 63, .external_lex_state = 2},
  [46] = {.lex_state = 63, .external_lex_state = 2},
  [47] = {.lex_state = 63, .external_lex_state = 2},
  [48] = {.lex_state = 63, .external_lex_state = 2},
  [49] = {.lex_state = 63, .external_lex_state = 2},
  [50] = {.lex_state = 63, .external_lex_state = 2},
  [51] = {.lex_state = 63, .external_lex_state = 2},
  [52] = {.lex_state = 63},
  [53] = {.lex_state = 63},
  [54] = {.lex_state = 63},
  [55] = {.lex_state = 63},
  [56] = {.lex_state = 63},
  [57] = {.lex_state = 63},
  [58] = {.lex_state = 63},
  [59] = {.lex_state = 63},
  [60] = {.lex_state = 63},
  [61] = {.lex_state = 63},
  [62] = {.lex_state = 63},
  [63] = {.lex_state = 63},
  [64] = {.lex_state = 63},
  [65] = {.lex_state = 63},
  [66] = {.lex_state = 63},
  [67] = {.lex_state = 63},
  [68] = {.lex_state = 63},
  [69] = {.lex_state = 63},
  [70] = {.lex_state = 63},
  [71] = {.lex_state = 63},
  [72] = {.lex_state = 63},
  [73] = {.lex_state = 63},
  [74] = {.lex_state = 63},
  [75] = {.lex_state = 63},
  [76] = {.lex_state = 63},
  [77] = {.lex_state = 63},
  [78] = {.lex_state = 63},
  [79] = {.lex_state = 63},
  [80] = {.lex_state = 63},
  [81] = {.lex_state = 63},
  [82] = {.lex_state = 63},
  [83] = {.lex_state = 63},
  [84] = {.lex_state = 63},
  [85] = {.lex_state = 63},
  [86] = {.lex_state = 63},
  [87] = {.lex_state = 63},
  [88] = {.lex_state = 63},
  [89] = {.lex_state = 63},
  [90] = {.lex_state = 63},
  [91] = {.lex_state = 63},
  [92] = {.lex_state = 63},
  [93] = {.lex_state = 63},
  [94] = {.lex_state = 63},
  [95] = {.lex_state = 63},
  [96] = {.lex_state = 63},
  [97] = {.lex_state = 63},
  [98] = {.lex_state = 63},
  [99] = {.lex_state = 63},
  [100] = {.lex_state = 63},
  [101] = {.lex_state = 63},
  [102] = {.lex_state = 63},
  [103] = {.lex_state = 63},
  [104] = {.lex_state = 63},
  [105] = {.lex_state = 63},
  [106] = {.lex_state = 63},
  [107] = {.lex_state = 63},
  [108] = {.lex_state = 63},
  [109] = {.lex_state = 63},
  [110] = {.lex_state = 63},
  [111] = {.lex_state = 63},
  [112] = {.lex_state = 63},
  [113] = {.lex_state = 63},
  [114] = {.lex_state = 63},
  [115] = {.lex_state = 63},
  [116] = {.lex_state = 63},
  [117] = {.lex_state = 63},
  [118] = {.lex_state = 5},
  [119] = {.lex_state = 5, .external_lex_state = 2},
  [120] = {.lex_state = 5},
  [121] = {.lex_state = 5},
  [122] = {.lex_state = 7},
  [123] = {.lex_state = 7},
  [124] = {.lex_state = 7},
  [125] = {.lex_state = 7},
  [126] = {.lex_state = 7},
  [127] = {.lex_state = 7},
  [128] = {.lex_state = 7},
  [129] = {.lex_state = 7},
  [130] = {.lex_state = 7},
  [131] = {.lex_state = 7},
  [132] = {.lex_state = 7},
  [133] = {.lex_state = 6},
  [134] = {.lex_state = 6},
  [135] = {.lex_state = 6},
  [136] = {.lex_state = 6},
  [137] = {.lex_state = 6},
  [138] = {.lex_state = 6},
  [139] = {.lex_state = 6},
  [140] = {.lex_state = 6},
  [141] = {.lex_state = 6},
  [142] = {.lex_state = 6},
  [143] = {.lex_state = 6},
  [144] = {.lex_state = 6},
  [145] = {.lex_state = 6},
  [146] = {.lex_state = 6},
  [147] = {.lex_state = 6},
  [148] = {.lex_state = 6},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 6},
  [151] = {.lex_state = 6},
  [152] = {.lex_state = 6},
  [153] = {.lex_state = 6},
  [154] = {.lex_state = 6},
  [155] = {.lex_state = 6},
  [156] = {.lex_state = 6},
  [157] = {.lex_state = 6},
  [158] = {.lex_state = 6},
  [159] = {.lex_state = 6},
  [160] = {.lex_state = 6},
  [161] = {.lex_state = 6},
  [162] = {.lex_state = 6},
  [163] = {.lex_state = 6},
  [164] = {.lex_state = 6},
  [165] = {.lex_state = 63},
  [166] = {.lex_state = 6},
  [167] = {.lex_state = 6},
  [168] = {.lex_state = 6},
  [169] = {.lex_state = 6},
  [170] = {.lex_state = 63},
  [171] = {.lex_state = 63},
  [172] = {.lex_state = 6},
  [173] = {.lex_state = 63},
  [174] = {.lex_state = 63},
  [175] = {.lex_state = 63},
  [176] = {.lex_state = 63},
  [177] = {.lex_state = 6},
  [178] = {.lex_state = 63},
  [179] = {.lex_state = 63},
  [180] = {.lex_state = 63},
  [181] = {.lex_state = 63},
  [182] = {.lex_state = 63},
  [183] = {.lex_state = 63},
  [184] = {.lex_state = 6},
  [185] = {.lex_state = 63},
  [186] = {.lex_state = 63},
  [187] = {.lex_state = 63},
  [188] = {.lex_state = 63, .external_lex_state = 2},
  [189] = {.lex_state = 63},
  [190] = {.lex_state = 63},
  [191] = {.lex_state = 63},
  [192] = {.lex_state = 63},
  [193] = {.lex_state = 63},
  [194] = {.lex_state = 63},
  [195] = {.lex_state = 63},
  [196] = {.lex_state = 63},
  [197] = {.lex_state = 63, .external_lex_state = 2},
  [198] = {.lex_state = 63},
  [199] = {.lex_state = 63, .external_lex_state = 2},
  [200] = {.lex_state = 63},
  [201] = {.lex_state = 63},
  [202] = {.lex_state = 63},
  [203] = {.lex_state = 63},
  [204] = {.lex_state = 63},
  [205] = {.lex_state = 63, .external_lex_state = 2},
  [206] = {.lex_state = 63},
  [207] = {.lex_state = 63},
  [208] = {.lex_state = 63},
  [209] = {.lex_state = 63},
  [210] = {.lex_state = 63},
  [211] = {.lex_state = 63},
  [212] = {.lex_state = 63},
  [213] = {.lex_state = 63, .external_lex_state = 2},
  [214] = {.lex_state = 63, .external_lex_state = 2},
  [215] = {.lex_state = 63},
  [216] = {.lex_state = 63},
  [217] = {.lex_state = 63},
  [218] = {.lex_state = 63},
  [219] = {.lex_state = 63},
  [220] = {.lex_state = 63},
  [221] = {.lex_state = 63},
  [222] = {.lex_state = 63},
  [223] = {.lex_state = 63},
  [224] = {.lex_state = 6},
  [225] = {.lex_state = 63},
  [226] = {.lex_state = 63},
  [227] = {.lex_state = 63},
  [228] = {.lex_state = 63},
  [229] = {.lex_state = 63},
  [230] = {.lex_state = 6},
  [231] = {.lex_state = 63},
  [232] = {.lex_state = 63},
  [233] = {.lex_state = 63},
  [234] = {.lex_state = 63},
  [235] = {.lex_state = 63},
  [236] = {.lex_state = 63},
  [237] = {.lex_state = 63},
  [238] = {.lex_state = 63},
  [239] = {.lex_state = 63},
  [240] = {.lex_state = 63},
  [241] = {.lex_state = 63},
  [242] = {.lex_state = 63},
  [243] = {.lex_state = 63},
  [244] = {.lex_state = 63},
  [245] = {.lex_state = 63},
  [246] = {.lex_state = 63},
  [247] = {.lex_state = 63},
  [248] = {.lex_state = 63},
  [249] = {.lex_state = 63},
  [250] = {.lex_state = 63},
  [251] = {.lex_state = 63},
  [252] = {.lex_state = 63},
  [253] = {.lex_state = 63},
  [254] = {.lex_state = 63},
  [255] = {.lex_state = 63},
  [256] = {.lex_state = 63},
  [257] = {.lex_state = 63},
  [258] = {.lex_state = 63},
  [259] = {.lex_state = 63},
  [260] = {.lex_state = 63},
  [261] = {.lex_state = 63},
  [262] = {.lex_state = 63},
  [263] = {.lex_state = 63},
  [264] = {.lex_state = 63},
  [265] = {.lex_state = 63},
  [266] = {.lex_state = 63},
  [267] = {.lex_state = 63},
  [268] = {.lex_state = 63},
  [269] = {.lex_state = 63},
  [270] = {.lex_state = 63},
  [271] = {.lex_state = 63},
  [272] = {.lex_state = 63},
  [273] = {.lex_state = 63},
  [274] = {.lex_state = 63},
  [275] = {.lex_state = 63},
  [276] = {.lex_state = 63},
  [277] = {.lex_state = 63},
  [278] = {.lex_state = 63},
  [279] = {.lex_state = 63},
  [280] = {.lex_state = 63},
  [281] = {.lex_state = 63},
  [282] = {.lex_state = 63},
  [283] = {.lex_state = 63},
  [284] = {.lex_state = 63},
  [285] = {.lex_state = 63},
  [286] = {.lex_state = 63},
  [287] = {.lex_state = 63},
  [288] = {.lex_state = 63},
  [289] = {.lex_state = 63},
  [290] = {.lex_state = 63},
  [291] = {.lex_state = 63},
  [292] = {.lex_state = 63},
  [293] = {.lex_state = 63},
  [294] = {.lex_state = 63},
  [295] = {.lex_state = 63},
  [296] = {.lex_state = 63},
  [297] = {.lex_state = 63},
  [298] = {.lex_state = 63},
  [299] = {.lex_state = 63},
  [300] = {.lex_state = 63},
  [301] = {.lex_state = 63},
  [302] = {.lex_state = 63},
  [303] = {.lex_state = 63},
  [304] = {.lex_state = 63},
  [305] = {.lex_state = 63},
  [306] = {.lex_state = 63},
  [307] = {.lex_state = 63},
  [308] = {.lex_state = 63},
  [309] = {.lex_state = 63},
  [310] = {.lex_state = 63},
  [311] = {.lex_state = 63},
  [312] = {.lex_state = 63},
  [313] = {.lex_state = 63},
  [314] = {.lex_state = 63},
  [315] = {.lex_state = 63},
  [316] = {.lex_state = 63},
  [317] = {.lex_state = 63},
  [318] = {.lex_state = 63},
  [319] = {.lex_state = 63},
  [320] = {.lex_state = 63},
  [321] = {.lex_state = 63},
  [322] = {.lex_state = 63},
  [323] = {.lex_state = 63},
  [324] = {.lex_state = 63},
  [325] = {.lex_state = 63},
  [326] = {.lex_state = 63},
  [327] = {.lex_state = 63},
  [328] = {.lex_state = 63},
  [329] = {.lex_state = 63},
  [330] = {.lex_state = 63},
  [331] = {.lex_state = 63},
  [332] = {.lex_state = 63},
  [333] = {.lex_state = 63},
  [334] = {.lex_state = 63},
  [335] = {.lex_state = 63},
  [336] = {.lex_state = 63},
  [337] = {.lex_state = 63},
  [338] = {.lex_state = 63},
  [339] = {.lex_state = 63},
  [340] = {.lex_state = 63},
  [341] = {.lex_state = 63},
  [342] = {.lex_state = 63},
  [343] = {.lex_state = 63},
  [344] = {.lex_state = 63},
  [345] = {.lex_state = 63},
  [346] = {.lex_state = 63},
  [347] = {.lex_state = 63},
  [348] = {.lex_state = 63},
  [349] = {.lex_state = 63},
  [350] = {.lex_state = 63},
  [351] = {.lex_state = 63},
  [352] = {.lex_state = 63},
  [353] = {.lex_state = 63},
  [354] = {.lex_state = 63},
  [355] = {.lex_state = 63},
  [356] = {.lex_state = 63},
  [357] = {.lex_state = 63},
  [358] = {.lex_state = 63},
  [359] = {.lex_state = 63},
  [360] = {.lex_state = 63},
  [361] = {.lex_state = 63},
  [362] = {.lex_state = 63},
  [363] = {.lex_state = 63},
  [364] = {.lex_state = 63},
  [365] = {.lex_state = 63},
  [366] = {.lex_state = 63},
  [367] = {.lex_state = 63},
  [368] = {.lex_state = 63},
  [369] = {.lex_state = 63},
  [370] = {.lex_state = 63},
  [371] = {.lex_state = 63},
  [372] = {.lex_state = 63},
  [373] = {.lex_state = 63},
  [374] = {.lex_state = 63},
  [375] = {.lex_state = 63},
  [376] = {.lex_state = 63},
  [377] = {.lex_state = 63},
  [378] = {.lex_state = 63},
  [379] = {.lex_state = 63},
  [380] = {.lex_state = 63},
  [381] = {.lex_state = 63},
  [382] = {.lex_state = 63},
  [383] = {.lex_state = 63},
  [384] = {.lex_state = 63},
  [385] = {.lex_state = 63},
  [386] = {.lex_state = 63},
  [387] = {.lex_state = 63},
  [388] = {.lex_state = 63},
  [389] = {.lex_state = 63},
  [390] = {.lex_state = 63},
  [391] = {.lex_state = 63},
  [392] = {.lex_state = 63},
  [393] = {.lex_state = 63},
  [394] = {.lex_state = 63},
  [395] = {.lex_state = 63},
  [396] = {.lex_state = 63},
  [397] = {.lex_state = 63},
  [398] = {.lex_state = 63},
  [399] = {.lex_state = 63},
  [400] = {.lex_state = 63},
  [401] = {.lex_state = 63},
  [402] = {.lex_state = 63},
  [403] = {.lex_state = 63},
  [404] = {.lex_state = 63},
  [405] = {.lex_state = 63},
  [406] = {.lex_state = 63},
  [407] = {.lex_state = 63},
  [408] = {.lex_state = 63},
  [409] = {.lex_state = 63},
  [410] = {.lex_state = 63},
  [411] = {.lex_state = 63},
  [412] = {.lex_state = 63},
  [413] = {.lex_state = 63},
  [414] = {.lex_state = 63},
  [415] = {.lex_state = 63},
  [416] = {.lex_state = 63},
  [417] = {.lex_state = 63},
  [418] = {.lex_state = 63},
  [419] = {.lex_state = 63},
  [420] = {.lex_state = 63},
  [421] = {.lex_state = 63},
  [422] = {.lex_state = 63},
  [423] = {.lex_state = 63},
  [424] = {.lex_state = 63},
  [425] = {.lex_state = 63},
  [426] = {.lex_state = 63},
  [427] = {.lex_state = 63},
  [428] = {.lex_state = 63},
  [429] = {.lex_state = 63},
  [430] = {.lex_state = 63},
  [431] = {.lex_state = 63},
  [432] = {.lex_state = 63},
  [433] = {.lex_state = 63},
  [434] = {.lex_state = 63},
  [435] = {.lex_state = 63},
  [436] = {.lex_state = 63},
  [437] = {.lex_state = 63},
  [438] = {.lex_state = 63},
  [439] = {.lex_state = 63},
  [440] = {.lex_state = 63},
  [441] = {.lex_state = 63},
  [442] = {.lex_state = 63},
  [443] = {.lex_state = 63},
  [444] = {.lex_state = 63},
  [445] = {.lex_state = 63},
  [446] = {.lex_state = 63},
  [447] = {.lex_state = 63},
  [448] = {.lex_state = 63},
  [449] = {.lex_state = 63},
  [450] = {.lex_state = 63},
  [451] = {.lex_state = 63},
  [452] = {.lex_state = 63},
  [453] = {.lex_state = 63},
  [454] = {.lex_state = 63},
  [455] = {.lex_state = 63},
  [456] = {.lex_state = 63},
  [457] = {.lex_state = 63},
  [458] = {.lex_state = 63},
  [459] = {.lex_state = 63},
  [460] = {.lex_state = 63},
  [461] = {.lex_state = 63},
  [462] = {.lex_state = 63},
  [463] = {.lex_state = 63},
  [464] = {.lex_state = 63},
  [465] = {.lex_state = 63},
  [466] = {.lex_state = 63},
  [467] = {.lex_state = 63},
  [468] = {.lex_state = 63},
  [469] = {.lex_state = 63},
  [470] = {.lex_state = 63},
  [471] = {.lex_state = 63},
  [472] = {.lex_state = 63},
  [473] = {.lex_state = 63},
  [474] = {.lex_state = 63},
  [475] = {.lex_state = 63},
  [476] = {.lex_state = 63},
  [477] = {.lex_state = 63},
  [478] = {.lex_state = 63},
  [479] = {.lex_state = 63},
  [480] = {.lex_state = 63},
  [481] = {.lex_state = 63},
  [482] = {.lex_state = 63},
  [483] = {.lex_state = 63},
  [484] = {.lex_state = 63},
  [485] = {.lex_state = 63},
  [486] = {.lex_state = 63},
  [487] = {.lex_state = 63},
  [488] = {.lex_state = 63},
  [489] = {.lex_state = 63},
  [490] = {.lex_state = 63},
  [491] = {.lex_state = 63},
  [492] = {.lex_state = 63},
  [493] = {.lex_state = 63},
  [494] = {.lex_state = 63},
  [495] = {.lex_state = 63},
  [496] = {.lex_state = 63},
  [497] = {.lex_state = 63},
  [498] = {.lex_state = 63},
  [499] = {.lex_state = 63},
  [500] = {.lex_state = 63},
  [501] = {.lex_state = 63},
  [502] = {.lex_state = 63},
  [503] = {.lex_state = 63},
  [504] = {.lex_state = 63},
  [505] = {.lex_state = 63},
  [506] = {.lex_state = 63},
  [507] = {.lex_state = 63},
  [508] = {.lex_state = 63},
  [509] = {.lex_state = 63},
  [510] = {.lex_state = 63},
  [511] = {.lex_state = 63},
  [512] = {.lex_state = 63},
  [513] = {.lex_state = 63},
  [514] = {.lex_state = 63},
  [515] = {.lex_state = 63},
  [516] = {.lex_state = 63},
  [517] = {.lex_state = 63},
  [518] = {.lex_state = 63},
  [519] = {.lex_state = 63},
  [520] = {.lex_state = 63},
  [521] = {.lex_state = 63},
  [522] = {.lex_state = 63},
  [523] = {.lex_state = 63},
  [524] = {.lex_state = 63},
  [525] = {.lex_state = 63},
  [526] = {.lex_state = 63},
  [527] = {.lex_state = 63},
  [528] = {.lex_state = 63},
  [529] = {.lex_state = 63},
  [530] = {.lex_state = 63},
  [531] = {.lex_state = 63},
  [532] = {.lex_state = 63},
  [533] = {.lex_state = 63},
  [534] = {.lex_state = 63},
  [535] = {.lex_state = 63},
  [536] = {.lex_state = 63},
  [537] = {.lex_state = 63},
  [538] = {.lex_state = 63},
  [539] = {.lex_state = 63},
  [540] = {.lex_state = 63},
  [541] = {.lex_state = 63},
  [542] = {.lex_state = 63},
  [543] = {.lex_state = 63},
  [544] = {.lex_state = 63},
  [545] = {.lex_state = 63},
  [546] = {.lex_state = 63},
  [547] = {.lex_state = 63},
  [548] = {.lex_state = 63},
  [549] = {.lex_state = 63},
  [550] = {.lex_state = 63},
  [551] = {.lex_state = 63},
  [552] = {.lex_state = 63},
  [553] = {.lex_state = 63},
  [554] = {.lex_state = 63},
  [555] = {.lex_state = 63},
  [556] = {.lex_state = 63},
  [557] = {.lex_state = 63},
  [558] = {.lex_state = 63},
  [559] = {.lex_state = 63},
  [560] = {.lex_state = 63},
  [561] = {.lex_state = 63},
  [562] = {.lex_state = 63},
  [563] = {.lex_state = 63},
  [564] = {.lex_state = 63},
  [565] = {.lex_state = 63},
  [566] = {.lex_state = 63},
  [567] = {.lex_state = 63},
  [568] = {.lex_state = 63},
  [569] = {.lex_state = 63},
  [570] = {.lex_state = 63},
  [571] = {.lex_state = 63},
  [572] = {.lex_state = 63},
  [573] = {.lex_state = 63},
  [574] = {.lex_state = 63},
  [575] = {.lex_state = 63},
  [576] = {.lex_state = 63},
  [577] = {.lex_state = 63},
  [578] = {.lex_state = 63},
  [579] = {.lex_state = 63},
  [580] = {.lex_state = 63},
  [581] = {.lex_state = 63},
  [582] = {.lex_state = 63},
  [583] = {.lex_state = 63},
  [584] = {.lex_state = 63},
  [585] = {.lex_state = 63},
  [586] = {.lex_state = 63},
  [587] = {.lex_state = 63},
  [588] = {.lex_state = 63},
  [589] = {.lex_state = 64},
  [590] = {.lex_state = 64},
  [591] = {.lex_state = 64},
  [592] = {.lex_state = 64},
  [593] = {.lex_state = 64},
  [594] = {.lex_state = 64},
  [595] = {.lex_state = 64},
  [596] = {.lex_state = 64},
  [597] = {.lex_state = 64},
  [598] = {.lex_state = 64},
  [599] = {.lex_state = 64},
  [600] = {.lex_state = 64},
  [601] = {.lex_state = 64},
  [602] = {.lex_state = 64},
  [603] = {.lex_state = 64},
  [604] = {.lex_state = 64},
  [605] = {.lex_state = 64},
  [606] = {.lex_state = 64},
  [607] = {.lex_state = 64},
  [608] = {.lex_state = 64},
  [609] = {.lex_state = 64},
  [610] = {.lex_state = 64},
  [611] = {.lex_state = 64},
  [612] = {.lex_state = 64},
  [613] = {.lex_state = 64},
  [614] = {.lex_state = 64},
  [615] = {.lex_state = 64},
  [616] = {.lex_state = 64},
  [617] = {.lex_state = 64},
  [618] = {.lex_state = 64},
  [619] = {.lex_state = 64},
  [620] = {.lex_state = 64},
  [621] = {.lex_state = 64},
  [622] = {.lex_state = 64},
  [623] = {.lex_state = 64},
  [624] = {.lex_state = 64},
  [625] = {.lex_state = 64, .external_lex_state = 2},
  [626] = {.lex_state = 64, .external_lex_state = 2},
  [627] = {.lex_state = 64, .external_lex_state = 2},
  [628] = {.lex_state = 64, .external_lex_state = 2},
  [629] = {.lex_state = 64},
  [630] = {.lex_state = 64, .external_lex_state = 2},
  [631] = {.lex_state = 64, .external_lex_state = 2},
  [632] = {.lex_state = 64, .external_lex_state = 2},
  [633] = {.lex_state = 64, .external_lex_state = 2},
  [634] = {.lex_state = 64, .external_lex_state = 2},
  [635] = {.lex_state = 64, .external_lex_state = 2},
  [636] = {.lex_state = 64, .external_lex_state = 2},
  [637] = {.lex_state = 65},
  [638] = {.lex_state = 64},
  [639] = {.lex_state = 64, .external_lex_state = 2},
  [640] = {.lex_state = 64, .external_lex_state = 2},
  [641] = {.lex_state = 65},
  [642] = {.lex_state = 64, .external_lex_state = 2},
  [643] = {.lex_state = 64, .external_lex_state = 2},
  [644] = {.lex_state = 65},
  [645] = {.lex_state = 64, .external_lex_state = 2},
  [646] = {.lex_state = 64, .external_lex_state = 2},
  [647] = {.lex_state = 64, .external_lex_state = 2},
  [648] = {.lex_state = 64, .external_lex_state = 2},
  [649] = {.lex_state = 64, .external_lex_state = 2},
  [650] = {.lex_state = 64, .external_lex_state = 2},
  [651] = {.lex_state = 65},
  [652] = {.lex_state = 64, .external_lex_state = 2},
  [653] = {.lex_state = 64, .external_lex_state = 2},
  [654] = {.lex_state = 64, .external_lex_state = 2},
  [655] = {.lex_state = 64, .external_lex_state = 2},
  [656] = {.lex_state = 65},
  [657] = {.lex_state = 64},
  [658] = {.lex_state = 64, .external_lex_state = 2},
  [659] = {.lex_state = 64, .external_lex_state = 2},
  [660] = {.lex_state = 64},
  [661] = {.lex_state = 64, .external_lex_state = 2},
  [662] = {.lex_state = 64},
  [663] = {.lex_state = 64, .external_lex_state = 2},
  [664] = {.lex_state = 64, .external_lex_state = 2},
  [665] = {.lex_state = 64, .external_lex_state = 2},
  [666] = {.lex_state = 64},
  [667] = {.lex_state = 64, .external_lex_state = 2},
  [668] = {.lex_state = 64},
  [669] = {.lex_state = 65},
  [670] = {.lex_state = 64, .external_lex_state = 2},
  [671] = {.lex_state = 64, .external_lex_state = 2},
  [672] = {.lex_state = 64},
  [673] = {.lex_state = 64, .external_lex_state = 2},
  [674] = {.lex_state = 64, .external_lex_state = 2},
  [675] = {.lex_state = 64, .external_lex_state = 2},
  [676] = {.lex_state = 64, .external_lex_state = 2},
  [677] = {.lex_state = 64},
  [678] = {.lex_state = 64},
  [679] = {.lex_state = 64},
  [680] = {.lex_state = 64},
  [681] = {.lex_state = 64},
  [682] = {.lex_state = 64},
  [683] = {.lex_state = 64},
  [684] = {.lex_state = 64},
  [685] = {.lex_state = 64},
  [686] = {.lex_state = 65},
  [687] = {.lex_state = 64},
  [688] = {.lex_state = 64},
  [689] = {.lex_state = 65},
  [690] = {.lex_state = 64},
  [691] = {.lex_state = 65},
  [692] = {.lex_state = 64},
  [693] = {.lex_state = 64},
  [694] = {.lex_state = 64},
  [695] = {.lex_state = 64},
  [696] = {.lex_state = 65},
  [697] = {.lex_state = 65},
  [698] = {.lex_state = 65},
  [699] = {.lex_state = 65},
  [700] = {.lex_state = 65},
  [701] = {.lex_state = 65},
  [702] = {.lex_state = 65},
  [703] = {.lex_state = 64},
  [704] = {.lex_state = 65},
  [705] = {.lex_state = 65},
  [706] = {.lex_state = 65},
  [707] = {.lex_state = 65},
  [708] = {.lex_state = 65},
  [709] = {.lex_state = 65},
  [710] = {.lex_state = 10},
  [711] = {.lex_state = 65},
  [712] = {.lex_state = 64},
  [713] = {.lex_state = 12},
  [714] = {.lex_state = 10},
  [715] = {.lex_state = 10},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 8},
  [719] = {.lex_state = 12},
  [720] = {.lex_state = 10},
  [721] = {.lex_state = 10},
  [722] = {.lex_state = 12},
  [723] = {.lex_state = 8},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 8},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 10},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 12, .external_lex_state = 2},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 10},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 8},
  [747] = {.lex_state = 8},
  [748] = {.lex_state = 8},
  [749] = {.lex_state = 8},
  [750] = {.lex_state = 8},
  [751] = {.lex_state = 8},
  [752] = {.lex_state = 10},
  [753] = {.lex_state = 10},
  [754] = {.lex_state = 8},
  [755] = {.lex_state = 8},
  [756] = {.lex_state = 8},
  [757] = {.lex_state = 8},
  [758] = {.lex_state = 10},
  [759] = {.lex_state = 8},
  [760] = {.lex_state = 10},
  [761] = {.lex_state = 8},
  [762] = {.lex_state = 10},
  [763] = {.lex_state = 8},
  [764] = {.lex_state = 8},
  [765] = {.lex_state = 8},
  [766] = {.lex_state = 10},
  [767] = {.lex_state = 10},
  [768] = {.lex_state = 10},
  [769] = {.lex_state = 10},
  [770] = {.lex_state = 10},
  [771] = {.lex_state = 10},
  [772] = {.lex_state = 10},
  [773] = {.lex_state = 15},
  [774] = {.lex_state = 10},
  [775] = {.lex_state = 10},
  [776] = {.lex_state = 10},
  [777] = {.lex_state = 10},
  [778] = {.lex_state = 10},
  [779] = {.lex_state = 10},
  [780] = {.lex_state = 10},
  [781] = {.lex_state = 10},
  [782] = {.lex_state = 10},
  [783] = {.lex_state = 10},
  [784] = {.lex_state = 10},
  [785] = {.lex_state = 10},
  [786] = {.lex_state = 10},
  [787] = {.lex_state = 10},
  [788] = {.lex_state = 10},
  [789] = {.lex_state = 10},
  [790] = {.lex_state = 10},
  [791] = {.lex_state = 10},
  [792] = {.lex_state = 10},
  [793] = {.lex_state = 10},
  [794] = {.lex_state = 10},
  [795] = {.lex_state = 10},
  [796] = {.lex_state = 10},
  [797] = {.lex_state = 10},
  [798] = {.lex_state = 10},
  [799] = {.lex_state = 10},
  [800] = {.lex_state = 10},
  [801] = {.lex_state = 10},
  [802] = {.lex_state = 10},
  [803] = {.lex_state = 10},
  [804] = {.lex_state = 10},
  [805] = {.lex_state = 10},
  [806] = {.lex_state = 10},
  [807] = {.lex_state = 10},
  [808] = {.lex_state = 10},
  [809] = {.lex_state = 10},
  [810] = {.lex_state = 10},
  [811] = {.lex_state = 10},
  [812] = {.lex_state = 10},
  [813] = {.lex_state = 10},
  [814] = {.lex_state = 10},
  [815] = {.lex_state = 10},
  [816] = {.lex_state = 10},
  [817] = {.lex_state = 10},
  [818] = {.lex_state = 10},
  [819] = {.lex_state = 10},
  [820] = {.lex_state = 10},
  [821] = {.lex_state = 10},
  [822] = {.lex_state = 10},
  [823] = {.lex_state = 10},
  [824] = {.lex_state = 15},
  [825] = {.lex_state = 10},
  [826] = {.lex_state = 10},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 10},
  [830] = {.lex_state = 10},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 10},
  [833] = {.lex_state = 10},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 10},
  [837] = {.lex_state = 10},
  [838] = {.lex_state = 10},
  [839] = {.lex_state = 10},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 10},
  [842] = {.lex_state = 10},
  [843] = {.lex_state = 10},
  [844] = {.lex_state = 12},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 10},
  [847] = {.lex_state = 12},
  [848] = {.lex_state = 10},
  [849] = {.lex_state = 10},
  [850] = {.lex_state = 15},
  [851] = {.lex_state = 10, .external_lex_state = 2},
  [852] = {.lex_state = 10},
  [853] = {.lex_state = 10},
  [854] = {.lex_state = 8, .external_lex_state = 2},
  [855] = {.lex_state = 12},
  [856] = {.lex_state = 12},
  [857] = {.lex_state = 12},
  [858] = {.lex_state = 10},
  [859] = {.lex_state = 15},
  [860] = {.lex_state = 15},
  [861] = {.lex_state = 10},
  [862] = {.lex_state = 15},
  [863] = {.lex_state = 8, .external_lex_state = 2},
  [864] = {.lex_state = 10},
  [865] = {.lex_state = 8, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 2},
  [867] = {.lex_state = 8, .external_lex_state = 2},
  [868] = {.lex_state = 8, .external_lex_state = 2},
  [869] = {.lex_state = 8, .external_lex_state = 2},
  [870] = {.lex_state = 15},
  [871] = {.lex_state = 8, .external_lex_state = 2},
  [872] = {.lex_state = 8, .external_lex_state = 2},
  [873] = {.lex_state = 8, .external_lex_state = 2},
  [874] = {.lex_state = 10},
  [875] = {.lex_state = 8, .external_lex_state = 2},
  [876] = {.lex_state = 8, .external_lex_state = 2},
  [877] = {.lex_state = 15},
  [878] = {.lex_state = 8, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 2},
  [880] = {.lex_state = 8, .external_lex_state = 2},
  [881] = {.lex_state = 8, .external_lex_state = 2},
  [882] = {.lex_state = 8, .external_lex_state = 2},
  [883] = {.lex_state = 15},
  [884] = {.lex_state = 8, .external_lex_state = 2},
  [885] = {.lex_state = 8, .external_lex_state = 2},
  [886] = {.lex_state = 8, .external_lex_state = 2},
  [887] = {.lex_state = 8, .external_lex_state = 2},
  [888] = {.lex_state = 8, .external_lex_state = 2},
  [889] = {.lex_state = 8, .external_lex_state = 2},
  [890] = {.lex_state = 10, .external_lex_state = 2},
  [891] = {.lex_state = 15},
  [892] = {.lex_state = 8, .external_lex_state = 2},
  [893] = {.lex_state = 8, .external_lex_state = 2},
  [894] = {.lex_state = 6},
  [895] = {.lex_state = 8, .external_lex_state = 2},
  [896] = {.lex_state = 10, .external_lex_state = 2},
  [897] = {.lex_state = 8, .external_lex_state = 2},
  [898] = {.lex_state = 12},
  [899] = {.lex_state = 10, .external_lex_state = 2},
  [900] = {.lex_state = 12},
  [901] = {.lex_state = 12},
  [902] = {.lex_state = 6},
  [903] = {.lex_state = 12},
  [904] = {.lex_state = 12},
  [905] = {.lex_state = 8, .external_lex_state = 2},
  [906] = {.lex_state = 8, .external_lex_state = 2},
  [907] = {.lex_state = 10, .external_lex_state = 2},
  [908] = {.lex_state = 8, .external_lex_state = 2},
  [909] = {.lex_state = 8, .external_lex_state = 2},
  [910] = {.lex_state = 8, .external_lex_state = 2},
  [911] = {.lex_state = 10, .external_lex_state = 2},
  [912] = {.lex_state = 8, .external_lex_state = 2},
  [913] = {.lex_state = 8, .external_lex_state = 2},
  [914] = {.lex_state = 8, .external_lex_state = 2},
  [915] = {.lex_state = 8, .external_lex_state = 2},
  [916] = {.lex_state = 8, .external_lex_state = 2},
  [917] = {.lex_state = 8, .external_lex_state = 2},
  [918] = {.lex_state = 10, .external_lex_state = 2},
  [919] = {.lex_state = 10, .external_lex_state = 2},
  [920] = {.lex_state = 10, .external_lex_state = 2},
  [921] = {.lex_state = 10, .external_lex_state = 2},
  [922] = {.lex_state = 10},
  [923] = {.lex_state = 10, .external_lex_state = 2},
  [924] = {.lex_state = 10, .external_lex_state = 2},
  [925] = {.lex_state = 10, .external_lex_state = 2},
  [926] = {.lex_state = 10, .external_lex_state = 2},
  [927] = {.lex_state = 10, .external_lex_state = 2},
  [928] = {.lex_state = 10, .external_lex_state = 2},
  [929] = {.lex_state = 10, .external_lex_state = 2},
  [930] = {.lex_state = 10},
  [931] = {.lex_state = 10, .external_lex_state = 2},
  [932] = {.lex_state = 10, .external_lex_state = 2},
  [933] = {.lex_state = 10, .external_lex_state = 2},
  [934] = {.lex_state = 10, .external_lex_state = 2},
  [935] = {.lex_state = 10, .external_lex_state = 2},
  [936] = {.lex_state = 10, .external_lex_state = 2},
  [937] = {.lex_state = 10, .external_lex_state = 2},
  [938] = {.lex_state = 10, .external_lex_state = 2},
  [939] = {.lex_state = 10, .external_lex_state = 2},
  [940] = {.lex_state = 10, .external_lex_state = 2},
  [941] = {.lex_state = 10, .external_lex_state = 2},
  [942] = {.lex_state = 10, .external_lex_state = 2},
  [943] = {.lex_state = 10, .external_lex_state = 2},
  [944] = {.lex_state = 10, .external_lex_state = 2},
  [945] = {.lex_state = 10, .external_lex_state = 2},
  [946] = {.lex_state = 10, .external_lex_state = 2},
  [947] = {.lex_state = 10, .external_lex_state = 2},
  [948] = {.lex_state = 10, .external_lex_state = 2},
  [949] = {.lex_state = 10, .external_lex_state = 2},
  [950] = {.lex_state = 10, .external_lex_state = 2},
  [951] = {.lex_state = 10, .external_lex_state = 2},
  [952] = {.lex_state = 10, .external_lex_state = 2},
  [953] = {.lex_state = 10, .external_lex_state = 2},
  [954] = {.lex_state = 10, .external_lex_state = 2},
  [955] = {.lex_state = 10, .external_lex_state = 2},
  [956] = {.lex_state = 10, .external_lex_state = 2},
  [957] = {.lex_state = 10, .external_lex_state = 2},
  [958] = {.lex_state = 10, .external_lex_state = 2},
  [959] = {.lex_state = 10, .external_lex_state = 2},
  [960] = {.lex_state = 10, .external_lex_state = 2},
  [961] = {.lex_state = 10, .external_lex_state = 2},
  [962] = {.lex_state = 10, .external_lex_state = 2},
  [963] = {.lex_state = 10, .external_lex_state = 2},
  [964] = {.lex_state = 10, .external_lex_state = 2},
  [965] = {.lex_state = 10, .external_lex_state = 2},
  [966] = {.lex_state = 10, .external_lex_state = 2},
  [967] = {.lex_state = 10, .external_lex_state = 2},
  [968] = {.lex_state = 10, .external_lex_state = 2},
  [969] = {.lex_state = 10, .external_lex_state = 2},
  [970] = {.lex_state = 12, .external_lex_state = 2},
  [971] = {.lex_state = 10, .external_lex_state = 2},
  [972] = {.lex_state = 10, .external_lex_state = 2},
  [973] = {.lex_state = 10, .external_lex_state = 2},
  [974] = {.lex_state = 10, .external_lex_state = 2},
  [975] = {.lex_state = 10, .external_lex_state = 2},
  [976] = {.lex_state = 10, .external_lex_state = 2},
  [977] = {.lex_state = 10, .external_lex_state = 2},
  [978] = {.lex_state = 10, .external_lex_state = 2},
  [979] = {.lex_state = 10, .external_lex_state = 2},
  [980] = {.lex_state = 10, .external_lex_state = 2},
  [981] = {.lex_state = 10, .external_lex_state = 2},
  [982] = {.lex_state = 10, .external_lex_state = 2},
  [983] = {.lex_state = 10, .external_lex_state = 2},
  [984] = {.lex_state = 10, .external_lex_state = 2},
  [985] = {.lex_state = 10, .external_lex_state = 2},
  [986] = {.lex_state = 10, .external_lex_state = 2},
  [987] = {.lex_state = 12},
  [988] = {.lex_state = 10, .external_lex_state = 2},
  [989] = {.lex_state = 10, .external_lex_state = 2},
  [990] = {.lex_state = 10, .external_lex_state = 2},
  [991] = {.lex_state = 10, .external_lex_state = 2},
  [992] = {.lex_state = 10, .external_lex_state = 2},
  [993] = {.lex_state = 10, .external_lex_state = 2},
  [994] = {.lex_state = 10, .external_lex_state = 2},
  [995] = {.lex_state = 10, .external_lex_state = 2},
  [996] = {.lex_state = 10, .external_lex_state = 2},
  [997] = {.lex_state = 10, .external_lex_state = 2},
  [998] = {.lex_state = 10, .external_lex_state = 2},
  [999] = {.lex_state = 10, .external_lex_state = 2},
  [1000] = {.lex_state = 10, .external_lex_state = 2},
  [1001] = {.lex_state = 10, .external_lex_state = 2},
  [1002] = {.lex_state = 10, .external_lex_state = 2},
  [1003] = {.lex_state = 10, .external_lex_state = 2},
  [1004] = {.lex_state = 10, .external_lex_state = 2},
  [1005] = {.lex_state = 10, .external_lex_state = 2},
  [1006] = {.lex_state = 10, .external_lex_state = 2},
  [1007] = {.lex_state = 12},
  [1008] = {.lex_state = 10, .external_lex_state = 2},
  [1009] = {.lex_state = 12},
  [1010] = {.lex_state = 10, .external_lex_state = 2},
  [1011] = {.lex_state = 12},
  [1012] = {.lex_state = 12},
  [1013] = {.lex_state = 12},
  [1014] = {.lex_state = 12},
  [1015] = {.lex_state = 12},
  [1016] = {.lex_state = 10, .external_lex_state = 2},
  [1017] = {.lex_state = 12},
  [1018] = {.lex_state = 12},
  [1019] = {.lex_state = 12},
  [1020] = {.lex_state = 12},
  [1021] = {.lex_state = 10},
  [1022] = {.lex_state = 12},
  [1023] = {.lex_state = 12},
  [1024] = {.lex_state = 12},
  [1025] = {.lex_state = 12},
  [1026] = {.lex_state = 10, .external_lex_state = 2},
  [1027] = {.lex_state = 12, .external_lex_state = 2},
  [1028] = {.lex_state = 12},
  [1029] = {.lex_state = 12},
  [1030] = {.lex_state = 12},
  [1031] = {.lex_state = 12},
  [1032] = {.lex_state = 12},
  [1033] = {.lex_state = 10, .external_lex_state = 2},
  [1034] = {.lex_state = 12},
  [1035] = {.lex_state = 10, .external_lex_state = 2},
  [1036] = {.lex_state = 12},
  [1037] = {.lex_state = 12},
  [1038] = {.lex_state = 12},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 10, .external_lex_state = 2},
  [1041] = {.lex_state = 12},
  [1042] = {.lex_state = 10, .external_lex_state = 2},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12, .external_lex_state = 2},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12},
  [1050] = {.lex_state = 12},
  [1051] = {.lex_state = 12},
  [1052] = {.lex_state = 12, .external_lex_state = 2},
  [1053] = {.lex_state = 12},
  [1054] = {.lex_state = 12},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12},
  [1057] = {.lex_state = 12},
  [1058] = {.lex_state = 12},
  [1059] = {.lex_state = 12},
  [1060] = {.lex_state = 12},
  [1061] = {.lex_state = 12},
  [1062] = {.lex_state = 12},
  [1063] = {.lex_state = 12},
  [1064] = {.lex_state = 12},
  [1065] = {.lex_state = 12},
  [1066] = {.lex_state = 12},
  [1067] = {.lex_state = 12},
  [1068] = {.lex_state = 12},
  [1069] = {.lex_state = 12},
  [1070] = {.lex_state = 12},
  [1071] = {.lex_state = 12},
  [1072] = {.lex_state = 12},
  [1073] = {.lex_state = 12},
  [1074] = {.lex_state = 12},
  [1075] = {.lex_state = 12},
  [1076] = {.lex_state = 12},
  [1077] = {.lex_state = 12},
  [1078] = {.lex_state = 12},
  [1079] = {.lex_state = 12},
  [1080] = {.lex_state = 12},
  [1081] = {.lex_state = 12},
  [1082] = {.lex_state = 12},
  [1083] = {.lex_state = 12},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12},
  [1091] = {.lex_state = 12},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12},
  [1107] = {.lex_state = 12},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12},
  [1123] = {.lex_state = 12},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 12, .external_lex_state = 2},
  [1126] = {.lex_state = 12},
  [1127] = {.lex_state = 12, .external_lex_state = 2},
  [1128] = {.lex_state = 12, .external_lex_state = 2},
  [1129] = {.lex_state = 12},
  [1130] = {.lex_state = 12},
  [1131] = {.lex_state = 12},
  [1132] = {.lex_state = 12, .external_lex_state = 2},
  [1133] = {.lex_state = 12, .external_lex_state = 2},
  [1134] = {.lex_state = 12, .external_lex_state = 2},
  [1135] = {.lex_state = 12, .external_lex_state = 2},
  [1136] = {.lex_state = 12, .external_lex_state = 2},
  [1137] = {.lex_state = 12, .external_lex_state = 2},
  [1138] = {.lex_state = 12, .external_lex_state = 2},
  [1139] = {.lex_state = 12, .external_lex_state = 2},
  [1140] = {.lex_state = 12},
  [1141] = {.lex_state = 12, .external_lex_state = 2},
  [1142] = {.lex_state = 12, .external_lex_state = 2},
  [1143] = {.lex_state = 17},
  [1144] = {.lex_state = 12, .external_lex_state = 2},
  [1145] = {.lex_state = 12, .external_lex_state = 2},
  [1146] = {.lex_state = 12, .external_lex_state = 2},
  [1147] = {.lex_state = 12},
  [1148] = {.lex_state = 12, .external_lex_state = 2},
  [1149] = {.lex_state = 12, .external_lex_state = 2},
  [1150] = {.lex_state = 12, .external_lex_state = 2},
  [1151] = {.lex_state = 12, .external_lex_state = 2},
  [1152] = {.lex_state = 12, .external_lex_state = 2},
  [1153] = {.lex_state = 12, .external_lex_state = 2},
  [1154] = {.lex_state = 12, .external_lex_state = 2},
  [1155] = {.lex_state = 12, .external_lex_state = 2},
  [1156] = {.lex_state = 12, .external_lex_state = 2},
  [1157] = {.lex_state = 12, .external_lex_state = 2},
  [1158] = {.lex_state = 12},
  [1159] = {.lex_state = 12, .external_lex_state = 2},
  [1160] = {.lex_state = 12},
  [1161] = {.lex_state = 12, .external_lex_state = 2},
  [1162] = {.lex_state = 12},
  [1163] = {.lex_state = 12},
  [1164] = {.lex_state = 12},
  [1165] = {.lex_state = 12},
  [1166] = {.lex_state = 12},
  [1167] = {.lex_state = 12, .external_lex_state = 2},
  [1168] = {.lex_state = 12},
  [1169] = {.lex_state = 12, .external_lex_state = 2},
  [1170] = {.lex_state = 12},
  [1171] = {.lex_state = 12},
  [1172] = {.lex_state = 12, .external_lex_state = 2},
  [1173] = {.lex_state = 12},
  [1174] = {.lex_state = 12},
  [1175] = {.lex_state = 12, .external_lex_state = 2},
  [1176] = {.lex_state = 12},
  [1177] = {.lex_state = 12},
  [1178] = {.lex_state = 12},
  [1179] = {.lex_state = 12},
  [1180] = {.lex_state = 12},
  [1181] = {.lex_state = 12},
  [1182] = {.lex_state = 12},
  [1183] = {.lex_state = 12},
  [1184] = {.lex_state = 12},
  [1185] = {.lex_state = 12},
  [1186] = {.lex_state = 12},
  [1187] = {.lex_state = 12},
  [1188] = {.lex_state = 12},
  [1189] = {.lex_state = 12},
  [1190] = {.lex_state = 12},
  [1191] = {.lex_state = 12},
  [1192] = {.lex_state = 12},
  [1193] = {.lex_state = 12},
  [1194] = {.lex_state = 12},
  [1195] = {.lex_state = 12},
  [1196] = {.lex_state = 12},
  [1197] = {.lex_state = 12},
  [1198] = {.lex_state = 12},
  [1199] = {.lex_state = 12},
  [1200] = {.lex_state = 12},
  [1201] = {.lex_state = 12},
  [1202] = {.lex_state = 12},
  [1203] = {.lex_state = 12},
  [1204] = {.lex_state = 12},
  [1205] = {.lex_state = 12},
  [1206] = {.lex_state = 12},
  [1207] = {.lex_state = 12},
  [1208] = {.lex_state = 12},
  [1209] = {.lex_state = 12},
  [1210] = {.lex_state = 12},
  [1211] = {.lex_state = 12},
  [1212] = {.lex_state = 12},
  [1213] = {.lex_state = 12},
  [1214] = {.lex_state = 12},
  [1215] = {.lex_state = 12},
  [1216] = {.lex_state = 12, .external_lex_state = 2},
  [1217] = {.lex_state = 12},
  [1218] = {.lex_state = 12},
  [1219] = {.lex_state = 12},
  [1220] = {.lex_state = 12},
  [1221] = {.lex_state = 12, .external_lex_state = 2},
  [1222] = {.lex_state = 12},
  [1223] = {.lex_state = 12},
  [1224] = {.lex_state = 12},
  [1225] = {.lex_state = 12, .external_lex_state = 2},
  [1226] = {.lex_state = 12, .external_lex_state = 2},
  [1227] = {.lex_state = 12, .external_lex_state = 2},
  [1228] = {.lex_state = 12, .external_lex_state = 2},
  [1229] = {.lex_state = 12, .external_lex_state = 2},
  [1230] = {.lex_state = 12},
  [1231] = {.lex_state = 12},
  [1232] = {.lex_state = 12, .external_lex_state = 2},
  [1233] = {.lex_state = 12, .external_lex_state = 2},
  [1234] = {.lex_state = 12, .external_lex_state = 2},
  [1235] = {.lex_state = 12},
  [1236] = {.lex_state = 12, .external_lex_state = 2},
  [1237] = {.lex_state = 12, .external_lex_state = 2},
  [1238] = {.lex_state = 12},
  [1239] = {.lex_state = 12, .external_lex_state = 2},
  [1240] = {.lex_state = 12},
  [1241] = {.lex_state = 12, .external_lex_state = 2},
  [1242] = {.lex_state = 12, .external_lex_state = 2},
  [1243] = {.lex_state = 12},
  [1244] = {.lex_state = 12, .external_lex_state = 2},
  [1245] = {.lex_state = 12},
  [1246] = {.lex_state = 12},
  [1247] = {.lex_state = 12},
  [1248] = {.lex_state = 15},
  [1249] = {.lex_state = 12},
  [1250] = {.lex_state = 12},
  [1251] = {.lex_state = 12},
  [1252] = {.lex_state = 15},
  [1253] = {.lex_state = 12},
  [1254] = {.lex_state = 12},
  [1255] = {.lex_state = 12},
  [1256] = {.lex_state = 15},
  [1257] = {.lex_state = 12},
  [1258] = {.lex_state = 12},
  [1259] = {.lex_state = 12},
  [1260] = {.lex_state = 12},
  [1261] = {.lex_state = 15},
  [1262] = {.lex_state = 15},
  [1263] = {.lex_state = 15},
  [1264] = {.lex_state = 12},
  [1265] = {.lex_state = 12},
  [1266] = {.lex_state = 12},
  [1267] = {.lex_state = 12},
  [1268] = {.lex_state = 12},
  [1269] = {.lex_state = 12},
  [1270] = {.lex_state = 12},
  [1271] = {.lex_state = 15},
  [1272] = {.lex_state = 12},
  [1273] = {.lex_state = 12},
  [1274] = {.lex_state = 12},
  [1275] = {.lex_state = 12},
  [1276] = {.lex_state = 12},
  [1277] = {.lex_state = 12},
  [1278] = {.lex_state = 12},
  [1279] = {.lex_state = 12},
  [1280] = {.lex_state = 12},
  [1281] = {.lex_state = 12},
  [1282] = {.lex_state = 12},
  [1283] = {.lex_state = 12},
  [1284] = {.lex_state = 12},
  [1285] = {.lex_state = 12},
  [1286] = {.lex_state = 12},
  [1287] = {.lex_state = 12},
  [1288] = {.lex_state = 12},
  [1289] = {.lex_state = 12},
  [1290] = {.lex_state = 12},
  [1291] = {.lex_state = 12},
  [1292] = {.lex_state = 12},
  [1293] = {.lex_state = 12},
  [1294] = {.lex_state = 12},
  [1295] = {.lex_state = 12},
  [1296] = {.lex_state = 12},
  [1297] = {.lex_state = 12},
  [1298] = {.lex_state = 12},
  [1299] = {.lex_state = 12},
  [1300] = {.lex_state = 12},
  [1301] = {.lex_state = 12},
  [1302] = {.lex_state = 12},
  [1303] = {.lex_state = 12},
  [1304] = {.lex_state = 12},
  [1305] = {.lex_state = 16},
  [1306] = {.lex_state = 12},
  [1307] = {.lex_state = 12},
  [1308] = {.lex_state = 12},
  [1309] = {.lex_state = 12},
  [1310] = {.lex_state = 12},
  [1311] = {.lex_state = 12},
  [1312] = {.lex_state = 12},
  [1313] = {.lex_state = 12},
  [1314] = {.lex_state = 12},
  [1315] = {.lex_state = 12},
  [1316] = {.lex_state = 12},
  [1317] = {.lex_state = 12},
  [1318] = {.lex_state = 12},
  [1319] = {.lex_state = 12},
  [1320] = {.lex_state = 12},
  [1321] = {.lex_state = 12},
  [1322] = {.lex_state = 12},
  [1323] = {.lex_state = 12},
  [1324] = {.lex_state = 12},
  [1325] = {.lex_state = 12},
  [1326] = {.lex_state = 12},
  [1327] = {.lex_state = 12},
  [1328] = {.lex_state = 12},
  [1329] = {.lex_state = 15},
  [1330] = {.lex_state = 15},
  [1331] = {.lex_state = 15},
  [1332] = {.lex_state = 12},
  [1333] = {.lex_state = 15},
  [1334] = {.lex_state = 15},
  [1335] = {.lex_state = 12},
  [1336] = {.lex_state = 12},
  [1337] = {.lex_state = 12},
  [1338] = {.lex_state = 12},
  [1339] = {.lex_state = 12},
  [1340] = {.lex_state = 12},
  [1341] = {.lex_state = 12},
  [1342] = {.lex_state = 15},
  [1343] = {.lex_state = 15},
  [1344] = {.lex_state = 15},
  [1345] = {.lex_state = 15},
  [1346] = {.lex_state = 15},
  [1347] = {.lex_state = 15},
  [1348] = {.lex_state = 64},
  [1349] = {.lex_state = 12},
  [1350] = {.lex_state = 12},
  [1351] = {.lex_state = 12},
  [1352] = {.lex_state = 12},
  [1353] = {.lex_state = 12},
  [1354] = {.lex_state = 12},
  [1355] = {.lex_state = 12},
  [1356] = {.lex_state = 64},
  [1357] = {.lex_state = 12},
  [1358] = {.lex_state = 12},
  [1359] = {.lex_state = 12},
  [1360] = {.lex_state = 12},
  [1361] = {.lex_state = 64},
  [1362] = {.lex_state = 64},
  [1363] = {.lex_state = 15},
  [1364] = {.lex_state = 12},
  [1365] = {.lex_state = 15},
  [1366] = {.lex_state = 12},
  [1367] = {.lex_state = 12},
  [1368] = {.lex_state = 12},
  [1369] = {.lex_state = 12},
  [1370] = {.lex_state = 12},
  [1371] = {.lex_state = 64},
  [1372] = {.lex_state = 64},
  [1373] = {.lex_state = 64},
  [1374] = {.lex_state = 15},
  [1375] = {.lex_state = 15},
  [1376] = {.lex_state = 15},
  [1377] = {.lex_state = 65},
  [1378] = {.lex_state = 15},
  [1379] = {.lex_state = 64},
  [1380] = {.lex_state = 64},
  [1381] = {.lex_state = 64},
  [1382] = {.lex_state = 64},
  [1383] = {.lex_state = 64},
  [1384] = {.lex_state = 64},
  [1385] = {.lex_state = 64},
  [1386] = {.lex_state = 14},
  [1387] = {.lex_state = 64},
  [1388] = {.lex_state = 3, .external_lex_state = 3},
  [1389] = {.lex_state = 64},
  [1390] = {.lex_state = 64},
  [1391] = {.lex_state = 64},
  [1392] = {.lex_state = 64},
  [1393] = {.lex_state = 64},
  [1394] = {.lex_state = 64},
  [1395] = {.lex_state = 3, .external_lex_state = 3},
  [1396] = {.lex_state = 65},
  [1397] = {.lex_state = 64},
  [1398] = {.lex_state = 64},
  [1399] = {.lex_state = 64},
  [1400] = {.lex_state = 3, .external_lex_state = 3},
  [1401] = {.lex_state = 3, .external_lex_state = 3},
  [1402] = {.lex_state = 3, .external_lex_state = 4},
  [1403] = {.lex_state = 3, .external_lex_state = 3},
  [1404] = {.lex_state = 15},
  [1405] = {.lex_state = 15},
  [1406] = {.lex_state = 8, .external_lex_state = 5},
  [1407] = {.lex_state = 8, .external_lex_state = 5},
  [1408] = {.lex_state = 8, .external_lex_state = 6},
  [1409] = {.lex_state = 8, .external_lex_state = 6},
  [1410] = {.lex_state = 8, .external_lex_state = 6},
  [1411] = {.lex_state = 8, .external_lex_state = 6},
  [1412] = {.lex_state = 8, .external_lex_state = 5},
  [1413] = {.lex_state = 8, .external_lex_state = 5},
  [1414] = {.lex_state = 64},
  [1415] = {.lex_state = 15},
  [1416] = {.lex_state = 8, .external_lex_state = 6},
  [1417] = {.lex_state = 15},
  [1418] = {.lex_state = 64},
  [1419] = {.lex_state = 8, .external_lex_state = 5},
  [1420] = {.lex_state = 15},
  [1421] = {.lex_state = 15},
  [1422] = {.lex_state = 15},
  [1423] = {.lex_state = 15},
  [1424] = {.lex_state = 15},
  [1425] = {.lex_state = 15},
  [1426] = {.lex_state = 15},
  [1427] = {.lex_state = 15},
  [1428] = {.lex_state = 15},
  [1429] = {.lex_state = 15},
  [1430] = {.lex_state = 15},
  [1431] = {.lex_state = 15},
  [1432] = {.lex_state = 15},
  [1433] = {.lex_state = 15},
  [1434] = {.lex_state = 15},
  [1435] = {.lex_state = 15},
  [1436] = {.lex_state = 15},
  [1437] = {.lex_state = 15},
  [1438] = {.lex_state = 15},
  [1439] = {.lex_state = 15},
  [1440] = {.lex_state = 15},
  [1441] = {.lex_state = 15},
  [1442] = {.lex_state = 15},
  [1443] = {.lex_state = 15},
  [1444] = {.lex_state = 8, .external_lex_state = 4},
  [1445] = {.lex_state = 15},
  [1446] = {.lex_state = 64},
  [1447] = {.lex_state = 15},
  [1448] = {.lex_state = 15},
  [1449] = {.lex_state = 15},
  [1450] = {.lex_state = 15},
  [1451] = {.lex_state = 64},
  [1452] = {.lex_state = 17},
  [1453] = {.lex_state = 64},
  [1454] = {.lex_state = 15},
  [1455] = {.lex_state = 15},
  [1456] = {.lex_state = 64},
  [1457] = {.lex_state = 64},
  [1458] = {.lex_state = 64},
  [1459] = {.lex_state = 15},
  [1460] = {.lex_state = 64},
  [1461] = {.lex_state = 64},
  [1462] = {.lex_state = 64},
  [1463] = {.lex_state = 64},
  [1464] = {.lex_state = 64},
  [1465] = {.lex_state = 64},
  [1466] = {.lex_state = 64},
  [1467] = {.lex_state = 64},
  [1468] = {.lex_state = 64},
  [1469] = {.lex_state = 15},
  [1470] = {.lex_state = 64},
  [1471] = {.lex_state = 64},
  [1472] = {.lex_state = 64},
  [1473] = {.lex_state = 64},
  [1474] = {.lex_state = 64},
  [1475] = {.lex_state = 15},
  [1476] = {.lex_state = 64},
  [1477] = {.lex_state = 64},
  [1478] = {.lex_state = 64},
  [1479] = {.lex_state = 64},
  [1480] = {.lex_state = 64},
  [1481] = {.lex_state = 15},
  [1482] = {.lex_state = 64},
  [1483] = {.lex_state = 64},
  [1484] = {.lex_state = 64},
  [1485] = {.lex_state = 64},
  [1486] = {.lex_state = 15},
  [1487] = {.lex_state = 64},
  [1488] = {.lex_state = 64},
  [1489] = {.lex_state = 64},
  [1490] = {.lex_state = 64},
  [1491] = {.lex_state = 64},
  [1492] = {.lex_state = 64},
  [1493] = {.lex_state = 64},
  [1494] = {.lex_state = 64},
  [1495] = {.lex_state = 64},
  [1496] = {.lex_state = 64},
  [1497] = {.lex_state = 17},
  [1498] = {.lex_state = 17},
  [1499] = {.lex_state = 17},
  [1500] = {.lex_state = 17},
  [1501] = {.lex_state = 64},
  [1502] = {.lex_state = 64},
  [1503] = {.lex_state = 64},
  [1504] = {.lex_state = 64},
  [1505] = {.lex_state = 64},
  [1506] = {.lex_state = 64},
  [1507] = {.lex_state = 64},
  [1508] = {.lex_state = 64},
  [1509] = {.lex_state = 64},
  [1510] = {.lex_state = 64},
  [1511] = {.lex_state = 64},
  [1512] = {.lex_state = 17},
  [1513] = {.lex_state = 17},
  [1514] = {.lex_state = 3, .external_lex_state = 7},
  [1515] = {.lex_state = 64},
  [1516] = {.lex_state = 64},
  [1517] = {.lex_state = 64},
  [1518] = {.lex_state = 17},
  [1519] = {.lex_state = 64},
  [1520] = {.lex_state = 64},
  [1521] = {.lex_state = 64},
  [1522] = {.lex_state = 3, .external_lex_state = 7},
  [1523] = {.lex_state = 64},
  [1524] = {.lex_state = 17},
  [1525] = {.lex_state = 64},
  [1526] = {.lex_state = 64},
  [1527] = {.lex_state = 64},
  [1528] = {.lex_state = 17},
  [1529] = {.lex_state = 64},
  [1530] = {.lex_state = 64, .external_lex_state = 2},
  [1531] = {.lex_state = 64, .external_lex_state = 2},
  [1532] = {.lex_state = 64, .external_lex_state = 2},
  [1533] = {.lex_state = 17},
  [1534] = {.lex_state = 64, .external_lex_state = 2},
  [1535] = {.lex_state = 8, .external_lex_state = 8},
  [1536] = {.lex_state = 64},
  [1537] = {.lex_state = 64, .external_lex_state = 2},
  [1538] = {.lex_state = 8, .external_lex_state = 9},
  [1539] = {.lex_state = 64, .external_lex_state = 2},
  [1540] = {.lex_state = 64},
  [1541] = {.lex_state = 64, .external_lex_state = 2},
  [1542] = {.lex_state = 8, .external_lex_state = 9},
  [1543] = {.lex_state = 64, .external_lex_state = 2},
  [1544] = {.lex_state = 8, .external_lex_state = 8},
  [1545] = {.lex_state = 64},
  [1546] = {.lex_state = 64},
  [1547] = {.lex_state = 64},
  [1548] = {.lex_state = 64},
  [1549] = {.lex_state = 64},
  [1550] = {.lex_state = 64},
  [1551] = {.lex_state = 64, .external_lex_state = 2},
  [1552] = {.lex_state = 64},
  [1553] = {.lex_state = 64},
  [1554] = {.lex_state = 64},
  [1555] = {.lex_state = 64},
  [1556] = {.lex_state = 64},
  [1557] = {.lex_state = 64},
  [1558] = {.lex_state = 64},
  [1559] = {.lex_state = 64},
  [1560] = {.lex_state = 64},
  [1561] = {.lex_state = 64},
  [1562] = {.lex_state = 64},
  [1563] = {.lex_state = 64},
  [1564] = {.lex_state = 64},
  [1565] = {.lex_state = 3, .external_lex_state = 3},
  [1566] = {.lex_state = 64, .external_lex_state = 2},
  [1567] = {.lex_state = 64},
  [1568] = {.lex_state = 64},
  [1569] = {.lex_state = 64},
  [1570] = {.lex_state = 64, .external_lex_state = 2},
  [1571] = {.lex_state = 64},
  [1572] = {.lex_state = 64, .external_lex_state = 2},
  [1573] = {.lex_state = 64},
  [1574] = {.lex_state = 64, .external_lex_state = 2},
  [1575] = {.lex_state = 64, .external_lex_state = 2},
  [1576] = {.lex_state = 64, .external_lex_state = 2},
  [1577] = {.lex_state = 64, .external_lex_state = 2},
  [1578] = {.lex_state = 64},
  [1579] = {.lex_state = 64},
  [1580] = {.lex_state = 64, .external_lex_state = 2},
  [1581] = {.lex_state = 64},
  [1582] = {.lex_state = 65},
  [1583] = {.lex_state = 64, .external_lex_state = 2},
  [1584] = {.lex_state = 64, .external_lex_state = 2},
  [1585] = {.lex_state = 64, .external_lex_state = 2},
  [1586] = {.lex_state = 64, .external_lex_state = 2},
  [1587] = {.lex_state = 3, .external_lex_state = 3},
  [1588] = {.lex_state = 3, .external_lex_state = 3},
  [1589] = {.lex_state = 10},
  [1590] = {.lex_state = 64, .external_lex_state = 2},
  [1591] = {.lex_state = 64},
  [1592] = {.lex_state = 64},
  [1593] = {.lex_state = 3, .external_lex_state = 3},
  [1594] = {.lex_state = 3, .external_lex_state = 3},
  [1595] = {.lex_state = 64, .external_lex_state = 2},
  [1596] = {.lex_state = 3, .external_lex_state = 3},
  [1597] = {.lex_state = 3, .external_lex_state = 3},
  [1598] = {.lex_state = 64},
  [1599] = {.lex_state = 3, .external_lex_state = 3},
  [1600] = {.lex_state = 64},
  [1601] = {.lex_state = 10},
  [1602] = {.lex_state = 64},
  [1603] = {.lex_state = 64},
  [1604] = {.lex_state = 64},
  [1605] = {.lex_state = 17},
  [1606] = {.lex_state = 64, .external_lex_state = 2},
  [1607] = {.lex_state = 64, .external_lex_state = 2},
  [1608] = {.lex_state = 64, .external_lex_state = 2},
  [1609] = {.lex_state = 3, .external_lex_state = 3},
  [1610] = {.lex_state = 3, .external_lex_state = 3},
  [1611] = {.lex_state = 3, .external_lex_state = 3},
  [1612] = {.lex_state = 64},
  [1613] = {.lex_state = 10},
  [1614] = {.lex_state = 64},
  [1615] = {.lex_state = 64, .external_lex_state = 2},
  [1616] = {.lex_state = 64},
  [1617] = {.lex_state = 64, .external_lex_state = 2},
  [1618] = {.lex_state = 64},
  [1619] = {.lex_state = 19},
  [1620] = {.lex_state = 8, .external_lex_state = 6},
  [1621] = {.lex_state = 64},
  [1622] = {.lex_state = 64},
  [1623] = {.lex_state = 64},
  [1624] = {.lex_state = 64},
  [1625] = {.lex_state = 64},
  [1626] = {.lex_state = 64},
  [1627] = {.lex_state = 64},
  [1628] = {.lex_state = 64},
  [1629] = {.lex_state = 64},
  [1630] = {.lex_state = 64},
  [1631] = {.lex_state = 64},
  [1632] = {.lex_state = 64},
  [1633] = {.lex_state = 64},
  [1634] = {.lex_state = 64},
  [1635] = {.lex_state = 64},
  [1636] = {.lex_state = 64},
  [1637] = {.lex_state = 64},
  [1638] = {.lex_state = 8, .external_lex_state = 5},
  [1639] = {.lex_state = 8, .external_lex_state = 5},
  [1640] = {.lex_state = 64},
  [1641] = {.lex_state = 64},
  [1642] = {.lex_state = 64},
  [1643] = {.lex_state = 64},
  [1644] = {.lex_state = 64},
  [1645] = {.lex_state = 8, .external_lex_state = 6},
  [1646] = {.lex_state = 8, .external_lex_state = 6},
  [1647] = {.lex_state = 19},
  [1648] = {.lex_state = 19},
  [1649] = {.lex_state = 65},
  [1650] = {.lex_state = 64},
  [1651] = {.lex_state = 64},
  [1652] = {.lex_state = 64},
  [1653] = {.lex_state = 8, .external_lex_state = 6},
  [1654] = {.lex_state = 8, .external_lex_state = 6},
  [1655] = {.lex_state = 64},
  [1656] = {.lex_state = 8, .external_lex_state = 6},
  [1657] = {.lex_state = 64},
  [1658] = {.lex_state = 64},
  [1659] = {.lex_state = 64},
  [1660] = {.lex_state = 8, .external_lex_state = 5},
  [1661] = {.lex_state = 64},
  [1662] = {.lex_state = 64},
  [1663] = {.lex_state = 64},
  [1664] = {.lex_state = 19},
  [1665] = {.lex_state = 64},
  [1666] = {.lex_state = 64},
  [1667] = {.lex_state = 64},
  [1668] = {.lex_state = 64},
  [1669] = {.lex_state = 8, .external_lex_state = 6},
  [1670] = {.lex_state = 64},
  [1671] = {.lex_state = 64},
  [1672] = {.lex_state = 64},
  [1673] = {.lex_state = 8, .external_lex_state = 6},
  [1674] = {.lex_state = 66, .external_lex_state = 10},
  [1675] = {.lex_state = 64},
  [1676] = {.lex_state = 64},
  [1677] = {.lex_state = 64},
  [1678] = {.lex_state = 8, .external_lex_state = 5},
  [1679] = {.lex_state = 8, .external_lex_state = 5},
  [1680] = {.lex_state = 8, .external_lex_state = 5},
  [1681] = {.lex_state = 64},
  [1682] = {.lex_state = 64},
  [1683] = {.lex_state = 64},
  [1684] = {.lex_state = 8, .external_lex_state = 5},
  [1685] = {.lex_state = 64},
  [1686] = {.lex_state = 64},
  [1687] = {.lex_state = 64},
  [1688] = {.lex_state = 64},
  [1689] = {.lex_state = 64},
  [1690] = {.lex_state = 64},
  [1691] = {.lex_state = 64},
  [1692] = {.lex_state = 64},
  [1693] = {.lex_state = 64},
  [1694] = {.lex_state = 64},
  [1695] = {.lex_state = 64},
  [1696] = {.lex_state = 64},
  [1697] = {.lex_state = 64},
  [1698] = {.lex_state = 8, .external_lex_state = 5},
  [1699] = {.lex_state = 64},
  [1700] = {.lex_state = 8, .external_lex_state = 6},
  [1701] = {.lex_state = 8, .external_lex_state = 5},
  [1702] = {.lex_state = 8, .external_lex_state = 5},
  [1703] = {.lex_state = 8, .external_lex_state = 6},
  [1704] = {.lex_state = 19},
  [1705] = {.lex_state = 64},
  [1706] = {.lex_state = 8, .external_lex_state = 5},
  [1707] = {.lex_state = 8, .external_lex_state = 6},
  [1708] = {.lex_state = 64},
  [1709] = {.lex_state = 64, .external_lex_state = 2},
  [1710] = {.lex_state = 64, .external_lex_state = 2},
  [1711] = {.lex_state = 64},
  [1712] = {.lex_state = 66},
  [1713] = {.lex_state = 64},
  [1714] = {.lex_state = 64},
  [1715] = {.lex_state = 66},
  [1716] = {.lex_state = 64, .external_lex_state = 2},
  [1717] = {.lex_state = 65},
  [1718] = {.lex_state = 64, .external_lex_state = 2},
  [1719] = {.lex_state = 65},
  [1720] = {.lex_state = 65},
  [1721] = {.lex_state = 64, .external_lex_state = 2},
  [1722] = {.lex_state = 64, .external_lex_state = 2},
  [1723] = {.lex_state = 64},
  [1724] = {.lex_state = 64, .external_lex_state = 2},
  [1725] = {.lex_state = 64},
  [1726] = {.lex_state = 64},
  [1727] = {.lex_state = 64},
  [1728] = {.lex_state = 64},
  [1729] = {.lex_state = 64, .external_lex_state = 2},
  [1730] = {.lex_state = 64, .external_lex_state = 2},
  [1731] = {.lex_state = 64, .external_lex_state = 2},
  [1732] = {.lex_state = 64, .external_lex_state = 2},
  [1733] = {.lex_state = 64, .external_lex_state = 2},
  [1734] = {.lex_state = 64, .external_lex_state = 2},
  [1735] = {.lex_state = 64, .external_lex_state = 2},
  [1736] = {.lex_state = 64, .external_lex_state = 2},
  [1737] = {.lex_state = 65},
  [1738] = {.lex_state = 64},
  [1739] = {.lex_state = 64, .external_lex_state = 2},
  [1740] = {.lex_state = 64, .external_lex_state = 2},
  [1741] = {.lex_state = 64},
  [1742] = {.lex_state = 64},
  [1743] = {.lex_state = 64},
  [1744] = {.lex_state = 64},
  [1745] = {.lex_state = 64},
  [1746] = {.lex_state = 64, .external_lex_state = 2},
  [1747] = {.lex_state = 64},
  [1748] = {.lex_state = 64},
  [1749] = {.lex_state = 65},
  [1750] = {.lex_state = 65},
  [1751] = {.lex_state = 65},
  [1752] = {.lex_state = 65},
  [1753] = {.lex_state = 64, .external_lex_state = 2},
  [1754] = {.lex_state = 64, .external_lex_state = 2},
  [1755] = {.lex_state = 64, .external_lex_state = 2},
  [1756] = {.lex_state = 64},
  [1757] = {.lex_state = 64, .external_lex_state = 2},
  [1758] = {.lex_state = 64},
  [1759] = {.lex_state = 64, .external_lex_state = 2},
  [1760] = {.lex_state = 64, .external_lex_state = 2},
  [1761] = {.lex_state = 64, .external_lex_state = 2},
  [1762] = {.lex_state = 64},
  [1763] = {.lex_state = 64},
  [1764] = {.lex_state = 64},
  [1765] = {.lex_state = 64, .external_lex_state = 2},
  [1766] = {.lex_state = 64, .external_lex_state = 2},
  [1767] = {.lex_state = 64, .external_lex_state = 2},
  [1768] = {.lex_state = 64, .external_lex_state = 2},
  [1769] = {.lex_state = 64},
  [1770] = {.lex_state = 64},
  [1771] = {.lex_state = 64},
  [1772] = {.lex_state = 64},
  [1773] = {.lex_state = 64},
  [1774] = {.lex_state = 64, .external_lex_state = 2},
  [1775] = {.lex_state = 64},
  [1776] = {.lex_state = 15},
  [1777] = {.lex_state = 64},
  [1778] = {.lex_state = 64},
  [1779] = {.lex_state = 64},
  [1780] = {.lex_state = 64},
  [1781] = {.lex_state = 64, .external_lex_state = 2},
  [1782] = {.lex_state = 64},
  [1783] = {.lex_state = 64},
  [1784] = {.lex_state = 64},
  [1785] = {.lex_state = 64, .external_lex_state = 2},
  [1786] = {.lex_state = 64, .external_lex_state = 2},
  [1787] = {.lex_state = 64, .external_lex_state = 2},
  [1788] = {.lex_state = 64, .external_lex_state = 2},
  [1789] = {.lex_state = 64},
  [1790] = {.lex_state = 15},
  [1791] = {.lex_state = 15},
  [1792] = {.lex_state = 64},
  [1793] = {.lex_state = 15},
  [1794] = {.lex_state = 64},
  [1795] = {.lex_state = 64},
  [1796] = {.lex_state = 64, .external_lex_state = 2},
  [1797] = {.lex_state = 15},
  [1798] = {.lex_state = 15},
  [1799] = {.lex_state = 15},
  [1800] = {.lex_state = 15},
  [1801] = {.lex_state = 64},
  [1802] = {.lex_state = 15},
  [1803] = {.lex_state = 15},
  [1804] = {.lex_state = 15},
  [1805] = {.lex_state = 15},
  [1806] = {.lex_state = 15},
  [1807] = {.lex_state = 15},
  [1808] = {.lex_state = 15},
  [1809] = {.lex_state = 15},
  [1810] = {.lex_state = 15},
  [1811] = {.lex_state = 15},
  [1812] = {.lex_state = 15},
  [1813] = {.lex_state = 15},
  [1814] = {.lex_state = 15},
  [1815] = {.lex_state = 15},
  [1816] = {.lex_state = 66, .external_lex_state = 10},
  [1817] = {.lex_state = 66, .external_lex_state = 10},
  [1818] = {.lex_state = 64, .external_lex_state = 2},
  [1819] = {.lex_state = 64, .external_lex_state = 2},
  [1820] = {.lex_state = 64, .external_lex_state = 2},
  [1821] = {.lex_state = 64, .external_lex_state = 2},
  [1822] = {.lex_state = 64, .external_lex_state = 2},
  [1823] = {.lex_state = 64, .external_lex_state = 2},
  [1824] = {.lex_state = 64, .external_lex_state = 2},
  [1825] = {.lex_state = 64, .external_lex_state = 2},
  [1826] = {.lex_state = 64, .external_lex_state = 2},
  [1827] = {.lex_state = 64, .external_lex_state = 2},
  [1828] = {.lex_state = 64, .external_lex_state = 2},
  [1829] = {.lex_state = 64, .external_lex_state = 2},
  [1830] = {.lex_state = 64, .external_lex_state = 2},
  [1831] = {.lex_state = 64, .external_lex_state = 2},
  [1832] = {.lex_state = 64, .external_lex_state = 2},
  [1833] = {.lex_state = 64},
  [1834] = {.lex_state = 64, .external_lex_state = 2},
  [1835] = {.lex_state = 64, .external_lex_state = 2},
  [1836] = {.lex_state = 64, .external_lex_state = 2},
  [1837] = {.lex_state = 64},
  [1838] = {.lex_state = 64, .external_lex_state = 2},
  [1839] = {.lex_state = 64, .external_lex_state = 2},
  [1840] = {.lex_state = 64, .external_lex_state = 2},
  [1841] = {.lex_state = 64, .external_lex_state = 2},
  [1842] = {.lex_state = 15},
  [1843] = {.lex_state = 64, .external_lex_state = 2},
  [1844] = {.lex_state = 64, .external_lex_state = 2},
  [1845] = {.lex_state = 64},
  [1846] = {.lex_state = 64},
  [1847] = {.lex_state = 64},
  [1848] = {.lex_state = 64},
  [1849] = {.lex_state = 64},
  [1850] = {.lex_state = 64, .external_lex_state = 2},
  [1851] = {.lex_state = 64},
  [1852] = {.lex_state = 64, .external_lex_state = 2},
  [1853] = {.lex_state = 64, .external_lex_state = 2},
  [1854] = {.lex_state = 64, .external_lex_state = 2},
  [1855] = {.lex_state = 66},
  [1856] = {.lex_state = 64, .external_lex_state = 2},
  [1857] = {.lex_state = 64},
  [1858] = {.lex_state = 64},
  [1859] = {.lex_state = 64},
  [1860] = {.lex_state = 64},
  [1861] = {.lex_state = 64},
  [1862] = {.lex_state = 64},
  [1863] = {.lex_state = 64},
  [1864] = {.lex_state = 64},
  [1865] = {.lex_state = 19},
  [1866] = {.lex_state = 3, .external_lex_state = 11},
  [1867] = {.lex_state = 64},
  [1868] = {.lex_state = 64},
  [1869] = {.lex_state = 64},
  [1870] = {.lex_state = 64},
  [1871] = {.lex_state = 64, .external_lex_state = 2},
  [1872] = {.lex_state = 64, .external_lex_state = 2},
  [1873] = {.lex_state = 64, .external_lex_state = 2},
  [1874] = {.lex_state = 64, .external_lex_state = 2},
  [1875] = {.lex_state = 64},
  [1876] = {.lex_state = 64},
  [1877] = {.lex_state = 64},
  [1878] = {.lex_state = 64},
  [1879] = {.lex_state = 64},
  [1880] = {.lex_state = 64},
  [1881] = {.lex_state = 64},
  [1882] = {.lex_state = 19},
  [1883] = {.lex_state = 3, .external_lex_state = 11},
  [1884] = {.lex_state = 64},
  [1885] = {.lex_state = 64},
  [1886] = {.lex_state = 64},
  [1887] = {.lex_state = 64},
  [1888] = {.lex_state = 64, .external_lex_state = 2},
  [1889] = {.lex_state = 65},
  [1890] = {.lex_state = 64, .external_lex_state = 2},
  [1891] = {.lex_state = 64, .external_lex_state = 2},
  [1892] = {.lex_state = 64, .external_lex_state = 2},
  [1893] = {.lex_state = 64},
  [1894] = {.lex_state = 64},
  [1895] = {.lex_state = 64},
  [1896] = {.lex_state = 64, .external_lex_state = 2},
  [1897] = {.lex_state = 65},
  [1898] = {.lex_state = 64, .external_lex_state = 2},
  [1899] = {.lex_state = 64},
  [1900] = {.lex_state = 64},
  [1901] = {.lex_state = 64},
  [1902] = {.lex_state = 64},
  [1903] = {.lex_state = 64},
  [1904] = {.lex_state = 64},
  [1905] = {.lex_state = 64},
  [1906] = {.lex_state = 64},
  [1907] = {.lex_state = 64},
  [1908] = {.lex_state = 64},
  [1909] = {.lex_state = 64},
  [1910] = {.lex_state = 64},
  [1911] = {.lex_state = 64},
  [1912] = {.lex_state = 64},
  [1913] = {.lex_state = 64},
  [1914] = {.lex_state = 65},
  [1915] = {.lex_state = 64},
  [1916] = {.lex_state = 64},
  [1917] = {.lex_state = 64},
  [1918] = {.lex_state = 64, .external_lex_state = 2},
  [1919] = {.lex_state = 64},
  [1920] = {.lex_state = 64},
  [1921] = {.lex_state = 64},
  [1922] = {.lex_state = 64},
  [1923] = {.lex_state = 64},
  [1924] = {.lex_state = 64},
  [1925] = {.lex_state = 16, .external_lex_state = 2},
  [1926] = {.lex_state = 64},
  [1927] = {.lex_state = 64},
  [1928] = {.lex_state = 66, .external_lex_state = 10},
  [1929] = {.lex_state = 64},
  [1930] = {.lex_state = 64},
  [1931] = {.lex_state = 64},
  [1932] = {.lex_state = 64},
  [1933] = {.lex_state = 64},
  [1934] = {.lex_state = 64},
  [1935] = {.lex_state = 3, .external_lex_state = 11},
  [1936] = {.lex_state = 64},
  [1937] = {.lex_state = 64},
  [1938] = {.lex_state = 64},
  [1939] = {.lex_state = 64},
  [1940] = {.lex_state = 64},
  [1941] = {.lex_state = 3, .external_lex_state = 11},
  [1942] = {.lex_state = 64},
  [1943] = {.lex_state = 64, .external_lex_state = 2},
  [1944] = {.lex_state = 64},
  [1945] = {.lex_state = 64},
  [1946] = {.lex_state = 64},
  [1947] = {.lex_state = 64},
  [1948] = {.lex_state = 64, .external_lex_state = 2},
  [1949] = {.lex_state = 3, .external_lex_state = 12},
  [1950] = {.lex_state = 64},
  [1951] = {.lex_state = 64},
  [1952] = {.lex_state = 64, .external_lex_state = 2},
  [1953] = {.lex_state = 64},
  [1954] = {.lex_state = 3, .external_lex_state = 12},
  [1955] = {.lex_state = 64},
  [1956] = {.lex_state = 64, .external_lex_state = 2},
  [1957] = {.lex_state = 64},
  [1958] = {.lex_state = 64, .external_lex_state = 2},
  [1959] = {.lex_state = 64, .external_lex_state = 2},
  [1960] = {.lex_state = 64},
  [1961] = {.lex_state = 64},
  [1962] = {.lex_state = 64, .external_lex_state = 2},
  [1963] = {.lex_state = 64},
  [1964] = {.lex_state = 64, .external_lex_state = 2},
  [1965] = {.lex_state = 64, .external_lex_state = 2},
  [1966] = {.lex_state = 64, .external_lex_state = 2},
  [1967] = {.lex_state = 64, .external_lex_state = 2},
  [1968] = {.lex_state = 64, .external_lex_state = 2},
  [1969] = {.lex_state = 64},
  [1970] = {.lex_state = 64, .external_lex_state = 2},
  [1971] = {.lex_state = 64},
  [1972] = {.lex_state = 64, .external_lex_state = 13},
  [1973] = {.lex_state = 64},
  [1974] = {.lex_state = 64},
  [1975] = {.lex_state = 64},
  [1976] = {.lex_state = 64, .external_lex_state = 2},
  [1977] = {.lex_state = 64},
  [1978] = {.lex_state = 64},
  [1979] = {.lex_state = 64, .external_lex_state = 2},
  [1980] = {.lex_state = 64},
  [1981] = {.lex_state = 64, .external_lex_state = 2},
  [1982] = {.lex_state = 64},
  [1983] = {.lex_state = 64},
  [1984] = {.lex_state = 64},
  [1985] = {.lex_state = 64},
  [1986] = {.lex_state = 64},
  [1987] = {.lex_state = 64},
  [1988] = {.lex_state = 64, .external_lex_state = 2},
  [1989] = {.lex_state = 64},
  [1990] = {.lex_state = 64, .external_lex_state = 2},
  [1991] = {.lex_state = 64},
  [1992] = {.lex_state = 64, .external_lex_state = 2},
  [1993] = {.lex_state = 64},
  [1994] = {.lex_state = 64},
  [1995] = {.lex_state = 64},
  [1996] = {.lex_state = 64, .external_lex_state = 2},
  [1997] = {.lex_state = 64},
  [1998] = {.lex_state = 64, .external_lex_state = 2},
  [1999] = {.lex_state = 64},
  [2000] = {.lex_state = 64},
  [2001] = {.lex_state = 64},
  [2002] = {.lex_state = 64},
  [2003] = {.lex_state = 64, .external_lex_state = 2},
  [2004] = {.lex_state = 64, .external_lex_state = 2},
  [2005] = {.lex_state = 64},
  [2006] = {.lex_state = 64},
  [2007] = {.lex_state = 64},
  [2008] = {.lex_state = 64, .external_lex_state = 2},
  [2009] = {.lex_state = 64, .external_lex_state = 2},
  [2010] = {.lex_state = 64},
  [2011] = {.lex_state = 64},
  [2012] = {.lex_state = 64, .external_lex_state = 2},
  [2013] = {.lex_state = 64},
  [2014] = {.lex_state = 64, .external_lex_state = 2},
  [2015] = {.lex_state = 64, .external_lex_state = 2},
  [2016] = {.lex_state = 64},
  [2017] = {.lex_state = 64, .external_lex_state = 2},
  [2018] = {.lex_state = 64},
  [2019] = {.lex_state = 64},
  [2020] = {.lex_state = 64},
  [2021] = {.lex_state = 64, .external_lex_state = 2},
  [2022] = {.lex_state = 64},
  [2023] = {.lex_state = 64},
  [2024] = {.lex_state = 64},
  [2025] = {.lex_state = 3, .external_lex_state = 12},
  [2026] = {.lex_state = 64},
  [2027] = {.lex_state = 64},
  [2028] = {.lex_state = 64},
  [2029] = {.lex_state = 64, .external_lex_state = 2},
  [2030] = {.lex_state = 64},
  [2031] = {.lex_state = 64},
  [2032] = {.lex_state = 64},
  [2033] = {.lex_state = 64},
  [2034] = {.lex_state = 64},
  [2035] = {.lex_state = 64},
  [2036] = {.lex_state = 64},
  [2037] = {.lex_state = 64},
  [2038] = {.lex_state = 19},
  [2039] = {.lex_state = 19},
  [2040] = {.lex_state = 64},
  [2041] = {.lex_state = 64},
  [2042] = {.lex_state = 64},
  [2043] = {.lex_state = 64},
  [2044] = {.lex_state = 64},
  [2045] = {.lex_state = 64, .external_lex_state = 2},
  [2046] = {.lex_state = 64},
  [2047] = {.lex_state = 64},
  [2048] = {.lex_state = 64, .external_lex_state = 2},
  [2049] = {.lex_state = 64},
  [2050] = {.lex_state = 64, .external_lex_state = 2},
  [2051] = {.lex_state = 64},
  [2052] = {.lex_state = 64, .external_lex_state = 2},
  [2053] = {.lex_state = 64},
  [2054] = {.lex_state = 64},
  [2055] = {.lex_state = 64},
  [2056] = {.lex_state = 64},
  [2057] = {.lex_state = 64, .external_lex_state = 2},
  [2058] = {.lex_state = 64, .external_lex_state = 2},
  [2059] = {.lex_state = 64},
  [2060] = {.lex_state = 64},
  [2061] = {.lex_state = 64},
  [2062] = {.lex_state = 64},
  [2063] = {.lex_state = 64},
  [2064] = {.lex_state = 65},
  [2065] = {.lex_state = 64, .external_lex_state = 2},
  [2066] = {.lex_state = 64, .external_lex_state = 2},
  [2067] = {.lex_state = 64},
  [2068] = {.lex_state = 64},
  [2069] = {.lex_state = 64, .external_lex_state = 2},
  [2070] = {.lex_state = 64},
  [2071] = {.lex_state = 64, .external_lex_state = 2},
  [2072] = {.lex_state = 64, .external_lex_state = 2},
  [2073] = {.lex_state = 64},
  [2074] = {.lex_state = 64, .external_lex_state = 2},
  [2075] = {.lex_state = 64, .external_lex_state = 2},
  [2076] = {.lex_state = 64},
  [2077] = {.lex_state = 64},
  [2078] = {.lex_state = 64, .external_lex_state = 2},
  [2079] = {.lex_state = 64},
  [2080] = {.lex_state = 64},
  [2081] = {.lex_state = 64},
  [2082] = {.lex_state = 64},
  [2083] = {.lex_state = 64},
  [2084] = {.lex_state = 64},
  [2085] = {.lex_state = 64},
  [2086] = {.lex_state = 64},
  [2087] = {.lex_state = 64, .external_lex_state = 2},
  [2088] = {.lex_state = 64},
  [2089] = {.lex_state = 64},
  [2090] = {.lex_state = 64},
  [2091] = {.lex_state = 64},
  [2092] = {.lex_state = 64},
  [2093] = {.lex_state = 3, .external_lex_state = 11},
  [2094] = {.lex_state = 64},
  [2095] = {.lex_state = 64, .external_lex_state = 2},
  [2096] = {.lex_state = 64},
  [2097] = {.lex_state = 64},
  [2098] = {.lex_state = 64, .external_lex_state = 2},
  [2099] = {.lex_state = 64},
  [2100] = {.lex_state = 64, .external_lex_state = 2},
  [2101] = {.lex_state = 64, .external_lex_state = 2},
  [2102] = {.lex_state = 64},
  [2103] = {.lex_state = 64},
  [2104] = {.lex_state = 64},
  [2105] = {.lex_state = 64, .external_lex_state = 2},
  [2106] = {.lex_state = 64},
  [2107] = {.lex_state = 64},
  [2108] = {.lex_state = 64, .external_lex_state = 2},
  [2109] = {.lex_state = 64},
  [2110] = {.lex_state = 64},
  [2111] = {.lex_state = 64},
  [2112] = {.lex_state = 64},
  [2113] = {.lex_state = 64},
  [2114] = {.lex_state = 64},
  [2115] = {.lex_state = 64},
  [2116] = {.lex_state = 64},
  [2117] = {.lex_state = 64},
  [2118] = {.lex_state = 64},
  [2119] = {.lex_state = 64},
  [2120] = {.lex_state = 64},
  [2121] = {.lex_state = 64},
  [2122] = {.lex_state = 64},
  [2123] = {.lex_state = 64},
  [2124] = {.lex_state = 3, .external_lex_state = 11},
  [2125] = {.lex_state = 64},
  [2126] = {.lex_state = 64},
  [2127] = {.lex_state = 64},
  [2128] = {.lex_state = 64, .external_lex_state = 2},
  [2129] = {.lex_state = 64},
  [2130] = {.lex_state = 64},
  [2131] = {.lex_state = 64},
  [2132] = {.lex_state = 64},
  [2133] = {.lex_state = 64},
  [2134] = {.lex_state = 64},
  [2135] = {.lex_state = 64},
  [2136] = {.lex_state = 64},
  [2137] = {.lex_state = 64, .external_lex_state = 2},
  [2138] = {.lex_state = 64},
  [2139] = {.lex_state = 3, .external_lex_state = 11},
  [2140] = {.lex_state = 64},
  [2141] = {.lex_state = 64},
  [2142] = {.lex_state = 64},
  [2143] = {.lex_state = 64},
  [2144] = {.lex_state = 64},
  [2145] = {.lex_state = 64},
  [2146] = {.lex_state = 64},
  [2147] = {.lex_state = 64},
  [2148] = {.lex_state = 64},
  [2149] = {.lex_state = 64},
  [2150] = {.lex_state = 64},
  [2151] = {.lex_state = 64},
  [2152] = {.lex_state = 64},
  [2153] = {.lex_state = 64},
  [2154] = {.lex_state = 64},
  [2155] = {.lex_state = 64, .external_lex_state = 2},
  [2156] = {.lex_state = 64, .external_lex_state = 2},
  [2157] = {.lex_state = 64},
  [2158] = {.lex_state = 64, .external_lex_state = 2},
  [2159] = {.lex_state = 64, .external_lex_state = 2},
  [2160] = {.lex_state = 64, .external_lex_state = 2},
  [2161] = {.lex_state = 64},
  [2162] = {.lex_state = 64},
  [2163] = {.lex_state = 64},
  [2164] = {.lex_state = 64, .external_lex_state = 2},
  [2165] = {.lex_state = 64},
  [2166] = {.lex_state = 64},
  [2167] = {.lex_state = 64, .external_lex_state = 2},
  [2168] = {.lex_state = 64},
  [2169] = {.lex_state = 64},
  [2170] = {.lex_state = 64},
  [2171] = {.lex_state = 64},
  [2172] = {.lex_state = 64},
  [2173] = {.lex_state = 64},
  [2174] = {.lex_state = 64},
  [2175] = {.lex_state = 64},
  [2176] = {.lex_state = 64, .external_lex_state = 2},
  [2177] = {.lex_state = 64, .external_lex_state = 2},
  [2178] = {.lex_state = 65},
  [2179] = {.lex_state = 64},
  [2180] = {.lex_state = 65},
  [2181] = {.lex_state = 64},
  [2182] = {.lex_state = 64},
  [2183] = {.lex_state = 64, .external_lex_state = 2},
  [2184] = {.lex_state = 64},
  [2185] = {.lex_state = 64},
  [2186] = {.lex_state = 64},
  [2187] = {.lex_state = 3, .external_lex_state = 11},
  [2188] = {.lex_state = 64},
  [2189] = {.lex_state = 3, .external_lex_state = 11},
  [2190] = {.lex_state = 64},
  [2191] = {.lex_state = 64},
  [2192] = {.lex_state = 64},
  [2193] = {.lex_state = 64},
  [2194] = {.lex_state = 64},
  [2195] = {.lex_state = 64, .external_lex_state = 2},
  [2196] = {.lex_state = 64, .external_lex_state = 2},
  [2197] = {.lex_state = 64},
  [2198] = {.lex_state = 64},
  [2199] = {.lex_state = 64, .external_lex_state = 2},
  [2200] = {.lex_state = 64},
  [2201] = {.lex_state = 64},
  [2202] = {.lex_state = 64},
  [2203] = {.lex_state = 64, .external_lex_state = 2},
  [2204] = {.lex_state = 64},
  [2205] = {.lex_state = 64},
  [2206] = {.lex_state = 64},
  [2207] = {.lex_state = 64},
  [2208] = {.lex_state = 64},
  [2209] = {.lex_state = 64},
  [2210] = {.lex_state = 64, .external_lex_state = 2},
  [2211] = {.lex_state = 64, .external_lex_state = 2},
  [2212] = {.lex_state = 64},
  [2213] = {.lex_state = 64},
  [2214] = {.lex_state = 64},
  [2215] = {.lex_state = 64, .external_lex_state = 2},
  [2216] = {.lex_state = 64, .external_lex_state = 2},
  [2217] = {.lex_state = 64},
  [2218] = {.lex_state = 64, .external_lex_state = 2},
  [2219] = {.lex_state = 64},
  [2220] = {.lex_state = 64, .external_lex_state = 2},
  [2221] = {.lex_state = 64},
  [2222] = {.lex_state = 64, .external_lex_state = 13},
  [2223] = {.lex_state = 64},
  [2224] = {.lex_state = 64},
  [2225] = {.lex_state = 64},
  [2226] = {.lex_state = 64, .external_lex_state = 2},
  [2227] = {.lex_state = 64},
  [2228] = {.lex_state = 64},
  [2229] = {.lex_state = 64},
  [2230] = {.lex_state = 64, .external_lex_state = 2},
  [2231] = {.lex_state = 64, .external_lex_state = 2},
  [2232] = {.lex_state = 64},
  [2233] = {.lex_state = 64},
  [2234] = {.lex_state = 64},
  [2235] = {.lex_state = 64},
  [2236] = {.lex_state = 64, .external_lex_state = 2},
  [2237] = {.lex_state = 64, .external_lex_state = 2},
  [2238] = {.lex_state = 64},
  [2239] = {.lex_state = 64},
  [2240] = {.lex_state = 64},
  [2241] = {.lex_state = 64},
  [2242] = {.lex_state = 64},
  [2243] = {.lex_state = 64},
  [2244] = {.lex_state = 64},
  [2245] = {.lex_state = 64},
  [2246] = {.lex_state = 64},
  [2247] = {.lex_state = 64},
  [2248] = {.lex_state = 64},
  [2249] = {.lex_state = 64, .external_lex_state = 2},
  [2250] = {.lex_state = 64},
  [2251] = {.lex_state = 64},
  [2252] = {.lex_state = 64},
  [2253] = {.lex_state = 64, .external_lex_state = 2},
  [2254] = {.lex_state = 64},
  [2255] = {.lex_state = 3, .external_lex_state = 11},
  [2256] = {.lex_state = 64},
  [2257] = {.lex_state = 64},
  [2258] = {.lex_state = 64},
  [2259] = {.lex_state = 64},
  [2260] = {.lex_state = 64, .external_lex_state = 2},
  [2261] = {.lex_state = 64},
  [2262] = {.lex_state = 64},
  [2263] = {.lex_state = 64},
  [2264] = {.lex_state = 64},
  [2265] = {.lex_state = 64},
  [2266] = {.lex_state = 64, .external_lex_state = 2},
  [2267] = {.lex_state = 64},
  [2268] = {.lex_state = 64},
  [2269] = {.lex_state = 64},
  [2270] = {.lex_state = 64},
  [2271] = {.lex_state = 64},
  [2272] = {.lex_state = 64},
  [2273] = {.lex_state = 64},
  [2274] = {.lex_state = 64},
  [2275] = {.lex_state = 64},
  [2276] = {.lex_state = 64},
  [2277] = {.lex_state = 65},
  [2278] = {.lex_state = 64},
  [2279] = {.lex_state = 64},
  [2280] = {.lex_state = 64},
  [2281] = {.lex_state = 64},
  [2282] = {.lex_state = 64, .external_lex_state = 2},
  [2283] = {.lex_state = 64},
  [2284] = {.lex_state = 64, .external_lex_state = 2},
  [2285] = {.lex_state = 64},
  [2286] = {.lex_state = 64},
  [2287] = {.lex_state = 64, .external_lex_state = 2},
  [2288] = {.lex_state = 64},
  [2289] = {.lex_state = 64},
  [2290] = {.lex_state = 64},
  [2291] = {.lex_state = 64},
  [2292] = {.lex_state = 64},
  [2293] = {.lex_state = 64},
  [2294] = {.lex_state = 64},
  [2295] = {.lex_state = 64},
  [2296] = {.lex_state = 64},
  [2297] = {.lex_state = 64},
  [2298] = {.lex_state = 64},
  [2299] = {.lex_state = 64},
  [2300] = {.lex_state = 65},
  [2301] = {.lex_state = 65, .external_lex_state = 10},
  [2302] = {.lex_state = 64},
  [2303] = {.lex_state = 64},
  [2304] = {.lex_state = 64},
  [2305] = {.lex_state = 64},
  [2306] = {.lex_state = 64},
  [2307] = {.lex_state = 64},
  [2308] = {.lex_state = 64},
  [2309] = {.lex_state = 64},
  [2310] = {.lex_state = 64},
  [2311] = {.lex_state = 64},
  [2312] = {.lex_state = 64},
  [2313] = {.lex_state = 64},
  [2314] = {.lex_state = 64},
  [2315] = {.lex_state = 64},
  [2316] = {.lex_state = 64},
  [2317] = {.lex_state = 64},
  [2318] = {.lex_state = 64},
  [2319] = {.lex_state = 64},
  [2320] = {.lex_state = 64},
  [2321] = {.lex_state = 64},
  [2322] = {.lex_state = 64},
  [2323] = {.lex_state = 64, .external_lex_state = 2},
  [2324] = {.lex_state = 64},
  [2325] = {.lex_state = 64},
  [2326] = {.lex_state = 64},
  [2327] = {.lex_state = 64},
  [2328] = {.lex_state = 64},
  [2329] = {.lex_state = 64},
  [2330] = {.lex_state = 64},
  [2331] = {.lex_state = 64},
  [2332] = {.lex_state = 64},
  [2333] = {.lex_state = 64},
  [2334] = {.lex_state = 64},
  [2335] = {.lex_state = 64},
  [2336] = {.lex_state = 64},
  [2337] = {.lex_state = 64},
  [2338] = {.lex_state = 64},
  [2339] = {.lex_state = 64},
  [2340] = {.lex_state = 64},
  [2341] = {.lex_state = 64},
  [2342] = {.lex_state = 64},
  [2343] = {.lex_state = 64},
  [2344] = {.lex_state = 64},
  [2345] = {.lex_state = 64},
  [2346] = {.lex_state = 64},
  [2347] = {.lex_state = 64},
  [2348] = {.lex_state = 64},
  [2349] = {.lex_state = 64},
  [2350] = {.lex_state = 64},
  [2351] = {.lex_state = 64},
  [2352] = {.lex_state = 64},
  [2353] = {.lex_state = 64},
  [2354] = {.lex_state = 64},
  [2355] = {.lex_state = 3, .external_lex_state = 11},
  [2356] = {.lex_state = 64},
  [2357] = {.lex_state = 64},
  [2358] = {.lex_state = 64},
  [2359] = {.lex_state = 64},
  [2360] = {.lex_state = 64},
  [2361] = {.lex_state = 64},
  [2362] = {.lex_state = 64, .external_lex_state = 2},
  [2363] = {.lex_state = 64},
  [2364] = {.lex_state = 64},
  [2365] = {.lex_state = 64},
  [2366] = {.lex_state = 64},
  [2367] = {.lex_state = 64},
  [2368] = {.lex_state = 64},
  [2369] = {.lex_state = 64},
  [2370] = {.lex_state = 64},
  [2371] = {.lex_state = 64},
  [2372] = {.lex_state = 64},
  [2373] = {.lex_state = 64},
  [2374] = {.lex_state = 64},
  [2375] = {.lex_state = 64, .external_lex_state = 2},
  [2376] = {.lex_state = 64},
  [2377] = {.lex_state = 64},
  [2378] = {.lex_state = 64},
  [2379] = {.lex_state = 64},
  [2380] = {.lex_state = 64},
  [2381] = {.lex_state = 64},
  [2382] = {.lex_state = 64, .external_lex_state = 2},
  [2383] = {.lex_state = 64},
  [2384] = {.lex_state = 64},
  [2385] = {.lex_state = 64},
  [2386] = {.lex_state = 64},
  [2387] = {.lex_state = 64},
  [2388] = {.lex_state = 64},
  [2389] = {.lex_state = 64},
  [2390] = {.lex_state = 64},
  [2391] = {.lex_state = 64},
  [2392] = {.lex_state = 64},
  [2393] = {.lex_state = 64},
  [2394] = {.lex_state = 64},
  [2395] = {.lex_state = 64},
  [2396] = {.lex_state = 64, .external_lex_state = 2},
  [2397] = {.lex_state = 64},
  [2398] = {.lex_state = 64},
  [2399] = {.lex_state = 64},
  [2400] = {.lex_state = 64},
  [2401] = {.lex_state = 64},
  [2402] = {.lex_state = 64},
  [2403] = {.lex_state = 64},
  [2404] = {.lex_state = 64},
  [2405] = {.lex_state = 64},
  [2406] = {.lex_state = 3, .external_lex_state = 11},
  [2407] = {.lex_state = 64},
  [2408] = {.lex_state = 64},
  [2409] = {.lex_state = 64},
  [2410] = {.lex_state = 3, .external_lex_state = 11},
  [2411] = {.lex_state = 64},
  [2412] = {.lex_state = 64},
  [2413] = {.lex_state = 64},
  [2414] = {.lex_state = 64},
  [2415] = {.lex_state = 64},
  [2416] = {.lex_state = 64},
  [2417] = {.lex_state = 64},
  [2418] = {.lex_state = 64},
  [2419] = {.lex_state = 64},
  [2420] = {.lex_state = 64},
  [2421] = {.lex_state = 64, .external_lex_state = 2},
  [2422] = {.lex_state = 64},
  [2423] = {.lex_state = 64},
  [2424] = {.lex_state = 64},
  [2425] = {.lex_state = 64},
  [2426] = {.lex_state = 64},
  [2427] = {.lex_state = 64},
  [2428] = {.lex_state = 64},
  [2429] = {.lex_state = 64},
  [2430] = {.lex_state = 64},
  [2431] = {.lex_state = 64},
  [2432] = {.lex_state = 64},
  [2433] = {.lex_state = 64},
  [2434] = {.lex_state = 64},
  [2435] = {.lex_state = 64},
  [2436] = {.lex_state = 64},
  [2437] = {.lex_state = 64},
  [2438] = {.lex_state = 64},
  [2439] = {.lex_state = 64},
  [2440] = {.lex_state = 64},
  [2441] = {.lex_state = 64},
  [2442] = {.lex_state = 64},
  [2443] = {.lex_state = 64},
  [2444] = {.lex_state = 64},
  [2445] = {.lex_state = 64},
  [2446] = {.lex_state = 64},
  [2447] = {.lex_state = 64},
  [2448] = {.lex_state = 64},
  [2449] = {.lex_state = 64},
  [2450] = {.lex_state = 64},
  [2451] = {.lex_state = 3, .external_lex_state = 11},
  [2452] = {.lex_state = 64},
  [2453] = {.lex_state = 64},
  [2454] = {.lex_state = 64},
  [2455] = {.lex_state = 3, .external_lex_state = 11},
  [2456] = {.lex_state = 64},
  [2457] = {.lex_state = 64},
  [2458] = {.lex_state = 3, .external_lex_state = 11},
  [2459] = {.lex_state = 64},
  [2460] = {.lex_state = 64},
  [2461] = {.lex_state = 64, .external_lex_state = 14},
  [2462] = {.lex_state = 64},
  [2463] = {.lex_state = 64},
  [2464] = {.lex_state = 3, .external_lex_state = 11},
  [2465] = {.lex_state = 64},
  [2466] = {.lex_state = 64},
  [2467] = {.lex_state = 64},
  [2468] = {.lex_state = 64},
  [2469] = {.lex_state = 64},
  [2470] = {.lex_state = 64},
  [2471] = {.lex_state = 64},
  [2472] = {.lex_state = 64},
  [2473] = {.lex_state = 64},
  [2474] = {.lex_state = 64, .external_lex_state = 2},
  [2475] = {.lex_state = 64},
  [2476] = {.lex_state = 64},
  [2477] = {.lex_state = 3, .external_lex_state = 11},
  [2478] = {.lex_state = 64},
  [2479] = {.lex_state = 64},
  [2480] = {.lex_state = 64},
  [2481] = {.lex_state = 64},
  [2482] = {.lex_state = 64},
  [2483] = {.lex_state = 64},
  [2484] = {.lex_state = 64},
  [2485] = {.lex_state = 64, .external_lex_state = 2},
  [2486] = {.lex_state = 64},
  [2487] = {.lex_state = 64},
  [2488] = {.lex_state = 64},
  [2489] = {.lex_state = 64},
  [2490] = {.lex_state = 64},
  [2491] = {.lex_state = 64},
  [2492] = {.lex_state = 3, .external_lex_state = 11},
  [2493] = {.lex_state = 64},
  [2494] = {.lex_state = 64},
  [2495] = {.lex_state = 64},
  [2496] = {.lex_state = 64},
  [2497] = {.lex_state = 64},
  [2498] = {.lex_state = 64, .external_lex_state = 2},
  [2499] = {.lex_state = 64},
  [2500] = {.lex_state = 64},
  [2501] = {.lex_state = 3, .external_lex_state = 11},
  [2502] = {.lex_state = 64},
  [2503] = {.lex_state = 64},
  [2504] = {.lex_state = 64},
  [2505] = {.lex_state = 64},
  [2506] = {.lex_state = 64},
  [2507] = {.lex_state = 64},
  [2508] = {.lex_state = 64},
  [2509] = {.lex_state = 64},
  [2510] = {.lex_state = 64},
  [2511] = {.lex_state = 64},
  [2512] = {.lex_state = 10},
  [2513] = {.lex_state = 64},
  [2514] = {.lex_state = 64},
  [2515] = {.lex_state = 64},
  [2516] = {.lex_state = 64},
  [2517] = {.lex_state = 64},
  [2518] = {.lex_state = 64},
  [2519] = {.lex_state = 64},
  [2520] = {.lex_state = 64},
  [2521] = {.lex_state = 64},
  [2522] = {.lex_state = 64},
  [2523] = {.lex_state = 64},
  [2524] = {.lex_state = 64},
  [2525] = {.lex_state = 64},
  [2526] = {.lex_state = 64},
  [2527] = {.lex_state = 64},
  [2528] = {.lex_state = 16},
  [2529] = {.lex_state = 64},
  [2530] = {.lex_state = 64},
  [2531] = {.lex_state = 64},
  [2532] = {.lex_state = 64},
  [2533] = {.lex_state = 64},
  [2534] = {.lex_state = 64},
  [2535] = {.lex_state = 64},
  [2536] = {.lex_state = 64},
  [2537] = {.lex_state = 64},
  [2538] = {.lex_state = 64},
  [2539] = {.lex_state = 64},
  [2540] = {.lex_state = 64},
  [2541] = {.lex_state = 64},
  [2542] = {.lex_state = 64, .external_lex_state = 11},
  [2543] = {.lex_state = 64},
  [2544] = {.lex_state = 64},
  [2545] = {.lex_state = 64},
  [2546] = {.lex_state = 64},
  [2547] = {.lex_state = 64, .external_lex_state = 11},
  [2548] = {.lex_state = 64},
  [2549] = {.lex_state = 64},
  [2550] = {.lex_state = 64},
  [2551] = {.lex_state = 64},
  [2552] = {.lex_state = 64},
  [2553] = {.lex_state = 64},
  [2554] = {.lex_state = 64},
  [2555] = {.lex_state = 16},
  [2556] = {.lex_state = 64, .external_lex_state = 11},
  [2557] = {.lex_state = 64},
  [2558] = {.lex_state = 64},
  [2559] = {.lex_state = 64},
  [2560] = {.lex_state = 64},
  [2561] = {.lex_state = 64},
  [2562] = {.lex_state = 64},
  [2563] = {.lex_state = 64},
  [2564] = {.lex_state = 64},
  [2565] = {.lex_state = 64},
  [2566] = {.lex_state = 64},
  [2567] = {.lex_state = 64},
  [2568] = {.lex_state = 64},
  [2569] = {.lex_state = 10},
  [2570] = {.lex_state = 64},
  [2571] = {.lex_state = 64},
  [2572] = {.lex_state = 64},
  [2573] = {.lex_state = 64},
  [2574] = {.lex_state = 64},
  [2575] = {.lex_state = 64},
  [2576] = {.lex_state = 64},
  [2577] = {.lex_state = 64},
  [2578] = {.lex_state = 64},
  [2579] = {.lex_state = 64},
  [2580] = {.lex_state = 64},
  [2581] = {.lex_state = 64},
  [2582] = {.lex_state = 64},
  [2583] = {.lex_state = 64},
  [2584] = {.lex_state = 64},
  [2585] = {.lex_state = 64},
  [2586] = {.lex_state = 64},
  [2587] = {.lex_state = 64},
  [2588] = {.lex_state = 64, .external_lex_state = 13},
  [2589] = {.lex_state = 64},
  [2590] = {.lex_state = 64},
  [2591] = {.lex_state = 64},
  [2592] = {.lex_state = 64},
  [2593] = {.lex_state = 64},
  [2594] = {.lex_state = 64},
  [2595] = {.lex_state = 64},
  [2596] = {.lex_state = 64},
  [2597] = {.lex_state = 64},
  [2598] = {.lex_state = 64},
  [2599] = {.lex_state = 64},
  [2600] = {.lex_state = 64},
  [2601] = {.lex_state = 64},
  [2602] = {.lex_state = 64},
  [2603] = {.lex_state = 64},
  [2604] = {.lex_state = 64},
  [2605] = {.lex_state = 64},
  [2606] = {.lex_state = 64},
  [2607] = {.lex_state = 64},
  [2608] = {.lex_state = 64},
  [2609] = {.lex_state = 64},
  [2610] = {.lex_state = 64},
  [2611] = {.lex_state = 64, .external_lex_state = 13},
  [2612] = {.lex_state = 64, .external_lex_state = 13},
  [2613] = {.lex_state = 64, .external_lex_state = 11},
  [2614] = {.lex_state = 64},
  [2615] = {.lex_state = 64},
  [2616] = {.lex_state = 64},
  [2617] = {.lex_state = 64},
  [2618] = {.lex_state = 64},
  [2619] = {.lex_state = 64},
  [2620] = {.lex_state = 64},
  [2621] = {.lex_state = 64},
  [2622] = {.lex_state = 64},
  [2623] = {.lex_state = 64},
  [2624] = {.lex_state = 64},
  [2625] = {.lex_state = 64, .external_lex_state = 11},
  [2626] = {.lex_state = 64},
  [2627] = {.lex_state = 64},
  [2628] = {.lex_state = 64, .external_lex_state = 11},
  [2629] = {.lex_state = 64},
  [2630] = {.lex_state = 64},
  [2631] = {.lex_state = 64},
  [2632] = {.lex_state = 64},
  [2633] = {.lex_state = 64},
  [2634] = {.lex_state = 64, .external_lex_state = 11},
  [2635] = {.lex_state = 64},
  [2636] = {.lex_state = 64},
  [2637] = {.lex_state = 64, .external_lex_state = 11},
  [2638] = {.lex_state = 64},
  [2639] = {.lex_state = 64},
  [2640] = {.lex_state = 64},
  [2641] = {.lex_state = 64},
  [2642] = {.lex_state = 64},
  [2643] = {.lex_state = 64},
  [2644] = {.lex_state = 64},
  [2645] = {.lex_state = 64},
  [2646] = {.lex_state = 64},
  [2647] = {.lex_state = 64},
  [2648] = {.lex_state = 64},
  [2649] = {.lex_state = 64},
  [2650] = {.lex_state = 64},
  [2651] = {.lex_state = 64},
  [2652] = {.lex_state = 64},
  [2653] = {.lex_state = 64},
  [2654] = {.lex_state = 64},
  [2655] = {.lex_state = 64},
  [2656] = {.lex_state = 64},
  [2657] = {.lex_state = 64},
  [2658] = {.lex_state = 64},
  [2659] = {.lex_state = 64},
  [2660] = {.lex_state = 64},
  [2661] = {.lex_state = 64},
  [2662] = {.lex_state = 64},
  [2663] = {.lex_state = 64, .external_lex_state = 11},
  [2664] = {.lex_state = 64},
  [2665] = {.lex_state = 64},
  [2666] = {.lex_state = 64},
  [2667] = {.lex_state = 64, .external_lex_state = 11},
  [2668] = {.lex_state = 64},
  [2669] = {.lex_state = 64, .external_lex_state = 13},
  [2670] = {.lex_state = 64},
  [2671] = {.lex_state = 64},
  [2672] = {.lex_state = 64},
  [2673] = {.lex_state = 64},
  [2674] = {.lex_state = 64},
  [2675] = {.lex_state = 64},
  [2676] = {.lex_state = 64},
  [2677] = {.lex_state = 64},
  [2678] = {.lex_state = 64},
  [2679] = {.lex_state = 64},
  [2680] = {.lex_state = 64},
  [2681] = {.lex_state = 64},
  [2682] = {.lex_state = 64},
  [2683] = {.lex_state = 64},
  [2684] = {.lex_state = 64},
  [2685] = {.lex_state = 64},
  [2686] = {.lex_state = 64},
  [2687] = {.lex_state = 64},
  [2688] = {.lex_state = 64},
  [2689] = {.lex_state = 64},
  [2690] = {.lex_state = 64},
  [2691] = {.lex_state = 64},
  [2692] = {.lex_state = 64},
  [2693] = {.lex_state = 64},
  [2694] = {.lex_state = 64},
  [2695] = {.lex_state = 64},
  [2696] = {.lex_state = 64},
  [2697] = {.lex_state = 64},
  [2698] = {.lex_state = 64},
  [2699] = {.lex_state = 64},
  [2700] = {.lex_state = 64},
  [2701] = {.lex_state = 64},
  [2702] = {.lex_state = 64},
  [2703] = {.lex_state = 64},
  [2704] = {.lex_state = 64},
  [2705] = {.lex_state = 64},
  [2706] = {.lex_state = 64},
  [2707] = {.lex_state = 64},
  [2708] = {.lex_state = 64},
  [2709] = {.lex_state = 64},
  [2710] = {.lex_state = 64},
  [2711] = {.lex_state = 64},
  [2712] = {.lex_state = 64},
  [2713] = {.lex_state = 64},
  [2714] = {.lex_state = 64},
  [2715] = {.lex_state = 64},
  [2716] = {.lex_state = 64},
  [2717] = {.lex_state = 64},
  [2718] = {.lex_state = 64},
  [2719] = {.lex_state = 64},
  [2720] = {.lex_state = 64},
  [2721] = {.lex_state = 64},
  [2722] = {.lex_state = 64},
  [2723] = {.lex_state = 64},
  [2724] = {.lex_state = 64},
  [2725] = {.lex_state = 64},
  [2726] = {.lex_state = 64},
  [2727] = {.lex_state = 64},
  [2728] = {.lex_state = 64},
  [2729] = {.lex_state = 64},
  [2730] = {.lex_state = 64},
  [2731] = {.lex_state = 64},
  [2732] = {.lex_state = 64},
  [2733] = {.lex_state = 64},
  [2734] = {.lex_state = 64},
  [2735] = {.lex_state = 64},
  [2736] = {.lex_state = 64},
  [2737] = {.lex_state = 64},
  [2738] = {.lex_state = 64},
  [2739] = {.lex_state = 64},
  [2740] = {(TSStateId)(-1)},
  [2741] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_enum_declaration_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [aux_sym_enum_case_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_final_modifier_token1] = ACTIONS(1),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_RPAREN2] = ACTIONS(1),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [sym_bottom_type] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [aux_sym_primitive_type_token1] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_mixed] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [aux_sym_cast_type_token1] = ACTIONS(1),
    [aux_sym_cast_type_token2] = ACTIONS(1),
    [aux_sym_cast_type_token3] = ACTIONS(1),
    [aux_sym_cast_type_token4] = ACTIONS(1),
    [aux_sym_cast_type_token5] = ACTIONS(1),
    [aux_sym_cast_type_token6] = ACTIONS(1),
    [aux_sym_cast_type_token7] = ACTIONS(1),
    [aux_sym_cast_type_token8] = ACTIONS(1),
    [aux_sym_cast_type_token9] = ACTIONS(1),
    [aux_sym_cast_type_token10] = ACTIONS(1),
    [aux_sym_cast_type_token11] = ACTIONS(1),
    [aux_sym_cast_type_token12] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [aux_sym_exit_statement_token1] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [aux_sym_declare_statement_token2] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_match_expression_token1] = ACTIONS(1),
    [aux_sym_match_default_expression_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [aux_sym_clone_expression_token1] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1),
    [aux_sym__list_destructing_token1] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [aux_sym__argument_name_token1] = ACTIONS(1),
    [aux_sym__argument_name_token2] = ACTIONS(1),
    [anon_sym_POUND_LBRACK] = ACTIONS(1),
    [aux_sym_encapsed_string_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_string_token2] = ACTIONS(1),
    [anon_sym_DQUOTE2] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [aux_sym_yield_expression_token1] = ACTIONS(1),
    [aux_sym_yield_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_encapsed_string_chars] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable] = ACTIONS(1),
    [sym_execution_string_chars] = ACTIONS(1),
    [sym_execution_string_chars_after_variable] = ACTIONS(1),
    [sym_encapsed_string_chars_heredoc] = ACTIONS(1),
    [sym_encapsed_string_chars_after_variable_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_nowdoc_string] = ACTIONS(1),
    [sym_sentinel_error] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2734),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(2300),
    [aux_sym_text_repeat1] = STATE(1712),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(11),
    [aux_sym_text_token1] = ACTIONS(13),
    [aux_sym_text_token2] = ACTIONS(15),
    [sym_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(17),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym__namespace_use_type_token1] = ACTIONS(37),
    [aux_sym__namespace_use_type_token2] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [anon_sym_RBRACE] = ACTIONS(17),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_enum_case_token1] = ACTIONS(58),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [anon_sym_LPAREN2] = ACTIONS(78),
    [aux_sym__arrow_function_header_token1] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(96),
    [aux_sym_declare_statement_token2] = ACTIONS(58),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(120),
    [aux_sym_while_statement_token2] = ACTIONS(58),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(126),
    [aux_sym_for_statement_token2] = ACTIONS(58),
    [aux_sym_foreach_statement_token1] = ACTIONS(129),
    [aux_sym_foreach_statement_token2] = ACTIONS(58),
    [aux_sym_if_statement_token1] = ACTIONS(132),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_match_default_expression_token1] = ACTIONS(58),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [aux_sym_switch_block_token1] = ACTIONS(58),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(230),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(238),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(238),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(340),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(342),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(342),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(342),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(344),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(346),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(346),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(348),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_enum_case_token1] = ACTIONS(350),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_match_default_expression_token1] = ACTIONS(350),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [aux_sym_switch_block_token1] = ACTIONS(350),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym__namespace_use_type_token1] = ACTIONS(37),
    [aux_sym__namespace_use_type_token2] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_enum_declaration_token1] = ACTIONS(55),
    [aux_sym_class_declaration_token1] = ACTIONS(60),
    [aux_sym_final_modifier_token1] = ACTIONS(63),
    [aux_sym_abstract_modifier_token1] = ACTIONS(66),
    [aux_sym_readonly_modifier_token1] = ACTIONS(69),
    [sym_var_modifier] = ACTIONS(72),
    [aux_sym_visibility_modifier_token1] = ACTIONS(75),
    [aux_sym_visibility_modifier_token2] = ACTIONS(75),
    [aux_sym_visibility_modifier_token3] = ACTIONS(75),
    [anon_sym_LPAREN2] = ACTIONS(78),
    [aux_sym__arrow_function_header_token1] = ACTIONS(81),
    [aux_sym_cast_type_token1] = ACTIONS(84),
    [aux_sym_echo_statement_token1] = ACTIONS(87),
    [aux_sym_exit_statement_token1] = ACTIONS(90),
    [anon_sym_unset] = ACTIONS(93),
    [aux_sym_declare_statement_token1] = ACTIONS(352),
    [sym_float] = ACTIONS(99),
    [aux_sym_try_statement_token1] = ACTIONS(102),
    [aux_sym_goto_statement_token1] = ACTIONS(105),
    [aux_sym_continue_statement_token1] = ACTIONS(108),
    [aux_sym_break_statement_token1] = ACTIONS(111),
    [sym_integer] = ACTIONS(99),
    [aux_sym_return_statement_token1] = ACTIONS(114),
    [aux_sym_throw_expression_token1] = ACTIONS(117),
    [aux_sym_while_statement_token1] = ACTIONS(355),
    [aux_sym_do_statement_token1] = ACTIONS(123),
    [aux_sym_for_statement_token1] = ACTIONS(358),
    [aux_sym_foreach_statement_token1] = ACTIONS(361),
    [aux_sym_if_statement_token1] = ACTIONS(364),
    [aux_sym_if_statement_token2] = ACTIONS(58),
    [aux_sym_else_if_clause_token1] = ACTIONS(58),
    [aux_sym_else_clause_token1] = ACTIONS(58),
    [aux_sym_match_expression_token1] = ACTIONS(135),
    [aux_sym_switch_statement_token1] = ACTIONS(138),
    [anon_sym_PLUS] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(141),
    [anon_sym_TILDE] = ACTIONS(144),
    [anon_sym_BANG] = ACTIONS(144),
    [anon_sym_AT] = ACTIONS(147),
    [aux_sym_clone_expression_token1] = ACTIONS(150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(153),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(156),
    [anon_sym_DASH_DASH] = ACTIONS(159),
    [anon_sym_PLUS_PLUS] = ACTIONS(159),
    [aux_sym__list_destructing_token1] = ACTIONS(162),
    [anon_sym_LBRACK] = ACTIONS(165),
    [anon_sym_self] = ACTIONS(168),
    [anon_sym_parent] = ACTIONS(168),
    [aux_sym__argument_name_token1] = ACTIONS(171),
    [aux_sym__argument_name_token2] = ACTIONS(174),
    [anon_sym_POUND_LBRACK] = ACTIONS(177),
    [aux_sym_encapsed_string_token1] = ACTIONS(180),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [aux_sym_string_token1] = ACTIONS(183),
    [anon_sym_SQUOTE] = ACTIONS(183),
    [anon_sym_LT_LT_LT] = ACTIONS(186),
    [anon_sym_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR] = ACTIONS(192),
    [aux_sym_yield_expression_token1] = ACTIONS(195),
    [aux_sym_include_expression_token1] = ACTIONS(198),
    [aux_sym_include_once_expression_token1] = ACTIONS(201),
    [aux_sym_require_expression_token1] = ACTIONS(204),
    [aux_sym_require_once_expression_token1] = ACTIONS(207),
    [sym_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token2] = ACTIONS(377),
    [aux_sym_else_if_clause_token1] = ACTIONS(377),
    [aux_sym_else_clause_token1] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(377),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(377),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(377),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_statement] = STATE(2088),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_colon_block] = STATE(2652),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2082),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(401),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_statement] = STATE(512),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_colon_block] = STATE(2678),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(513),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(401),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_while_statement_token2] = ACTIONS(441),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_foreach_statement_token2] = ACTIONS(441),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_if_statement_token2] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_statement] = STATE(512),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_colon_block] = STATE(2678),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(513),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(401),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_statement] = STATE(2088),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_colon_block] = STATE(2652),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2082),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(401),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_if_statement_token2] = ACTIONS(441),
    [aux_sym_else_if_clause_token1] = ACTIONS(441),
    [aux_sym_else_clause_token1] = ACTIONS(441),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_statement] = STATE(491),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(490),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(453),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_statement] = STATE(538),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(541),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_statement] = STATE(530),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(529),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_statement] = STATE(1993),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(1977),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_statement] = STATE(1975),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(1974),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_statement] = STATE(527),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(526),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_statement] = STATE(467),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(467),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_statement] = STATE(2002),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(1961),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_statement] = STATE(2207),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2225),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_statement] = STATE(1994),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(1994),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_statement] = STATE(2096),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2152),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_statement] = STATE(508),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(509),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_statement] = STATE(486),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(487),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_statement] = STATE(538),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(541),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(455),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_statement] = STATE(516),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(542),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_statement] = STATE(516),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(542),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(479),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_statement] = STATE(486),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(487),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(477),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_statement] = STATE(2116),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2115),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_statement] = STATE(508),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(509),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(475),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_statement] = STATE(2127),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2129),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_statement] = STATE(534),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(457),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_statement] = STATE(530),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(529),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(457),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_statement] = STATE(2207),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2225),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(469),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_statement] = STATE(2002),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(1961),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(467),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_statement] = STATE(1975),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(1974),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(461),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_statement] = STATE(1994),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(1994),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(471),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_statement] = STATE(1993),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(1977),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(459),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_statement] = STATE(2150),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2133),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_statement] = STATE(2150),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2133),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(487),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_statement] = STATE(491),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(490),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(453),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_statement] = STATE(534),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(457),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(485),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_statement] = STATE(467),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(467),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(465),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_statement] = STATE(2096),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2152),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(473),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_statement] = STATE(2116),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2115),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(481),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_statement] = STATE(2127),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2129),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(381),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(483),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_statement] = STATE(527),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(526),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(437),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(463),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(97),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(489),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(491),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(60),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(493),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(495),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_statement] = STATE(446),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_colon_block] = STATE(1690),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_statement] = STATE(2001),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_colon_block] = STATE(2521),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(401),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(55),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(501),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_statement] = STATE(568),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_colon_block] = STATE(2537),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(401),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(503),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(62),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(505),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(507),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(509),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(72),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(511),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_statement] = STATE(448),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_colon_block] = STATE(1690),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(513),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(76),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(515),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(75),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(517),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(79),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(519),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(521),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(523),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(525),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_statement] = STATE(1689),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_colon_block] = STATE(1657),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_statement] = STATE(2001),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_colon_block] = STATE(2521),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(401),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(527),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(529),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(90),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(531),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(98),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(533),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(535),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(63),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(537),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(71),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [aux_sym_declare_statement_token2] = ACTIONS(539),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(105),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(541),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(66),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [ts_builtin_sym_end] = ACTIONS(503),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(99),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(543),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(545),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(53),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(547),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(549),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(551),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(553),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(555),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(87),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(557),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(88),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(559),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(561),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(89),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(563),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(565),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(567),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(569),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(571),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(573),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(101),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(575),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(577),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(70),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(579),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_statement] = STATE(1670),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_colon_block] = STATE(1657),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [anon_sym_COLON] = ACTIONS(497),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_statement] = STATE(568),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_colon_block] = STATE(2537),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [anon_sym_COLON] = ACTIONS(401),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(581),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(93),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(583),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(85),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [anon_sym_RBRACE] = ACTIONS(585),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(95),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(587),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_statement] = STATE(545),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_program_repeat1] = STATE(96),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_for_statement_token2] = ACTIONS(589),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_statement] = STATE(1986),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_statement] = STATE(2630),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_statement] = STATE(462),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_statement] = STATE(462),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(264),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(280),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(284),
    [aux_sym_foreach_statement_token1] = ACTIONS(286),
    [aux_sym_if_statement_token1] = ACTIONS(288),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_statement] = STATE(554),
    [sym_empty_statement] = STATE(497),
    [sym_function_static_declaration] = STATE(497),
    [sym_global_declaration] = STATE(497),
    [sym_namespace_definition] = STATE(497),
    [sym_namespace_use_declaration] = STATE(497),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(497),
    [sym_interface_declaration] = STATE(497),
    [sym_enum_declaration] = STATE(497),
    [sym_class_declaration] = STATE(497),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(497),
    [sym__const_declaration] = STATE(463),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(497),
    [sym__function_definition_header] = STATE(2326),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(497),
    [sym_exit_statement] = STATE(497),
    [sym_unset_statement] = STATE(497),
    [sym_declare_statement] = STATE(497),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(497),
    [sym_goto_statement] = STATE(497),
    [sym_continue_statement] = STATE(497),
    [sym_break_statement] = STATE(497),
    [sym_return_statement] = STATE(497),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(497),
    [sym_do_statement] = STATE(497),
    [sym_for_statement] = STATE(497),
    [sym_foreach_statement] = STATE(497),
    [sym_if_statement] = STATE(497),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(497),
    [sym_compound_statement] = STATE(497),
    [sym_named_label_statement] = STATE(497),
    [sym_expression_statement] = STATE(497),
    [sym_expression] = STATE(1232),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1348),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1384),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(214),
    [aux_sym_global_declaration_token1] = ACTIONS(216),
    [aux_sym_namespace_definition_token1] = ACTIONS(218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(220),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(224),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(228),
    [aux_sym_trait_declaration_token1] = ACTIONS(232),
    [aux_sym_interface_declaration_token1] = ACTIONS(234),
    [aux_sym_enum_declaration_token1] = ACTIONS(236),
    [aux_sym_class_declaration_token1] = ACTIONS(240),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(258),
    [aux_sym_exit_statement_token1] = ACTIONS(260),
    [anon_sym_unset] = ACTIONS(262),
    [aux_sym_declare_statement_token1] = ACTIONS(367),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(268),
    [aux_sym_goto_statement_token1] = ACTIONS(270),
    [aux_sym_continue_statement_token1] = ACTIONS(272),
    [aux_sym_break_statement_token1] = ACTIONS(274),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(276),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(369),
    [aux_sym_do_statement_token1] = ACTIONS(282),
    [aux_sym_for_statement_token1] = ACTIONS(371),
    [aux_sym_foreach_statement_token1] = ACTIONS(373),
    [aux_sym_if_statement_token1] = ACTIONS(375),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(292),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_statement] = STATE(2198),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_statement] = STATE(2599),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(443),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(445),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(447),
    [aux_sym_foreach_statement_token1] = ACTIONS(449),
    [aux_sym_if_statement_token1] = ACTIONS(451),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_statement] = STATE(1986),
    [sym_empty_statement] = STATE(2091),
    [sym_function_static_declaration] = STATE(2091),
    [sym_global_declaration] = STATE(2091),
    [sym_namespace_definition] = STATE(2091),
    [sym_namespace_use_declaration] = STATE(2091),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_trait_declaration] = STATE(2091),
    [sym_interface_declaration] = STATE(2091),
    [sym_enum_declaration] = STATE(2091),
    [sym_class_declaration] = STATE(2091),
    [sym_final_modifier] = STATE(1339),
    [sym_abstract_modifier] = STATE(1339),
    [sym_readonly_modifier] = STATE(1339),
    [sym_const_declaration] = STATE(2091),
    [sym__const_declaration] = STATE(2219),
    [sym__modifier] = STATE(1338),
    [sym_static_modifier] = STATE(1464),
    [sym_visibility_modifier] = STATE(1339),
    [sym_function_definition] = STATE(2091),
    [sym__function_definition_header] = STATE(2407),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_echo_statement] = STATE(2091),
    [sym_exit_statement] = STATE(2091),
    [sym_unset_statement] = STATE(2091),
    [sym_declare_statement] = STATE(2091),
    [sym_literal] = STATE(1150),
    [sym_try_statement] = STATE(2091),
    [sym_goto_statement] = STATE(2091),
    [sym_continue_statement] = STATE(2091),
    [sym_break_statement] = STATE(2091),
    [sym_return_statement] = STATE(2091),
    [sym_throw_expression] = STATE(1150),
    [sym_while_statement] = STATE(2091),
    [sym_do_statement] = STATE(2091),
    [sym_for_statement] = STATE(2091),
    [sym_foreach_statement] = STATE(2091),
    [sym_if_statement] = STATE(2091),
    [sym_match_expression] = STATE(1128),
    [sym_switch_statement] = STATE(2091),
    [sym_compound_statement] = STATE(2091),
    [sym_named_label_statement] = STATE(2091),
    [sym_expression_statement] = STATE(2091),
    [sym_expression] = STATE(1242),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1362),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_class_declaration_repeat1] = STATE(1385),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(379),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(499),
    [aux_sym_function_static_declaration_token1] = ACTIONS(383),
    [aux_sym_global_declaration_token1] = ACTIONS(385),
    [aux_sym_namespace_definition_token1] = ACTIONS(387),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(389),
    [aux_sym__namespace_use_type_token1] = ACTIONS(222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(393),
    [aux_sym_trait_declaration_token1] = ACTIONS(395),
    [aux_sym_interface_declaration_token1] = ACTIONS(397),
    [aux_sym_enum_declaration_token1] = ACTIONS(399),
    [aux_sym_class_declaration_token1] = ACTIONS(403),
    [aux_sym_final_modifier_token1] = ACTIONS(242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(244),
    [aux_sym_readonly_modifier_token1] = ACTIONS(246),
    [sym_var_modifier] = ACTIONS(248),
    [aux_sym_visibility_modifier_token1] = ACTIONS(250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(250),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [aux_sym_echo_statement_token1] = ACTIONS(405),
    [aux_sym_exit_statement_token1] = ACTIONS(407),
    [anon_sym_unset] = ACTIONS(409),
    [aux_sym_declare_statement_token1] = ACTIONS(411),
    [sym_float] = ACTIONS(266),
    [aux_sym_try_statement_token1] = ACTIONS(413),
    [aux_sym_goto_statement_token1] = ACTIONS(415),
    [aux_sym_continue_statement_token1] = ACTIONS(417),
    [aux_sym_break_statement_token1] = ACTIONS(419),
    [sym_integer] = ACTIONS(266),
    [aux_sym_return_statement_token1] = ACTIONS(421),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_while_statement_token1] = ACTIONS(423),
    [aux_sym_do_statement_token1] = ACTIONS(425),
    [aux_sym_for_statement_token1] = ACTIONS(427),
    [aux_sym_foreach_statement_token1] = ACTIONS(429),
    [aux_sym_if_statement_token1] = ACTIONS(431),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [aux_sym_switch_statement_token1] = ACTIONS(433),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1080),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(1037),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(599),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_COLON] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [anon_sym_RPAREN2] = ACTIONS(593),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(607),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(617),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_yield_expression_token2] = ACTIONS(649),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1085),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym_variadic_unpacking] = STATE(1109),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_by_ref] = STATE(1109),
    [sym_yield_expression] = STATE(1128),
    [sym_array_element_initializer] = STATE(1094),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(661),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_yield_expression_token2] = ACTIONS(665),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(593),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1083),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(1037),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(593),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_yield_expression_token2] = ACTIONS(687),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1191),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(1037),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(595),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(593),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_EQ_GT] = ACTIONS(593),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(593),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [anon_sym_QMARK] = ACTIONS(599),
    [anon_sym_PIPE] = ACTIONS(599),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_yield_expression_token2] = ACTIONS(717),
    [aux_sym_binary_expression_token1] = ACTIONS(599),
    [anon_sym_QMARK_QMARK] = ACTIONS(593),
    [anon_sym_STAR_STAR] = ACTIONS(593),
    [aux_sym_binary_expression_token2] = ACTIONS(599),
    [aux_sym_binary_expression_token3] = ACTIONS(599),
    [aux_sym_binary_expression_token4] = ACTIONS(599),
    [anon_sym_PIPE_PIPE] = ACTIONS(593),
    [anon_sym_AMP_AMP] = ACTIONS(593),
    [anon_sym_CARET] = ACTIONS(593),
    [anon_sym_EQ_EQ] = ACTIONS(599),
    [anon_sym_BANG_EQ] = ACTIONS(599),
    [anon_sym_LT_GT] = ACTIONS(593),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(593),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(593),
    [anon_sym_LT] = ACTIONS(599),
    [anon_sym_GT] = ACTIONS(599),
    [anon_sym_LT_EQ] = ACTIONS(599),
    [anon_sym_GT_EQ] = ACTIONS(593),
    [anon_sym_LT_EQ_GT] = ACTIONS(593),
    [anon_sym_LT_LT] = ACTIONS(599),
    [anon_sym_GT_GT] = ACTIONS(593),
    [anon_sym_DOT] = ACTIONS(599),
    [anon_sym_STAR] = ACTIONS(599),
    [anon_sym_SLASH] = ACTIONS(599),
    [anon_sym_PERCENT] = ACTIONS(593),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2639),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2551),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2534),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2585),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2570),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2575),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2714),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2651),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2657),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2643),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_cast_type] = STATE(2534),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(727),
    [aux_sym_cast_type_token2] = ACTIONS(729),
    [aux_sym_cast_type_token3] = ACTIONS(729),
    [aux_sym_cast_type_token4] = ACTIONS(729),
    [aux_sym_cast_type_token5] = ACTIONS(729),
    [aux_sym_cast_type_token6] = ACTIONS(729),
    [aux_sym_cast_type_token7] = ACTIONS(729),
    [aux_sym_cast_type_token8] = ACTIONS(729),
    [aux_sym_cast_type_token9] = ACTIONS(729),
    [aux_sym_cast_type_token10] = ACTIONS(729),
    [aux_sym_cast_type_token11] = ACTIONS(729),
    [aux_sym_cast_type_token12] = ACTIONS(729),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(690),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2028),
    [sym__array_destructing_element] = STATE(2030),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(692),
    [sym__callable_variable] = STATE(681),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2389),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2083),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym__array_destructing_repeat1] = STATE(2035),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(735),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2516),
    [sym_argument] = STATE(2135),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(747),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(751),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(690),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2028),
    [sym__array_destructing_element] = STATE(2030),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(692),
    [sym__callable_variable] = STATE(681),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2389),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2083),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym__array_destructing_repeat1] = STATE(2035),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(765),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(690),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2028),
    [sym__array_destructing_element] = STATE(2030),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(692),
    [sym__callable_variable] = STATE(681),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2389),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2083),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym__array_destructing_repeat1] = STATE(2035),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(767),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2706),
    [sym_argument] = STATE(1955),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(769),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(751),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2694),
    [sym_argument] = STATE(2297),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(771),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(751),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2666),
    [sym_argument] = STATE(2254),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(773),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(751),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(690),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2028),
    [sym__array_destructing_element] = STATE(2030),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(692),
    [sym__callable_variable] = STATE(681),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2389),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2034),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym__array_destructing_repeat1] = STATE(2035),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(775),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(777),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2518),
    [sym_argument] = STATE(2144),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(779),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(751),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1223),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(690),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(690),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(690),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(690),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2028),
    [sym__array_destructing_element] = STATE(2030),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(692),
    [sym__callable_variable] = STATE(681),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2389),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2083),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym__array_destructing_repeat1] = STATE(2035),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(733),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_RBRACK] = ACTIONS(781),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_variadic_placeholder] = STATE(2638),
    [sym_argument] = STATE(2242),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(783),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(751),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(785),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(787),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(789),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(791),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(793),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(795),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(797),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(799),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(801),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(803),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(805),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(807),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2114),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(809),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(811),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_reference_modifier] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1251),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_argument] = STATE(2465),
    [sym__argument_name] = STATE(184),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2494),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1592),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(737),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(741),
    [aux_sym_namespace_definition_token1] = ACTIONS(743),
    [aux_sym__namespace_use_type_token1] = ACTIONS(745),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(753),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(755),
    [aux_sym_match_expression_token1] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(759),
    [anon_sym_parent] = ACTIONS(759),
    [aux_sym__argument_name_token1] = ACTIONS(761),
    [aux_sym__argument_name_token2] = ACTIONS(763),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2104),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(813),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(815),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2083),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(817),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(819),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2034),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(821),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(823),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2248),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(825),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2248),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(827),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2248),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(829),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2248),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(831),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_match_condition_list] = STATE(2623),
    [sym_match_conditional_expression] = STATE(2228),
    [sym_match_default_expression] = STATE(2228),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(833),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(837),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2248),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(839),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2248),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(841),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2248),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(843),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2248),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(845),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_match_condition_list] = STATE(2623),
    [sym_match_conditional_expression] = STATE(2171),
    [sym_match_default_expression] = STATE(2171),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(847),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(849),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(837),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(688),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(688),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(688),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(688),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2028),
    [sym__array_destructing_element] = STATE(2478),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(684),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2479),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_RBRACK] = ACTIONS(857),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1243),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2248),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(669),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_match_condition_list] = STATE(2623),
    [sym_match_conditional_expression] = STATE(2399),
    [sym_match_default_expression] = STATE(2399),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(860),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(837),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(688),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(688),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(688),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(688),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2028),
    [sym__array_destructing_element] = STATE(2478),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(684),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2479),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_RBRACK] = ACTIONS(851),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1299),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(688),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(688),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(688),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(688),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2028),
    [sym__array_destructing_element] = STATE(2478),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(687),
    [sym__callable_variable] = STATE(684),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2479),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(851),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_RBRACK] = ACTIONS(862),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1277),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(678),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(678),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(678),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(678),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(1880),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(679),
    [sym__callable_variable] = STATE(672),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2112),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym__list_destructing_repeat1] = STATE(2113),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(865),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [anon_sym_RPAREN2] = ACTIONS(867),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1222),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(1015),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1015),
    [sym_yield_expression] = STATE(1029),
    [sym_array_element_initializer] = STATE(2248),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_match_condition_list] = STATE(2623),
    [sym_match_conditional_expression] = STATE(2399),
    [sym_match_default_expression] = STATE(2399),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(869),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(837),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_match_condition_list] = STATE(2623),
    [sym_match_conditional_expression] = STATE(2399),
    [sym_match_default_expression] = STATE(2399),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(837),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_match_condition_list] = STATE(2623),
    [sym_match_conditional_expression] = STATE(2399),
    [sym_match_default_expression] = STATE(2399),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_RBRACE] = ACTIONS(873),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(837),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_foreach_pair] = STATE(2685),
    [sym__foreach_value] = STATE(2685),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2386),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2648),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_foreach_pair] = STATE(2653),
    [sym__foreach_value] = STATE(2653),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2386),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2648),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_foreach_pair] = STATE(2560),
    [sym__foreach_value] = STATE(2560),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2386),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2648),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_reference_modifier] = STATE(224),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1246),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2345),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1600),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(739),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_match_condition_list] = STATE(2623),
    [sym_match_conditional_expression] = STATE(2399),
    [sym_match_default_expression] = STATE(2399),
    [sym_expression] = STATE(1224),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [aux_sym_match_default_expression_token1] = ACTIONS(837),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1288),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(695),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(695),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(695),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(695),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2234),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(694),
    [sym__callable_variable] = STATE(677),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2379),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [anon_sym_COMMA] = ACTIONS(875),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [anon_sym_RPAREN2] = ACTIONS(875),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_foreach_pair] = STATE(2596),
    [sym__foreach_value] = STATE(2596),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1250),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2386),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2648),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1233),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(494),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2689),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(877),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2736),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(879),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2581),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(881),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2686),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(883),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2574),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(885),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2578),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(887),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2682),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(889),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2671),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(891),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1237),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2296),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(435),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2535),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(893),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1236),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2288),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(435),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2562),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(895),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2629),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(897),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2633),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(899),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2564),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(901),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2557),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(903),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1228),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(2217),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(435),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(435),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2538),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(905),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2674),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2704),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(909),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2584),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(911),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2650),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(913),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2677),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(915),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2729),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(917),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1226),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(488),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1229),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [sym__semicolon] = STATE(493),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(439),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(439),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2659),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(919),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2561),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(921),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2726),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(923),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2595),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(925),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2592),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(927),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2553),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1254),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(929),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__foreach_value] = STATE(2679),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1310),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2386),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2648),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__expressions] = STATE(2687),
    [sym_sequence_expression] = STATE(2419),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1264),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(931),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1270),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2469),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1614),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1183),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym__expressions] = STATE(2017),
    [sym_sequence_expression] = STATE(2375),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1070),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(703),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(703),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(703),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(703),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2245),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(712),
    [sym__callable_variable] = STATE(693),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(2367),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(731),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1247),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym_variadic_unpacking] = STATE(2346),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(1602),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(699),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym__expressions] = STATE(2071),
    [sym_sequence_expression] = STATE(2375),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1225),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1130),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_by_ref] = STATE(1036),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(933),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1111),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_by_ref] = STATE(1093),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1303),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(937),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_sequence_expression] = STATE(2303),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1268),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [anon_sym_RPAREN2] = ACTIONS(939),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1317),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(941),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1290),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(943),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1280),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(945),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1286),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(947),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_EQ_GT] = ACTIONS(949),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1160),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(951),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(953),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1082),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(955),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1300),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(957),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_sequence_expression] = STATE(2303),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1265),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1323),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(959),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_sequence_expression] = STATE(2421),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1239),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1293),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_COLON] = ACTIONS(961),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_EQ_GT] = ACTIONS(963),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1156),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(965),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1283),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(967),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1324),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(969),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1186),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_AMP] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1309),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [anon_sym_RPAREN2] = ACTIONS(973),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1307),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(975),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1291),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(977),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1313),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [anon_sym_RPAREN2] = ACTIONS(979),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1325),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_RBRACK] = ACTIONS(981),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1213),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1244),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1144),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1318),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1209),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1138),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1275),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1259),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1211),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1194),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1253),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1206),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1249),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1311),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1203),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1198),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1197),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1180),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1296),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1100),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1103),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1122),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1112),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1115),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1117),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1119),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1124),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1127),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1132),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1134),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1136),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1137),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1141),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1145),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1146),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1148),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1149),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1126),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1255),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1258),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1276),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1159),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1281),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1214),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1210),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1269),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1267),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1195),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1200),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1201),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1181),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1208),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1192),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1217),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1185),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1272),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1273),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1202),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1207),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1216),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1059),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1241),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1190),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1314),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1204),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1221),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1205),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1326),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1199),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1178),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1284),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1316),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1304),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1184),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1051),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1123),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1196),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1187),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1179),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1298),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1188),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1292),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1189),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1319),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1294),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1287),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1050),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1182),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1285),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1315),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1312),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1297),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1295),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1218),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1306),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1301),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1193),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1322),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1327),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1220),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1257),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1279),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1278),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1227),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1131),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1260),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1212),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1234),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1053),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1266),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(685),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(685),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(685),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(685),
    [sym_list_literal] = STATE(2642),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(680),
    [sym__callable_variable] = STATE(662),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(715),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [aux_sym_require_expression_token1] = ACTIONS(723),
    [aux_sym_require_once_expression_token1] = ACTIONS(725),
    [sym_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1058),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1076),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1077),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1074),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1073),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1072),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1170),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1089),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1054),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1152),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1139),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1153),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1175),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1088),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1056),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1057),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1060),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1061),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1062),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1063),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1064),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1065),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1067),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1049),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1068),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1158),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1019),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1018),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1129),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1071),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1099),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1075),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1163),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1173),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1069),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_text_interpolation] = STATE(409),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1176),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_text_interpolation] = STATE(410),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1114),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_text_interpolation] = STATE(411),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1090),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_text_interpolation] = STATE(412),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1110),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_text_interpolation] = STATE(413),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1167),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_text_interpolation] = STATE(414),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1086),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_text_interpolation] = STATE(415),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1091),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_text_interpolation] = STATE(416),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1162),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_text_interpolation] = STATE(417),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1079),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_text_interpolation] = STATE(418),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1078),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_text_interpolation] = STATE(419),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1164),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_text_interpolation] = STATE(420),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1161),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_text_interpolation] = STATE(421),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1171),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_text_interpolation] = STATE(422),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1081),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_text_interpolation] = STATE(423),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1140),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_text_interpolation] = STATE(424),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1174),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_text_interpolation] = STATE(425),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1097),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_text_interpolation] = STATE(426),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1102),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_text_interpolation] = STATE(427),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1066),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_text_interpolation] = STATE(428),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1104),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_text_interpolation] = STATE(429),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1321),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_text_interpolation] = STATE(430),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1106),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_text_interpolation] = STATE(431),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1320),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(657),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(657),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(657),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(657),
    [sym_list_literal] = STATE(2602),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(638),
    [sym__callable_variable] = STATE(624),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(631),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(647),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [aux_sym_require_expression_token1] = ACTIONS(655),
    [aux_sym_require_once_expression_token1] = ACTIONS(657),
    [sym_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_text_interpolation] = STATE(432),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1154),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_text_interpolation] = STATE(433),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_match_expression] = STATE(1128),
    [sym_expression] = STATE(1084),
    [sym__unary_expression] = STATE(1121),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1128),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(667),
    [sym_assignment_expression] = STATE(1128),
    [sym_reference_assignment_expression] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_augmented_assignment_expression] = STATE(1128),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(667),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(667),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(667),
    [sym_list_literal] = STATE(2695),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(670),
    [sym__callable_variable] = STATE(631),
    [sym_variable_name] = STATE(633),
    [sym_yield_expression] = STATE(1128),
    [sym_binary_expression] = STATE(1128),
    [sym_include_expression] = STATE(1128),
    [sym_include_once_expression] = STATE(1128),
    [sym_require_expression] = STATE(1128),
    [sym_require_once_expression] = STATE(1128),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_match_expression_token1] = ACTIONS(290),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(310),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_yield_expression_token1] = ACTIONS(330),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [aux_sym_require_expression_token1] = ACTIONS(336),
    [aux_sym_require_once_expression_token1] = ACTIONS(338),
    [sym_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_text_interpolation] = STATE(434),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1116),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_text_interpolation] = STATE(435),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1120),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_text_interpolation] = STATE(436),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1147),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_text_interpolation] = STATE(437),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1168),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_text_interpolation] = STATE(438),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_match_expression] = STATE(1029),
    [sym_expression] = STATE(1165),
    [sym__unary_expression] = STATE(1039),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1029),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(668),
    [sym_assignment_expression] = STATE(1029),
    [sym_reference_assignment_expression] = STATE(1029),
    [sym_conditional_expression] = STATE(1029),
    [sym_augmented_assignment_expression] = STATE(1029),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(668),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(668),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(668),
    [sym_list_literal] = STATE(2550),
    [sym__list_destructing] = STATE(2330),
    [sym__array_destructing] = STATE(2330),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(660),
    [sym__callable_variable] = STATE(629),
    [sym_variable_name] = STATE(598),
    [sym_yield_expression] = STATE(1029),
    [sym_binary_expression] = STATE(1029),
    [sym_include_expression] = STATE(1029),
    [sym_include_once_expression] = STATE(1029),
    [sym_require_expression] = STATE(1029),
    [sym_require_once_expression] = STATE(1029),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_match_expression_token1] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [aux_sym__list_destructing_token1] = ACTIONS(308),
    [anon_sym_LBRACK] = ACTIONS(683),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_yield_expression_token1] = ACTIONS(685),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [aux_sym_require_expression_token1] = ACTIONS(693),
    [aux_sym_require_once_expression_token1] = ACTIONS(695),
    [sym_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_text_interpolation] = STATE(439),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__unary_expression] = STATE(1012),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1012),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(622),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(622),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(622),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(622),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(623),
    [sym__callable_variable] = STATE(600),
    [sym_variable_name] = STATE(598),
    [sym_include_expression] = STATE(1012),
    [sym_include_once_expression] = STATE(1012),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(605),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_text_interpolation] = STATE(440),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1666),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym__unary_expression] = STATE(1125),
    [sym_unary_op_expression] = STATE(1092),
    [sym_error_suppression_expression] = STATE(1125),
    [sym_clone_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_expression] = STATE(1092),
    [sym_cast_variable] = STATE(658),
    [sym__variable_member_access_expression] = STATE(664),
    [sym_member_access_expression] = STATE(658),
    [sym__variable_nullsafe_member_access_expression] = STATE(663),
    [sym_nullsafe_member_access_expression] = STATE(658),
    [sym__variable_scoped_property_access_expression] = STATE(665),
    [sym_scoped_property_access_expression] = STATE(658),
    [sym_function_call_expression] = STATE(645),
    [sym__callable_expression] = STATE(2332),
    [sym_scoped_call_expression] = STATE(645),
    [sym__scope_resolution_qualifier] = STATE(2692),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(645),
    [sym_nullsafe_member_call_expression] = STATE(645),
    [sym__variable_subscript_expression] = STATE(661),
    [sym__dereferencable_subscript_expression] = STATE(645),
    [sym__dereferencable_expression] = STATE(1851),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(633),
    [sym__simple_variable] = STATE(635),
    [sym__new_variable] = STATE(659),
    [sym__callable_variable] = STATE(652),
    [sym_variable_name] = STATE(633),
    [sym_include_expression] = STATE(1125),
    [sym_include_once_expression] = STATE(1125),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [anon_sym_PLUS] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(296),
    [anon_sym_BANG] = ACTIONS(296),
    [anon_sym_AT] = ACTIONS(298),
    [aux_sym_clone_expression_token1] = ACTIONS(300),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(328),
    [aux_sym_include_expression_token1] = ACTIONS(332),
    [aux_sym_include_once_expression_token1] = ACTIONS(334),
    [sym_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_text_interpolation] = STATE(441),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__unary_expression] = STATE(1012),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1012),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(682),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(682),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(682),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(682),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(683),
    [sym__callable_variable] = STATE(666),
    [sym_variable_name] = STATE(598),
    [sym_include_expression] = STATE(1012),
    [sym_include_once_expression] = STATE(1012),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(853),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_TILDE] = ACTIONS(619),
    [anon_sym_BANG] = ACTIONS(619),
    [anon_sym_AT] = ACTIONS(621),
    [aux_sym_clone_expression_token1] = ACTIONS(623),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(651),
    [aux_sym_include_once_expression_token1] = ACTIONS(653),
    [sym_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_text_interpolation] = STATE(442),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__unary_expression] = STATE(1012),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1012),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(622),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(622),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(622),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(622),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(623),
    [sym__callable_variable] = STATE(600),
    [sym_variable_name] = STATE(598),
    [sym_include_expression] = STATE(1012),
    [sym_include_once_expression] = STATE(1012),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(667),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_AT] = ACTIONS(677),
    [aux_sym_clone_expression_token1] = ACTIONS(679),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(689),
    [aux_sym_include_once_expression_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_text_interpolation] = STATE(443),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1640),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym__unary_expression] = STATE(1012),
    [sym_unary_op_expression] = STATE(1041),
    [sym_error_suppression_expression] = STATE(1012),
    [sym_clone_expression] = STATE(1041),
    [sym_primary_expression] = STATE(1041),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_expression] = STATE(1041),
    [sym_cast_variable] = STATE(622),
    [sym__variable_member_access_expression] = STATE(608),
    [sym_member_access_expression] = STATE(622),
    [sym__variable_nullsafe_member_access_expression] = STATE(611),
    [sym_nullsafe_member_access_expression] = STATE(622),
    [sym__variable_scoped_property_access_expression] = STATE(621),
    [sym_scoped_property_access_expression] = STATE(622),
    [sym_function_call_expression] = STATE(614),
    [sym__callable_expression] = STATE(2418),
    [sym_scoped_call_expression] = STATE(614),
    [sym__scope_resolution_qualifier] = STATE(2598),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(614),
    [sym_nullsafe_member_call_expression] = STATE(614),
    [sym__variable_subscript_expression] = STATE(612),
    [sym__dereferencable_subscript_expression] = STATE(614),
    [sym__dereferencable_expression] = STATE(1901),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(598),
    [sym__simple_variable] = STATE(597),
    [sym__new_variable] = STATE(623),
    [sym__callable_variable] = STATE(600),
    [sym_variable_name] = STATE(598),
    [sym_include_expression] = STATE(1012),
    [sym_include_once_expression] = STATE(1012),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(697),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [anon_sym_PLUS] = ACTIONS(703),
    [anon_sym_DASH] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(707),
    [aux_sym_clone_expression_token1] = ACTIONS(709),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(645),
    [aux_sym_include_expression_token1] = ACTIONS(719),
    [aux_sym_include_once_expression_token1] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_text_interpolation] = STATE(444),
    [sym_catch_clause] = STATE(451),
    [sym_finally_clause] = STATE(451),
    [aux_sym_try_statement_repeat1] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_name] = ACTIONS(989),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(987),
    [aux_sym_function_static_declaration_token1] = ACTIONS(989),
    [aux_sym_global_declaration_token1] = ACTIONS(989),
    [aux_sym_namespace_definition_token1] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(989),
    [aux_sym__namespace_use_type_token1] = ACTIONS(989),
    [aux_sym__namespace_use_type_token2] = ACTIONS(989),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [aux_sym_trait_declaration_token1] = ACTIONS(989),
    [aux_sym_interface_declaration_token1] = ACTIONS(989),
    [aux_sym_enum_declaration_token1] = ACTIONS(989),
    [aux_sym_enum_case_token1] = ACTIONS(989),
    [aux_sym_class_declaration_token1] = ACTIONS(989),
    [aux_sym_final_modifier_token1] = ACTIONS(989),
    [aux_sym_abstract_modifier_token1] = ACTIONS(989),
    [aux_sym_readonly_modifier_token1] = ACTIONS(989),
    [sym_var_modifier] = ACTIONS(989),
    [aux_sym_visibility_modifier_token1] = ACTIONS(989),
    [aux_sym_visibility_modifier_token2] = ACTIONS(989),
    [aux_sym_visibility_modifier_token3] = ACTIONS(989),
    [anon_sym_LPAREN2] = ACTIONS(987),
    [aux_sym__arrow_function_header_token1] = ACTIONS(989),
    [aux_sym_cast_type_token1] = ACTIONS(989),
    [aux_sym_echo_statement_token1] = ACTIONS(989),
    [aux_sym_exit_statement_token1] = ACTIONS(989),
    [anon_sym_unset] = ACTIONS(989),
    [aux_sym_declare_statement_token1] = ACTIONS(989),
    [aux_sym_declare_statement_token2] = ACTIONS(989),
    [sym_float] = ACTIONS(989),
    [aux_sym_try_statement_token1] = ACTIONS(989),
    [aux_sym_catch_clause_token1] = ACTIONS(991),
    [aux_sym_finally_clause_token1] = ACTIONS(993),
    [aux_sym_goto_statement_token1] = ACTIONS(989),
    [aux_sym_continue_statement_token1] = ACTIONS(989),
    [aux_sym_break_statement_token1] = ACTIONS(989),
    [sym_integer] = ACTIONS(989),
    [aux_sym_return_statement_token1] = ACTIONS(989),
    [aux_sym_throw_expression_token1] = ACTIONS(989),
    [aux_sym_while_statement_token1] = ACTIONS(989),
    [aux_sym_while_statement_token2] = ACTIONS(989),
    [aux_sym_do_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token2] = ACTIONS(989),
    [aux_sym_foreach_statement_token1] = ACTIONS(989),
    [aux_sym_foreach_statement_token2] = ACTIONS(989),
    [aux_sym_if_statement_token1] = ACTIONS(989),
    [aux_sym_if_statement_token2] = ACTIONS(989),
    [aux_sym_else_if_clause_token1] = ACTIONS(989),
    [aux_sym_else_clause_token1] = ACTIONS(989),
    [aux_sym_match_expression_token1] = ACTIONS(989),
    [aux_sym_match_default_expression_token1] = ACTIONS(989),
    [aux_sym_switch_statement_token1] = ACTIONS(989),
    [aux_sym_switch_block_token1] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [aux_sym_clone_expression_token1] = ACTIONS(989),
    [aux_sym_print_intrinsic_token1] = ACTIONS(989),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(989),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [aux_sym__list_destructing_token1] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(989),
    [anon_sym_parent] = ACTIONS(989),
    [aux_sym__argument_name_token1] = ACTIONS(989),
    [aux_sym__argument_name_token2] = ACTIONS(989),
    [anon_sym_POUND_LBRACK] = ACTIONS(987),
    [aux_sym_encapsed_string_token1] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(987),
    [aux_sym_string_token1] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(987),
    [anon_sym_LT_LT_LT] = ACTIONS(987),
    [anon_sym_BQUOTE] = ACTIONS(987),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [aux_sym_yield_expression_token1] = ACTIONS(989),
    [aux_sym_include_expression_token1] = ACTIONS(989),
    [aux_sym_include_once_expression_token1] = ACTIONS(989),
    [aux_sym_require_expression_token1] = ACTIONS(989),
    [aux_sym_require_once_expression_token1] = ACTIONS(989),
    [sym_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_text_interpolation] = STATE(445),
    [sym_catch_clause] = STATE(451),
    [sym_finally_clause] = STATE(451),
    [aux_sym_try_statement_repeat1] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(995),
    [sym_name] = ACTIONS(997),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(995),
    [aux_sym_function_static_declaration_token1] = ACTIONS(997),
    [aux_sym_global_declaration_token1] = ACTIONS(997),
    [aux_sym_namespace_definition_token1] = ACTIONS(997),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(997),
    [aux_sym__namespace_use_type_token1] = ACTIONS(997),
    [aux_sym__namespace_use_type_token2] = ACTIONS(997),
    [anon_sym_BSLASH] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [aux_sym_trait_declaration_token1] = ACTIONS(997),
    [aux_sym_interface_declaration_token1] = ACTIONS(997),
    [aux_sym_enum_declaration_token1] = ACTIONS(997),
    [aux_sym_enum_case_token1] = ACTIONS(997),
    [aux_sym_class_declaration_token1] = ACTIONS(997),
    [aux_sym_final_modifier_token1] = ACTIONS(997),
    [aux_sym_abstract_modifier_token1] = ACTIONS(997),
    [aux_sym_readonly_modifier_token1] = ACTIONS(997),
    [sym_var_modifier] = ACTIONS(997),
    [aux_sym_visibility_modifier_token1] = ACTIONS(997),
    [aux_sym_visibility_modifier_token2] = ACTIONS(997),
    [aux_sym_visibility_modifier_token3] = ACTIONS(997),
    [anon_sym_LPAREN2] = ACTIONS(995),
    [aux_sym__arrow_function_header_token1] = ACTIONS(997),
    [aux_sym_cast_type_token1] = ACTIONS(997),
    [aux_sym_echo_statement_token1] = ACTIONS(997),
    [aux_sym_exit_statement_token1] = ACTIONS(997),
    [anon_sym_unset] = ACTIONS(997),
    [aux_sym_declare_statement_token1] = ACTIONS(997),
    [aux_sym_declare_statement_token2] = ACTIONS(997),
    [sym_float] = ACTIONS(997),
    [aux_sym_try_statement_token1] = ACTIONS(997),
    [aux_sym_catch_clause_token1] = ACTIONS(999),
    [aux_sym_finally_clause_token1] = ACTIONS(1002),
    [aux_sym_goto_statement_token1] = ACTIONS(997),
    [aux_sym_continue_statement_token1] = ACTIONS(997),
    [aux_sym_break_statement_token1] = ACTIONS(997),
    [sym_integer] = ACTIONS(997),
    [aux_sym_return_statement_token1] = ACTIONS(997),
    [aux_sym_throw_expression_token1] = ACTIONS(997),
    [aux_sym_while_statement_token1] = ACTIONS(997),
    [aux_sym_while_statement_token2] = ACTIONS(997),
    [aux_sym_do_statement_token1] = ACTIONS(997),
    [aux_sym_for_statement_token1] = ACTIONS(997),
    [aux_sym_for_statement_token2] = ACTIONS(997),
    [aux_sym_foreach_statement_token1] = ACTIONS(997),
    [aux_sym_foreach_statement_token2] = ACTIONS(997),
    [aux_sym_if_statement_token1] = ACTIONS(997),
    [aux_sym_if_statement_token2] = ACTIONS(997),
    [aux_sym_else_if_clause_token1] = ACTIONS(997),
    [aux_sym_else_clause_token1] = ACTIONS(997),
    [aux_sym_match_expression_token1] = ACTIONS(997),
    [aux_sym_match_default_expression_token1] = ACTIONS(997),
    [aux_sym_switch_statement_token1] = ACTIONS(997),
    [aux_sym_switch_block_token1] = ACTIONS(997),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(995),
    [aux_sym_clone_expression_token1] = ACTIONS(997),
    [aux_sym_print_intrinsic_token1] = ACTIONS(997),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(997),
    [anon_sym_DASH_DASH] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [aux_sym__list_destructing_token1] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_self] = ACTIONS(997),
    [anon_sym_parent] = ACTIONS(997),
    [aux_sym__argument_name_token1] = ACTIONS(997),
    [aux_sym__argument_name_token2] = ACTIONS(997),
    [anon_sym_POUND_LBRACK] = ACTIONS(995),
    [aux_sym_encapsed_string_token1] = ACTIONS(995),
    [anon_sym_DQUOTE] = ACTIONS(995),
    [aux_sym_string_token1] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(995),
    [anon_sym_LT_LT_LT] = ACTIONS(995),
    [anon_sym_BQUOTE] = ACTIONS(995),
    [anon_sym_DOLLAR] = ACTIONS(995),
    [aux_sym_yield_expression_token1] = ACTIONS(997),
    [aux_sym_include_expression_token1] = ACTIONS(997),
    [aux_sym_include_once_expression_token1] = ACTIONS(997),
    [aux_sym_require_expression_token1] = ACTIONS(997),
    [aux_sym_require_once_expression_token1] = ACTIONS(997),
    [sym_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_text_interpolation] = STATE(446),
    [sym_else_if_clause] = STATE(580),
    [sym_else_clause] = STATE(581),
    [aux_sym_if_statement_repeat1] = STATE(449),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_name] = ACTIONS(1007),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1007),
    [aux_sym_global_declaration_token1] = ACTIONS(1007),
    [aux_sym_namespace_definition_token1] = ACTIONS(1007),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1007),
    [anon_sym_BSLASH] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [aux_sym_trait_declaration_token1] = ACTIONS(1007),
    [aux_sym_interface_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_case_token1] = ACTIONS(1007),
    [aux_sym_class_declaration_token1] = ACTIONS(1007),
    [aux_sym_final_modifier_token1] = ACTIONS(1007),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1007),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1007),
    [sym_var_modifier] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1007),
    [anon_sym_LPAREN2] = ACTIONS(1005),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(1007),
    [aux_sym_echo_statement_token1] = ACTIONS(1007),
    [aux_sym_exit_statement_token1] = ACTIONS(1007),
    [anon_sym_unset] = ACTIONS(1007),
    [aux_sym_declare_statement_token1] = ACTIONS(1007),
    [aux_sym_declare_statement_token2] = ACTIONS(1007),
    [sym_float] = ACTIONS(1007),
    [aux_sym_try_statement_token1] = ACTIONS(1007),
    [aux_sym_goto_statement_token1] = ACTIONS(1007),
    [aux_sym_continue_statement_token1] = ACTIONS(1007),
    [aux_sym_break_statement_token1] = ACTIONS(1007),
    [sym_integer] = ACTIONS(1007),
    [aux_sym_return_statement_token1] = ACTIONS(1007),
    [aux_sym_throw_expression_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token2] = ACTIONS(1007),
    [aux_sym_do_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token2] = ACTIONS(1007),
    [aux_sym_foreach_statement_token1] = ACTIONS(1007),
    [aux_sym_foreach_statement_token2] = ACTIONS(1007),
    [aux_sym_if_statement_token1] = ACTIONS(1007),
    [aux_sym_if_statement_token2] = ACTIONS(1007),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1011),
    [aux_sym_match_expression_token1] = ACTIONS(1007),
    [aux_sym_match_default_expression_token1] = ACTIONS(1007),
    [aux_sym_switch_statement_token1] = ACTIONS(1007),
    [aux_sym_switch_block_token1] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1005),
    [aux_sym_clone_expression_token1] = ACTIONS(1007),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1007),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1005),
    [aux_sym__list_destructing_token1] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [anon_sym_self] = ACTIONS(1007),
    [anon_sym_parent] = ACTIONS(1007),
    [aux_sym__argument_name_token1] = ACTIONS(1007),
    [aux_sym__argument_name_token2] = ACTIONS(1007),
    [anon_sym_POUND_LBRACK] = ACTIONS(1005),
    [aux_sym_encapsed_string_token1] = ACTIONS(1005),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [aux_sym_string_token1] = ACTIONS(1005),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [anon_sym_LT_LT_LT] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1005),
    [anon_sym_DOLLAR] = ACTIONS(1005),
    [aux_sym_yield_expression_token1] = ACTIONS(1007),
    [aux_sym_include_expression_token1] = ACTIONS(1007),
    [aux_sym_include_once_expression_token1] = ACTIONS(1007),
    [aux_sym_require_expression_token1] = ACTIONS(1007),
    [aux_sym_require_once_expression_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_text_interpolation] = STATE(447),
    [sym_else_if_clause] = STATE(580),
    [sym_else_clause] = STATE(461),
    [aux_sym_if_statement_repeat1] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_name] = ACTIONS(1015),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1013),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1015),
    [aux_sym_global_declaration_token1] = ACTIONS(1015),
    [aux_sym_namespace_definition_token1] = ACTIONS(1015),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [aux_sym_trait_declaration_token1] = ACTIONS(1015),
    [aux_sym_interface_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_case_token1] = ACTIONS(1015),
    [aux_sym_class_declaration_token1] = ACTIONS(1015),
    [aux_sym_final_modifier_token1] = ACTIONS(1015),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1015),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1015),
    [sym_var_modifier] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1015),
    [anon_sym_LPAREN2] = ACTIONS(1013),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(1015),
    [aux_sym_echo_statement_token1] = ACTIONS(1015),
    [aux_sym_exit_statement_token1] = ACTIONS(1015),
    [anon_sym_unset] = ACTIONS(1015),
    [aux_sym_declare_statement_token1] = ACTIONS(1015),
    [aux_sym_declare_statement_token2] = ACTIONS(1015),
    [sym_float] = ACTIONS(1015),
    [aux_sym_try_statement_token1] = ACTIONS(1015),
    [aux_sym_goto_statement_token1] = ACTIONS(1015),
    [aux_sym_continue_statement_token1] = ACTIONS(1015),
    [aux_sym_break_statement_token1] = ACTIONS(1015),
    [sym_integer] = ACTIONS(1015),
    [aux_sym_return_statement_token1] = ACTIONS(1015),
    [aux_sym_throw_expression_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token2] = ACTIONS(1015),
    [aux_sym_do_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token2] = ACTIONS(1015),
    [aux_sym_foreach_statement_token1] = ACTIONS(1015),
    [aux_sym_foreach_statement_token2] = ACTIONS(1015),
    [aux_sym_if_statement_token1] = ACTIONS(1015),
    [aux_sym_if_statement_token2] = ACTIONS(1015),
    [aux_sym_else_if_clause_token1] = ACTIONS(1017),
    [aux_sym_else_clause_token1] = ACTIONS(1020),
    [aux_sym_match_expression_token1] = ACTIONS(1015),
    [aux_sym_match_default_expression_token1] = ACTIONS(1015),
    [aux_sym_switch_statement_token1] = ACTIONS(1015),
    [aux_sym_switch_block_token1] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1013),
    [aux_sym_clone_expression_token1] = ACTIONS(1015),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1015),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(1013),
    [aux_sym__list_destructing_token1] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_self] = ACTIONS(1015),
    [anon_sym_parent] = ACTIONS(1015),
    [aux_sym__argument_name_token1] = ACTIONS(1015),
    [aux_sym__argument_name_token2] = ACTIONS(1015),
    [anon_sym_POUND_LBRACK] = ACTIONS(1013),
    [aux_sym_encapsed_string_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_LT_LT_LT] = ACTIONS(1013),
    [anon_sym_BQUOTE] = ACTIONS(1013),
    [anon_sym_DOLLAR] = ACTIONS(1013),
    [aux_sym_yield_expression_token1] = ACTIONS(1015),
    [aux_sym_include_expression_token1] = ACTIONS(1015),
    [aux_sym_include_once_expression_token1] = ACTIONS(1015),
    [aux_sym_require_expression_token1] = ACTIONS(1015),
    [aux_sym_require_once_expression_token1] = ACTIONS(1015),
    [sym_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_text_interpolation] = STATE(448),
    [sym_else_if_clause] = STATE(580),
    [sym_else_clause] = STATE(581),
    [aux_sym_if_statement_repeat1] = STATE(447),
    [ts_builtin_sym_end] = ACTIONS(1005),
    [sym_name] = ACTIONS(1007),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1005),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1007),
    [aux_sym_global_declaration_token1] = ACTIONS(1007),
    [aux_sym_namespace_definition_token1] = ACTIONS(1007),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1007),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1007),
    [anon_sym_BSLASH] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1005),
    [anon_sym_RBRACE] = ACTIONS(1005),
    [aux_sym_trait_declaration_token1] = ACTIONS(1007),
    [aux_sym_interface_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_declaration_token1] = ACTIONS(1007),
    [aux_sym_enum_case_token1] = ACTIONS(1007),
    [aux_sym_class_declaration_token1] = ACTIONS(1007),
    [aux_sym_final_modifier_token1] = ACTIONS(1007),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1007),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1007),
    [sym_var_modifier] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1007),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1007),
    [anon_sym_LPAREN2] = ACTIONS(1005),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1007),
    [aux_sym_cast_type_token1] = ACTIONS(1007),
    [aux_sym_echo_statement_token1] = ACTIONS(1007),
    [aux_sym_exit_statement_token1] = ACTIONS(1007),
    [anon_sym_unset] = ACTIONS(1007),
    [aux_sym_declare_statement_token1] = ACTIONS(1007),
    [aux_sym_declare_statement_token2] = ACTIONS(1007),
    [sym_float] = ACTIONS(1007),
    [aux_sym_try_statement_token1] = ACTIONS(1007),
    [aux_sym_goto_statement_token1] = ACTIONS(1007),
    [aux_sym_continue_statement_token1] = ACTIONS(1007),
    [aux_sym_break_statement_token1] = ACTIONS(1007),
    [sym_integer] = ACTIONS(1007),
    [aux_sym_return_statement_token1] = ACTIONS(1007),
    [aux_sym_throw_expression_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token1] = ACTIONS(1007),
    [aux_sym_while_statement_token2] = ACTIONS(1007),
    [aux_sym_do_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token1] = ACTIONS(1007),
    [aux_sym_for_statement_token2] = ACTIONS(1007),
    [aux_sym_foreach_statement_token1] = ACTIONS(1007),
    [aux_sym_foreach_statement_token2] = ACTIONS(1007),
    [aux_sym_if_statement_token1] = ACTIONS(1007),
    [aux_sym_if_statement_token2] = ACTIONS(1007),
    [aux_sym_else_if_clause_token1] = ACTIONS(1023),
    [aux_sym_else_clause_token1] = ACTIONS(1026),
    [aux_sym_match_expression_token1] = ACTIONS(1007),
    [aux_sym_match_default_expression_token1] = ACTIONS(1007),
    [aux_sym_switch_statement_token1] = ACTIONS(1007),
    [aux_sym_switch_block_token1] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1007),
    [anon_sym_DASH] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1005),
    [aux_sym_clone_expression_token1] = ACTIONS(1007),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1007),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1005),
    [aux_sym__list_destructing_token1] = ACTIONS(1007),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [anon_sym_self] = ACTIONS(1007),
    [anon_sym_parent] = ACTIONS(1007),
    [aux_sym__argument_name_token1] = ACTIONS(1007),
    [aux_sym__argument_name_token2] = ACTIONS(1007),
    [anon_sym_POUND_LBRACK] = ACTIONS(1005),
    [aux_sym_encapsed_string_token1] = ACTIONS(1005),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [aux_sym_string_token1] = ACTIONS(1005),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [anon_sym_LT_LT_LT] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1005),
    [anon_sym_DOLLAR] = ACTIONS(1005),
    [aux_sym_yield_expression_token1] = ACTIONS(1007),
    [aux_sym_include_expression_token1] = ACTIONS(1007),
    [aux_sym_include_once_expression_token1] = ACTIONS(1007),
    [aux_sym_require_expression_token1] = ACTIONS(1007),
    [aux_sym_require_once_expression_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_text_interpolation] = STATE(449),
    [sym_else_if_clause] = STATE(580),
    [sym_else_clause] = STATE(461),
    [aux_sym_if_statement_repeat1] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1013),
    [sym_name] = ACTIONS(1015),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1013),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1015),
    [aux_sym_global_declaration_token1] = ACTIONS(1015),
    [aux_sym_namespace_definition_token1] = ACTIONS(1015),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1015),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1015),
    [anon_sym_BSLASH] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [aux_sym_trait_declaration_token1] = ACTIONS(1015),
    [aux_sym_interface_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_declaration_token1] = ACTIONS(1015),
    [aux_sym_enum_case_token1] = ACTIONS(1015),
    [aux_sym_class_declaration_token1] = ACTIONS(1015),
    [aux_sym_final_modifier_token1] = ACTIONS(1015),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1015),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1015),
    [sym_var_modifier] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1015),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1015),
    [anon_sym_LPAREN2] = ACTIONS(1013),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1015),
    [aux_sym_cast_type_token1] = ACTIONS(1015),
    [aux_sym_echo_statement_token1] = ACTIONS(1015),
    [aux_sym_exit_statement_token1] = ACTIONS(1015),
    [anon_sym_unset] = ACTIONS(1015),
    [aux_sym_declare_statement_token1] = ACTIONS(1015),
    [aux_sym_declare_statement_token2] = ACTIONS(1015),
    [sym_float] = ACTIONS(1015),
    [aux_sym_try_statement_token1] = ACTIONS(1015),
    [aux_sym_goto_statement_token1] = ACTIONS(1015),
    [aux_sym_continue_statement_token1] = ACTIONS(1015),
    [aux_sym_break_statement_token1] = ACTIONS(1015),
    [sym_integer] = ACTIONS(1015),
    [aux_sym_return_statement_token1] = ACTIONS(1015),
    [aux_sym_throw_expression_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token1] = ACTIONS(1015),
    [aux_sym_while_statement_token2] = ACTIONS(1015),
    [aux_sym_do_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token1] = ACTIONS(1015),
    [aux_sym_for_statement_token2] = ACTIONS(1015),
    [aux_sym_foreach_statement_token1] = ACTIONS(1015),
    [aux_sym_foreach_statement_token2] = ACTIONS(1015),
    [aux_sym_if_statement_token1] = ACTIONS(1015),
    [aux_sym_if_statement_token2] = ACTIONS(1015),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1011),
    [aux_sym_match_expression_token1] = ACTIONS(1015),
    [aux_sym_match_default_expression_token1] = ACTIONS(1015),
    [aux_sym_switch_statement_token1] = ACTIONS(1015),
    [aux_sym_switch_block_token1] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1015),
    [anon_sym_DASH] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1013),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1013),
    [aux_sym_clone_expression_token1] = ACTIONS(1015),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1015),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(1013),
    [aux_sym__list_destructing_token1] = ACTIONS(1015),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_self] = ACTIONS(1015),
    [anon_sym_parent] = ACTIONS(1015),
    [aux_sym__argument_name_token1] = ACTIONS(1015),
    [aux_sym__argument_name_token2] = ACTIONS(1015),
    [anon_sym_POUND_LBRACK] = ACTIONS(1013),
    [aux_sym_encapsed_string_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [aux_sym_string_token1] = ACTIONS(1013),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_LT_LT_LT] = ACTIONS(1013),
    [anon_sym_BQUOTE] = ACTIONS(1013),
    [anon_sym_DOLLAR] = ACTIONS(1013),
    [aux_sym_yield_expression_token1] = ACTIONS(1015),
    [aux_sym_include_expression_token1] = ACTIONS(1015),
    [aux_sym_include_once_expression_token1] = ACTIONS(1015),
    [aux_sym_require_expression_token1] = ACTIONS(1015),
    [aux_sym_require_once_expression_token1] = ACTIONS(1015),
    [sym_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_text_interpolation] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [anon_sym_LPAREN2] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_catch_clause_token1] = ACTIONS(1031),
    [aux_sym_finally_clause_token1] = ACTIONS(1031),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1031),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_text_interpolation] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1033),
    [sym_name] = ACTIONS(1035),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1033),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1035),
    [aux_sym_global_declaration_token1] = ACTIONS(1035),
    [aux_sym_namespace_definition_token1] = ACTIONS(1035),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1035),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1035),
    [anon_sym_BSLASH] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1033),
    [anon_sym_RBRACE] = ACTIONS(1033),
    [aux_sym_trait_declaration_token1] = ACTIONS(1035),
    [aux_sym_interface_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_declaration_token1] = ACTIONS(1035),
    [aux_sym_enum_case_token1] = ACTIONS(1035),
    [aux_sym_class_declaration_token1] = ACTIONS(1035),
    [aux_sym_final_modifier_token1] = ACTIONS(1035),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1035),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1035),
    [sym_var_modifier] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1035),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1035),
    [anon_sym_LPAREN2] = ACTIONS(1033),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1035),
    [aux_sym_cast_type_token1] = ACTIONS(1035),
    [aux_sym_echo_statement_token1] = ACTIONS(1035),
    [aux_sym_exit_statement_token1] = ACTIONS(1035),
    [anon_sym_unset] = ACTIONS(1035),
    [aux_sym_declare_statement_token1] = ACTIONS(1035),
    [aux_sym_declare_statement_token2] = ACTIONS(1035),
    [sym_float] = ACTIONS(1035),
    [aux_sym_try_statement_token1] = ACTIONS(1035),
    [aux_sym_catch_clause_token1] = ACTIONS(1035),
    [aux_sym_finally_clause_token1] = ACTIONS(1035),
    [aux_sym_goto_statement_token1] = ACTIONS(1035),
    [aux_sym_continue_statement_token1] = ACTIONS(1035),
    [aux_sym_break_statement_token1] = ACTIONS(1035),
    [sym_integer] = ACTIONS(1035),
    [aux_sym_return_statement_token1] = ACTIONS(1035),
    [aux_sym_throw_expression_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token1] = ACTIONS(1035),
    [aux_sym_while_statement_token2] = ACTIONS(1035),
    [aux_sym_do_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token1] = ACTIONS(1035),
    [aux_sym_for_statement_token2] = ACTIONS(1035),
    [aux_sym_foreach_statement_token1] = ACTIONS(1035),
    [aux_sym_foreach_statement_token2] = ACTIONS(1035),
    [aux_sym_if_statement_token1] = ACTIONS(1035),
    [aux_sym_if_statement_token2] = ACTIONS(1035),
    [aux_sym_else_if_clause_token1] = ACTIONS(1035),
    [aux_sym_else_clause_token1] = ACTIONS(1035),
    [aux_sym_match_expression_token1] = ACTIONS(1035),
    [aux_sym_match_default_expression_token1] = ACTIONS(1035),
    [aux_sym_switch_statement_token1] = ACTIONS(1035),
    [aux_sym_switch_block_token1] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1035),
    [anon_sym_DASH] = ACTIONS(1035),
    [anon_sym_TILDE] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1033),
    [aux_sym_clone_expression_token1] = ACTIONS(1035),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1035),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1033),
    [aux_sym__list_destructing_token1] = ACTIONS(1035),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_self] = ACTIONS(1035),
    [anon_sym_parent] = ACTIONS(1035),
    [aux_sym__argument_name_token1] = ACTIONS(1035),
    [aux_sym__argument_name_token2] = ACTIONS(1035),
    [anon_sym_POUND_LBRACK] = ACTIONS(1033),
    [aux_sym_encapsed_string_token1] = ACTIONS(1033),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [aux_sym_string_token1] = ACTIONS(1033),
    [anon_sym_SQUOTE] = ACTIONS(1033),
    [anon_sym_LT_LT_LT] = ACTIONS(1033),
    [anon_sym_BQUOTE] = ACTIONS(1033),
    [anon_sym_DOLLAR] = ACTIONS(1033),
    [aux_sym_yield_expression_token1] = ACTIONS(1035),
    [aux_sym_include_expression_token1] = ACTIONS(1035),
    [aux_sym_include_once_expression_token1] = ACTIONS(1035),
    [aux_sym_require_expression_token1] = ACTIONS(1035),
    [aux_sym_require_once_expression_token1] = ACTIONS(1035),
    [sym_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_text_interpolation] = STATE(452),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_catch_clause_token1] = ACTIONS(1039),
    [aux_sym_finally_clause_token1] = ACTIONS(1039),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_text_interpolation] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1041),
    [sym_name] = ACTIONS(1043),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1041),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1043),
    [aux_sym_global_declaration_token1] = ACTIONS(1043),
    [aux_sym_namespace_definition_token1] = ACTIONS(1043),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1043),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1043),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1043),
    [anon_sym_BSLASH] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(1041),
    [anon_sym_RBRACE] = ACTIONS(1041),
    [aux_sym_trait_declaration_token1] = ACTIONS(1043),
    [aux_sym_interface_declaration_token1] = ACTIONS(1043),
    [aux_sym_enum_declaration_token1] = ACTIONS(1043),
    [aux_sym_enum_case_token1] = ACTIONS(1043),
    [aux_sym_class_declaration_token1] = ACTIONS(1043),
    [aux_sym_final_modifier_token1] = ACTIONS(1043),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1043),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1043),
    [sym_var_modifier] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1043),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(1041),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1043),
    [aux_sym_cast_type_token1] = ACTIONS(1043),
    [aux_sym_echo_statement_token1] = ACTIONS(1043),
    [aux_sym_exit_statement_token1] = ACTIONS(1043),
    [anon_sym_unset] = ACTIONS(1043),
    [aux_sym_declare_statement_token1] = ACTIONS(1043),
    [aux_sym_declare_statement_token2] = ACTIONS(1043),
    [sym_float] = ACTIONS(1043),
    [aux_sym_try_statement_token1] = ACTIONS(1043),
    [aux_sym_catch_clause_token1] = ACTIONS(1043),
    [aux_sym_finally_clause_token1] = ACTIONS(1043),
    [aux_sym_goto_statement_token1] = ACTIONS(1043),
    [aux_sym_continue_statement_token1] = ACTIONS(1043),
    [aux_sym_break_statement_token1] = ACTIONS(1043),
    [sym_integer] = ACTIONS(1043),
    [aux_sym_return_statement_token1] = ACTIONS(1043),
    [aux_sym_throw_expression_token1] = ACTIONS(1043),
    [aux_sym_while_statement_token1] = ACTIONS(1043),
    [aux_sym_while_statement_token2] = ACTIONS(1043),
    [aux_sym_do_statement_token1] = ACTIONS(1043),
    [aux_sym_for_statement_token1] = ACTIONS(1043),
    [aux_sym_for_statement_token2] = ACTIONS(1043),
    [aux_sym_foreach_statement_token1] = ACTIONS(1043),
    [aux_sym_foreach_statement_token2] = ACTIONS(1043),
    [aux_sym_if_statement_token1] = ACTIONS(1043),
    [aux_sym_if_statement_token2] = ACTIONS(1043),
    [aux_sym_else_if_clause_token1] = ACTIONS(1043),
    [aux_sym_else_clause_token1] = ACTIONS(1043),
    [aux_sym_match_expression_token1] = ACTIONS(1043),
    [aux_sym_match_default_expression_token1] = ACTIONS(1043),
    [aux_sym_switch_statement_token1] = ACTIONS(1043),
    [aux_sym_switch_block_token1] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1043),
    [anon_sym_DASH] = ACTIONS(1043),
    [anon_sym_TILDE] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1041),
    [aux_sym_clone_expression_token1] = ACTIONS(1043),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1043),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1041),
    [anon_sym_PLUS_PLUS] = ACTIONS(1041),
    [aux_sym__list_destructing_token1] = ACTIONS(1043),
    [anon_sym_LBRACK] = ACTIONS(1041),
    [anon_sym_self] = ACTIONS(1043),
    [anon_sym_parent] = ACTIONS(1043),
    [aux_sym__argument_name_token1] = ACTIONS(1043),
    [aux_sym__argument_name_token2] = ACTIONS(1043),
    [anon_sym_POUND_LBRACK] = ACTIONS(1041),
    [aux_sym_encapsed_string_token1] = ACTIONS(1041),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [aux_sym_string_token1] = ACTIONS(1041),
    [anon_sym_SQUOTE] = ACTIONS(1041),
    [anon_sym_LT_LT_LT] = ACTIONS(1041),
    [anon_sym_BQUOTE] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(1041),
    [aux_sym_yield_expression_token1] = ACTIONS(1043),
    [aux_sym_include_expression_token1] = ACTIONS(1043),
    [aux_sym_include_once_expression_token1] = ACTIONS(1043),
    [aux_sym_require_expression_token1] = ACTIONS(1043),
    [aux_sym_require_once_expression_token1] = ACTIONS(1043),
    [sym_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_text_interpolation] = STATE(454),
    [ts_builtin_sym_end] = ACTIONS(1045),
    [sym_name] = ACTIONS(1047),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1045),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1047),
    [aux_sym_global_declaration_token1] = ACTIONS(1047),
    [aux_sym_namespace_definition_token1] = ACTIONS(1047),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1047),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1047),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1047),
    [anon_sym_BSLASH] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_RBRACE] = ACTIONS(1045),
    [aux_sym_trait_declaration_token1] = ACTIONS(1047),
    [aux_sym_interface_declaration_token1] = ACTIONS(1047),
    [aux_sym_enum_declaration_token1] = ACTIONS(1047),
    [aux_sym_enum_case_token1] = ACTIONS(1047),
    [aux_sym_class_declaration_token1] = ACTIONS(1047),
    [aux_sym_final_modifier_token1] = ACTIONS(1047),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1047),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1047),
    [sym_var_modifier] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1047),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1047),
    [anon_sym_LPAREN2] = ACTIONS(1045),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1047),
    [aux_sym_cast_type_token1] = ACTIONS(1047),
    [aux_sym_echo_statement_token1] = ACTIONS(1047),
    [aux_sym_exit_statement_token1] = ACTIONS(1047),
    [anon_sym_unset] = ACTIONS(1047),
    [aux_sym_declare_statement_token1] = ACTIONS(1047),
    [aux_sym_declare_statement_token2] = ACTIONS(1047),
    [sym_float] = ACTIONS(1047),
    [aux_sym_try_statement_token1] = ACTIONS(1047),
    [aux_sym_catch_clause_token1] = ACTIONS(1047),
    [aux_sym_finally_clause_token1] = ACTIONS(1047),
    [aux_sym_goto_statement_token1] = ACTIONS(1047),
    [aux_sym_continue_statement_token1] = ACTIONS(1047),
    [aux_sym_break_statement_token1] = ACTIONS(1047),
    [sym_integer] = ACTIONS(1047),
    [aux_sym_return_statement_token1] = ACTIONS(1047),
    [aux_sym_throw_expression_token1] = ACTIONS(1047),
    [aux_sym_while_statement_token1] = ACTIONS(1047),
    [aux_sym_while_statement_token2] = ACTIONS(1047),
    [aux_sym_do_statement_token1] = ACTIONS(1047),
    [aux_sym_for_statement_token1] = ACTIONS(1047),
    [aux_sym_for_statement_token2] = ACTIONS(1047),
    [aux_sym_foreach_statement_token1] = ACTIONS(1047),
    [aux_sym_foreach_statement_token2] = ACTIONS(1047),
    [aux_sym_if_statement_token1] = ACTIONS(1047),
    [aux_sym_if_statement_token2] = ACTIONS(1047),
    [aux_sym_else_if_clause_token1] = ACTIONS(1047),
    [aux_sym_else_clause_token1] = ACTIONS(1047),
    [aux_sym_match_expression_token1] = ACTIONS(1047),
    [aux_sym_match_default_expression_token1] = ACTIONS(1047),
    [aux_sym_switch_statement_token1] = ACTIONS(1047),
    [aux_sym_switch_block_token1] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1047),
    [anon_sym_DASH] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1045),
    [anon_sym_BANG] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1045),
    [aux_sym_clone_expression_token1] = ACTIONS(1047),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1047),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1047),
    [anon_sym_DASH_DASH] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1045),
    [aux_sym__list_destructing_token1] = ACTIONS(1047),
    [anon_sym_LBRACK] = ACTIONS(1045),
    [anon_sym_self] = ACTIONS(1047),
    [anon_sym_parent] = ACTIONS(1047),
    [aux_sym__argument_name_token1] = ACTIONS(1047),
    [aux_sym__argument_name_token2] = ACTIONS(1047),
    [anon_sym_POUND_LBRACK] = ACTIONS(1045),
    [aux_sym_encapsed_string_token1] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [aux_sym_string_token1] = ACTIONS(1045),
    [anon_sym_SQUOTE] = ACTIONS(1045),
    [anon_sym_LT_LT_LT] = ACTIONS(1045),
    [anon_sym_BQUOTE] = ACTIONS(1045),
    [anon_sym_DOLLAR] = ACTIONS(1045),
    [aux_sym_yield_expression_token1] = ACTIONS(1047),
    [aux_sym_include_expression_token1] = ACTIONS(1047),
    [aux_sym_include_once_expression_token1] = ACTIONS(1047),
    [aux_sym_require_expression_token1] = ACTIONS(1047),
    [aux_sym_require_once_expression_token1] = ACTIONS(1047),
    [sym_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_text_interpolation] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1049),
    [sym_name] = ACTIONS(1051),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1049),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1051),
    [aux_sym_global_declaration_token1] = ACTIONS(1051),
    [aux_sym_namespace_definition_token1] = ACTIONS(1051),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1051),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1051),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1051),
    [anon_sym_BSLASH] = ACTIONS(1049),
    [anon_sym_LBRACE] = ACTIONS(1049),
    [anon_sym_RBRACE] = ACTIONS(1049),
    [aux_sym_trait_declaration_token1] = ACTIONS(1051),
    [aux_sym_interface_declaration_token1] = ACTIONS(1051),
    [aux_sym_enum_declaration_token1] = ACTIONS(1051),
    [aux_sym_enum_case_token1] = ACTIONS(1051),
    [aux_sym_class_declaration_token1] = ACTIONS(1051),
    [aux_sym_final_modifier_token1] = ACTIONS(1051),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1051),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1051),
    [sym_var_modifier] = ACTIONS(1051),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1051),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1051),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1051),
    [anon_sym_LPAREN2] = ACTIONS(1049),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1051),
    [aux_sym_cast_type_token1] = ACTIONS(1051),
    [aux_sym_echo_statement_token1] = ACTIONS(1051),
    [aux_sym_exit_statement_token1] = ACTIONS(1051),
    [anon_sym_unset] = ACTIONS(1051),
    [aux_sym_declare_statement_token1] = ACTIONS(1051),
    [aux_sym_declare_statement_token2] = ACTIONS(1051),
    [sym_float] = ACTIONS(1051),
    [aux_sym_try_statement_token1] = ACTIONS(1051),
    [aux_sym_catch_clause_token1] = ACTIONS(1051),
    [aux_sym_finally_clause_token1] = ACTIONS(1051),
    [aux_sym_goto_statement_token1] = ACTIONS(1051),
    [aux_sym_continue_statement_token1] = ACTIONS(1051),
    [aux_sym_break_statement_token1] = ACTIONS(1051),
    [sym_integer] = ACTIONS(1051),
    [aux_sym_return_statement_token1] = ACTIONS(1051),
    [aux_sym_throw_expression_token1] = ACTIONS(1051),
    [aux_sym_while_statement_token1] = ACTIONS(1051),
    [aux_sym_while_statement_token2] = ACTIONS(1051),
    [aux_sym_do_statement_token1] = ACTIONS(1051),
    [aux_sym_for_statement_token1] = ACTIONS(1051),
    [aux_sym_for_statement_token2] = ACTIONS(1051),
    [aux_sym_foreach_statement_token1] = ACTIONS(1051),
    [aux_sym_foreach_statement_token2] = ACTIONS(1051),
    [aux_sym_if_statement_token1] = ACTIONS(1051),
    [aux_sym_if_statement_token2] = ACTIONS(1051),
    [aux_sym_else_if_clause_token1] = ACTIONS(1051),
    [aux_sym_else_clause_token1] = ACTIONS(1051),
    [aux_sym_match_expression_token1] = ACTIONS(1051),
    [aux_sym_match_default_expression_token1] = ACTIONS(1051),
    [aux_sym_switch_statement_token1] = ACTIONS(1051),
    [aux_sym_switch_block_token1] = ACTIONS(1051),
    [anon_sym_PLUS] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(1051),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_BANG] = ACTIONS(1049),
    [anon_sym_AT] = ACTIONS(1049),
    [aux_sym_clone_expression_token1] = ACTIONS(1051),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1051),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1049),
    [aux_sym__list_destructing_token1] = ACTIONS(1051),
    [anon_sym_LBRACK] = ACTIONS(1049),
    [anon_sym_self] = ACTIONS(1051),
    [anon_sym_parent] = ACTIONS(1051),
    [aux_sym__argument_name_token1] = ACTIONS(1051),
    [aux_sym__argument_name_token2] = ACTIONS(1051),
    [anon_sym_POUND_LBRACK] = ACTIONS(1049),
    [aux_sym_encapsed_string_token1] = ACTIONS(1049),
    [anon_sym_DQUOTE] = ACTIONS(1049),
    [aux_sym_string_token1] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(1049),
    [anon_sym_LT_LT_LT] = ACTIONS(1049),
    [anon_sym_BQUOTE] = ACTIONS(1049),
    [anon_sym_DOLLAR] = ACTIONS(1049),
    [aux_sym_yield_expression_token1] = ACTIONS(1051),
    [aux_sym_include_expression_token1] = ACTIONS(1051),
    [aux_sym_include_once_expression_token1] = ACTIONS(1051),
    [aux_sym_require_expression_token1] = ACTIONS(1051),
    [aux_sym_require_once_expression_token1] = ACTIONS(1051),
    [sym_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_text_interpolation] = STATE(456),
    [sym_else_if_clause] = STATE(580),
    [aux_sym_if_statement_repeat1] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1053),
    [sym_name] = ACTIONS(1055),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1053),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1055),
    [aux_sym_global_declaration_token1] = ACTIONS(1055),
    [aux_sym_namespace_definition_token1] = ACTIONS(1055),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1055),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1055),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1055),
    [anon_sym_BSLASH] = ACTIONS(1053),
    [anon_sym_LBRACE] = ACTIONS(1053),
    [anon_sym_RBRACE] = ACTIONS(1053),
    [aux_sym_trait_declaration_token1] = ACTIONS(1055),
    [aux_sym_interface_declaration_token1] = ACTIONS(1055),
    [aux_sym_enum_declaration_token1] = ACTIONS(1055),
    [aux_sym_enum_case_token1] = ACTIONS(1055),
    [aux_sym_class_declaration_token1] = ACTIONS(1055),
    [aux_sym_final_modifier_token1] = ACTIONS(1055),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1055),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1055),
    [sym_var_modifier] = ACTIONS(1055),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1055),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1055),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1055),
    [anon_sym_LPAREN2] = ACTIONS(1053),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1055),
    [aux_sym_cast_type_token1] = ACTIONS(1055),
    [aux_sym_echo_statement_token1] = ACTIONS(1055),
    [aux_sym_exit_statement_token1] = ACTIONS(1055),
    [anon_sym_unset] = ACTIONS(1055),
    [aux_sym_declare_statement_token1] = ACTIONS(1055),
    [aux_sym_declare_statement_token2] = ACTIONS(1055),
    [sym_float] = ACTIONS(1055),
    [aux_sym_try_statement_token1] = ACTIONS(1055),
    [aux_sym_goto_statement_token1] = ACTIONS(1055),
    [aux_sym_continue_statement_token1] = ACTIONS(1055),
    [aux_sym_break_statement_token1] = ACTIONS(1055),
    [sym_integer] = ACTIONS(1055),
    [aux_sym_return_statement_token1] = ACTIONS(1055),
    [aux_sym_throw_expression_token1] = ACTIONS(1055),
    [aux_sym_while_statement_token1] = ACTIONS(1055),
    [aux_sym_while_statement_token2] = ACTIONS(1055),
    [aux_sym_do_statement_token1] = ACTIONS(1055),
    [aux_sym_for_statement_token1] = ACTIONS(1055),
    [aux_sym_for_statement_token2] = ACTIONS(1055),
    [aux_sym_foreach_statement_token1] = ACTIONS(1055),
    [aux_sym_foreach_statement_token2] = ACTIONS(1055),
    [aux_sym_if_statement_token1] = ACTIONS(1055),
    [aux_sym_if_statement_token2] = ACTIONS(1055),
    [aux_sym_else_if_clause_token1] = ACTIONS(1057),
    [aux_sym_else_clause_token1] = ACTIONS(1055),
    [aux_sym_match_expression_token1] = ACTIONS(1055),
    [aux_sym_match_default_expression_token1] = ACTIONS(1055),
    [aux_sym_switch_statement_token1] = ACTIONS(1055),
    [aux_sym_switch_block_token1] = ACTIONS(1055),
    [anon_sym_PLUS] = ACTIONS(1055),
    [anon_sym_DASH] = ACTIONS(1055),
    [anon_sym_TILDE] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(1053),
    [anon_sym_AT] = ACTIONS(1053),
    [aux_sym_clone_expression_token1] = ACTIONS(1055),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1055),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1055),
    [anon_sym_DASH_DASH] = ACTIONS(1053),
    [anon_sym_PLUS_PLUS] = ACTIONS(1053),
    [aux_sym__list_destructing_token1] = ACTIONS(1055),
    [anon_sym_LBRACK] = ACTIONS(1053),
    [anon_sym_self] = ACTIONS(1055),
    [anon_sym_parent] = ACTIONS(1055),
    [aux_sym__argument_name_token1] = ACTIONS(1055),
    [aux_sym__argument_name_token2] = ACTIONS(1055),
    [anon_sym_POUND_LBRACK] = ACTIONS(1053),
    [aux_sym_encapsed_string_token1] = ACTIONS(1053),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [aux_sym_string_token1] = ACTIONS(1053),
    [anon_sym_SQUOTE] = ACTIONS(1053),
    [anon_sym_LT_LT_LT] = ACTIONS(1053),
    [anon_sym_BQUOTE] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1053),
    [aux_sym_yield_expression_token1] = ACTIONS(1055),
    [aux_sym_include_expression_token1] = ACTIONS(1055),
    [aux_sym_include_once_expression_token1] = ACTIONS(1055),
    [aux_sym_require_expression_token1] = ACTIONS(1055),
    [aux_sym_require_once_expression_token1] = ACTIONS(1055),
    [sym_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_text_interpolation] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_name] = ACTIONS(1062),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1060),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1062),
    [aux_sym_global_declaration_token1] = ACTIONS(1062),
    [aux_sym_namespace_definition_token1] = ACTIONS(1062),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1062),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1062),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1062),
    [anon_sym_BSLASH] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [aux_sym_trait_declaration_token1] = ACTIONS(1062),
    [aux_sym_interface_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_declaration_token1] = ACTIONS(1062),
    [aux_sym_enum_case_token1] = ACTIONS(1062),
    [aux_sym_class_declaration_token1] = ACTIONS(1062),
    [aux_sym_final_modifier_token1] = ACTIONS(1062),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1062),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1062),
    [sym_var_modifier] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1062),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1062),
    [anon_sym_LPAREN2] = ACTIONS(1060),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1062),
    [aux_sym_cast_type_token1] = ACTIONS(1062),
    [aux_sym_echo_statement_token1] = ACTIONS(1062),
    [aux_sym_exit_statement_token1] = ACTIONS(1062),
    [anon_sym_unset] = ACTIONS(1062),
    [aux_sym_declare_statement_token1] = ACTIONS(1062),
    [aux_sym_declare_statement_token2] = ACTIONS(1062),
    [sym_float] = ACTIONS(1062),
    [aux_sym_try_statement_token1] = ACTIONS(1062),
    [aux_sym_goto_statement_token1] = ACTIONS(1062),
    [aux_sym_continue_statement_token1] = ACTIONS(1062),
    [aux_sym_break_statement_token1] = ACTIONS(1062),
    [sym_integer] = ACTIONS(1062),
    [aux_sym_return_statement_token1] = ACTIONS(1062),
    [aux_sym_throw_expression_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token1] = ACTIONS(1062),
    [aux_sym_while_statement_token2] = ACTIONS(1062),
    [aux_sym_do_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token1] = ACTIONS(1062),
    [aux_sym_for_statement_token2] = ACTIONS(1062),
    [aux_sym_foreach_statement_token1] = ACTIONS(1062),
    [aux_sym_foreach_statement_token2] = ACTIONS(1062),
    [aux_sym_if_statement_token1] = ACTIONS(1062),
    [aux_sym_if_statement_token2] = ACTIONS(1062),
    [aux_sym_else_if_clause_token1] = ACTIONS(1062),
    [aux_sym_else_clause_token1] = ACTIONS(1062),
    [aux_sym_match_expression_token1] = ACTIONS(1062),
    [aux_sym_match_default_expression_token1] = ACTIONS(1062),
    [aux_sym_switch_statement_token1] = ACTIONS(1062),
    [aux_sym_switch_block_token1] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1060),
    [aux_sym_clone_expression_token1] = ACTIONS(1062),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1062),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1062),
    [anon_sym_DASH_DASH] = ACTIONS(1060),
    [anon_sym_PLUS_PLUS] = ACTIONS(1060),
    [aux_sym__list_destructing_token1] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_self] = ACTIONS(1062),
    [anon_sym_parent] = ACTIONS(1062),
    [aux_sym__argument_name_token1] = ACTIONS(1062),
    [aux_sym__argument_name_token2] = ACTIONS(1062),
    [anon_sym_POUND_LBRACK] = ACTIONS(1060),
    [aux_sym_encapsed_string_token1] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [aux_sym_string_token1] = ACTIONS(1060),
    [anon_sym_SQUOTE] = ACTIONS(1060),
    [anon_sym_LT_LT_LT] = ACTIONS(1060),
    [anon_sym_BQUOTE] = ACTIONS(1060),
    [anon_sym_DOLLAR] = ACTIONS(1060),
    [aux_sym_yield_expression_token1] = ACTIONS(1062),
    [aux_sym_include_expression_token1] = ACTIONS(1062),
    [aux_sym_include_once_expression_token1] = ACTIONS(1062),
    [aux_sym_require_expression_token1] = ACTIONS(1062),
    [aux_sym_require_once_expression_token1] = ACTIONS(1062),
    [sym_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_text_interpolation] = STATE(458),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_name] = ACTIONS(1066),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1064),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1066),
    [aux_sym_global_declaration_token1] = ACTIONS(1066),
    [aux_sym_namespace_definition_token1] = ACTIONS(1066),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1066),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1066),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1066),
    [anon_sym_BSLASH] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [aux_sym_trait_declaration_token1] = ACTIONS(1066),
    [aux_sym_interface_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_declaration_token1] = ACTIONS(1066),
    [aux_sym_enum_case_token1] = ACTIONS(1066),
    [aux_sym_class_declaration_token1] = ACTIONS(1066),
    [aux_sym_final_modifier_token1] = ACTIONS(1066),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1066),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1066),
    [sym_var_modifier] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1066),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1066),
    [anon_sym_LPAREN2] = ACTIONS(1064),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1066),
    [aux_sym_cast_type_token1] = ACTIONS(1066),
    [aux_sym_echo_statement_token1] = ACTIONS(1066),
    [aux_sym_exit_statement_token1] = ACTIONS(1066),
    [anon_sym_unset] = ACTIONS(1066),
    [aux_sym_declare_statement_token1] = ACTIONS(1066),
    [aux_sym_declare_statement_token2] = ACTIONS(1066),
    [sym_float] = ACTIONS(1066),
    [aux_sym_try_statement_token1] = ACTIONS(1066),
    [aux_sym_goto_statement_token1] = ACTIONS(1066),
    [aux_sym_continue_statement_token1] = ACTIONS(1066),
    [aux_sym_break_statement_token1] = ACTIONS(1066),
    [sym_integer] = ACTIONS(1066),
    [aux_sym_return_statement_token1] = ACTIONS(1066),
    [aux_sym_throw_expression_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token1] = ACTIONS(1066),
    [aux_sym_while_statement_token2] = ACTIONS(1066),
    [aux_sym_do_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token1] = ACTIONS(1066),
    [aux_sym_for_statement_token2] = ACTIONS(1066),
    [aux_sym_foreach_statement_token1] = ACTIONS(1066),
    [aux_sym_foreach_statement_token2] = ACTIONS(1066),
    [aux_sym_if_statement_token1] = ACTIONS(1066),
    [aux_sym_if_statement_token2] = ACTIONS(1066),
    [aux_sym_else_if_clause_token1] = ACTIONS(1066),
    [aux_sym_else_clause_token1] = ACTIONS(1066),
    [aux_sym_match_expression_token1] = ACTIONS(1066),
    [aux_sym_match_default_expression_token1] = ACTIONS(1066),
    [aux_sym_switch_statement_token1] = ACTIONS(1066),
    [aux_sym_switch_block_token1] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1064),
    [aux_sym_clone_expression_token1] = ACTIONS(1066),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1066),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [aux_sym__list_destructing_token1] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_self] = ACTIONS(1066),
    [anon_sym_parent] = ACTIONS(1066),
    [aux_sym__argument_name_token1] = ACTIONS(1066),
    [aux_sym__argument_name_token2] = ACTIONS(1066),
    [anon_sym_POUND_LBRACK] = ACTIONS(1064),
    [aux_sym_encapsed_string_token1] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [aux_sym_string_token1] = ACTIONS(1064),
    [anon_sym_SQUOTE] = ACTIONS(1064),
    [anon_sym_LT_LT_LT] = ACTIONS(1064),
    [anon_sym_BQUOTE] = ACTIONS(1064),
    [anon_sym_DOLLAR] = ACTIONS(1064),
    [aux_sym_yield_expression_token1] = ACTIONS(1066),
    [aux_sym_include_expression_token1] = ACTIONS(1066),
    [aux_sym_include_once_expression_token1] = ACTIONS(1066),
    [aux_sym_require_expression_token1] = ACTIONS(1066),
    [aux_sym_require_once_expression_token1] = ACTIONS(1066),
    [sym_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_text_interpolation] = STATE(459),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_name] = ACTIONS(1070),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1068),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1070),
    [aux_sym_global_declaration_token1] = ACTIONS(1070),
    [aux_sym_namespace_definition_token1] = ACTIONS(1070),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1070),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1070),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1070),
    [anon_sym_BSLASH] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(1068),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [aux_sym_trait_declaration_token1] = ACTIONS(1070),
    [aux_sym_interface_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_declaration_token1] = ACTIONS(1070),
    [aux_sym_enum_case_token1] = ACTIONS(1070),
    [aux_sym_class_declaration_token1] = ACTIONS(1070),
    [aux_sym_final_modifier_token1] = ACTIONS(1070),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1070),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1070),
    [sym_var_modifier] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1070),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1070),
    [anon_sym_LPAREN2] = ACTIONS(1068),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1070),
    [aux_sym_cast_type_token1] = ACTIONS(1070),
    [aux_sym_echo_statement_token1] = ACTIONS(1070),
    [aux_sym_exit_statement_token1] = ACTIONS(1070),
    [anon_sym_unset] = ACTIONS(1070),
    [aux_sym_declare_statement_token1] = ACTIONS(1070),
    [aux_sym_declare_statement_token2] = ACTIONS(1070),
    [sym_float] = ACTIONS(1070),
    [aux_sym_try_statement_token1] = ACTIONS(1070),
    [aux_sym_goto_statement_token1] = ACTIONS(1070),
    [aux_sym_continue_statement_token1] = ACTIONS(1070),
    [aux_sym_break_statement_token1] = ACTIONS(1070),
    [sym_integer] = ACTIONS(1070),
    [aux_sym_return_statement_token1] = ACTIONS(1070),
    [aux_sym_throw_expression_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token1] = ACTIONS(1070),
    [aux_sym_while_statement_token2] = ACTIONS(1070),
    [aux_sym_do_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token1] = ACTIONS(1070),
    [aux_sym_for_statement_token2] = ACTIONS(1070),
    [aux_sym_foreach_statement_token1] = ACTIONS(1070),
    [aux_sym_foreach_statement_token2] = ACTIONS(1070),
    [aux_sym_if_statement_token1] = ACTIONS(1070),
    [aux_sym_if_statement_token2] = ACTIONS(1070),
    [aux_sym_else_if_clause_token1] = ACTIONS(1070),
    [aux_sym_else_clause_token1] = ACTIONS(1070),
    [aux_sym_match_expression_token1] = ACTIONS(1070),
    [aux_sym_match_default_expression_token1] = ACTIONS(1070),
    [aux_sym_switch_statement_token1] = ACTIONS(1070),
    [aux_sym_switch_block_token1] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1068),
    [aux_sym_clone_expression_token1] = ACTIONS(1070),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1070),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [aux_sym__list_destructing_token1] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_self] = ACTIONS(1070),
    [anon_sym_parent] = ACTIONS(1070),
    [aux_sym__argument_name_token1] = ACTIONS(1070),
    [aux_sym__argument_name_token2] = ACTIONS(1070),
    [anon_sym_POUND_LBRACK] = ACTIONS(1068),
    [aux_sym_encapsed_string_token1] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [aux_sym_string_token1] = ACTIONS(1068),
    [anon_sym_SQUOTE] = ACTIONS(1068),
    [anon_sym_LT_LT_LT] = ACTIONS(1068),
    [anon_sym_BQUOTE] = ACTIONS(1068),
    [anon_sym_DOLLAR] = ACTIONS(1068),
    [aux_sym_yield_expression_token1] = ACTIONS(1070),
    [aux_sym_include_expression_token1] = ACTIONS(1070),
    [aux_sym_include_once_expression_token1] = ACTIONS(1070),
    [aux_sym_require_expression_token1] = ACTIONS(1070),
    [aux_sym_require_once_expression_token1] = ACTIONS(1070),
    [sym_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_text_interpolation] = STATE(460),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_name] = ACTIONS(1074),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1072),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1074),
    [aux_sym_global_declaration_token1] = ACTIONS(1074),
    [aux_sym_namespace_definition_token1] = ACTIONS(1074),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1074),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1074),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1074),
    [anon_sym_BSLASH] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [aux_sym_trait_declaration_token1] = ACTIONS(1074),
    [aux_sym_interface_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_declaration_token1] = ACTIONS(1074),
    [aux_sym_enum_case_token1] = ACTIONS(1074),
    [aux_sym_class_declaration_token1] = ACTIONS(1074),
    [aux_sym_final_modifier_token1] = ACTIONS(1074),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1074),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1074),
    [sym_var_modifier] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1074),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1074),
    [anon_sym_LPAREN2] = ACTIONS(1072),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1074),
    [aux_sym_cast_type_token1] = ACTIONS(1074),
    [aux_sym_echo_statement_token1] = ACTIONS(1074),
    [aux_sym_exit_statement_token1] = ACTIONS(1074),
    [anon_sym_unset] = ACTIONS(1074),
    [aux_sym_declare_statement_token1] = ACTIONS(1074),
    [aux_sym_declare_statement_token2] = ACTIONS(1074),
    [sym_float] = ACTIONS(1074),
    [aux_sym_try_statement_token1] = ACTIONS(1074),
    [aux_sym_goto_statement_token1] = ACTIONS(1074),
    [aux_sym_continue_statement_token1] = ACTIONS(1074),
    [aux_sym_break_statement_token1] = ACTIONS(1074),
    [sym_integer] = ACTIONS(1074),
    [aux_sym_return_statement_token1] = ACTIONS(1074),
    [aux_sym_throw_expression_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token1] = ACTIONS(1074),
    [aux_sym_while_statement_token2] = ACTIONS(1074),
    [aux_sym_do_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token1] = ACTIONS(1074),
    [aux_sym_for_statement_token2] = ACTIONS(1074),
    [aux_sym_foreach_statement_token1] = ACTIONS(1074),
    [aux_sym_foreach_statement_token2] = ACTIONS(1074),
    [aux_sym_if_statement_token1] = ACTIONS(1074),
    [aux_sym_if_statement_token2] = ACTIONS(1074),
    [aux_sym_else_if_clause_token1] = ACTIONS(1074),
    [aux_sym_else_clause_token1] = ACTIONS(1074),
    [aux_sym_match_expression_token1] = ACTIONS(1074),
    [aux_sym_match_default_expression_token1] = ACTIONS(1074),
    [aux_sym_switch_statement_token1] = ACTIONS(1074),
    [aux_sym_switch_block_token1] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1072),
    [aux_sym_clone_expression_token1] = ACTIONS(1074),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1074),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1072),
    [anon_sym_PLUS_PLUS] = ACTIONS(1072),
    [aux_sym__list_destructing_token1] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_self] = ACTIONS(1074),
    [anon_sym_parent] = ACTIONS(1074),
    [aux_sym__argument_name_token1] = ACTIONS(1074),
    [aux_sym__argument_name_token2] = ACTIONS(1074),
    [anon_sym_POUND_LBRACK] = ACTIONS(1072),
    [aux_sym_encapsed_string_token1] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [aux_sym_string_token1] = ACTIONS(1072),
    [anon_sym_SQUOTE] = ACTIONS(1072),
    [anon_sym_LT_LT_LT] = ACTIONS(1072),
    [anon_sym_BQUOTE] = ACTIONS(1072),
    [anon_sym_DOLLAR] = ACTIONS(1072),
    [aux_sym_yield_expression_token1] = ACTIONS(1074),
    [aux_sym_include_expression_token1] = ACTIONS(1074),
    [aux_sym_include_once_expression_token1] = ACTIONS(1074),
    [aux_sym_require_expression_token1] = ACTIONS(1074),
    [aux_sym_require_once_expression_token1] = ACTIONS(1074),
    [sym_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_text_interpolation] = STATE(461),
    [ts_builtin_sym_end] = ACTIONS(1076),
    [sym_name] = ACTIONS(1078),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1076),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1078),
    [aux_sym_global_declaration_token1] = ACTIONS(1078),
    [aux_sym_namespace_definition_token1] = ACTIONS(1078),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1078),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1078),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1078),
    [anon_sym_BSLASH] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1076),
    [anon_sym_RBRACE] = ACTIONS(1076),
    [aux_sym_trait_declaration_token1] = ACTIONS(1078),
    [aux_sym_interface_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_declaration_token1] = ACTIONS(1078),
    [aux_sym_enum_case_token1] = ACTIONS(1078),
    [aux_sym_class_declaration_token1] = ACTIONS(1078),
    [aux_sym_final_modifier_token1] = ACTIONS(1078),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1078),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1078),
    [sym_var_modifier] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1078),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1078),
    [anon_sym_LPAREN2] = ACTIONS(1076),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1078),
    [aux_sym_cast_type_token1] = ACTIONS(1078),
    [aux_sym_echo_statement_token1] = ACTIONS(1078),
    [aux_sym_exit_statement_token1] = ACTIONS(1078),
    [anon_sym_unset] = ACTIONS(1078),
    [aux_sym_declare_statement_token1] = ACTIONS(1078),
    [aux_sym_declare_statement_token2] = ACTIONS(1078),
    [sym_float] = ACTIONS(1078),
    [aux_sym_try_statement_token1] = ACTIONS(1078),
    [aux_sym_goto_statement_token1] = ACTIONS(1078),
    [aux_sym_continue_statement_token1] = ACTIONS(1078),
    [aux_sym_break_statement_token1] = ACTIONS(1078),
    [sym_integer] = ACTIONS(1078),
    [aux_sym_return_statement_token1] = ACTIONS(1078),
    [aux_sym_throw_expression_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token1] = ACTIONS(1078),
    [aux_sym_while_statement_token2] = ACTIONS(1078),
    [aux_sym_do_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token1] = ACTIONS(1078),
    [aux_sym_for_statement_token2] = ACTIONS(1078),
    [aux_sym_foreach_statement_token1] = ACTIONS(1078),
    [aux_sym_foreach_statement_token2] = ACTIONS(1078),
    [aux_sym_if_statement_token1] = ACTIONS(1078),
    [aux_sym_if_statement_token2] = ACTIONS(1078),
    [aux_sym_else_if_clause_token1] = ACTIONS(1078),
    [aux_sym_else_clause_token1] = ACTIONS(1078),
    [aux_sym_match_expression_token1] = ACTIONS(1078),
    [aux_sym_match_default_expression_token1] = ACTIONS(1078),
    [aux_sym_switch_statement_token1] = ACTIONS(1078),
    [aux_sym_switch_block_token1] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1078),
    [anon_sym_TILDE] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [aux_sym_clone_expression_token1] = ACTIONS(1078),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1078),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1076),
    [anon_sym_PLUS_PLUS] = ACTIONS(1076),
    [aux_sym__list_destructing_token1] = ACTIONS(1078),
    [anon_sym_LBRACK] = ACTIONS(1076),
    [anon_sym_self] = ACTIONS(1078),
    [anon_sym_parent] = ACTIONS(1078),
    [aux_sym__argument_name_token1] = ACTIONS(1078),
    [aux_sym__argument_name_token2] = ACTIONS(1078),
    [anon_sym_POUND_LBRACK] = ACTIONS(1076),
    [aux_sym_encapsed_string_token1] = ACTIONS(1076),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [aux_sym_string_token1] = ACTIONS(1076),
    [anon_sym_SQUOTE] = ACTIONS(1076),
    [anon_sym_LT_LT_LT] = ACTIONS(1076),
    [anon_sym_BQUOTE] = ACTIONS(1076),
    [anon_sym_DOLLAR] = ACTIONS(1076),
    [aux_sym_yield_expression_token1] = ACTIONS(1078),
    [aux_sym_include_expression_token1] = ACTIONS(1078),
    [aux_sym_include_once_expression_token1] = ACTIONS(1078),
    [aux_sym_require_expression_token1] = ACTIONS(1078),
    [aux_sym_require_once_expression_token1] = ACTIONS(1078),
    [sym_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_text_interpolation] = STATE(462),
    [ts_builtin_sym_end] = ACTIONS(1080),
    [sym_name] = ACTIONS(1082),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1080),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1082),
    [aux_sym_global_declaration_token1] = ACTIONS(1082),
    [aux_sym_namespace_definition_token1] = ACTIONS(1082),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1082),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1082),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1082),
    [anon_sym_BSLASH] = ACTIONS(1080),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [aux_sym_trait_declaration_token1] = ACTIONS(1082),
    [aux_sym_interface_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_declaration_token1] = ACTIONS(1082),
    [aux_sym_enum_case_token1] = ACTIONS(1082),
    [aux_sym_class_declaration_token1] = ACTIONS(1082),
    [aux_sym_final_modifier_token1] = ACTIONS(1082),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1082),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1082),
    [sym_var_modifier] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1082),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1082),
    [anon_sym_LPAREN2] = ACTIONS(1080),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1082),
    [aux_sym_cast_type_token1] = ACTIONS(1082),
    [aux_sym_echo_statement_token1] = ACTIONS(1082),
    [aux_sym_exit_statement_token1] = ACTIONS(1082),
    [anon_sym_unset] = ACTIONS(1082),
    [aux_sym_declare_statement_token1] = ACTIONS(1082),
    [aux_sym_declare_statement_token2] = ACTIONS(1082),
    [sym_float] = ACTIONS(1082),
    [aux_sym_try_statement_token1] = ACTIONS(1082),
    [aux_sym_goto_statement_token1] = ACTIONS(1082),
    [aux_sym_continue_statement_token1] = ACTIONS(1082),
    [aux_sym_break_statement_token1] = ACTIONS(1082),
    [sym_integer] = ACTIONS(1082),
    [aux_sym_return_statement_token1] = ACTIONS(1082),
    [aux_sym_throw_expression_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token1] = ACTIONS(1082),
    [aux_sym_while_statement_token2] = ACTIONS(1082),
    [aux_sym_do_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token1] = ACTIONS(1082),
    [aux_sym_for_statement_token2] = ACTIONS(1082),
    [aux_sym_foreach_statement_token1] = ACTIONS(1082),
    [aux_sym_foreach_statement_token2] = ACTIONS(1082),
    [aux_sym_if_statement_token1] = ACTIONS(1082),
    [aux_sym_if_statement_token2] = ACTIONS(1082),
    [aux_sym_else_if_clause_token1] = ACTIONS(1082),
    [aux_sym_else_clause_token1] = ACTIONS(1082),
    [aux_sym_match_expression_token1] = ACTIONS(1082),
    [aux_sym_match_default_expression_token1] = ACTIONS(1082),
    [aux_sym_switch_statement_token1] = ACTIONS(1082),
    [aux_sym_switch_block_token1] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1082),
    [anon_sym_DASH] = ACTIONS(1082),
    [anon_sym_TILDE] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1080),
    [aux_sym_clone_expression_token1] = ACTIONS(1082),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1082),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1080),
    [anon_sym_PLUS_PLUS] = ACTIONS(1080),
    [aux_sym__list_destructing_token1] = ACTIONS(1082),
    [anon_sym_LBRACK] = ACTIONS(1080),
    [anon_sym_self] = ACTIONS(1082),
    [anon_sym_parent] = ACTIONS(1082),
    [aux_sym__argument_name_token1] = ACTIONS(1082),
    [aux_sym__argument_name_token2] = ACTIONS(1082),
    [anon_sym_POUND_LBRACK] = ACTIONS(1080),
    [aux_sym_encapsed_string_token1] = ACTIONS(1080),
    [anon_sym_DQUOTE] = ACTIONS(1080),
    [aux_sym_string_token1] = ACTIONS(1080),
    [anon_sym_SQUOTE] = ACTIONS(1080),
    [anon_sym_LT_LT_LT] = ACTIONS(1080),
    [anon_sym_BQUOTE] = ACTIONS(1080),
    [anon_sym_DOLLAR] = ACTIONS(1080),
    [aux_sym_yield_expression_token1] = ACTIONS(1082),
    [aux_sym_include_expression_token1] = ACTIONS(1082),
    [aux_sym_include_once_expression_token1] = ACTIONS(1082),
    [aux_sym_require_expression_token1] = ACTIONS(1082),
    [aux_sym_require_once_expression_token1] = ACTIONS(1082),
    [sym_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_text_interpolation] = STATE(463),
    [ts_builtin_sym_end] = ACTIONS(1084),
    [sym_name] = ACTIONS(1086),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1084),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1086),
    [aux_sym_global_declaration_token1] = ACTIONS(1086),
    [aux_sym_namespace_definition_token1] = ACTIONS(1086),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1086),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1086),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1086),
    [anon_sym_BSLASH] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1084),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [aux_sym_trait_declaration_token1] = ACTIONS(1086),
    [aux_sym_interface_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_declaration_token1] = ACTIONS(1086),
    [aux_sym_enum_case_token1] = ACTIONS(1086),
    [aux_sym_class_declaration_token1] = ACTIONS(1086),
    [aux_sym_final_modifier_token1] = ACTIONS(1086),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1086),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1086),
    [sym_var_modifier] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1086),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1086),
    [anon_sym_LPAREN2] = ACTIONS(1084),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1086),
    [aux_sym_cast_type_token1] = ACTIONS(1086),
    [aux_sym_echo_statement_token1] = ACTIONS(1086),
    [aux_sym_exit_statement_token1] = ACTIONS(1086),
    [anon_sym_unset] = ACTIONS(1086),
    [aux_sym_declare_statement_token1] = ACTIONS(1086),
    [aux_sym_declare_statement_token2] = ACTIONS(1086),
    [sym_float] = ACTIONS(1086),
    [aux_sym_try_statement_token1] = ACTIONS(1086),
    [aux_sym_goto_statement_token1] = ACTIONS(1086),
    [aux_sym_continue_statement_token1] = ACTIONS(1086),
    [aux_sym_break_statement_token1] = ACTIONS(1086),
    [sym_integer] = ACTIONS(1086),
    [aux_sym_return_statement_token1] = ACTIONS(1086),
    [aux_sym_throw_expression_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token1] = ACTIONS(1086),
    [aux_sym_while_statement_token2] = ACTIONS(1086),
    [aux_sym_do_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token1] = ACTIONS(1086),
    [aux_sym_for_statement_token2] = ACTIONS(1086),
    [aux_sym_foreach_statement_token1] = ACTIONS(1086),
    [aux_sym_foreach_statement_token2] = ACTIONS(1086),
    [aux_sym_if_statement_token1] = ACTIONS(1086),
    [aux_sym_if_statement_token2] = ACTIONS(1086),
    [aux_sym_else_if_clause_token1] = ACTIONS(1086),
    [aux_sym_else_clause_token1] = ACTIONS(1086),
    [aux_sym_match_expression_token1] = ACTIONS(1086),
    [aux_sym_match_default_expression_token1] = ACTIONS(1086),
    [aux_sym_switch_statement_token1] = ACTIONS(1086),
    [aux_sym_switch_block_token1] = ACTIONS(1086),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1084),
    [aux_sym_clone_expression_token1] = ACTIONS(1086),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1086),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1084),
    [aux_sym__list_destructing_token1] = ACTIONS(1086),
    [anon_sym_LBRACK] = ACTIONS(1084),
    [anon_sym_self] = ACTIONS(1086),
    [anon_sym_parent] = ACTIONS(1086),
    [aux_sym__argument_name_token1] = ACTIONS(1086),
    [aux_sym__argument_name_token2] = ACTIONS(1086),
    [anon_sym_POUND_LBRACK] = ACTIONS(1084),
    [aux_sym_encapsed_string_token1] = ACTIONS(1084),
    [anon_sym_DQUOTE] = ACTIONS(1084),
    [aux_sym_string_token1] = ACTIONS(1084),
    [anon_sym_SQUOTE] = ACTIONS(1084),
    [anon_sym_LT_LT_LT] = ACTIONS(1084),
    [anon_sym_BQUOTE] = ACTIONS(1084),
    [anon_sym_DOLLAR] = ACTIONS(1084),
    [aux_sym_yield_expression_token1] = ACTIONS(1086),
    [aux_sym_include_expression_token1] = ACTIONS(1086),
    [aux_sym_include_once_expression_token1] = ACTIONS(1086),
    [aux_sym_require_expression_token1] = ACTIONS(1086),
    [aux_sym_require_once_expression_token1] = ACTIONS(1086),
    [sym_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_text_interpolation] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_name] = ACTIONS(1090),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1088),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1090),
    [aux_sym_global_declaration_token1] = ACTIONS(1090),
    [aux_sym_namespace_definition_token1] = ACTIONS(1090),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1090),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1090),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1090),
    [anon_sym_BSLASH] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [aux_sym_trait_declaration_token1] = ACTIONS(1090),
    [aux_sym_interface_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_declaration_token1] = ACTIONS(1090),
    [aux_sym_enum_case_token1] = ACTIONS(1090),
    [aux_sym_class_declaration_token1] = ACTIONS(1090),
    [aux_sym_final_modifier_token1] = ACTIONS(1090),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1090),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1090),
    [sym_var_modifier] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1090),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1090),
    [anon_sym_LPAREN2] = ACTIONS(1088),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1090),
    [aux_sym_cast_type_token1] = ACTIONS(1090),
    [aux_sym_echo_statement_token1] = ACTIONS(1090),
    [aux_sym_exit_statement_token1] = ACTIONS(1090),
    [anon_sym_unset] = ACTIONS(1090),
    [aux_sym_declare_statement_token1] = ACTIONS(1090),
    [aux_sym_declare_statement_token2] = ACTIONS(1090),
    [sym_float] = ACTIONS(1090),
    [aux_sym_try_statement_token1] = ACTIONS(1090),
    [aux_sym_goto_statement_token1] = ACTIONS(1090),
    [aux_sym_continue_statement_token1] = ACTIONS(1090),
    [aux_sym_break_statement_token1] = ACTIONS(1090),
    [sym_integer] = ACTIONS(1090),
    [aux_sym_return_statement_token1] = ACTIONS(1090),
    [aux_sym_throw_expression_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token1] = ACTIONS(1090),
    [aux_sym_while_statement_token2] = ACTIONS(1090),
    [aux_sym_do_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token1] = ACTIONS(1090),
    [aux_sym_for_statement_token2] = ACTIONS(1090),
    [aux_sym_foreach_statement_token1] = ACTIONS(1090),
    [aux_sym_foreach_statement_token2] = ACTIONS(1090),
    [aux_sym_if_statement_token1] = ACTIONS(1090),
    [aux_sym_if_statement_token2] = ACTIONS(1090),
    [aux_sym_else_if_clause_token1] = ACTIONS(1090),
    [aux_sym_else_clause_token1] = ACTIONS(1090),
    [aux_sym_match_expression_token1] = ACTIONS(1090),
    [aux_sym_match_default_expression_token1] = ACTIONS(1090),
    [aux_sym_switch_statement_token1] = ACTIONS(1090),
    [aux_sym_switch_block_token1] = ACTIONS(1090),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1088),
    [aux_sym_clone_expression_token1] = ACTIONS(1090),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1090),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1088),
    [anon_sym_PLUS_PLUS] = ACTIONS(1088),
    [aux_sym__list_destructing_token1] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_self] = ACTIONS(1090),
    [anon_sym_parent] = ACTIONS(1090),
    [aux_sym__argument_name_token1] = ACTIONS(1090),
    [aux_sym__argument_name_token2] = ACTIONS(1090),
    [anon_sym_POUND_LBRACK] = ACTIONS(1088),
    [aux_sym_encapsed_string_token1] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [aux_sym_string_token1] = ACTIONS(1088),
    [anon_sym_SQUOTE] = ACTIONS(1088),
    [anon_sym_LT_LT_LT] = ACTIONS(1088),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [anon_sym_DOLLAR] = ACTIONS(1088),
    [aux_sym_yield_expression_token1] = ACTIONS(1090),
    [aux_sym_include_expression_token1] = ACTIONS(1090),
    [aux_sym_include_once_expression_token1] = ACTIONS(1090),
    [aux_sym_require_expression_token1] = ACTIONS(1090),
    [aux_sym_require_once_expression_token1] = ACTIONS(1090),
    [sym_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_text_interpolation] = STATE(465),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_name] = ACTIONS(1094),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1092),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1094),
    [aux_sym_global_declaration_token1] = ACTIONS(1094),
    [aux_sym_namespace_definition_token1] = ACTIONS(1094),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1094),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1094),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1094),
    [anon_sym_BSLASH] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [aux_sym_trait_declaration_token1] = ACTIONS(1094),
    [aux_sym_interface_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_declaration_token1] = ACTIONS(1094),
    [aux_sym_enum_case_token1] = ACTIONS(1094),
    [aux_sym_class_declaration_token1] = ACTIONS(1094),
    [aux_sym_final_modifier_token1] = ACTIONS(1094),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1094),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1094),
    [sym_var_modifier] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1094),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1094),
    [anon_sym_LPAREN2] = ACTIONS(1092),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1094),
    [aux_sym_cast_type_token1] = ACTIONS(1094),
    [aux_sym_echo_statement_token1] = ACTIONS(1094),
    [aux_sym_exit_statement_token1] = ACTIONS(1094),
    [anon_sym_unset] = ACTIONS(1094),
    [aux_sym_declare_statement_token1] = ACTIONS(1094),
    [aux_sym_declare_statement_token2] = ACTIONS(1094),
    [sym_float] = ACTIONS(1094),
    [aux_sym_try_statement_token1] = ACTIONS(1094),
    [aux_sym_goto_statement_token1] = ACTIONS(1094),
    [aux_sym_continue_statement_token1] = ACTIONS(1094),
    [aux_sym_break_statement_token1] = ACTIONS(1094),
    [sym_integer] = ACTIONS(1094),
    [aux_sym_return_statement_token1] = ACTIONS(1094),
    [aux_sym_throw_expression_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token1] = ACTIONS(1094),
    [aux_sym_while_statement_token2] = ACTIONS(1094),
    [aux_sym_do_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token1] = ACTIONS(1094),
    [aux_sym_for_statement_token2] = ACTIONS(1094),
    [aux_sym_foreach_statement_token1] = ACTIONS(1094),
    [aux_sym_foreach_statement_token2] = ACTIONS(1094),
    [aux_sym_if_statement_token1] = ACTIONS(1094),
    [aux_sym_if_statement_token2] = ACTIONS(1094),
    [aux_sym_else_if_clause_token1] = ACTIONS(1094),
    [aux_sym_else_clause_token1] = ACTIONS(1094),
    [aux_sym_match_expression_token1] = ACTIONS(1094),
    [aux_sym_match_default_expression_token1] = ACTIONS(1094),
    [aux_sym_switch_statement_token1] = ACTIONS(1094),
    [aux_sym_switch_block_token1] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(1092),
    [aux_sym_clone_expression_token1] = ACTIONS(1094),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1094),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [aux_sym__list_destructing_token1] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_self] = ACTIONS(1094),
    [anon_sym_parent] = ACTIONS(1094),
    [aux_sym__argument_name_token1] = ACTIONS(1094),
    [aux_sym__argument_name_token2] = ACTIONS(1094),
    [anon_sym_POUND_LBRACK] = ACTIONS(1092),
    [aux_sym_encapsed_string_token1] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [aux_sym_string_token1] = ACTIONS(1092),
    [anon_sym_SQUOTE] = ACTIONS(1092),
    [anon_sym_LT_LT_LT] = ACTIONS(1092),
    [anon_sym_BQUOTE] = ACTIONS(1092),
    [anon_sym_DOLLAR] = ACTIONS(1092),
    [aux_sym_yield_expression_token1] = ACTIONS(1094),
    [aux_sym_include_expression_token1] = ACTIONS(1094),
    [aux_sym_include_once_expression_token1] = ACTIONS(1094),
    [aux_sym_require_expression_token1] = ACTIONS(1094),
    [aux_sym_require_once_expression_token1] = ACTIONS(1094),
    [sym_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_text_interpolation] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1096),
    [sym_name] = ACTIONS(1098),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1096),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1098),
    [aux_sym_global_declaration_token1] = ACTIONS(1098),
    [aux_sym_namespace_definition_token1] = ACTIONS(1098),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1098),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1098),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1098),
    [anon_sym_BSLASH] = ACTIONS(1096),
    [anon_sym_LBRACE] = ACTIONS(1096),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [aux_sym_trait_declaration_token1] = ACTIONS(1098),
    [aux_sym_interface_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_declaration_token1] = ACTIONS(1098),
    [aux_sym_enum_case_token1] = ACTIONS(1098),
    [aux_sym_class_declaration_token1] = ACTIONS(1098),
    [aux_sym_final_modifier_token1] = ACTIONS(1098),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1098),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1098),
    [sym_var_modifier] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1098),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1098),
    [anon_sym_LPAREN2] = ACTIONS(1096),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1098),
    [aux_sym_cast_type_token1] = ACTIONS(1098),
    [aux_sym_echo_statement_token1] = ACTIONS(1098),
    [aux_sym_exit_statement_token1] = ACTIONS(1098),
    [anon_sym_unset] = ACTIONS(1098),
    [aux_sym_declare_statement_token1] = ACTIONS(1098),
    [aux_sym_declare_statement_token2] = ACTIONS(1098),
    [sym_float] = ACTIONS(1098),
    [aux_sym_try_statement_token1] = ACTIONS(1098),
    [aux_sym_goto_statement_token1] = ACTIONS(1098),
    [aux_sym_continue_statement_token1] = ACTIONS(1098),
    [aux_sym_break_statement_token1] = ACTIONS(1098),
    [sym_integer] = ACTIONS(1098),
    [aux_sym_return_statement_token1] = ACTIONS(1098),
    [aux_sym_throw_expression_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token1] = ACTIONS(1098),
    [aux_sym_while_statement_token2] = ACTIONS(1098),
    [aux_sym_do_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token1] = ACTIONS(1098),
    [aux_sym_for_statement_token2] = ACTIONS(1098),
    [aux_sym_foreach_statement_token1] = ACTIONS(1098),
    [aux_sym_foreach_statement_token2] = ACTIONS(1098),
    [aux_sym_if_statement_token1] = ACTIONS(1098),
    [aux_sym_if_statement_token2] = ACTIONS(1098),
    [aux_sym_else_if_clause_token1] = ACTIONS(1098),
    [aux_sym_else_clause_token1] = ACTIONS(1098),
    [aux_sym_match_expression_token1] = ACTIONS(1098),
    [aux_sym_match_default_expression_token1] = ACTIONS(1098),
    [aux_sym_switch_statement_token1] = ACTIONS(1098),
    [aux_sym_switch_block_token1] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1096),
    [anon_sym_BANG] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1096),
    [aux_sym_clone_expression_token1] = ACTIONS(1098),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1098),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [aux_sym__list_destructing_token1] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1096),
    [anon_sym_self] = ACTIONS(1098),
    [anon_sym_parent] = ACTIONS(1098),
    [aux_sym__argument_name_token1] = ACTIONS(1098),
    [aux_sym__argument_name_token2] = ACTIONS(1098),
    [anon_sym_POUND_LBRACK] = ACTIONS(1096),
    [aux_sym_encapsed_string_token1] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(1096),
    [aux_sym_string_token1] = ACTIONS(1096),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [anon_sym_LT_LT_LT] = ACTIONS(1096),
    [anon_sym_BQUOTE] = ACTIONS(1096),
    [anon_sym_DOLLAR] = ACTIONS(1096),
    [aux_sym_yield_expression_token1] = ACTIONS(1098),
    [aux_sym_include_expression_token1] = ACTIONS(1098),
    [aux_sym_include_once_expression_token1] = ACTIONS(1098),
    [aux_sym_require_expression_token1] = ACTIONS(1098),
    [aux_sym_require_once_expression_token1] = ACTIONS(1098),
    [sym_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_text_interpolation] = STATE(467),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_name] = ACTIONS(1102),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1100),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1102),
    [aux_sym_global_declaration_token1] = ACTIONS(1102),
    [aux_sym_namespace_definition_token1] = ACTIONS(1102),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1102),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1102),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1102),
    [anon_sym_BSLASH] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [aux_sym_trait_declaration_token1] = ACTIONS(1102),
    [aux_sym_interface_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_declaration_token1] = ACTIONS(1102),
    [aux_sym_enum_case_token1] = ACTIONS(1102),
    [aux_sym_class_declaration_token1] = ACTIONS(1102),
    [aux_sym_final_modifier_token1] = ACTIONS(1102),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1102),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1102),
    [sym_var_modifier] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1102),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1102),
    [anon_sym_LPAREN2] = ACTIONS(1100),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1102),
    [aux_sym_cast_type_token1] = ACTIONS(1102),
    [aux_sym_echo_statement_token1] = ACTIONS(1102),
    [aux_sym_exit_statement_token1] = ACTIONS(1102),
    [anon_sym_unset] = ACTIONS(1102),
    [aux_sym_declare_statement_token1] = ACTIONS(1102),
    [aux_sym_declare_statement_token2] = ACTIONS(1102),
    [sym_float] = ACTIONS(1102),
    [aux_sym_try_statement_token1] = ACTIONS(1102),
    [aux_sym_goto_statement_token1] = ACTIONS(1102),
    [aux_sym_continue_statement_token1] = ACTIONS(1102),
    [aux_sym_break_statement_token1] = ACTIONS(1102),
    [sym_integer] = ACTIONS(1102),
    [aux_sym_return_statement_token1] = ACTIONS(1102),
    [aux_sym_throw_expression_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token1] = ACTIONS(1102),
    [aux_sym_while_statement_token2] = ACTIONS(1102),
    [aux_sym_do_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token1] = ACTIONS(1102),
    [aux_sym_for_statement_token2] = ACTIONS(1102),
    [aux_sym_foreach_statement_token1] = ACTIONS(1102),
    [aux_sym_foreach_statement_token2] = ACTIONS(1102),
    [aux_sym_if_statement_token1] = ACTIONS(1102),
    [aux_sym_if_statement_token2] = ACTIONS(1102),
    [aux_sym_else_if_clause_token1] = ACTIONS(1102),
    [aux_sym_else_clause_token1] = ACTIONS(1102),
    [aux_sym_match_expression_token1] = ACTIONS(1102),
    [aux_sym_match_default_expression_token1] = ACTIONS(1102),
    [aux_sym_switch_statement_token1] = ACTIONS(1102),
    [aux_sym_switch_block_token1] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [aux_sym_clone_expression_token1] = ACTIONS(1102),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1102),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [aux_sym__list_destructing_token1] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_self] = ACTIONS(1102),
    [anon_sym_parent] = ACTIONS(1102),
    [aux_sym__argument_name_token1] = ACTIONS(1102),
    [aux_sym__argument_name_token2] = ACTIONS(1102),
    [anon_sym_POUND_LBRACK] = ACTIONS(1100),
    [aux_sym_encapsed_string_token1] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [aux_sym_string_token1] = ACTIONS(1100),
    [anon_sym_SQUOTE] = ACTIONS(1100),
    [anon_sym_LT_LT_LT] = ACTIONS(1100),
    [anon_sym_BQUOTE] = ACTIONS(1100),
    [anon_sym_DOLLAR] = ACTIONS(1100),
    [aux_sym_yield_expression_token1] = ACTIONS(1102),
    [aux_sym_include_expression_token1] = ACTIONS(1102),
    [aux_sym_include_once_expression_token1] = ACTIONS(1102),
    [aux_sym_require_expression_token1] = ACTIONS(1102),
    [aux_sym_require_once_expression_token1] = ACTIONS(1102),
    [sym_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_text_interpolation] = STATE(468),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_name] = ACTIONS(1106),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1106),
    [aux_sym_global_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_definition_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1106),
    [anon_sym_BSLASH] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym_trait_declaration_token1] = ACTIONS(1106),
    [aux_sym_interface_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_case_token1] = ACTIONS(1106),
    [aux_sym_class_declaration_token1] = ACTIONS(1106),
    [aux_sym_final_modifier_token1] = ACTIONS(1106),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1106),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1106),
    [sym_var_modifier] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1106),
    [anon_sym_LPAREN2] = ACTIONS(1104),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1106),
    [aux_sym_echo_statement_token1] = ACTIONS(1106),
    [aux_sym_exit_statement_token1] = ACTIONS(1106),
    [anon_sym_unset] = ACTIONS(1106),
    [aux_sym_declare_statement_token1] = ACTIONS(1106),
    [aux_sym_declare_statement_token2] = ACTIONS(1106),
    [sym_float] = ACTIONS(1106),
    [aux_sym_try_statement_token1] = ACTIONS(1106),
    [aux_sym_goto_statement_token1] = ACTIONS(1106),
    [aux_sym_continue_statement_token1] = ACTIONS(1106),
    [aux_sym_break_statement_token1] = ACTIONS(1106),
    [sym_integer] = ACTIONS(1106),
    [aux_sym_return_statement_token1] = ACTIONS(1106),
    [aux_sym_throw_expression_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token2] = ACTIONS(1106),
    [aux_sym_do_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token2] = ACTIONS(1106),
    [aux_sym_foreach_statement_token1] = ACTIONS(1106),
    [aux_sym_foreach_statement_token2] = ACTIONS(1106),
    [aux_sym_if_statement_token1] = ACTIONS(1106),
    [aux_sym_if_statement_token2] = ACTIONS(1106),
    [aux_sym_else_if_clause_token1] = ACTIONS(1106),
    [aux_sym_else_clause_token1] = ACTIONS(1106),
    [aux_sym_match_expression_token1] = ACTIONS(1106),
    [aux_sym_match_default_expression_token1] = ACTIONS(1106),
    [aux_sym_switch_statement_token1] = ACTIONS(1106),
    [aux_sym_switch_block_token1] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [aux_sym_clone_expression_token1] = ACTIONS(1106),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1106),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1104),
    [aux_sym__list_destructing_token1] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_self] = ACTIONS(1106),
    [anon_sym_parent] = ACTIONS(1106),
    [aux_sym__argument_name_token1] = ACTIONS(1106),
    [aux_sym__argument_name_token2] = ACTIONS(1106),
    [anon_sym_POUND_LBRACK] = ACTIONS(1104),
    [aux_sym_encapsed_string_token1] = ACTIONS(1104),
    [anon_sym_DQUOTE] = ACTIONS(1104),
    [aux_sym_string_token1] = ACTIONS(1104),
    [anon_sym_SQUOTE] = ACTIONS(1104),
    [anon_sym_LT_LT_LT] = ACTIONS(1104),
    [anon_sym_BQUOTE] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [aux_sym_yield_expression_token1] = ACTIONS(1106),
    [aux_sym_include_expression_token1] = ACTIONS(1106),
    [aux_sym_include_once_expression_token1] = ACTIONS(1106),
    [aux_sym_require_expression_token1] = ACTIONS(1106),
    [aux_sym_require_once_expression_token1] = ACTIONS(1106),
    [sym_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_text_interpolation] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1108),
    [sym_name] = ACTIONS(1110),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1108),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1110),
    [aux_sym_global_declaration_token1] = ACTIONS(1110),
    [aux_sym_namespace_definition_token1] = ACTIONS(1110),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1110),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1110),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1110),
    [anon_sym_BSLASH] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [aux_sym_trait_declaration_token1] = ACTIONS(1110),
    [aux_sym_interface_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_declaration_token1] = ACTIONS(1110),
    [aux_sym_enum_case_token1] = ACTIONS(1110),
    [aux_sym_class_declaration_token1] = ACTIONS(1110),
    [aux_sym_final_modifier_token1] = ACTIONS(1110),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1110),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1110),
    [sym_var_modifier] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1110),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1110),
    [anon_sym_LPAREN2] = ACTIONS(1108),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1110),
    [aux_sym_cast_type_token1] = ACTIONS(1110),
    [aux_sym_echo_statement_token1] = ACTIONS(1110),
    [aux_sym_exit_statement_token1] = ACTIONS(1110),
    [anon_sym_unset] = ACTIONS(1110),
    [aux_sym_declare_statement_token1] = ACTIONS(1110),
    [aux_sym_declare_statement_token2] = ACTIONS(1110),
    [sym_float] = ACTIONS(1110),
    [aux_sym_try_statement_token1] = ACTIONS(1110),
    [aux_sym_goto_statement_token1] = ACTIONS(1110),
    [aux_sym_continue_statement_token1] = ACTIONS(1110),
    [aux_sym_break_statement_token1] = ACTIONS(1110),
    [sym_integer] = ACTIONS(1110),
    [aux_sym_return_statement_token1] = ACTIONS(1110),
    [aux_sym_throw_expression_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token1] = ACTIONS(1110),
    [aux_sym_while_statement_token2] = ACTIONS(1110),
    [aux_sym_do_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token1] = ACTIONS(1110),
    [aux_sym_for_statement_token2] = ACTIONS(1110),
    [aux_sym_foreach_statement_token1] = ACTIONS(1110),
    [aux_sym_foreach_statement_token2] = ACTIONS(1110),
    [aux_sym_if_statement_token1] = ACTIONS(1110),
    [aux_sym_if_statement_token2] = ACTIONS(1110),
    [aux_sym_else_if_clause_token1] = ACTIONS(1110),
    [aux_sym_else_clause_token1] = ACTIONS(1110),
    [aux_sym_match_expression_token1] = ACTIONS(1110),
    [aux_sym_match_default_expression_token1] = ACTIONS(1110),
    [aux_sym_switch_statement_token1] = ACTIONS(1110),
    [aux_sym_switch_block_token1] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [aux_sym_clone_expression_token1] = ACTIONS(1110),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1110),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [aux_sym__list_destructing_token1] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_self] = ACTIONS(1110),
    [anon_sym_parent] = ACTIONS(1110),
    [aux_sym__argument_name_token1] = ACTIONS(1110),
    [aux_sym__argument_name_token2] = ACTIONS(1110),
    [anon_sym_POUND_LBRACK] = ACTIONS(1108),
    [aux_sym_encapsed_string_token1] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [aux_sym_string_token1] = ACTIONS(1108),
    [anon_sym_SQUOTE] = ACTIONS(1108),
    [anon_sym_LT_LT_LT] = ACTIONS(1108),
    [anon_sym_BQUOTE] = ACTIONS(1108),
    [anon_sym_DOLLAR] = ACTIONS(1108),
    [aux_sym_yield_expression_token1] = ACTIONS(1110),
    [aux_sym_include_expression_token1] = ACTIONS(1110),
    [aux_sym_include_once_expression_token1] = ACTIONS(1110),
    [aux_sym_require_expression_token1] = ACTIONS(1110),
    [aux_sym_require_once_expression_token1] = ACTIONS(1110),
    [sym_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_text_interpolation] = STATE(470),
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_name] = ACTIONS(1114),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1112),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1114),
    [aux_sym_global_declaration_token1] = ACTIONS(1114),
    [aux_sym_namespace_definition_token1] = ACTIONS(1114),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1114),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1114),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1114),
    [anon_sym_BSLASH] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [aux_sym_trait_declaration_token1] = ACTIONS(1114),
    [aux_sym_interface_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_declaration_token1] = ACTIONS(1114),
    [aux_sym_enum_case_token1] = ACTIONS(1114),
    [aux_sym_class_declaration_token1] = ACTIONS(1114),
    [aux_sym_final_modifier_token1] = ACTIONS(1114),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1114),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1114),
    [sym_var_modifier] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1114),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1114),
    [anon_sym_LPAREN2] = ACTIONS(1112),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1114),
    [aux_sym_cast_type_token1] = ACTIONS(1114),
    [aux_sym_echo_statement_token1] = ACTIONS(1114),
    [aux_sym_exit_statement_token1] = ACTIONS(1114),
    [anon_sym_unset] = ACTIONS(1114),
    [aux_sym_declare_statement_token1] = ACTIONS(1114),
    [aux_sym_declare_statement_token2] = ACTIONS(1114),
    [sym_float] = ACTIONS(1114),
    [aux_sym_try_statement_token1] = ACTIONS(1114),
    [aux_sym_goto_statement_token1] = ACTIONS(1114),
    [aux_sym_continue_statement_token1] = ACTIONS(1114),
    [aux_sym_break_statement_token1] = ACTIONS(1114),
    [sym_integer] = ACTIONS(1114),
    [aux_sym_return_statement_token1] = ACTIONS(1114),
    [aux_sym_throw_expression_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token1] = ACTIONS(1114),
    [aux_sym_while_statement_token2] = ACTIONS(1114),
    [aux_sym_do_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token1] = ACTIONS(1114),
    [aux_sym_for_statement_token2] = ACTIONS(1114),
    [aux_sym_foreach_statement_token1] = ACTIONS(1114),
    [aux_sym_foreach_statement_token2] = ACTIONS(1114),
    [aux_sym_if_statement_token1] = ACTIONS(1114),
    [aux_sym_if_statement_token2] = ACTIONS(1114),
    [aux_sym_else_if_clause_token1] = ACTIONS(1114),
    [aux_sym_else_clause_token1] = ACTIONS(1114),
    [aux_sym_match_expression_token1] = ACTIONS(1114),
    [aux_sym_match_default_expression_token1] = ACTIONS(1114),
    [aux_sym_switch_statement_token1] = ACTIONS(1114),
    [aux_sym_switch_block_token1] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [aux_sym_clone_expression_token1] = ACTIONS(1114),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1114),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [aux_sym__list_destructing_token1] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_self] = ACTIONS(1114),
    [anon_sym_parent] = ACTIONS(1114),
    [aux_sym__argument_name_token1] = ACTIONS(1114),
    [aux_sym__argument_name_token2] = ACTIONS(1114),
    [anon_sym_POUND_LBRACK] = ACTIONS(1112),
    [aux_sym_encapsed_string_token1] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [aux_sym_string_token1] = ACTIONS(1112),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_LT_LT_LT] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [aux_sym_yield_expression_token1] = ACTIONS(1114),
    [aux_sym_include_expression_token1] = ACTIONS(1114),
    [aux_sym_include_once_expression_token1] = ACTIONS(1114),
    [aux_sym_require_expression_token1] = ACTIONS(1114),
    [aux_sym_require_once_expression_token1] = ACTIONS(1114),
    [sym_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_text_interpolation] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_name] = ACTIONS(1118),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1116),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1118),
    [aux_sym_global_declaration_token1] = ACTIONS(1118),
    [aux_sym_namespace_definition_token1] = ACTIONS(1118),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1118),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1118),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1118),
    [anon_sym_BSLASH] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [aux_sym_trait_declaration_token1] = ACTIONS(1118),
    [aux_sym_interface_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_declaration_token1] = ACTIONS(1118),
    [aux_sym_enum_case_token1] = ACTIONS(1118),
    [aux_sym_class_declaration_token1] = ACTIONS(1118),
    [aux_sym_final_modifier_token1] = ACTIONS(1118),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1118),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1118),
    [sym_var_modifier] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1118),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1118),
    [anon_sym_LPAREN2] = ACTIONS(1116),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1118),
    [aux_sym_cast_type_token1] = ACTIONS(1118),
    [aux_sym_echo_statement_token1] = ACTIONS(1118),
    [aux_sym_exit_statement_token1] = ACTIONS(1118),
    [anon_sym_unset] = ACTIONS(1118),
    [aux_sym_declare_statement_token1] = ACTIONS(1118),
    [aux_sym_declare_statement_token2] = ACTIONS(1118),
    [sym_float] = ACTIONS(1118),
    [aux_sym_try_statement_token1] = ACTIONS(1118),
    [aux_sym_goto_statement_token1] = ACTIONS(1118),
    [aux_sym_continue_statement_token1] = ACTIONS(1118),
    [aux_sym_break_statement_token1] = ACTIONS(1118),
    [sym_integer] = ACTIONS(1118),
    [aux_sym_return_statement_token1] = ACTIONS(1118),
    [aux_sym_throw_expression_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token1] = ACTIONS(1118),
    [aux_sym_while_statement_token2] = ACTIONS(1118),
    [aux_sym_do_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token1] = ACTIONS(1118),
    [aux_sym_for_statement_token2] = ACTIONS(1118),
    [aux_sym_foreach_statement_token1] = ACTIONS(1118),
    [aux_sym_foreach_statement_token2] = ACTIONS(1118),
    [aux_sym_if_statement_token1] = ACTIONS(1118),
    [aux_sym_if_statement_token2] = ACTIONS(1118),
    [aux_sym_else_if_clause_token1] = ACTIONS(1118),
    [aux_sym_else_clause_token1] = ACTIONS(1118),
    [aux_sym_match_expression_token1] = ACTIONS(1118),
    [aux_sym_match_default_expression_token1] = ACTIONS(1118),
    [aux_sym_switch_statement_token1] = ACTIONS(1118),
    [aux_sym_switch_block_token1] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1116),
    [anon_sym_AT] = ACTIONS(1116),
    [aux_sym_clone_expression_token1] = ACTIONS(1118),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1118),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [aux_sym__list_destructing_token1] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_self] = ACTIONS(1118),
    [anon_sym_parent] = ACTIONS(1118),
    [aux_sym__argument_name_token1] = ACTIONS(1118),
    [aux_sym__argument_name_token2] = ACTIONS(1118),
    [anon_sym_POUND_LBRACK] = ACTIONS(1116),
    [aux_sym_encapsed_string_token1] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1116),
    [aux_sym_string_token1] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1116),
    [anon_sym_LT_LT_LT] = ACTIONS(1116),
    [anon_sym_BQUOTE] = ACTIONS(1116),
    [anon_sym_DOLLAR] = ACTIONS(1116),
    [aux_sym_yield_expression_token1] = ACTIONS(1118),
    [aux_sym_include_expression_token1] = ACTIONS(1118),
    [aux_sym_include_once_expression_token1] = ACTIONS(1118),
    [aux_sym_require_expression_token1] = ACTIONS(1118),
    [aux_sym_require_once_expression_token1] = ACTIONS(1118),
    [sym_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_text_interpolation] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_name] = ACTIONS(1122),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1120),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1122),
    [aux_sym_global_declaration_token1] = ACTIONS(1122),
    [aux_sym_namespace_definition_token1] = ACTIONS(1122),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1122),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1122),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1122),
    [anon_sym_BSLASH] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [aux_sym_trait_declaration_token1] = ACTIONS(1122),
    [aux_sym_interface_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_declaration_token1] = ACTIONS(1122),
    [aux_sym_enum_case_token1] = ACTIONS(1122),
    [aux_sym_class_declaration_token1] = ACTIONS(1122),
    [aux_sym_final_modifier_token1] = ACTIONS(1122),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1122),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1122),
    [sym_var_modifier] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1122),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1122),
    [anon_sym_LPAREN2] = ACTIONS(1120),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1122),
    [aux_sym_cast_type_token1] = ACTIONS(1122),
    [aux_sym_echo_statement_token1] = ACTIONS(1122),
    [aux_sym_exit_statement_token1] = ACTIONS(1122),
    [anon_sym_unset] = ACTIONS(1122),
    [aux_sym_declare_statement_token1] = ACTIONS(1122),
    [aux_sym_declare_statement_token2] = ACTIONS(1122),
    [sym_float] = ACTIONS(1122),
    [aux_sym_try_statement_token1] = ACTIONS(1122),
    [aux_sym_goto_statement_token1] = ACTIONS(1122),
    [aux_sym_continue_statement_token1] = ACTIONS(1122),
    [aux_sym_break_statement_token1] = ACTIONS(1122),
    [sym_integer] = ACTIONS(1122),
    [aux_sym_return_statement_token1] = ACTIONS(1122),
    [aux_sym_throw_expression_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token1] = ACTIONS(1122),
    [aux_sym_while_statement_token2] = ACTIONS(1122),
    [aux_sym_do_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token1] = ACTIONS(1122),
    [aux_sym_for_statement_token2] = ACTIONS(1122),
    [aux_sym_foreach_statement_token1] = ACTIONS(1122),
    [aux_sym_foreach_statement_token2] = ACTIONS(1122),
    [aux_sym_if_statement_token1] = ACTIONS(1122),
    [aux_sym_if_statement_token2] = ACTIONS(1122),
    [aux_sym_else_if_clause_token1] = ACTIONS(1122),
    [aux_sym_else_clause_token1] = ACTIONS(1122),
    [aux_sym_match_expression_token1] = ACTIONS(1122),
    [aux_sym_match_default_expression_token1] = ACTIONS(1122),
    [aux_sym_switch_statement_token1] = ACTIONS(1122),
    [aux_sym_switch_block_token1] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [aux_sym_clone_expression_token1] = ACTIONS(1122),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1122),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [aux_sym__list_destructing_token1] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_self] = ACTIONS(1122),
    [anon_sym_parent] = ACTIONS(1122),
    [aux_sym__argument_name_token1] = ACTIONS(1122),
    [aux_sym__argument_name_token2] = ACTIONS(1122),
    [anon_sym_POUND_LBRACK] = ACTIONS(1120),
    [aux_sym_encapsed_string_token1] = ACTIONS(1120),
    [anon_sym_DQUOTE] = ACTIONS(1120),
    [aux_sym_string_token1] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_LT_LT_LT] = ACTIONS(1120),
    [anon_sym_BQUOTE] = ACTIONS(1120),
    [anon_sym_DOLLAR] = ACTIONS(1120),
    [aux_sym_yield_expression_token1] = ACTIONS(1122),
    [aux_sym_include_expression_token1] = ACTIONS(1122),
    [aux_sym_include_once_expression_token1] = ACTIONS(1122),
    [aux_sym_require_expression_token1] = ACTIONS(1122),
    [aux_sym_require_once_expression_token1] = ACTIONS(1122),
    [sym_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_text_interpolation] = STATE(473),
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_name] = ACTIONS(1126),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1124),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1126),
    [aux_sym_global_declaration_token1] = ACTIONS(1126),
    [aux_sym_namespace_definition_token1] = ACTIONS(1126),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1126),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1126),
    [anon_sym_BSLASH] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [aux_sym_trait_declaration_token1] = ACTIONS(1126),
    [aux_sym_interface_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_declaration_token1] = ACTIONS(1126),
    [aux_sym_enum_case_token1] = ACTIONS(1126),
    [aux_sym_class_declaration_token1] = ACTIONS(1126),
    [aux_sym_final_modifier_token1] = ACTIONS(1126),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1126),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1126),
    [sym_var_modifier] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1126),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1126),
    [anon_sym_LPAREN2] = ACTIONS(1124),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1126),
    [aux_sym_cast_type_token1] = ACTIONS(1126),
    [aux_sym_echo_statement_token1] = ACTIONS(1126),
    [aux_sym_exit_statement_token1] = ACTIONS(1126),
    [anon_sym_unset] = ACTIONS(1126),
    [aux_sym_declare_statement_token1] = ACTIONS(1126),
    [aux_sym_declare_statement_token2] = ACTIONS(1126),
    [sym_float] = ACTIONS(1126),
    [aux_sym_try_statement_token1] = ACTIONS(1126),
    [aux_sym_goto_statement_token1] = ACTIONS(1126),
    [aux_sym_continue_statement_token1] = ACTIONS(1126),
    [aux_sym_break_statement_token1] = ACTIONS(1126),
    [sym_integer] = ACTIONS(1126),
    [aux_sym_return_statement_token1] = ACTIONS(1126),
    [aux_sym_throw_expression_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token1] = ACTIONS(1126),
    [aux_sym_while_statement_token2] = ACTIONS(1126),
    [aux_sym_do_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token1] = ACTIONS(1126),
    [aux_sym_for_statement_token2] = ACTIONS(1126),
    [aux_sym_foreach_statement_token1] = ACTIONS(1126),
    [aux_sym_foreach_statement_token2] = ACTIONS(1126),
    [aux_sym_if_statement_token1] = ACTIONS(1126),
    [aux_sym_if_statement_token2] = ACTIONS(1126),
    [aux_sym_else_if_clause_token1] = ACTIONS(1126),
    [aux_sym_else_clause_token1] = ACTIONS(1126),
    [aux_sym_match_expression_token1] = ACTIONS(1126),
    [aux_sym_match_default_expression_token1] = ACTIONS(1126),
    [aux_sym_switch_statement_token1] = ACTIONS(1126),
    [aux_sym_switch_block_token1] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [aux_sym_clone_expression_token1] = ACTIONS(1126),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1126),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1124),
    [aux_sym__list_destructing_token1] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_self] = ACTIONS(1126),
    [anon_sym_parent] = ACTIONS(1126),
    [aux_sym__argument_name_token1] = ACTIONS(1126),
    [aux_sym__argument_name_token2] = ACTIONS(1126),
    [anon_sym_POUND_LBRACK] = ACTIONS(1124),
    [aux_sym_encapsed_string_token1] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [aux_sym_string_token1] = ACTIONS(1124),
    [anon_sym_SQUOTE] = ACTIONS(1124),
    [anon_sym_LT_LT_LT] = ACTIONS(1124),
    [anon_sym_BQUOTE] = ACTIONS(1124),
    [anon_sym_DOLLAR] = ACTIONS(1124),
    [aux_sym_yield_expression_token1] = ACTIONS(1126),
    [aux_sym_include_expression_token1] = ACTIONS(1126),
    [aux_sym_include_once_expression_token1] = ACTIONS(1126),
    [aux_sym_require_expression_token1] = ACTIONS(1126),
    [aux_sym_require_once_expression_token1] = ACTIONS(1126),
    [sym_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_text_interpolation] = STATE(474),
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_name] = ACTIONS(1130),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1128),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1130),
    [aux_sym_global_declaration_token1] = ACTIONS(1130),
    [aux_sym_namespace_definition_token1] = ACTIONS(1130),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1130),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1130),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1130),
    [anon_sym_BSLASH] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [aux_sym_trait_declaration_token1] = ACTIONS(1130),
    [aux_sym_interface_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_declaration_token1] = ACTIONS(1130),
    [aux_sym_enum_case_token1] = ACTIONS(1130),
    [aux_sym_class_declaration_token1] = ACTIONS(1130),
    [aux_sym_final_modifier_token1] = ACTIONS(1130),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1130),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1130),
    [sym_var_modifier] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1130),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1130),
    [anon_sym_LPAREN2] = ACTIONS(1128),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1130),
    [aux_sym_cast_type_token1] = ACTIONS(1130),
    [aux_sym_echo_statement_token1] = ACTIONS(1130),
    [aux_sym_exit_statement_token1] = ACTIONS(1130),
    [anon_sym_unset] = ACTIONS(1130),
    [aux_sym_declare_statement_token1] = ACTIONS(1130),
    [aux_sym_declare_statement_token2] = ACTIONS(1130),
    [sym_float] = ACTIONS(1130),
    [aux_sym_try_statement_token1] = ACTIONS(1130),
    [aux_sym_goto_statement_token1] = ACTIONS(1130),
    [aux_sym_continue_statement_token1] = ACTIONS(1130),
    [aux_sym_break_statement_token1] = ACTIONS(1130),
    [sym_integer] = ACTIONS(1130),
    [aux_sym_return_statement_token1] = ACTIONS(1130),
    [aux_sym_throw_expression_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token1] = ACTIONS(1130),
    [aux_sym_while_statement_token2] = ACTIONS(1130),
    [aux_sym_do_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token1] = ACTIONS(1130),
    [aux_sym_for_statement_token2] = ACTIONS(1130),
    [aux_sym_foreach_statement_token1] = ACTIONS(1130),
    [aux_sym_foreach_statement_token2] = ACTIONS(1130),
    [aux_sym_if_statement_token1] = ACTIONS(1130),
    [aux_sym_if_statement_token2] = ACTIONS(1130),
    [aux_sym_else_if_clause_token1] = ACTIONS(1130),
    [aux_sym_else_clause_token1] = ACTIONS(1130),
    [aux_sym_match_expression_token1] = ACTIONS(1130),
    [aux_sym_match_default_expression_token1] = ACTIONS(1130),
    [aux_sym_switch_statement_token1] = ACTIONS(1130),
    [aux_sym_switch_block_token1] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [aux_sym_clone_expression_token1] = ACTIONS(1130),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1130),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [aux_sym__list_destructing_token1] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_self] = ACTIONS(1130),
    [anon_sym_parent] = ACTIONS(1130),
    [aux_sym__argument_name_token1] = ACTIONS(1130),
    [aux_sym__argument_name_token2] = ACTIONS(1130),
    [anon_sym_POUND_LBRACK] = ACTIONS(1128),
    [aux_sym_encapsed_string_token1] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [aux_sym_string_token1] = ACTIONS(1128),
    [anon_sym_SQUOTE] = ACTIONS(1128),
    [anon_sym_LT_LT_LT] = ACTIONS(1128),
    [anon_sym_BQUOTE] = ACTIONS(1128),
    [anon_sym_DOLLAR] = ACTIONS(1128),
    [aux_sym_yield_expression_token1] = ACTIONS(1130),
    [aux_sym_include_expression_token1] = ACTIONS(1130),
    [aux_sym_include_once_expression_token1] = ACTIONS(1130),
    [aux_sym_require_expression_token1] = ACTIONS(1130),
    [aux_sym_require_once_expression_token1] = ACTIONS(1130),
    [sym_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_text_interpolation] = STATE(475),
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_name] = ACTIONS(1134),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1132),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1134),
    [aux_sym_global_declaration_token1] = ACTIONS(1134),
    [aux_sym_namespace_definition_token1] = ACTIONS(1134),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1134),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1134),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1134),
    [anon_sym_BSLASH] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [aux_sym_trait_declaration_token1] = ACTIONS(1134),
    [aux_sym_interface_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_declaration_token1] = ACTIONS(1134),
    [aux_sym_enum_case_token1] = ACTIONS(1134),
    [aux_sym_class_declaration_token1] = ACTIONS(1134),
    [aux_sym_final_modifier_token1] = ACTIONS(1134),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1134),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1134),
    [sym_var_modifier] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1134),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1134),
    [anon_sym_LPAREN2] = ACTIONS(1132),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1134),
    [aux_sym_cast_type_token1] = ACTIONS(1134),
    [aux_sym_echo_statement_token1] = ACTIONS(1134),
    [aux_sym_exit_statement_token1] = ACTIONS(1134),
    [anon_sym_unset] = ACTIONS(1134),
    [aux_sym_declare_statement_token1] = ACTIONS(1134),
    [aux_sym_declare_statement_token2] = ACTIONS(1134),
    [sym_float] = ACTIONS(1134),
    [aux_sym_try_statement_token1] = ACTIONS(1134),
    [aux_sym_goto_statement_token1] = ACTIONS(1134),
    [aux_sym_continue_statement_token1] = ACTIONS(1134),
    [aux_sym_break_statement_token1] = ACTIONS(1134),
    [sym_integer] = ACTIONS(1134),
    [aux_sym_return_statement_token1] = ACTIONS(1134),
    [aux_sym_throw_expression_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token1] = ACTIONS(1134),
    [aux_sym_while_statement_token2] = ACTIONS(1134),
    [aux_sym_do_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token1] = ACTIONS(1134),
    [aux_sym_for_statement_token2] = ACTIONS(1134),
    [aux_sym_foreach_statement_token1] = ACTIONS(1134),
    [aux_sym_foreach_statement_token2] = ACTIONS(1134),
    [aux_sym_if_statement_token1] = ACTIONS(1134),
    [aux_sym_if_statement_token2] = ACTIONS(1134),
    [aux_sym_else_if_clause_token1] = ACTIONS(1134),
    [aux_sym_else_clause_token1] = ACTIONS(1134),
    [aux_sym_match_expression_token1] = ACTIONS(1134),
    [aux_sym_match_default_expression_token1] = ACTIONS(1134),
    [aux_sym_switch_statement_token1] = ACTIONS(1134),
    [aux_sym_switch_block_token1] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [aux_sym_clone_expression_token1] = ACTIONS(1134),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1134),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [aux_sym__list_destructing_token1] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_self] = ACTIONS(1134),
    [anon_sym_parent] = ACTIONS(1134),
    [aux_sym__argument_name_token1] = ACTIONS(1134),
    [aux_sym__argument_name_token2] = ACTIONS(1134),
    [anon_sym_POUND_LBRACK] = ACTIONS(1132),
    [aux_sym_encapsed_string_token1] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [aux_sym_string_token1] = ACTIONS(1132),
    [anon_sym_SQUOTE] = ACTIONS(1132),
    [anon_sym_LT_LT_LT] = ACTIONS(1132),
    [anon_sym_BQUOTE] = ACTIONS(1132),
    [anon_sym_DOLLAR] = ACTIONS(1132),
    [aux_sym_yield_expression_token1] = ACTIONS(1134),
    [aux_sym_include_expression_token1] = ACTIONS(1134),
    [aux_sym_include_once_expression_token1] = ACTIONS(1134),
    [aux_sym_require_expression_token1] = ACTIONS(1134),
    [aux_sym_require_once_expression_token1] = ACTIONS(1134),
    [sym_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_text_interpolation] = STATE(476),
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_name] = ACTIONS(1138),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1136),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1138),
    [aux_sym_global_declaration_token1] = ACTIONS(1138),
    [aux_sym_namespace_definition_token1] = ACTIONS(1138),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1138),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1138),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1138),
    [anon_sym_BSLASH] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [aux_sym_trait_declaration_token1] = ACTIONS(1138),
    [aux_sym_interface_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_declaration_token1] = ACTIONS(1138),
    [aux_sym_enum_case_token1] = ACTIONS(1138),
    [aux_sym_class_declaration_token1] = ACTIONS(1138),
    [aux_sym_final_modifier_token1] = ACTIONS(1138),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1138),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1138),
    [sym_var_modifier] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1138),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1138),
    [anon_sym_LPAREN2] = ACTIONS(1136),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1138),
    [aux_sym_cast_type_token1] = ACTIONS(1138),
    [aux_sym_echo_statement_token1] = ACTIONS(1138),
    [aux_sym_exit_statement_token1] = ACTIONS(1138),
    [anon_sym_unset] = ACTIONS(1138),
    [aux_sym_declare_statement_token1] = ACTIONS(1138),
    [aux_sym_declare_statement_token2] = ACTIONS(1138),
    [sym_float] = ACTIONS(1138),
    [aux_sym_try_statement_token1] = ACTIONS(1138),
    [aux_sym_goto_statement_token1] = ACTIONS(1138),
    [aux_sym_continue_statement_token1] = ACTIONS(1138),
    [aux_sym_break_statement_token1] = ACTIONS(1138),
    [sym_integer] = ACTIONS(1138),
    [aux_sym_return_statement_token1] = ACTIONS(1138),
    [aux_sym_throw_expression_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token1] = ACTIONS(1138),
    [aux_sym_while_statement_token2] = ACTIONS(1138),
    [aux_sym_do_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token1] = ACTIONS(1138),
    [aux_sym_for_statement_token2] = ACTIONS(1138),
    [aux_sym_foreach_statement_token1] = ACTIONS(1138),
    [aux_sym_foreach_statement_token2] = ACTIONS(1138),
    [aux_sym_if_statement_token1] = ACTIONS(1138),
    [aux_sym_if_statement_token2] = ACTIONS(1138),
    [aux_sym_else_if_clause_token1] = ACTIONS(1138),
    [aux_sym_else_clause_token1] = ACTIONS(1138),
    [aux_sym_match_expression_token1] = ACTIONS(1138),
    [aux_sym_match_default_expression_token1] = ACTIONS(1138),
    [aux_sym_switch_statement_token1] = ACTIONS(1138),
    [aux_sym_switch_block_token1] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [aux_sym_clone_expression_token1] = ACTIONS(1138),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1138),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [aux_sym__list_destructing_token1] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_self] = ACTIONS(1138),
    [anon_sym_parent] = ACTIONS(1138),
    [aux_sym__argument_name_token1] = ACTIONS(1138),
    [aux_sym__argument_name_token2] = ACTIONS(1138),
    [anon_sym_POUND_LBRACK] = ACTIONS(1136),
    [aux_sym_encapsed_string_token1] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [aux_sym_string_token1] = ACTIONS(1136),
    [anon_sym_SQUOTE] = ACTIONS(1136),
    [anon_sym_LT_LT_LT] = ACTIONS(1136),
    [anon_sym_BQUOTE] = ACTIONS(1136),
    [anon_sym_DOLLAR] = ACTIONS(1136),
    [aux_sym_yield_expression_token1] = ACTIONS(1138),
    [aux_sym_include_expression_token1] = ACTIONS(1138),
    [aux_sym_include_once_expression_token1] = ACTIONS(1138),
    [aux_sym_require_expression_token1] = ACTIONS(1138),
    [aux_sym_require_once_expression_token1] = ACTIONS(1138),
    [sym_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_text_interpolation] = STATE(477),
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_name] = ACTIONS(1142),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1140),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1142),
    [aux_sym_global_declaration_token1] = ACTIONS(1142),
    [aux_sym_namespace_definition_token1] = ACTIONS(1142),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1142),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1142),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1142),
    [anon_sym_BSLASH] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [aux_sym_trait_declaration_token1] = ACTIONS(1142),
    [aux_sym_interface_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_declaration_token1] = ACTIONS(1142),
    [aux_sym_enum_case_token1] = ACTIONS(1142),
    [aux_sym_class_declaration_token1] = ACTIONS(1142),
    [aux_sym_final_modifier_token1] = ACTIONS(1142),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1142),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1142),
    [sym_var_modifier] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1142),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(1140),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1142),
    [aux_sym_cast_type_token1] = ACTIONS(1142),
    [aux_sym_echo_statement_token1] = ACTIONS(1142),
    [aux_sym_exit_statement_token1] = ACTIONS(1142),
    [anon_sym_unset] = ACTIONS(1142),
    [aux_sym_declare_statement_token1] = ACTIONS(1142),
    [aux_sym_declare_statement_token2] = ACTIONS(1142),
    [sym_float] = ACTIONS(1142),
    [aux_sym_try_statement_token1] = ACTIONS(1142),
    [aux_sym_goto_statement_token1] = ACTIONS(1142),
    [aux_sym_continue_statement_token1] = ACTIONS(1142),
    [aux_sym_break_statement_token1] = ACTIONS(1142),
    [sym_integer] = ACTIONS(1142),
    [aux_sym_return_statement_token1] = ACTIONS(1142),
    [aux_sym_throw_expression_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token1] = ACTIONS(1142),
    [aux_sym_while_statement_token2] = ACTIONS(1142),
    [aux_sym_do_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token1] = ACTIONS(1142),
    [aux_sym_for_statement_token2] = ACTIONS(1142),
    [aux_sym_foreach_statement_token1] = ACTIONS(1142),
    [aux_sym_foreach_statement_token2] = ACTIONS(1142),
    [aux_sym_if_statement_token1] = ACTIONS(1142),
    [aux_sym_if_statement_token2] = ACTIONS(1142),
    [aux_sym_else_if_clause_token1] = ACTIONS(1142),
    [aux_sym_else_clause_token1] = ACTIONS(1142),
    [aux_sym_match_expression_token1] = ACTIONS(1142),
    [aux_sym_match_default_expression_token1] = ACTIONS(1142),
    [aux_sym_switch_statement_token1] = ACTIONS(1142),
    [aux_sym_switch_block_token1] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [aux_sym_clone_expression_token1] = ACTIONS(1142),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1142),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [aux_sym__list_destructing_token1] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_self] = ACTIONS(1142),
    [anon_sym_parent] = ACTIONS(1142),
    [aux_sym__argument_name_token1] = ACTIONS(1142),
    [aux_sym__argument_name_token2] = ACTIONS(1142),
    [anon_sym_POUND_LBRACK] = ACTIONS(1140),
    [aux_sym_encapsed_string_token1] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [aux_sym_string_token1] = ACTIONS(1140),
    [anon_sym_SQUOTE] = ACTIONS(1140),
    [anon_sym_LT_LT_LT] = ACTIONS(1140),
    [anon_sym_BQUOTE] = ACTIONS(1140),
    [anon_sym_DOLLAR] = ACTIONS(1140),
    [aux_sym_yield_expression_token1] = ACTIONS(1142),
    [aux_sym_include_expression_token1] = ACTIONS(1142),
    [aux_sym_include_once_expression_token1] = ACTIONS(1142),
    [aux_sym_require_expression_token1] = ACTIONS(1142),
    [aux_sym_require_once_expression_token1] = ACTIONS(1142),
    [sym_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_text_interpolation] = STATE(478),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_name] = ACTIONS(1146),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1144),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1146),
    [aux_sym_global_declaration_token1] = ACTIONS(1146),
    [aux_sym_namespace_definition_token1] = ACTIONS(1146),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1146),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1146),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1146),
    [anon_sym_BSLASH] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [aux_sym_trait_declaration_token1] = ACTIONS(1146),
    [aux_sym_interface_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_declaration_token1] = ACTIONS(1146),
    [aux_sym_enum_case_token1] = ACTIONS(1146),
    [aux_sym_class_declaration_token1] = ACTIONS(1146),
    [aux_sym_final_modifier_token1] = ACTIONS(1146),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1146),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1146),
    [sym_var_modifier] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1146),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(1144),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1146),
    [aux_sym_cast_type_token1] = ACTIONS(1146),
    [aux_sym_echo_statement_token1] = ACTIONS(1146),
    [aux_sym_exit_statement_token1] = ACTIONS(1146),
    [anon_sym_unset] = ACTIONS(1146),
    [aux_sym_declare_statement_token1] = ACTIONS(1146),
    [aux_sym_declare_statement_token2] = ACTIONS(1146),
    [sym_float] = ACTIONS(1146),
    [aux_sym_try_statement_token1] = ACTIONS(1146),
    [aux_sym_goto_statement_token1] = ACTIONS(1146),
    [aux_sym_continue_statement_token1] = ACTIONS(1146),
    [aux_sym_break_statement_token1] = ACTIONS(1146),
    [sym_integer] = ACTIONS(1146),
    [aux_sym_return_statement_token1] = ACTIONS(1146),
    [aux_sym_throw_expression_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token1] = ACTIONS(1146),
    [aux_sym_while_statement_token2] = ACTIONS(1146),
    [aux_sym_do_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token1] = ACTIONS(1146),
    [aux_sym_for_statement_token2] = ACTIONS(1146),
    [aux_sym_foreach_statement_token1] = ACTIONS(1146),
    [aux_sym_foreach_statement_token2] = ACTIONS(1146),
    [aux_sym_if_statement_token1] = ACTIONS(1146),
    [aux_sym_if_statement_token2] = ACTIONS(1146),
    [aux_sym_else_if_clause_token1] = ACTIONS(1146),
    [aux_sym_else_clause_token1] = ACTIONS(1146),
    [aux_sym_match_expression_token1] = ACTIONS(1146),
    [aux_sym_match_default_expression_token1] = ACTIONS(1146),
    [aux_sym_switch_statement_token1] = ACTIONS(1146),
    [aux_sym_switch_block_token1] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [aux_sym_clone_expression_token1] = ACTIONS(1146),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1146),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [aux_sym__list_destructing_token1] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_self] = ACTIONS(1146),
    [anon_sym_parent] = ACTIONS(1146),
    [aux_sym__argument_name_token1] = ACTIONS(1146),
    [aux_sym__argument_name_token2] = ACTIONS(1146),
    [anon_sym_POUND_LBRACK] = ACTIONS(1144),
    [aux_sym_encapsed_string_token1] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [aux_sym_string_token1] = ACTIONS(1144),
    [anon_sym_SQUOTE] = ACTIONS(1144),
    [anon_sym_LT_LT_LT] = ACTIONS(1144),
    [anon_sym_BQUOTE] = ACTIONS(1144),
    [anon_sym_DOLLAR] = ACTIONS(1144),
    [aux_sym_yield_expression_token1] = ACTIONS(1146),
    [aux_sym_include_expression_token1] = ACTIONS(1146),
    [aux_sym_include_once_expression_token1] = ACTIONS(1146),
    [aux_sym_require_expression_token1] = ACTIONS(1146),
    [aux_sym_require_once_expression_token1] = ACTIONS(1146),
    [sym_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_text_interpolation] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1148),
    [sym_name] = ACTIONS(1150),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1148),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1150),
    [aux_sym_global_declaration_token1] = ACTIONS(1150),
    [aux_sym_namespace_definition_token1] = ACTIONS(1150),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1150),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1150),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1150),
    [anon_sym_BSLASH] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1148),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [aux_sym_trait_declaration_token1] = ACTIONS(1150),
    [aux_sym_interface_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_declaration_token1] = ACTIONS(1150),
    [aux_sym_enum_case_token1] = ACTIONS(1150),
    [aux_sym_class_declaration_token1] = ACTIONS(1150),
    [aux_sym_final_modifier_token1] = ACTIONS(1150),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1150),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1150),
    [sym_var_modifier] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1150),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1150),
    [anon_sym_LPAREN2] = ACTIONS(1148),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1150),
    [aux_sym_cast_type_token1] = ACTIONS(1150),
    [aux_sym_echo_statement_token1] = ACTIONS(1150),
    [aux_sym_exit_statement_token1] = ACTIONS(1150),
    [anon_sym_unset] = ACTIONS(1150),
    [aux_sym_declare_statement_token1] = ACTIONS(1150),
    [aux_sym_declare_statement_token2] = ACTIONS(1150),
    [sym_float] = ACTIONS(1150),
    [aux_sym_try_statement_token1] = ACTIONS(1150),
    [aux_sym_goto_statement_token1] = ACTIONS(1150),
    [aux_sym_continue_statement_token1] = ACTIONS(1150),
    [aux_sym_break_statement_token1] = ACTIONS(1150),
    [sym_integer] = ACTIONS(1150),
    [aux_sym_return_statement_token1] = ACTIONS(1150),
    [aux_sym_throw_expression_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token1] = ACTIONS(1150),
    [aux_sym_while_statement_token2] = ACTIONS(1150),
    [aux_sym_do_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token1] = ACTIONS(1150),
    [aux_sym_for_statement_token2] = ACTIONS(1150),
    [aux_sym_foreach_statement_token1] = ACTIONS(1150),
    [aux_sym_foreach_statement_token2] = ACTIONS(1150),
    [aux_sym_if_statement_token1] = ACTIONS(1150),
    [aux_sym_if_statement_token2] = ACTIONS(1150),
    [aux_sym_else_if_clause_token1] = ACTIONS(1150),
    [aux_sym_else_clause_token1] = ACTIONS(1150),
    [aux_sym_match_expression_token1] = ACTIONS(1150),
    [aux_sym_match_default_expression_token1] = ACTIONS(1150),
    [aux_sym_switch_statement_token1] = ACTIONS(1150),
    [aux_sym_switch_block_token1] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1150),
    [anon_sym_DASH] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [aux_sym_clone_expression_token1] = ACTIONS(1150),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1150),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1148),
    [anon_sym_PLUS_PLUS] = ACTIONS(1148),
    [aux_sym__list_destructing_token1] = ACTIONS(1150),
    [anon_sym_LBRACK] = ACTIONS(1148),
    [anon_sym_self] = ACTIONS(1150),
    [anon_sym_parent] = ACTIONS(1150),
    [aux_sym__argument_name_token1] = ACTIONS(1150),
    [aux_sym__argument_name_token2] = ACTIONS(1150),
    [anon_sym_POUND_LBRACK] = ACTIONS(1148),
    [aux_sym_encapsed_string_token1] = ACTIONS(1148),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [aux_sym_string_token1] = ACTIONS(1148),
    [anon_sym_SQUOTE] = ACTIONS(1148),
    [anon_sym_LT_LT_LT] = ACTIONS(1148),
    [anon_sym_BQUOTE] = ACTIONS(1148),
    [anon_sym_DOLLAR] = ACTIONS(1148),
    [aux_sym_yield_expression_token1] = ACTIONS(1150),
    [aux_sym_include_expression_token1] = ACTIONS(1150),
    [aux_sym_include_once_expression_token1] = ACTIONS(1150),
    [aux_sym_require_expression_token1] = ACTIONS(1150),
    [aux_sym_require_once_expression_token1] = ACTIONS(1150),
    [sym_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_text_interpolation] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1152),
    [sym_name] = ACTIONS(1154),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1152),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1154),
    [aux_sym_global_declaration_token1] = ACTIONS(1154),
    [aux_sym_namespace_definition_token1] = ACTIONS(1154),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1154),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1154),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1154),
    [anon_sym_BSLASH] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1152),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [aux_sym_trait_declaration_token1] = ACTIONS(1154),
    [aux_sym_interface_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_declaration_token1] = ACTIONS(1154),
    [aux_sym_enum_case_token1] = ACTIONS(1154),
    [aux_sym_class_declaration_token1] = ACTIONS(1154),
    [aux_sym_final_modifier_token1] = ACTIONS(1154),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1154),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1154),
    [sym_var_modifier] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1154),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1154),
    [anon_sym_LPAREN2] = ACTIONS(1152),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1154),
    [aux_sym_cast_type_token1] = ACTIONS(1154),
    [aux_sym_echo_statement_token1] = ACTIONS(1154),
    [aux_sym_exit_statement_token1] = ACTIONS(1154),
    [anon_sym_unset] = ACTIONS(1154),
    [aux_sym_declare_statement_token1] = ACTIONS(1154),
    [aux_sym_declare_statement_token2] = ACTIONS(1154),
    [sym_float] = ACTIONS(1154),
    [aux_sym_try_statement_token1] = ACTIONS(1154),
    [aux_sym_goto_statement_token1] = ACTIONS(1154),
    [aux_sym_continue_statement_token1] = ACTIONS(1154),
    [aux_sym_break_statement_token1] = ACTIONS(1154),
    [sym_integer] = ACTIONS(1154),
    [aux_sym_return_statement_token1] = ACTIONS(1154),
    [aux_sym_throw_expression_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token1] = ACTIONS(1154),
    [aux_sym_while_statement_token2] = ACTIONS(1154),
    [aux_sym_do_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token1] = ACTIONS(1154),
    [aux_sym_for_statement_token2] = ACTIONS(1154),
    [aux_sym_foreach_statement_token1] = ACTIONS(1154),
    [aux_sym_foreach_statement_token2] = ACTIONS(1154),
    [aux_sym_if_statement_token1] = ACTIONS(1154),
    [aux_sym_if_statement_token2] = ACTIONS(1154),
    [aux_sym_else_if_clause_token1] = ACTIONS(1154),
    [aux_sym_else_clause_token1] = ACTIONS(1154),
    [aux_sym_match_expression_token1] = ACTIONS(1154),
    [aux_sym_match_default_expression_token1] = ACTIONS(1154),
    [aux_sym_switch_statement_token1] = ACTIONS(1154),
    [aux_sym_switch_block_token1] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1154),
    [anon_sym_DASH] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [aux_sym_clone_expression_token1] = ACTIONS(1154),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1154),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1152),
    [aux_sym__list_destructing_token1] = ACTIONS(1154),
    [anon_sym_LBRACK] = ACTIONS(1152),
    [anon_sym_self] = ACTIONS(1154),
    [anon_sym_parent] = ACTIONS(1154),
    [aux_sym__argument_name_token1] = ACTIONS(1154),
    [aux_sym__argument_name_token2] = ACTIONS(1154),
    [anon_sym_POUND_LBRACK] = ACTIONS(1152),
    [aux_sym_encapsed_string_token1] = ACTIONS(1152),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [aux_sym_string_token1] = ACTIONS(1152),
    [anon_sym_SQUOTE] = ACTIONS(1152),
    [anon_sym_LT_LT_LT] = ACTIONS(1152),
    [anon_sym_BQUOTE] = ACTIONS(1152),
    [anon_sym_DOLLAR] = ACTIONS(1152),
    [aux_sym_yield_expression_token1] = ACTIONS(1154),
    [aux_sym_include_expression_token1] = ACTIONS(1154),
    [aux_sym_include_once_expression_token1] = ACTIONS(1154),
    [aux_sym_require_expression_token1] = ACTIONS(1154),
    [aux_sym_require_once_expression_token1] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_text_interpolation] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1156),
    [sym_name] = ACTIONS(1158),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1156),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1158),
    [aux_sym_global_declaration_token1] = ACTIONS(1158),
    [aux_sym_namespace_definition_token1] = ACTIONS(1158),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1158),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1158),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1158),
    [anon_sym_BSLASH] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1156),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [aux_sym_trait_declaration_token1] = ACTIONS(1158),
    [aux_sym_interface_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_declaration_token1] = ACTIONS(1158),
    [aux_sym_enum_case_token1] = ACTIONS(1158),
    [aux_sym_class_declaration_token1] = ACTIONS(1158),
    [aux_sym_final_modifier_token1] = ACTIONS(1158),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1158),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1158),
    [sym_var_modifier] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1158),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1158),
    [anon_sym_LPAREN2] = ACTIONS(1156),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1158),
    [aux_sym_cast_type_token1] = ACTIONS(1158),
    [aux_sym_echo_statement_token1] = ACTIONS(1158),
    [aux_sym_exit_statement_token1] = ACTIONS(1158),
    [anon_sym_unset] = ACTIONS(1158),
    [aux_sym_declare_statement_token1] = ACTIONS(1158),
    [aux_sym_declare_statement_token2] = ACTIONS(1158),
    [sym_float] = ACTIONS(1158),
    [aux_sym_try_statement_token1] = ACTIONS(1158),
    [aux_sym_goto_statement_token1] = ACTIONS(1158),
    [aux_sym_continue_statement_token1] = ACTIONS(1158),
    [aux_sym_break_statement_token1] = ACTIONS(1158),
    [sym_integer] = ACTIONS(1158),
    [aux_sym_return_statement_token1] = ACTIONS(1158),
    [aux_sym_throw_expression_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token1] = ACTIONS(1158),
    [aux_sym_while_statement_token2] = ACTIONS(1158),
    [aux_sym_do_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token1] = ACTIONS(1158),
    [aux_sym_for_statement_token2] = ACTIONS(1158),
    [aux_sym_foreach_statement_token1] = ACTIONS(1158),
    [aux_sym_foreach_statement_token2] = ACTIONS(1158),
    [aux_sym_if_statement_token1] = ACTIONS(1158),
    [aux_sym_if_statement_token2] = ACTIONS(1158),
    [aux_sym_else_if_clause_token1] = ACTIONS(1158),
    [aux_sym_else_clause_token1] = ACTIONS(1158),
    [aux_sym_match_expression_token1] = ACTIONS(1158),
    [aux_sym_match_default_expression_token1] = ACTIONS(1158),
    [aux_sym_switch_statement_token1] = ACTIONS(1158),
    [aux_sym_switch_block_token1] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1158),
    [anon_sym_DASH] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [aux_sym_clone_expression_token1] = ACTIONS(1158),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1158),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1156),
    [anon_sym_PLUS_PLUS] = ACTIONS(1156),
    [aux_sym__list_destructing_token1] = ACTIONS(1158),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_self] = ACTIONS(1158),
    [anon_sym_parent] = ACTIONS(1158),
    [aux_sym__argument_name_token1] = ACTIONS(1158),
    [aux_sym__argument_name_token2] = ACTIONS(1158),
    [anon_sym_POUND_LBRACK] = ACTIONS(1156),
    [aux_sym_encapsed_string_token1] = ACTIONS(1156),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [aux_sym_string_token1] = ACTIONS(1156),
    [anon_sym_SQUOTE] = ACTIONS(1156),
    [anon_sym_LT_LT_LT] = ACTIONS(1156),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [anon_sym_DOLLAR] = ACTIONS(1156),
    [aux_sym_yield_expression_token1] = ACTIONS(1158),
    [aux_sym_include_expression_token1] = ACTIONS(1158),
    [aux_sym_include_once_expression_token1] = ACTIONS(1158),
    [aux_sym_require_expression_token1] = ACTIONS(1158),
    [aux_sym_require_once_expression_token1] = ACTIONS(1158),
    [sym_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_text_interpolation] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1160),
    [sym_name] = ACTIONS(1162),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1160),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1162),
    [aux_sym_global_declaration_token1] = ACTIONS(1162),
    [aux_sym_namespace_definition_token1] = ACTIONS(1162),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1162),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1162),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1162),
    [anon_sym_BSLASH] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1160),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [aux_sym_trait_declaration_token1] = ACTIONS(1162),
    [aux_sym_interface_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_declaration_token1] = ACTIONS(1162),
    [aux_sym_enum_case_token1] = ACTIONS(1162),
    [aux_sym_class_declaration_token1] = ACTIONS(1162),
    [aux_sym_final_modifier_token1] = ACTIONS(1162),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1162),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1162),
    [sym_var_modifier] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1162),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1162),
    [anon_sym_LPAREN2] = ACTIONS(1160),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1162),
    [aux_sym_cast_type_token1] = ACTIONS(1162),
    [aux_sym_echo_statement_token1] = ACTIONS(1162),
    [aux_sym_exit_statement_token1] = ACTIONS(1162),
    [anon_sym_unset] = ACTIONS(1162),
    [aux_sym_declare_statement_token1] = ACTIONS(1162),
    [aux_sym_declare_statement_token2] = ACTIONS(1162),
    [sym_float] = ACTIONS(1162),
    [aux_sym_try_statement_token1] = ACTIONS(1162),
    [aux_sym_goto_statement_token1] = ACTIONS(1162),
    [aux_sym_continue_statement_token1] = ACTIONS(1162),
    [aux_sym_break_statement_token1] = ACTIONS(1162),
    [sym_integer] = ACTIONS(1162),
    [aux_sym_return_statement_token1] = ACTIONS(1162),
    [aux_sym_throw_expression_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token1] = ACTIONS(1162),
    [aux_sym_while_statement_token2] = ACTIONS(1162),
    [aux_sym_do_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token1] = ACTIONS(1162),
    [aux_sym_for_statement_token2] = ACTIONS(1162),
    [aux_sym_foreach_statement_token1] = ACTIONS(1162),
    [aux_sym_foreach_statement_token2] = ACTIONS(1162),
    [aux_sym_if_statement_token1] = ACTIONS(1162),
    [aux_sym_if_statement_token2] = ACTIONS(1162),
    [aux_sym_else_if_clause_token1] = ACTIONS(1162),
    [aux_sym_else_clause_token1] = ACTIONS(1162),
    [aux_sym_match_expression_token1] = ACTIONS(1162),
    [aux_sym_match_default_expression_token1] = ACTIONS(1162),
    [aux_sym_switch_statement_token1] = ACTIONS(1162),
    [aux_sym_switch_block_token1] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1162),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [aux_sym_clone_expression_token1] = ACTIONS(1162),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1162),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1160),
    [anon_sym_PLUS_PLUS] = ACTIONS(1160),
    [aux_sym__list_destructing_token1] = ACTIONS(1162),
    [anon_sym_LBRACK] = ACTIONS(1160),
    [anon_sym_self] = ACTIONS(1162),
    [anon_sym_parent] = ACTIONS(1162),
    [aux_sym__argument_name_token1] = ACTIONS(1162),
    [aux_sym__argument_name_token2] = ACTIONS(1162),
    [anon_sym_POUND_LBRACK] = ACTIONS(1160),
    [aux_sym_encapsed_string_token1] = ACTIONS(1160),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [aux_sym_string_token1] = ACTIONS(1160),
    [anon_sym_SQUOTE] = ACTIONS(1160),
    [anon_sym_LT_LT_LT] = ACTIONS(1160),
    [anon_sym_BQUOTE] = ACTIONS(1160),
    [anon_sym_DOLLAR] = ACTIONS(1160),
    [aux_sym_yield_expression_token1] = ACTIONS(1162),
    [aux_sym_include_expression_token1] = ACTIONS(1162),
    [aux_sym_include_once_expression_token1] = ACTIONS(1162),
    [aux_sym_require_expression_token1] = ACTIONS(1162),
    [aux_sym_require_once_expression_token1] = ACTIONS(1162),
    [sym_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_text_interpolation] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1164),
    [sym_name] = ACTIONS(1166),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1164),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1166),
    [aux_sym_global_declaration_token1] = ACTIONS(1166),
    [aux_sym_namespace_definition_token1] = ACTIONS(1166),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1166),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1166),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1166),
    [anon_sym_BSLASH] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1164),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [aux_sym_trait_declaration_token1] = ACTIONS(1166),
    [aux_sym_interface_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_declaration_token1] = ACTIONS(1166),
    [aux_sym_enum_case_token1] = ACTIONS(1166),
    [aux_sym_class_declaration_token1] = ACTIONS(1166),
    [aux_sym_final_modifier_token1] = ACTIONS(1166),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1166),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1166),
    [sym_var_modifier] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1166),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1166),
    [anon_sym_LPAREN2] = ACTIONS(1164),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1166),
    [aux_sym_cast_type_token1] = ACTIONS(1166),
    [aux_sym_echo_statement_token1] = ACTIONS(1166),
    [aux_sym_exit_statement_token1] = ACTIONS(1166),
    [anon_sym_unset] = ACTIONS(1166),
    [aux_sym_declare_statement_token1] = ACTIONS(1166),
    [aux_sym_declare_statement_token2] = ACTIONS(1166),
    [sym_float] = ACTIONS(1166),
    [aux_sym_try_statement_token1] = ACTIONS(1166),
    [aux_sym_goto_statement_token1] = ACTIONS(1166),
    [aux_sym_continue_statement_token1] = ACTIONS(1166),
    [aux_sym_break_statement_token1] = ACTIONS(1166),
    [sym_integer] = ACTIONS(1166),
    [aux_sym_return_statement_token1] = ACTIONS(1166),
    [aux_sym_throw_expression_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token1] = ACTIONS(1166),
    [aux_sym_while_statement_token2] = ACTIONS(1166),
    [aux_sym_do_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token1] = ACTIONS(1166),
    [aux_sym_for_statement_token2] = ACTIONS(1166),
    [aux_sym_foreach_statement_token1] = ACTIONS(1166),
    [aux_sym_foreach_statement_token2] = ACTIONS(1166),
    [aux_sym_if_statement_token1] = ACTIONS(1166),
    [aux_sym_if_statement_token2] = ACTIONS(1166),
    [aux_sym_else_if_clause_token1] = ACTIONS(1166),
    [aux_sym_else_clause_token1] = ACTIONS(1166),
    [aux_sym_match_expression_token1] = ACTIONS(1166),
    [aux_sym_match_default_expression_token1] = ACTIONS(1166),
    [aux_sym_switch_statement_token1] = ACTIONS(1166),
    [aux_sym_switch_block_token1] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1166),
    [anon_sym_DASH] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [aux_sym_clone_expression_token1] = ACTIONS(1166),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1166),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1164),
    [anon_sym_PLUS_PLUS] = ACTIONS(1164),
    [aux_sym__list_destructing_token1] = ACTIONS(1166),
    [anon_sym_LBRACK] = ACTIONS(1164),
    [anon_sym_self] = ACTIONS(1166),
    [anon_sym_parent] = ACTIONS(1166),
    [aux_sym__argument_name_token1] = ACTIONS(1166),
    [aux_sym__argument_name_token2] = ACTIONS(1166),
    [anon_sym_POUND_LBRACK] = ACTIONS(1164),
    [aux_sym_encapsed_string_token1] = ACTIONS(1164),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [aux_sym_string_token1] = ACTIONS(1164),
    [anon_sym_SQUOTE] = ACTIONS(1164),
    [anon_sym_LT_LT_LT] = ACTIONS(1164),
    [anon_sym_BQUOTE] = ACTIONS(1164),
    [anon_sym_DOLLAR] = ACTIONS(1164),
    [aux_sym_yield_expression_token1] = ACTIONS(1166),
    [aux_sym_include_expression_token1] = ACTIONS(1166),
    [aux_sym_include_once_expression_token1] = ACTIONS(1166),
    [aux_sym_require_expression_token1] = ACTIONS(1166),
    [aux_sym_require_once_expression_token1] = ACTIONS(1166),
    [sym_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_text_interpolation] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1168),
    [sym_name] = ACTIONS(1170),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1168),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1170),
    [aux_sym_global_declaration_token1] = ACTIONS(1170),
    [aux_sym_namespace_definition_token1] = ACTIONS(1170),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1170),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1170),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1170),
    [anon_sym_BSLASH] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [aux_sym_trait_declaration_token1] = ACTIONS(1170),
    [aux_sym_interface_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_declaration_token1] = ACTIONS(1170),
    [aux_sym_enum_case_token1] = ACTIONS(1170),
    [aux_sym_class_declaration_token1] = ACTIONS(1170),
    [aux_sym_final_modifier_token1] = ACTIONS(1170),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1170),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1170),
    [sym_var_modifier] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1170),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1170),
    [anon_sym_LPAREN2] = ACTIONS(1168),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1170),
    [aux_sym_cast_type_token1] = ACTIONS(1170),
    [aux_sym_echo_statement_token1] = ACTIONS(1170),
    [aux_sym_exit_statement_token1] = ACTIONS(1170),
    [anon_sym_unset] = ACTIONS(1170),
    [aux_sym_declare_statement_token1] = ACTIONS(1170),
    [aux_sym_declare_statement_token2] = ACTIONS(1170),
    [sym_float] = ACTIONS(1170),
    [aux_sym_try_statement_token1] = ACTIONS(1170),
    [aux_sym_goto_statement_token1] = ACTIONS(1170),
    [aux_sym_continue_statement_token1] = ACTIONS(1170),
    [aux_sym_break_statement_token1] = ACTIONS(1170),
    [sym_integer] = ACTIONS(1170),
    [aux_sym_return_statement_token1] = ACTIONS(1170),
    [aux_sym_throw_expression_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token1] = ACTIONS(1170),
    [aux_sym_while_statement_token2] = ACTIONS(1170),
    [aux_sym_do_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token1] = ACTIONS(1170),
    [aux_sym_for_statement_token2] = ACTIONS(1170),
    [aux_sym_foreach_statement_token1] = ACTIONS(1170),
    [aux_sym_foreach_statement_token2] = ACTIONS(1170),
    [aux_sym_if_statement_token1] = ACTIONS(1170),
    [aux_sym_if_statement_token2] = ACTIONS(1170),
    [aux_sym_else_if_clause_token1] = ACTIONS(1170),
    [aux_sym_else_clause_token1] = ACTIONS(1170),
    [aux_sym_match_expression_token1] = ACTIONS(1170),
    [aux_sym_match_default_expression_token1] = ACTIONS(1170),
    [aux_sym_switch_statement_token1] = ACTIONS(1170),
    [aux_sym_switch_block_token1] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1170),
    [anon_sym_DASH] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [aux_sym_clone_expression_token1] = ACTIONS(1170),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1170),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1168),
    [anon_sym_PLUS_PLUS] = ACTIONS(1168),
    [aux_sym__list_destructing_token1] = ACTIONS(1170),
    [anon_sym_LBRACK] = ACTIONS(1168),
    [anon_sym_self] = ACTIONS(1170),
    [anon_sym_parent] = ACTIONS(1170),
    [aux_sym__argument_name_token1] = ACTIONS(1170),
    [aux_sym__argument_name_token2] = ACTIONS(1170),
    [anon_sym_POUND_LBRACK] = ACTIONS(1168),
    [aux_sym_encapsed_string_token1] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [aux_sym_string_token1] = ACTIONS(1168),
    [anon_sym_SQUOTE] = ACTIONS(1168),
    [anon_sym_LT_LT_LT] = ACTIONS(1168),
    [anon_sym_BQUOTE] = ACTIONS(1168),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [aux_sym_yield_expression_token1] = ACTIONS(1170),
    [aux_sym_include_expression_token1] = ACTIONS(1170),
    [aux_sym_include_once_expression_token1] = ACTIONS(1170),
    [aux_sym_require_expression_token1] = ACTIONS(1170),
    [aux_sym_require_once_expression_token1] = ACTIONS(1170),
    [sym_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_text_interpolation] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1172),
    [sym_name] = ACTIONS(1174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1172),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1174),
    [aux_sym_global_declaration_token1] = ACTIONS(1174),
    [aux_sym_namespace_definition_token1] = ACTIONS(1174),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1174),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1174),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1174),
    [anon_sym_BSLASH] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1172),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [aux_sym_trait_declaration_token1] = ACTIONS(1174),
    [aux_sym_interface_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_declaration_token1] = ACTIONS(1174),
    [aux_sym_enum_case_token1] = ACTIONS(1174),
    [aux_sym_class_declaration_token1] = ACTIONS(1174),
    [aux_sym_final_modifier_token1] = ACTIONS(1174),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1174),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1174),
    [sym_var_modifier] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1174),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1174),
    [anon_sym_LPAREN2] = ACTIONS(1172),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1174),
    [aux_sym_cast_type_token1] = ACTIONS(1174),
    [aux_sym_echo_statement_token1] = ACTIONS(1174),
    [aux_sym_exit_statement_token1] = ACTIONS(1174),
    [anon_sym_unset] = ACTIONS(1174),
    [aux_sym_declare_statement_token1] = ACTIONS(1174),
    [aux_sym_declare_statement_token2] = ACTIONS(1174),
    [sym_float] = ACTIONS(1174),
    [aux_sym_try_statement_token1] = ACTIONS(1174),
    [aux_sym_goto_statement_token1] = ACTIONS(1174),
    [aux_sym_continue_statement_token1] = ACTIONS(1174),
    [aux_sym_break_statement_token1] = ACTIONS(1174),
    [sym_integer] = ACTIONS(1174),
    [aux_sym_return_statement_token1] = ACTIONS(1174),
    [aux_sym_throw_expression_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token1] = ACTIONS(1174),
    [aux_sym_while_statement_token2] = ACTIONS(1174),
    [aux_sym_do_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token1] = ACTIONS(1174),
    [aux_sym_for_statement_token2] = ACTIONS(1174),
    [aux_sym_foreach_statement_token1] = ACTIONS(1174),
    [aux_sym_foreach_statement_token2] = ACTIONS(1174),
    [aux_sym_if_statement_token1] = ACTIONS(1174),
    [aux_sym_if_statement_token2] = ACTIONS(1174),
    [aux_sym_else_if_clause_token1] = ACTIONS(1174),
    [aux_sym_else_clause_token1] = ACTIONS(1174),
    [aux_sym_match_expression_token1] = ACTIONS(1174),
    [aux_sym_match_default_expression_token1] = ACTIONS(1174),
    [aux_sym_switch_statement_token1] = ACTIONS(1174),
    [aux_sym_switch_block_token1] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1174),
    [anon_sym_DASH] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1172),
    [aux_sym_clone_expression_token1] = ACTIONS(1174),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1174),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1172),
    [anon_sym_PLUS_PLUS] = ACTIONS(1172),
    [aux_sym__list_destructing_token1] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(1172),
    [anon_sym_self] = ACTIONS(1174),
    [anon_sym_parent] = ACTIONS(1174),
    [aux_sym__argument_name_token1] = ACTIONS(1174),
    [aux_sym__argument_name_token2] = ACTIONS(1174),
    [anon_sym_POUND_LBRACK] = ACTIONS(1172),
    [aux_sym_encapsed_string_token1] = ACTIONS(1172),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [aux_sym_string_token1] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(1172),
    [anon_sym_LT_LT_LT] = ACTIONS(1172),
    [anon_sym_BQUOTE] = ACTIONS(1172),
    [anon_sym_DOLLAR] = ACTIONS(1172),
    [aux_sym_yield_expression_token1] = ACTIONS(1174),
    [aux_sym_include_expression_token1] = ACTIONS(1174),
    [aux_sym_include_once_expression_token1] = ACTIONS(1174),
    [aux_sym_require_expression_token1] = ACTIONS(1174),
    [aux_sym_require_once_expression_token1] = ACTIONS(1174),
    [sym_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_text_interpolation] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1176),
    [sym_name] = ACTIONS(1178),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1178),
    [aux_sym_global_declaration_token1] = ACTIONS(1178),
    [aux_sym_namespace_definition_token1] = ACTIONS(1178),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1178),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1178),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1178),
    [anon_sym_BSLASH] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1176),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [aux_sym_trait_declaration_token1] = ACTIONS(1178),
    [aux_sym_interface_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_declaration_token1] = ACTIONS(1178),
    [aux_sym_enum_case_token1] = ACTIONS(1178),
    [aux_sym_class_declaration_token1] = ACTIONS(1178),
    [aux_sym_final_modifier_token1] = ACTIONS(1178),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1178),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1178),
    [sym_var_modifier] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1178),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1178),
    [anon_sym_LPAREN2] = ACTIONS(1176),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1178),
    [aux_sym_cast_type_token1] = ACTIONS(1178),
    [aux_sym_echo_statement_token1] = ACTIONS(1178),
    [aux_sym_exit_statement_token1] = ACTIONS(1178),
    [anon_sym_unset] = ACTIONS(1178),
    [aux_sym_declare_statement_token1] = ACTIONS(1178),
    [aux_sym_declare_statement_token2] = ACTIONS(1178),
    [sym_float] = ACTIONS(1178),
    [aux_sym_try_statement_token1] = ACTIONS(1178),
    [aux_sym_goto_statement_token1] = ACTIONS(1178),
    [aux_sym_continue_statement_token1] = ACTIONS(1178),
    [aux_sym_break_statement_token1] = ACTIONS(1178),
    [sym_integer] = ACTIONS(1178),
    [aux_sym_return_statement_token1] = ACTIONS(1178),
    [aux_sym_throw_expression_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token1] = ACTIONS(1178),
    [aux_sym_while_statement_token2] = ACTIONS(1178),
    [aux_sym_do_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token1] = ACTIONS(1178),
    [aux_sym_for_statement_token2] = ACTIONS(1178),
    [aux_sym_foreach_statement_token1] = ACTIONS(1178),
    [aux_sym_foreach_statement_token2] = ACTIONS(1178),
    [aux_sym_if_statement_token1] = ACTIONS(1178),
    [aux_sym_if_statement_token2] = ACTIONS(1178),
    [aux_sym_else_if_clause_token1] = ACTIONS(1178),
    [aux_sym_else_clause_token1] = ACTIONS(1178),
    [aux_sym_match_expression_token1] = ACTIONS(1178),
    [aux_sym_match_default_expression_token1] = ACTIONS(1178),
    [aux_sym_switch_statement_token1] = ACTIONS(1178),
    [aux_sym_switch_block_token1] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1178),
    [anon_sym_DASH] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [aux_sym_clone_expression_token1] = ACTIONS(1178),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1178),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1176),
    [anon_sym_PLUS_PLUS] = ACTIONS(1176),
    [aux_sym__list_destructing_token1] = ACTIONS(1178),
    [anon_sym_LBRACK] = ACTIONS(1176),
    [anon_sym_self] = ACTIONS(1178),
    [anon_sym_parent] = ACTIONS(1178),
    [aux_sym__argument_name_token1] = ACTIONS(1178),
    [aux_sym__argument_name_token2] = ACTIONS(1178),
    [anon_sym_POUND_LBRACK] = ACTIONS(1176),
    [aux_sym_encapsed_string_token1] = ACTIONS(1176),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [aux_sym_string_token1] = ACTIONS(1176),
    [anon_sym_SQUOTE] = ACTIONS(1176),
    [anon_sym_LT_LT_LT] = ACTIONS(1176),
    [anon_sym_BQUOTE] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1176),
    [aux_sym_yield_expression_token1] = ACTIONS(1178),
    [aux_sym_include_expression_token1] = ACTIONS(1178),
    [aux_sym_include_once_expression_token1] = ACTIONS(1178),
    [aux_sym_require_expression_token1] = ACTIONS(1178),
    [aux_sym_require_once_expression_token1] = ACTIONS(1178),
    [sym_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_text_interpolation] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_name] = ACTIONS(1182),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1180),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1182),
    [aux_sym_global_declaration_token1] = ACTIONS(1182),
    [aux_sym_namespace_definition_token1] = ACTIONS(1182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1182),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1182),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1182),
    [anon_sym_BSLASH] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1180),
    [anon_sym_RBRACE] = ACTIONS(1180),
    [aux_sym_trait_declaration_token1] = ACTIONS(1182),
    [aux_sym_interface_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_declaration_token1] = ACTIONS(1182),
    [aux_sym_enum_case_token1] = ACTIONS(1182),
    [aux_sym_class_declaration_token1] = ACTIONS(1182),
    [aux_sym_final_modifier_token1] = ACTIONS(1182),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1182),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1182),
    [sym_var_modifier] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1182),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1182),
    [anon_sym_LPAREN2] = ACTIONS(1180),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1182),
    [aux_sym_cast_type_token1] = ACTIONS(1182),
    [aux_sym_echo_statement_token1] = ACTIONS(1182),
    [aux_sym_exit_statement_token1] = ACTIONS(1182),
    [anon_sym_unset] = ACTIONS(1182),
    [aux_sym_declare_statement_token1] = ACTIONS(1182),
    [aux_sym_declare_statement_token2] = ACTIONS(1182),
    [sym_float] = ACTIONS(1182),
    [aux_sym_try_statement_token1] = ACTIONS(1182),
    [aux_sym_goto_statement_token1] = ACTIONS(1182),
    [aux_sym_continue_statement_token1] = ACTIONS(1182),
    [aux_sym_break_statement_token1] = ACTIONS(1182),
    [sym_integer] = ACTIONS(1182),
    [aux_sym_return_statement_token1] = ACTIONS(1182),
    [aux_sym_throw_expression_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token1] = ACTIONS(1182),
    [aux_sym_while_statement_token2] = ACTIONS(1182),
    [aux_sym_do_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token1] = ACTIONS(1182),
    [aux_sym_for_statement_token2] = ACTIONS(1182),
    [aux_sym_foreach_statement_token1] = ACTIONS(1182),
    [aux_sym_foreach_statement_token2] = ACTIONS(1182),
    [aux_sym_if_statement_token1] = ACTIONS(1182),
    [aux_sym_if_statement_token2] = ACTIONS(1182),
    [aux_sym_else_if_clause_token1] = ACTIONS(1182),
    [aux_sym_else_clause_token1] = ACTIONS(1182),
    [aux_sym_match_expression_token1] = ACTIONS(1182),
    [aux_sym_match_default_expression_token1] = ACTIONS(1182),
    [aux_sym_switch_statement_token1] = ACTIONS(1182),
    [aux_sym_switch_block_token1] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1182),
    [anon_sym_DASH] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [aux_sym_clone_expression_token1] = ACTIONS(1182),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1182),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1180),
    [anon_sym_PLUS_PLUS] = ACTIONS(1180),
    [aux_sym__list_destructing_token1] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_self] = ACTIONS(1182),
    [anon_sym_parent] = ACTIONS(1182),
    [aux_sym__argument_name_token1] = ACTIONS(1182),
    [aux_sym__argument_name_token2] = ACTIONS(1182),
    [anon_sym_POUND_LBRACK] = ACTIONS(1180),
    [aux_sym_encapsed_string_token1] = ACTIONS(1180),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [aux_sym_string_token1] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(1180),
    [anon_sym_LT_LT_LT] = ACTIONS(1180),
    [anon_sym_BQUOTE] = ACTIONS(1180),
    [anon_sym_DOLLAR] = ACTIONS(1180),
    [aux_sym_yield_expression_token1] = ACTIONS(1182),
    [aux_sym_include_expression_token1] = ACTIONS(1182),
    [aux_sym_include_once_expression_token1] = ACTIONS(1182),
    [aux_sym_require_expression_token1] = ACTIONS(1182),
    [aux_sym_require_once_expression_token1] = ACTIONS(1182),
    [sym_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_text_interpolation] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1184),
    [sym_name] = ACTIONS(1186),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1184),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1186),
    [aux_sym_global_declaration_token1] = ACTIONS(1186),
    [aux_sym_namespace_definition_token1] = ACTIONS(1186),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1186),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1186),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1186),
    [anon_sym_BSLASH] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1184),
    [anon_sym_RBRACE] = ACTIONS(1184),
    [aux_sym_trait_declaration_token1] = ACTIONS(1186),
    [aux_sym_interface_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_declaration_token1] = ACTIONS(1186),
    [aux_sym_enum_case_token1] = ACTIONS(1186),
    [aux_sym_class_declaration_token1] = ACTIONS(1186),
    [aux_sym_final_modifier_token1] = ACTIONS(1186),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1186),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1186),
    [sym_var_modifier] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1186),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1186),
    [anon_sym_LPAREN2] = ACTIONS(1184),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1186),
    [aux_sym_cast_type_token1] = ACTIONS(1186),
    [aux_sym_echo_statement_token1] = ACTIONS(1186),
    [aux_sym_exit_statement_token1] = ACTIONS(1186),
    [anon_sym_unset] = ACTIONS(1186),
    [aux_sym_declare_statement_token1] = ACTIONS(1186),
    [aux_sym_declare_statement_token2] = ACTIONS(1186),
    [sym_float] = ACTIONS(1186),
    [aux_sym_try_statement_token1] = ACTIONS(1186),
    [aux_sym_goto_statement_token1] = ACTIONS(1186),
    [aux_sym_continue_statement_token1] = ACTIONS(1186),
    [aux_sym_break_statement_token1] = ACTIONS(1186),
    [sym_integer] = ACTIONS(1186),
    [aux_sym_return_statement_token1] = ACTIONS(1186),
    [aux_sym_throw_expression_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token1] = ACTIONS(1186),
    [aux_sym_while_statement_token2] = ACTIONS(1186),
    [aux_sym_do_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token1] = ACTIONS(1186),
    [aux_sym_for_statement_token2] = ACTIONS(1186),
    [aux_sym_foreach_statement_token1] = ACTIONS(1186),
    [aux_sym_foreach_statement_token2] = ACTIONS(1186),
    [aux_sym_if_statement_token1] = ACTIONS(1186),
    [aux_sym_if_statement_token2] = ACTIONS(1186),
    [aux_sym_else_if_clause_token1] = ACTIONS(1186),
    [aux_sym_else_clause_token1] = ACTIONS(1186),
    [aux_sym_match_expression_token1] = ACTIONS(1186),
    [aux_sym_match_default_expression_token1] = ACTIONS(1186),
    [aux_sym_switch_statement_token1] = ACTIONS(1186),
    [aux_sym_switch_block_token1] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [aux_sym_clone_expression_token1] = ACTIONS(1186),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1186),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1184),
    [anon_sym_PLUS_PLUS] = ACTIONS(1184),
    [aux_sym__list_destructing_token1] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1184),
    [anon_sym_self] = ACTIONS(1186),
    [anon_sym_parent] = ACTIONS(1186),
    [aux_sym__argument_name_token1] = ACTIONS(1186),
    [aux_sym__argument_name_token2] = ACTIONS(1186),
    [anon_sym_POUND_LBRACK] = ACTIONS(1184),
    [aux_sym_encapsed_string_token1] = ACTIONS(1184),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [aux_sym_string_token1] = ACTIONS(1184),
    [anon_sym_SQUOTE] = ACTIONS(1184),
    [anon_sym_LT_LT_LT] = ACTIONS(1184),
    [anon_sym_BQUOTE] = ACTIONS(1184),
    [anon_sym_DOLLAR] = ACTIONS(1184),
    [aux_sym_yield_expression_token1] = ACTIONS(1186),
    [aux_sym_include_expression_token1] = ACTIONS(1186),
    [aux_sym_include_once_expression_token1] = ACTIONS(1186),
    [aux_sym_require_expression_token1] = ACTIONS(1186),
    [aux_sym_require_once_expression_token1] = ACTIONS(1186),
    [sym_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_text_interpolation] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1188),
    [sym_name] = ACTIONS(1190),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1188),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1190),
    [aux_sym_global_declaration_token1] = ACTIONS(1190),
    [aux_sym_namespace_definition_token1] = ACTIONS(1190),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1190),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1190),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1190),
    [anon_sym_BSLASH] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1188),
    [anon_sym_RBRACE] = ACTIONS(1188),
    [aux_sym_trait_declaration_token1] = ACTIONS(1190),
    [aux_sym_interface_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_declaration_token1] = ACTIONS(1190),
    [aux_sym_enum_case_token1] = ACTIONS(1190),
    [aux_sym_class_declaration_token1] = ACTIONS(1190),
    [aux_sym_final_modifier_token1] = ACTIONS(1190),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1190),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1190),
    [sym_var_modifier] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1190),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1190),
    [anon_sym_LPAREN2] = ACTIONS(1188),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1190),
    [aux_sym_cast_type_token1] = ACTIONS(1190),
    [aux_sym_echo_statement_token1] = ACTIONS(1190),
    [aux_sym_exit_statement_token1] = ACTIONS(1190),
    [anon_sym_unset] = ACTIONS(1190),
    [aux_sym_declare_statement_token1] = ACTIONS(1190),
    [aux_sym_declare_statement_token2] = ACTIONS(1190),
    [sym_float] = ACTIONS(1190),
    [aux_sym_try_statement_token1] = ACTIONS(1190),
    [aux_sym_goto_statement_token1] = ACTIONS(1190),
    [aux_sym_continue_statement_token1] = ACTIONS(1190),
    [aux_sym_break_statement_token1] = ACTIONS(1190),
    [sym_integer] = ACTIONS(1190),
    [aux_sym_return_statement_token1] = ACTIONS(1190),
    [aux_sym_throw_expression_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token1] = ACTIONS(1190),
    [aux_sym_while_statement_token2] = ACTIONS(1190),
    [aux_sym_do_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token1] = ACTIONS(1190),
    [aux_sym_for_statement_token2] = ACTIONS(1190),
    [aux_sym_foreach_statement_token1] = ACTIONS(1190),
    [aux_sym_foreach_statement_token2] = ACTIONS(1190),
    [aux_sym_if_statement_token1] = ACTIONS(1190),
    [aux_sym_if_statement_token2] = ACTIONS(1190),
    [aux_sym_else_if_clause_token1] = ACTIONS(1190),
    [aux_sym_else_clause_token1] = ACTIONS(1190),
    [aux_sym_match_expression_token1] = ACTIONS(1190),
    [aux_sym_match_default_expression_token1] = ACTIONS(1190),
    [aux_sym_switch_statement_token1] = ACTIONS(1190),
    [aux_sym_switch_block_token1] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [aux_sym_clone_expression_token1] = ACTIONS(1190),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1190),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1188),
    [anon_sym_PLUS_PLUS] = ACTIONS(1188),
    [aux_sym__list_destructing_token1] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1188),
    [anon_sym_self] = ACTIONS(1190),
    [anon_sym_parent] = ACTIONS(1190),
    [aux_sym__argument_name_token1] = ACTIONS(1190),
    [aux_sym__argument_name_token2] = ACTIONS(1190),
    [anon_sym_POUND_LBRACK] = ACTIONS(1188),
    [aux_sym_encapsed_string_token1] = ACTIONS(1188),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [aux_sym_string_token1] = ACTIONS(1188),
    [anon_sym_SQUOTE] = ACTIONS(1188),
    [anon_sym_LT_LT_LT] = ACTIONS(1188),
    [anon_sym_BQUOTE] = ACTIONS(1188),
    [anon_sym_DOLLAR] = ACTIONS(1188),
    [aux_sym_yield_expression_token1] = ACTIONS(1190),
    [aux_sym_include_expression_token1] = ACTIONS(1190),
    [aux_sym_include_once_expression_token1] = ACTIONS(1190),
    [aux_sym_require_expression_token1] = ACTIONS(1190),
    [aux_sym_require_once_expression_token1] = ACTIONS(1190),
    [sym_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_text_interpolation] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_name] = ACTIONS(1194),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1192),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1194),
    [aux_sym_global_declaration_token1] = ACTIONS(1194),
    [aux_sym_namespace_definition_token1] = ACTIONS(1194),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1194),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1194),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1194),
    [anon_sym_BSLASH] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [aux_sym_trait_declaration_token1] = ACTIONS(1194),
    [aux_sym_interface_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_declaration_token1] = ACTIONS(1194),
    [aux_sym_enum_case_token1] = ACTIONS(1194),
    [aux_sym_class_declaration_token1] = ACTIONS(1194),
    [aux_sym_final_modifier_token1] = ACTIONS(1194),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1194),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1194),
    [sym_var_modifier] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1194),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1194),
    [anon_sym_LPAREN2] = ACTIONS(1192),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1194),
    [aux_sym_cast_type_token1] = ACTIONS(1194),
    [aux_sym_echo_statement_token1] = ACTIONS(1194),
    [aux_sym_exit_statement_token1] = ACTIONS(1194),
    [anon_sym_unset] = ACTIONS(1194),
    [aux_sym_declare_statement_token1] = ACTIONS(1194),
    [aux_sym_declare_statement_token2] = ACTIONS(1194),
    [sym_float] = ACTIONS(1194),
    [aux_sym_try_statement_token1] = ACTIONS(1194),
    [aux_sym_goto_statement_token1] = ACTIONS(1194),
    [aux_sym_continue_statement_token1] = ACTIONS(1194),
    [aux_sym_break_statement_token1] = ACTIONS(1194),
    [sym_integer] = ACTIONS(1194),
    [aux_sym_return_statement_token1] = ACTIONS(1194),
    [aux_sym_throw_expression_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token1] = ACTIONS(1194),
    [aux_sym_while_statement_token2] = ACTIONS(1194),
    [aux_sym_do_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token1] = ACTIONS(1194),
    [aux_sym_for_statement_token2] = ACTIONS(1194),
    [aux_sym_foreach_statement_token1] = ACTIONS(1194),
    [aux_sym_foreach_statement_token2] = ACTIONS(1194),
    [aux_sym_if_statement_token1] = ACTIONS(1194),
    [aux_sym_if_statement_token2] = ACTIONS(1194),
    [aux_sym_else_if_clause_token1] = ACTIONS(1194),
    [aux_sym_else_clause_token1] = ACTIONS(1194),
    [aux_sym_match_expression_token1] = ACTIONS(1194),
    [aux_sym_match_default_expression_token1] = ACTIONS(1194),
    [aux_sym_switch_statement_token1] = ACTIONS(1194),
    [aux_sym_switch_block_token1] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [aux_sym_clone_expression_token1] = ACTIONS(1194),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1194),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [aux_sym__list_destructing_token1] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_self] = ACTIONS(1194),
    [anon_sym_parent] = ACTIONS(1194),
    [aux_sym__argument_name_token1] = ACTIONS(1194),
    [aux_sym__argument_name_token2] = ACTIONS(1194),
    [anon_sym_POUND_LBRACK] = ACTIONS(1192),
    [aux_sym_encapsed_string_token1] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [aux_sym_string_token1] = ACTIONS(1192),
    [anon_sym_SQUOTE] = ACTIONS(1192),
    [anon_sym_LT_LT_LT] = ACTIONS(1192),
    [anon_sym_BQUOTE] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1192),
    [aux_sym_yield_expression_token1] = ACTIONS(1194),
    [aux_sym_include_expression_token1] = ACTIONS(1194),
    [aux_sym_include_once_expression_token1] = ACTIONS(1194),
    [aux_sym_require_expression_token1] = ACTIONS(1194),
    [aux_sym_require_once_expression_token1] = ACTIONS(1194),
    [sym_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_text_interpolation] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_name] = ACTIONS(1198),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1196),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1198),
    [aux_sym_global_declaration_token1] = ACTIONS(1198),
    [aux_sym_namespace_definition_token1] = ACTIONS(1198),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1198),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1198),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1198),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [aux_sym_trait_declaration_token1] = ACTIONS(1198),
    [aux_sym_interface_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_declaration_token1] = ACTIONS(1198),
    [aux_sym_enum_case_token1] = ACTIONS(1198),
    [aux_sym_class_declaration_token1] = ACTIONS(1198),
    [aux_sym_final_modifier_token1] = ACTIONS(1198),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1198),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1198),
    [sym_var_modifier] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1198),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1198),
    [anon_sym_LPAREN2] = ACTIONS(1196),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1198),
    [aux_sym_cast_type_token1] = ACTIONS(1198),
    [aux_sym_echo_statement_token1] = ACTIONS(1198),
    [aux_sym_exit_statement_token1] = ACTIONS(1198),
    [anon_sym_unset] = ACTIONS(1198),
    [aux_sym_declare_statement_token1] = ACTIONS(1198),
    [aux_sym_declare_statement_token2] = ACTIONS(1198),
    [sym_float] = ACTIONS(1198),
    [aux_sym_try_statement_token1] = ACTIONS(1198),
    [aux_sym_goto_statement_token1] = ACTIONS(1198),
    [aux_sym_continue_statement_token1] = ACTIONS(1198),
    [aux_sym_break_statement_token1] = ACTIONS(1198),
    [sym_integer] = ACTIONS(1198),
    [aux_sym_return_statement_token1] = ACTIONS(1198),
    [aux_sym_throw_expression_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token1] = ACTIONS(1198),
    [aux_sym_while_statement_token2] = ACTIONS(1198),
    [aux_sym_do_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token1] = ACTIONS(1198),
    [aux_sym_for_statement_token2] = ACTIONS(1198),
    [aux_sym_foreach_statement_token1] = ACTIONS(1198),
    [aux_sym_foreach_statement_token2] = ACTIONS(1198),
    [aux_sym_if_statement_token1] = ACTIONS(1198),
    [aux_sym_if_statement_token2] = ACTIONS(1198),
    [aux_sym_else_if_clause_token1] = ACTIONS(1198),
    [aux_sym_else_clause_token1] = ACTIONS(1198),
    [aux_sym_match_expression_token1] = ACTIONS(1198),
    [aux_sym_match_default_expression_token1] = ACTIONS(1198),
    [aux_sym_switch_statement_token1] = ACTIONS(1198),
    [aux_sym_switch_block_token1] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AT] = ACTIONS(1196),
    [aux_sym_clone_expression_token1] = ACTIONS(1198),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1198),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [aux_sym__list_destructing_token1] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_self] = ACTIONS(1198),
    [anon_sym_parent] = ACTIONS(1198),
    [aux_sym__argument_name_token1] = ACTIONS(1198),
    [aux_sym__argument_name_token2] = ACTIONS(1198),
    [anon_sym_POUND_LBRACK] = ACTIONS(1196),
    [aux_sym_encapsed_string_token1] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1196),
    [aux_sym_string_token1] = ACTIONS(1196),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_LT_LT_LT] = ACTIONS(1196),
    [anon_sym_BQUOTE] = ACTIONS(1196),
    [anon_sym_DOLLAR] = ACTIONS(1196),
    [aux_sym_yield_expression_token1] = ACTIONS(1198),
    [aux_sym_include_expression_token1] = ACTIONS(1198),
    [aux_sym_include_once_expression_token1] = ACTIONS(1198),
    [aux_sym_require_expression_token1] = ACTIONS(1198),
    [aux_sym_require_once_expression_token1] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_text_interpolation] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_name] = ACTIONS(1202),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1200),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1202),
    [aux_sym_global_declaration_token1] = ACTIONS(1202),
    [aux_sym_namespace_definition_token1] = ACTIONS(1202),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1202),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1202),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1202),
    [anon_sym_BSLASH] = ACTIONS(1200),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [aux_sym_trait_declaration_token1] = ACTIONS(1202),
    [aux_sym_interface_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_declaration_token1] = ACTIONS(1202),
    [aux_sym_enum_case_token1] = ACTIONS(1202),
    [aux_sym_class_declaration_token1] = ACTIONS(1202),
    [aux_sym_final_modifier_token1] = ACTIONS(1202),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1202),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1202),
    [sym_var_modifier] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1202),
    [anon_sym_LPAREN2] = ACTIONS(1200),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1202),
    [aux_sym_cast_type_token1] = ACTIONS(1202),
    [aux_sym_echo_statement_token1] = ACTIONS(1202),
    [aux_sym_exit_statement_token1] = ACTIONS(1202),
    [anon_sym_unset] = ACTIONS(1202),
    [aux_sym_declare_statement_token1] = ACTIONS(1202),
    [aux_sym_declare_statement_token2] = ACTIONS(1202),
    [sym_float] = ACTIONS(1202),
    [aux_sym_try_statement_token1] = ACTIONS(1202),
    [aux_sym_goto_statement_token1] = ACTIONS(1202),
    [aux_sym_continue_statement_token1] = ACTIONS(1202),
    [aux_sym_break_statement_token1] = ACTIONS(1202),
    [sym_integer] = ACTIONS(1202),
    [aux_sym_return_statement_token1] = ACTIONS(1202),
    [aux_sym_throw_expression_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token1] = ACTIONS(1202),
    [aux_sym_while_statement_token2] = ACTIONS(1202),
    [aux_sym_do_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token1] = ACTIONS(1202),
    [aux_sym_for_statement_token2] = ACTIONS(1202),
    [aux_sym_foreach_statement_token1] = ACTIONS(1202),
    [aux_sym_foreach_statement_token2] = ACTIONS(1202),
    [aux_sym_if_statement_token1] = ACTIONS(1202),
    [aux_sym_if_statement_token2] = ACTIONS(1202),
    [aux_sym_else_if_clause_token1] = ACTIONS(1202),
    [aux_sym_else_clause_token1] = ACTIONS(1202),
    [aux_sym_match_expression_token1] = ACTIONS(1202),
    [aux_sym_match_default_expression_token1] = ACTIONS(1202),
    [aux_sym_switch_statement_token1] = ACTIONS(1202),
    [aux_sym_switch_block_token1] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1200),
    [anon_sym_AT] = ACTIONS(1200),
    [aux_sym_clone_expression_token1] = ACTIONS(1202),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1202),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [aux_sym__list_destructing_token1] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_self] = ACTIONS(1202),
    [anon_sym_parent] = ACTIONS(1202),
    [aux_sym__argument_name_token1] = ACTIONS(1202),
    [aux_sym__argument_name_token2] = ACTIONS(1202),
    [anon_sym_POUND_LBRACK] = ACTIONS(1200),
    [aux_sym_encapsed_string_token1] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [aux_sym_string_token1] = ACTIONS(1200),
    [anon_sym_SQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_BQUOTE] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1200),
    [aux_sym_yield_expression_token1] = ACTIONS(1202),
    [aux_sym_include_expression_token1] = ACTIONS(1202),
    [aux_sym_include_once_expression_token1] = ACTIONS(1202),
    [aux_sym_require_expression_token1] = ACTIONS(1202),
    [aux_sym_require_once_expression_token1] = ACTIONS(1202),
    [sym_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_text_interpolation] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_name] = ACTIONS(1206),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1204),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1206),
    [aux_sym_global_declaration_token1] = ACTIONS(1206),
    [aux_sym_namespace_definition_token1] = ACTIONS(1206),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1206),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1206),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1206),
    [anon_sym_BSLASH] = ACTIONS(1204),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [aux_sym_trait_declaration_token1] = ACTIONS(1206),
    [aux_sym_interface_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_declaration_token1] = ACTIONS(1206),
    [aux_sym_enum_case_token1] = ACTIONS(1206),
    [aux_sym_class_declaration_token1] = ACTIONS(1206),
    [aux_sym_final_modifier_token1] = ACTIONS(1206),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1206),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1206),
    [sym_var_modifier] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1206),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1206),
    [anon_sym_LPAREN2] = ACTIONS(1204),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1206),
    [aux_sym_cast_type_token1] = ACTIONS(1206),
    [aux_sym_echo_statement_token1] = ACTIONS(1206),
    [aux_sym_exit_statement_token1] = ACTIONS(1206),
    [anon_sym_unset] = ACTIONS(1206),
    [aux_sym_declare_statement_token1] = ACTIONS(1206),
    [aux_sym_declare_statement_token2] = ACTIONS(1206),
    [sym_float] = ACTIONS(1206),
    [aux_sym_try_statement_token1] = ACTIONS(1206),
    [aux_sym_goto_statement_token1] = ACTIONS(1206),
    [aux_sym_continue_statement_token1] = ACTIONS(1206),
    [aux_sym_break_statement_token1] = ACTIONS(1206),
    [sym_integer] = ACTIONS(1206),
    [aux_sym_return_statement_token1] = ACTIONS(1206),
    [aux_sym_throw_expression_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token1] = ACTIONS(1206),
    [aux_sym_while_statement_token2] = ACTIONS(1206),
    [aux_sym_do_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token1] = ACTIONS(1206),
    [aux_sym_for_statement_token2] = ACTIONS(1206),
    [aux_sym_foreach_statement_token1] = ACTIONS(1206),
    [aux_sym_foreach_statement_token2] = ACTIONS(1206),
    [aux_sym_if_statement_token1] = ACTIONS(1206),
    [aux_sym_if_statement_token2] = ACTIONS(1206),
    [aux_sym_else_if_clause_token1] = ACTIONS(1206),
    [aux_sym_else_clause_token1] = ACTIONS(1206),
    [aux_sym_match_expression_token1] = ACTIONS(1206),
    [aux_sym_match_default_expression_token1] = ACTIONS(1206),
    [aux_sym_switch_statement_token1] = ACTIONS(1206),
    [aux_sym_switch_block_token1] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_AT] = ACTIONS(1204),
    [aux_sym_clone_expression_token1] = ACTIONS(1206),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1206),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1206),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [aux_sym__list_destructing_token1] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_self] = ACTIONS(1206),
    [anon_sym_parent] = ACTIONS(1206),
    [aux_sym__argument_name_token1] = ACTIONS(1206),
    [aux_sym__argument_name_token2] = ACTIONS(1206),
    [anon_sym_POUND_LBRACK] = ACTIONS(1204),
    [aux_sym_encapsed_string_token1] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1204),
    [aux_sym_string_token1] = ACTIONS(1204),
    [anon_sym_SQUOTE] = ACTIONS(1204),
    [anon_sym_LT_LT_LT] = ACTIONS(1204),
    [anon_sym_BQUOTE] = ACTIONS(1204),
    [anon_sym_DOLLAR] = ACTIONS(1204),
    [aux_sym_yield_expression_token1] = ACTIONS(1206),
    [aux_sym_include_expression_token1] = ACTIONS(1206),
    [aux_sym_include_once_expression_token1] = ACTIONS(1206),
    [aux_sym_require_expression_token1] = ACTIONS(1206),
    [aux_sym_require_once_expression_token1] = ACTIONS(1206),
    [sym_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_text_interpolation] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_name] = ACTIONS(1210),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1208),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1210),
    [aux_sym_global_declaration_token1] = ACTIONS(1210),
    [aux_sym_namespace_definition_token1] = ACTIONS(1210),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1210),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1210),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1210),
    [anon_sym_BSLASH] = ACTIONS(1208),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [aux_sym_trait_declaration_token1] = ACTIONS(1210),
    [aux_sym_interface_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_declaration_token1] = ACTIONS(1210),
    [aux_sym_enum_case_token1] = ACTIONS(1210),
    [aux_sym_class_declaration_token1] = ACTIONS(1210),
    [aux_sym_final_modifier_token1] = ACTIONS(1210),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1210),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1210),
    [sym_var_modifier] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1210),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1210),
    [anon_sym_LPAREN2] = ACTIONS(1208),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1210),
    [aux_sym_cast_type_token1] = ACTIONS(1210),
    [aux_sym_echo_statement_token1] = ACTIONS(1210),
    [aux_sym_exit_statement_token1] = ACTIONS(1210),
    [anon_sym_unset] = ACTIONS(1210),
    [aux_sym_declare_statement_token1] = ACTIONS(1210),
    [aux_sym_declare_statement_token2] = ACTIONS(1210),
    [sym_float] = ACTIONS(1210),
    [aux_sym_try_statement_token1] = ACTIONS(1210),
    [aux_sym_goto_statement_token1] = ACTIONS(1210),
    [aux_sym_continue_statement_token1] = ACTIONS(1210),
    [aux_sym_break_statement_token1] = ACTIONS(1210),
    [sym_integer] = ACTIONS(1210),
    [aux_sym_return_statement_token1] = ACTIONS(1210),
    [aux_sym_throw_expression_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token1] = ACTIONS(1210),
    [aux_sym_while_statement_token2] = ACTIONS(1210),
    [aux_sym_do_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token1] = ACTIONS(1210),
    [aux_sym_for_statement_token2] = ACTIONS(1210),
    [aux_sym_foreach_statement_token1] = ACTIONS(1210),
    [aux_sym_foreach_statement_token2] = ACTIONS(1210),
    [aux_sym_if_statement_token1] = ACTIONS(1210),
    [aux_sym_if_statement_token2] = ACTIONS(1210),
    [aux_sym_else_if_clause_token1] = ACTIONS(1210),
    [aux_sym_else_clause_token1] = ACTIONS(1210),
    [aux_sym_match_expression_token1] = ACTIONS(1210),
    [aux_sym_match_default_expression_token1] = ACTIONS(1210),
    [aux_sym_switch_statement_token1] = ACTIONS(1210),
    [aux_sym_switch_block_token1] = ACTIONS(1210),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AT] = ACTIONS(1208),
    [aux_sym_clone_expression_token1] = ACTIONS(1210),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1210),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [aux_sym__list_destructing_token1] = ACTIONS(1210),
    [anon_sym_LBRACK] = ACTIONS(1208),
    [anon_sym_self] = ACTIONS(1210),
    [anon_sym_parent] = ACTIONS(1210),
    [aux_sym__argument_name_token1] = ACTIONS(1210),
    [aux_sym__argument_name_token2] = ACTIONS(1210),
    [anon_sym_POUND_LBRACK] = ACTIONS(1208),
    [aux_sym_encapsed_string_token1] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [aux_sym_string_token1] = ACTIONS(1208),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [aux_sym_yield_expression_token1] = ACTIONS(1210),
    [aux_sym_include_expression_token1] = ACTIONS(1210),
    [aux_sym_include_once_expression_token1] = ACTIONS(1210),
    [aux_sym_require_expression_token1] = ACTIONS(1210),
    [aux_sym_require_once_expression_token1] = ACTIONS(1210),
    [sym_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_text_interpolation] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1212),
    [sym_name] = ACTIONS(1214),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1212),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1214),
    [aux_sym_global_declaration_token1] = ACTIONS(1214),
    [aux_sym_namespace_definition_token1] = ACTIONS(1214),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1214),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1214),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1214),
    [anon_sym_BSLASH] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1212),
    [anon_sym_RBRACE] = ACTIONS(1212),
    [aux_sym_trait_declaration_token1] = ACTIONS(1214),
    [aux_sym_interface_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_declaration_token1] = ACTIONS(1214),
    [aux_sym_enum_case_token1] = ACTIONS(1214),
    [aux_sym_class_declaration_token1] = ACTIONS(1214),
    [aux_sym_final_modifier_token1] = ACTIONS(1214),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1214),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1214),
    [sym_var_modifier] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1214),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1214),
    [anon_sym_LPAREN2] = ACTIONS(1212),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1214),
    [aux_sym_cast_type_token1] = ACTIONS(1214),
    [aux_sym_echo_statement_token1] = ACTIONS(1214),
    [aux_sym_exit_statement_token1] = ACTIONS(1214),
    [anon_sym_unset] = ACTIONS(1214),
    [aux_sym_declare_statement_token1] = ACTIONS(1214),
    [aux_sym_declare_statement_token2] = ACTIONS(1214),
    [sym_float] = ACTIONS(1214),
    [aux_sym_try_statement_token1] = ACTIONS(1214),
    [aux_sym_goto_statement_token1] = ACTIONS(1214),
    [aux_sym_continue_statement_token1] = ACTIONS(1214),
    [aux_sym_break_statement_token1] = ACTIONS(1214),
    [sym_integer] = ACTIONS(1214),
    [aux_sym_return_statement_token1] = ACTIONS(1214),
    [aux_sym_throw_expression_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token1] = ACTIONS(1214),
    [aux_sym_while_statement_token2] = ACTIONS(1214),
    [aux_sym_do_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token1] = ACTIONS(1214),
    [aux_sym_for_statement_token2] = ACTIONS(1214),
    [aux_sym_foreach_statement_token1] = ACTIONS(1214),
    [aux_sym_foreach_statement_token2] = ACTIONS(1214),
    [aux_sym_if_statement_token1] = ACTIONS(1214),
    [aux_sym_if_statement_token2] = ACTIONS(1214),
    [aux_sym_else_if_clause_token1] = ACTIONS(1214),
    [aux_sym_else_clause_token1] = ACTIONS(1214),
    [aux_sym_match_expression_token1] = ACTIONS(1214),
    [aux_sym_match_default_expression_token1] = ACTIONS(1214),
    [aux_sym_switch_statement_token1] = ACTIONS(1214),
    [aux_sym_switch_block_token1] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_TILDE] = ACTIONS(1212),
    [anon_sym_BANG] = ACTIONS(1212),
    [anon_sym_AT] = ACTIONS(1212),
    [aux_sym_clone_expression_token1] = ACTIONS(1214),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1214),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1212),
    [anon_sym_PLUS_PLUS] = ACTIONS(1212),
    [aux_sym__list_destructing_token1] = ACTIONS(1214),
    [anon_sym_LBRACK] = ACTIONS(1212),
    [anon_sym_self] = ACTIONS(1214),
    [anon_sym_parent] = ACTIONS(1214),
    [aux_sym__argument_name_token1] = ACTIONS(1214),
    [aux_sym__argument_name_token2] = ACTIONS(1214),
    [anon_sym_POUND_LBRACK] = ACTIONS(1212),
    [aux_sym_encapsed_string_token1] = ACTIONS(1212),
    [anon_sym_DQUOTE] = ACTIONS(1212),
    [aux_sym_string_token1] = ACTIONS(1212),
    [anon_sym_SQUOTE] = ACTIONS(1212),
    [anon_sym_LT_LT_LT] = ACTIONS(1212),
    [anon_sym_BQUOTE] = ACTIONS(1212),
    [anon_sym_DOLLAR] = ACTIONS(1212),
    [aux_sym_yield_expression_token1] = ACTIONS(1214),
    [aux_sym_include_expression_token1] = ACTIONS(1214),
    [aux_sym_include_once_expression_token1] = ACTIONS(1214),
    [aux_sym_require_expression_token1] = ACTIONS(1214),
    [aux_sym_require_once_expression_token1] = ACTIONS(1214),
    [sym_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_text_interpolation] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_name] = ACTIONS(1218),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1216),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1218),
    [aux_sym_global_declaration_token1] = ACTIONS(1218),
    [aux_sym_namespace_definition_token1] = ACTIONS(1218),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1218),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1218),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1218),
    [anon_sym_BSLASH] = ACTIONS(1216),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [aux_sym_trait_declaration_token1] = ACTIONS(1218),
    [aux_sym_interface_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_declaration_token1] = ACTIONS(1218),
    [aux_sym_enum_case_token1] = ACTIONS(1218),
    [aux_sym_class_declaration_token1] = ACTIONS(1218),
    [aux_sym_final_modifier_token1] = ACTIONS(1218),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1218),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1218),
    [sym_var_modifier] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1218),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1218),
    [anon_sym_LPAREN2] = ACTIONS(1216),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1218),
    [aux_sym_cast_type_token1] = ACTIONS(1218),
    [aux_sym_echo_statement_token1] = ACTIONS(1218),
    [aux_sym_exit_statement_token1] = ACTIONS(1218),
    [anon_sym_unset] = ACTIONS(1218),
    [aux_sym_declare_statement_token1] = ACTIONS(1218),
    [aux_sym_declare_statement_token2] = ACTIONS(1218),
    [sym_float] = ACTIONS(1218),
    [aux_sym_try_statement_token1] = ACTIONS(1218),
    [aux_sym_goto_statement_token1] = ACTIONS(1218),
    [aux_sym_continue_statement_token1] = ACTIONS(1218),
    [aux_sym_break_statement_token1] = ACTIONS(1218),
    [sym_integer] = ACTIONS(1218),
    [aux_sym_return_statement_token1] = ACTIONS(1218),
    [aux_sym_throw_expression_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token1] = ACTIONS(1218),
    [aux_sym_while_statement_token2] = ACTIONS(1218),
    [aux_sym_do_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token1] = ACTIONS(1218),
    [aux_sym_for_statement_token2] = ACTIONS(1218),
    [aux_sym_foreach_statement_token1] = ACTIONS(1218),
    [aux_sym_foreach_statement_token2] = ACTIONS(1218),
    [aux_sym_if_statement_token1] = ACTIONS(1218),
    [aux_sym_if_statement_token2] = ACTIONS(1218),
    [aux_sym_else_if_clause_token1] = ACTIONS(1218),
    [aux_sym_else_clause_token1] = ACTIONS(1218),
    [aux_sym_match_expression_token1] = ACTIONS(1218),
    [aux_sym_match_default_expression_token1] = ACTIONS(1218),
    [aux_sym_switch_statement_token1] = ACTIONS(1218),
    [aux_sym_switch_block_token1] = ACTIONS(1218),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_AT] = ACTIONS(1216),
    [aux_sym_clone_expression_token1] = ACTIONS(1218),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1218),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1218),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [aux_sym__list_destructing_token1] = ACTIONS(1218),
    [anon_sym_LBRACK] = ACTIONS(1216),
    [anon_sym_self] = ACTIONS(1218),
    [anon_sym_parent] = ACTIONS(1218),
    [aux_sym__argument_name_token1] = ACTIONS(1218),
    [aux_sym__argument_name_token2] = ACTIONS(1218),
    [anon_sym_POUND_LBRACK] = ACTIONS(1216),
    [aux_sym_encapsed_string_token1] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [aux_sym_string_token1] = ACTIONS(1216),
    [anon_sym_SQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_BQUOTE] = ACTIONS(1216),
    [anon_sym_DOLLAR] = ACTIONS(1216),
    [aux_sym_yield_expression_token1] = ACTIONS(1218),
    [aux_sym_include_expression_token1] = ACTIONS(1218),
    [aux_sym_include_once_expression_token1] = ACTIONS(1218),
    [aux_sym_require_expression_token1] = ACTIONS(1218),
    [aux_sym_require_once_expression_token1] = ACTIONS(1218),
    [sym_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_text_interpolation] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_name] = ACTIONS(1222),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1220),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1222),
    [aux_sym_global_declaration_token1] = ACTIONS(1222),
    [aux_sym_namespace_definition_token1] = ACTIONS(1222),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1222),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1222),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1222),
    [anon_sym_BSLASH] = ACTIONS(1220),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [aux_sym_trait_declaration_token1] = ACTIONS(1222),
    [aux_sym_interface_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_declaration_token1] = ACTIONS(1222),
    [aux_sym_enum_case_token1] = ACTIONS(1222),
    [aux_sym_class_declaration_token1] = ACTIONS(1222),
    [aux_sym_final_modifier_token1] = ACTIONS(1222),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1222),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1222),
    [sym_var_modifier] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1222),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1222),
    [anon_sym_LPAREN2] = ACTIONS(1220),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1222),
    [aux_sym_cast_type_token1] = ACTIONS(1222),
    [aux_sym_echo_statement_token1] = ACTIONS(1222),
    [aux_sym_exit_statement_token1] = ACTIONS(1222),
    [anon_sym_unset] = ACTIONS(1222),
    [aux_sym_declare_statement_token1] = ACTIONS(1222),
    [aux_sym_declare_statement_token2] = ACTIONS(1222),
    [sym_float] = ACTIONS(1222),
    [aux_sym_try_statement_token1] = ACTIONS(1222),
    [aux_sym_goto_statement_token1] = ACTIONS(1222),
    [aux_sym_continue_statement_token1] = ACTIONS(1222),
    [aux_sym_break_statement_token1] = ACTIONS(1222),
    [sym_integer] = ACTIONS(1222),
    [aux_sym_return_statement_token1] = ACTIONS(1222),
    [aux_sym_throw_expression_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token1] = ACTIONS(1222),
    [aux_sym_while_statement_token2] = ACTIONS(1222),
    [aux_sym_do_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token1] = ACTIONS(1222),
    [aux_sym_for_statement_token2] = ACTIONS(1222),
    [aux_sym_foreach_statement_token1] = ACTIONS(1222),
    [aux_sym_foreach_statement_token2] = ACTIONS(1222),
    [aux_sym_if_statement_token1] = ACTIONS(1222),
    [aux_sym_if_statement_token2] = ACTIONS(1222),
    [aux_sym_else_if_clause_token1] = ACTIONS(1222),
    [aux_sym_else_clause_token1] = ACTIONS(1222),
    [aux_sym_match_expression_token1] = ACTIONS(1222),
    [aux_sym_match_default_expression_token1] = ACTIONS(1222),
    [aux_sym_switch_statement_token1] = ACTIONS(1222),
    [aux_sym_switch_block_token1] = ACTIONS(1222),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(1220),
    [aux_sym_clone_expression_token1] = ACTIONS(1222),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1222),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1222),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [aux_sym__list_destructing_token1] = ACTIONS(1222),
    [anon_sym_LBRACK] = ACTIONS(1220),
    [anon_sym_self] = ACTIONS(1222),
    [anon_sym_parent] = ACTIONS(1222),
    [aux_sym__argument_name_token1] = ACTIONS(1222),
    [aux_sym__argument_name_token2] = ACTIONS(1222),
    [anon_sym_POUND_LBRACK] = ACTIONS(1220),
    [aux_sym_encapsed_string_token1] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [aux_sym_string_token1] = ACTIONS(1220),
    [anon_sym_SQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [aux_sym_yield_expression_token1] = ACTIONS(1222),
    [aux_sym_include_expression_token1] = ACTIONS(1222),
    [aux_sym_include_once_expression_token1] = ACTIONS(1222),
    [aux_sym_require_expression_token1] = ACTIONS(1222),
    [aux_sym_require_once_expression_token1] = ACTIONS(1222),
    [sym_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_text_interpolation] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_name] = ACTIONS(1226),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1224),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1226),
    [aux_sym_global_declaration_token1] = ACTIONS(1226),
    [aux_sym_namespace_definition_token1] = ACTIONS(1226),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1226),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1226),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1226),
    [anon_sym_BSLASH] = ACTIONS(1224),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [aux_sym_trait_declaration_token1] = ACTIONS(1226),
    [aux_sym_interface_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_declaration_token1] = ACTIONS(1226),
    [aux_sym_enum_case_token1] = ACTIONS(1226),
    [aux_sym_class_declaration_token1] = ACTIONS(1226),
    [aux_sym_final_modifier_token1] = ACTIONS(1226),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1226),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1226),
    [sym_var_modifier] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1226),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1226),
    [anon_sym_LPAREN2] = ACTIONS(1224),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1226),
    [aux_sym_cast_type_token1] = ACTIONS(1226),
    [aux_sym_echo_statement_token1] = ACTIONS(1226),
    [aux_sym_exit_statement_token1] = ACTIONS(1226),
    [anon_sym_unset] = ACTIONS(1226),
    [aux_sym_declare_statement_token1] = ACTIONS(1226),
    [aux_sym_declare_statement_token2] = ACTIONS(1226),
    [sym_float] = ACTIONS(1226),
    [aux_sym_try_statement_token1] = ACTIONS(1226),
    [aux_sym_goto_statement_token1] = ACTIONS(1226),
    [aux_sym_continue_statement_token1] = ACTIONS(1226),
    [aux_sym_break_statement_token1] = ACTIONS(1226),
    [sym_integer] = ACTIONS(1226),
    [aux_sym_return_statement_token1] = ACTIONS(1226),
    [aux_sym_throw_expression_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token1] = ACTIONS(1226),
    [aux_sym_while_statement_token2] = ACTIONS(1226),
    [aux_sym_do_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token1] = ACTIONS(1226),
    [aux_sym_for_statement_token2] = ACTIONS(1226),
    [aux_sym_foreach_statement_token1] = ACTIONS(1226),
    [aux_sym_foreach_statement_token2] = ACTIONS(1226),
    [aux_sym_if_statement_token1] = ACTIONS(1226),
    [aux_sym_if_statement_token2] = ACTIONS(1226),
    [aux_sym_else_if_clause_token1] = ACTIONS(1226),
    [aux_sym_else_clause_token1] = ACTIONS(1226),
    [aux_sym_match_expression_token1] = ACTIONS(1226),
    [aux_sym_match_default_expression_token1] = ACTIONS(1226),
    [aux_sym_switch_statement_token1] = ACTIONS(1226),
    [aux_sym_switch_block_token1] = ACTIONS(1226),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_AT] = ACTIONS(1224),
    [aux_sym_clone_expression_token1] = ACTIONS(1226),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1226),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1226),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [aux_sym__list_destructing_token1] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_self] = ACTIONS(1226),
    [anon_sym_parent] = ACTIONS(1226),
    [aux_sym__argument_name_token1] = ACTIONS(1226),
    [aux_sym__argument_name_token2] = ACTIONS(1226),
    [anon_sym_POUND_LBRACK] = ACTIONS(1224),
    [aux_sym_encapsed_string_token1] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [aux_sym_string_token1] = ACTIONS(1224),
    [anon_sym_SQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [aux_sym_yield_expression_token1] = ACTIONS(1226),
    [aux_sym_include_expression_token1] = ACTIONS(1226),
    [aux_sym_include_once_expression_token1] = ACTIONS(1226),
    [aux_sym_require_expression_token1] = ACTIONS(1226),
    [aux_sym_require_once_expression_token1] = ACTIONS(1226),
    [sym_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_text_interpolation] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1228),
    [sym_name] = ACTIONS(1230),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1228),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1230),
    [aux_sym_global_declaration_token1] = ACTIONS(1230),
    [aux_sym_namespace_definition_token1] = ACTIONS(1230),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1230),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1230),
    [anon_sym_BSLASH] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1228),
    [anon_sym_RBRACE] = ACTIONS(1228),
    [aux_sym_trait_declaration_token1] = ACTIONS(1230),
    [aux_sym_interface_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_declaration_token1] = ACTIONS(1230),
    [aux_sym_enum_case_token1] = ACTIONS(1230),
    [aux_sym_class_declaration_token1] = ACTIONS(1230),
    [aux_sym_final_modifier_token1] = ACTIONS(1230),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1230),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1230),
    [sym_var_modifier] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1230),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1230),
    [anon_sym_LPAREN2] = ACTIONS(1228),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1230),
    [aux_sym_cast_type_token1] = ACTIONS(1230),
    [aux_sym_echo_statement_token1] = ACTIONS(1230),
    [aux_sym_exit_statement_token1] = ACTIONS(1230),
    [anon_sym_unset] = ACTIONS(1230),
    [aux_sym_declare_statement_token1] = ACTIONS(1230),
    [aux_sym_declare_statement_token2] = ACTIONS(1230),
    [sym_float] = ACTIONS(1230),
    [aux_sym_try_statement_token1] = ACTIONS(1230),
    [aux_sym_goto_statement_token1] = ACTIONS(1230),
    [aux_sym_continue_statement_token1] = ACTIONS(1230),
    [aux_sym_break_statement_token1] = ACTIONS(1230),
    [sym_integer] = ACTIONS(1230),
    [aux_sym_return_statement_token1] = ACTIONS(1230),
    [aux_sym_throw_expression_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token1] = ACTIONS(1230),
    [aux_sym_while_statement_token2] = ACTIONS(1230),
    [aux_sym_do_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token1] = ACTIONS(1230),
    [aux_sym_for_statement_token2] = ACTIONS(1230),
    [aux_sym_foreach_statement_token1] = ACTIONS(1230),
    [aux_sym_foreach_statement_token2] = ACTIONS(1230),
    [aux_sym_if_statement_token1] = ACTIONS(1230),
    [aux_sym_if_statement_token2] = ACTIONS(1230),
    [aux_sym_else_if_clause_token1] = ACTIONS(1230),
    [aux_sym_else_clause_token1] = ACTIONS(1230),
    [aux_sym_match_expression_token1] = ACTIONS(1230),
    [aux_sym_match_default_expression_token1] = ACTIONS(1230),
    [aux_sym_switch_statement_token1] = ACTIONS(1230),
    [aux_sym_switch_block_token1] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1230),
    [anon_sym_DASH] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [aux_sym_clone_expression_token1] = ACTIONS(1230),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1230),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [aux_sym__list_destructing_token1] = ACTIONS(1230),
    [anon_sym_LBRACK] = ACTIONS(1228),
    [anon_sym_self] = ACTIONS(1230),
    [anon_sym_parent] = ACTIONS(1230),
    [aux_sym__argument_name_token1] = ACTIONS(1230),
    [aux_sym__argument_name_token2] = ACTIONS(1230),
    [anon_sym_POUND_LBRACK] = ACTIONS(1228),
    [aux_sym_encapsed_string_token1] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [aux_sym_string_token1] = ACTIONS(1228),
    [anon_sym_SQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [aux_sym_yield_expression_token1] = ACTIONS(1230),
    [aux_sym_include_expression_token1] = ACTIONS(1230),
    [aux_sym_include_once_expression_token1] = ACTIONS(1230),
    [aux_sym_require_expression_token1] = ACTIONS(1230),
    [aux_sym_require_once_expression_token1] = ACTIONS(1230),
    [sym_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_text_interpolation] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_name] = ACTIONS(1234),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1232),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1234),
    [aux_sym_global_declaration_token1] = ACTIONS(1234),
    [aux_sym_namespace_definition_token1] = ACTIONS(1234),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1234),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1234),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1234),
    [anon_sym_BSLASH] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [aux_sym_trait_declaration_token1] = ACTIONS(1234),
    [aux_sym_interface_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_declaration_token1] = ACTIONS(1234),
    [aux_sym_enum_case_token1] = ACTIONS(1234),
    [aux_sym_class_declaration_token1] = ACTIONS(1234),
    [aux_sym_final_modifier_token1] = ACTIONS(1234),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1234),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1234),
    [sym_var_modifier] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1234),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1234),
    [anon_sym_LPAREN2] = ACTIONS(1232),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1234),
    [aux_sym_cast_type_token1] = ACTIONS(1234),
    [aux_sym_echo_statement_token1] = ACTIONS(1234),
    [aux_sym_exit_statement_token1] = ACTIONS(1234),
    [anon_sym_unset] = ACTIONS(1234),
    [aux_sym_declare_statement_token1] = ACTIONS(1234),
    [aux_sym_declare_statement_token2] = ACTIONS(1234),
    [sym_float] = ACTIONS(1234),
    [aux_sym_try_statement_token1] = ACTIONS(1234),
    [aux_sym_goto_statement_token1] = ACTIONS(1234),
    [aux_sym_continue_statement_token1] = ACTIONS(1234),
    [aux_sym_break_statement_token1] = ACTIONS(1234),
    [sym_integer] = ACTIONS(1234),
    [aux_sym_return_statement_token1] = ACTIONS(1234),
    [aux_sym_throw_expression_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token1] = ACTIONS(1234),
    [aux_sym_while_statement_token2] = ACTIONS(1234),
    [aux_sym_do_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token1] = ACTIONS(1234),
    [aux_sym_for_statement_token2] = ACTIONS(1234),
    [aux_sym_foreach_statement_token1] = ACTIONS(1234),
    [aux_sym_foreach_statement_token2] = ACTIONS(1234),
    [aux_sym_if_statement_token1] = ACTIONS(1234),
    [aux_sym_if_statement_token2] = ACTIONS(1234),
    [aux_sym_else_if_clause_token1] = ACTIONS(1234),
    [aux_sym_else_clause_token1] = ACTIONS(1234),
    [aux_sym_match_expression_token1] = ACTIONS(1234),
    [aux_sym_match_default_expression_token1] = ACTIONS(1234),
    [aux_sym_switch_statement_token1] = ACTIONS(1234),
    [aux_sym_switch_block_token1] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [aux_sym_clone_expression_token1] = ACTIONS(1234),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1234),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [aux_sym__list_destructing_token1] = ACTIONS(1234),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_self] = ACTIONS(1234),
    [anon_sym_parent] = ACTIONS(1234),
    [aux_sym__argument_name_token1] = ACTIONS(1234),
    [aux_sym__argument_name_token2] = ACTIONS(1234),
    [anon_sym_POUND_LBRACK] = ACTIONS(1232),
    [aux_sym_encapsed_string_token1] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [aux_sym_string_token1] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [aux_sym_yield_expression_token1] = ACTIONS(1234),
    [aux_sym_include_expression_token1] = ACTIONS(1234),
    [aux_sym_include_once_expression_token1] = ACTIONS(1234),
    [aux_sym_require_expression_token1] = ACTIONS(1234),
    [aux_sym_require_once_expression_token1] = ACTIONS(1234),
    [sym_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_text_interpolation] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_name] = ACTIONS(1238),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1236),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1238),
    [aux_sym_global_declaration_token1] = ACTIONS(1238),
    [aux_sym_namespace_definition_token1] = ACTIONS(1238),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1238),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1238),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1238),
    [anon_sym_BSLASH] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [aux_sym_trait_declaration_token1] = ACTIONS(1238),
    [aux_sym_interface_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_declaration_token1] = ACTIONS(1238),
    [aux_sym_enum_case_token1] = ACTIONS(1238),
    [aux_sym_class_declaration_token1] = ACTIONS(1238),
    [aux_sym_final_modifier_token1] = ACTIONS(1238),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1238),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1238),
    [sym_var_modifier] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1238),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1238),
    [anon_sym_LPAREN2] = ACTIONS(1236),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1238),
    [aux_sym_cast_type_token1] = ACTIONS(1238),
    [aux_sym_echo_statement_token1] = ACTIONS(1238),
    [aux_sym_exit_statement_token1] = ACTIONS(1238),
    [anon_sym_unset] = ACTIONS(1238),
    [aux_sym_declare_statement_token1] = ACTIONS(1238),
    [aux_sym_declare_statement_token2] = ACTIONS(1238),
    [sym_float] = ACTIONS(1238),
    [aux_sym_try_statement_token1] = ACTIONS(1238),
    [aux_sym_goto_statement_token1] = ACTIONS(1238),
    [aux_sym_continue_statement_token1] = ACTIONS(1238),
    [aux_sym_break_statement_token1] = ACTIONS(1238),
    [sym_integer] = ACTIONS(1238),
    [aux_sym_return_statement_token1] = ACTIONS(1238),
    [aux_sym_throw_expression_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token1] = ACTIONS(1238),
    [aux_sym_while_statement_token2] = ACTIONS(1238),
    [aux_sym_do_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token1] = ACTIONS(1238),
    [aux_sym_for_statement_token2] = ACTIONS(1238),
    [aux_sym_foreach_statement_token1] = ACTIONS(1238),
    [aux_sym_foreach_statement_token2] = ACTIONS(1238),
    [aux_sym_if_statement_token1] = ACTIONS(1238),
    [aux_sym_if_statement_token2] = ACTIONS(1238),
    [aux_sym_else_if_clause_token1] = ACTIONS(1238),
    [aux_sym_else_clause_token1] = ACTIONS(1238),
    [aux_sym_match_expression_token1] = ACTIONS(1238),
    [aux_sym_match_default_expression_token1] = ACTIONS(1238),
    [aux_sym_switch_statement_token1] = ACTIONS(1238),
    [aux_sym_switch_block_token1] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [aux_sym_clone_expression_token1] = ACTIONS(1238),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1238),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [aux_sym__list_destructing_token1] = ACTIONS(1238),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_self] = ACTIONS(1238),
    [anon_sym_parent] = ACTIONS(1238),
    [aux_sym__argument_name_token1] = ACTIONS(1238),
    [aux_sym__argument_name_token2] = ACTIONS(1238),
    [anon_sym_POUND_LBRACK] = ACTIONS(1236),
    [aux_sym_encapsed_string_token1] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [aux_sym_string_token1] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [aux_sym_yield_expression_token1] = ACTIONS(1238),
    [aux_sym_include_expression_token1] = ACTIONS(1238),
    [aux_sym_include_once_expression_token1] = ACTIONS(1238),
    [aux_sym_require_expression_token1] = ACTIONS(1238),
    [aux_sym_require_once_expression_token1] = ACTIONS(1238),
    [sym_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_text_interpolation] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_name] = ACTIONS(1242),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1240),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1242),
    [aux_sym_global_declaration_token1] = ACTIONS(1242),
    [aux_sym_namespace_definition_token1] = ACTIONS(1242),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1242),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1242),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1242),
    [anon_sym_BSLASH] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [aux_sym_trait_declaration_token1] = ACTIONS(1242),
    [aux_sym_interface_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_declaration_token1] = ACTIONS(1242),
    [aux_sym_enum_case_token1] = ACTIONS(1242),
    [aux_sym_class_declaration_token1] = ACTIONS(1242),
    [aux_sym_final_modifier_token1] = ACTIONS(1242),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1242),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1242),
    [sym_var_modifier] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1242),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1242),
    [anon_sym_LPAREN2] = ACTIONS(1240),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1242),
    [aux_sym_cast_type_token1] = ACTIONS(1242),
    [aux_sym_echo_statement_token1] = ACTIONS(1242),
    [aux_sym_exit_statement_token1] = ACTIONS(1242),
    [anon_sym_unset] = ACTIONS(1242),
    [aux_sym_declare_statement_token1] = ACTIONS(1242),
    [aux_sym_declare_statement_token2] = ACTIONS(1242),
    [sym_float] = ACTIONS(1242),
    [aux_sym_try_statement_token1] = ACTIONS(1242),
    [aux_sym_goto_statement_token1] = ACTIONS(1242),
    [aux_sym_continue_statement_token1] = ACTIONS(1242),
    [aux_sym_break_statement_token1] = ACTIONS(1242),
    [sym_integer] = ACTIONS(1242),
    [aux_sym_return_statement_token1] = ACTIONS(1242),
    [aux_sym_throw_expression_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token1] = ACTIONS(1242),
    [aux_sym_while_statement_token2] = ACTIONS(1242),
    [aux_sym_do_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token1] = ACTIONS(1242),
    [aux_sym_for_statement_token2] = ACTIONS(1242),
    [aux_sym_foreach_statement_token1] = ACTIONS(1242),
    [aux_sym_foreach_statement_token2] = ACTIONS(1242),
    [aux_sym_if_statement_token1] = ACTIONS(1242),
    [aux_sym_if_statement_token2] = ACTIONS(1242),
    [aux_sym_else_if_clause_token1] = ACTIONS(1242),
    [aux_sym_else_clause_token1] = ACTIONS(1242),
    [aux_sym_match_expression_token1] = ACTIONS(1242),
    [aux_sym_match_default_expression_token1] = ACTIONS(1242),
    [aux_sym_switch_statement_token1] = ACTIONS(1242),
    [aux_sym_switch_block_token1] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [aux_sym_clone_expression_token1] = ACTIONS(1242),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1242),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [aux_sym__list_destructing_token1] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_self] = ACTIONS(1242),
    [anon_sym_parent] = ACTIONS(1242),
    [aux_sym__argument_name_token1] = ACTIONS(1242),
    [aux_sym__argument_name_token2] = ACTIONS(1242),
    [anon_sym_POUND_LBRACK] = ACTIONS(1240),
    [aux_sym_encapsed_string_token1] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [aux_sym_string_token1] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [aux_sym_yield_expression_token1] = ACTIONS(1242),
    [aux_sym_include_expression_token1] = ACTIONS(1242),
    [aux_sym_include_once_expression_token1] = ACTIONS(1242),
    [aux_sym_require_expression_token1] = ACTIONS(1242),
    [aux_sym_require_once_expression_token1] = ACTIONS(1242),
    [sym_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_text_interpolation] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_name] = ACTIONS(1246),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1244),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1246),
    [aux_sym_global_declaration_token1] = ACTIONS(1246),
    [aux_sym_namespace_definition_token1] = ACTIONS(1246),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1246),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1246),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1246),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [aux_sym_trait_declaration_token1] = ACTIONS(1246),
    [aux_sym_interface_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_declaration_token1] = ACTIONS(1246),
    [aux_sym_enum_case_token1] = ACTIONS(1246),
    [aux_sym_class_declaration_token1] = ACTIONS(1246),
    [aux_sym_final_modifier_token1] = ACTIONS(1246),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1246),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1246),
    [sym_var_modifier] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1246),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1246),
    [anon_sym_LPAREN2] = ACTIONS(1244),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1246),
    [aux_sym_cast_type_token1] = ACTIONS(1246),
    [aux_sym_echo_statement_token1] = ACTIONS(1246),
    [aux_sym_exit_statement_token1] = ACTIONS(1246),
    [anon_sym_unset] = ACTIONS(1246),
    [aux_sym_declare_statement_token1] = ACTIONS(1246),
    [aux_sym_declare_statement_token2] = ACTIONS(1246),
    [sym_float] = ACTIONS(1246),
    [aux_sym_try_statement_token1] = ACTIONS(1246),
    [aux_sym_goto_statement_token1] = ACTIONS(1246),
    [aux_sym_continue_statement_token1] = ACTIONS(1246),
    [aux_sym_break_statement_token1] = ACTIONS(1246),
    [sym_integer] = ACTIONS(1246),
    [aux_sym_return_statement_token1] = ACTIONS(1246),
    [aux_sym_throw_expression_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token1] = ACTIONS(1246),
    [aux_sym_while_statement_token2] = ACTIONS(1246),
    [aux_sym_do_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token1] = ACTIONS(1246),
    [aux_sym_for_statement_token2] = ACTIONS(1246),
    [aux_sym_foreach_statement_token1] = ACTIONS(1246),
    [aux_sym_foreach_statement_token2] = ACTIONS(1246),
    [aux_sym_if_statement_token1] = ACTIONS(1246),
    [aux_sym_if_statement_token2] = ACTIONS(1246),
    [aux_sym_else_if_clause_token1] = ACTIONS(1246),
    [aux_sym_else_clause_token1] = ACTIONS(1246),
    [aux_sym_match_expression_token1] = ACTIONS(1246),
    [aux_sym_match_default_expression_token1] = ACTIONS(1246),
    [aux_sym_switch_statement_token1] = ACTIONS(1246),
    [aux_sym_switch_block_token1] = ACTIONS(1246),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [aux_sym_clone_expression_token1] = ACTIONS(1246),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1246),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1246),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [aux_sym__list_destructing_token1] = ACTIONS(1246),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_self] = ACTIONS(1246),
    [anon_sym_parent] = ACTIONS(1246),
    [aux_sym__argument_name_token1] = ACTIONS(1246),
    [aux_sym__argument_name_token2] = ACTIONS(1246),
    [anon_sym_POUND_LBRACK] = ACTIONS(1244),
    [aux_sym_encapsed_string_token1] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [aux_sym_string_token1] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [aux_sym_yield_expression_token1] = ACTIONS(1246),
    [aux_sym_include_expression_token1] = ACTIONS(1246),
    [aux_sym_include_once_expression_token1] = ACTIONS(1246),
    [aux_sym_require_expression_token1] = ACTIONS(1246),
    [aux_sym_require_once_expression_token1] = ACTIONS(1246),
    [sym_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_text_interpolation] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1248),
    [sym_name] = ACTIONS(1250),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1248),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1250),
    [aux_sym_global_declaration_token1] = ACTIONS(1250),
    [aux_sym_namespace_definition_token1] = ACTIONS(1250),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1250),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1250),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1250),
    [anon_sym_BSLASH] = ACTIONS(1248),
    [anon_sym_LBRACE] = ACTIONS(1248),
    [anon_sym_RBRACE] = ACTIONS(1248),
    [aux_sym_trait_declaration_token1] = ACTIONS(1250),
    [aux_sym_interface_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_declaration_token1] = ACTIONS(1250),
    [aux_sym_enum_case_token1] = ACTIONS(1250),
    [aux_sym_class_declaration_token1] = ACTIONS(1250),
    [aux_sym_final_modifier_token1] = ACTIONS(1250),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1250),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1250),
    [sym_var_modifier] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1250),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1250),
    [anon_sym_LPAREN2] = ACTIONS(1248),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1250),
    [aux_sym_cast_type_token1] = ACTIONS(1250),
    [aux_sym_echo_statement_token1] = ACTIONS(1250),
    [aux_sym_exit_statement_token1] = ACTIONS(1250),
    [anon_sym_unset] = ACTIONS(1250),
    [aux_sym_declare_statement_token1] = ACTIONS(1250),
    [aux_sym_declare_statement_token2] = ACTIONS(1250),
    [sym_float] = ACTIONS(1250),
    [aux_sym_try_statement_token1] = ACTIONS(1250),
    [aux_sym_goto_statement_token1] = ACTIONS(1250),
    [aux_sym_continue_statement_token1] = ACTIONS(1250),
    [aux_sym_break_statement_token1] = ACTIONS(1250),
    [sym_integer] = ACTIONS(1250),
    [aux_sym_return_statement_token1] = ACTIONS(1250),
    [aux_sym_throw_expression_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token1] = ACTIONS(1250),
    [aux_sym_while_statement_token2] = ACTIONS(1250),
    [aux_sym_do_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token1] = ACTIONS(1250),
    [aux_sym_for_statement_token2] = ACTIONS(1250),
    [aux_sym_foreach_statement_token1] = ACTIONS(1250),
    [aux_sym_foreach_statement_token2] = ACTIONS(1250),
    [aux_sym_if_statement_token1] = ACTIONS(1250),
    [aux_sym_if_statement_token2] = ACTIONS(1250),
    [aux_sym_else_if_clause_token1] = ACTIONS(1250),
    [aux_sym_else_clause_token1] = ACTIONS(1250),
    [aux_sym_match_expression_token1] = ACTIONS(1250),
    [aux_sym_match_default_expression_token1] = ACTIONS(1250),
    [aux_sym_switch_statement_token1] = ACTIONS(1250),
    [aux_sym_switch_block_token1] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_TILDE] = ACTIONS(1248),
    [anon_sym_BANG] = ACTIONS(1248),
    [anon_sym_AT] = ACTIONS(1248),
    [aux_sym_clone_expression_token1] = ACTIONS(1250),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1250),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1250),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [aux_sym__list_destructing_token1] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1248),
    [anon_sym_self] = ACTIONS(1250),
    [anon_sym_parent] = ACTIONS(1250),
    [aux_sym__argument_name_token1] = ACTIONS(1250),
    [aux_sym__argument_name_token2] = ACTIONS(1250),
    [anon_sym_POUND_LBRACK] = ACTIONS(1248),
    [aux_sym_encapsed_string_token1] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [aux_sym_string_token1] = ACTIONS(1248),
    [anon_sym_SQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [aux_sym_yield_expression_token1] = ACTIONS(1250),
    [aux_sym_include_expression_token1] = ACTIONS(1250),
    [aux_sym_include_once_expression_token1] = ACTIONS(1250),
    [aux_sym_require_expression_token1] = ACTIONS(1250),
    [aux_sym_require_once_expression_token1] = ACTIONS(1250),
    [sym_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_text_interpolation] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1252),
    [sym_name] = ACTIONS(1254),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1252),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1254),
    [aux_sym_global_declaration_token1] = ACTIONS(1254),
    [aux_sym_namespace_definition_token1] = ACTIONS(1254),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1254),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1254),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1254),
    [anon_sym_BSLASH] = ACTIONS(1252),
    [anon_sym_LBRACE] = ACTIONS(1252),
    [anon_sym_RBRACE] = ACTIONS(1252),
    [aux_sym_trait_declaration_token1] = ACTIONS(1254),
    [aux_sym_interface_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_declaration_token1] = ACTIONS(1254),
    [aux_sym_enum_case_token1] = ACTIONS(1254),
    [aux_sym_class_declaration_token1] = ACTIONS(1254),
    [aux_sym_final_modifier_token1] = ACTIONS(1254),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1254),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1254),
    [sym_var_modifier] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1254),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1254),
    [anon_sym_LPAREN2] = ACTIONS(1252),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1254),
    [aux_sym_cast_type_token1] = ACTIONS(1254),
    [aux_sym_echo_statement_token1] = ACTIONS(1254),
    [aux_sym_exit_statement_token1] = ACTIONS(1254),
    [anon_sym_unset] = ACTIONS(1254),
    [aux_sym_declare_statement_token1] = ACTIONS(1254),
    [aux_sym_declare_statement_token2] = ACTIONS(1254),
    [sym_float] = ACTIONS(1254),
    [aux_sym_try_statement_token1] = ACTIONS(1254),
    [aux_sym_goto_statement_token1] = ACTIONS(1254),
    [aux_sym_continue_statement_token1] = ACTIONS(1254),
    [aux_sym_break_statement_token1] = ACTIONS(1254),
    [sym_integer] = ACTIONS(1254),
    [aux_sym_return_statement_token1] = ACTIONS(1254),
    [aux_sym_throw_expression_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token1] = ACTIONS(1254),
    [aux_sym_while_statement_token2] = ACTIONS(1254),
    [aux_sym_do_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token1] = ACTIONS(1254),
    [aux_sym_for_statement_token2] = ACTIONS(1254),
    [aux_sym_foreach_statement_token1] = ACTIONS(1254),
    [aux_sym_foreach_statement_token2] = ACTIONS(1254),
    [aux_sym_if_statement_token1] = ACTIONS(1254),
    [aux_sym_if_statement_token2] = ACTIONS(1254),
    [aux_sym_else_if_clause_token1] = ACTIONS(1254),
    [aux_sym_else_clause_token1] = ACTIONS(1254),
    [aux_sym_match_expression_token1] = ACTIONS(1254),
    [aux_sym_match_default_expression_token1] = ACTIONS(1254),
    [aux_sym_switch_statement_token1] = ACTIONS(1254),
    [aux_sym_switch_block_token1] = ACTIONS(1254),
    [anon_sym_PLUS] = ACTIONS(1254),
    [anon_sym_DASH] = ACTIONS(1254),
    [anon_sym_TILDE] = ACTIONS(1252),
    [anon_sym_BANG] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [aux_sym_clone_expression_token1] = ACTIONS(1254),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1254),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1254),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [aux_sym__list_destructing_token1] = ACTIONS(1254),
    [anon_sym_LBRACK] = ACTIONS(1252),
    [anon_sym_self] = ACTIONS(1254),
    [anon_sym_parent] = ACTIONS(1254),
    [aux_sym__argument_name_token1] = ACTIONS(1254),
    [aux_sym__argument_name_token2] = ACTIONS(1254),
    [anon_sym_POUND_LBRACK] = ACTIONS(1252),
    [aux_sym_encapsed_string_token1] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [aux_sym_string_token1] = ACTIONS(1252),
    [anon_sym_SQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [aux_sym_yield_expression_token1] = ACTIONS(1254),
    [aux_sym_include_expression_token1] = ACTIONS(1254),
    [aux_sym_include_once_expression_token1] = ACTIONS(1254),
    [aux_sym_require_expression_token1] = ACTIONS(1254),
    [aux_sym_require_once_expression_token1] = ACTIONS(1254),
    [sym_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_text_interpolation] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1256),
    [sym_name] = ACTIONS(1258),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1256),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1258),
    [aux_sym_global_declaration_token1] = ACTIONS(1258),
    [aux_sym_namespace_definition_token1] = ACTIONS(1258),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1258),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1258),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1258),
    [anon_sym_BSLASH] = ACTIONS(1256),
    [anon_sym_LBRACE] = ACTIONS(1256),
    [anon_sym_RBRACE] = ACTIONS(1256),
    [aux_sym_trait_declaration_token1] = ACTIONS(1258),
    [aux_sym_interface_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_declaration_token1] = ACTIONS(1258),
    [aux_sym_enum_case_token1] = ACTIONS(1258),
    [aux_sym_class_declaration_token1] = ACTIONS(1258),
    [aux_sym_final_modifier_token1] = ACTIONS(1258),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1258),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1258),
    [sym_var_modifier] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1258),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1258),
    [anon_sym_LPAREN2] = ACTIONS(1256),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1258),
    [aux_sym_cast_type_token1] = ACTIONS(1258),
    [aux_sym_echo_statement_token1] = ACTIONS(1258),
    [aux_sym_exit_statement_token1] = ACTIONS(1258),
    [anon_sym_unset] = ACTIONS(1258),
    [aux_sym_declare_statement_token1] = ACTIONS(1258),
    [aux_sym_declare_statement_token2] = ACTIONS(1258),
    [sym_float] = ACTIONS(1258),
    [aux_sym_try_statement_token1] = ACTIONS(1258),
    [aux_sym_goto_statement_token1] = ACTIONS(1258),
    [aux_sym_continue_statement_token1] = ACTIONS(1258),
    [aux_sym_break_statement_token1] = ACTIONS(1258),
    [sym_integer] = ACTIONS(1258),
    [aux_sym_return_statement_token1] = ACTIONS(1258),
    [aux_sym_throw_expression_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token1] = ACTIONS(1258),
    [aux_sym_while_statement_token2] = ACTIONS(1258),
    [aux_sym_do_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token1] = ACTIONS(1258),
    [aux_sym_for_statement_token2] = ACTIONS(1258),
    [aux_sym_foreach_statement_token1] = ACTIONS(1258),
    [aux_sym_foreach_statement_token2] = ACTIONS(1258),
    [aux_sym_if_statement_token1] = ACTIONS(1258),
    [aux_sym_if_statement_token2] = ACTIONS(1258),
    [aux_sym_else_if_clause_token1] = ACTIONS(1258),
    [aux_sym_else_clause_token1] = ACTIONS(1258),
    [aux_sym_match_expression_token1] = ACTIONS(1258),
    [aux_sym_match_default_expression_token1] = ACTIONS(1258),
    [aux_sym_switch_statement_token1] = ACTIONS(1258),
    [aux_sym_switch_block_token1] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1258),
    [anon_sym_TILDE] = ACTIONS(1256),
    [anon_sym_BANG] = ACTIONS(1256),
    [anon_sym_AT] = ACTIONS(1256),
    [aux_sym_clone_expression_token1] = ACTIONS(1258),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1258),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [aux_sym__list_destructing_token1] = ACTIONS(1258),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_self] = ACTIONS(1258),
    [anon_sym_parent] = ACTIONS(1258),
    [aux_sym__argument_name_token1] = ACTIONS(1258),
    [aux_sym__argument_name_token2] = ACTIONS(1258),
    [anon_sym_POUND_LBRACK] = ACTIONS(1256),
    [aux_sym_encapsed_string_token1] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [aux_sym_string_token1] = ACTIONS(1256),
    [anon_sym_SQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [aux_sym_yield_expression_token1] = ACTIONS(1258),
    [aux_sym_include_expression_token1] = ACTIONS(1258),
    [aux_sym_include_once_expression_token1] = ACTIONS(1258),
    [aux_sym_require_expression_token1] = ACTIONS(1258),
    [aux_sym_require_once_expression_token1] = ACTIONS(1258),
    [sym_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_text_interpolation] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1260),
    [sym_name] = ACTIONS(1262),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1260),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1262),
    [aux_sym_global_declaration_token1] = ACTIONS(1262),
    [aux_sym_namespace_definition_token1] = ACTIONS(1262),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1262),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1262),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1262),
    [anon_sym_BSLASH] = ACTIONS(1260),
    [anon_sym_LBRACE] = ACTIONS(1260),
    [anon_sym_RBRACE] = ACTIONS(1260),
    [aux_sym_trait_declaration_token1] = ACTIONS(1262),
    [aux_sym_interface_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_declaration_token1] = ACTIONS(1262),
    [aux_sym_enum_case_token1] = ACTIONS(1262),
    [aux_sym_class_declaration_token1] = ACTIONS(1262),
    [aux_sym_final_modifier_token1] = ACTIONS(1262),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1262),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1262),
    [sym_var_modifier] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1262),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1262),
    [anon_sym_LPAREN2] = ACTIONS(1260),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1262),
    [aux_sym_cast_type_token1] = ACTIONS(1262),
    [aux_sym_echo_statement_token1] = ACTIONS(1262),
    [aux_sym_exit_statement_token1] = ACTIONS(1262),
    [anon_sym_unset] = ACTIONS(1262),
    [aux_sym_declare_statement_token1] = ACTIONS(1262),
    [aux_sym_declare_statement_token2] = ACTIONS(1262),
    [sym_float] = ACTIONS(1262),
    [aux_sym_try_statement_token1] = ACTIONS(1262),
    [aux_sym_goto_statement_token1] = ACTIONS(1262),
    [aux_sym_continue_statement_token1] = ACTIONS(1262),
    [aux_sym_break_statement_token1] = ACTIONS(1262),
    [sym_integer] = ACTIONS(1262),
    [aux_sym_return_statement_token1] = ACTIONS(1262),
    [aux_sym_throw_expression_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token1] = ACTIONS(1262),
    [aux_sym_while_statement_token2] = ACTIONS(1262),
    [aux_sym_do_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token1] = ACTIONS(1262),
    [aux_sym_for_statement_token2] = ACTIONS(1262),
    [aux_sym_foreach_statement_token1] = ACTIONS(1262),
    [aux_sym_foreach_statement_token2] = ACTIONS(1262),
    [aux_sym_if_statement_token1] = ACTIONS(1262),
    [aux_sym_if_statement_token2] = ACTIONS(1262),
    [aux_sym_else_if_clause_token1] = ACTIONS(1262),
    [aux_sym_else_clause_token1] = ACTIONS(1262),
    [aux_sym_match_expression_token1] = ACTIONS(1262),
    [aux_sym_match_default_expression_token1] = ACTIONS(1262),
    [aux_sym_switch_statement_token1] = ACTIONS(1262),
    [aux_sym_switch_block_token1] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_TILDE] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1260),
    [aux_sym_clone_expression_token1] = ACTIONS(1262),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1262),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1262),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [aux_sym__list_destructing_token1] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1260),
    [anon_sym_self] = ACTIONS(1262),
    [anon_sym_parent] = ACTIONS(1262),
    [aux_sym__argument_name_token1] = ACTIONS(1262),
    [aux_sym__argument_name_token2] = ACTIONS(1262),
    [anon_sym_POUND_LBRACK] = ACTIONS(1260),
    [aux_sym_encapsed_string_token1] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [aux_sym_string_token1] = ACTIONS(1260),
    [anon_sym_SQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [aux_sym_yield_expression_token1] = ACTIONS(1262),
    [aux_sym_include_expression_token1] = ACTIONS(1262),
    [aux_sym_include_once_expression_token1] = ACTIONS(1262),
    [aux_sym_require_expression_token1] = ACTIONS(1262),
    [aux_sym_require_once_expression_token1] = ACTIONS(1262),
    [sym_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_text_interpolation] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1264),
    [sym_name] = ACTIONS(1266),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1264),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1266),
    [aux_sym_global_declaration_token1] = ACTIONS(1266),
    [aux_sym_namespace_definition_token1] = ACTIONS(1266),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1266),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1266),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1266),
    [anon_sym_BSLASH] = ACTIONS(1264),
    [anon_sym_LBRACE] = ACTIONS(1264),
    [anon_sym_RBRACE] = ACTIONS(1264),
    [aux_sym_trait_declaration_token1] = ACTIONS(1266),
    [aux_sym_interface_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_declaration_token1] = ACTIONS(1266),
    [aux_sym_enum_case_token1] = ACTIONS(1266),
    [aux_sym_class_declaration_token1] = ACTIONS(1266),
    [aux_sym_final_modifier_token1] = ACTIONS(1266),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1266),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1266),
    [sym_var_modifier] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1266),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1266),
    [anon_sym_LPAREN2] = ACTIONS(1264),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1266),
    [aux_sym_cast_type_token1] = ACTIONS(1266),
    [aux_sym_echo_statement_token1] = ACTIONS(1266),
    [aux_sym_exit_statement_token1] = ACTIONS(1266),
    [anon_sym_unset] = ACTIONS(1266),
    [aux_sym_declare_statement_token1] = ACTIONS(1266),
    [aux_sym_declare_statement_token2] = ACTIONS(1266),
    [sym_float] = ACTIONS(1266),
    [aux_sym_try_statement_token1] = ACTIONS(1266),
    [aux_sym_goto_statement_token1] = ACTIONS(1266),
    [aux_sym_continue_statement_token1] = ACTIONS(1266),
    [aux_sym_break_statement_token1] = ACTIONS(1266),
    [sym_integer] = ACTIONS(1266),
    [aux_sym_return_statement_token1] = ACTIONS(1266),
    [aux_sym_throw_expression_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token1] = ACTIONS(1266),
    [aux_sym_while_statement_token2] = ACTIONS(1266),
    [aux_sym_do_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token1] = ACTIONS(1266),
    [aux_sym_for_statement_token2] = ACTIONS(1266),
    [aux_sym_foreach_statement_token1] = ACTIONS(1266),
    [aux_sym_foreach_statement_token2] = ACTIONS(1266),
    [aux_sym_if_statement_token1] = ACTIONS(1266),
    [aux_sym_if_statement_token2] = ACTIONS(1266),
    [aux_sym_else_if_clause_token1] = ACTIONS(1266),
    [aux_sym_else_clause_token1] = ACTIONS(1266),
    [aux_sym_match_expression_token1] = ACTIONS(1266),
    [aux_sym_match_default_expression_token1] = ACTIONS(1266),
    [aux_sym_switch_statement_token1] = ACTIONS(1266),
    [aux_sym_switch_block_token1] = ACTIONS(1266),
    [anon_sym_PLUS] = ACTIONS(1266),
    [anon_sym_DASH] = ACTIONS(1266),
    [anon_sym_TILDE] = ACTIONS(1264),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [aux_sym_clone_expression_token1] = ACTIONS(1266),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1266),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1266),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [aux_sym__list_destructing_token1] = ACTIONS(1266),
    [anon_sym_LBRACK] = ACTIONS(1264),
    [anon_sym_self] = ACTIONS(1266),
    [anon_sym_parent] = ACTIONS(1266),
    [aux_sym__argument_name_token1] = ACTIONS(1266),
    [aux_sym__argument_name_token2] = ACTIONS(1266),
    [anon_sym_POUND_LBRACK] = ACTIONS(1264),
    [aux_sym_encapsed_string_token1] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [aux_sym_string_token1] = ACTIONS(1264),
    [anon_sym_SQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [aux_sym_yield_expression_token1] = ACTIONS(1266),
    [aux_sym_include_expression_token1] = ACTIONS(1266),
    [aux_sym_include_once_expression_token1] = ACTIONS(1266),
    [aux_sym_require_expression_token1] = ACTIONS(1266),
    [aux_sym_require_once_expression_token1] = ACTIONS(1266),
    [sym_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_text_interpolation] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1268),
    [sym_name] = ACTIONS(1270),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1268),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1270),
    [aux_sym_global_declaration_token1] = ACTIONS(1270),
    [aux_sym_namespace_definition_token1] = ACTIONS(1270),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1270),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1270),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1270),
    [anon_sym_BSLASH] = ACTIONS(1268),
    [anon_sym_LBRACE] = ACTIONS(1268),
    [anon_sym_RBRACE] = ACTIONS(1268),
    [aux_sym_trait_declaration_token1] = ACTIONS(1270),
    [aux_sym_interface_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_declaration_token1] = ACTIONS(1270),
    [aux_sym_enum_case_token1] = ACTIONS(1270),
    [aux_sym_class_declaration_token1] = ACTIONS(1270),
    [aux_sym_final_modifier_token1] = ACTIONS(1270),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1270),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1270),
    [sym_var_modifier] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1270),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1270),
    [anon_sym_LPAREN2] = ACTIONS(1268),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1270),
    [aux_sym_cast_type_token1] = ACTIONS(1270),
    [aux_sym_echo_statement_token1] = ACTIONS(1270),
    [aux_sym_exit_statement_token1] = ACTIONS(1270),
    [anon_sym_unset] = ACTIONS(1270),
    [aux_sym_declare_statement_token1] = ACTIONS(1270),
    [aux_sym_declare_statement_token2] = ACTIONS(1270),
    [sym_float] = ACTIONS(1270),
    [aux_sym_try_statement_token1] = ACTIONS(1270),
    [aux_sym_goto_statement_token1] = ACTIONS(1270),
    [aux_sym_continue_statement_token1] = ACTIONS(1270),
    [aux_sym_break_statement_token1] = ACTIONS(1270),
    [sym_integer] = ACTIONS(1270),
    [aux_sym_return_statement_token1] = ACTIONS(1270),
    [aux_sym_throw_expression_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token1] = ACTIONS(1270),
    [aux_sym_while_statement_token2] = ACTIONS(1270),
    [aux_sym_do_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token1] = ACTIONS(1270),
    [aux_sym_for_statement_token2] = ACTIONS(1270),
    [aux_sym_foreach_statement_token1] = ACTIONS(1270),
    [aux_sym_foreach_statement_token2] = ACTIONS(1270),
    [aux_sym_if_statement_token1] = ACTIONS(1270),
    [aux_sym_if_statement_token2] = ACTIONS(1270),
    [aux_sym_else_if_clause_token1] = ACTIONS(1270),
    [aux_sym_else_clause_token1] = ACTIONS(1270),
    [aux_sym_match_expression_token1] = ACTIONS(1270),
    [aux_sym_match_default_expression_token1] = ACTIONS(1270),
    [aux_sym_switch_statement_token1] = ACTIONS(1270),
    [aux_sym_switch_block_token1] = ACTIONS(1270),
    [anon_sym_PLUS] = ACTIONS(1270),
    [anon_sym_DASH] = ACTIONS(1270),
    [anon_sym_TILDE] = ACTIONS(1268),
    [anon_sym_BANG] = ACTIONS(1268),
    [anon_sym_AT] = ACTIONS(1268),
    [aux_sym_clone_expression_token1] = ACTIONS(1270),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1270),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [aux_sym__list_destructing_token1] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1268),
    [anon_sym_self] = ACTIONS(1270),
    [anon_sym_parent] = ACTIONS(1270),
    [aux_sym__argument_name_token1] = ACTIONS(1270),
    [aux_sym__argument_name_token2] = ACTIONS(1270),
    [anon_sym_POUND_LBRACK] = ACTIONS(1268),
    [aux_sym_encapsed_string_token1] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [aux_sym_string_token1] = ACTIONS(1268),
    [anon_sym_SQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [aux_sym_yield_expression_token1] = ACTIONS(1270),
    [aux_sym_include_expression_token1] = ACTIONS(1270),
    [aux_sym_include_once_expression_token1] = ACTIONS(1270),
    [aux_sym_require_expression_token1] = ACTIONS(1270),
    [aux_sym_require_once_expression_token1] = ACTIONS(1270),
    [sym_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_text_interpolation] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_name] = ACTIONS(1106),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1104),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1106),
    [aux_sym_global_declaration_token1] = ACTIONS(1106),
    [aux_sym_namespace_definition_token1] = ACTIONS(1106),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1106),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1106),
    [anon_sym_BSLASH] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [aux_sym_trait_declaration_token1] = ACTIONS(1106),
    [aux_sym_interface_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_declaration_token1] = ACTIONS(1106),
    [aux_sym_enum_case_token1] = ACTIONS(1106),
    [aux_sym_class_declaration_token1] = ACTIONS(1106),
    [aux_sym_final_modifier_token1] = ACTIONS(1106),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1106),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1106),
    [sym_var_modifier] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1106),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1106),
    [anon_sym_LPAREN2] = ACTIONS(1104),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1106),
    [aux_sym_cast_type_token1] = ACTIONS(1106),
    [aux_sym_echo_statement_token1] = ACTIONS(1106),
    [aux_sym_exit_statement_token1] = ACTIONS(1106),
    [anon_sym_unset] = ACTIONS(1106),
    [aux_sym_declare_statement_token1] = ACTIONS(1106),
    [aux_sym_declare_statement_token2] = ACTIONS(1106),
    [sym_float] = ACTIONS(1106),
    [aux_sym_try_statement_token1] = ACTIONS(1106),
    [aux_sym_goto_statement_token1] = ACTIONS(1106),
    [aux_sym_continue_statement_token1] = ACTIONS(1106),
    [aux_sym_break_statement_token1] = ACTIONS(1106),
    [sym_integer] = ACTIONS(1106),
    [aux_sym_return_statement_token1] = ACTIONS(1106),
    [aux_sym_throw_expression_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token1] = ACTIONS(1106),
    [aux_sym_while_statement_token2] = ACTIONS(1106),
    [aux_sym_do_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token1] = ACTIONS(1106),
    [aux_sym_for_statement_token2] = ACTIONS(1106),
    [aux_sym_foreach_statement_token1] = ACTIONS(1106),
    [aux_sym_foreach_statement_token2] = ACTIONS(1106),
    [aux_sym_if_statement_token1] = ACTIONS(1106),
    [aux_sym_if_statement_token2] = ACTIONS(1106),
    [aux_sym_else_if_clause_token1] = ACTIONS(1106),
    [aux_sym_else_clause_token1] = ACTIONS(1106),
    [aux_sym_match_expression_token1] = ACTIONS(1106),
    [aux_sym_match_default_expression_token1] = ACTIONS(1106),
    [aux_sym_switch_statement_token1] = ACTIONS(1106),
    [aux_sym_switch_block_token1] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [aux_sym_clone_expression_token1] = ACTIONS(1106),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1106),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1104),
    [aux_sym__list_destructing_token1] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_self] = ACTIONS(1106),
    [anon_sym_parent] = ACTIONS(1106),
    [aux_sym__argument_name_token1] = ACTIONS(1106),
    [aux_sym__argument_name_token2] = ACTIONS(1106),
    [anon_sym_POUND_LBRACK] = ACTIONS(1104),
    [aux_sym_encapsed_string_token1] = ACTIONS(1104),
    [anon_sym_DQUOTE] = ACTIONS(1104),
    [aux_sym_string_token1] = ACTIONS(1104),
    [anon_sym_SQUOTE] = ACTIONS(1104),
    [anon_sym_LT_LT_LT] = ACTIONS(1104),
    [anon_sym_BQUOTE] = ACTIONS(1104),
    [anon_sym_DOLLAR] = ACTIONS(1104),
    [aux_sym_yield_expression_token1] = ACTIONS(1106),
    [aux_sym_include_expression_token1] = ACTIONS(1106),
    [aux_sym_include_once_expression_token1] = ACTIONS(1106),
    [aux_sym_require_expression_token1] = ACTIONS(1106),
    [aux_sym_require_once_expression_token1] = ACTIONS(1106),
    [sym_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_text_interpolation] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1272),
    [sym_name] = ACTIONS(1274),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1272),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1274),
    [aux_sym_global_declaration_token1] = ACTIONS(1274),
    [aux_sym_namespace_definition_token1] = ACTIONS(1274),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1274),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1274),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1274),
    [anon_sym_BSLASH] = ACTIONS(1272),
    [anon_sym_LBRACE] = ACTIONS(1272),
    [anon_sym_RBRACE] = ACTIONS(1272),
    [aux_sym_trait_declaration_token1] = ACTIONS(1274),
    [aux_sym_interface_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_declaration_token1] = ACTIONS(1274),
    [aux_sym_enum_case_token1] = ACTIONS(1274),
    [aux_sym_class_declaration_token1] = ACTIONS(1274),
    [aux_sym_final_modifier_token1] = ACTIONS(1274),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1274),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1274),
    [sym_var_modifier] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1274),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1274),
    [anon_sym_LPAREN2] = ACTIONS(1272),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1274),
    [aux_sym_cast_type_token1] = ACTIONS(1274),
    [aux_sym_echo_statement_token1] = ACTIONS(1274),
    [aux_sym_exit_statement_token1] = ACTIONS(1274),
    [anon_sym_unset] = ACTIONS(1274),
    [aux_sym_declare_statement_token1] = ACTIONS(1274),
    [aux_sym_declare_statement_token2] = ACTIONS(1274),
    [sym_float] = ACTIONS(1274),
    [aux_sym_try_statement_token1] = ACTIONS(1274),
    [aux_sym_goto_statement_token1] = ACTIONS(1274),
    [aux_sym_continue_statement_token1] = ACTIONS(1274),
    [aux_sym_break_statement_token1] = ACTIONS(1274),
    [sym_integer] = ACTIONS(1274),
    [aux_sym_return_statement_token1] = ACTIONS(1274),
    [aux_sym_throw_expression_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token1] = ACTIONS(1274),
    [aux_sym_while_statement_token2] = ACTIONS(1274),
    [aux_sym_do_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token1] = ACTIONS(1274),
    [aux_sym_for_statement_token2] = ACTIONS(1274),
    [aux_sym_foreach_statement_token1] = ACTIONS(1274),
    [aux_sym_foreach_statement_token2] = ACTIONS(1274),
    [aux_sym_if_statement_token1] = ACTIONS(1274),
    [aux_sym_if_statement_token2] = ACTIONS(1274),
    [aux_sym_else_if_clause_token1] = ACTIONS(1274),
    [aux_sym_else_clause_token1] = ACTIONS(1274),
    [aux_sym_match_expression_token1] = ACTIONS(1274),
    [aux_sym_match_default_expression_token1] = ACTIONS(1274),
    [aux_sym_switch_statement_token1] = ACTIONS(1274),
    [aux_sym_switch_block_token1] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_TILDE] = ACTIONS(1272),
    [anon_sym_BANG] = ACTIONS(1272),
    [anon_sym_AT] = ACTIONS(1272),
    [aux_sym_clone_expression_token1] = ACTIONS(1274),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1274),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1274),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [aux_sym__list_destructing_token1] = ACTIONS(1274),
    [anon_sym_LBRACK] = ACTIONS(1272),
    [anon_sym_self] = ACTIONS(1274),
    [anon_sym_parent] = ACTIONS(1274),
    [aux_sym__argument_name_token1] = ACTIONS(1274),
    [aux_sym__argument_name_token2] = ACTIONS(1274),
    [anon_sym_POUND_LBRACK] = ACTIONS(1272),
    [aux_sym_encapsed_string_token1] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [aux_sym_string_token1] = ACTIONS(1272),
    [anon_sym_SQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [aux_sym_yield_expression_token1] = ACTIONS(1274),
    [aux_sym_include_expression_token1] = ACTIONS(1274),
    [aux_sym_include_once_expression_token1] = ACTIONS(1274),
    [aux_sym_require_expression_token1] = ACTIONS(1274),
    [aux_sym_require_once_expression_token1] = ACTIONS(1274),
    [sym_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_text_interpolation] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1276),
    [sym_name] = ACTIONS(1278),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1276),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1278),
    [aux_sym_global_declaration_token1] = ACTIONS(1278),
    [aux_sym_namespace_definition_token1] = ACTIONS(1278),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1278),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1278),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1278),
    [anon_sym_BSLASH] = ACTIONS(1276),
    [anon_sym_LBRACE] = ACTIONS(1276),
    [anon_sym_RBRACE] = ACTIONS(1276),
    [aux_sym_trait_declaration_token1] = ACTIONS(1278),
    [aux_sym_interface_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_declaration_token1] = ACTIONS(1278),
    [aux_sym_enum_case_token1] = ACTIONS(1278),
    [aux_sym_class_declaration_token1] = ACTIONS(1278),
    [aux_sym_final_modifier_token1] = ACTIONS(1278),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1278),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1278),
    [sym_var_modifier] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1278),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1278),
    [anon_sym_LPAREN2] = ACTIONS(1276),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1278),
    [aux_sym_cast_type_token1] = ACTIONS(1278),
    [aux_sym_echo_statement_token1] = ACTIONS(1278),
    [aux_sym_exit_statement_token1] = ACTIONS(1278),
    [anon_sym_unset] = ACTIONS(1278),
    [aux_sym_declare_statement_token1] = ACTIONS(1278),
    [aux_sym_declare_statement_token2] = ACTIONS(1278),
    [sym_float] = ACTIONS(1278),
    [aux_sym_try_statement_token1] = ACTIONS(1278),
    [aux_sym_goto_statement_token1] = ACTIONS(1278),
    [aux_sym_continue_statement_token1] = ACTIONS(1278),
    [aux_sym_break_statement_token1] = ACTIONS(1278),
    [sym_integer] = ACTIONS(1278),
    [aux_sym_return_statement_token1] = ACTIONS(1278),
    [aux_sym_throw_expression_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token1] = ACTIONS(1278),
    [aux_sym_while_statement_token2] = ACTIONS(1278),
    [aux_sym_do_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token1] = ACTIONS(1278),
    [aux_sym_for_statement_token2] = ACTIONS(1278),
    [aux_sym_foreach_statement_token1] = ACTIONS(1278),
    [aux_sym_foreach_statement_token2] = ACTIONS(1278),
    [aux_sym_if_statement_token1] = ACTIONS(1278),
    [aux_sym_if_statement_token2] = ACTIONS(1278),
    [aux_sym_else_if_clause_token1] = ACTIONS(1278),
    [aux_sym_else_clause_token1] = ACTIONS(1278),
    [aux_sym_match_expression_token1] = ACTIONS(1278),
    [aux_sym_match_default_expression_token1] = ACTIONS(1278),
    [aux_sym_switch_statement_token1] = ACTIONS(1278),
    [aux_sym_switch_block_token1] = ACTIONS(1278),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_TILDE] = ACTIONS(1276),
    [anon_sym_BANG] = ACTIONS(1276),
    [anon_sym_AT] = ACTIONS(1276),
    [aux_sym_clone_expression_token1] = ACTIONS(1278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1278),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1278),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [aux_sym__list_destructing_token1] = ACTIONS(1278),
    [anon_sym_LBRACK] = ACTIONS(1276),
    [anon_sym_self] = ACTIONS(1278),
    [anon_sym_parent] = ACTIONS(1278),
    [aux_sym__argument_name_token1] = ACTIONS(1278),
    [aux_sym__argument_name_token2] = ACTIONS(1278),
    [anon_sym_POUND_LBRACK] = ACTIONS(1276),
    [aux_sym_encapsed_string_token1] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [aux_sym_string_token1] = ACTIONS(1276),
    [anon_sym_SQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [aux_sym_yield_expression_token1] = ACTIONS(1278),
    [aux_sym_include_expression_token1] = ACTIONS(1278),
    [aux_sym_include_once_expression_token1] = ACTIONS(1278),
    [aux_sym_require_expression_token1] = ACTIONS(1278),
    [aux_sym_require_once_expression_token1] = ACTIONS(1278),
    [sym_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_text_interpolation] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1280),
    [sym_name] = ACTIONS(1282),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1280),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1282),
    [aux_sym_global_declaration_token1] = ACTIONS(1282),
    [aux_sym_namespace_definition_token1] = ACTIONS(1282),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1282),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1282),
    [anon_sym_BSLASH] = ACTIONS(1280),
    [anon_sym_LBRACE] = ACTIONS(1280),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_trait_declaration_token1] = ACTIONS(1282),
    [aux_sym_interface_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_declaration_token1] = ACTIONS(1282),
    [aux_sym_enum_case_token1] = ACTIONS(1282),
    [aux_sym_class_declaration_token1] = ACTIONS(1282),
    [aux_sym_final_modifier_token1] = ACTIONS(1282),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1282),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1282),
    [sym_var_modifier] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1282),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1282),
    [anon_sym_LPAREN2] = ACTIONS(1280),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1282),
    [aux_sym_cast_type_token1] = ACTIONS(1282),
    [aux_sym_echo_statement_token1] = ACTIONS(1282),
    [aux_sym_exit_statement_token1] = ACTIONS(1282),
    [anon_sym_unset] = ACTIONS(1282),
    [aux_sym_declare_statement_token1] = ACTIONS(1282),
    [aux_sym_declare_statement_token2] = ACTIONS(1282),
    [sym_float] = ACTIONS(1282),
    [aux_sym_try_statement_token1] = ACTIONS(1282),
    [aux_sym_goto_statement_token1] = ACTIONS(1282),
    [aux_sym_continue_statement_token1] = ACTIONS(1282),
    [aux_sym_break_statement_token1] = ACTIONS(1282),
    [sym_integer] = ACTIONS(1282),
    [aux_sym_return_statement_token1] = ACTIONS(1282),
    [aux_sym_throw_expression_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token1] = ACTIONS(1282),
    [aux_sym_while_statement_token2] = ACTIONS(1282),
    [aux_sym_do_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token1] = ACTIONS(1282),
    [aux_sym_for_statement_token2] = ACTIONS(1282),
    [aux_sym_foreach_statement_token1] = ACTIONS(1282),
    [aux_sym_foreach_statement_token2] = ACTIONS(1282),
    [aux_sym_if_statement_token1] = ACTIONS(1282),
    [aux_sym_if_statement_token2] = ACTIONS(1282),
    [aux_sym_else_if_clause_token1] = ACTIONS(1282),
    [aux_sym_else_clause_token1] = ACTIONS(1282),
    [aux_sym_match_expression_token1] = ACTIONS(1282),
    [aux_sym_match_default_expression_token1] = ACTIONS(1282),
    [aux_sym_switch_statement_token1] = ACTIONS(1282),
    [aux_sym_switch_block_token1] = ACTIONS(1282),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_TILDE] = ACTIONS(1280),
    [anon_sym_BANG] = ACTIONS(1280),
    [anon_sym_AT] = ACTIONS(1280),
    [aux_sym_clone_expression_token1] = ACTIONS(1282),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1282),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1282),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [aux_sym__list_destructing_token1] = ACTIONS(1282),
    [anon_sym_LBRACK] = ACTIONS(1280),
    [anon_sym_self] = ACTIONS(1282),
    [anon_sym_parent] = ACTIONS(1282),
    [aux_sym__argument_name_token1] = ACTIONS(1282),
    [aux_sym__argument_name_token2] = ACTIONS(1282),
    [anon_sym_POUND_LBRACK] = ACTIONS(1280),
    [aux_sym_encapsed_string_token1] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [aux_sym_string_token1] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [aux_sym_yield_expression_token1] = ACTIONS(1282),
    [aux_sym_include_expression_token1] = ACTIONS(1282),
    [aux_sym_include_once_expression_token1] = ACTIONS(1282),
    [aux_sym_require_expression_token1] = ACTIONS(1282),
    [aux_sym_require_once_expression_token1] = ACTIONS(1282),
    [sym_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_text_interpolation] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1284),
    [sym_name] = ACTIONS(1286),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1284),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1286),
    [aux_sym_global_declaration_token1] = ACTIONS(1286),
    [aux_sym_namespace_definition_token1] = ACTIONS(1286),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1286),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1286),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1286),
    [anon_sym_BSLASH] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1284),
    [anon_sym_RBRACE] = ACTIONS(1284),
    [aux_sym_trait_declaration_token1] = ACTIONS(1286),
    [aux_sym_interface_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_declaration_token1] = ACTIONS(1286),
    [aux_sym_enum_case_token1] = ACTIONS(1286),
    [aux_sym_class_declaration_token1] = ACTIONS(1286),
    [aux_sym_final_modifier_token1] = ACTIONS(1286),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1286),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1286),
    [sym_var_modifier] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1286),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(1284),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1286),
    [aux_sym_cast_type_token1] = ACTIONS(1286),
    [aux_sym_echo_statement_token1] = ACTIONS(1286),
    [aux_sym_exit_statement_token1] = ACTIONS(1286),
    [anon_sym_unset] = ACTIONS(1286),
    [aux_sym_declare_statement_token1] = ACTIONS(1286),
    [aux_sym_declare_statement_token2] = ACTIONS(1286),
    [sym_float] = ACTIONS(1286),
    [aux_sym_try_statement_token1] = ACTIONS(1286),
    [aux_sym_goto_statement_token1] = ACTIONS(1286),
    [aux_sym_continue_statement_token1] = ACTIONS(1286),
    [aux_sym_break_statement_token1] = ACTIONS(1286),
    [sym_integer] = ACTIONS(1286),
    [aux_sym_return_statement_token1] = ACTIONS(1286),
    [aux_sym_throw_expression_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token1] = ACTIONS(1286),
    [aux_sym_while_statement_token2] = ACTIONS(1286),
    [aux_sym_do_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token1] = ACTIONS(1286),
    [aux_sym_for_statement_token2] = ACTIONS(1286),
    [aux_sym_foreach_statement_token1] = ACTIONS(1286),
    [aux_sym_foreach_statement_token2] = ACTIONS(1286),
    [aux_sym_if_statement_token1] = ACTIONS(1286),
    [aux_sym_if_statement_token2] = ACTIONS(1286),
    [aux_sym_else_if_clause_token1] = ACTIONS(1286),
    [aux_sym_else_clause_token1] = ACTIONS(1286),
    [aux_sym_match_expression_token1] = ACTIONS(1286),
    [aux_sym_match_default_expression_token1] = ACTIONS(1286),
    [aux_sym_switch_statement_token1] = ACTIONS(1286),
    [aux_sym_switch_block_token1] = ACTIONS(1286),
    [anon_sym_PLUS] = ACTIONS(1286),
    [anon_sym_DASH] = ACTIONS(1286),
    [anon_sym_TILDE] = ACTIONS(1284),
    [anon_sym_BANG] = ACTIONS(1284),
    [anon_sym_AT] = ACTIONS(1284),
    [aux_sym_clone_expression_token1] = ACTIONS(1286),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1286),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1286),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [aux_sym__list_destructing_token1] = ACTIONS(1286),
    [anon_sym_LBRACK] = ACTIONS(1284),
    [anon_sym_self] = ACTIONS(1286),
    [anon_sym_parent] = ACTIONS(1286),
    [aux_sym__argument_name_token1] = ACTIONS(1286),
    [aux_sym__argument_name_token2] = ACTIONS(1286),
    [anon_sym_POUND_LBRACK] = ACTIONS(1284),
    [aux_sym_encapsed_string_token1] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [aux_sym_string_token1] = ACTIONS(1284),
    [anon_sym_SQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [aux_sym_yield_expression_token1] = ACTIONS(1286),
    [aux_sym_include_expression_token1] = ACTIONS(1286),
    [aux_sym_include_once_expression_token1] = ACTIONS(1286),
    [aux_sym_require_expression_token1] = ACTIONS(1286),
    [aux_sym_require_once_expression_token1] = ACTIONS(1286),
    [sym_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_text_interpolation] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1288),
    [sym_name] = ACTIONS(1290),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1288),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1290),
    [aux_sym_global_declaration_token1] = ACTIONS(1290),
    [aux_sym_namespace_definition_token1] = ACTIONS(1290),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1290),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1290),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1290),
    [anon_sym_BSLASH] = ACTIONS(1288),
    [anon_sym_LBRACE] = ACTIONS(1288),
    [anon_sym_RBRACE] = ACTIONS(1288),
    [aux_sym_trait_declaration_token1] = ACTIONS(1290),
    [aux_sym_interface_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_declaration_token1] = ACTIONS(1290),
    [aux_sym_enum_case_token1] = ACTIONS(1290),
    [aux_sym_class_declaration_token1] = ACTIONS(1290),
    [aux_sym_final_modifier_token1] = ACTIONS(1290),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1290),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1290),
    [sym_var_modifier] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1290),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1290),
    [anon_sym_LPAREN2] = ACTIONS(1288),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1290),
    [aux_sym_cast_type_token1] = ACTIONS(1290),
    [aux_sym_echo_statement_token1] = ACTIONS(1290),
    [aux_sym_exit_statement_token1] = ACTIONS(1290),
    [anon_sym_unset] = ACTIONS(1290),
    [aux_sym_declare_statement_token1] = ACTIONS(1290),
    [aux_sym_declare_statement_token2] = ACTIONS(1290),
    [sym_float] = ACTIONS(1290),
    [aux_sym_try_statement_token1] = ACTIONS(1290),
    [aux_sym_goto_statement_token1] = ACTIONS(1290),
    [aux_sym_continue_statement_token1] = ACTIONS(1290),
    [aux_sym_break_statement_token1] = ACTIONS(1290),
    [sym_integer] = ACTIONS(1290),
    [aux_sym_return_statement_token1] = ACTIONS(1290),
    [aux_sym_throw_expression_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token1] = ACTIONS(1290),
    [aux_sym_while_statement_token2] = ACTIONS(1290),
    [aux_sym_do_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token1] = ACTIONS(1290),
    [aux_sym_for_statement_token2] = ACTIONS(1290),
    [aux_sym_foreach_statement_token1] = ACTIONS(1290),
    [aux_sym_foreach_statement_token2] = ACTIONS(1290),
    [aux_sym_if_statement_token1] = ACTIONS(1290),
    [aux_sym_if_statement_token2] = ACTIONS(1290),
    [aux_sym_else_if_clause_token1] = ACTIONS(1290),
    [aux_sym_else_clause_token1] = ACTIONS(1290),
    [aux_sym_match_expression_token1] = ACTIONS(1290),
    [aux_sym_match_default_expression_token1] = ACTIONS(1290),
    [aux_sym_switch_statement_token1] = ACTIONS(1290),
    [aux_sym_switch_block_token1] = ACTIONS(1290),
    [anon_sym_PLUS] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1288),
    [anon_sym_BANG] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(1288),
    [aux_sym_clone_expression_token1] = ACTIONS(1290),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1290),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1290),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [aux_sym__list_destructing_token1] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1288),
    [anon_sym_self] = ACTIONS(1290),
    [anon_sym_parent] = ACTIONS(1290),
    [aux_sym__argument_name_token1] = ACTIONS(1290),
    [aux_sym__argument_name_token2] = ACTIONS(1290),
    [anon_sym_POUND_LBRACK] = ACTIONS(1288),
    [aux_sym_encapsed_string_token1] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [aux_sym_string_token1] = ACTIONS(1288),
    [anon_sym_SQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [aux_sym_yield_expression_token1] = ACTIONS(1290),
    [aux_sym_include_expression_token1] = ACTIONS(1290),
    [aux_sym_include_once_expression_token1] = ACTIONS(1290),
    [aux_sym_require_expression_token1] = ACTIONS(1290),
    [aux_sym_require_once_expression_token1] = ACTIONS(1290),
    [sym_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_text_interpolation] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [sym_name] = ACTIONS(1294),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1292),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1294),
    [aux_sym_global_declaration_token1] = ACTIONS(1294),
    [aux_sym_namespace_definition_token1] = ACTIONS(1294),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1294),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1294),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1294),
    [anon_sym_BSLASH] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_RBRACE] = ACTIONS(1292),
    [aux_sym_trait_declaration_token1] = ACTIONS(1294),
    [aux_sym_interface_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_declaration_token1] = ACTIONS(1294),
    [aux_sym_enum_case_token1] = ACTIONS(1294),
    [aux_sym_class_declaration_token1] = ACTIONS(1294),
    [aux_sym_final_modifier_token1] = ACTIONS(1294),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1294),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1294),
    [sym_var_modifier] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1294),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1294),
    [anon_sym_LPAREN2] = ACTIONS(1292),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1294),
    [aux_sym_cast_type_token1] = ACTIONS(1294),
    [aux_sym_echo_statement_token1] = ACTIONS(1294),
    [aux_sym_exit_statement_token1] = ACTIONS(1294),
    [anon_sym_unset] = ACTIONS(1294),
    [aux_sym_declare_statement_token1] = ACTIONS(1294),
    [aux_sym_declare_statement_token2] = ACTIONS(1294),
    [sym_float] = ACTIONS(1294),
    [aux_sym_try_statement_token1] = ACTIONS(1294),
    [aux_sym_goto_statement_token1] = ACTIONS(1294),
    [aux_sym_continue_statement_token1] = ACTIONS(1294),
    [aux_sym_break_statement_token1] = ACTIONS(1294),
    [sym_integer] = ACTIONS(1294),
    [aux_sym_return_statement_token1] = ACTIONS(1294),
    [aux_sym_throw_expression_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token1] = ACTIONS(1294),
    [aux_sym_while_statement_token2] = ACTIONS(1294),
    [aux_sym_do_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token1] = ACTIONS(1294),
    [aux_sym_for_statement_token2] = ACTIONS(1294),
    [aux_sym_foreach_statement_token1] = ACTIONS(1294),
    [aux_sym_foreach_statement_token2] = ACTIONS(1294),
    [aux_sym_if_statement_token1] = ACTIONS(1294),
    [aux_sym_if_statement_token2] = ACTIONS(1294),
    [aux_sym_else_if_clause_token1] = ACTIONS(1294),
    [aux_sym_else_clause_token1] = ACTIONS(1294),
    [aux_sym_match_expression_token1] = ACTIONS(1294),
    [aux_sym_match_default_expression_token1] = ACTIONS(1294),
    [aux_sym_switch_statement_token1] = ACTIONS(1294),
    [aux_sym_switch_block_token1] = ACTIONS(1294),
    [anon_sym_PLUS] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_BANG] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [aux_sym_clone_expression_token1] = ACTIONS(1294),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1294),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1294),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [aux_sym__list_destructing_token1] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_self] = ACTIONS(1294),
    [anon_sym_parent] = ACTIONS(1294),
    [aux_sym__argument_name_token1] = ACTIONS(1294),
    [aux_sym__argument_name_token2] = ACTIONS(1294),
    [anon_sym_POUND_LBRACK] = ACTIONS(1292),
    [aux_sym_encapsed_string_token1] = ACTIONS(1292),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [aux_sym_string_token1] = ACTIONS(1292),
    [anon_sym_SQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [aux_sym_yield_expression_token1] = ACTIONS(1294),
    [aux_sym_include_expression_token1] = ACTIONS(1294),
    [aux_sym_include_once_expression_token1] = ACTIONS(1294),
    [aux_sym_require_expression_token1] = ACTIONS(1294),
    [aux_sym_require_once_expression_token1] = ACTIONS(1294),
    [sym_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_text_interpolation] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [sym_name] = ACTIONS(1298),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1296),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1298),
    [aux_sym_global_declaration_token1] = ACTIONS(1298),
    [aux_sym_namespace_definition_token1] = ACTIONS(1298),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1298),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1298),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1298),
    [anon_sym_BSLASH] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_RBRACE] = ACTIONS(1296),
    [aux_sym_trait_declaration_token1] = ACTIONS(1298),
    [aux_sym_interface_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_declaration_token1] = ACTIONS(1298),
    [aux_sym_enum_case_token1] = ACTIONS(1298),
    [aux_sym_class_declaration_token1] = ACTIONS(1298),
    [aux_sym_final_modifier_token1] = ACTIONS(1298),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1298),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1298),
    [sym_var_modifier] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1298),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1296),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1298),
    [aux_sym_cast_type_token1] = ACTIONS(1298),
    [aux_sym_echo_statement_token1] = ACTIONS(1298),
    [aux_sym_exit_statement_token1] = ACTIONS(1298),
    [anon_sym_unset] = ACTIONS(1298),
    [aux_sym_declare_statement_token1] = ACTIONS(1298),
    [aux_sym_declare_statement_token2] = ACTIONS(1298),
    [sym_float] = ACTIONS(1298),
    [aux_sym_try_statement_token1] = ACTIONS(1298),
    [aux_sym_goto_statement_token1] = ACTIONS(1298),
    [aux_sym_continue_statement_token1] = ACTIONS(1298),
    [aux_sym_break_statement_token1] = ACTIONS(1298),
    [sym_integer] = ACTIONS(1298),
    [aux_sym_return_statement_token1] = ACTIONS(1298),
    [aux_sym_throw_expression_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token1] = ACTIONS(1298),
    [aux_sym_while_statement_token2] = ACTIONS(1298),
    [aux_sym_do_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token1] = ACTIONS(1298),
    [aux_sym_for_statement_token2] = ACTIONS(1298),
    [aux_sym_foreach_statement_token1] = ACTIONS(1298),
    [aux_sym_foreach_statement_token2] = ACTIONS(1298),
    [aux_sym_if_statement_token1] = ACTIONS(1298),
    [aux_sym_if_statement_token2] = ACTIONS(1298),
    [aux_sym_else_if_clause_token1] = ACTIONS(1298),
    [aux_sym_else_clause_token1] = ACTIONS(1298),
    [aux_sym_match_expression_token1] = ACTIONS(1298),
    [aux_sym_match_default_expression_token1] = ACTIONS(1298),
    [aux_sym_switch_statement_token1] = ACTIONS(1298),
    [aux_sym_switch_block_token1] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [aux_sym_clone_expression_token1] = ACTIONS(1298),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1298),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1296),
    [anon_sym_PLUS_PLUS] = ACTIONS(1296),
    [aux_sym__list_destructing_token1] = ACTIONS(1298),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_self] = ACTIONS(1298),
    [anon_sym_parent] = ACTIONS(1298),
    [aux_sym__argument_name_token1] = ACTIONS(1298),
    [aux_sym__argument_name_token2] = ACTIONS(1298),
    [anon_sym_POUND_LBRACK] = ACTIONS(1296),
    [aux_sym_encapsed_string_token1] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1296),
    [aux_sym_string_token1] = ACTIONS(1296),
    [anon_sym_SQUOTE] = ACTIONS(1296),
    [anon_sym_LT_LT_LT] = ACTIONS(1296),
    [anon_sym_BQUOTE] = ACTIONS(1296),
    [anon_sym_DOLLAR] = ACTIONS(1296),
    [aux_sym_yield_expression_token1] = ACTIONS(1298),
    [aux_sym_include_expression_token1] = ACTIONS(1298),
    [aux_sym_include_once_expression_token1] = ACTIONS(1298),
    [aux_sym_require_expression_token1] = ACTIONS(1298),
    [aux_sym_require_once_expression_token1] = ACTIONS(1298),
    [sym_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_text_interpolation] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_name] = ACTIONS(1302),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1300),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1302),
    [aux_sym_global_declaration_token1] = ACTIONS(1302),
    [aux_sym_namespace_definition_token1] = ACTIONS(1302),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1302),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1302),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1302),
    [anon_sym_BSLASH] = ACTIONS(1300),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [aux_sym_trait_declaration_token1] = ACTIONS(1302),
    [aux_sym_interface_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_declaration_token1] = ACTIONS(1302),
    [aux_sym_enum_case_token1] = ACTIONS(1302),
    [aux_sym_class_declaration_token1] = ACTIONS(1302),
    [aux_sym_final_modifier_token1] = ACTIONS(1302),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1302),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1302),
    [sym_var_modifier] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1302),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1302),
    [aux_sym_cast_type_token1] = ACTIONS(1302),
    [aux_sym_echo_statement_token1] = ACTIONS(1302),
    [aux_sym_exit_statement_token1] = ACTIONS(1302),
    [anon_sym_unset] = ACTIONS(1302),
    [aux_sym_declare_statement_token1] = ACTIONS(1302),
    [aux_sym_declare_statement_token2] = ACTIONS(1302),
    [sym_float] = ACTIONS(1302),
    [aux_sym_try_statement_token1] = ACTIONS(1302),
    [aux_sym_goto_statement_token1] = ACTIONS(1302),
    [aux_sym_continue_statement_token1] = ACTIONS(1302),
    [aux_sym_break_statement_token1] = ACTIONS(1302),
    [sym_integer] = ACTIONS(1302),
    [aux_sym_return_statement_token1] = ACTIONS(1302),
    [aux_sym_throw_expression_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token1] = ACTIONS(1302),
    [aux_sym_while_statement_token2] = ACTIONS(1302),
    [aux_sym_do_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token1] = ACTIONS(1302),
    [aux_sym_for_statement_token2] = ACTIONS(1302),
    [aux_sym_foreach_statement_token1] = ACTIONS(1302),
    [aux_sym_foreach_statement_token2] = ACTIONS(1302),
    [aux_sym_if_statement_token1] = ACTIONS(1302),
    [aux_sym_if_statement_token2] = ACTIONS(1302),
    [aux_sym_else_if_clause_token1] = ACTIONS(1302),
    [aux_sym_else_clause_token1] = ACTIONS(1302),
    [aux_sym_match_expression_token1] = ACTIONS(1302),
    [aux_sym_match_default_expression_token1] = ACTIONS(1302),
    [aux_sym_switch_statement_token1] = ACTIONS(1302),
    [aux_sym_switch_block_token1] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_AT] = ACTIONS(1300),
    [aux_sym_clone_expression_token1] = ACTIONS(1302),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [aux_sym__list_destructing_token1] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_self] = ACTIONS(1302),
    [anon_sym_parent] = ACTIONS(1302),
    [aux_sym__argument_name_token1] = ACTIONS(1302),
    [aux_sym__argument_name_token2] = ACTIONS(1302),
    [anon_sym_POUND_LBRACK] = ACTIONS(1300),
    [aux_sym_encapsed_string_token1] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [aux_sym_string_token1] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_LT_LT_LT] = ACTIONS(1300),
    [anon_sym_BQUOTE] = ACTIONS(1300),
    [anon_sym_DOLLAR] = ACTIONS(1300),
    [aux_sym_yield_expression_token1] = ACTIONS(1302),
    [aux_sym_include_expression_token1] = ACTIONS(1302),
    [aux_sym_include_once_expression_token1] = ACTIONS(1302),
    [aux_sym_require_expression_token1] = ACTIONS(1302),
    [aux_sym_require_once_expression_token1] = ACTIONS(1302),
    [sym_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_text_interpolation] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_name] = ACTIONS(1306),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1304),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1306),
    [aux_sym_global_declaration_token1] = ACTIONS(1306),
    [aux_sym_namespace_definition_token1] = ACTIONS(1306),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1306),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1306),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1306),
    [anon_sym_BSLASH] = ACTIONS(1304),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [aux_sym_trait_declaration_token1] = ACTIONS(1306),
    [aux_sym_interface_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_declaration_token1] = ACTIONS(1306),
    [aux_sym_enum_case_token1] = ACTIONS(1306),
    [aux_sym_class_declaration_token1] = ACTIONS(1306),
    [aux_sym_final_modifier_token1] = ACTIONS(1306),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1306),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1306),
    [sym_var_modifier] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1306),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1306),
    [aux_sym_cast_type_token1] = ACTIONS(1306),
    [aux_sym_echo_statement_token1] = ACTIONS(1306),
    [aux_sym_exit_statement_token1] = ACTIONS(1306),
    [anon_sym_unset] = ACTIONS(1306),
    [aux_sym_declare_statement_token1] = ACTIONS(1306),
    [aux_sym_declare_statement_token2] = ACTIONS(1306),
    [sym_float] = ACTIONS(1306),
    [aux_sym_try_statement_token1] = ACTIONS(1306),
    [aux_sym_goto_statement_token1] = ACTIONS(1306),
    [aux_sym_continue_statement_token1] = ACTIONS(1306),
    [aux_sym_break_statement_token1] = ACTIONS(1306),
    [sym_integer] = ACTIONS(1306),
    [aux_sym_return_statement_token1] = ACTIONS(1306),
    [aux_sym_throw_expression_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token1] = ACTIONS(1306),
    [aux_sym_while_statement_token2] = ACTIONS(1306),
    [aux_sym_do_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token1] = ACTIONS(1306),
    [aux_sym_for_statement_token2] = ACTIONS(1306),
    [aux_sym_foreach_statement_token1] = ACTIONS(1306),
    [aux_sym_foreach_statement_token2] = ACTIONS(1306),
    [aux_sym_if_statement_token1] = ACTIONS(1306),
    [aux_sym_if_statement_token2] = ACTIONS(1306),
    [aux_sym_else_if_clause_token1] = ACTIONS(1306),
    [aux_sym_else_clause_token1] = ACTIONS(1306),
    [aux_sym_match_expression_token1] = ACTIONS(1306),
    [aux_sym_match_default_expression_token1] = ACTIONS(1306),
    [aux_sym_switch_statement_token1] = ACTIONS(1306),
    [aux_sym_switch_block_token1] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_AT] = ACTIONS(1304),
    [aux_sym_clone_expression_token1] = ACTIONS(1306),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1306),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [aux_sym__list_destructing_token1] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1304),
    [anon_sym_self] = ACTIONS(1306),
    [anon_sym_parent] = ACTIONS(1306),
    [aux_sym__argument_name_token1] = ACTIONS(1306),
    [aux_sym__argument_name_token2] = ACTIONS(1306),
    [anon_sym_POUND_LBRACK] = ACTIONS(1304),
    [aux_sym_encapsed_string_token1] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [aux_sym_string_token1] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_LT_LT_LT] = ACTIONS(1304),
    [anon_sym_BQUOTE] = ACTIONS(1304),
    [anon_sym_DOLLAR] = ACTIONS(1304),
    [aux_sym_yield_expression_token1] = ACTIONS(1306),
    [aux_sym_include_expression_token1] = ACTIONS(1306),
    [aux_sym_include_once_expression_token1] = ACTIONS(1306),
    [aux_sym_require_expression_token1] = ACTIONS(1306),
    [aux_sym_require_once_expression_token1] = ACTIONS(1306),
    [sym_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_text_interpolation] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_name] = ACTIONS(1310),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1308),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1310),
    [aux_sym_global_declaration_token1] = ACTIONS(1310),
    [aux_sym_namespace_definition_token1] = ACTIONS(1310),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1310),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1310),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1310),
    [anon_sym_BSLASH] = ACTIONS(1308),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [aux_sym_trait_declaration_token1] = ACTIONS(1310),
    [aux_sym_interface_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_declaration_token1] = ACTIONS(1310),
    [aux_sym_enum_case_token1] = ACTIONS(1310),
    [aux_sym_class_declaration_token1] = ACTIONS(1310),
    [aux_sym_final_modifier_token1] = ACTIONS(1310),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1310),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1310),
    [sym_var_modifier] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1310),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1310),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1310),
    [aux_sym_cast_type_token1] = ACTIONS(1310),
    [aux_sym_echo_statement_token1] = ACTIONS(1310),
    [aux_sym_exit_statement_token1] = ACTIONS(1310),
    [anon_sym_unset] = ACTIONS(1310),
    [aux_sym_declare_statement_token1] = ACTIONS(1310),
    [aux_sym_declare_statement_token2] = ACTIONS(1310),
    [sym_float] = ACTIONS(1310),
    [aux_sym_try_statement_token1] = ACTIONS(1310),
    [aux_sym_goto_statement_token1] = ACTIONS(1310),
    [aux_sym_continue_statement_token1] = ACTIONS(1310),
    [aux_sym_break_statement_token1] = ACTIONS(1310),
    [sym_integer] = ACTIONS(1310),
    [aux_sym_return_statement_token1] = ACTIONS(1310),
    [aux_sym_throw_expression_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token1] = ACTIONS(1310),
    [aux_sym_while_statement_token2] = ACTIONS(1310),
    [aux_sym_do_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token1] = ACTIONS(1310),
    [aux_sym_for_statement_token2] = ACTIONS(1310),
    [aux_sym_foreach_statement_token1] = ACTIONS(1310),
    [aux_sym_foreach_statement_token2] = ACTIONS(1310),
    [aux_sym_if_statement_token1] = ACTIONS(1310),
    [aux_sym_if_statement_token2] = ACTIONS(1310),
    [aux_sym_else_if_clause_token1] = ACTIONS(1310),
    [aux_sym_else_clause_token1] = ACTIONS(1310),
    [aux_sym_match_expression_token1] = ACTIONS(1310),
    [aux_sym_match_default_expression_token1] = ACTIONS(1310),
    [aux_sym_switch_statement_token1] = ACTIONS(1310),
    [aux_sym_switch_block_token1] = ACTIONS(1310),
    [anon_sym_PLUS] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_AT] = ACTIONS(1308),
    [aux_sym_clone_expression_token1] = ACTIONS(1310),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1310),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1310),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [aux_sym__list_destructing_token1] = ACTIONS(1310),
    [anon_sym_LBRACK] = ACTIONS(1308),
    [anon_sym_self] = ACTIONS(1310),
    [anon_sym_parent] = ACTIONS(1310),
    [aux_sym__argument_name_token1] = ACTIONS(1310),
    [aux_sym__argument_name_token2] = ACTIONS(1310),
    [anon_sym_POUND_LBRACK] = ACTIONS(1308),
    [aux_sym_encapsed_string_token1] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [aux_sym_string_token1] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_LT_LT_LT] = ACTIONS(1308),
    [anon_sym_BQUOTE] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1308),
    [aux_sym_yield_expression_token1] = ACTIONS(1310),
    [aux_sym_include_expression_token1] = ACTIONS(1310),
    [aux_sym_include_once_expression_token1] = ACTIONS(1310),
    [aux_sym_require_expression_token1] = ACTIONS(1310),
    [aux_sym_require_once_expression_token1] = ACTIONS(1310),
    [sym_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_text_interpolation] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1312),
    [sym_name] = ACTIONS(1314),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1312),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1314),
    [aux_sym_global_declaration_token1] = ACTIONS(1314),
    [aux_sym_namespace_definition_token1] = ACTIONS(1314),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1314),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1314),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1314),
    [anon_sym_BSLASH] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1312),
    [anon_sym_RBRACE] = ACTIONS(1312),
    [aux_sym_trait_declaration_token1] = ACTIONS(1314),
    [aux_sym_interface_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_declaration_token1] = ACTIONS(1314),
    [aux_sym_enum_case_token1] = ACTIONS(1314),
    [aux_sym_class_declaration_token1] = ACTIONS(1314),
    [aux_sym_final_modifier_token1] = ACTIONS(1314),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1314),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1314),
    [sym_var_modifier] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1314),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1314),
    [anon_sym_LPAREN2] = ACTIONS(1312),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1314),
    [aux_sym_cast_type_token1] = ACTIONS(1314),
    [aux_sym_echo_statement_token1] = ACTIONS(1314),
    [aux_sym_exit_statement_token1] = ACTIONS(1314),
    [anon_sym_unset] = ACTIONS(1314),
    [aux_sym_declare_statement_token1] = ACTIONS(1314),
    [aux_sym_declare_statement_token2] = ACTIONS(1314),
    [sym_float] = ACTIONS(1314),
    [aux_sym_try_statement_token1] = ACTIONS(1314),
    [aux_sym_goto_statement_token1] = ACTIONS(1314),
    [aux_sym_continue_statement_token1] = ACTIONS(1314),
    [aux_sym_break_statement_token1] = ACTIONS(1314),
    [sym_integer] = ACTIONS(1314),
    [aux_sym_return_statement_token1] = ACTIONS(1314),
    [aux_sym_throw_expression_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token1] = ACTIONS(1314),
    [aux_sym_while_statement_token2] = ACTIONS(1314),
    [aux_sym_do_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token1] = ACTIONS(1314),
    [aux_sym_for_statement_token2] = ACTIONS(1314),
    [aux_sym_foreach_statement_token1] = ACTIONS(1314),
    [aux_sym_foreach_statement_token2] = ACTIONS(1314),
    [aux_sym_if_statement_token1] = ACTIONS(1314),
    [aux_sym_if_statement_token2] = ACTIONS(1314),
    [aux_sym_else_if_clause_token1] = ACTIONS(1314),
    [aux_sym_else_clause_token1] = ACTIONS(1314),
    [aux_sym_match_expression_token1] = ACTIONS(1314),
    [aux_sym_match_default_expression_token1] = ACTIONS(1314),
    [aux_sym_switch_statement_token1] = ACTIONS(1314),
    [aux_sym_switch_block_token1] = ACTIONS(1314),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1312),
    [anon_sym_BANG] = ACTIONS(1312),
    [anon_sym_AT] = ACTIONS(1312),
    [aux_sym_clone_expression_token1] = ACTIONS(1314),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1314),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1314),
    [anon_sym_DASH_DASH] = ACTIONS(1312),
    [anon_sym_PLUS_PLUS] = ACTIONS(1312),
    [aux_sym__list_destructing_token1] = ACTIONS(1314),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_self] = ACTIONS(1314),
    [anon_sym_parent] = ACTIONS(1314),
    [aux_sym__argument_name_token1] = ACTIONS(1314),
    [aux_sym__argument_name_token2] = ACTIONS(1314),
    [anon_sym_POUND_LBRACK] = ACTIONS(1312),
    [aux_sym_encapsed_string_token1] = ACTIONS(1312),
    [anon_sym_DQUOTE] = ACTIONS(1312),
    [aux_sym_string_token1] = ACTIONS(1312),
    [anon_sym_SQUOTE] = ACTIONS(1312),
    [anon_sym_LT_LT_LT] = ACTIONS(1312),
    [anon_sym_BQUOTE] = ACTIONS(1312),
    [anon_sym_DOLLAR] = ACTIONS(1312),
    [aux_sym_yield_expression_token1] = ACTIONS(1314),
    [aux_sym_include_expression_token1] = ACTIONS(1314),
    [aux_sym_include_once_expression_token1] = ACTIONS(1314),
    [aux_sym_require_expression_token1] = ACTIONS(1314),
    [aux_sym_require_once_expression_token1] = ACTIONS(1314),
    [sym_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_text_interpolation] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1316),
    [sym_name] = ACTIONS(1318),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1316),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1318),
    [aux_sym_global_declaration_token1] = ACTIONS(1318),
    [aux_sym_namespace_definition_token1] = ACTIONS(1318),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1318),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1318),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1318),
    [anon_sym_BSLASH] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1316),
    [anon_sym_RBRACE] = ACTIONS(1316),
    [aux_sym_trait_declaration_token1] = ACTIONS(1318),
    [aux_sym_interface_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_declaration_token1] = ACTIONS(1318),
    [aux_sym_enum_case_token1] = ACTIONS(1318),
    [aux_sym_class_declaration_token1] = ACTIONS(1318),
    [aux_sym_final_modifier_token1] = ACTIONS(1318),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1318),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1318),
    [sym_var_modifier] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1318),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1316),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1318),
    [aux_sym_cast_type_token1] = ACTIONS(1318),
    [aux_sym_echo_statement_token1] = ACTIONS(1318),
    [aux_sym_exit_statement_token1] = ACTIONS(1318),
    [anon_sym_unset] = ACTIONS(1318),
    [aux_sym_declare_statement_token1] = ACTIONS(1318),
    [aux_sym_declare_statement_token2] = ACTIONS(1318),
    [sym_float] = ACTIONS(1318),
    [aux_sym_try_statement_token1] = ACTIONS(1318),
    [aux_sym_goto_statement_token1] = ACTIONS(1318),
    [aux_sym_continue_statement_token1] = ACTIONS(1318),
    [aux_sym_break_statement_token1] = ACTIONS(1318),
    [sym_integer] = ACTIONS(1318),
    [aux_sym_return_statement_token1] = ACTIONS(1318),
    [aux_sym_throw_expression_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token1] = ACTIONS(1318),
    [aux_sym_while_statement_token2] = ACTIONS(1318),
    [aux_sym_do_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token1] = ACTIONS(1318),
    [aux_sym_for_statement_token2] = ACTIONS(1318),
    [aux_sym_foreach_statement_token1] = ACTIONS(1318),
    [aux_sym_foreach_statement_token2] = ACTIONS(1318),
    [aux_sym_if_statement_token1] = ACTIONS(1318),
    [aux_sym_if_statement_token2] = ACTIONS(1318),
    [aux_sym_else_if_clause_token1] = ACTIONS(1318),
    [aux_sym_else_clause_token1] = ACTIONS(1318),
    [aux_sym_match_expression_token1] = ACTIONS(1318),
    [aux_sym_match_default_expression_token1] = ACTIONS(1318),
    [aux_sym_switch_statement_token1] = ACTIONS(1318),
    [aux_sym_switch_block_token1] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_TILDE] = ACTIONS(1316),
    [anon_sym_BANG] = ACTIONS(1316),
    [anon_sym_AT] = ACTIONS(1316),
    [aux_sym_clone_expression_token1] = ACTIONS(1318),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1318),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [aux_sym__list_destructing_token1] = ACTIONS(1318),
    [anon_sym_LBRACK] = ACTIONS(1316),
    [anon_sym_self] = ACTIONS(1318),
    [anon_sym_parent] = ACTIONS(1318),
    [aux_sym__argument_name_token1] = ACTIONS(1318),
    [aux_sym__argument_name_token2] = ACTIONS(1318),
    [anon_sym_POUND_LBRACK] = ACTIONS(1316),
    [aux_sym_encapsed_string_token1] = ACTIONS(1316),
    [anon_sym_DQUOTE] = ACTIONS(1316),
    [aux_sym_string_token1] = ACTIONS(1316),
    [anon_sym_SQUOTE] = ACTIONS(1316),
    [anon_sym_LT_LT_LT] = ACTIONS(1316),
    [anon_sym_BQUOTE] = ACTIONS(1316),
    [anon_sym_DOLLAR] = ACTIONS(1316),
    [aux_sym_yield_expression_token1] = ACTIONS(1318),
    [aux_sym_include_expression_token1] = ACTIONS(1318),
    [aux_sym_include_once_expression_token1] = ACTIONS(1318),
    [aux_sym_require_expression_token1] = ACTIONS(1318),
    [aux_sym_require_once_expression_token1] = ACTIONS(1318),
    [sym_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_text_interpolation] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1037),
    [sym_name] = ACTIONS(1039),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1037),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1039),
    [aux_sym_global_declaration_token1] = ACTIONS(1039),
    [aux_sym_namespace_definition_token1] = ACTIONS(1039),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1039),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1039),
    [anon_sym_BSLASH] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_RBRACE] = ACTIONS(1037),
    [aux_sym_trait_declaration_token1] = ACTIONS(1039),
    [aux_sym_interface_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_declaration_token1] = ACTIONS(1039),
    [aux_sym_enum_case_token1] = ACTIONS(1039),
    [aux_sym_class_declaration_token1] = ACTIONS(1039),
    [aux_sym_final_modifier_token1] = ACTIONS(1039),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1039),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1039),
    [sym_var_modifier] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1039),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(1037),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1039),
    [aux_sym_cast_type_token1] = ACTIONS(1039),
    [aux_sym_echo_statement_token1] = ACTIONS(1039),
    [aux_sym_exit_statement_token1] = ACTIONS(1039),
    [anon_sym_unset] = ACTIONS(1039),
    [aux_sym_declare_statement_token1] = ACTIONS(1039),
    [aux_sym_declare_statement_token2] = ACTIONS(1039),
    [sym_float] = ACTIONS(1039),
    [aux_sym_try_statement_token1] = ACTIONS(1039),
    [aux_sym_goto_statement_token1] = ACTIONS(1039),
    [aux_sym_continue_statement_token1] = ACTIONS(1039),
    [aux_sym_break_statement_token1] = ACTIONS(1039),
    [sym_integer] = ACTIONS(1039),
    [aux_sym_return_statement_token1] = ACTIONS(1039),
    [aux_sym_throw_expression_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token1] = ACTIONS(1039),
    [aux_sym_while_statement_token2] = ACTIONS(1039),
    [aux_sym_do_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token1] = ACTIONS(1039),
    [aux_sym_for_statement_token2] = ACTIONS(1039),
    [aux_sym_foreach_statement_token1] = ACTIONS(1039),
    [aux_sym_foreach_statement_token2] = ACTIONS(1039),
    [aux_sym_if_statement_token1] = ACTIONS(1039),
    [aux_sym_if_statement_token2] = ACTIONS(1039),
    [aux_sym_else_if_clause_token1] = ACTIONS(1039),
    [aux_sym_else_clause_token1] = ACTIONS(1039),
    [aux_sym_match_expression_token1] = ACTIONS(1039),
    [aux_sym_match_default_expression_token1] = ACTIONS(1039),
    [aux_sym_switch_statement_token1] = ACTIONS(1039),
    [aux_sym_switch_block_token1] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1039),
    [anon_sym_DASH] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [aux_sym_clone_expression_token1] = ACTIONS(1039),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1039),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1037),
    [aux_sym__list_destructing_token1] = ACTIONS(1039),
    [anon_sym_LBRACK] = ACTIONS(1037),
    [anon_sym_self] = ACTIONS(1039),
    [anon_sym_parent] = ACTIONS(1039),
    [aux_sym__argument_name_token1] = ACTIONS(1039),
    [aux_sym__argument_name_token2] = ACTIONS(1039),
    [anon_sym_POUND_LBRACK] = ACTIONS(1037),
    [aux_sym_encapsed_string_token1] = ACTIONS(1037),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [aux_sym_string_token1] = ACTIONS(1037),
    [anon_sym_SQUOTE] = ACTIONS(1037),
    [anon_sym_LT_LT_LT] = ACTIONS(1037),
    [anon_sym_BQUOTE] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1037),
    [aux_sym_yield_expression_token1] = ACTIONS(1039),
    [aux_sym_include_expression_token1] = ACTIONS(1039),
    [aux_sym_include_once_expression_token1] = ACTIONS(1039),
    [aux_sym_require_expression_token1] = ACTIONS(1039),
    [aux_sym_require_once_expression_token1] = ACTIONS(1039),
    [sym_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_text_interpolation] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_name] = ACTIONS(1322),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1320),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1322),
    [aux_sym_global_declaration_token1] = ACTIONS(1322),
    [aux_sym_namespace_definition_token1] = ACTIONS(1322),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1322),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1322),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1322),
    [anon_sym_BSLASH] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [aux_sym_trait_declaration_token1] = ACTIONS(1322),
    [aux_sym_interface_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_declaration_token1] = ACTIONS(1322),
    [aux_sym_enum_case_token1] = ACTIONS(1322),
    [aux_sym_class_declaration_token1] = ACTIONS(1322),
    [aux_sym_final_modifier_token1] = ACTIONS(1322),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1322),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1322),
    [sym_var_modifier] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1322),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1322),
    [aux_sym_cast_type_token1] = ACTIONS(1322),
    [aux_sym_echo_statement_token1] = ACTIONS(1322),
    [aux_sym_exit_statement_token1] = ACTIONS(1322),
    [anon_sym_unset] = ACTIONS(1322),
    [aux_sym_declare_statement_token1] = ACTIONS(1322),
    [aux_sym_declare_statement_token2] = ACTIONS(1322),
    [sym_float] = ACTIONS(1322),
    [aux_sym_try_statement_token1] = ACTIONS(1322),
    [aux_sym_goto_statement_token1] = ACTIONS(1322),
    [aux_sym_continue_statement_token1] = ACTIONS(1322),
    [aux_sym_break_statement_token1] = ACTIONS(1322),
    [sym_integer] = ACTIONS(1322),
    [aux_sym_return_statement_token1] = ACTIONS(1322),
    [aux_sym_throw_expression_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token1] = ACTIONS(1322),
    [aux_sym_while_statement_token2] = ACTIONS(1322),
    [aux_sym_do_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token1] = ACTIONS(1322),
    [aux_sym_for_statement_token2] = ACTIONS(1322),
    [aux_sym_foreach_statement_token1] = ACTIONS(1322),
    [aux_sym_foreach_statement_token2] = ACTIONS(1322),
    [aux_sym_if_statement_token1] = ACTIONS(1322),
    [aux_sym_if_statement_token2] = ACTIONS(1322),
    [aux_sym_else_if_clause_token1] = ACTIONS(1322),
    [aux_sym_else_clause_token1] = ACTIONS(1322),
    [aux_sym_match_expression_token1] = ACTIONS(1322),
    [aux_sym_match_default_expression_token1] = ACTIONS(1322),
    [aux_sym_switch_statement_token1] = ACTIONS(1322),
    [aux_sym_switch_block_token1] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_AT] = ACTIONS(1320),
    [aux_sym_clone_expression_token1] = ACTIONS(1322),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1322),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [aux_sym__list_destructing_token1] = ACTIONS(1322),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_self] = ACTIONS(1322),
    [anon_sym_parent] = ACTIONS(1322),
    [aux_sym__argument_name_token1] = ACTIONS(1322),
    [aux_sym__argument_name_token2] = ACTIONS(1322),
    [anon_sym_POUND_LBRACK] = ACTIONS(1320),
    [aux_sym_encapsed_string_token1] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [aux_sym_string_token1] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_LT_LT_LT] = ACTIONS(1320),
    [anon_sym_BQUOTE] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1320),
    [aux_sym_yield_expression_token1] = ACTIONS(1322),
    [aux_sym_include_expression_token1] = ACTIONS(1322),
    [aux_sym_include_once_expression_token1] = ACTIONS(1322),
    [aux_sym_require_expression_token1] = ACTIONS(1322),
    [aux_sym_require_once_expression_token1] = ACTIONS(1322),
    [sym_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_text_interpolation] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_name] = ACTIONS(1326),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1324),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1326),
    [aux_sym_global_declaration_token1] = ACTIONS(1326),
    [aux_sym_namespace_definition_token1] = ACTIONS(1326),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1326),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1326),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1326),
    [anon_sym_BSLASH] = ACTIONS(1324),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [aux_sym_trait_declaration_token1] = ACTIONS(1326),
    [aux_sym_interface_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_declaration_token1] = ACTIONS(1326),
    [aux_sym_enum_case_token1] = ACTIONS(1326),
    [aux_sym_class_declaration_token1] = ACTIONS(1326),
    [aux_sym_final_modifier_token1] = ACTIONS(1326),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1326),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1326),
    [sym_var_modifier] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1326),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1326),
    [aux_sym_cast_type_token1] = ACTIONS(1326),
    [aux_sym_echo_statement_token1] = ACTIONS(1326),
    [aux_sym_exit_statement_token1] = ACTIONS(1326),
    [anon_sym_unset] = ACTIONS(1326),
    [aux_sym_declare_statement_token1] = ACTIONS(1326),
    [aux_sym_declare_statement_token2] = ACTIONS(1326),
    [sym_float] = ACTIONS(1326),
    [aux_sym_try_statement_token1] = ACTIONS(1326),
    [aux_sym_goto_statement_token1] = ACTIONS(1326),
    [aux_sym_continue_statement_token1] = ACTIONS(1326),
    [aux_sym_break_statement_token1] = ACTIONS(1326),
    [sym_integer] = ACTIONS(1326),
    [aux_sym_return_statement_token1] = ACTIONS(1326),
    [aux_sym_throw_expression_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token1] = ACTIONS(1326),
    [aux_sym_while_statement_token2] = ACTIONS(1326),
    [aux_sym_do_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token1] = ACTIONS(1326),
    [aux_sym_for_statement_token2] = ACTIONS(1326),
    [aux_sym_foreach_statement_token1] = ACTIONS(1326),
    [aux_sym_foreach_statement_token2] = ACTIONS(1326),
    [aux_sym_if_statement_token1] = ACTIONS(1326),
    [aux_sym_if_statement_token2] = ACTIONS(1326),
    [aux_sym_else_if_clause_token1] = ACTIONS(1326),
    [aux_sym_else_clause_token1] = ACTIONS(1326),
    [aux_sym_match_expression_token1] = ACTIONS(1326),
    [aux_sym_match_default_expression_token1] = ACTIONS(1326),
    [aux_sym_switch_statement_token1] = ACTIONS(1326),
    [aux_sym_switch_block_token1] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(1324),
    [aux_sym_clone_expression_token1] = ACTIONS(1326),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1326),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [aux_sym__list_destructing_token1] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1324),
    [anon_sym_self] = ACTIONS(1326),
    [anon_sym_parent] = ACTIONS(1326),
    [aux_sym__argument_name_token1] = ACTIONS(1326),
    [aux_sym__argument_name_token2] = ACTIONS(1326),
    [anon_sym_POUND_LBRACK] = ACTIONS(1324),
    [aux_sym_encapsed_string_token1] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [aux_sym_string_token1] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1324),
    [anon_sym_BQUOTE] = ACTIONS(1324),
    [anon_sym_DOLLAR] = ACTIONS(1324),
    [aux_sym_yield_expression_token1] = ACTIONS(1326),
    [aux_sym_include_expression_token1] = ACTIONS(1326),
    [aux_sym_include_once_expression_token1] = ACTIONS(1326),
    [aux_sym_require_expression_token1] = ACTIONS(1326),
    [aux_sym_require_once_expression_token1] = ACTIONS(1326),
    [sym_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_text_interpolation] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_name] = ACTIONS(1330),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1328),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1330),
    [aux_sym_global_declaration_token1] = ACTIONS(1330),
    [aux_sym_namespace_definition_token1] = ACTIONS(1330),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1330),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1330),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1330),
    [anon_sym_BSLASH] = ACTIONS(1328),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [aux_sym_trait_declaration_token1] = ACTIONS(1330),
    [aux_sym_interface_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_declaration_token1] = ACTIONS(1330),
    [aux_sym_enum_case_token1] = ACTIONS(1330),
    [aux_sym_class_declaration_token1] = ACTIONS(1330),
    [aux_sym_final_modifier_token1] = ACTIONS(1330),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1330),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1330),
    [sym_var_modifier] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1330),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1330),
    [aux_sym_cast_type_token1] = ACTIONS(1330),
    [aux_sym_echo_statement_token1] = ACTIONS(1330),
    [aux_sym_exit_statement_token1] = ACTIONS(1330),
    [anon_sym_unset] = ACTIONS(1330),
    [aux_sym_declare_statement_token1] = ACTIONS(1330),
    [aux_sym_declare_statement_token2] = ACTIONS(1330),
    [sym_float] = ACTIONS(1330),
    [aux_sym_try_statement_token1] = ACTIONS(1330),
    [aux_sym_goto_statement_token1] = ACTIONS(1330),
    [aux_sym_continue_statement_token1] = ACTIONS(1330),
    [aux_sym_break_statement_token1] = ACTIONS(1330),
    [sym_integer] = ACTIONS(1330),
    [aux_sym_return_statement_token1] = ACTIONS(1330),
    [aux_sym_throw_expression_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token1] = ACTIONS(1330),
    [aux_sym_while_statement_token2] = ACTIONS(1330),
    [aux_sym_do_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token1] = ACTIONS(1330),
    [aux_sym_for_statement_token2] = ACTIONS(1330),
    [aux_sym_foreach_statement_token1] = ACTIONS(1330),
    [aux_sym_foreach_statement_token2] = ACTIONS(1330),
    [aux_sym_if_statement_token1] = ACTIONS(1330),
    [aux_sym_if_statement_token2] = ACTIONS(1330),
    [aux_sym_else_if_clause_token1] = ACTIONS(1330),
    [aux_sym_else_clause_token1] = ACTIONS(1330),
    [aux_sym_match_expression_token1] = ACTIONS(1330),
    [aux_sym_match_default_expression_token1] = ACTIONS(1330),
    [aux_sym_switch_statement_token1] = ACTIONS(1330),
    [aux_sym_switch_block_token1] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_AT] = ACTIONS(1328),
    [aux_sym_clone_expression_token1] = ACTIONS(1330),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1330),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [aux_sym__list_destructing_token1] = ACTIONS(1330),
    [anon_sym_LBRACK] = ACTIONS(1328),
    [anon_sym_self] = ACTIONS(1330),
    [anon_sym_parent] = ACTIONS(1330),
    [aux_sym__argument_name_token1] = ACTIONS(1330),
    [aux_sym__argument_name_token2] = ACTIONS(1330),
    [anon_sym_POUND_LBRACK] = ACTIONS(1328),
    [aux_sym_encapsed_string_token1] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [aux_sym_string_token1] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_LT_LT_LT] = ACTIONS(1328),
    [anon_sym_BQUOTE] = ACTIONS(1328),
    [anon_sym_DOLLAR] = ACTIONS(1328),
    [aux_sym_yield_expression_token1] = ACTIONS(1330),
    [aux_sym_include_expression_token1] = ACTIONS(1330),
    [aux_sym_include_once_expression_token1] = ACTIONS(1330),
    [aux_sym_require_expression_token1] = ACTIONS(1330),
    [aux_sym_require_once_expression_token1] = ACTIONS(1330),
    [sym_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_text_interpolation] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_name] = ACTIONS(1334),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1332),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1334),
    [aux_sym_global_declaration_token1] = ACTIONS(1334),
    [aux_sym_namespace_definition_token1] = ACTIONS(1334),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1334),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1334),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1334),
    [anon_sym_BSLASH] = ACTIONS(1332),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [aux_sym_trait_declaration_token1] = ACTIONS(1334),
    [aux_sym_interface_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_declaration_token1] = ACTIONS(1334),
    [aux_sym_enum_case_token1] = ACTIONS(1334),
    [aux_sym_class_declaration_token1] = ACTIONS(1334),
    [aux_sym_final_modifier_token1] = ACTIONS(1334),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1334),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1334),
    [sym_var_modifier] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1334),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1334),
    [aux_sym_cast_type_token1] = ACTIONS(1334),
    [aux_sym_echo_statement_token1] = ACTIONS(1334),
    [aux_sym_exit_statement_token1] = ACTIONS(1334),
    [anon_sym_unset] = ACTIONS(1334),
    [aux_sym_declare_statement_token1] = ACTIONS(1334),
    [aux_sym_declare_statement_token2] = ACTIONS(1334),
    [sym_float] = ACTIONS(1334),
    [aux_sym_try_statement_token1] = ACTIONS(1334),
    [aux_sym_goto_statement_token1] = ACTIONS(1334),
    [aux_sym_continue_statement_token1] = ACTIONS(1334),
    [aux_sym_break_statement_token1] = ACTIONS(1334),
    [sym_integer] = ACTIONS(1334),
    [aux_sym_return_statement_token1] = ACTIONS(1334),
    [aux_sym_throw_expression_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token1] = ACTIONS(1334),
    [aux_sym_while_statement_token2] = ACTIONS(1334),
    [aux_sym_do_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token1] = ACTIONS(1334),
    [aux_sym_for_statement_token2] = ACTIONS(1334),
    [aux_sym_foreach_statement_token1] = ACTIONS(1334),
    [aux_sym_foreach_statement_token2] = ACTIONS(1334),
    [aux_sym_if_statement_token1] = ACTIONS(1334),
    [aux_sym_if_statement_token2] = ACTIONS(1334),
    [aux_sym_else_if_clause_token1] = ACTIONS(1334),
    [aux_sym_else_clause_token1] = ACTIONS(1334),
    [aux_sym_match_expression_token1] = ACTIONS(1334),
    [aux_sym_match_default_expression_token1] = ACTIONS(1334),
    [aux_sym_switch_statement_token1] = ACTIONS(1334),
    [aux_sym_switch_block_token1] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_AT] = ACTIONS(1332),
    [aux_sym_clone_expression_token1] = ACTIONS(1334),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1334),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [aux_sym__list_destructing_token1] = ACTIONS(1334),
    [anon_sym_LBRACK] = ACTIONS(1332),
    [anon_sym_self] = ACTIONS(1334),
    [anon_sym_parent] = ACTIONS(1334),
    [aux_sym__argument_name_token1] = ACTIONS(1334),
    [aux_sym__argument_name_token2] = ACTIONS(1334),
    [anon_sym_POUND_LBRACK] = ACTIONS(1332),
    [aux_sym_encapsed_string_token1] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [aux_sym_string_token1] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_LT_LT_LT] = ACTIONS(1332),
    [anon_sym_BQUOTE] = ACTIONS(1332),
    [anon_sym_DOLLAR] = ACTIONS(1332),
    [aux_sym_yield_expression_token1] = ACTIONS(1334),
    [aux_sym_include_expression_token1] = ACTIONS(1334),
    [aux_sym_include_once_expression_token1] = ACTIONS(1334),
    [aux_sym_require_expression_token1] = ACTIONS(1334),
    [aux_sym_require_once_expression_token1] = ACTIONS(1334),
    [sym_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_text_interpolation] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_name] = ACTIONS(1338),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1336),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1338),
    [aux_sym_global_declaration_token1] = ACTIONS(1338),
    [aux_sym_namespace_definition_token1] = ACTIONS(1338),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1338),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1338),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1338),
    [anon_sym_BSLASH] = ACTIONS(1336),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [aux_sym_trait_declaration_token1] = ACTIONS(1338),
    [aux_sym_interface_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_declaration_token1] = ACTIONS(1338),
    [aux_sym_enum_case_token1] = ACTIONS(1338),
    [aux_sym_class_declaration_token1] = ACTIONS(1338),
    [aux_sym_final_modifier_token1] = ACTIONS(1338),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1338),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1338),
    [sym_var_modifier] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1338),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1338),
    [aux_sym_cast_type_token1] = ACTIONS(1338),
    [aux_sym_echo_statement_token1] = ACTIONS(1338),
    [aux_sym_exit_statement_token1] = ACTIONS(1338),
    [anon_sym_unset] = ACTIONS(1338),
    [aux_sym_declare_statement_token1] = ACTIONS(1338),
    [aux_sym_declare_statement_token2] = ACTIONS(1338),
    [sym_float] = ACTIONS(1338),
    [aux_sym_try_statement_token1] = ACTIONS(1338),
    [aux_sym_goto_statement_token1] = ACTIONS(1338),
    [aux_sym_continue_statement_token1] = ACTIONS(1338),
    [aux_sym_break_statement_token1] = ACTIONS(1338),
    [sym_integer] = ACTIONS(1338),
    [aux_sym_return_statement_token1] = ACTIONS(1338),
    [aux_sym_throw_expression_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token1] = ACTIONS(1338),
    [aux_sym_while_statement_token2] = ACTIONS(1338),
    [aux_sym_do_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token1] = ACTIONS(1338),
    [aux_sym_for_statement_token2] = ACTIONS(1338),
    [aux_sym_foreach_statement_token1] = ACTIONS(1338),
    [aux_sym_foreach_statement_token2] = ACTIONS(1338),
    [aux_sym_if_statement_token1] = ACTIONS(1338),
    [aux_sym_if_statement_token2] = ACTIONS(1338),
    [aux_sym_else_if_clause_token1] = ACTIONS(1338),
    [aux_sym_else_clause_token1] = ACTIONS(1338),
    [aux_sym_match_expression_token1] = ACTIONS(1338),
    [aux_sym_match_default_expression_token1] = ACTIONS(1338),
    [aux_sym_switch_statement_token1] = ACTIONS(1338),
    [aux_sym_switch_block_token1] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_AT] = ACTIONS(1336),
    [aux_sym_clone_expression_token1] = ACTIONS(1338),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1338),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [aux_sym__list_destructing_token1] = ACTIONS(1338),
    [anon_sym_LBRACK] = ACTIONS(1336),
    [anon_sym_self] = ACTIONS(1338),
    [anon_sym_parent] = ACTIONS(1338),
    [aux_sym__argument_name_token1] = ACTIONS(1338),
    [aux_sym__argument_name_token2] = ACTIONS(1338),
    [anon_sym_POUND_LBRACK] = ACTIONS(1336),
    [aux_sym_encapsed_string_token1] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [aux_sym_string_token1] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_LT_LT_LT] = ACTIONS(1336),
    [anon_sym_BQUOTE] = ACTIONS(1336),
    [anon_sym_DOLLAR] = ACTIONS(1336),
    [aux_sym_yield_expression_token1] = ACTIONS(1338),
    [aux_sym_include_expression_token1] = ACTIONS(1338),
    [aux_sym_include_once_expression_token1] = ACTIONS(1338),
    [aux_sym_require_expression_token1] = ACTIONS(1338),
    [aux_sym_require_once_expression_token1] = ACTIONS(1338),
    [sym_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_text_interpolation] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_name] = ACTIONS(1342),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1340),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1342),
    [aux_sym_global_declaration_token1] = ACTIONS(1342),
    [aux_sym_namespace_definition_token1] = ACTIONS(1342),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1342),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1342),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1342),
    [anon_sym_BSLASH] = ACTIONS(1340),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [aux_sym_trait_declaration_token1] = ACTIONS(1342),
    [aux_sym_interface_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_declaration_token1] = ACTIONS(1342),
    [aux_sym_enum_case_token1] = ACTIONS(1342),
    [aux_sym_class_declaration_token1] = ACTIONS(1342),
    [aux_sym_final_modifier_token1] = ACTIONS(1342),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1342),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1342),
    [sym_var_modifier] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1342),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1342),
    [aux_sym_cast_type_token1] = ACTIONS(1342),
    [aux_sym_echo_statement_token1] = ACTIONS(1342),
    [aux_sym_exit_statement_token1] = ACTIONS(1342),
    [anon_sym_unset] = ACTIONS(1342),
    [aux_sym_declare_statement_token1] = ACTIONS(1342),
    [aux_sym_declare_statement_token2] = ACTIONS(1342),
    [sym_float] = ACTIONS(1342),
    [aux_sym_try_statement_token1] = ACTIONS(1342),
    [aux_sym_goto_statement_token1] = ACTIONS(1342),
    [aux_sym_continue_statement_token1] = ACTIONS(1342),
    [aux_sym_break_statement_token1] = ACTIONS(1342),
    [sym_integer] = ACTIONS(1342),
    [aux_sym_return_statement_token1] = ACTIONS(1342),
    [aux_sym_throw_expression_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token1] = ACTIONS(1342),
    [aux_sym_while_statement_token2] = ACTIONS(1342),
    [aux_sym_do_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token1] = ACTIONS(1342),
    [aux_sym_for_statement_token2] = ACTIONS(1342),
    [aux_sym_foreach_statement_token1] = ACTIONS(1342),
    [aux_sym_foreach_statement_token2] = ACTIONS(1342),
    [aux_sym_if_statement_token1] = ACTIONS(1342),
    [aux_sym_if_statement_token2] = ACTIONS(1342),
    [aux_sym_else_if_clause_token1] = ACTIONS(1342),
    [aux_sym_else_clause_token1] = ACTIONS(1342),
    [aux_sym_match_expression_token1] = ACTIONS(1342),
    [aux_sym_match_default_expression_token1] = ACTIONS(1342),
    [aux_sym_switch_statement_token1] = ACTIONS(1342),
    [aux_sym_switch_block_token1] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_AT] = ACTIONS(1340),
    [aux_sym_clone_expression_token1] = ACTIONS(1342),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1342),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [aux_sym__list_destructing_token1] = ACTIONS(1342),
    [anon_sym_LBRACK] = ACTIONS(1340),
    [anon_sym_self] = ACTIONS(1342),
    [anon_sym_parent] = ACTIONS(1342),
    [aux_sym__argument_name_token1] = ACTIONS(1342),
    [aux_sym__argument_name_token2] = ACTIONS(1342),
    [anon_sym_POUND_LBRACK] = ACTIONS(1340),
    [aux_sym_encapsed_string_token1] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [aux_sym_string_token1] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_LT_LT_LT] = ACTIONS(1340),
    [anon_sym_BQUOTE] = ACTIONS(1340),
    [anon_sym_DOLLAR] = ACTIONS(1340),
    [aux_sym_yield_expression_token1] = ACTIONS(1342),
    [aux_sym_include_expression_token1] = ACTIONS(1342),
    [aux_sym_include_once_expression_token1] = ACTIONS(1342),
    [aux_sym_require_expression_token1] = ACTIONS(1342),
    [aux_sym_require_once_expression_token1] = ACTIONS(1342),
    [sym_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_text_interpolation] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_name] = ACTIONS(1346),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1344),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1346),
    [aux_sym_global_declaration_token1] = ACTIONS(1346),
    [aux_sym_namespace_definition_token1] = ACTIONS(1346),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1346),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1346),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1346),
    [anon_sym_BSLASH] = ACTIONS(1344),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [aux_sym_trait_declaration_token1] = ACTIONS(1346),
    [aux_sym_interface_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_declaration_token1] = ACTIONS(1346),
    [aux_sym_enum_case_token1] = ACTIONS(1346),
    [aux_sym_class_declaration_token1] = ACTIONS(1346),
    [aux_sym_final_modifier_token1] = ACTIONS(1346),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1346),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1346),
    [sym_var_modifier] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1346),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1346),
    [aux_sym_cast_type_token1] = ACTIONS(1346),
    [aux_sym_echo_statement_token1] = ACTIONS(1346),
    [aux_sym_exit_statement_token1] = ACTIONS(1346),
    [anon_sym_unset] = ACTIONS(1346),
    [aux_sym_declare_statement_token1] = ACTIONS(1346),
    [aux_sym_declare_statement_token2] = ACTIONS(1346),
    [sym_float] = ACTIONS(1346),
    [aux_sym_try_statement_token1] = ACTIONS(1346),
    [aux_sym_goto_statement_token1] = ACTIONS(1346),
    [aux_sym_continue_statement_token1] = ACTIONS(1346),
    [aux_sym_break_statement_token1] = ACTIONS(1346),
    [sym_integer] = ACTIONS(1346),
    [aux_sym_return_statement_token1] = ACTIONS(1346),
    [aux_sym_throw_expression_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token1] = ACTIONS(1346),
    [aux_sym_while_statement_token2] = ACTIONS(1346),
    [aux_sym_do_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token1] = ACTIONS(1346),
    [aux_sym_for_statement_token2] = ACTIONS(1346),
    [aux_sym_foreach_statement_token1] = ACTIONS(1346),
    [aux_sym_foreach_statement_token2] = ACTIONS(1346),
    [aux_sym_if_statement_token1] = ACTIONS(1346),
    [aux_sym_if_statement_token2] = ACTIONS(1346),
    [aux_sym_else_if_clause_token1] = ACTIONS(1346),
    [aux_sym_else_clause_token1] = ACTIONS(1346),
    [aux_sym_match_expression_token1] = ACTIONS(1346),
    [aux_sym_match_default_expression_token1] = ACTIONS(1346),
    [aux_sym_switch_statement_token1] = ACTIONS(1346),
    [aux_sym_switch_block_token1] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_AT] = ACTIONS(1344),
    [aux_sym_clone_expression_token1] = ACTIONS(1346),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1346),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [aux_sym__list_destructing_token1] = ACTIONS(1346),
    [anon_sym_LBRACK] = ACTIONS(1344),
    [anon_sym_self] = ACTIONS(1346),
    [anon_sym_parent] = ACTIONS(1346),
    [aux_sym__argument_name_token1] = ACTIONS(1346),
    [aux_sym__argument_name_token2] = ACTIONS(1346),
    [anon_sym_POUND_LBRACK] = ACTIONS(1344),
    [aux_sym_encapsed_string_token1] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [aux_sym_string_token1] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_LT_LT_LT] = ACTIONS(1344),
    [anon_sym_BQUOTE] = ACTIONS(1344),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [aux_sym_yield_expression_token1] = ACTIONS(1346),
    [aux_sym_include_expression_token1] = ACTIONS(1346),
    [aux_sym_include_once_expression_token1] = ACTIONS(1346),
    [aux_sym_require_expression_token1] = ACTIONS(1346),
    [aux_sym_require_once_expression_token1] = ACTIONS(1346),
    [sym_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_text_interpolation] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_name] = ACTIONS(1350),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1348),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1350),
    [aux_sym_global_declaration_token1] = ACTIONS(1350),
    [aux_sym_namespace_definition_token1] = ACTIONS(1350),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1350),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1350),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1350),
    [anon_sym_BSLASH] = ACTIONS(1348),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [aux_sym_trait_declaration_token1] = ACTIONS(1350),
    [aux_sym_interface_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_declaration_token1] = ACTIONS(1350),
    [aux_sym_enum_case_token1] = ACTIONS(1350),
    [aux_sym_class_declaration_token1] = ACTIONS(1350),
    [aux_sym_final_modifier_token1] = ACTIONS(1350),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1350),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1350),
    [sym_var_modifier] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1350),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1350),
    [aux_sym_cast_type_token1] = ACTIONS(1350),
    [aux_sym_echo_statement_token1] = ACTIONS(1350),
    [aux_sym_exit_statement_token1] = ACTIONS(1350),
    [anon_sym_unset] = ACTIONS(1350),
    [aux_sym_declare_statement_token1] = ACTIONS(1350),
    [aux_sym_declare_statement_token2] = ACTIONS(1350),
    [sym_float] = ACTIONS(1350),
    [aux_sym_try_statement_token1] = ACTIONS(1350),
    [aux_sym_goto_statement_token1] = ACTIONS(1350),
    [aux_sym_continue_statement_token1] = ACTIONS(1350),
    [aux_sym_break_statement_token1] = ACTIONS(1350),
    [sym_integer] = ACTIONS(1350),
    [aux_sym_return_statement_token1] = ACTIONS(1350),
    [aux_sym_throw_expression_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token1] = ACTIONS(1350),
    [aux_sym_while_statement_token2] = ACTIONS(1350),
    [aux_sym_do_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token1] = ACTIONS(1350),
    [aux_sym_for_statement_token2] = ACTIONS(1350),
    [aux_sym_foreach_statement_token1] = ACTIONS(1350),
    [aux_sym_foreach_statement_token2] = ACTIONS(1350),
    [aux_sym_if_statement_token1] = ACTIONS(1350),
    [aux_sym_if_statement_token2] = ACTIONS(1350),
    [aux_sym_else_if_clause_token1] = ACTIONS(1350),
    [aux_sym_else_clause_token1] = ACTIONS(1350),
    [aux_sym_match_expression_token1] = ACTIONS(1350),
    [aux_sym_match_default_expression_token1] = ACTIONS(1350),
    [aux_sym_switch_statement_token1] = ACTIONS(1350),
    [aux_sym_switch_block_token1] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_AT] = ACTIONS(1348),
    [aux_sym_clone_expression_token1] = ACTIONS(1350),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1350),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [aux_sym__list_destructing_token1] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_self] = ACTIONS(1350),
    [anon_sym_parent] = ACTIONS(1350),
    [aux_sym__argument_name_token1] = ACTIONS(1350),
    [aux_sym__argument_name_token2] = ACTIONS(1350),
    [anon_sym_POUND_LBRACK] = ACTIONS(1348),
    [aux_sym_encapsed_string_token1] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [aux_sym_string_token1] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_LT_LT_LT] = ACTIONS(1348),
    [anon_sym_BQUOTE] = ACTIONS(1348),
    [anon_sym_DOLLAR] = ACTIONS(1348),
    [aux_sym_yield_expression_token1] = ACTIONS(1350),
    [aux_sym_include_expression_token1] = ACTIONS(1350),
    [aux_sym_include_once_expression_token1] = ACTIONS(1350),
    [aux_sym_require_expression_token1] = ACTIONS(1350),
    [aux_sym_require_once_expression_token1] = ACTIONS(1350),
    [sym_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_text_interpolation] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_name] = ACTIONS(1354),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1352),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1354),
    [aux_sym_global_declaration_token1] = ACTIONS(1354),
    [aux_sym_namespace_definition_token1] = ACTIONS(1354),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1354),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1354),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1354),
    [anon_sym_BSLASH] = ACTIONS(1352),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [aux_sym_trait_declaration_token1] = ACTIONS(1354),
    [aux_sym_interface_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_declaration_token1] = ACTIONS(1354),
    [aux_sym_enum_case_token1] = ACTIONS(1354),
    [aux_sym_class_declaration_token1] = ACTIONS(1354),
    [aux_sym_final_modifier_token1] = ACTIONS(1354),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1354),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1354),
    [sym_var_modifier] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1354),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1354),
    [aux_sym_cast_type_token1] = ACTIONS(1354),
    [aux_sym_echo_statement_token1] = ACTIONS(1354),
    [aux_sym_exit_statement_token1] = ACTIONS(1354),
    [anon_sym_unset] = ACTIONS(1354),
    [aux_sym_declare_statement_token1] = ACTIONS(1354),
    [aux_sym_declare_statement_token2] = ACTIONS(1354),
    [sym_float] = ACTIONS(1354),
    [aux_sym_try_statement_token1] = ACTIONS(1354),
    [aux_sym_goto_statement_token1] = ACTIONS(1354),
    [aux_sym_continue_statement_token1] = ACTIONS(1354),
    [aux_sym_break_statement_token1] = ACTIONS(1354),
    [sym_integer] = ACTIONS(1354),
    [aux_sym_return_statement_token1] = ACTIONS(1354),
    [aux_sym_throw_expression_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token1] = ACTIONS(1354),
    [aux_sym_while_statement_token2] = ACTIONS(1354),
    [aux_sym_do_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token1] = ACTIONS(1354),
    [aux_sym_for_statement_token2] = ACTIONS(1354),
    [aux_sym_foreach_statement_token1] = ACTIONS(1354),
    [aux_sym_foreach_statement_token2] = ACTIONS(1354),
    [aux_sym_if_statement_token1] = ACTIONS(1354),
    [aux_sym_if_statement_token2] = ACTIONS(1354),
    [aux_sym_else_if_clause_token1] = ACTIONS(1354),
    [aux_sym_else_clause_token1] = ACTIONS(1354),
    [aux_sym_match_expression_token1] = ACTIONS(1354),
    [aux_sym_match_default_expression_token1] = ACTIONS(1354),
    [aux_sym_switch_statement_token1] = ACTIONS(1354),
    [aux_sym_switch_block_token1] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AT] = ACTIONS(1352),
    [aux_sym_clone_expression_token1] = ACTIONS(1354),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1354),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [aux_sym__list_destructing_token1] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1352),
    [anon_sym_self] = ACTIONS(1354),
    [anon_sym_parent] = ACTIONS(1354),
    [aux_sym__argument_name_token1] = ACTIONS(1354),
    [aux_sym__argument_name_token2] = ACTIONS(1354),
    [anon_sym_POUND_LBRACK] = ACTIONS(1352),
    [aux_sym_encapsed_string_token1] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [aux_sym_string_token1] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_LT_LT_LT] = ACTIONS(1352),
    [anon_sym_BQUOTE] = ACTIONS(1352),
    [anon_sym_DOLLAR] = ACTIONS(1352),
    [aux_sym_yield_expression_token1] = ACTIONS(1354),
    [aux_sym_include_expression_token1] = ACTIONS(1354),
    [aux_sym_include_once_expression_token1] = ACTIONS(1354),
    [aux_sym_require_expression_token1] = ACTIONS(1354),
    [aux_sym_require_once_expression_token1] = ACTIONS(1354),
    [sym_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_text_interpolation] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_name] = ACTIONS(1358),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1356),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1358),
    [aux_sym_global_declaration_token1] = ACTIONS(1358),
    [aux_sym_namespace_definition_token1] = ACTIONS(1358),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1358),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1358),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1358),
    [anon_sym_BSLASH] = ACTIONS(1356),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [aux_sym_trait_declaration_token1] = ACTIONS(1358),
    [aux_sym_interface_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_declaration_token1] = ACTIONS(1358),
    [aux_sym_enum_case_token1] = ACTIONS(1358),
    [aux_sym_class_declaration_token1] = ACTIONS(1358),
    [aux_sym_final_modifier_token1] = ACTIONS(1358),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1358),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1358),
    [sym_var_modifier] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1358),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1358),
    [aux_sym_cast_type_token1] = ACTIONS(1358),
    [aux_sym_echo_statement_token1] = ACTIONS(1358),
    [aux_sym_exit_statement_token1] = ACTIONS(1358),
    [anon_sym_unset] = ACTIONS(1358),
    [aux_sym_declare_statement_token1] = ACTIONS(1358),
    [aux_sym_declare_statement_token2] = ACTIONS(1358),
    [sym_float] = ACTIONS(1358),
    [aux_sym_try_statement_token1] = ACTIONS(1358),
    [aux_sym_goto_statement_token1] = ACTIONS(1358),
    [aux_sym_continue_statement_token1] = ACTIONS(1358),
    [aux_sym_break_statement_token1] = ACTIONS(1358),
    [sym_integer] = ACTIONS(1358),
    [aux_sym_return_statement_token1] = ACTIONS(1358),
    [aux_sym_throw_expression_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token1] = ACTIONS(1358),
    [aux_sym_while_statement_token2] = ACTIONS(1358),
    [aux_sym_do_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token1] = ACTIONS(1358),
    [aux_sym_for_statement_token2] = ACTIONS(1358),
    [aux_sym_foreach_statement_token1] = ACTIONS(1358),
    [aux_sym_foreach_statement_token2] = ACTIONS(1358),
    [aux_sym_if_statement_token1] = ACTIONS(1358),
    [aux_sym_if_statement_token2] = ACTIONS(1358),
    [aux_sym_else_if_clause_token1] = ACTIONS(1358),
    [aux_sym_else_clause_token1] = ACTIONS(1358),
    [aux_sym_match_expression_token1] = ACTIONS(1358),
    [aux_sym_match_default_expression_token1] = ACTIONS(1358),
    [aux_sym_switch_statement_token1] = ACTIONS(1358),
    [aux_sym_switch_block_token1] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AT] = ACTIONS(1356),
    [aux_sym_clone_expression_token1] = ACTIONS(1358),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1358),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [aux_sym__list_destructing_token1] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1356),
    [anon_sym_self] = ACTIONS(1358),
    [anon_sym_parent] = ACTIONS(1358),
    [aux_sym__argument_name_token1] = ACTIONS(1358),
    [aux_sym__argument_name_token2] = ACTIONS(1358),
    [anon_sym_POUND_LBRACK] = ACTIONS(1356),
    [aux_sym_encapsed_string_token1] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [aux_sym_string_token1] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_LT_LT_LT] = ACTIONS(1356),
    [anon_sym_BQUOTE] = ACTIONS(1356),
    [anon_sym_DOLLAR] = ACTIONS(1356),
    [aux_sym_yield_expression_token1] = ACTIONS(1358),
    [aux_sym_include_expression_token1] = ACTIONS(1358),
    [aux_sym_include_once_expression_token1] = ACTIONS(1358),
    [aux_sym_require_expression_token1] = ACTIONS(1358),
    [aux_sym_require_once_expression_token1] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_text_interpolation] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_name] = ACTIONS(1362),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1360),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1362),
    [aux_sym_global_declaration_token1] = ACTIONS(1362),
    [aux_sym_namespace_definition_token1] = ACTIONS(1362),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1362),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1362),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1362),
    [anon_sym_BSLASH] = ACTIONS(1360),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [aux_sym_trait_declaration_token1] = ACTIONS(1362),
    [aux_sym_interface_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_declaration_token1] = ACTIONS(1362),
    [aux_sym_enum_case_token1] = ACTIONS(1362),
    [aux_sym_class_declaration_token1] = ACTIONS(1362),
    [aux_sym_final_modifier_token1] = ACTIONS(1362),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1362),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1362),
    [sym_var_modifier] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1362),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1362),
    [aux_sym_cast_type_token1] = ACTIONS(1362),
    [aux_sym_echo_statement_token1] = ACTIONS(1362),
    [aux_sym_exit_statement_token1] = ACTIONS(1362),
    [anon_sym_unset] = ACTIONS(1362),
    [aux_sym_declare_statement_token1] = ACTIONS(1362),
    [aux_sym_declare_statement_token2] = ACTIONS(1362),
    [sym_float] = ACTIONS(1362),
    [aux_sym_try_statement_token1] = ACTIONS(1362),
    [aux_sym_goto_statement_token1] = ACTIONS(1362),
    [aux_sym_continue_statement_token1] = ACTIONS(1362),
    [aux_sym_break_statement_token1] = ACTIONS(1362),
    [sym_integer] = ACTIONS(1362),
    [aux_sym_return_statement_token1] = ACTIONS(1362),
    [aux_sym_throw_expression_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token1] = ACTIONS(1362),
    [aux_sym_while_statement_token2] = ACTIONS(1362),
    [aux_sym_do_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token1] = ACTIONS(1362),
    [aux_sym_for_statement_token2] = ACTIONS(1362),
    [aux_sym_foreach_statement_token1] = ACTIONS(1362),
    [aux_sym_foreach_statement_token2] = ACTIONS(1362),
    [aux_sym_if_statement_token1] = ACTIONS(1362),
    [aux_sym_if_statement_token2] = ACTIONS(1362),
    [aux_sym_else_if_clause_token1] = ACTIONS(1362),
    [aux_sym_else_clause_token1] = ACTIONS(1362),
    [aux_sym_match_expression_token1] = ACTIONS(1362),
    [aux_sym_match_default_expression_token1] = ACTIONS(1362),
    [aux_sym_switch_statement_token1] = ACTIONS(1362),
    [aux_sym_switch_block_token1] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_AT] = ACTIONS(1360),
    [aux_sym_clone_expression_token1] = ACTIONS(1362),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1362),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [aux_sym__list_destructing_token1] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1360),
    [anon_sym_self] = ACTIONS(1362),
    [anon_sym_parent] = ACTIONS(1362),
    [aux_sym__argument_name_token1] = ACTIONS(1362),
    [aux_sym__argument_name_token2] = ACTIONS(1362),
    [anon_sym_POUND_LBRACK] = ACTIONS(1360),
    [aux_sym_encapsed_string_token1] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [aux_sym_string_token1] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_LT_LT_LT] = ACTIONS(1360),
    [anon_sym_BQUOTE] = ACTIONS(1360),
    [anon_sym_DOLLAR] = ACTIONS(1360),
    [aux_sym_yield_expression_token1] = ACTIONS(1362),
    [aux_sym_include_expression_token1] = ACTIONS(1362),
    [aux_sym_include_once_expression_token1] = ACTIONS(1362),
    [aux_sym_require_expression_token1] = ACTIONS(1362),
    [aux_sym_require_once_expression_token1] = ACTIONS(1362),
    [sym_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_text_interpolation] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_name] = ACTIONS(1366),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1364),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1366),
    [aux_sym_global_declaration_token1] = ACTIONS(1366),
    [aux_sym_namespace_definition_token1] = ACTIONS(1366),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1366),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1366),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1366),
    [anon_sym_BSLASH] = ACTIONS(1364),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [aux_sym_trait_declaration_token1] = ACTIONS(1366),
    [aux_sym_interface_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_declaration_token1] = ACTIONS(1366),
    [aux_sym_enum_case_token1] = ACTIONS(1366),
    [aux_sym_class_declaration_token1] = ACTIONS(1366),
    [aux_sym_final_modifier_token1] = ACTIONS(1366),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1366),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1366),
    [sym_var_modifier] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1366),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1366),
    [aux_sym_cast_type_token1] = ACTIONS(1366),
    [aux_sym_echo_statement_token1] = ACTIONS(1366),
    [aux_sym_exit_statement_token1] = ACTIONS(1366),
    [anon_sym_unset] = ACTIONS(1366),
    [aux_sym_declare_statement_token1] = ACTIONS(1366),
    [aux_sym_declare_statement_token2] = ACTIONS(1366),
    [sym_float] = ACTIONS(1366),
    [aux_sym_try_statement_token1] = ACTIONS(1366),
    [aux_sym_goto_statement_token1] = ACTIONS(1366),
    [aux_sym_continue_statement_token1] = ACTIONS(1366),
    [aux_sym_break_statement_token1] = ACTIONS(1366),
    [sym_integer] = ACTIONS(1366),
    [aux_sym_return_statement_token1] = ACTIONS(1366),
    [aux_sym_throw_expression_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token1] = ACTIONS(1366),
    [aux_sym_while_statement_token2] = ACTIONS(1366),
    [aux_sym_do_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token1] = ACTIONS(1366),
    [aux_sym_for_statement_token2] = ACTIONS(1366),
    [aux_sym_foreach_statement_token1] = ACTIONS(1366),
    [aux_sym_foreach_statement_token2] = ACTIONS(1366),
    [aux_sym_if_statement_token1] = ACTIONS(1366),
    [aux_sym_if_statement_token2] = ACTIONS(1366),
    [aux_sym_else_if_clause_token1] = ACTIONS(1366),
    [aux_sym_else_clause_token1] = ACTIONS(1366),
    [aux_sym_match_expression_token1] = ACTIONS(1366),
    [aux_sym_match_default_expression_token1] = ACTIONS(1366),
    [aux_sym_switch_statement_token1] = ACTIONS(1366),
    [aux_sym_switch_block_token1] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AT] = ACTIONS(1364),
    [aux_sym_clone_expression_token1] = ACTIONS(1366),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1366),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [aux_sym__list_destructing_token1] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1364),
    [anon_sym_self] = ACTIONS(1366),
    [anon_sym_parent] = ACTIONS(1366),
    [aux_sym__argument_name_token1] = ACTIONS(1366),
    [aux_sym__argument_name_token2] = ACTIONS(1366),
    [anon_sym_POUND_LBRACK] = ACTIONS(1364),
    [aux_sym_encapsed_string_token1] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [aux_sym_string_token1] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_LT_LT_LT] = ACTIONS(1364),
    [anon_sym_BQUOTE] = ACTIONS(1364),
    [anon_sym_DOLLAR] = ACTIONS(1364),
    [aux_sym_yield_expression_token1] = ACTIONS(1366),
    [aux_sym_include_expression_token1] = ACTIONS(1366),
    [aux_sym_include_once_expression_token1] = ACTIONS(1366),
    [aux_sym_require_expression_token1] = ACTIONS(1366),
    [aux_sym_require_once_expression_token1] = ACTIONS(1366),
    [sym_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_text_interpolation] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_name] = ACTIONS(1370),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1368),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1370),
    [aux_sym_global_declaration_token1] = ACTIONS(1370),
    [aux_sym_namespace_definition_token1] = ACTIONS(1370),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1370),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1370),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1370),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [aux_sym_trait_declaration_token1] = ACTIONS(1370),
    [aux_sym_interface_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_declaration_token1] = ACTIONS(1370),
    [aux_sym_enum_case_token1] = ACTIONS(1370),
    [aux_sym_class_declaration_token1] = ACTIONS(1370),
    [aux_sym_final_modifier_token1] = ACTIONS(1370),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1370),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1370),
    [sym_var_modifier] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1370),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1370),
    [aux_sym_cast_type_token1] = ACTIONS(1370),
    [aux_sym_echo_statement_token1] = ACTIONS(1370),
    [aux_sym_exit_statement_token1] = ACTIONS(1370),
    [anon_sym_unset] = ACTIONS(1370),
    [aux_sym_declare_statement_token1] = ACTIONS(1370),
    [aux_sym_declare_statement_token2] = ACTIONS(1370),
    [sym_float] = ACTIONS(1370),
    [aux_sym_try_statement_token1] = ACTIONS(1370),
    [aux_sym_goto_statement_token1] = ACTIONS(1370),
    [aux_sym_continue_statement_token1] = ACTIONS(1370),
    [aux_sym_break_statement_token1] = ACTIONS(1370),
    [sym_integer] = ACTIONS(1370),
    [aux_sym_return_statement_token1] = ACTIONS(1370),
    [aux_sym_throw_expression_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token1] = ACTIONS(1370),
    [aux_sym_while_statement_token2] = ACTIONS(1370),
    [aux_sym_do_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token1] = ACTIONS(1370),
    [aux_sym_for_statement_token2] = ACTIONS(1370),
    [aux_sym_foreach_statement_token1] = ACTIONS(1370),
    [aux_sym_foreach_statement_token2] = ACTIONS(1370),
    [aux_sym_if_statement_token1] = ACTIONS(1370),
    [aux_sym_if_statement_token2] = ACTIONS(1370),
    [aux_sym_else_if_clause_token1] = ACTIONS(1370),
    [aux_sym_else_clause_token1] = ACTIONS(1370),
    [aux_sym_match_expression_token1] = ACTIONS(1370),
    [aux_sym_match_default_expression_token1] = ACTIONS(1370),
    [aux_sym_switch_statement_token1] = ACTIONS(1370),
    [aux_sym_switch_block_token1] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AT] = ACTIONS(1368),
    [aux_sym_clone_expression_token1] = ACTIONS(1370),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1370),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [aux_sym__list_destructing_token1] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1368),
    [anon_sym_self] = ACTIONS(1370),
    [anon_sym_parent] = ACTIONS(1370),
    [aux_sym__argument_name_token1] = ACTIONS(1370),
    [aux_sym__argument_name_token2] = ACTIONS(1370),
    [anon_sym_POUND_LBRACK] = ACTIONS(1368),
    [aux_sym_encapsed_string_token1] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [aux_sym_string_token1] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_LT_LT_LT] = ACTIONS(1368),
    [anon_sym_BQUOTE] = ACTIONS(1368),
    [anon_sym_DOLLAR] = ACTIONS(1368),
    [aux_sym_yield_expression_token1] = ACTIONS(1370),
    [aux_sym_include_expression_token1] = ACTIONS(1370),
    [aux_sym_include_once_expression_token1] = ACTIONS(1370),
    [aux_sym_require_expression_token1] = ACTIONS(1370),
    [aux_sym_require_once_expression_token1] = ACTIONS(1370),
    [sym_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_text_interpolation] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1029),
    [sym_name] = ACTIONS(1031),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1029),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1031),
    [aux_sym_global_declaration_token1] = ACTIONS(1031),
    [aux_sym_namespace_definition_token1] = ACTIONS(1031),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1031),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1031),
    [anon_sym_BSLASH] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_RBRACE] = ACTIONS(1029),
    [aux_sym_trait_declaration_token1] = ACTIONS(1031),
    [aux_sym_interface_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_declaration_token1] = ACTIONS(1031),
    [aux_sym_enum_case_token1] = ACTIONS(1031),
    [aux_sym_class_declaration_token1] = ACTIONS(1031),
    [aux_sym_final_modifier_token1] = ACTIONS(1031),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1031),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1031),
    [sym_var_modifier] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1031),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1031),
    [anon_sym_LPAREN2] = ACTIONS(1029),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1031),
    [aux_sym_cast_type_token1] = ACTIONS(1031),
    [aux_sym_echo_statement_token1] = ACTIONS(1031),
    [aux_sym_exit_statement_token1] = ACTIONS(1031),
    [anon_sym_unset] = ACTIONS(1031),
    [aux_sym_declare_statement_token1] = ACTIONS(1031),
    [aux_sym_declare_statement_token2] = ACTIONS(1031),
    [sym_float] = ACTIONS(1031),
    [aux_sym_try_statement_token1] = ACTIONS(1031),
    [aux_sym_goto_statement_token1] = ACTIONS(1031),
    [aux_sym_continue_statement_token1] = ACTIONS(1031),
    [aux_sym_break_statement_token1] = ACTIONS(1031),
    [sym_integer] = ACTIONS(1031),
    [aux_sym_return_statement_token1] = ACTIONS(1031),
    [aux_sym_throw_expression_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token1] = ACTIONS(1031),
    [aux_sym_while_statement_token2] = ACTIONS(1031),
    [aux_sym_do_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token1] = ACTIONS(1031),
    [aux_sym_for_statement_token2] = ACTIONS(1031),
    [aux_sym_foreach_statement_token1] = ACTIONS(1031),
    [aux_sym_foreach_statement_token2] = ACTIONS(1031),
    [aux_sym_if_statement_token1] = ACTIONS(1031),
    [aux_sym_if_statement_token2] = ACTIONS(1031),
    [aux_sym_else_if_clause_token1] = ACTIONS(1031),
    [aux_sym_else_clause_token1] = ACTIONS(1031),
    [aux_sym_match_expression_token1] = ACTIONS(1031),
    [aux_sym_match_default_expression_token1] = ACTIONS(1031),
    [aux_sym_switch_statement_token1] = ACTIONS(1031),
    [aux_sym_switch_block_token1] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1031),
    [anon_sym_DASH] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [aux_sym_clone_expression_token1] = ACTIONS(1031),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1031),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1029),
    [aux_sym__list_destructing_token1] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1029),
    [anon_sym_self] = ACTIONS(1031),
    [anon_sym_parent] = ACTIONS(1031),
    [aux_sym__argument_name_token1] = ACTIONS(1031),
    [aux_sym__argument_name_token2] = ACTIONS(1031),
    [anon_sym_POUND_LBRACK] = ACTIONS(1029),
    [aux_sym_encapsed_string_token1] = ACTIONS(1029),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [aux_sym_string_token1] = ACTIONS(1029),
    [anon_sym_SQUOTE] = ACTIONS(1029),
    [anon_sym_LT_LT_LT] = ACTIONS(1029),
    [anon_sym_BQUOTE] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1029),
    [aux_sym_yield_expression_token1] = ACTIONS(1031),
    [aux_sym_include_expression_token1] = ACTIONS(1031),
    [aux_sym_include_once_expression_token1] = ACTIONS(1031),
    [aux_sym_require_expression_token1] = ACTIONS(1031),
    [aux_sym_require_once_expression_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_text_interpolation] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_name] = ACTIONS(1374),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1374),
    [aux_sym_global_declaration_token1] = ACTIONS(1374),
    [aux_sym_namespace_definition_token1] = ACTIONS(1374),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1374),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1374),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1374),
    [anon_sym_BSLASH] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [aux_sym_trait_declaration_token1] = ACTIONS(1374),
    [aux_sym_interface_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_declaration_token1] = ACTIONS(1374),
    [aux_sym_enum_case_token1] = ACTIONS(1374),
    [aux_sym_class_declaration_token1] = ACTIONS(1374),
    [aux_sym_final_modifier_token1] = ACTIONS(1374),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1374),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1374),
    [sym_var_modifier] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1374),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1374),
    [aux_sym_cast_type_token1] = ACTIONS(1374),
    [aux_sym_echo_statement_token1] = ACTIONS(1374),
    [aux_sym_exit_statement_token1] = ACTIONS(1374),
    [anon_sym_unset] = ACTIONS(1374),
    [aux_sym_declare_statement_token1] = ACTIONS(1374),
    [aux_sym_declare_statement_token2] = ACTIONS(1374),
    [sym_float] = ACTIONS(1374),
    [aux_sym_try_statement_token1] = ACTIONS(1374),
    [aux_sym_goto_statement_token1] = ACTIONS(1374),
    [aux_sym_continue_statement_token1] = ACTIONS(1374),
    [aux_sym_break_statement_token1] = ACTIONS(1374),
    [sym_integer] = ACTIONS(1374),
    [aux_sym_return_statement_token1] = ACTIONS(1374),
    [aux_sym_throw_expression_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token1] = ACTIONS(1374),
    [aux_sym_while_statement_token2] = ACTIONS(1374),
    [aux_sym_do_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token1] = ACTIONS(1374),
    [aux_sym_for_statement_token2] = ACTIONS(1374),
    [aux_sym_foreach_statement_token1] = ACTIONS(1374),
    [aux_sym_foreach_statement_token2] = ACTIONS(1374),
    [aux_sym_if_statement_token1] = ACTIONS(1374),
    [aux_sym_if_statement_token2] = ACTIONS(1374),
    [aux_sym_else_if_clause_token1] = ACTIONS(1374),
    [aux_sym_else_clause_token1] = ACTIONS(1374),
    [aux_sym_match_expression_token1] = ACTIONS(1374),
    [aux_sym_match_default_expression_token1] = ACTIONS(1374),
    [aux_sym_switch_statement_token1] = ACTIONS(1374),
    [aux_sym_switch_block_token1] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AT] = ACTIONS(1372),
    [aux_sym_clone_expression_token1] = ACTIONS(1374),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1374),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [aux_sym__list_destructing_token1] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1372),
    [anon_sym_self] = ACTIONS(1374),
    [anon_sym_parent] = ACTIONS(1374),
    [aux_sym__argument_name_token1] = ACTIONS(1374),
    [aux_sym__argument_name_token2] = ACTIONS(1374),
    [anon_sym_POUND_LBRACK] = ACTIONS(1372),
    [aux_sym_encapsed_string_token1] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [aux_sym_string_token1] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_LT_LT_LT] = ACTIONS(1372),
    [anon_sym_BQUOTE] = ACTIONS(1372),
    [anon_sym_DOLLAR] = ACTIONS(1372),
    [aux_sym_yield_expression_token1] = ACTIONS(1374),
    [aux_sym_include_expression_token1] = ACTIONS(1374),
    [aux_sym_include_once_expression_token1] = ACTIONS(1374),
    [aux_sym_require_expression_token1] = ACTIONS(1374),
    [aux_sym_require_once_expression_token1] = ACTIONS(1374),
    [sym_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_text_interpolation] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_name] = ACTIONS(1378),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1376),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1378),
    [aux_sym_global_declaration_token1] = ACTIONS(1378),
    [aux_sym_namespace_definition_token1] = ACTIONS(1378),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1378),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1378),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1378),
    [anon_sym_BSLASH] = ACTIONS(1376),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [aux_sym_trait_declaration_token1] = ACTIONS(1378),
    [aux_sym_interface_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_declaration_token1] = ACTIONS(1378),
    [aux_sym_enum_case_token1] = ACTIONS(1378),
    [aux_sym_class_declaration_token1] = ACTIONS(1378),
    [aux_sym_final_modifier_token1] = ACTIONS(1378),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1378),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1378),
    [sym_var_modifier] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1378),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1378),
    [aux_sym_cast_type_token1] = ACTIONS(1378),
    [aux_sym_echo_statement_token1] = ACTIONS(1378),
    [aux_sym_exit_statement_token1] = ACTIONS(1378),
    [anon_sym_unset] = ACTIONS(1378),
    [aux_sym_declare_statement_token1] = ACTIONS(1378),
    [aux_sym_declare_statement_token2] = ACTIONS(1378),
    [sym_float] = ACTIONS(1378),
    [aux_sym_try_statement_token1] = ACTIONS(1378),
    [aux_sym_goto_statement_token1] = ACTIONS(1378),
    [aux_sym_continue_statement_token1] = ACTIONS(1378),
    [aux_sym_break_statement_token1] = ACTIONS(1378),
    [sym_integer] = ACTIONS(1378),
    [aux_sym_return_statement_token1] = ACTIONS(1378),
    [aux_sym_throw_expression_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token1] = ACTIONS(1378),
    [aux_sym_while_statement_token2] = ACTIONS(1378),
    [aux_sym_do_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token1] = ACTIONS(1378),
    [aux_sym_for_statement_token2] = ACTIONS(1378),
    [aux_sym_foreach_statement_token1] = ACTIONS(1378),
    [aux_sym_foreach_statement_token2] = ACTIONS(1378),
    [aux_sym_if_statement_token1] = ACTIONS(1378),
    [aux_sym_if_statement_token2] = ACTIONS(1378),
    [aux_sym_else_if_clause_token1] = ACTIONS(1378),
    [aux_sym_else_clause_token1] = ACTIONS(1378),
    [aux_sym_match_expression_token1] = ACTIONS(1378),
    [aux_sym_match_default_expression_token1] = ACTIONS(1378),
    [aux_sym_switch_statement_token1] = ACTIONS(1378),
    [aux_sym_switch_block_token1] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AT] = ACTIONS(1376),
    [aux_sym_clone_expression_token1] = ACTIONS(1378),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1378),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [aux_sym__list_destructing_token1] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1376),
    [anon_sym_self] = ACTIONS(1378),
    [anon_sym_parent] = ACTIONS(1378),
    [aux_sym__argument_name_token1] = ACTIONS(1378),
    [aux_sym__argument_name_token2] = ACTIONS(1378),
    [anon_sym_POUND_LBRACK] = ACTIONS(1376),
    [aux_sym_encapsed_string_token1] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [aux_sym_string_token1] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_LT_LT_LT] = ACTIONS(1376),
    [anon_sym_BQUOTE] = ACTIONS(1376),
    [anon_sym_DOLLAR] = ACTIONS(1376),
    [aux_sym_yield_expression_token1] = ACTIONS(1378),
    [aux_sym_include_expression_token1] = ACTIONS(1378),
    [aux_sym_include_once_expression_token1] = ACTIONS(1378),
    [aux_sym_require_expression_token1] = ACTIONS(1378),
    [aux_sym_require_once_expression_token1] = ACTIONS(1378),
    [sym_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_text_interpolation] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_name] = ACTIONS(1382),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1380),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1382),
    [aux_sym_global_declaration_token1] = ACTIONS(1382),
    [aux_sym_namespace_definition_token1] = ACTIONS(1382),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1382),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1382),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1382),
    [anon_sym_BSLASH] = ACTIONS(1380),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [aux_sym_trait_declaration_token1] = ACTIONS(1382),
    [aux_sym_interface_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_declaration_token1] = ACTIONS(1382),
    [aux_sym_enum_case_token1] = ACTIONS(1382),
    [aux_sym_class_declaration_token1] = ACTIONS(1382),
    [aux_sym_final_modifier_token1] = ACTIONS(1382),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1382),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1382),
    [sym_var_modifier] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1382),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1382),
    [aux_sym_cast_type_token1] = ACTIONS(1382),
    [aux_sym_echo_statement_token1] = ACTIONS(1382),
    [aux_sym_exit_statement_token1] = ACTIONS(1382),
    [anon_sym_unset] = ACTIONS(1382),
    [aux_sym_declare_statement_token1] = ACTIONS(1382),
    [aux_sym_declare_statement_token2] = ACTIONS(1382),
    [sym_float] = ACTIONS(1382),
    [aux_sym_try_statement_token1] = ACTIONS(1382),
    [aux_sym_goto_statement_token1] = ACTIONS(1382),
    [aux_sym_continue_statement_token1] = ACTIONS(1382),
    [aux_sym_break_statement_token1] = ACTIONS(1382),
    [sym_integer] = ACTIONS(1382),
    [aux_sym_return_statement_token1] = ACTIONS(1382),
    [aux_sym_throw_expression_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token1] = ACTIONS(1382),
    [aux_sym_while_statement_token2] = ACTIONS(1382),
    [aux_sym_do_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token1] = ACTIONS(1382),
    [aux_sym_for_statement_token2] = ACTIONS(1382),
    [aux_sym_foreach_statement_token1] = ACTIONS(1382),
    [aux_sym_foreach_statement_token2] = ACTIONS(1382),
    [aux_sym_if_statement_token1] = ACTIONS(1382),
    [aux_sym_if_statement_token2] = ACTIONS(1382),
    [aux_sym_else_if_clause_token1] = ACTIONS(1382),
    [aux_sym_else_clause_token1] = ACTIONS(1382),
    [aux_sym_match_expression_token1] = ACTIONS(1382),
    [aux_sym_match_default_expression_token1] = ACTIONS(1382),
    [aux_sym_switch_statement_token1] = ACTIONS(1382),
    [aux_sym_switch_block_token1] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AT] = ACTIONS(1380),
    [aux_sym_clone_expression_token1] = ACTIONS(1382),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1382),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [aux_sym__list_destructing_token1] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_self] = ACTIONS(1382),
    [anon_sym_parent] = ACTIONS(1382),
    [aux_sym__argument_name_token1] = ACTIONS(1382),
    [aux_sym__argument_name_token2] = ACTIONS(1382),
    [anon_sym_POUND_LBRACK] = ACTIONS(1380),
    [aux_sym_encapsed_string_token1] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [aux_sym_string_token1] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_LT_LT_LT] = ACTIONS(1380),
    [anon_sym_BQUOTE] = ACTIONS(1380),
    [anon_sym_DOLLAR] = ACTIONS(1380),
    [aux_sym_yield_expression_token1] = ACTIONS(1382),
    [aux_sym_include_expression_token1] = ACTIONS(1382),
    [aux_sym_include_once_expression_token1] = ACTIONS(1382),
    [aux_sym_require_expression_token1] = ACTIONS(1382),
    [aux_sym_require_once_expression_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_text_interpolation] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_name] = ACTIONS(1386),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1384),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1386),
    [aux_sym_global_declaration_token1] = ACTIONS(1386),
    [aux_sym_namespace_definition_token1] = ACTIONS(1386),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1386),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1386),
    [anon_sym_BSLASH] = ACTIONS(1384),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [aux_sym_trait_declaration_token1] = ACTIONS(1386),
    [aux_sym_interface_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_declaration_token1] = ACTIONS(1386),
    [aux_sym_enum_case_token1] = ACTIONS(1386),
    [aux_sym_class_declaration_token1] = ACTIONS(1386),
    [aux_sym_final_modifier_token1] = ACTIONS(1386),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1386),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1386),
    [sym_var_modifier] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1386),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1386),
    [aux_sym_cast_type_token1] = ACTIONS(1386),
    [aux_sym_echo_statement_token1] = ACTIONS(1386),
    [aux_sym_exit_statement_token1] = ACTIONS(1386),
    [anon_sym_unset] = ACTIONS(1386),
    [aux_sym_declare_statement_token1] = ACTIONS(1386),
    [aux_sym_declare_statement_token2] = ACTIONS(1386),
    [sym_float] = ACTIONS(1386),
    [aux_sym_try_statement_token1] = ACTIONS(1386),
    [aux_sym_goto_statement_token1] = ACTIONS(1386),
    [aux_sym_continue_statement_token1] = ACTIONS(1386),
    [aux_sym_break_statement_token1] = ACTIONS(1386),
    [sym_integer] = ACTIONS(1386),
    [aux_sym_return_statement_token1] = ACTIONS(1386),
    [aux_sym_throw_expression_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token1] = ACTIONS(1386),
    [aux_sym_while_statement_token2] = ACTIONS(1386),
    [aux_sym_do_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token1] = ACTIONS(1386),
    [aux_sym_for_statement_token2] = ACTIONS(1386),
    [aux_sym_foreach_statement_token1] = ACTIONS(1386),
    [aux_sym_foreach_statement_token2] = ACTIONS(1386),
    [aux_sym_if_statement_token1] = ACTIONS(1386),
    [aux_sym_if_statement_token2] = ACTIONS(1386),
    [aux_sym_else_if_clause_token1] = ACTIONS(1386),
    [aux_sym_else_clause_token1] = ACTIONS(1386),
    [aux_sym_match_expression_token1] = ACTIONS(1386),
    [aux_sym_match_default_expression_token1] = ACTIONS(1386),
    [aux_sym_switch_statement_token1] = ACTIONS(1386),
    [aux_sym_switch_block_token1] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AT] = ACTIONS(1384),
    [aux_sym_clone_expression_token1] = ACTIONS(1386),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1386),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [aux_sym__list_destructing_token1] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_self] = ACTIONS(1386),
    [anon_sym_parent] = ACTIONS(1386),
    [aux_sym__argument_name_token1] = ACTIONS(1386),
    [aux_sym__argument_name_token2] = ACTIONS(1386),
    [anon_sym_POUND_LBRACK] = ACTIONS(1384),
    [aux_sym_encapsed_string_token1] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [aux_sym_string_token1] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_LT_LT_LT] = ACTIONS(1384),
    [anon_sym_BQUOTE] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1384),
    [aux_sym_yield_expression_token1] = ACTIONS(1386),
    [aux_sym_include_expression_token1] = ACTIONS(1386),
    [aux_sym_include_once_expression_token1] = ACTIONS(1386),
    [aux_sym_require_expression_token1] = ACTIONS(1386),
    [aux_sym_require_once_expression_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_text_interpolation] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_name] = ACTIONS(1390),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1388),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1390),
    [aux_sym_global_declaration_token1] = ACTIONS(1390),
    [aux_sym_namespace_definition_token1] = ACTIONS(1390),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1390),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1390),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1390),
    [anon_sym_BSLASH] = ACTIONS(1388),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [aux_sym_trait_declaration_token1] = ACTIONS(1390),
    [aux_sym_interface_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_declaration_token1] = ACTIONS(1390),
    [aux_sym_enum_case_token1] = ACTIONS(1390),
    [aux_sym_class_declaration_token1] = ACTIONS(1390),
    [aux_sym_final_modifier_token1] = ACTIONS(1390),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1390),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1390),
    [sym_var_modifier] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1390),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1390),
    [aux_sym_cast_type_token1] = ACTIONS(1390),
    [aux_sym_echo_statement_token1] = ACTIONS(1390),
    [aux_sym_exit_statement_token1] = ACTIONS(1390),
    [anon_sym_unset] = ACTIONS(1390),
    [aux_sym_declare_statement_token1] = ACTIONS(1390),
    [aux_sym_declare_statement_token2] = ACTIONS(1390),
    [sym_float] = ACTIONS(1390),
    [aux_sym_try_statement_token1] = ACTIONS(1390),
    [aux_sym_goto_statement_token1] = ACTIONS(1390),
    [aux_sym_continue_statement_token1] = ACTIONS(1390),
    [aux_sym_break_statement_token1] = ACTIONS(1390),
    [sym_integer] = ACTIONS(1390),
    [aux_sym_return_statement_token1] = ACTIONS(1390),
    [aux_sym_throw_expression_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token1] = ACTIONS(1390),
    [aux_sym_while_statement_token2] = ACTIONS(1390),
    [aux_sym_do_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token1] = ACTIONS(1390),
    [aux_sym_for_statement_token2] = ACTIONS(1390),
    [aux_sym_foreach_statement_token1] = ACTIONS(1390),
    [aux_sym_foreach_statement_token2] = ACTIONS(1390),
    [aux_sym_if_statement_token1] = ACTIONS(1390),
    [aux_sym_if_statement_token2] = ACTIONS(1390),
    [aux_sym_else_if_clause_token1] = ACTIONS(1390),
    [aux_sym_else_clause_token1] = ACTIONS(1390),
    [aux_sym_match_expression_token1] = ACTIONS(1390),
    [aux_sym_match_default_expression_token1] = ACTIONS(1390),
    [aux_sym_switch_statement_token1] = ACTIONS(1390),
    [aux_sym_switch_block_token1] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AT] = ACTIONS(1388),
    [aux_sym_clone_expression_token1] = ACTIONS(1390),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1390),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [aux_sym__list_destructing_token1] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_self] = ACTIONS(1390),
    [anon_sym_parent] = ACTIONS(1390),
    [aux_sym__argument_name_token1] = ACTIONS(1390),
    [aux_sym__argument_name_token2] = ACTIONS(1390),
    [anon_sym_POUND_LBRACK] = ACTIONS(1388),
    [aux_sym_encapsed_string_token1] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [aux_sym_string_token1] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_LT_LT_LT] = ACTIONS(1388),
    [anon_sym_BQUOTE] = ACTIONS(1388),
    [anon_sym_DOLLAR] = ACTIONS(1388),
    [aux_sym_yield_expression_token1] = ACTIONS(1390),
    [aux_sym_include_expression_token1] = ACTIONS(1390),
    [aux_sym_include_once_expression_token1] = ACTIONS(1390),
    [aux_sym_require_expression_token1] = ACTIONS(1390),
    [aux_sym_require_once_expression_token1] = ACTIONS(1390),
    [sym_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_text_interpolation] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_name] = ACTIONS(1394),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1392),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1394),
    [aux_sym_global_declaration_token1] = ACTIONS(1394),
    [aux_sym_namespace_definition_token1] = ACTIONS(1394),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1394),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1394),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1394),
    [anon_sym_BSLASH] = ACTIONS(1392),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [aux_sym_trait_declaration_token1] = ACTIONS(1394),
    [aux_sym_interface_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_declaration_token1] = ACTIONS(1394),
    [aux_sym_enum_case_token1] = ACTIONS(1394),
    [aux_sym_class_declaration_token1] = ACTIONS(1394),
    [aux_sym_final_modifier_token1] = ACTIONS(1394),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1394),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1394),
    [sym_var_modifier] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1394),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1394),
    [aux_sym_cast_type_token1] = ACTIONS(1394),
    [aux_sym_echo_statement_token1] = ACTIONS(1394),
    [aux_sym_exit_statement_token1] = ACTIONS(1394),
    [anon_sym_unset] = ACTIONS(1394),
    [aux_sym_declare_statement_token1] = ACTIONS(1394),
    [aux_sym_declare_statement_token2] = ACTIONS(1394),
    [sym_float] = ACTIONS(1394),
    [aux_sym_try_statement_token1] = ACTIONS(1394),
    [aux_sym_goto_statement_token1] = ACTIONS(1394),
    [aux_sym_continue_statement_token1] = ACTIONS(1394),
    [aux_sym_break_statement_token1] = ACTIONS(1394),
    [sym_integer] = ACTIONS(1394),
    [aux_sym_return_statement_token1] = ACTIONS(1394),
    [aux_sym_throw_expression_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token1] = ACTIONS(1394),
    [aux_sym_while_statement_token2] = ACTIONS(1394),
    [aux_sym_do_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token1] = ACTIONS(1394),
    [aux_sym_for_statement_token2] = ACTIONS(1394),
    [aux_sym_foreach_statement_token1] = ACTIONS(1394),
    [aux_sym_foreach_statement_token2] = ACTIONS(1394),
    [aux_sym_if_statement_token1] = ACTIONS(1394),
    [aux_sym_if_statement_token2] = ACTIONS(1394),
    [aux_sym_else_if_clause_token1] = ACTIONS(1394),
    [aux_sym_else_clause_token1] = ACTIONS(1394),
    [aux_sym_match_expression_token1] = ACTIONS(1394),
    [aux_sym_match_default_expression_token1] = ACTIONS(1394),
    [aux_sym_switch_statement_token1] = ACTIONS(1394),
    [aux_sym_switch_block_token1] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AT] = ACTIONS(1392),
    [aux_sym_clone_expression_token1] = ACTIONS(1394),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1394),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [aux_sym__list_destructing_token1] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1392),
    [anon_sym_self] = ACTIONS(1394),
    [anon_sym_parent] = ACTIONS(1394),
    [aux_sym__argument_name_token1] = ACTIONS(1394),
    [aux_sym__argument_name_token2] = ACTIONS(1394),
    [anon_sym_POUND_LBRACK] = ACTIONS(1392),
    [aux_sym_encapsed_string_token1] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [aux_sym_string_token1] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_LT_LT_LT] = ACTIONS(1392),
    [anon_sym_BQUOTE] = ACTIONS(1392),
    [anon_sym_DOLLAR] = ACTIONS(1392),
    [aux_sym_yield_expression_token1] = ACTIONS(1394),
    [aux_sym_include_expression_token1] = ACTIONS(1394),
    [aux_sym_include_once_expression_token1] = ACTIONS(1394),
    [aux_sym_require_expression_token1] = ACTIONS(1394),
    [aux_sym_require_once_expression_token1] = ACTIONS(1394),
    [sym_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_text_interpolation] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_name] = ACTIONS(1398),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1396),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1398),
    [aux_sym_global_declaration_token1] = ACTIONS(1398),
    [aux_sym_namespace_definition_token1] = ACTIONS(1398),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1398),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1398),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1398),
    [anon_sym_BSLASH] = ACTIONS(1396),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [aux_sym_trait_declaration_token1] = ACTIONS(1398),
    [aux_sym_interface_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_declaration_token1] = ACTIONS(1398),
    [aux_sym_enum_case_token1] = ACTIONS(1398),
    [aux_sym_class_declaration_token1] = ACTIONS(1398),
    [aux_sym_final_modifier_token1] = ACTIONS(1398),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1398),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1398),
    [sym_var_modifier] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1398),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1398),
    [aux_sym_cast_type_token1] = ACTIONS(1398),
    [aux_sym_echo_statement_token1] = ACTIONS(1398),
    [aux_sym_exit_statement_token1] = ACTIONS(1398),
    [anon_sym_unset] = ACTIONS(1398),
    [aux_sym_declare_statement_token1] = ACTIONS(1398),
    [aux_sym_declare_statement_token2] = ACTIONS(1398),
    [sym_float] = ACTIONS(1398),
    [aux_sym_try_statement_token1] = ACTIONS(1398),
    [aux_sym_goto_statement_token1] = ACTIONS(1398),
    [aux_sym_continue_statement_token1] = ACTIONS(1398),
    [aux_sym_break_statement_token1] = ACTIONS(1398),
    [sym_integer] = ACTIONS(1398),
    [aux_sym_return_statement_token1] = ACTIONS(1398),
    [aux_sym_throw_expression_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token1] = ACTIONS(1398),
    [aux_sym_while_statement_token2] = ACTIONS(1398),
    [aux_sym_do_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token1] = ACTIONS(1398),
    [aux_sym_for_statement_token2] = ACTIONS(1398),
    [aux_sym_foreach_statement_token1] = ACTIONS(1398),
    [aux_sym_foreach_statement_token2] = ACTIONS(1398),
    [aux_sym_if_statement_token1] = ACTIONS(1398),
    [aux_sym_if_statement_token2] = ACTIONS(1398),
    [aux_sym_else_if_clause_token1] = ACTIONS(1398),
    [aux_sym_else_clause_token1] = ACTIONS(1398),
    [aux_sym_match_expression_token1] = ACTIONS(1398),
    [aux_sym_match_default_expression_token1] = ACTIONS(1398),
    [aux_sym_switch_statement_token1] = ACTIONS(1398),
    [aux_sym_switch_block_token1] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AT] = ACTIONS(1396),
    [aux_sym_clone_expression_token1] = ACTIONS(1398),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1398),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [aux_sym__list_destructing_token1] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1396),
    [anon_sym_self] = ACTIONS(1398),
    [anon_sym_parent] = ACTIONS(1398),
    [aux_sym__argument_name_token1] = ACTIONS(1398),
    [aux_sym__argument_name_token2] = ACTIONS(1398),
    [anon_sym_POUND_LBRACK] = ACTIONS(1396),
    [aux_sym_encapsed_string_token1] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [aux_sym_string_token1] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_LT_LT_LT] = ACTIONS(1396),
    [anon_sym_BQUOTE] = ACTIONS(1396),
    [anon_sym_DOLLAR] = ACTIONS(1396),
    [aux_sym_yield_expression_token1] = ACTIONS(1398),
    [aux_sym_include_expression_token1] = ACTIONS(1398),
    [aux_sym_include_once_expression_token1] = ACTIONS(1398),
    [aux_sym_require_expression_token1] = ACTIONS(1398),
    [aux_sym_require_once_expression_token1] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_text_interpolation] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_name] = ACTIONS(1402),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1400),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1402),
    [aux_sym_global_declaration_token1] = ACTIONS(1402),
    [aux_sym_namespace_definition_token1] = ACTIONS(1402),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1402),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1402),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1402),
    [anon_sym_BSLASH] = ACTIONS(1400),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [aux_sym_trait_declaration_token1] = ACTIONS(1402),
    [aux_sym_interface_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_declaration_token1] = ACTIONS(1402),
    [aux_sym_enum_case_token1] = ACTIONS(1402),
    [aux_sym_class_declaration_token1] = ACTIONS(1402),
    [aux_sym_final_modifier_token1] = ACTIONS(1402),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1402),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1402),
    [sym_var_modifier] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1402),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1402),
    [aux_sym_cast_type_token1] = ACTIONS(1402),
    [aux_sym_echo_statement_token1] = ACTIONS(1402),
    [aux_sym_exit_statement_token1] = ACTIONS(1402),
    [anon_sym_unset] = ACTIONS(1402),
    [aux_sym_declare_statement_token1] = ACTIONS(1402),
    [aux_sym_declare_statement_token2] = ACTIONS(1402),
    [sym_float] = ACTIONS(1402),
    [aux_sym_try_statement_token1] = ACTIONS(1402),
    [aux_sym_goto_statement_token1] = ACTIONS(1402),
    [aux_sym_continue_statement_token1] = ACTIONS(1402),
    [aux_sym_break_statement_token1] = ACTIONS(1402),
    [sym_integer] = ACTIONS(1402),
    [aux_sym_return_statement_token1] = ACTIONS(1402),
    [aux_sym_throw_expression_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token1] = ACTIONS(1402),
    [aux_sym_while_statement_token2] = ACTIONS(1402),
    [aux_sym_do_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token1] = ACTIONS(1402),
    [aux_sym_for_statement_token2] = ACTIONS(1402),
    [aux_sym_foreach_statement_token1] = ACTIONS(1402),
    [aux_sym_foreach_statement_token2] = ACTIONS(1402),
    [aux_sym_if_statement_token1] = ACTIONS(1402),
    [aux_sym_if_statement_token2] = ACTIONS(1402),
    [aux_sym_else_if_clause_token1] = ACTIONS(1402),
    [aux_sym_else_clause_token1] = ACTIONS(1402),
    [aux_sym_match_expression_token1] = ACTIONS(1402),
    [aux_sym_match_default_expression_token1] = ACTIONS(1402),
    [aux_sym_switch_statement_token1] = ACTIONS(1402),
    [aux_sym_switch_block_token1] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AT] = ACTIONS(1400),
    [aux_sym_clone_expression_token1] = ACTIONS(1402),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1402),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [aux_sym__list_destructing_token1] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1400),
    [anon_sym_self] = ACTIONS(1402),
    [anon_sym_parent] = ACTIONS(1402),
    [aux_sym__argument_name_token1] = ACTIONS(1402),
    [aux_sym__argument_name_token2] = ACTIONS(1402),
    [anon_sym_POUND_LBRACK] = ACTIONS(1400),
    [aux_sym_encapsed_string_token1] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [aux_sym_string_token1] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_LT_LT_LT] = ACTIONS(1400),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [anon_sym_DOLLAR] = ACTIONS(1400),
    [aux_sym_yield_expression_token1] = ACTIONS(1402),
    [aux_sym_include_expression_token1] = ACTIONS(1402),
    [aux_sym_include_once_expression_token1] = ACTIONS(1402),
    [aux_sym_require_expression_token1] = ACTIONS(1402),
    [aux_sym_require_once_expression_token1] = ACTIONS(1402),
    [sym_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_text_interpolation] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_name] = ACTIONS(1406),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1404),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1406),
    [aux_sym_global_declaration_token1] = ACTIONS(1406),
    [aux_sym_namespace_definition_token1] = ACTIONS(1406),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1406),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1406),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1406),
    [anon_sym_BSLASH] = ACTIONS(1404),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [aux_sym_trait_declaration_token1] = ACTIONS(1406),
    [aux_sym_interface_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_declaration_token1] = ACTIONS(1406),
    [aux_sym_enum_case_token1] = ACTIONS(1406),
    [aux_sym_class_declaration_token1] = ACTIONS(1406),
    [aux_sym_final_modifier_token1] = ACTIONS(1406),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1406),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1406),
    [sym_var_modifier] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1406),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1406),
    [aux_sym_cast_type_token1] = ACTIONS(1406),
    [aux_sym_echo_statement_token1] = ACTIONS(1406),
    [aux_sym_exit_statement_token1] = ACTIONS(1406),
    [anon_sym_unset] = ACTIONS(1406),
    [aux_sym_declare_statement_token1] = ACTIONS(1406),
    [aux_sym_declare_statement_token2] = ACTIONS(1406),
    [sym_float] = ACTIONS(1406),
    [aux_sym_try_statement_token1] = ACTIONS(1406),
    [aux_sym_goto_statement_token1] = ACTIONS(1406),
    [aux_sym_continue_statement_token1] = ACTIONS(1406),
    [aux_sym_break_statement_token1] = ACTIONS(1406),
    [sym_integer] = ACTIONS(1406),
    [aux_sym_return_statement_token1] = ACTIONS(1406),
    [aux_sym_throw_expression_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token1] = ACTIONS(1406),
    [aux_sym_while_statement_token2] = ACTIONS(1406),
    [aux_sym_do_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token1] = ACTIONS(1406),
    [aux_sym_for_statement_token2] = ACTIONS(1406),
    [aux_sym_foreach_statement_token1] = ACTIONS(1406),
    [aux_sym_foreach_statement_token2] = ACTIONS(1406),
    [aux_sym_if_statement_token1] = ACTIONS(1406),
    [aux_sym_if_statement_token2] = ACTIONS(1406),
    [aux_sym_else_if_clause_token1] = ACTIONS(1406),
    [aux_sym_else_clause_token1] = ACTIONS(1406),
    [aux_sym_match_expression_token1] = ACTIONS(1406),
    [aux_sym_match_default_expression_token1] = ACTIONS(1406),
    [aux_sym_switch_statement_token1] = ACTIONS(1406),
    [aux_sym_switch_block_token1] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AT] = ACTIONS(1404),
    [aux_sym_clone_expression_token1] = ACTIONS(1406),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1406),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [aux_sym__list_destructing_token1] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_self] = ACTIONS(1406),
    [anon_sym_parent] = ACTIONS(1406),
    [aux_sym__argument_name_token1] = ACTIONS(1406),
    [aux_sym__argument_name_token2] = ACTIONS(1406),
    [anon_sym_POUND_LBRACK] = ACTIONS(1404),
    [aux_sym_encapsed_string_token1] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [aux_sym_string_token1] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_LT_LT_LT] = ACTIONS(1404),
    [anon_sym_BQUOTE] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1404),
    [aux_sym_yield_expression_token1] = ACTIONS(1406),
    [aux_sym_include_expression_token1] = ACTIONS(1406),
    [aux_sym_include_once_expression_token1] = ACTIONS(1406),
    [aux_sym_require_expression_token1] = ACTIONS(1406),
    [aux_sym_require_once_expression_token1] = ACTIONS(1406),
    [sym_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_text_interpolation] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_name] = ACTIONS(1410),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1408),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1410),
    [aux_sym_global_declaration_token1] = ACTIONS(1410),
    [aux_sym_namespace_definition_token1] = ACTIONS(1410),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1410),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1410),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1410),
    [anon_sym_BSLASH] = ACTIONS(1408),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [aux_sym_trait_declaration_token1] = ACTIONS(1410),
    [aux_sym_interface_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_declaration_token1] = ACTIONS(1410),
    [aux_sym_enum_case_token1] = ACTIONS(1410),
    [aux_sym_class_declaration_token1] = ACTIONS(1410),
    [aux_sym_final_modifier_token1] = ACTIONS(1410),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1410),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1410),
    [sym_var_modifier] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1410),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1410),
    [aux_sym_cast_type_token1] = ACTIONS(1410),
    [aux_sym_echo_statement_token1] = ACTIONS(1410),
    [aux_sym_exit_statement_token1] = ACTIONS(1410),
    [anon_sym_unset] = ACTIONS(1410),
    [aux_sym_declare_statement_token1] = ACTIONS(1410),
    [aux_sym_declare_statement_token2] = ACTIONS(1410),
    [sym_float] = ACTIONS(1410),
    [aux_sym_try_statement_token1] = ACTIONS(1410),
    [aux_sym_goto_statement_token1] = ACTIONS(1410),
    [aux_sym_continue_statement_token1] = ACTIONS(1410),
    [aux_sym_break_statement_token1] = ACTIONS(1410),
    [sym_integer] = ACTIONS(1410),
    [aux_sym_return_statement_token1] = ACTIONS(1410),
    [aux_sym_throw_expression_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token1] = ACTIONS(1410),
    [aux_sym_while_statement_token2] = ACTIONS(1410),
    [aux_sym_do_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token1] = ACTIONS(1410),
    [aux_sym_for_statement_token2] = ACTIONS(1410),
    [aux_sym_foreach_statement_token1] = ACTIONS(1410),
    [aux_sym_foreach_statement_token2] = ACTIONS(1410),
    [aux_sym_if_statement_token1] = ACTIONS(1410),
    [aux_sym_if_statement_token2] = ACTIONS(1410),
    [aux_sym_else_if_clause_token1] = ACTIONS(1410),
    [aux_sym_else_clause_token1] = ACTIONS(1410),
    [aux_sym_match_expression_token1] = ACTIONS(1410),
    [aux_sym_match_default_expression_token1] = ACTIONS(1410),
    [aux_sym_switch_statement_token1] = ACTIONS(1410),
    [aux_sym_switch_block_token1] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_AT] = ACTIONS(1408),
    [aux_sym_clone_expression_token1] = ACTIONS(1410),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1410),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [aux_sym__list_destructing_token1] = ACTIONS(1410),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_self] = ACTIONS(1410),
    [anon_sym_parent] = ACTIONS(1410),
    [aux_sym__argument_name_token1] = ACTIONS(1410),
    [aux_sym__argument_name_token2] = ACTIONS(1410),
    [anon_sym_POUND_LBRACK] = ACTIONS(1408),
    [aux_sym_encapsed_string_token1] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [aux_sym_string_token1] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_LT_LT_LT] = ACTIONS(1408),
    [anon_sym_BQUOTE] = ACTIONS(1408),
    [anon_sym_DOLLAR] = ACTIONS(1408),
    [aux_sym_yield_expression_token1] = ACTIONS(1410),
    [aux_sym_include_expression_token1] = ACTIONS(1410),
    [aux_sym_include_once_expression_token1] = ACTIONS(1410),
    [aux_sym_require_expression_token1] = ACTIONS(1410),
    [aux_sym_require_once_expression_token1] = ACTIONS(1410),
    [sym_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_text_interpolation] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_name] = ACTIONS(1414),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1414),
    [aux_sym_global_declaration_token1] = ACTIONS(1414),
    [aux_sym_namespace_definition_token1] = ACTIONS(1414),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1414),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1414),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1414),
    [anon_sym_BSLASH] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [aux_sym_trait_declaration_token1] = ACTIONS(1414),
    [aux_sym_interface_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_declaration_token1] = ACTIONS(1414),
    [aux_sym_enum_case_token1] = ACTIONS(1414),
    [aux_sym_class_declaration_token1] = ACTIONS(1414),
    [aux_sym_final_modifier_token1] = ACTIONS(1414),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1414),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1414),
    [sym_var_modifier] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1414),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1414),
    [aux_sym_cast_type_token1] = ACTIONS(1414),
    [aux_sym_echo_statement_token1] = ACTIONS(1414),
    [aux_sym_exit_statement_token1] = ACTIONS(1414),
    [anon_sym_unset] = ACTIONS(1414),
    [aux_sym_declare_statement_token1] = ACTIONS(1414),
    [aux_sym_declare_statement_token2] = ACTIONS(1414),
    [sym_float] = ACTIONS(1414),
    [aux_sym_try_statement_token1] = ACTIONS(1414),
    [aux_sym_goto_statement_token1] = ACTIONS(1414),
    [aux_sym_continue_statement_token1] = ACTIONS(1414),
    [aux_sym_break_statement_token1] = ACTIONS(1414),
    [sym_integer] = ACTIONS(1414),
    [aux_sym_return_statement_token1] = ACTIONS(1414),
    [aux_sym_throw_expression_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token1] = ACTIONS(1414),
    [aux_sym_while_statement_token2] = ACTIONS(1414),
    [aux_sym_do_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token1] = ACTIONS(1414),
    [aux_sym_for_statement_token2] = ACTIONS(1414),
    [aux_sym_foreach_statement_token1] = ACTIONS(1414),
    [aux_sym_foreach_statement_token2] = ACTIONS(1414),
    [aux_sym_if_statement_token1] = ACTIONS(1414),
    [aux_sym_if_statement_token2] = ACTIONS(1414),
    [aux_sym_else_if_clause_token1] = ACTIONS(1414),
    [aux_sym_else_clause_token1] = ACTIONS(1414),
    [aux_sym_match_expression_token1] = ACTIONS(1414),
    [aux_sym_match_default_expression_token1] = ACTIONS(1414),
    [aux_sym_switch_statement_token1] = ACTIONS(1414),
    [aux_sym_switch_block_token1] = ACTIONS(1414),
    [anon_sym_PLUS] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_AT] = ACTIONS(1412),
    [aux_sym_clone_expression_token1] = ACTIONS(1414),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1414),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1414),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [aux_sym__list_destructing_token1] = ACTIONS(1414),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_self] = ACTIONS(1414),
    [anon_sym_parent] = ACTIONS(1414),
    [aux_sym__argument_name_token1] = ACTIONS(1414),
    [aux_sym__argument_name_token2] = ACTIONS(1414),
    [anon_sym_POUND_LBRACK] = ACTIONS(1412),
    [aux_sym_encapsed_string_token1] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [aux_sym_string_token1] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_LT_LT_LT] = ACTIONS(1412),
    [anon_sym_BQUOTE] = ACTIONS(1412),
    [anon_sym_DOLLAR] = ACTIONS(1412),
    [aux_sym_yield_expression_token1] = ACTIONS(1414),
    [aux_sym_include_expression_token1] = ACTIONS(1414),
    [aux_sym_include_once_expression_token1] = ACTIONS(1414),
    [aux_sym_require_expression_token1] = ACTIONS(1414),
    [aux_sym_require_once_expression_token1] = ACTIONS(1414),
    [sym_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_text_interpolation] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1416),
    [sym_name] = ACTIONS(1418),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1416),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1418),
    [aux_sym_global_declaration_token1] = ACTIONS(1418),
    [aux_sym_namespace_definition_token1] = ACTIONS(1418),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1418),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1418),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1418),
    [anon_sym_BSLASH] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1416),
    [anon_sym_RBRACE] = ACTIONS(1416),
    [aux_sym_trait_declaration_token1] = ACTIONS(1418),
    [aux_sym_interface_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_declaration_token1] = ACTIONS(1418),
    [aux_sym_enum_case_token1] = ACTIONS(1418),
    [aux_sym_class_declaration_token1] = ACTIONS(1418),
    [aux_sym_final_modifier_token1] = ACTIONS(1418),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1418),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1418),
    [sym_var_modifier] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1418),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1418),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1418),
    [aux_sym_cast_type_token1] = ACTIONS(1418),
    [aux_sym_echo_statement_token1] = ACTIONS(1418),
    [aux_sym_exit_statement_token1] = ACTIONS(1418),
    [anon_sym_unset] = ACTIONS(1418),
    [aux_sym_declare_statement_token1] = ACTIONS(1418),
    [aux_sym_declare_statement_token2] = ACTIONS(1418),
    [sym_float] = ACTIONS(1418),
    [aux_sym_try_statement_token1] = ACTIONS(1418),
    [aux_sym_goto_statement_token1] = ACTIONS(1418),
    [aux_sym_continue_statement_token1] = ACTIONS(1418),
    [aux_sym_break_statement_token1] = ACTIONS(1418),
    [sym_integer] = ACTIONS(1418),
    [aux_sym_return_statement_token1] = ACTIONS(1418),
    [aux_sym_throw_expression_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token1] = ACTIONS(1418),
    [aux_sym_while_statement_token2] = ACTIONS(1418),
    [aux_sym_do_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token1] = ACTIONS(1418),
    [aux_sym_for_statement_token2] = ACTIONS(1418),
    [aux_sym_foreach_statement_token1] = ACTIONS(1418),
    [aux_sym_foreach_statement_token2] = ACTIONS(1418),
    [aux_sym_if_statement_token1] = ACTIONS(1418),
    [aux_sym_if_statement_token2] = ACTIONS(1418),
    [aux_sym_else_if_clause_token1] = ACTIONS(1418),
    [aux_sym_else_clause_token1] = ACTIONS(1418),
    [aux_sym_match_expression_token1] = ACTIONS(1418),
    [aux_sym_match_default_expression_token1] = ACTIONS(1418),
    [aux_sym_switch_statement_token1] = ACTIONS(1418),
    [aux_sym_switch_block_token1] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1416),
    [anon_sym_AT] = ACTIONS(1416),
    [aux_sym_clone_expression_token1] = ACTIONS(1418),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1418),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1418),
    [anon_sym_DASH_DASH] = ACTIONS(1416),
    [anon_sym_PLUS_PLUS] = ACTIONS(1416),
    [aux_sym__list_destructing_token1] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1416),
    [anon_sym_self] = ACTIONS(1418),
    [anon_sym_parent] = ACTIONS(1418),
    [aux_sym__argument_name_token1] = ACTIONS(1418),
    [aux_sym__argument_name_token2] = ACTIONS(1418),
    [anon_sym_POUND_LBRACK] = ACTIONS(1416),
    [aux_sym_encapsed_string_token1] = ACTIONS(1416),
    [anon_sym_DQUOTE] = ACTIONS(1416),
    [aux_sym_string_token1] = ACTIONS(1416),
    [anon_sym_SQUOTE] = ACTIONS(1416),
    [anon_sym_LT_LT_LT] = ACTIONS(1416),
    [anon_sym_BQUOTE] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1416),
    [aux_sym_yield_expression_token1] = ACTIONS(1418),
    [aux_sym_include_expression_token1] = ACTIONS(1418),
    [aux_sym_include_once_expression_token1] = ACTIONS(1418),
    [aux_sym_require_expression_token1] = ACTIONS(1418),
    [aux_sym_require_once_expression_token1] = ACTIONS(1418),
    [sym_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_text_interpolation] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_name] = ACTIONS(1422),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1420),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1422),
    [aux_sym_global_declaration_token1] = ACTIONS(1422),
    [aux_sym_namespace_definition_token1] = ACTIONS(1422),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1422),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1422),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1422),
    [anon_sym_BSLASH] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [aux_sym_trait_declaration_token1] = ACTIONS(1422),
    [aux_sym_interface_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_declaration_token1] = ACTIONS(1422),
    [aux_sym_enum_case_token1] = ACTIONS(1422),
    [aux_sym_class_declaration_token1] = ACTIONS(1422),
    [aux_sym_final_modifier_token1] = ACTIONS(1422),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1422),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1422),
    [sym_var_modifier] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1422),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1422),
    [anon_sym_LPAREN2] = ACTIONS(1420),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1422),
    [aux_sym_cast_type_token1] = ACTIONS(1422),
    [aux_sym_echo_statement_token1] = ACTIONS(1422),
    [aux_sym_exit_statement_token1] = ACTIONS(1422),
    [anon_sym_unset] = ACTIONS(1422),
    [aux_sym_declare_statement_token1] = ACTIONS(1422),
    [aux_sym_declare_statement_token2] = ACTIONS(1422),
    [sym_float] = ACTIONS(1422),
    [aux_sym_try_statement_token1] = ACTIONS(1422),
    [aux_sym_goto_statement_token1] = ACTIONS(1422),
    [aux_sym_continue_statement_token1] = ACTIONS(1422),
    [aux_sym_break_statement_token1] = ACTIONS(1422),
    [sym_integer] = ACTIONS(1422),
    [aux_sym_return_statement_token1] = ACTIONS(1422),
    [aux_sym_throw_expression_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token1] = ACTIONS(1422),
    [aux_sym_while_statement_token2] = ACTIONS(1422),
    [aux_sym_do_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token1] = ACTIONS(1422),
    [aux_sym_for_statement_token2] = ACTIONS(1422),
    [aux_sym_foreach_statement_token1] = ACTIONS(1422),
    [aux_sym_foreach_statement_token2] = ACTIONS(1422),
    [aux_sym_if_statement_token1] = ACTIONS(1422),
    [aux_sym_if_statement_token2] = ACTIONS(1422),
    [aux_sym_else_if_clause_token1] = ACTIONS(1422),
    [aux_sym_else_clause_token1] = ACTIONS(1422),
    [aux_sym_match_expression_token1] = ACTIONS(1422),
    [aux_sym_match_default_expression_token1] = ACTIONS(1422),
    [aux_sym_switch_statement_token1] = ACTIONS(1422),
    [aux_sym_switch_block_token1] = ACTIONS(1422),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1420),
    [anon_sym_BANG] = ACTIONS(1420),
    [anon_sym_AT] = ACTIONS(1420),
    [aux_sym_clone_expression_token1] = ACTIONS(1422),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1422),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1422),
    [anon_sym_DASH_DASH] = ACTIONS(1420),
    [anon_sym_PLUS_PLUS] = ACTIONS(1420),
    [aux_sym__list_destructing_token1] = ACTIONS(1422),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_self] = ACTIONS(1422),
    [anon_sym_parent] = ACTIONS(1422),
    [aux_sym__argument_name_token1] = ACTIONS(1422),
    [aux_sym__argument_name_token2] = ACTIONS(1422),
    [anon_sym_POUND_LBRACK] = ACTIONS(1420),
    [aux_sym_encapsed_string_token1] = ACTIONS(1420),
    [anon_sym_DQUOTE] = ACTIONS(1420),
    [aux_sym_string_token1] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1420),
    [anon_sym_LT_LT_LT] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1420),
    [anon_sym_DOLLAR] = ACTIONS(1420),
    [aux_sym_yield_expression_token1] = ACTIONS(1422),
    [aux_sym_include_expression_token1] = ACTIONS(1422),
    [aux_sym_include_once_expression_token1] = ACTIONS(1422),
    [aux_sym_require_expression_token1] = ACTIONS(1422),
    [aux_sym_require_once_expression_token1] = ACTIONS(1422),
    [sym_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_text_interpolation] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_name] = ACTIONS(1426),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1424),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1426),
    [aux_sym_global_declaration_token1] = ACTIONS(1426),
    [aux_sym_namespace_definition_token1] = ACTIONS(1426),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1426),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1426),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1426),
    [anon_sym_BSLASH] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [aux_sym_trait_declaration_token1] = ACTIONS(1426),
    [aux_sym_interface_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_declaration_token1] = ACTIONS(1426),
    [aux_sym_enum_case_token1] = ACTIONS(1426),
    [aux_sym_class_declaration_token1] = ACTIONS(1426),
    [aux_sym_final_modifier_token1] = ACTIONS(1426),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1426),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1426),
    [sym_var_modifier] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1426),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1426),
    [anon_sym_LPAREN2] = ACTIONS(1424),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1426),
    [aux_sym_cast_type_token1] = ACTIONS(1426),
    [aux_sym_echo_statement_token1] = ACTIONS(1426),
    [aux_sym_exit_statement_token1] = ACTIONS(1426),
    [anon_sym_unset] = ACTIONS(1426),
    [aux_sym_declare_statement_token1] = ACTIONS(1426),
    [aux_sym_declare_statement_token2] = ACTIONS(1426),
    [sym_float] = ACTIONS(1426),
    [aux_sym_try_statement_token1] = ACTIONS(1426),
    [aux_sym_goto_statement_token1] = ACTIONS(1426),
    [aux_sym_continue_statement_token1] = ACTIONS(1426),
    [aux_sym_break_statement_token1] = ACTIONS(1426),
    [sym_integer] = ACTIONS(1426),
    [aux_sym_return_statement_token1] = ACTIONS(1426),
    [aux_sym_throw_expression_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token1] = ACTIONS(1426),
    [aux_sym_while_statement_token2] = ACTIONS(1426),
    [aux_sym_do_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token1] = ACTIONS(1426),
    [aux_sym_for_statement_token2] = ACTIONS(1426),
    [aux_sym_foreach_statement_token1] = ACTIONS(1426),
    [aux_sym_foreach_statement_token2] = ACTIONS(1426),
    [aux_sym_if_statement_token1] = ACTIONS(1426),
    [aux_sym_if_statement_token2] = ACTIONS(1426),
    [aux_sym_else_if_clause_token1] = ACTIONS(1426),
    [aux_sym_else_clause_token1] = ACTIONS(1426),
    [aux_sym_match_expression_token1] = ACTIONS(1426),
    [aux_sym_match_default_expression_token1] = ACTIONS(1426),
    [aux_sym_switch_statement_token1] = ACTIONS(1426),
    [aux_sym_switch_block_token1] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1424),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(1424),
    [aux_sym_clone_expression_token1] = ACTIONS(1426),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1426),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1426),
    [anon_sym_DASH_DASH] = ACTIONS(1424),
    [anon_sym_PLUS_PLUS] = ACTIONS(1424),
    [aux_sym__list_destructing_token1] = ACTIONS(1426),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_self] = ACTIONS(1426),
    [anon_sym_parent] = ACTIONS(1426),
    [aux_sym__argument_name_token1] = ACTIONS(1426),
    [aux_sym__argument_name_token2] = ACTIONS(1426),
    [anon_sym_POUND_LBRACK] = ACTIONS(1424),
    [aux_sym_encapsed_string_token1] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1424),
    [aux_sym_string_token1] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1424),
    [anon_sym_LT_LT_LT] = ACTIONS(1424),
    [anon_sym_BQUOTE] = ACTIONS(1424),
    [anon_sym_DOLLAR] = ACTIONS(1424),
    [aux_sym_yield_expression_token1] = ACTIONS(1426),
    [aux_sym_include_expression_token1] = ACTIONS(1426),
    [aux_sym_include_once_expression_token1] = ACTIONS(1426),
    [aux_sym_require_expression_token1] = ACTIONS(1426),
    [aux_sym_require_once_expression_token1] = ACTIONS(1426),
    [sym_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_text_interpolation] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_name] = ACTIONS(1430),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1428),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1430),
    [aux_sym_global_declaration_token1] = ACTIONS(1430),
    [aux_sym_namespace_definition_token1] = ACTIONS(1430),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1430),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1430),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1430),
    [anon_sym_BSLASH] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [aux_sym_trait_declaration_token1] = ACTIONS(1430),
    [aux_sym_interface_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_declaration_token1] = ACTIONS(1430),
    [aux_sym_enum_case_token1] = ACTIONS(1430),
    [aux_sym_class_declaration_token1] = ACTIONS(1430),
    [aux_sym_final_modifier_token1] = ACTIONS(1430),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1430),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1430),
    [sym_var_modifier] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1430),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1428),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1430),
    [aux_sym_cast_type_token1] = ACTIONS(1430),
    [aux_sym_echo_statement_token1] = ACTIONS(1430),
    [aux_sym_exit_statement_token1] = ACTIONS(1430),
    [anon_sym_unset] = ACTIONS(1430),
    [aux_sym_declare_statement_token1] = ACTIONS(1430),
    [aux_sym_declare_statement_token2] = ACTIONS(1430),
    [sym_float] = ACTIONS(1430),
    [aux_sym_try_statement_token1] = ACTIONS(1430),
    [aux_sym_goto_statement_token1] = ACTIONS(1430),
    [aux_sym_continue_statement_token1] = ACTIONS(1430),
    [aux_sym_break_statement_token1] = ACTIONS(1430),
    [sym_integer] = ACTIONS(1430),
    [aux_sym_return_statement_token1] = ACTIONS(1430),
    [aux_sym_throw_expression_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token1] = ACTIONS(1430),
    [aux_sym_while_statement_token2] = ACTIONS(1430),
    [aux_sym_do_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token1] = ACTIONS(1430),
    [aux_sym_for_statement_token2] = ACTIONS(1430),
    [aux_sym_foreach_statement_token1] = ACTIONS(1430),
    [aux_sym_foreach_statement_token2] = ACTIONS(1430),
    [aux_sym_if_statement_token1] = ACTIONS(1430),
    [aux_sym_if_statement_token2] = ACTIONS(1430),
    [aux_sym_else_if_clause_token1] = ACTIONS(1430),
    [aux_sym_else_clause_token1] = ACTIONS(1430),
    [aux_sym_match_expression_token1] = ACTIONS(1430),
    [aux_sym_match_default_expression_token1] = ACTIONS(1430),
    [aux_sym_switch_statement_token1] = ACTIONS(1430),
    [aux_sym_switch_block_token1] = ACTIONS(1430),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1428),
    [anon_sym_BANG] = ACTIONS(1428),
    [anon_sym_AT] = ACTIONS(1428),
    [aux_sym_clone_expression_token1] = ACTIONS(1430),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1430),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1430),
    [anon_sym_DASH_DASH] = ACTIONS(1428),
    [anon_sym_PLUS_PLUS] = ACTIONS(1428),
    [aux_sym__list_destructing_token1] = ACTIONS(1430),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_self] = ACTIONS(1430),
    [anon_sym_parent] = ACTIONS(1430),
    [aux_sym__argument_name_token1] = ACTIONS(1430),
    [aux_sym__argument_name_token2] = ACTIONS(1430),
    [anon_sym_POUND_LBRACK] = ACTIONS(1428),
    [aux_sym_encapsed_string_token1] = ACTIONS(1428),
    [anon_sym_DQUOTE] = ACTIONS(1428),
    [aux_sym_string_token1] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1428),
    [anon_sym_LT_LT_LT] = ACTIONS(1428),
    [anon_sym_BQUOTE] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1428),
    [aux_sym_yield_expression_token1] = ACTIONS(1430),
    [aux_sym_include_expression_token1] = ACTIONS(1430),
    [aux_sym_include_once_expression_token1] = ACTIONS(1430),
    [aux_sym_require_expression_token1] = ACTIONS(1430),
    [aux_sym_require_once_expression_token1] = ACTIONS(1430),
    [sym_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_text_interpolation] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_name] = ACTIONS(1434),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1434),
    [aux_sym_global_declaration_token1] = ACTIONS(1434),
    [aux_sym_namespace_definition_token1] = ACTIONS(1434),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1434),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1434),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1434),
    [anon_sym_BSLASH] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [aux_sym_trait_declaration_token1] = ACTIONS(1434),
    [aux_sym_interface_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_declaration_token1] = ACTIONS(1434),
    [aux_sym_enum_case_token1] = ACTIONS(1434),
    [aux_sym_class_declaration_token1] = ACTIONS(1434),
    [aux_sym_final_modifier_token1] = ACTIONS(1434),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1434),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1434),
    [sym_var_modifier] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1434),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1432),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1434),
    [aux_sym_cast_type_token1] = ACTIONS(1434),
    [aux_sym_echo_statement_token1] = ACTIONS(1434),
    [aux_sym_exit_statement_token1] = ACTIONS(1434),
    [anon_sym_unset] = ACTIONS(1434),
    [aux_sym_declare_statement_token1] = ACTIONS(1434),
    [aux_sym_declare_statement_token2] = ACTIONS(1434),
    [sym_float] = ACTIONS(1434),
    [aux_sym_try_statement_token1] = ACTIONS(1434),
    [aux_sym_goto_statement_token1] = ACTIONS(1434),
    [aux_sym_continue_statement_token1] = ACTIONS(1434),
    [aux_sym_break_statement_token1] = ACTIONS(1434),
    [sym_integer] = ACTIONS(1434),
    [aux_sym_return_statement_token1] = ACTIONS(1434),
    [aux_sym_throw_expression_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token1] = ACTIONS(1434),
    [aux_sym_while_statement_token2] = ACTIONS(1434),
    [aux_sym_do_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token1] = ACTIONS(1434),
    [aux_sym_for_statement_token2] = ACTIONS(1434),
    [aux_sym_foreach_statement_token1] = ACTIONS(1434),
    [aux_sym_foreach_statement_token2] = ACTIONS(1434),
    [aux_sym_if_statement_token1] = ACTIONS(1434),
    [aux_sym_if_statement_token2] = ACTIONS(1434),
    [aux_sym_else_if_clause_token1] = ACTIONS(1434),
    [aux_sym_else_clause_token1] = ACTIONS(1434),
    [aux_sym_match_expression_token1] = ACTIONS(1434),
    [aux_sym_match_default_expression_token1] = ACTIONS(1434),
    [aux_sym_switch_statement_token1] = ACTIONS(1434),
    [aux_sym_switch_block_token1] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AT] = ACTIONS(1432),
    [aux_sym_clone_expression_token1] = ACTIONS(1434),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1434),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1434),
    [anon_sym_DASH_DASH] = ACTIONS(1432),
    [anon_sym_PLUS_PLUS] = ACTIONS(1432),
    [aux_sym__list_destructing_token1] = ACTIONS(1434),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_self] = ACTIONS(1434),
    [anon_sym_parent] = ACTIONS(1434),
    [aux_sym__argument_name_token1] = ACTIONS(1434),
    [aux_sym__argument_name_token2] = ACTIONS(1434),
    [anon_sym_POUND_LBRACK] = ACTIONS(1432),
    [aux_sym_encapsed_string_token1] = ACTIONS(1432),
    [anon_sym_DQUOTE] = ACTIONS(1432),
    [aux_sym_string_token1] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1432),
    [anon_sym_LT_LT_LT] = ACTIONS(1432),
    [anon_sym_BQUOTE] = ACTIONS(1432),
    [anon_sym_DOLLAR] = ACTIONS(1432),
    [aux_sym_yield_expression_token1] = ACTIONS(1434),
    [aux_sym_include_expression_token1] = ACTIONS(1434),
    [aux_sym_include_once_expression_token1] = ACTIONS(1434),
    [aux_sym_require_expression_token1] = ACTIONS(1434),
    [aux_sym_require_once_expression_token1] = ACTIONS(1434),
    [sym_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_text_interpolation] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_name] = ACTIONS(1438),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1436),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1438),
    [aux_sym_global_declaration_token1] = ACTIONS(1438),
    [aux_sym_namespace_definition_token1] = ACTIONS(1438),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1438),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1438),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1438),
    [anon_sym_BSLASH] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [aux_sym_trait_declaration_token1] = ACTIONS(1438),
    [aux_sym_interface_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_declaration_token1] = ACTIONS(1438),
    [aux_sym_enum_case_token1] = ACTIONS(1438),
    [aux_sym_class_declaration_token1] = ACTIONS(1438),
    [aux_sym_final_modifier_token1] = ACTIONS(1438),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1438),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1438),
    [sym_var_modifier] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1438),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1436),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1438),
    [aux_sym_cast_type_token1] = ACTIONS(1438),
    [aux_sym_echo_statement_token1] = ACTIONS(1438),
    [aux_sym_exit_statement_token1] = ACTIONS(1438),
    [anon_sym_unset] = ACTIONS(1438),
    [aux_sym_declare_statement_token1] = ACTIONS(1438),
    [aux_sym_declare_statement_token2] = ACTIONS(1438),
    [sym_float] = ACTIONS(1438),
    [aux_sym_try_statement_token1] = ACTIONS(1438),
    [aux_sym_goto_statement_token1] = ACTIONS(1438),
    [aux_sym_continue_statement_token1] = ACTIONS(1438),
    [aux_sym_break_statement_token1] = ACTIONS(1438),
    [sym_integer] = ACTIONS(1438),
    [aux_sym_return_statement_token1] = ACTIONS(1438),
    [aux_sym_throw_expression_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token1] = ACTIONS(1438),
    [aux_sym_while_statement_token2] = ACTIONS(1438),
    [aux_sym_do_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token1] = ACTIONS(1438),
    [aux_sym_for_statement_token2] = ACTIONS(1438),
    [aux_sym_foreach_statement_token1] = ACTIONS(1438),
    [aux_sym_foreach_statement_token2] = ACTIONS(1438),
    [aux_sym_if_statement_token1] = ACTIONS(1438),
    [aux_sym_if_statement_token2] = ACTIONS(1438),
    [aux_sym_else_if_clause_token1] = ACTIONS(1438),
    [aux_sym_else_clause_token1] = ACTIONS(1438),
    [aux_sym_match_expression_token1] = ACTIONS(1438),
    [aux_sym_match_default_expression_token1] = ACTIONS(1438),
    [aux_sym_switch_statement_token1] = ACTIONS(1438),
    [aux_sym_switch_block_token1] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1436),
    [anon_sym_BANG] = ACTIONS(1436),
    [anon_sym_AT] = ACTIONS(1436),
    [aux_sym_clone_expression_token1] = ACTIONS(1438),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1438),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1438),
    [anon_sym_DASH_DASH] = ACTIONS(1436),
    [anon_sym_PLUS_PLUS] = ACTIONS(1436),
    [aux_sym__list_destructing_token1] = ACTIONS(1438),
    [anon_sym_LBRACK] = ACTIONS(1436),
    [anon_sym_self] = ACTIONS(1438),
    [anon_sym_parent] = ACTIONS(1438),
    [aux_sym__argument_name_token1] = ACTIONS(1438),
    [aux_sym__argument_name_token2] = ACTIONS(1438),
    [anon_sym_POUND_LBRACK] = ACTIONS(1436),
    [aux_sym_encapsed_string_token1] = ACTIONS(1436),
    [anon_sym_DQUOTE] = ACTIONS(1436),
    [aux_sym_string_token1] = ACTIONS(1436),
    [anon_sym_SQUOTE] = ACTIONS(1436),
    [anon_sym_LT_LT_LT] = ACTIONS(1436),
    [anon_sym_BQUOTE] = ACTIONS(1436),
    [anon_sym_DOLLAR] = ACTIONS(1436),
    [aux_sym_yield_expression_token1] = ACTIONS(1438),
    [aux_sym_include_expression_token1] = ACTIONS(1438),
    [aux_sym_include_once_expression_token1] = ACTIONS(1438),
    [aux_sym_require_expression_token1] = ACTIONS(1438),
    [aux_sym_require_once_expression_token1] = ACTIONS(1438),
    [sym_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_text_interpolation] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_name] = ACTIONS(1442),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1440),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1442),
    [aux_sym_global_declaration_token1] = ACTIONS(1442),
    [aux_sym_namespace_definition_token1] = ACTIONS(1442),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1442),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1442),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1442),
    [anon_sym_BSLASH] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1440),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [aux_sym_trait_declaration_token1] = ACTIONS(1442),
    [aux_sym_interface_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_declaration_token1] = ACTIONS(1442),
    [aux_sym_enum_case_token1] = ACTIONS(1442),
    [aux_sym_class_declaration_token1] = ACTIONS(1442),
    [aux_sym_final_modifier_token1] = ACTIONS(1442),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1442),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1442),
    [sym_var_modifier] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1442),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1442),
    [anon_sym_LPAREN2] = ACTIONS(1440),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1442),
    [aux_sym_cast_type_token1] = ACTIONS(1442),
    [aux_sym_echo_statement_token1] = ACTIONS(1442),
    [aux_sym_exit_statement_token1] = ACTIONS(1442),
    [anon_sym_unset] = ACTIONS(1442),
    [aux_sym_declare_statement_token1] = ACTIONS(1442),
    [aux_sym_declare_statement_token2] = ACTIONS(1442),
    [sym_float] = ACTIONS(1442),
    [aux_sym_try_statement_token1] = ACTIONS(1442),
    [aux_sym_goto_statement_token1] = ACTIONS(1442),
    [aux_sym_continue_statement_token1] = ACTIONS(1442),
    [aux_sym_break_statement_token1] = ACTIONS(1442),
    [sym_integer] = ACTIONS(1442),
    [aux_sym_return_statement_token1] = ACTIONS(1442),
    [aux_sym_throw_expression_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token1] = ACTIONS(1442),
    [aux_sym_while_statement_token2] = ACTIONS(1442),
    [aux_sym_do_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token1] = ACTIONS(1442),
    [aux_sym_for_statement_token2] = ACTIONS(1442),
    [aux_sym_foreach_statement_token1] = ACTIONS(1442),
    [aux_sym_foreach_statement_token2] = ACTIONS(1442),
    [aux_sym_if_statement_token1] = ACTIONS(1442),
    [aux_sym_if_statement_token2] = ACTIONS(1442),
    [aux_sym_else_if_clause_token1] = ACTIONS(1442),
    [aux_sym_else_clause_token1] = ACTIONS(1442),
    [aux_sym_match_expression_token1] = ACTIONS(1442),
    [aux_sym_match_default_expression_token1] = ACTIONS(1442),
    [aux_sym_switch_statement_token1] = ACTIONS(1442),
    [aux_sym_switch_block_token1] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1440),
    [anon_sym_BANG] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(1440),
    [aux_sym_clone_expression_token1] = ACTIONS(1442),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1442),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1440),
    [anon_sym_PLUS_PLUS] = ACTIONS(1440),
    [aux_sym__list_destructing_token1] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1440),
    [anon_sym_self] = ACTIONS(1442),
    [anon_sym_parent] = ACTIONS(1442),
    [aux_sym__argument_name_token1] = ACTIONS(1442),
    [aux_sym__argument_name_token2] = ACTIONS(1442),
    [anon_sym_POUND_LBRACK] = ACTIONS(1440),
    [aux_sym_encapsed_string_token1] = ACTIONS(1440),
    [anon_sym_DQUOTE] = ACTIONS(1440),
    [aux_sym_string_token1] = ACTIONS(1440),
    [anon_sym_SQUOTE] = ACTIONS(1440),
    [anon_sym_LT_LT_LT] = ACTIONS(1440),
    [anon_sym_BQUOTE] = ACTIONS(1440),
    [anon_sym_DOLLAR] = ACTIONS(1440),
    [aux_sym_yield_expression_token1] = ACTIONS(1442),
    [aux_sym_include_expression_token1] = ACTIONS(1442),
    [aux_sym_include_once_expression_token1] = ACTIONS(1442),
    [aux_sym_require_expression_token1] = ACTIONS(1442),
    [aux_sym_require_once_expression_token1] = ACTIONS(1442),
    [sym_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_text_interpolation] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1444),
    [sym_name] = ACTIONS(1446),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1446),
    [aux_sym_global_declaration_token1] = ACTIONS(1446),
    [aux_sym_namespace_definition_token1] = ACTIONS(1446),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1446),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1446),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1446),
    [anon_sym_BSLASH] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_RBRACE] = ACTIONS(1444),
    [aux_sym_trait_declaration_token1] = ACTIONS(1446),
    [aux_sym_interface_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_declaration_token1] = ACTIONS(1446),
    [aux_sym_enum_case_token1] = ACTIONS(1446),
    [aux_sym_class_declaration_token1] = ACTIONS(1446),
    [aux_sym_final_modifier_token1] = ACTIONS(1446),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1446),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1446),
    [sym_var_modifier] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1446),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1446),
    [anon_sym_LPAREN2] = ACTIONS(1444),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1446),
    [aux_sym_cast_type_token1] = ACTIONS(1446),
    [aux_sym_echo_statement_token1] = ACTIONS(1446),
    [aux_sym_exit_statement_token1] = ACTIONS(1446),
    [anon_sym_unset] = ACTIONS(1446),
    [aux_sym_declare_statement_token1] = ACTIONS(1446),
    [aux_sym_declare_statement_token2] = ACTIONS(1446),
    [sym_float] = ACTIONS(1446),
    [aux_sym_try_statement_token1] = ACTIONS(1446),
    [aux_sym_goto_statement_token1] = ACTIONS(1446),
    [aux_sym_continue_statement_token1] = ACTIONS(1446),
    [aux_sym_break_statement_token1] = ACTIONS(1446),
    [sym_integer] = ACTIONS(1446),
    [aux_sym_return_statement_token1] = ACTIONS(1446),
    [aux_sym_throw_expression_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token1] = ACTIONS(1446),
    [aux_sym_while_statement_token2] = ACTIONS(1446),
    [aux_sym_do_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token1] = ACTIONS(1446),
    [aux_sym_for_statement_token2] = ACTIONS(1446),
    [aux_sym_foreach_statement_token1] = ACTIONS(1446),
    [aux_sym_foreach_statement_token2] = ACTIONS(1446),
    [aux_sym_if_statement_token1] = ACTIONS(1446),
    [aux_sym_if_statement_token2] = ACTIONS(1446),
    [aux_sym_else_if_clause_token1] = ACTIONS(1446),
    [aux_sym_else_clause_token1] = ACTIONS(1446),
    [aux_sym_match_expression_token1] = ACTIONS(1446),
    [aux_sym_match_default_expression_token1] = ACTIONS(1446),
    [aux_sym_switch_statement_token1] = ACTIONS(1446),
    [aux_sym_switch_block_token1] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AT] = ACTIONS(1444),
    [aux_sym_clone_expression_token1] = ACTIONS(1446),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1446),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1446),
    [anon_sym_DASH_DASH] = ACTIONS(1444),
    [anon_sym_PLUS_PLUS] = ACTIONS(1444),
    [aux_sym__list_destructing_token1] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1444),
    [anon_sym_self] = ACTIONS(1446),
    [anon_sym_parent] = ACTIONS(1446),
    [aux_sym__argument_name_token1] = ACTIONS(1446),
    [aux_sym__argument_name_token2] = ACTIONS(1446),
    [anon_sym_POUND_LBRACK] = ACTIONS(1444),
    [aux_sym_encapsed_string_token1] = ACTIONS(1444),
    [anon_sym_DQUOTE] = ACTIONS(1444),
    [aux_sym_string_token1] = ACTIONS(1444),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_LT_LT_LT] = ACTIONS(1444),
    [anon_sym_BQUOTE] = ACTIONS(1444),
    [anon_sym_DOLLAR] = ACTIONS(1444),
    [aux_sym_yield_expression_token1] = ACTIONS(1446),
    [aux_sym_include_expression_token1] = ACTIONS(1446),
    [aux_sym_include_once_expression_token1] = ACTIONS(1446),
    [aux_sym_require_expression_token1] = ACTIONS(1446),
    [aux_sym_require_once_expression_token1] = ACTIONS(1446),
    [sym_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_text_interpolation] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1448),
    [sym_name] = ACTIONS(1450),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1448),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1450),
    [aux_sym_global_declaration_token1] = ACTIONS(1450),
    [aux_sym_namespace_definition_token1] = ACTIONS(1450),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1450),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1450),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1450),
    [anon_sym_BSLASH] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1448),
    [anon_sym_RBRACE] = ACTIONS(1448),
    [aux_sym_trait_declaration_token1] = ACTIONS(1450),
    [aux_sym_interface_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_declaration_token1] = ACTIONS(1450),
    [aux_sym_enum_case_token1] = ACTIONS(1450),
    [aux_sym_class_declaration_token1] = ACTIONS(1450),
    [aux_sym_final_modifier_token1] = ACTIONS(1450),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1450),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1450),
    [sym_var_modifier] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1450),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1450),
    [anon_sym_LPAREN2] = ACTIONS(1448),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1450),
    [aux_sym_cast_type_token1] = ACTIONS(1450),
    [aux_sym_echo_statement_token1] = ACTIONS(1450),
    [aux_sym_exit_statement_token1] = ACTIONS(1450),
    [anon_sym_unset] = ACTIONS(1450),
    [aux_sym_declare_statement_token1] = ACTIONS(1450),
    [aux_sym_declare_statement_token2] = ACTIONS(1450),
    [sym_float] = ACTIONS(1450),
    [aux_sym_try_statement_token1] = ACTIONS(1450),
    [aux_sym_goto_statement_token1] = ACTIONS(1450),
    [aux_sym_continue_statement_token1] = ACTIONS(1450),
    [aux_sym_break_statement_token1] = ACTIONS(1450),
    [sym_integer] = ACTIONS(1450),
    [aux_sym_return_statement_token1] = ACTIONS(1450),
    [aux_sym_throw_expression_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token1] = ACTIONS(1450),
    [aux_sym_while_statement_token2] = ACTIONS(1450),
    [aux_sym_do_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token1] = ACTIONS(1450),
    [aux_sym_for_statement_token2] = ACTIONS(1450),
    [aux_sym_foreach_statement_token1] = ACTIONS(1450),
    [aux_sym_foreach_statement_token2] = ACTIONS(1450),
    [aux_sym_if_statement_token1] = ACTIONS(1450),
    [aux_sym_if_statement_token2] = ACTIONS(1450),
    [aux_sym_else_if_clause_token1] = ACTIONS(1450),
    [aux_sym_else_clause_token1] = ACTIONS(1450),
    [aux_sym_match_expression_token1] = ACTIONS(1450),
    [aux_sym_match_default_expression_token1] = ACTIONS(1450),
    [aux_sym_switch_statement_token1] = ACTIONS(1450),
    [aux_sym_switch_block_token1] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1448),
    [anon_sym_BANG] = ACTIONS(1448),
    [anon_sym_AT] = ACTIONS(1448),
    [aux_sym_clone_expression_token1] = ACTIONS(1450),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1450),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1450),
    [anon_sym_DASH_DASH] = ACTIONS(1448),
    [anon_sym_PLUS_PLUS] = ACTIONS(1448),
    [aux_sym__list_destructing_token1] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_self] = ACTIONS(1450),
    [anon_sym_parent] = ACTIONS(1450),
    [aux_sym__argument_name_token1] = ACTIONS(1450),
    [aux_sym__argument_name_token2] = ACTIONS(1450),
    [anon_sym_POUND_LBRACK] = ACTIONS(1448),
    [aux_sym_encapsed_string_token1] = ACTIONS(1448),
    [anon_sym_DQUOTE] = ACTIONS(1448),
    [aux_sym_string_token1] = ACTIONS(1448),
    [anon_sym_SQUOTE] = ACTIONS(1448),
    [anon_sym_LT_LT_LT] = ACTIONS(1448),
    [anon_sym_BQUOTE] = ACTIONS(1448),
    [anon_sym_DOLLAR] = ACTIONS(1448),
    [aux_sym_yield_expression_token1] = ACTIONS(1450),
    [aux_sym_include_expression_token1] = ACTIONS(1450),
    [aux_sym_include_once_expression_token1] = ACTIONS(1450),
    [aux_sym_require_expression_token1] = ACTIONS(1450),
    [aux_sym_require_once_expression_token1] = ACTIONS(1450),
    [sym_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_text_interpolation] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1452),
    [sym_name] = ACTIONS(1454),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1452),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1454),
    [aux_sym_global_declaration_token1] = ACTIONS(1454),
    [aux_sym_namespace_definition_token1] = ACTIONS(1454),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1454),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1454),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1454),
    [anon_sym_BSLASH] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1452),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_trait_declaration_token1] = ACTIONS(1454),
    [aux_sym_interface_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_declaration_token1] = ACTIONS(1454),
    [aux_sym_enum_case_token1] = ACTIONS(1454),
    [aux_sym_class_declaration_token1] = ACTIONS(1454),
    [aux_sym_final_modifier_token1] = ACTIONS(1454),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1454),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1454),
    [sym_var_modifier] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1454),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1454),
    [anon_sym_LPAREN2] = ACTIONS(1452),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1454),
    [aux_sym_cast_type_token1] = ACTIONS(1454),
    [aux_sym_echo_statement_token1] = ACTIONS(1454),
    [aux_sym_exit_statement_token1] = ACTIONS(1454),
    [anon_sym_unset] = ACTIONS(1454),
    [aux_sym_declare_statement_token1] = ACTIONS(1454),
    [aux_sym_declare_statement_token2] = ACTIONS(1454),
    [sym_float] = ACTIONS(1454),
    [aux_sym_try_statement_token1] = ACTIONS(1454),
    [aux_sym_goto_statement_token1] = ACTIONS(1454),
    [aux_sym_continue_statement_token1] = ACTIONS(1454),
    [aux_sym_break_statement_token1] = ACTIONS(1454),
    [sym_integer] = ACTIONS(1454),
    [aux_sym_return_statement_token1] = ACTIONS(1454),
    [aux_sym_throw_expression_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token1] = ACTIONS(1454),
    [aux_sym_while_statement_token2] = ACTIONS(1454),
    [aux_sym_do_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token1] = ACTIONS(1454),
    [aux_sym_for_statement_token2] = ACTIONS(1454),
    [aux_sym_foreach_statement_token1] = ACTIONS(1454),
    [aux_sym_foreach_statement_token2] = ACTIONS(1454),
    [aux_sym_if_statement_token1] = ACTIONS(1454),
    [aux_sym_if_statement_token2] = ACTIONS(1454),
    [aux_sym_else_if_clause_token1] = ACTIONS(1454),
    [aux_sym_else_clause_token1] = ACTIONS(1454),
    [aux_sym_match_expression_token1] = ACTIONS(1454),
    [aux_sym_match_default_expression_token1] = ACTIONS(1454),
    [aux_sym_switch_statement_token1] = ACTIONS(1454),
    [aux_sym_switch_block_token1] = ACTIONS(1454),
    [anon_sym_PLUS] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(1452),
    [aux_sym_clone_expression_token1] = ACTIONS(1454),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1454),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1454),
    [anon_sym_DASH_DASH] = ACTIONS(1452),
    [anon_sym_PLUS_PLUS] = ACTIONS(1452),
    [aux_sym__list_destructing_token1] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1452),
    [anon_sym_self] = ACTIONS(1454),
    [anon_sym_parent] = ACTIONS(1454),
    [aux_sym__argument_name_token1] = ACTIONS(1454),
    [aux_sym__argument_name_token2] = ACTIONS(1454),
    [anon_sym_POUND_LBRACK] = ACTIONS(1452),
    [aux_sym_encapsed_string_token1] = ACTIONS(1452),
    [anon_sym_DQUOTE] = ACTIONS(1452),
    [aux_sym_string_token1] = ACTIONS(1452),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_LT_LT_LT] = ACTIONS(1452),
    [anon_sym_BQUOTE] = ACTIONS(1452),
    [anon_sym_DOLLAR] = ACTIONS(1452),
    [aux_sym_yield_expression_token1] = ACTIONS(1454),
    [aux_sym_include_expression_token1] = ACTIONS(1454),
    [aux_sym_include_once_expression_token1] = ACTIONS(1454),
    [aux_sym_require_expression_token1] = ACTIONS(1454),
    [aux_sym_require_once_expression_token1] = ACTIONS(1454),
    [sym_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_text_interpolation] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1456),
    [sym_name] = ACTIONS(1458),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1456),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1458),
    [aux_sym_global_declaration_token1] = ACTIONS(1458),
    [aux_sym_namespace_definition_token1] = ACTIONS(1458),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1458),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1458),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1458),
    [anon_sym_BSLASH] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1456),
    [anon_sym_RBRACE] = ACTIONS(1456),
    [aux_sym_trait_declaration_token1] = ACTIONS(1458),
    [aux_sym_interface_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_declaration_token1] = ACTIONS(1458),
    [aux_sym_enum_case_token1] = ACTIONS(1458),
    [aux_sym_class_declaration_token1] = ACTIONS(1458),
    [aux_sym_final_modifier_token1] = ACTIONS(1458),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1458),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1458),
    [sym_var_modifier] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1458),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1458),
    [anon_sym_LPAREN2] = ACTIONS(1456),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1458),
    [aux_sym_cast_type_token1] = ACTIONS(1458),
    [aux_sym_echo_statement_token1] = ACTIONS(1458),
    [aux_sym_exit_statement_token1] = ACTIONS(1458),
    [anon_sym_unset] = ACTIONS(1458),
    [aux_sym_declare_statement_token1] = ACTIONS(1458),
    [aux_sym_declare_statement_token2] = ACTIONS(1458),
    [sym_float] = ACTIONS(1458),
    [aux_sym_try_statement_token1] = ACTIONS(1458),
    [aux_sym_goto_statement_token1] = ACTIONS(1458),
    [aux_sym_continue_statement_token1] = ACTIONS(1458),
    [aux_sym_break_statement_token1] = ACTIONS(1458),
    [sym_integer] = ACTIONS(1458),
    [aux_sym_return_statement_token1] = ACTIONS(1458),
    [aux_sym_throw_expression_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token1] = ACTIONS(1458),
    [aux_sym_while_statement_token2] = ACTIONS(1458),
    [aux_sym_do_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token1] = ACTIONS(1458),
    [aux_sym_for_statement_token2] = ACTIONS(1458),
    [aux_sym_foreach_statement_token1] = ACTIONS(1458),
    [aux_sym_foreach_statement_token2] = ACTIONS(1458),
    [aux_sym_if_statement_token1] = ACTIONS(1458),
    [aux_sym_if_statement_token2] = ACTIONS(1458),
    [aux_sym_else_if_clause_token1] = ACTIONS(1458),
    [aux_sym_else_clause_token1] = ACTIONS(1458),
    [aux_sym_match_expression_token1] = ACTIONS(1458),
    [aux_sym_match_default_expression_token1] = ACTIONS(1458),
    [aux_sym_switch_statement_token1] = ACTIONS(1458),
    [aux_sym_switch_block_token1] = ACTIONS(1458),
    [anon_sym_PLUS] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1456),
    [anon_sym_BANG] = ACTIONS(1456),
    [anon_sym_AT] = ACTIONS(1456),
    [aux_sym_clone_expression_token1] = ACTIONS(1458),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1458),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1458),
    [anon_sym_DASH_DASH] = ACTIONS(1456),
    [anon_sym_PLUS_PLUS] = ACTIONS(1456),
    [aux_sym__list_destructing_token1] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1456),
    [anon_sym_self] = ACTIONS(1458),
    [anon_sym_parent] = ACTIONS(1458),
    [aux_sym__argument_name_token1] = ACTIONS(1458),
    [aux_sym__argument_name_token2] = ACTIONS(1458),
    [anon_sym_POUND_LBRACK] = ACTIONS(1456),
    [aux_sym_encapsed_string_token1] = ACTIONS(1456),
    [anon_sym_DQUOTE] = ACTIONS(1456),
    [aux_sym_string_token1] = ACTIONS(1456),
    [anon_sym_SQUOTE] = ACTIONS(1456),
    [anon_sym_LT_LT_LT] = ACTIONS(1456),
    [anon_sym_BQUOTE] = ACTIONS(1456),
    [anon_sym_DOLLAR] = ACTIONS(1456),
    [aux_sym_yield_expression_token1] = ACTIONS(1458),
    [aux_sym_include_expression_token1] = ACTIONS(1458),
    [aux_sym_include_once_expression_token1] = ACTIONS(1458),
    [aux_sym_require_expression_token1] = ACTIONS(1458),
    [aux_sym_require_once_expression_token1] = ACTIONS(1458),
    [sym_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_text_interpolation] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_name] = ACTIONS(1462),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1460),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1462),
    [aux_sym_global_declaration_token1] = ACTIONS(1462),
    [aux_sym_namespace_definition_token1] = ACTIONS(1462),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1462),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1462),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1462),
    [anon_sym_BSLASH] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1460),
    [anon_sym_RBRACE] = ACTIONS(1460),
    [aux_sym_trait_declaration_token1] = ACTIONS(1462),
    [aux_sym_interface_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_declaration_token1] = ACTIONS(1462),
    [aux_sym_enum_case_token1] = ACTIONS(1462),
    [aux_sym_class_declaration_token1] = ACTIONS(1462),
    [aux_sym_final_modifier_token1] = ACTIONS(1462),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1462),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1462),
    [sym_var_modifier] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1462),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1462),
    [anon_sym_LPAREN2] = ACTIONS(1460),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1462),
    [aux_sym_cast_type_token1] = ACTIONS(1462),
    [aux_sym_echo_statement_token1] = ACTIONS(1462),
    [aux_sym_exit_statement_token1] = ACTIONS(1462),
    [anon_sym_unset] = ACTIONS(1462),
    [aux_sym_declare_statement_token1] = ACTIONS(1462),
    [aux_sym_declare_statement_token2] = ACTIONS(1462),
    [sym_float] = ACTIONS(1462),
    [aux_sym_try_statement_token1] = ACTIONS(1462),
    [aux_sym_goto_statement_token1] = ACTIONS(1462),
    [aux_sym_continue_statement_token1] = ACTIONS(1462),
    [aux_sym_break_statement_token1] = ACTIONS(1462),
    [sym_integer] = ACTIONS(1462),
    [aux_sym_return_statement_token1] = ACTIONS(1462),
    [aux_sym_throw_expression_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token1] = ACTIONS(1462),
    [aux_sym_while_statement_token2] = ACTIONS(1462),
    [aux_sym_do_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token1] = ACTIONS(1462),
    [aux_sym_for_statement_token2] = ACTIONS(1462),
    [aux_sym_foreach_statement_token1] = ACTIONS(1462),
    [aux_sym_foreach_statement_token2] = ACTIONS(1462),
    [aux_sym_if_statement_token1] = ACTIONS(1462),
    [aux_sym_if_statement_token2] = ACTIONS(1462),
    [aux_sym_else_if_clause_token1] = ACTIONS(1462),
    [aux_sym_else_clause_token1] = ACTIONS(1462),
    [aux_sym_match_expression_token1] = ACTIONS(1462),
    [aux_sym_match_default_expression_token1] = ACTIONS(1462),
    [aux_sym_switch_statement_token1] = ACTIONS(1462),
    [aux_sym_switch_block_token1] = ACTIONS(1462),
    [anon_sym_PLUS] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1460),
    [anon_sym_BANG] = ACTIONS(1460),
    [anon_sym_AT] = ACTIONS(1460),
    [aux_sym_clone_expression_token1] = ACTIONS(1462),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1462),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1462),
    [anon_sym_DASH_DASH] = ACTIONS(1460),
    [anon_sym_PLUS_PLUS] = ACTIONS(1460),
    [aux_sym__list_destructing_token1] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1460),
    [anon_sym_self] = ACTIONS(1462),
    [anon_sym_parent] = ACTIONS(1462),
    [aux_sym__argument_name_token1] = ACTIONS(1462),
    [aux_sym__argument_name_token2] = ACTIONS(1462),
    [anon_sym_POUND_LBRACK] = ACTIONS(1460),
    [aux_sym_encapsed_string_token1] = ACTIONS(1460),
    [anon_sym_DQUOTE] = ACTIONS(1460),
    [aux_sym_string_token1] = ACTIONS(1460),
    [anon_sym_SQUOTE] = ACTIONS(1460),
    [anon_sym_LT_LT_LT] = ACTIONS(1460),
    [anon_sym_BQUOTE] = ACTIONS(1460),
    [anon_sym_DOLLAR] = ACTIONS(1460),
    [aux_sym_yield_expression_token1] = ACTIONS(1462),
    [aux_sym_include_expression_token1] = ACTIONS(1462),
    [aux_sym_include_once_expression_token1] = ACTIONS(1462),
    [aux_sym_require_expression_token1] = ACTIONS(1462),
    [aux_sym_require_once_expression_token1] = ACTIONS(1462),
    [sym_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_text_interpolation] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1464),
    [sym_name] = ACTIONS(1466),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1464),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1466),
    [aux_sym_global_declaration_token1] = ACTIONS(1466),
    [aux_sym_namespace_definition_token1] = ACTIONS(1466),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1466),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1466),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1466),
    [anon_sym_BSLASH] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1464),
    [anon_sym_RBRACE] = ACTIONS(1464),
    [aux_sym_trait_declaration_token1] = ACTIONS(1466),
    [aux_sym_interface_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_declaration_token1] = ACTIONS(1466),
    [aux_sym_enum_case_token1] = ACTIONS(1466),
    [aux_sym_class_declaration_token1] = ACTIONS(1466),
    [aux_sym_final_modifier_token1] = ACTIONS(1466),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1466),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1466),
    [sym_var_modifier] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1466),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1466),
    [anon_sym_LPAREN2] = ACTIONS(1464),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1466),
    [aux_sym_cast_type_token1] = ACTIONS(1466),
    [aux_sym_echo_statement_token1] = ACTIONS(1466),
    [aux_sym_exit_statement_token1] = ACTIONS(1466),
    [anon_sym_unset] = ACTIONS(1466),
    [aux_sym_declare_statement_token1] = ACTIONS(1466),
    [aux_sym_declare_statement_token2] = ACTIONS(1466),
    [sym_float] = ACTIONS(1466),
    [aux_sym_try_statement_token1] = ACTIONS(1466),
    [aux_sym_goto_statement_token1] = ACTIONS(1466),
    [aux_sym_continue_statement_token1] = ACTIONS(1466),
    [aux_sym_break_statement_token1] = ACTIONS(1466),
    [sym_integer] = ACTIONS(1466),
    [aux_sym_return_statement_token1] = ACTIONS(1466),
    [aux_sym_throw_expression_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token1] = ACTIONS(1466),
    [aux_sym_while_statement_token2] = ACTIONS(1466),
    [aux_sym_do_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token1] = ACTIONS(1466),
    [aux_sym_for_statement_token2] = ACTIONS(1466),
    [aux_sym_foreach_statement_token1] = ACTIONS(1466),
    [aux_sym_foreach_statement_token2] = ACTIONS(1466),
    [aux_sym_if_statement_token1] = ACTIONS(1466),
    [aux_sym_if_statement_token2] = ACTIONS(1466),
    [aux_sym_else_if_clause_token1] = ACTIONS(1466),
    [aux_sym_else_clause_token1] = ACTIONS(1466),
    [aux_sym_match_expression_token1] = ACTIONS(1466),
    [aux_sym_match_default_expression_token1] = ACTIONS(1466),
    [aux_sym_switch_statement_token1] = ACTIONS(1466),
    [aux_sym_switch_block_token1] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1464),
    [anon_sym_BANG] = ACTIONS(1464),
    [anon_sym_AT] = ACTIONS(1464),
    [aux_sym_clone_expression_token1] = ACTIONS(1466),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1466),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1466),
    [anon_sym_DASH_DASH] = ACTIONS(1464),
    [anon_sym_PLUS_PLUS] = ACTIONS(1464),
    [aux_sym__list_destructing_token1] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1464),
    [anon_sym_self] = ACTIONS(1466),
    [anon_sym_parent] = ACTIONS(1466),
    [aux_sym__argument_name_token1] = ACTIONS(1466),
    [aux_sym__argument_name_token2] = ACTIONS(1466),
    [anon_sym_POUND_LBRACK] = ACTIONS(1464),
    [aux_sym_encapsed_string_token1] = ACTIONS(1464),
    [anon_sym_DQUOTE] = ACTIONS(1464),
    [aux_sym_string_token1] = ACTIONS(1464),
    [anon_sym_SQUOTE] = ACTIONS(1464),
    [anon_sym_LT_LT_LT] = ACTIONS(1464),
    [anon_sym_BQUOTE] = ACTIONS(1464),
    [anon_sym_DOLLAR] = ACTIONS(1464),
    [aux_sym_yield_expression_token1] = ACTIONS(1466),
    [aux_sym_include_expression_token1] = ACTIONS(1466),
    [aux_sym_include_once_expression_token1] = ACTIONS(1466),
    [aux_sym_require_expression_token1] = ACTIONS(1466),
    [aux_sym_require_once_expression_token1] = ACTIONS(1466),
    [sym_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_text_interpolation] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_name] = ACTIONS(1470),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1468),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1470),
    [aux_sym_global_declaration_token1] = ACTIONS(1470),
    [aux_sym_namespace_definition_token1] = ACTIONS(1470),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1470),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1470),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1470),
    [anon_sym_BSLASH] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1468),
    [anon_sym_RBRACE] = ACTIONS(1468),
    [aux_sym_trait_declaration_token1] = ACTIONS(1470),
    [aux_sym_interface_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_declaration_token1] = ACTIONS(1470),
    [aux_sym_enum_case_token1] = ACTIONS(1470),
    [aux_sym_class_declaration_token1] = ACTIONS(1470),
    [aux_sym_final_modifier_token1] = ACTIONS(1470),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1470),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1470),
    [sym_var_modifier] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1470),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1470),
    [anon_sym_LPAREN2] = ACTIONS(1468),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1470),
    [aux_sym_cast_type_token1] = ACTIONS(1470),
    [aux_sym_echo_statement_token1] = ACTIONS(1470),
    [aux_sym_exit_statement_token1] = ACTIONS(1470),
    [anon_sym_unset] = ACTIONS(1470),
    [aux_sym_declare_statement_token1] = ACTIONS(1470),
    [aux_sym_declare_statement_token2] = ACTIONS(1470),
    [sym_float] = ACTIONS(1470),
    [aux_sym_try_statement_token1] = ACTIONS(1470),
    [aux_sym_goto_statement_token1] = ACTIONS(1470),
    [aux_sym_continue_statement_token1] = ACTIONS(1470),
    [aux_sym_break_statement_token1] = ACTIONS(1470),
    [sym_integer] = ACTIONS(1470),
    [aux_sym_return_statement_token1] = ACTIONS(1470),
    [aux_sym_throw_expression_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token1] = ACTIONS(1470),
    [aux_sym_while_statement_token2] = ACTIONS(1470),
    [aux_sym_do_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token1] = ACTIONS(1470),
    [aux_sym_for_statement_token2] = ACTIONS(1470),
    [aux_sym_foreach_statement_token1] = ACTIONS(1470),
    [aux_sym_foreach_statement_token2] = ACTIONS(1470),
    [aux_sym_if_statement_token1] = ACTIONS(1470),
    [aux_sym_if_statement_token2] = ACTIONS(1470),
    [aux_sym_else_if_clause_token1] = ACTIONS(1470),
    [aux_sym_else_clause_token1] = ACTIONS(1470),
    [aux_sym_match_expression_token1] = ACTIONS(1470),
    [aux_sym_match_default_expression_token1] = ACTIONS(1470),
    [aux_sym_switch_statement_token1] = ACTIONS(1470),
    [aux_sym_switch_block_token1] = ACTIONS(1470),
    [anon_sym_PLUS] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1468),
    [anon_sym_BANG] = ACTIONS(1468),
    [anon_sym_AT] = ACTIONS(1468),
    [aux_sym_clone_expression_token1] = ACTIONS(1470),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1470),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1470),
    [anon_sym_DASH_DASH] = ACTIONS(1468),
    [anon_sym_PLUS_PLUS] = ACTIONS(1468),
    [aux_sym__list_destructing_token1] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1468),
    [anon_sym_self] = ACTIONS(1470),
    [anon_sym_parent] = ACTIONS(1470),
    [aux_sym__argument_name_token1] = ACTIONS(1470),
    [aux_sym__argument_name_token2] = ACTIONS(1470),
    [anon_sym_POUND_LBRACK] = ACTIONS(1468),
    [aux_sym_encapsed_string_token1] = ACTIONS(1468),
    [anon_sym_DQUOTE] = ACTIONS(1468),
    [aux_sym_string_token1] = ACTIONS(1468),
    [anon_sym_SQUOTE] = ACTIONS(1468),
    [anon_sym_LT_LT_LT] = ACTIONS(1468),
    [anon_sym_BQUOTE] = ACTIONS(1468),
    [anon_sym_DOLLAR] = ACTIONS(1468),
    [aux_sym_yield_expression_token1] = ACTIONS(1470),
    [aux_sym_include_expression_token1] = ACTIONS(1470),
    [aux_sym_include_once_expression_token1] = ACTIONS(1470),
    [aux_sym_require_expression_token1] = ACTIONS(1470),
    [aux_sym_require_once_expression_token1] = ACTIONS(1470),
    [sym_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_text_interpolation] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1472),
    [sym_name] = ACTIONS(1474),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1474),
    [aux_sym_global_declaration_token1] = ACTIONS(1474),
    [aux_sym_namespace_definition_token1] = ACTIONS(1474),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1474),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1474),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1474),
    [anon_sym_BSLASH] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [aux_sym_trait_declaration_token1] = ACTIONS(1474),
    [aux_sym_interface_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_declaration_token1] = ACTIONS(1474),
    [aux_sym_enum_case_token1] = ACTIONS(1474),
    [aux_sym_class_declaration_token1] = ACTIONS(1474),
    [aux_sym_final_modifier_token1] = ACTIONS(1474),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1474),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1474),
    [sym_var_modifier] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1474),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1474),
    [anon_sym_LPAREN2] = ACTIONS(1472),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1474),
    [aux_sym_cast_type_token1] = ACTIONS(1474),
    [aux_sym_echo_statement_token1] = ACTIONS(1474),
    [aux_sym_exit_statement_token1] = ACTIONS(1474),
    [anon_sym_unset] = ACTIONS(1474),
    [aux_sym_declare_statement_token1] = ACTIONS(1474),
    [aux_sym_declare_statement_token2] = ACTIONS(1474),
    [sym_float] = ACTIONS(1474),
    [aux_sym_try_statement_token1] = ACTIONS(1474),
    [aux_sym_goto_statement_token1] = ACTIONS(1474),
    [aux_sym_continue_statement_token1] = ACTIONS(1474),
    [aux_sym_break_statement_token1] = ACTIONS(1474),
    [sym_integer] = ACTIONS(1474),
    [aux_sym_return_statement_token1] = ACTIONS(1474),
    [aux_sym_throw_expression_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token1] = ACTIONS(1474),
    [aux_sym_while_statement_token2] = ACTIONS(1474),
    [aux_sym_do_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token1] = ACTIONS(1474),
    [aux_sym_for_statement_token2] = ACTIONS(1474),
    [aux_sym_foreach_statement_token1] = ACTIONS(1474),
    [aux_sym_foreach_statement_token2] = ACTIONS(1474),
    [aux_sym_if_statement_token1] = ACTIONS(1474),
    [aux_sym_if_statement_token2] = ACTIONS(1474),
    [aux_sym_else_if_clause_token1] = ACTIONS(1474),
    [aux_sym_else_clause_token1] = ACTIONS(1474),
    [aux_sym_match_expression_token1] = ACTIONS(1474),
    [aux_sym_match_default_expression_token1] = ACTIONS(1474),
    [aux_sym_switch_statement_token1] = ACTIONS(1474),
    [aux_sym_switch_block_token1] = ACTIONS(1474),
    [anon_sym_PLUS] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [aux_sym_clone_expression_token1] = ACTIONS(1474),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1474),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1474),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [aux_sym__list_destructing_token1] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_self] = ACTIONS(1474),
    [anon_sym_parent] = ACTIONS(1474),
    [aux_sym__argument_name_token1] = ACTIONS(1474),
    [aux_sym__argument_name_token2] = ACTIONS(1474),
    [anon_sym_POUND_LBRACK] = ACTIONS(1472),
    [aux_sym_encapsed_string_token1] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [aux_sym_string_token1] = ACTIONS(1472),
    [anon_sym_SQUOTE] = ACTIONS(1472),
    [anon_sym_LT_LT_LT] = ACTIONS(1472),
    [anon_sym_BQUOTE] = ACTIONS(1472),
    [anon_sym_DOLLAR] = ACTIONS(1472),
    [aux_sym_yield_expression_token1] = ACTIONS(1474),
    [aux_sym_include_expression_token1] = ACTIONS(1474),
    [aux_sym_include_once_expression_token1] = ACTIONS(1474),
    [aux_sym_require_expression_token1] = ACTIONS(1474),
    [aux_sym_require_once_expression_token1] = ACTIONS(1474),
    [sym_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_text_interpolation] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(1476),
    [sym_name] = ACTIONS(1478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1476),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1478),
    [aux_sym_global_declaration_token1] = ACTIONS(1478),
    [aux_sym_namespace_definition_token1] = ACTIONS(1478),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1478),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1478),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1478),
    [anon_sym_BSLASH] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [aux_sym_trait_declaration_token1] = ACTIONS(1478),
    [aux_sym_interface_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_declaration_token1] = ACTIONS(1478),
    [aux_sym_enum_case_token1] = ACTIONS(1478),
    [aux_sym_class_declaration_token1] = ACTIONS(1478),
    [aux_sym_final_modifier_token1] = ACTIONS(1478),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1478),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1478),
    [sym_var_modifier] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1478),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1478),
    [anon_sym_LPAREN2] = ACTIONS(1476),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1478),
    [aux_sym_cast_type_token1] = ACTIONS(1478),
    [aux_sym_echo_statement_token1] = ACTIONS(1478),
    [aux_sym_exit_statement_token1] = ACTIONS(1478),
    [anon_sym_unset] = ACTIONS(1478),
    [aux_sym_declare_statement_token1] = ACTIONS(1478),
    [aux_sym_declare_statement_token2] = ACTIONS(1478),
    [sym_float] = ACTIONS(1478),
    [aux_sym_try_statement_token1] = ACTIONS(1478),
    [aux_sym_goto_statement_token1] = ACTIONS(1478),
    [aux_sym_continue_statement_token1] = ACTIONS(1478),
    [aux_sym_break_statement_token1] = ACTIONS(1478),
    [sym_integer] = ACTIONS(1478),
    [aux_sym_return_statement_token1] = ACTIONS(1478),
    [aux_sym_throw_expression_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token1] = ACTIONS(1478),
    [aux_sym_while_statement_token2] = ACTIONS(1478),
    [aux_sym_do_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token1] = ACTIONS(1478),
    [aux_sym_for_statement_token2] = ACTIONS(1478),
    [aux_sym_foreach_statement_token1] = ACTIONS(1478),
    [aux_sym_foreach_statement_token2] = ACTIONS(1478),
    [aux_sym_if_statement_token1] = ACTIONS(1478),
    [aux_sym_if_statement_token2] = ACTIONS(1478),
    [aux_sym_else_if_clause_token1] = ACTIONS(1478),
    [aux_sym_else_clause_token1] = ACTIONS(1478),
    [aux_sym_match_expression_token1] = ACTIONS(1478),
    [aux_sym_match_default_expression_token1] = ACTIONS(1478),
    [aux_sym_switch_statement_token1] = ACTIONS(1478),
    [aux_sym_switch_block_token1] = ACTIONS(1478),
    [anon_sym_PLUS] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1476),
    [anon_sym_BANG] = ACTIONS(1476),
    [anon_sym_AT] = ACTIONS(1476),
    [aux_sym_clone_expression_token1] = ACTIONS(1478),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1478),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1478),
    [anon_sym_DASH_DASH] = ACTIONS(1476),
    [anon_sym_PLUS_PLUS] = ACTIONS(1476),
    [aux_sym__list_destructing_token1] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1476),
    [anon_sym_self] = ACTIONS(1478),
    [anon_sym_parent] = ACTIONS(1478),
    [aux_sym__argument_name_token1] = ACTIONS(1478),
    [aux_sym__argument_name_token2] = ACTIONS(1478),
    [anon_sym_POUND_LBRACK] = ACTIONS(1476),
    [aux_sym_encapsed_string_token1] = ACTIONS(1476),
    [anon_sym_DQUOTE] = ACTIONS(1476),
    [aux_sym_string_token1] = ACTIONS(1476),
    [anon_sym_SQUOTE] = ACTIONS(1476),
    [anon_sym_LT_LT_LT] = ACTIONS(1476),
    [anon_sym_BQUOTE] = ACTIONS(1476),
    [anon_sym_DOLLAR] = ACTIONS(1476),
    [aux_sym_yield_expression_token1] = ACTIONS(1478),
    [aux_sym_include_expression_token1] = ACTIONS(1478),
    [aux_sym_include_once_expression_token1] = ACTIONS(1478),
    [aux_sym_require_expression_token1] = ACTIONS(1478),
    [aux_sym_require_once_expression_token1] = ACTIONS(1478),
    [sym_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_text_interpolation] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [sym_name] = ACTIONS(1482),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1482),
    [aux_sym_global_declaration_token1] = ACTIONS(1482),
    [aux_sym_namespace_definition_token1] = ACTIONS(1482),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1482),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1482),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1482),
    [anon_sym_BSLASH] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_RBRACE] = ACTIONS(1480),
    [aux_sym_trait_declaration_token1] = ACTIONS(1482),
    [aux_sym_interface_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_declaration_token1] = ACTIONS(1482),
    [aux_sym_enum_case_token1] = ACTIONS(1482),
    [aux_sym_class_declaration_token1] = ACTIONS(1482),
    [aux_sym_final_modifier_token1] = ACTIONS(1482),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1482),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1482),
    [sym_var_modifier] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1482),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1482),
    [anon_sym_LPAREN2] = ACTIONS(1480),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1482),
    [aux_sym_cast_type_token1] = ACTIONS(1482),
    [aux_sym_echo_statement_token1] = ACTIONS(1482),
    [aux_sym_exit_statement_token1] = ACTIONS(1482),
    [anon_sym_unset] = ACTIONS(1482),
    [aux_sym_declare_statement_token1] = ACTIONS(1482),
    [aux_sym_declare_statement_token2] = ACTIONS(1482),
    [sym_float] = ACTIONS(1482),
    [aux_sym_try_statement_token1] = ACTIONS(1482),
    [aux_sym_goto_statement_token1] = ACTIONS(1482),
    [aux_sym_continue_statement_token1] = ACTIONS(1482),
    [aux_sym_break_statement_token1] = ACTIONS(1482),
    [sym_integer] = ACTIONS(1482),
    [aux_sym_return_statement_token1] = ACTIONS(1482),
    [aux_sym_throw_expression_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token1] = ACTIONS(1482),
    [aux_sym_while_statement_token2] = ACTIONS(1482),
    [aux_sym_do_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token1] = ACTIONS(1482),
    [aux_sym_for_statement_token2] = ACTIONS(1482),
    [aux_sym_foreach_statement_token1] = ACTIONS(1482),
    [aux_sym_foreach_statement_token2] = ACTIONS(1482),
    [aux_sym_if_statement_token1] = ACTIONS(1482),
    [aux_sym_if_statement_token2] = ACTIONS(1482),
    [aux_sym_else_if_clause_token1] = ACTIONS(1482),
    [aux_sym_else_clause_token1] = ACTIONS(1482),
    [aux_sym_match_expression_token1] = ACTIONS(1482),
    [aux_sym_match_default_expression_token1] = ACTIONS(1482),
    [aux_sym_switch_statement_token1] = ACTIONS(1482),
    [aux_sym_switch_block_token1] = ACTIONS(1482),
    [anon_sym_PLUS] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_BANG] = ACTIONS(1480),
    [anon_sym_AT] = ACTIONS(1480),
    [aux_sym_clone_expression_token1] = ACTIONS(1482),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1482),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1482),
    [anon_sym_DASH_DASH] = ACTIONS(1480),
    [anon_sym_PLUS_PLUS] = ACTIONS(1480),
    [aux_sym__list_destructing_token1] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_self] = ACTIONS(1482),
    [anon_sym_parent] = ACTIONS(1482),
    [aux_sym__argument_name_token1] = ACTIONS(1482),
    [aux_sym__argument_name_token2] = ACTIONS(1482),
    [anon_sym_POUND_LBRACK] = ACTIONS(1480),
    [aux_sym_encapsed_string_token1] = ACTIONS(1480),
    [anon_sym_DQUOTE] = ACTIONS(1480),
    [aux_sym_string_token1] = ACTIONS(1480),
    [anon_sym_SQUOTE] = ACTIONS(1480),
    [anon_sym_LT_LT_LT] = ACTIONS(1480),
    [anon_sym_BQUOTE] = ACTIONS(1480),
    [anon_sym_DOLLAR] = ACTIONS(1480),
    [aux_sym_yield_expression_token1] = ACTIONS(1482),
    [aux_sym_include_expression_token1] = ACTIONS(1482),
    [aux_sym_include_once_expression_token1] = ACTIONS(1482),
    [aux_sym_require_expression_token1] = ACTIONS(1482),
    [aux_sym_require_once_expression_token1] = ACTIONS(1482),
    [sym_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_text_interpolation] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [sym_name] = ACTIONS(1486),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1484),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1486),
    [aux_sym_global_declaration_token1] = ACTIONS(1486),
    [aux_sym_namespace_definition_token1] = ACTIONS(1486),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1486),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1486),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1486),
    [anon_sym_BSLASH] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [aux_sym_trait_declaration_token1] = ACTIONS(1486),
    [aux_sym_interface_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_declaration_token1] = ACTIONS(1486),
    [aux_sym_enum_case_token1] = ACTIONS(1486),
    [aux_sym_class_declaration_token1] = ACTIONS(1486),
    [aux_sym_final_modifier_token1] = ACTIONS(1486),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1486),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1486),
    [sym_var_modifier] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1486),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1486),
    [anon_sym_LPAREN2] = ACTIONS(1484),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1486),
    [aux_sym_cast_type_token1] = ACTIONS(1486),
    [aux_sym_echo_statement_token1] = ACTIONS(1486),
    [aux_sym_exit_statement_token1] = ACTIONS(1486),
    [anon_sym_unset] = ACTIONS(1486),
    [aux_sym_declare_statement_token1] = ACTIONS(1486),
    [aux_sym_declare_statement_token2] = ACTIONS(1486),
    [sym_float] = ACTIONS(1486),
    [aux_sym_try_statement_token1] = ACTIONS(1486),
    [aux_sym_goto_statement_token1] = ACTIONS(1486),
    [aux_sym_continue_statement_token1] = ACTIONS(1486),
    [aux_sym_break_statement_token1] = ACTIONS(1486),
    [sym_integer] = ACTIONS(1486),
    [aux_sym_return_statement_token1] = ACTIONS(1486),
    [aux_sym_throw_expression_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token1] = ACTIONS(1486),
    [aux_sym_while_statement_token2] = ACTIONS(1486),
    [aux_sym_do_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token1] = ACTIONS(1486),
    [aux_sym_for_statement_token2] = ACTIONS(1486),
    [aux_sym_foreach_statement_token1] = ACTIONS(1486),
    [aux_sym_foreach_statement_token2] = ACTIONS(1486),
    [aux_sym_if_statement_token1] = ACTIONS(1486),
    [aux_sym_if_statement_token2] = ACTIONS(1486),
    [aux_sym_else_if_clause_token1] = ACTIONS(1486),
    [aux_sym_else_clause_token1] = ACTIONS(1486),
    [aux_sym_match_expression_token1] = ACTIONS(1486),
    [aux_sym_match_default_expression_token1] = ACTIONS(1486),
    [aux_sym_switch_statement_token1] = ACTIONS(1486),
    [aux_sym_switch_block_token1] = ACTIONS(1486),
    [anon_sym_PLUS] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [aux_sym_clone_expression_token1] = ACTIONS(1486),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1486),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1486),
    [anon_sym_DASH_DASH] = ACTIONS(1484),
    [anon_sym_PLUS_PLUS] = ACTIONS(1484),
    [aux_sym__list_destructing_token1] = ACTIONS(1486),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_self] = ACTIONS(1486),
    [anon_sym_parent] = ACTIONS(1486),
    [aux_sym__argument_name_token1] = ACTIONS(1486),
    [aux_sym__argument_name_token2] = ACTIONS(1486),
    [anon_sym_POUND_LBRACK] = ACTIONS(1484),
    [aux_sym_encapsed_string_token1] = ACTIONS(1484),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [aux_sym_string_token1] = ACTIONS(1484),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_LT_LT_LT] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [aux_sym_yield_expression_token1] = ACTIONS(1486),
    [aux_sym_include_expression_token1] = ACTIONS(1486),
    [aux_sym_include_once_expression_token1] = ACTIONS(1486),
    [aux_sym_require_expression_token1] = ACTIONS(1486),
    [aux_sym_require_once_expression_token1] = ACTIONS(1486),
    [sym_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_text_interpolation] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(1488),
    [sym_name] = ACTIONS(1490),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1488),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1490),
    [aux_sym_global_declaration_token1] = ACTIONS(1490),
    [aux_sym_namespace_definition_token1] = ACTIONS(1490),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1490),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1490),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1490),
    [anon_sym_BSLASH] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_RBRACE] = ACTIONS(1488),
    [aux_sym_trait_declaration_token1] = ACTIONS(1490),
    [aux_sym_interface_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_declaration_token1] = ACTIONS(1490),
    [aux_sym_enum_case_token1] = ACTIONS(1490),
    [aux_sym_class_declaration_token1] = ACTIONS(1490),
    [aux_sym_final_modifier_token1] = ACTIONS(1490),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1490),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1490),
    [sym_var_modifier] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1490),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1490),
    [anon_sym_LPAREN2] = ACTIONS(1488),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1490),
    [aux_sym_cast_type_token1] = ACTIONS(1490),
    [aux_sym_echo_statement_token1] = ACTIONS(1490),
    [aux_sym_exit_statement_token1] = ACTIONS(1490),
    [anon_sym_unset] = ACTIONS(1490),
    [aux_sym_declare_statement_token1] = ACTIONS(1490),
    [aux_sym_declare_statement_token2] = ACTIONS(1490),
    [sym_float] = ACTIONS(1490),
    [aux_sym_try_statement_token1] = ACTIONS(1490),
    [aux_sym_goto_statement_token1] = ACTIONS(1490),
    [aux_sym_continue_statement_token1] = ACTIONS(1490),
    [aux_sym_break_statement_token1] = ACTIONS(1490),
    [sym_integer] = ACTIONS(1490),
    [aux_sym_return_statement_token1] = ACTIONS(1490),
    [aux_sym_throw_expression_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token1] = ACTIONS(1490),
    [aux_sym_while_statement_token2] = ACTIONS(1490),
    [aux_sym_do_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token1] = ACTIONS(1490),
    [aux_sym_for_statement_token2] = ACTIONS(1490),
    [aux_sym_foreach_statement_token1] = ACTIONS(1490),
    [aux_sym_foreach_statement_token2] = ACTIONS(1490),
    [aux_sym_if_statement_token1] = ACTIONS(1490),
    [aux_sym_if_statement_token2] = ACTIONS(1490),
    [aux_sym_else_if_clause_token1] = ACTIONS(1490),
    [aux_sym_else_clause_token1] = ACTIONS(1490),
    [aux_sym_match_expression_token1] = ACTIONS(1490),
    [aux_sym_match_default_expression_token1] = ACTIONS(1490),
    [aux_sym_switch_statement_token1] = ACTIONS(1490),
    [aux_sym_switch_block_token1] = ACTIONS(1490),
    [anon_sym_PLUS] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1488),
    [anon_sym_BANG] = ACTIONS(1488),
    [anon_sym_AT] = ACTIONS(1488),
    [aux_sym_clone_expression_token1] = ACTIONS(1490),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1490),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1490),
    [anon_sym_DASH_DASH] = ACTIONS(1488),
    [anon_sym_PLUS_PLUS] = ACTIONS(1488),
    [aux_sym__list_destructing_token1] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1488),
    [anon_sym_self] = ACTIONS(1490),
    [anon_sym_parent] = ACTIONS(1490),
    [aux_sym__argument_name_token1] = ACTIONS(1490),
    [aux_sym__argument_name_token2] = ACTIONS(1490),
    [anon_sym_POUND_LBRACK] = ACTIONS(1488),
    [aux_sym_encapsed_string_token1] = ACTIONS(1488),
    [anon_sym_DQUOTE] = ACTIONS(1488),
    [aux_sym_string_token1] = ACTIONS(1488),
    [anon_sym_SQUOTE] = ACTIONS(1488),
    [anon_sym_LT_LT_LT] = ACTIONS(1488),
    [anon_sym_BQUOTE] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1488),
    [aux_sym_yield_expression_token1] = ACTIONS(1490),
    [aux_sym_include_expression_token1] = ACTIONS(1490),
    [aux_sym_include_once_expression_token1] = ACTIONS(1490),
    [aux_sym_require_expression_token1] = ACTIONS(1490),
    [aux_sym_require_once_expression_token1] = ACTIONS(1490),
    [sym_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_text_interpolation] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [sym_name] = ACTIONS(1494),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1492),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1494),
    [aux_sym_global_declaration_token1] = ACTIONS(1494),
    [aux_sym_namespace_definition_token1] = ACTIONS(1494),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1494),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1494),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1494),
    [anon_sym_BSLASH] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_RBRACE] = ACTIONS(1492),
    [aux_sym_trait_declaration_token1] = ACTIONS(1494),
    [aux_sym_interface_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_declaration_token1] = ACTIONS(1494),
    [aux_sym_enum_case_token1] = ACTIONS(1494),
    [aux_sym_class_declaration_token1] = ACTIONS(1494),
    [aux_sym_final_modifier_token1] = ACTIONS(1494),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1494),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1494),
    [sym_var_modifier] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1494),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1494),
    [anon_sym_LPAREN2] = ACTIONS(1492),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1494),
    [aux_sym_cast_type_token1] = ACTIONS(1494),
    [aux_sym_echo_statement_token1] = ACTIONS(1494),
    [aux_sym_exit_statement_token1] = ACTIONS(1494),
    [anon_sym_unset] = ACTIONS(1494),
    [aux_sym_declare_statement_token1] = ACTIONS(1494),
    [aux_sym_declare_statement_token2] = ACTIONS(1494),
    [sym_float] = ACTIONS(1494),
    [aux_sym_try_statement_token1] = ACTIONS(1494),
    [aux_sym_goto_statement_token1] = ACTIONS(1494),
    [aux_sym_continue_statement_token1] = ACTIONS(1494),
    [aux_sym_break_statement_token1] = ACTIONS(1494),
    [sym_integer] = ACTIONS(1494),
    [aux_sym_return_statement_token1] = ACTIONS(1494),
    [aux_sym_throw_expression_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token1] = ACTIONS(1494),
    [aux_sym_while_statement_token2] = ACTIONS(1494),
    [aux_sym_do_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token1] = ACTIONS(1494),
    [aux_sym_for_statement_token2] = ACTIONS(1494),
    [aux_sym_foreach_statement_token1] = ACTIONS(1494),
    [aux_sym_foreach_statement_token2] = ACTIONS(1494),
    [aux_sym_if_statement_token1] = ACTIONS(1494),
    [aux_sym_if_statement_token2] = ACTIONS(1494),
    [aux_sym_else_if_clause_token1] = ACTIONS(1494),
    [aux_sym_else_clause_token1] = ACTIONS(1494),
    [aux_sym_match_expression_token1] = ACTIONS(1494),
    [aux_sym_match_default_expression_token1] = ACTIONS(1494),
    [aux_sym_switch_statement_token1] = ACTIONS(1494),
    [aux_sym_switch_block_token1] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [aux_sym_clone_expression_token1] = ACTIONS(1494),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1494),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1494),
    [anon_sym_DASH_DASH] = ACTIONS(1492),
    [anon_sym_PLUS_PLUS] = ACTIONS(1492),
    [aux_sym__list_destructing_token1] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_self] = ACTIONS(1494),
    [anon_sym_parent] = ACTIONS(1494),
    [aux_sym__argument_name_token1] = ACTIONS(1494),
    [aux_sym__argument_name_token2] = ACTIONS(1494),
    [anon_sym_POUND_LBRACK] = ACTIONS(1492),
    [aux_sym_encapsed_string_token1] = ACTIONS(1492),
    [anon_sym_DQUOTE] = ACTIONS(1492),
    [aux_sym_string_token1] = ACTIONS(1492),
    [anon_sym_SQUOTE] = ACTIONS(1492),
    [anon_sym_LT_LT_LT] = ACTIONS(1492),
    [anon_sym_BQUOTE] = ACTIONS(1492),
    [anon_sym_DOLLAR] = ACTIONS(1492),
    [aux_sym_yield_expression_token1] = ACTIONS(1494),
    [aux_sym_include_expression_token1] = ACTIONS(1494),
    [aux_sym_include_once_expression_token1] = ACTIONS(1494),
    [aux_sym_require_expression_token1] = ACTIONS(1494),
    [aux_sym_require_once_expression_token1] = ACTIONS(1494),
    [sym_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_text_interpolation] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(1496),
    [sym_name] = ACTIONS(1498),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1496),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1498),
    [aux_sym_global_declaration_token1] = ACTIONS(1498),
    [aux_sym_namespace_definition_token1] = ACTIONS(1498),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1498),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1498),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1498),
    [anon_sym_BSLASH] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1496),
    [anon_sym_RBRACE] = ACTIONS(1496),
    [aux_sym_trait_declaration_token1] = ACTIONS(1498),
    [aux_sym_interface_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_declaration_token1] = ACTIONS(1498),
    [aux_sym_enum_case_token1] = ACTIONS(1498),
    [aux_sym_class_declaration_token1] = ACTIONS(1498),
    [aux_sym_final_modifier_token1] = ACTIONS(1498),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1498),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1498),
    [sym_var_modifier] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1498),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1498),
    [anon_sym_LPAREN2] = ACTIONS(1496),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1498),
    [aux_sym_cast_type_token1] = ACTIONS(1498),
    [aux_sym_echo_statement_token1] = ACTIONS(1498),
    [aux_sym_exit_statement_token1] = ACTIONS(1498),
    [anon_sym_unset] = ACTIONS(1498),
    [aux_sym_declare_statement_token1] = ACTIONS(1498),
    [aux_sym_declare_statement_token2] = ACTIONS(1498),
    [sym_float] = ACTIONS(1498),
    [aux_sym_try_statement_token1] = ACTIONS(1498),
    [aux_sym_goto_statement_token1] = ACTIONS(1498),
    [aux_sym_continue_statement_token1] = ACTIONS(1498),
    [aux_sym_break_statement_token1] = ACTIONS(1498),
    [sym_integer] = ACTIONS(1498),
    [aux_sym_return_statement_token1] = ACTIONS(1498),
    [aux_sym_throw_expression_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token1] = ACTIONS(1498),
    [aux_sym_while_statement_token2] = ACTIONS(1498),
    [aux_sym_do_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token1] = ACTIONS(1498),
    [aux_sym_for_statement_token2] = ACTIONS(1498),
    [aux_sym_foreach_statement_token1] = ACTIONS(1498),
    [aux_sym_foreach_statement_token2] = ACTIONS(1498),
    [aux_sym_if_statement_token1] = ACTIONS(1498),
    [aux_sym_if_statement_token2] = ACTIONS(1498),
    [aux_sym_else_if_clause_token1] = ACTIONS(1498),
    [aux_sym_else_clause_token1] = ACTIONS(1498),
    [aux_sym_match_expression_token1] = ACTIONS(1498),
    [aux_sym_match_default_expression_token1] = ACTIONS(1498),
    [aux_sym_switch_statement_token1] = ACTIONS(1498),
    [aux_sym_switch_block_token1] = ACTIONS(1498),
    [anon_sym_PLUS] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1496),
    [anon_sym_BANG] = ACTIONS(1496),
    [anon_sym_AT] = ACTIONS(1496),
    [aux_sym_clone_expression_token1] = ACTIONS(1498),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1498),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1498),
    [anon_sym_DASH_DASH] = ACTIONS(1496),
    [anon_sym_PLUS_PLUS] = ACTIONS(1496),
    [aux_sym__list_destructing_token1] = ACTIONS(1498),
    [anon_sym_LBRACK] = ACTIONS(1496),
    [anon_sym_self] = ACTIONS(1498),
    [anon_sym_parent] = ACTIONS(1498),
    [aux_sym__argument_name_token1] = ACTIONS(1498),
    [aux_sym__argument_name_token2] = ACTIONS(1498),
    [anon_sym_POUND_LBRACK] = ACTIONS(1496),
    [aux_sym_encapsed_string_token1] = ACTIONS(1496),
    [anon_sym_DQUOTE] = ACTIONS(1496),
    [aux_sym_string_token1] = ACTIONS(1496),
    [anon_sym_SQUOTE] = ACTIONS(1496),
    [anon_sym_LT_LT_LT] = ACTIONS(1496),
    [anon_sym_BQUOTE] = ACTIONS(1496),
    [anon_sym_DOLLAR] = ACTIONS(1496),
    [aux_sym_yield_expression_token1] = ACTIONS(1498),
    [aux_sym_include_expression_token1] = ACTIONS(1498),
    [aux_sym_include_once_expression_token1] = ACTIONS(1498),
    [aux_sym_require_expression_token1] = ACTIONS(1498),
    [aux_sym_require_once_expression_token1] = ACTIONS(1498),
    [sym_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_text_interpolation] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(1500),
    [sym_name] = ACTIONS(1502),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1500),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1502),
    [aux_sym_global_declaration_token1] = ACTIONS(1502),
    [aux_sym_namespace_definition_token1] = ACTIONS(1502),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1502),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1502),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1502),
    [anon_sym_BSLASH] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(1500),
    [aux_sym_trait_declaration_token1] = ACTIONS(1502),
    [aux_sym_interface_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_declaration_token1] = ACTIONS(1502),
    [aux_sym_enum_case_token1] = ACTIONS(1502),
    [aux_sym_class_declaration_token1] = ACTIONS(1502),
    [aux_sym_final_modifier_token1] = ACTIONS(1502),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1502),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1502),
    [sym_var_modifier] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1502),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1502),
    [anon_sym_LPAREN2] = ACTIONS(1500),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1502),
    [aux_sym_cast_type_token1] = ACTIONS(1502),
    [aux_sym_echo_statement_token1] = ACTIONS(1502),
    [aux_sym_exit_statement_token1] = ACTIONS(1502),
    [anon_sym_unset] = ACTIONS(1502),
    [aux_sym_declare_statement_token1] = ACTIONS(1502),
    [aux_sym_declare_statement_token2] = ACTIONS(1502),
    [sym_float] = ACTIONS(1502),
    [aux_sym_try_statement_token1] = ACTIONS(1502),
    [aux_sym_goto_statement_token1] = ACTIONS(1502),
    [aux_sym_continue_statement_token1] = ACTIONS(1502),
    [aux_sym_break_statement_token1] = ACTIONS(1502),
    [sym_integer] = ACTIONS(1502),
    [aux_sym_return_statement_token1] = ACTIONS(1502),
    [aux_sym_throw_expression_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token1] = ACTIONS(1502),
    [aux_sym_while_statement_token2] = ACTIONS(1502),
    [aux_sym_do_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token1] = ACTIONS(1502),
    [aux_sym_for_statement_token2] = ACTIONS(1502),
    [aux_sym_foreach_statement_token1] = ACTIONS(1502),
    [aux_sym_foreach_statement_token2] = ACTIONS(1502),
    [aux_sym_if_statement_token1] = ACTIONS(1502),
    [aux_sym_if_statement_token2] = ACTIONS(1502),
    [aux_sym_else_if_clause_token1] = ACTIONS(1502),
    [aux_sym_else_clause_token1] = ACTIONS(1502),
    [aux_sym_match_expression_token1] = ACTIONS(1502),
    [aux_sym_match_default_expression_token1] = ACTIONS(1502),
    [aux_sym_switch_statement_token1] = ACTIONS(1502),
    [aux_sym_switch_block_token1] = ACTIONS(1502),
    [anon_sym_PLUS] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1500),
    [anon_sym_BANG] = ACTIONS(1500),
    [anon_sym_AT] = ACTIONS(1500),
    [aux_sym_clone_expression_token1] = ACTIONS(1502),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1502),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1502),
    [anon_sym_DASH_DASH] = ACTIONS(1500),
    [anon_sym_PLUS_PLUS] = ACTIONS(1500),
    [aux_sym__list_destructing_token1] = ACTIONS(1502),
    [anon_sym_LBRACK] = ACTIONS(1500),
    [anon_sym_self] = ACTIONS(1502),
    [anon_sym_parent] = ACTIONS(1502),
    [aux_sym__argument_name_token1] = ACTIONS(1502),
    [aux_sym__argument_name_token2] = ACTIONS(1502),
    [anon_sym_POUND_LBRACK] = ACTIONS(1500),
    [aux_sym_encapsed_string_token1] = ACTIONS(1500),
    [anon_sym_DQUOTE] = ACTIONS(1500),
    [aux_sym_string_token1] = ACTIONS(1500),
    [anon_sym_SQUOTE] = ACTIONS(1500),
    [anon_sym_LT_LT_LT] = ACTIONS(1500),
    [anon_sym_BQUOTE] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1500),
    [aux_sym_yield_expression_token1] = ACTIONS(1502),
    [aux_sym_include_expression_token1] = ACTIONS(1502),
    [aux_sym_include_once_expression_token1] = ACTIONS(1502),
    [aux_sym_require_expression_token1] = ACTIONS(1502),
    [aux_sym_require_once_expression_token1] = ACTIONS(1502),
    [sym_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_text_interpolation] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(1504),
    [sym_name] = ACTIONS(1506),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1504),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1506),
    [aux_sym_global_declaration_token1] = ACTIONS(1506),
    [aux_sym_namespace_definition_token1] = ACTIONS(1506),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1506),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1506),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1506),
    [anon_sym_BSLASH] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1504),
    [anon_sym_RBRACE] = ACTIONS(1504),
    [aux_sym_trait_declaration_token1] = ACTIONS(1506),
    [aux_sym_interface_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_declaration_token1] = ACTIONS(1506),
    [aux_sym_enum_case_token1] = ACTIONS(1506),
    [aux_sym_class_declaration_token1] = ACTIONS(1506),
    [aux_sym_final_modifier_token1] = ACTIONS(1506),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1506),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1506),
    [sym_var_modifier] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1506),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1506),
    [anon_sym_LPAREN2] = ACTIONS(1504),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1506),
    [aux_sym_cast_type_token1] = ACTIONS(1506),
    [aux_sym_echo_statement_token1] = ACTIONS(1506),
    [aux_sym_exit_statement_token1] = ACTIONS(1506),
    [anon_sym_unset] = ACTIONS(1506),
    [aux_sym_declare_statement_token1] = ACTIONS(1506),
    [aux_sym_declare_statement_token2] = ACTIONS(1506),
    [sym_float] = ACTIONS(1506),
    [aux_sym_try_statement_token1] = ACTIONS(1506),
    [aux_sym_goto_statement_token1] = ACTIONS(1506),
    [aux_sym_continue_statement_token1] = ACTIONS(1506),
    [aux_sym_break_statement_token1] = ACTIONS(1506),
    [sym_integer] = ACTIONS(1506),
    [aux_sym_return_statement_token1] = ACTIONS(1506),
    [aux_sym_throw_expression_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token1] = ACTIONS(1506),
    [aux_sym_while_statement_token2] = ACTIONS(1506),
    [aux_sym_do_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token1] = ACTIONS(1506),
    [aux_sym_for_statement_token2] = ACTIONS(1506),
    [aux_sym_foreach_statement_token1] = ACTIONS(1506),
    [aux_sym_foreach_statement_token2] = ACTIONS(1506),
    [aux_sym_if_statement_token1] = ACTIONS(1506),
    [aux_sym_if_statement_token2] = ACTIONS(1506),
    [aux_sym_else_if_clause_token1] = ACTIONS(1506),
    [aux_sym_else_clause_token1] = ACTIONS(1506),
    [aux_sym_match_expression_token1] = ACTIONS(1506),
    [aux_sym_match_default_expression_token1] = ACTIONS(1506),
    [aux_sym_switch_statement_token1] = ACTIONS(1506),
    [aux_sym_switch_block_token1] = ACTIONS(1506),
    [anon_sym_PLUS] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1504),
    [anon_sym_BANG] = ACTIONS(1504),
    [anon_sym_AT] = ACTIONS(1504),
    [aux_sym_clone_expression_token1] = ACTIONS(1506),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1506),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1506),
    [anon_sym_DASH_DASH] = ACTIONS(1504),
    [anon_sym_PLUS_PLUS] = ACTIONS(1504),
    [aux_sym__list_destructing_token1] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_self] = ACTIONS(1506),
    [anon_sym_parent] = ACTIONS(1506),
    [aux_sym__argument_name_token1] = ACTIONS(1506),
    [aux_sym__argument_name_token2] = ACTIONS(1506),
    [anon_sym_POUND_LBRACK] = ACTIONS(1504),
    [aux_sym_encapsed_string_token1] = ACTIONS(1504),
    [anon_sym_DQUOTE] = ACTIONS(1504),
    [aux_sym_string_token1] = ACTIONS(1504),
    [anon_sym_SQUOTE] = ACTIONS(1504),
    [anon_sym_LT_LT_LT] = ACTIONS(1504),
    [anon_sym_BQUOTE] = ACTIONS(1504),
    [anon_sym_DOLLAR] = ACTIONS(1504),
    [aux_sym_yield_expression_token1] = ACTIONS(1506),
    [aux_sym_include_expression_token1] = ACTIONS(1506),
    [aux_sym_include_once_expression_token1] = ACTIONS(1506),
    [aux_sym_require_expression_token1] = ACTIONS(1506),
    [aux_sym_require_once_expression_token1] = ACTIONS(1506),
    [sym_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_text_interpolation] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(1508),
    [sym_name] = ACTIONS(1510),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1508),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1510),
    [aux_sym_global_declaration_token1] = ACTIONS(1510),
    [aux_sym_namespace_definition_token1] = ACTIONS(1510),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1510),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1510),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1510),
    [anon_sym_BSLASH] = ACTIONS(1508),
    [anon_sym_LBRACE] = ACTIONS(1508),
    [anon_sym_RBRACE] = ACTIONS(1508),
    [aux_sym_trait_declaration_token1] = ACTIONS(1510),
    [aux_sym_interface_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_declaration_token1] = ACTIONS(1510),
    [aux_sym_enum_case_token1] = ACTIONS(1510),
    [aux_sym_class_declaration_token1] = ACTIONS(1510),
    [aux_sym_final_modifier_token1] = ACTIONS(1510),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1510),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1510),
    [sym_var_modifier] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1510),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1510),
    [anon_sym_LPAREN2] = ACTIONS(1508),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1510),
    [aux_sym_cast_type_token1] = ACTIONS(1510),
    [aux_sym_echo_statement_token1] = ACTIONS(1510),
    [aux_sym_exit_statement_token1] = ACTIONS(1510),
    [anon_sym_unset] = ACTIONS(1510),
    [aux_sym_declare_statement_token1] = ACTIONS(1510),
    [aux_sym_declare_statement_token2] = ACTIONS(1510),
    [sym_float] = ACTIONS(1510),
    [aux_sym_try_statement_token1] = ACTIONS(1510),
    [aux_sym_goto_statement_token1] = ACTIONS(1510),
    [aux_sym_continue_statement_token1] = ACTIONS(1510),
    [aux_sym_break_statement_token1] = ACTIONS(1510),
    [sym_integer] = ACTIONS(1510),
    [aux_sym_return_statement_token1] = ACTIONS(1510),
    [aux_sym_throw_expression_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token1] = ACTIONS(1510),
    [aux_sym_while_statement_token2] = ACTIONS(1510),
    [aux_sym_do_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token1] = ACTIONS(1510),
    [aux_sym_for_statement_token2] = ACTIONS(1510),
    [aux_sym_foreach_statement_token1] = ACTIONS(1510),
    [aux_sym_foreach_statement_token2] = ACTIONS(1510),
    [aux_sym_if_statement_token1] = ACTIONS(1510),
    [aux_sym_if_statement_token2] = ACTIONS(1510),
    [aux_sym_else_if_clause_token1] = ACTIONS(1510),
    [aux_sym_else_clause_token1] = ACTIONS(1510),
    [aux_sym_match_expression_token1] = ACTIONS(1510),
    [aux_sym_match_default_expression_token1] = ACTIONS(1510),
    [aux_sym_switch_statement_token1] = ACTIONS(1510),
    [aux_sym_switch_block_token1] = ACTIONS(1510),
    [anon_sym_PLUS] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1510),
    [anon_sym_TILDE] = ACTIONS(1508),
    [anon_sym_BANG] = ACTIONS(1508),
    [anon_sym_AT] = ACTIONS(1508),
    [aux_sym_clone_expression_token1] = ACTIONS(1510),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1510),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1510),
    [anon_sym_DASH_DASH] = ACTIONS(1508),
    [anon_sym_PLUS_PLUS] = ACTIONS(1508),
    [aux_sym__list_destructing_token1] = ACTIONS(1510),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_self] = ACTIONS(1510),
    [anon_sym_parent] = ACTIONS(1510),
    [aux_sym__argument_name_token1] = ACTIONS(1510),
    [aux_sym__argument_name_token2] = ACTIONS(1510),
    [anon_sym_POUND_LBRACK] = ACTIONS(1508),
    [aux_sym_encapsed_string_token1] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1508),
    [aux_sym_string_token1] = ACTIONS(1508),
    [anon_sym_SQUOTE] = ACTIONS(1508),
    [anon_sym_LT_LT_LT] = ACTIONS(1508),
    [anon_sym_BQUOTE] = ACTIONS(1508),
    [anon_sym_DOLLAR] = ACTIONS(1508),
    [aux_sym_yield_expression_token1] = ACTIONS(1510),
    [aux_sym_include_expression_token1] = ACTIONS(1510),
    [aux_sym_include_once_expression_token1] = ACTIONS(1510),
    [aux_sym_require_expression_token1] = ACTIONS(1510),
    [aux_sym_require_once_expression_token1] = ACTIONS(1510),
    [sym_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_text_interpolation] = STATE(573),
    [ts_builtin_sym_end] = ACTIONS(1512),
    [sym_name] = ACTIONS(1514),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1512),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1514),
    [aux_sym_global_declaration_token1] = ACTIONS(1514),
    [aux_sym_namespace_definition_token1] = ACTIONS(1514),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1514),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1514),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1514),
    [anon_sym_BSLASH] = ACTIONS(1512),
    [anon_sym_LBRACE] = ACTIONS(1512),
    [anon_sym_RBRACE] = ACTIONS(1512),
    [aux_sym_trait_declaration_token1] = ACTIONS(1514),
    [aux_sym_interface_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_declaration_token1] = ACTIONS(1514),
    [aux_sym_enum_case_token1] = ACTIONS(1514),
    [aux_sym_class_declaration_token1] = ACTIONS(1514),
    [aux_sym_final_modifier_token1] = ACTIONS(1514),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1514),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1514),
    [sym_var_modifier] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1514),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1514),
    [anon_sym_LPAREN2] = ACTIONS(1512),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1514),
    [aux_sym_cast_type_token1] = ACTIONS(1514),
    [aux_sym_echo_statement_token1] = ACTIONS(1514),
    [aux_sym_exit_statement_token1] = ACTIONS(1514),
    [anon_sym_unset] = ACTIONS(1514),
    [aux_sym_declare_statement_token1] = ACTIONS(1514),
    [aux_sym_declare_statement_token2] = ACTIONS(1514),
    [sym_float] = ACTIONS(1514),
    [aux_sym_try_statement_token1] = ACTIONS(1514),
    [aux_sym_goto_statement_token1] = ACTIONS(1514),
    [aux_sym_continue_statement_token1] = ACTIONS(1514),
    [aux_sym_break_statement_token1] = ACTIONS(1514),
    [sym_integer] = ACTIONS(1514),
    [aux_sym_return_statement_token1] = ACTIONS(1514),
    [aux_sym_throw_expression_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token1] = ACTIONS(1514),
    [aux_sym_while_statement_token2] = ACTIONS(1514),
    [aux_sym_do_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token1] = ACTIONS(1514),
    [aux_sym_for_statement_token2] = ACTIONS(1514),
    [aux_sym_foreach_statement_token1] = ACTIONS(1514),
    [aux_sym_foreach_statement_token2] = ACTIONS(1514),
    [aux_sym_if_statement_token1] = ACTIONS(1514),
    [aux_sym_if_statement_token2] = ACTIONS(1514),
    [aux_sym_else_if_clause_token1] = ACTIONS(1514),
    [aux_sym_else_clause_token1] = ACTIONS(1514),
    [aux_sym_match_expression_token1] = ACTIONS(1514),
    [aux_sym_match_default_expression_token1] = ACTIONS(1514),
    [aux_sym_switch_statement_token1] = ACTIONS(1514),
    [aux_sym_switch_block_token1] = ACTIONS(1514),
    [anon_sym_PLUS] = ACTIONS(1514),
    [anon_sym_DASH] = ACTIONS(1514),
    [anon_sym_TILDE] = ACTIONS(1512),
    [anon_sym_BANG] = ACTIONS(1512),
    [anon_sym_AT] = ACTIONS(1512),
    [aux_sym_clone_expression_token1] = ACTIONS(1514),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1514),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1514),
    [anon_sym_DASH_DASH] = ACTIONS(1512),
    [anon_sym_PLUS_PLUS] = ACTIONS(1512),
    [aux_sym__list_destructing_token1] = ACTIONS(1514),
    [anon_sym_LBRACK] = ACTIONS(1512),
    [anon_sym_self] = ACTIONS(1514),
    [anon_sym_parent] = ACTIONS(1514),
    [aux_sym__argument_name_token1] = ACTIONS(1514),
    [aux_sym__argument_name_token2] = ACTIONS(1514),
    [anon_sym_POUND_LBRACK] = ACTIONS(1512),
    [aux_sym_encapsed_string_token1] = ACTIONS(1512),
    [anon_sym_DQUOTE] = ACTIONS(1512),
    [aux_sym_string_token1] = ACTIONS(1512),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_LT_LT_LT] = ACTIONS(1512),
    [anon_sym_BQUOTE] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1512),
    [aux_sym_yield_expression_token1] = ACTIONS(1514),
    [aux_sym_include_expression_token1] = ACTIONS(1514),
    [aux_sym_include_once_expression_token1] = ACTIONS(1514),
    [aux_sym_require_expression_token1] = ACTIONS(1514),
    [aux_sym_require_once_expression_token1] = ACTIONS(1514),
    [sym_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_text_interpolation] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(1516),
    [sym_name] = ACTIONS(1518),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1516),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1518),
    [aux_sym_global_declaration_token1] = ACTIONS(1518),
    [aux_sym_namespace_definition_token1] = ACTIONS(1518),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1518),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1518),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1518),
    [anon_sym_BSLASH] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1516),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [aux_sym_trait_declaration_token1] = ACTIONS(1518),
    [aux_sym_interface_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_declaration_token1] = ACTIONS(1518),
    [aux_sym_enum_case_token1] = ACTIONS(1518),
    [aux_sym_class_declaration_token1] = ACTIONS(1518),
    [aux_sym_final_modifier_token1] = ACTIONS(1518),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1518),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1518),
    [sym_var_modifier] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1518),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1518),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1518),
    [aux_sym_cast_type_token1] = ACTIONS(1518),
    [aux_sym_echo_statement_token1] = ACTIONS(1518),
    [aux_sym_exit_statement_token1] = ACTIONS(1518),
    [anon_sym_unset] = ACTIONS(1518),
    [aux_sym_declare_statement_token1] = ACTIONS(1518),
    [aux_sym_declare_statement_token2] = ACTIONS(1518),
    [sym_float] = ACTIONS(1518),
    [aux_sym_try_statement_token1] = ACTIONS(1518),
    [aux_sym_goto_statement_token1] = ACTIONS(1518),
    [aux_sym_continue_statement_token1] = ACTIONS(1518),
    [aux_sym_break_statement_token1] = ACTIONS(1518),
    [sym_integer] = ACTIONS(1518),
    [aux_sym_return_statement_token1] = ACTIONS(1518),
    [aux_sym_throw_expression_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token1] = ACTIONS(1518),
    [aux_sym_while_statement_token2] = ACTIONS(1518),
    [aux_sym_do_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token1] = ACTIONS(1518),
    [aux_sym_for_statement_token2] = ACTIONS(1518),
    [aux_sym_foreach_statement_token1] = ACTIONS(1518),
    [aux_sym_foreach_statement_token2] = ACTIONS(1518),
    [aux_sym_if_statement_token1] = ACTIONS(1518),
    [aux_sym_if_statement_token2] = ACTIONS(1518),
    [aux_sym_else_if_clause_token1] = ACTIONS(1518),
    [aux_sym_else_clause_token1] = ACTIONS(1518),
    [aux_sym_match_expression_token1] = ACTIONS(1518),
    [aux_sym_match_default_expression_token1] = ACTIONS(1518),
    [aux_sym_switch_statement_token1] = ACTIONS(1518),
    [aux_sym_switch_block_token1] = ACTIONS(1518),
    [anon_sym_PLUS] = ACTIONS(1518),
    [anon_sym_DASH] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1516),
    [anon_sym_AT] = ACTIONS(1516),
    [aux_sym_clone_expression_token1] = ACTIONS(1518),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1518),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1518),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [aux_sym__list_destructing_token1] = ACTIONS(1518),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_self] = ACTIONS(1518),
    [anon_sym_parent] = ACTIONS(1518),
    [aux_sym__argument_name_token1] = ACTIONS(1518),
    [aux_sym__argument_name_token2] = ACTIONS(1518),
    [anon_sym_POUND_LBRACK] = ACTIONS(1516),
    [aux_sym_encapsed_string_token1] = ACTIONS(1516),
    [anon_sym_DQUOTE] = ACTIONS(1516),
    [aux_sym_string_token1] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1516),
    [anon_sym_LT_LT_LT] = ACTIONS(1516),
    [anon_sym_BQUOTE] = ACTIONS(1516),
    [anon_sym_DOLLAR] = ACTIONS(1516),
    [aux_sym_yield_expression_token1] = ACTIONS(1518),
    [aux_sym_include_expression_token1] = ACTIONS(1518),
    [aux_sym_include_once_expression_token1] = ACTIONS(1518),
    [aux_sym_require_expression_token1] = ACTIONS(1518),
    [aux_sym_require_once_expression_token1] = ACTIONS(1518),
    [sym_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_text_interpolation] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1520),
    [sym_name] = ACTIONS(1522),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1520),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1522),
    [aux_sym_global_declaration_token1] = ACTIONS(1522),
    [aux_sym_namespace_definition_token1] = ACTIONS(1522),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1522),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1522),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1522),
    [anon_sym_BSLASH] = ACTIONS(1520),
    [anon_sym_LBRACE] = ACTIONS(1520),
    [anon_sym_RBRACE] = ACTIONS(1520),
    [aux_sym_trait_declaration_token1] = ACTIONS(1522),
    [aux_sym_interface_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_declaration_token1] = ACTIONS(1522),
    [aux_sym_enum_case_token1] = ACTIONS(1522),
    [aux_sym_class_declaration_token1] = ACTIONS(1522),
    [aux_sym_final_modifier_token1] = ACTIONS(1522),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1522),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1522),
    [sym_var_modifier] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1522),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1522),
    [anon_sym_LPAREN2] = ACTIONS(1520),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1522),
    [aux_sym_cast_type_token1] = ACTIONS(1522),
    [aux_sym_echo_statement_token1] = ACTIONS(1522),
    [aux_sym_exit_statement_token1] = ACTIONS(1522),
    [anon_sym_unset] = ACTIONS(1522),
    [aux_sym_declare_statement_token1] = ACTIONS(1522),
    [aux_sym_declare_statement_token2] = ACTIONS(1522),
    [sym_float] = ACTIONS(1522),
    [aux_sym_try_statement_token1] = ACTIONS(1522),
    [aux_sym_goto_statement_token1] = ACTIONS(1522),
    [aux_sym_continue_statement_token1] = ACTIONS(1522),
    [aux_sym_break_statement_token1] = ACTIONS(1522),
    [sym_integer] = ACTIONS(1522),
    [aux_sym_return_statement_token1] = ACTIONS(1522),
    [aux_sym_throw_expression_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token1] = ACTIONS(1522),
    [aux_sym_while_statement_token2] = ACTIONS(1522),
    [aux_sym_do_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token1] = ACTIONS(1522),
    [aux_sym_for_statement_token2] = ACTIONS(1522),
    [aux_sym_foreach_statement_token1] = ACTIONS(1522),
    [aux_sym_foreach_statement_token2] = ACTIONS(1522),
    [aux_sym_if_statement_token1] = ACTIONS(1522),
    [aux_sym_if_statement_token2] = ACTIONS(1522),
    [aux_sym_else_if_clause_token1] = ACTIONS(1522),
    [aux_sym_else_clause_token1] = ACTIONS(1522),
    [aux_sym_match_expression_token1] = ACTIONS(1522),
    [aux_sym_match_default_expression_token1] = ACTIONS(1522),
    [aux_sym_switch_statement_token1] = ACTIONS(1522),
    [aux_sym_switch_block_token1] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_BANG] = ACTIONS(1520),
    [anon_sym_AT] = ACTIONS(1520),
    [aux_sym_clone_expression_token1] = ACTIONS(1522),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1522),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1522),
    [anon_sym_DASH_DASH] = ACTIONS(1520),
    [anon_sym_PLUS_PLUS] = ACTIONS(1520),
    [aux_sym__list_destructing_token1] = ACTIONS(1522),
    [anon_sym_LBRACK] = ACTIONS(1520),
    [anon_sym_self] = ACTIONS(1522),
    [anon_sym_parent] = ACTIONS(1522),
    [aux_sym__argument_name_token1] = ACTIONS(1522),
    [aux_sym__argument_name_token2] = ACTIONS(1522),
    [anon_sym_POUND_LBRACK] = ACTIONS(1520),
    [aux_sym_encapsed_string_token1] = ACTIONS(1520),
    [anon_sym_DQUOTE] = ACTIONS(1520),
    [aux_sym_string_token1] = ACTIONS(1520),
    [anon_sym_SQUOTE] = ACTIONS(1520),
    [anon_sym_LT_LT_LT] = ACTIONS(1520),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [anon_sym_DOLLAR] = ACTIONS(1520),
    [aux_sym_yield_expression_token1] = ACTIONS(1522),
    [aux_sym_include_expression_token1] = ACTIONS(1522),
    [aux_sym_include_once_expression_token1] = ACTIONS(1522),
    [aux_sym_require_expression_token1] = ACTIONS(1522),
    [aux_sym_require_once_expression_token1] = ACTIONS(1522),
    [sym_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_text_interpolation] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(1524),
    [sym_name] = ACTIONS(1526),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1524),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1526),
    [aux_sym_global_declaration_token1] = ACTIONS(1526),
    [aux_sym_namespace_definition_token1] = ACTIONS(1526),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1526),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1526),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1526),
    [anon_sym_BSLASH] = ACTIONS(1524),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1524),
    [aux_sym_trait_declaration_token1] = ACTIONS(1526),
    [aux_sym_interface_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_declaration_token1] = ACTIONS(1526),
    [aux_sym_enum_case_token1] = ACTIONS(1526),
    [aux_sym_class_declaration_token1] = ACTIONS(1526),
    [aux_sym_final_modifier_token1] = ACTIONS(1526),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1526),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1526),
    [sym_var_modifier] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1526),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1526),
    [anon_sym_LPAREN2] = ACTIONS(1524),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1526),
    [aux_sym_cast_type_token1] = ACTIONS(1526),
    [aux_sym_echo_statement_token1] = ACTIONS(1526),
    [aux_sym_exit_statement_token1] = ACTIONS(1526),
    [anon_sym_unset] = ACTIONS(1526),
    [aux_sym_declare_statement_token1] = ACTIONS(1526),
    [aux_sym_declare_statement_token2] = ACTIONS(1526),
    [sym_float] = ACTIONS(1526),
    [aux_sym_try_statement_token1] = ACTIONS(1526),
    [aux_sym_goto_statement_token1] = ACTIONS(1526),
    [aux_sym_continue_statement_token1] = ACTIONS(1526),
    [aux_sym_break_statement_token1] = ACTIONS(1526),
    [sym_integer] = ACTIONS(1526),
    [aux_sym_return_statement_token1] = ACTIONS(1526),
    [aux_sym_throw_expression_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token1] = ACTIONS(1526),
    [aux_sym_while_statement_token2] = ACTIONS(1526),
    [aux_sym_do_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token1] = ACTIONS(1526),
    [aux_sym_for_statement_token2] = ACTIONS(1526),
    [aux_sym_foreach_statement_token1] = ACTIONS(1526),
    [aux_sym_foreach_statement_token2] = ACTIONS(1526),
    [aux_sym_if_statement_token1] = ACTIONS(1526),
    [aux_sym_if_statement_token2] = ACTIONS(1526),
    [aux_sym_else_if_clause_token1] = ACTIONS(1526),
    [aux_sym_else_clause_token1] = ACTIONS(1526),
    [aux_sym_match_expression_token1] = ACTIONS(1526),
    [aux_sym_match_default_expression_token1] = ACTIONS(1526),
    [aux_sym_switch_statement_token1] = ACTIONS(1526),
    [aux_sym_switch_block_token1] = ACTIONS(1526),
    [anon_sym_PLUS] = ACTIONS(1526),
    [anon_sym_DASH] = ACTIONS(1526),
    [anon_sym_TILDE] = ACTIONS(1524),
    [anon_sym_BANG] = ACTIONS(1524),
    [anon_sym_AT] = ACTIONS(1524),
    [aux_sym_clone_expression_token1] = ACTIONS(1526),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1526),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1526),
    [anon_sym_DASH_DASH] = ACTIONS(1524),
    [anon_sym_PLUS_PLUS] = ACTIONS(1524),
    [aux_sym__list_destructing_token1] = ACTIONS(1526),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_self] = ACTIONS(1526),
    [anon_sym_parent] = ACTIONS(1526),
    [aux_sym__argument_name_token1] = ACTIONS(1526),
    [aux_sym__argument_name_token2] = ACTIONS(1526),
    [anon_sym_POUND_LBRACK] = ACTIONS(1524),
    [aux_sym_encapsed_string_token1] = ACTIONS(1524),
    [anon_sym_DQUOTE] = ACTIONS(1524),
    [aux_sym_string_token1] = ACTIONS(1524),
    [anon_sym_SQUOTE] = ACTIONS(1524),
    [anon_sym_LT_LT_LT] = ACTIONS(1524),
    [anon_sym_BQUOTE] = ACTIONS(1524),
    [anon_sym_DOLLAR] = ACTIONS(1524),
    [aux_sym_yield_expression_token1] = ACTIONS(1526),
    [aux_sym_include_expression_token1] = ACTIONS(1526),
    [aux_sym_include_once_expression_token1] = ACTIONS(1526),
    [aux_sym_require_expression_token1] = ACTIONS(1526),
    [aux_sym_require_once_expression_token1] = ACTIONS(1526),
    [sym_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_text_interpolation] = STATE(577),
    [ts_builtin_sym_end] = ACTIONS(1528),
    [sym_name] = ACTIONS(1530),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1528),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1530),
    [aux_sym_global_declaration_token1] = ACTIONS(1530),
    [aux_sym_namespace_definition_token1] = ACTIONS(1530),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1530),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1530),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1530),
    [anon_sym_BSLASH] = ACTIONS(1528),
    [anon_sym_LBRACE] = ACTIONS(1528),
    [anon_sym_RBRACE] = ACTIONS(1528),
    [aux_sym_trait_declaration_token1] = ACTIONS(1530),
    [aux_sym_interface_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_declaration_token1] = ACTIONS(1530),
    [aux_sym_enum_case_token1] = ACTIONS(1530),
    [aux_sym_class_declaration_token1] = ACTIONS(1530),
    [aux_sym_final_modifier_token1] = ACTIONS(1530),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1530),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1530),
    [sym_var_modifier] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1530),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1530),
    [anon_sym_LPAREN2] = ACTIONS(1528),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1530),
    [aux_sym_cast_type_token1] = ACTIONS(1530),
    [aux_sym_echo_statement_token1] = ACTIONS(1530),
    [aux_sym_exit_statement_token1] = ACTIONS(1530),
    [anon_sym_unset] = ACTIONS(1530),
    [aux_sym_declare_statement_token1] = ACTIONS(1530),
    [aux_sym_declare_statement_token2] = ACTIONS(1530),
    [sym_float] = ACTIONS(1530),
    [aux_sym_try_statement_token1] = ACTIONS(1530),
    [aux_sym_goto_statement_token1] = ACTIONS(1530),
    [aux_sym_continue_statement_token1] = ACTIONS(1530),
    [aux_sym_break_statement_token1] = ACTIONS(1530),
    [sym_integer] = ACTIONS(1530),
    [aux_sym_return_statement_token1] = ACTIONS(1530),
    [aux_sym_throw_expression_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token1] = ACTIONS(1530),
    [aux_sym_while_statement_token2] = ACTIONS(1530),
    [aux_sym_do_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token1] = ACTIONS(1530),
    [aux_sym_for_statement_token2] = ACTIONS(1530),
    [aux_sym_foreach_statement_token1] = ACTIONS(1530),
    [aux_sym_foreach_statement_token2] = ACTIONS(1530),
    [aux_sym_if_statement_token1] = ACTIONS(1530),
    [aux_sym_if_statement_token2] = ACTIONS(1530),
    [aux_sym_else_if_clause_token1] = ACTIONS(1530),
    [aux_sym_else_clause_token1] = ACTIONS(1530),
    [aux_sym_match_expression_token1] = ACTIONS(1530),
    [aux_sym_match_default_expression_token1] = ACTIONS(1530),
    [aux_sym_switch_statement_token1] = ACTIONS(1530),
    [aux_sym_switch_block_token1] = ACTIONS(1530),
    [anon_sym_PLUS] = ACTIONS(1530),
    [anon_sym_DASH] = ACTIONS(1530),
    [anon_sym_TILDE] = ACTIONS(1528),
    [anon_sym_BANG] = ACTIONS(1528),
    [anon_sym_AT] = ACTIONS(1528),
    [aux_sym_clone_expression_token1] = ACTIONS(1530),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1530),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1530),
    [anon_sym_DASH_DASH] = ACTIONS(1528),
    [anon_sym_PLUS_PLUS] = ACTIONS(1528),
    [aux_sym__list_destructing_token1] = ACTIONS(1530),
    [anon_sym_LBRACK] = ACTIONS(1528),
    [anon_sym_self] = ACTIONS(1530),
    [anon_sym_parent] = ACTIONS(1530),
    [aux_sym__argument_name_token1] = ACTIONS(1530),
    [aux_sym__argument_name_token2] = ACTIONS(1530),
    [anon_sym_POUND_LBRACK] = ACTIONS(1528),
    [aux_sym_encapsed_string_token1] = ACTIONS(1528),
    [anon_sym_DQUOTE] = ACTIONS(1528),
    [aux_sym_string_token1] = ACTIONS(1528),
    [anon_sym_SQUOTE] = ACTIONS(1528),
    [anon_sym_LT_LT_LT] = ACTIONS(1528),
    [anon_sym_BQUOTE] = ACTIONS(1528),
    [anon_sym_DOLLAR] = ACTIONS(1528),
    [aux_sym_yield_expression_token1] = ACTIONS(1530),
    [aux_sym_include_expression_token1] = ACTIONS(1530),
    [aux_sym_include_once_expression_token1] = ACTIONS(1530),
    [aux_sym_require_expression_token1] = ACTIONS(1530),
    [aux_sym_require_once_expression_token1] = ACTIONS(1530),
    [sym_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_text_interpolation] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(1532),
    [sym_name] = ACTIONS(1534),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1532),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1534),
    [aux_sym_global_declaration_token1] = ACTIONS(1534),
    [aux_sym_namespace_definition_token1] = ACTIONS(1534),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1534),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1534),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1534),
    [anon_sym_BSLASH] = ACTIONS(1532),
    [anon_sym_LBRACE] = ACTIONS(1532),
    [anon_sym_RBRACE] = ACTIONS(1532),
    [aux_sym_trait_declaration_token1] = ACTIONS(1534),
    [aux_sym_interface_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_declaration_token1] = ACTIONS(1534),
    [aux_sym_enum_case_token1] = ACTIONS(1534),
    [aux_sym_class_declaration_token1] = ACTIONS(1534),
    [aux_sym_final_modifier_token1] = ACTIONS(1534),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1534),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1534),
    [sym_var_modifier] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1534),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1534),
    [anon_sym_LPAREN2] = ACTIONS(1532),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1534),
    [aux_sym_cast_type_token1] = ACTIONS(1534),
    [aux_sym_echo_statement_token1] = ACTIONS(1534),
    [aux_sym_exit_statement_token1] = ACTIONS(1534),
    [anon_sym_unset] = ACTIONS(1534),
    [aux_sym_declare_statement_token1] = ACTIONS(1534),
    [aux_sym_declare_statement_token2] = ACTIONS(1534),
    [sym_float] = ACTIONS(1534),
    [aux_sym_try_statement_token1] = ACTIONS(1534),
    [aux_sym_goto_statement_token1] = ACTIONS(1534),
    [aux_sym_continue_statement_token1] = ACTIONS(1534),
    [aux_sym_break_statement_token1] = ACTIONS(1534),
    [sym_integer] = ACTIONS(1534),
    [aux_sym_return_statement_token1] = ACTIONS(1534),
    [aux_sym_throw_expression_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token1] = ACTIONS(1534),
    [aux_sym_while_statement_token2] = ACTIONS(1534),
    [aux_sym_do_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token1] = ACTIONS(1534),
    [aux_sym_for_statement_token2] = ACTIONS(1534),
    [aux_sym_foreach_statement_token1] = ACTIONS(1534),
    [aux_sym_foreach_statement_token2] = ACTIONS(1534),
    [aux_sym_if_statement_token1] = ACTIONS(1534),
    [aux_sym_if_statement_token2] = ACTIONS(1534),
    [aux_sym_else_if_clause_token1] = ACTIONS(1534),
    [aux_sym_else_clause_token1] = ACTIONS(1534),
    [aux_sym_match_expression_token1] = ACTIONS(1534),
    [aux_sym_match_default_expression_token1] = ACTIONS(1534),
    [aux_sym_switch_statement_token1] = ACTIONS(1534),
    [aux_sym_switch_block_token1] = ACTIONS(1534),
    [anon_sym_PLUS] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1532),
    [anon_sym_BANG] = ACTIONS(1532),
    [anon_sym_AT] = ACTIONS(1532),
    [aux_sym_clone_expression_token1] = ACTIONS(1534),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1534),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1534),
    [anon_sym_DASH_DASH] = ACTIONS(1532),
    [anon_sym_PLUS_PLUS] = ACTIONS(1532),
    [aux_sym__list_destructing_token1] = ACTIONS(1534),
    [anon_sym_LBRACK] = ACTIONS(1532),
    [anon_sym_self] = ACTIONS(1534),
    [anon_sym_parent] = ACTIONS(1534),
    [aux_sym__argument_name_token1] = ACTIONS(1534),
    [aux_sym__argument_name_token2] = ACTIONS(1534),
    [anon_sym_POUND_LBRACK] = ACTIONS(1532),
    [aux_sym_encapsed_string_token1] = ACTIONS(1532),
    [anon_sym_DQUOTE] = ACTIONS(1532),
    [aux_sym_string_token1] = ACTIONS(1532),
    [anon_sym_SQUOTE] = ACTIONS(1532),
    [anon_sym_LT_LT_LT] = ACTIONS(1532),
    [anon_sym_BQUOTE] = ACTIONS(1532),
    [anon_sym_DOLLAR] = ACTIONS(1532),
    [aux_sym_yield_expression_token1] = ACTIONS(1534),
    [aux_sym_include_expression_token1] = ACTIONS(1534),
    [aux_sym_include_once_expression_token1] = ACTIONS(1534),
    [aux_sym_require_expression_token1] = ACTIONS(1534),
    [aux_sym_require_once_expression_token1] = ACTIONS(1534),
    [sym_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_text_interpolation] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(1536),
    [sym_name] = ACTIONS(1538),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1536),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1538),
    [aux_sym_global_declaration_token1] = ACTIONS(1538),
    [aux_sym_namespace_definition_token1] = ACTIONS(1538),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1538),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1538),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1538),
    [anon_sym_BSLASH] = ACTIONS(1536),
    [anon_sym_LBRACE] = ACTIONS(1536),
    [anon_sym_RBRACE] = ACTIONS(1536),
    [aux_sym_trait_declaration_token1] = ACTIONS(1538),
    [aux_sym_interface_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_declaration_token1] = ACTIONS(1538),
    [aux_sym_enum_case_token1] = ACTIONS(1538),
    [aux_sym_class_declaration_token1] = ACTIONS(1538),
    [aux_sym_final_modifier_token1] = ACTIONS(1538),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1538),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1538),
    [sym_var_modifier] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1538),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1538),
    [anon_sym_LPAREN2] = ACTIONS(1536),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1538),
    [aux_sym_cast_type_token1] = ACTIONS(1538),
    [aux_sym_echo_statement_token1] = ACTIONS(1538),
    [aux_sym_exit_statement_token1] = ACTIONS(1538),
    [anon_sym_unset] = ACTIONS(1538),
    [aux_sym_declare_statement_token1] = ACTIONS(1538),
    [aux_sym_declare_statement_token2] = ACTIONS(1538),
    [sym_float] = ACTIONS(1538),
    [aux_sym_try_statement_token1] = ACTIONS(1538),
    [aux_sym_goto_statement_token1] = ACTIONS(1538),
    [aux_sym_continue_statement_token1] = ACTIONS(1538),
    [aux_sym_break_statement_token1] = ACTIONS(1538),
    [sym_integer] = ACTIONS(1538),
    [aux_sym_return_statement_token1] = ACTIONS(1538),
    [aux_sym_throw_expression_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token1] = ACTIONS(1538),
    [aux_sym_while_statement_token2] = ACTIONS(1538),
    [aux_sym_do_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token1] = ACTIONS(1538),
    [aux_sym_for_statement_token2] = ACTIONS(1538),
    [aux_sym_foreach_statement_token1] = ACTIONS(1538),
    [aux_sym_foreach_statement_token2] = ACTIONS(1538),
    [aux_sym_if_statement_token1] = ACTIONS(1538),
    [aux_sym_if_statement_token2] = ACTIONS(1538),
    [aux_sym_else_if_clause_token1] = ACTIONS(1538),
    [aux_sym_else_clause_token1] = ACTIONS(1538),
    [aux_sym_match_expression_token1] = ACTIONS(1538),
    [aux_sym_match_default_expression_token1] = ACTIONS(1538),
    [aux_sym_switch_statement_token1] = ACTIONS(1538),
    [aux_sym_switch_block_token1] = ACTIONS(1538),
    [anon_sym_PLUS] = ACTIONS(1538),
    [anon_sym_DASH] = ACTIONS(1538),
    [anon_sym_TILDE] = ACTIONS(1536),
    [anon_sym_BANG] = ACTIONS(1536),
    [anon_sym_AT] = ACTIONS(1536),
    [aux_sym_clone_expression_token1] = ACTIONS(1538),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1538),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1538),
    [anon_sym_DASH_DASH] = ACTIONS(1536),
    [anon_sym_PLUS_PLUS] = ACTIONS(1536),
    [aux_sym__list_destructing_token1] = ACTIONS(1538),
    [anon_sym_LBRACK] = ACTIONS(1536),
    [anon_sym_self] = ACTIONS(1538),
    [anon_sym_parent] = ACTIONS(1538),
    [aux_sym__argument_name_token1] = ACTIONS(1538),
    [aux_sym__argument_name_token2] = ACTIONS(1538),
    [anon_sym_POUND_LBRACK] = ACTIONS(1536),
    [aux_sym_encapsed_string_token1] = ACTIONS(1536),
    [anon_sym_DQUOTE] = ACTIONS(1536),
    [aux_sym_string_token1] = ACTIONS(1536),
    [anon_sym_SQUOTE] = ACTIONS(1536),
    [anon_sym_LT_LT_LT] = ACTIONS(1536),
    [anon_sym_BQUOTE] = ACTIONS(1536),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [aux_sym_yield_expression_token1] = ACTIONS(1538),
    [aux_sym_include_expression_token1] = ACTIONS(1538),
    [aux_sym_include_once_expression_token1] = ACTIONS(1538),
    [aux_sym_require_expression_token1] = ACTIONS(1538),
    [aux_sym_require_once_expression_token1] = ACTIONS(1538),
    [sym_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_text_interpolation] = STATE(580),
    [ts_builtin_sym_end] = ACTIONS(1540),
    [sym_name] = ACTIONS(1542),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1540),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1542),
    [aux_sym_global_declaration_token1] = ACTIONS(1542),
    [aux_sym_namespace_definition_token1] = ACTIONS(1542),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1542),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1542),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1542),
    [anon_sym_BSLASH] = ACTIONS(1540),
    [anon_sym_LBRACE] = ACTIONS(1540),
    [anon_sym_RBRACE] = ACTIONS(1540),
    [aux_sym_trait_declaration_token1] = ACTIONS(1542),
    [aux_sym_interface_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_declaration_token1] = ACTIONS(1542),
    [aux_sym_enum_case_token1] = ACTIONS(1542),
    [aux_sym_class_declaration_token1] = ACTIONS(1542),
    [aux_sym_final_modifier_token1] = ACTIONS(1542),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1542),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1542),
    [sym_var_modifier] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1542),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1542),
    [anon_sym_LPAREN2] = ACTIONS(1540),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1542),
    [aux_sym_cast_type_token1] = ACTIONS(1542),
    [aux_sym_echo_statement_token1] = ACTIONS(1542),
    [aux_sym_exit_statement_token1] = ACTIONS(1542),
    [anon_sym_unset] = ACTIONS(1542),
    [aux_sym_declare_statement_token1] = ACTIONS(1542),
    [aux_sym_declare_statement_token2] = ACTIONS(1542),
    [sym_float] = ACTIONS(1542),
    [aux_sym_try_statement_token1] = ACTIONS(1542),
    [aux_sym_goto_statement_token1] = ACTIONS(1542),
    [aux_sym_continue_statement_token1] = ACTIONS(1542),
    [aux_sym_break_statement_token1] = ACTIONS(1542),
    [sym_integer] = ACTIONS(1542),
    [aux_sym_return_statement_token1] = ACTIONS(1542),
    [aux_sym_throw_expression_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token1] = ACTIONS(1542),
    [aux_sym_while_statement_token2] = ACTIONS(1542),
    [aux_sym_do_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token1] = ACTIONS(1542),
    [aux_sym_for_statement_token2] = ACTIONS(1542),
    [aux_sym_foreach_statement_token1] = ACTIONS(1542),
    [aux_sym_foreach_statement_token2] = ACTIONS(1542),
    [aux_sym_if_statement_token1] = ACTIONS(1542),
    [aux_sym_if_statement_token2] = ACTIONS(1542),
    [aux_sym_else_if_clause_token1] = ACTIONS(1542),
    [aux_sym_else_clause_token1] = ACTIONS(1542),
    [aux_sym_match_expression_token1] = ACTIONS(1542),
    [aux_sym_match_default_expression_token1] = ACTIONS(1542),
    [aux_sym_switch_statement_token1] = ACTIONS(1542),
    [aux_sym_switch_block_token1] = ACTIONS(1542),
    [anon_sym_PLUS] = ACTIONS(1542),
    [anon_sym_DASH] = ACTIONS(1542),
    [anon_sym_TILDE] = ACTIONS(1540),
    [anon_sym_BANG] = ACTIONS(1540),
    [anon_sym_AT] = ACTIONS(1540),
    [aux_sym_clone_expression_token1] = ACTIONS(1542),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1542),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1542),
    [anon_sym_DASH_DASH] = ACTIONS(1540),
    [anon_sym_PLUS_PLUS] = ACTIONS(1540),
    [aux_sym__list_destructing_token1] = ACTIONS(1542),
    [anon_sym_LBRACK] = ACTIONS(1540),
    [anon_sym_self] = ACTIONS(1542),
    [anon_sym_parent] = ACTIONS(1542),
    [aux_sym__argument_name_token1] = ACTIONS(1542),
    [aux_sym__argument_name_token2] = ACTIONS(1542),
    [anon_sym_POUND_LBRACK] = ACTIONS(1540),
    [aux_sym_encapsed_string_token1] = ACTIONS(1540),
    [anon_sym_DQUOTE] = ACTIONS(1540),
    [aux_sym_string_token1] = ACTIONS(1540),
    [anon_sym_SQUOTE] = ACTIONS(1540),
    [anon_sym_LT_LT_LT] = ACTIONS(1540),
    [anon_sym_BQUOTE] = ACTIONS(1540),
    [anon_sym_DOLLAR] = ACTIONS(1540),
    [aux_sym_yield_expression_token1] = ACTIONS(1542),
    [aux_sym_include_expression_token1] = ACTIONS(1542),
    [aux_sym_include_once_expression_token1] = ACTIONS(1542),
    [aux_sym_require_expression_token1] = ACTIONS(1542),
    [aux_sym_require_once_expression_token1] = ACTIONS(1542),
    [sym_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_text_interpolation] = STATE(581),
    [ts_builtin_sym_end] = ACTIONS(1544),
    [sym_name] = ACTIONS(1546),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1544),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1546),
    [aux_sym_global_declaration_token1] = ACTIONS(1546),
    [aux_sym_namespace_definition_token1] = ACTIONS(1546),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1546),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1546),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1546),
    [anon_sym_BSLASH] = ACTIONS(1544),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_RBRACE] = ACTIONS(1544),
    [aux_sym_trait_declaration_token1] = ACTIONS(1546),
    [aux_sym_interface_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_declaration_token1] = ACTIONS(1546),
    [aux_sym_enum_case_token1] = ACTIONS(1546),
    [aux_sym_class_declaration_token1] = ACTIONS(1546),
    [aux_sym_final_modifier_token1] = ACTIONS(1546),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1546),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1546),
    [sym_var_modifier] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1546),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1546),
    [anon_sym_LPAREN2] = ACTIONS(1544),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1546),
    [aux_sym_cast_type_token1] = ACTIONS(1546),
    [aux_sym_echo_statement_token1] = ACTIONS(1546),
    [aux_sym_exit_statement_token1] = ACTIONS(1546),
    [anon_sym_unset] = ACTIONS(1546),
    [aux_sym_declare_statement_token1] = ACTIONS(1546),
    [aux_sym_declare_statement_token2] = ACTIONS(1546),
    [sym_float] = ACTIONS(1546),
    [aux_sym_try_statement_token1] = ACTIONS(1546),
    [aux_sym_goto_statement_token1] = ACTIONS(1546),
    [aux_sym_continue_statement_token1] = ACTIONS(1546),
    [aux_sym_break_statement_token1] = ACTIONS(1546),
    [sym_integer] = ACTIONS(1546),
    [aux_sym_return_statement_token1] = ACTIONS(1546),
    [aux_sym_throw_expression_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token1] = ACTIONS(1546),
    [aux_sym_while_statement_token2] = ACTIONS(1546),
    [aux_sym_do_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token1] = ACTIONS(1546),
    [aux_sym_for_statement_token2] = ACTIONS(1546),
    [aux_sym_foreach_statement_token1] = ACTIONS(1546),
    [aux_sym_foreach_statement_token2] = ACTIONS(1546),
    [aux_sym_if_statement_token1] = ACTIONS(1546),
    [aux_sym_if_statement_token2] = ACTIONS(1546),
    [aux_sym_else_if_clause_token1] = ACTIONS(1546),
    [aux_sym_else_clause_token1] = ACTIONS(1546),
    [aux_sym_match_expression_token1] = ACTIONS(1546),
    [aux_sym_match_default_expression_token1] = ACTIONS(1546),
    [aux_sym_switch_statement_token1] = ACTIONS(1546),
    [aux_sym_switch_block_token1] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_TILDE] = ACTIONS(1544),
    [anon_sym_BANG] = ACTIONS(1544),
    [anon_sym_AT] = ACTIONS(1544),
    [aux_sym_clone_expression_token1] = ACTIONS(1546),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1546),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1546),
    [anon_sym_DASH_DASH] = ACTIONS(1544),
    [anon_sym_PLUS_PLUS] = ACTIONS(1544),
    [aux_sym__list_destructing_token1] = ACTIONS(1546),
    [anon_sym_LBRACK] = ACTIONS(1544),
    [anon_sym_self] = ACTIONS(1546),
    [anon_sym_parent] = ACTIONS(1546),
    [aux_sym__argument_name_token1] = ACTIONS(1546),
    [aux_sym__argument_name_token2] = ACTIONS(1546),
    [anon_sym_POUND_LBRACK] = ACTIONS(1544),
    [aux_sym_encapsed_string_token1] = ACTIONS(1544),
    [anon_sym_DQUOTE] = ACTIONS(1544),
    [aux_sym_string_token1] = ACTIONS(1544),
    [anon_sym_SQUOTE] = ACTIONS(1544),
    [anon_sym_LT_LT_LT] = ACTIONS(1544),
    [anon_sym_BQUOTE] = ACTIONS(1544),
    [anon_sym_DOLLAR] = ACTIONS(1544),
    [aux_sym_yield_expression_token1] = ACTIONS(1546),
    [aux_sym_include_expression_token1] = ACTIONS(1546),
    [aux_sym_include_once_expression_token1] = ACTIONS(1546),
    [aux_sym_require_expression_token1] = ACTIONS(1546),
    [aux_sym_require_once_expression_token1] = ACTIONS(1546),
    [sym_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_text_interpolation] = STATE(582),
    [ts_builtin_sym_end] = ACTIONS(1548),
    [sym_name] = ACTIONS(1550),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1548),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1550),
    [aux_sym_global_declaration_token1] = ACTIONS(1550),
    [aux_sym_namespace_definition_token1] = ACTIONS(1550),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1550),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1550),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1550),
    [anon_sym_BSLASH] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [aux_sym_trait_declaration_token1] = ACTIONS(1550),
    [aux_sym_interface_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_declaration_token1] = ACTIONS(1550),
    [aux_sym_enum_case_token1] = ACTIONS(1550),
    [aux_sym_class_declaration_token1] = ACTIONS(1550),
    [aux_sym_final_modifier_token1] = ACTIONS(1550),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1550),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1550),
    [sym_var_modifier] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1550),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1550),
    [anon_sym_LPAREN2] = ACTIONS(1548),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1550),
    [aux_sym_cast_type_token1] = ACTIONS(1550),
    [aux_sym_echo_statement_token1] = ACTIONS(1550),
    [aux_sym_exit_statement_token1] = ACTIONS(1550),
    [anon_sym_unset] = ACTIONS(1550),
    [aux_sym_declare_statement_token1] = ACTIONS(1550),
    [aux_sym_declare_statement_token2] = ACTIONS(1550),
    [sym_float] = ACTIONS(1550),
    [aux_sym_try_statement_token1] = ACTIONS(1550),
    [aux_sym_goto_statement_token1] = ACTIONS(1550),
    [aux_sym_continue_statement_token1] = ACTIONS(1550),
    [aux_sym_break_statement_token1] = ACTIONS(1550),
    [sym_integer] = ACTIONS(1550),
    [aux_sym_return_statement_token1] = ACTIONS(1550),
    [aux_sym_throw_expression_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token1] = ACTIONS(1550),
    [aux_sym_while_statement_token2] = ACTIONS(1550),
    [aux_sym_do_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token1] = ACTIONS(1550),
    [aux_sym_for_statement_token2] = ACTIONS(1550),
    [aux_sym_foreach_statement_token1] = ACTIONS(1550),
    [aux_sym_foreach_statement_token2] = ACTIONS(1550),
    [aux_sym_if_statement_token1] = ACTIONS(1550),
    [aux_sym_if_statement_token2] = ACTIONS(1550),
    [aux_sym_else_if_clause_token1] = ACTIONS(1550),
    [aux_sym_else_clause_token1] = ACTIONS(1550),
    [aux_sym_match_expression_token1] = ACTIONS(1550),
    [aux_sym_match_default_expression_token1] = ACTIONS(1550),
    [aux_sym_switch_statement_token1] = ACTIONS(1550),
    [aux_sym_switch_block_token1] = ACTIONS(1550),
    [anon_sym_PLUS] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_TILDE] = ACTIONS(1548),
    [anon_sym_BANG] = ACTIONS(1548),
    [anon_sym_AT] = ACTIONS(1548),
    [aux_sym_clone_expression_token1] = ACTIONS(1550),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1550),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1550),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [aux_sym__list_destructing_token1] = ACTIONS(1550),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_self] = ACTIONS(1550),
    [anon_sym_parent] = ACTIONS(1550),
    [aux_sym__argument_name_token1] = ACTIONS(1550),
    [aux_sym__argument_name_token2] = ACTIONS(1550),
    [anon_sym_POUND_LBRACK] = ACTIONS(1548),
    [aux_sym_encapsed_string_token1] = ACTIONS(1548),
    [anon_sym_DQUOTE] = ACTIONS(1548),
    [aux_sym_string_token1] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1548),
    [anon_sym_LT_LT_LT] = ACTIONS(1548),
    [anon_sym_BQUOTE] = ACTIONS(1548),
    [anon_sym_DOLLAR] = ACTIONS(1548),
    [aux_sym_yield_expression_token1] = ACTIONS(1550),
    [aux_sym_include_expression_token1] = ACTIONS(1550),
    [aux_sym_include_once_expression_token1] = ACTIONS(1550),
    [aux_sym_require_expression_token1] = ACTIONS(1550),
    [aux_sym_require_once_expression_token1] = ACTIONS(1550),
    [sym_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_text_interpolation] = STATE(583),
    [ts_builtin_sym_end] = ACTIONS(1552),
    [sym_name] = ACTIONS(1554),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1552),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1554),
    [aux_sym_global_declaration_token1] = ACTIONS(1554),
    [aux_sym_namespace_definition_token1] = ACTIONS(1554),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1554),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1554),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1554),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_RBRACE] = ACTIONS(1552),
    [aux_sym_trait_declaration_token1] = ACTIONS(1554),
    [aux_sym_interface_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_declaration_token1] = ACTIONS(1554),
    [aux_sym_enum_case_token1] = ACTIONS(1554),
    [aux_sym_class_declaration_token1] = ACTIONS(1554),
    [aux_sym_final_modifier_token1] = ACTIONS(1554),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1554),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1554),
    [sym_var_modifier] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1554),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1554),
    [anon_sym_LPAREN2] = ACTIONS(1552),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1554),
    [aux_sym_cast_type_token1] = ACTIONS(1554),
    [aux_sym_echo_statement_token1] = ACTIONS(1554),
    [aux_sym_exit_statement_token1] = ACTIONS(1554),
    [anon_sym_unset] = ACTIONS(1554),
    [aux_sym_declare_statement_token1] = ACTIONS(1554),
    [aux_sym_declare_statement_token2] = ACTIONS(1554),
    [sym_float] = ACTIONS(1554),
    [aux_sym_try_statement_token1] = ACTIONS(1554),
    [aux_sym_goto_statement_token1] = ACTIONS(1554),
    [aux_sym_continue_statement_token1] = ACTIONS(1554),
    [aux_sym_break_statement_token1] = ACTIONS(1554),
    [sym_integer] = ACTIONS(1554),
    [aux_sym_return_statement_token1] = ACTIONS(1554),
    [aux_sym_throw_expression_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token1] = ACTIONS(1554),
    [aux_sym_while_statement_token2] = ACTIONS(1554),
    [aux_sym_do_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token1] = ACTIONS(1554),
    [aux_sym_for_statement_token2] = ACTIONS(1554),
    [aux_sym_foreach_statement_token1] = ACTIONS(1554),
    [aux_sym_foreach_statement_token2] = ACTIONS(1554),
    [aux_sym_if_statement_token1] = ACTIONS(1554),
    [aux_sym_if_statement_token2] = ACTIONS(1554),
    [aux_sym_else_if_clause_token1] = ACTIONS(1554),
    [aux_sym_else_clause_token1] = ACTIONS(1554),
    [aux_sym_match_expression_token1] = ACTIONS(1554),
    [aux_sym_match_default_expression_token1] = ACTIONS(1554),
    [aux_sym_switch_statement_token1] = ACTIONS(1554),
    [aux_sym_switch_block_token1] = ACTIONS(1554),
    [anon_sym_PLUS] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_TILDE] = ACTIONS(1552),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_AT] = ACTIONS(1552),
    [aux_sym_clone_expression_token1] = ACTIONS(1554),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1554),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1554),
    [anon_sym_DASH_DASH] = ACTIONS(1552),
    [anon_sym_PLUS_PLUS] = ACTIONS(1552),
    [aux_sym__list_destructing_token1] = ACTIONS(1554),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_self] = ACTIONS(1554),
    [anon_sym_parent] = ACTIONS(1554),
    [aux_sym__argument_name_token1] = ACTIONS(1554),
    [aux_sym__argument_name_token2] = ACTIONS(1554),
    [anon_sym_POUND_LBRACK] = ACTIONS(1552),
    [aux_sym_encapsed_string_token1] = ACTIONS(1552),
    [anon_sym_DQUOTE] = ACTIONS(1552),
    [aux_sym_string_token1] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1552),
    [anon_sym_LT_LT_LT] = ACTIONS(1552),
    [anon_sym_BQUOTE] = ACTIONS(1552),
    [anon_sym_DOLLAR] = ACTIONS(1552),
    [aux_sym_yield_expression_token1] = ACTIONS(1554),
    [aux_sym_include_expression_token1] = ACTIONS(1554),
    [aux_sym_include_once_expression_token1] = ACTIONS(1554),
    [aux_sym_require_expression_token1] = ACTIONS(1554),
    [aux_sym_require_once_expression_token1] = ACTIONS(1554),
    [sym_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_text_interpolation] = STATE(584),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1652),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2607),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_variable] = STATE(759),
    [sym__variable_member_access_expression] = STATE(754),
    [sym_member_access_expression] = STATE(759),
    [sym__variable_nullsafe_member_access_expression] = STATE(755),
    [sym_nullsafe_member_access_expression] = STATE(759),
    [sym__variable_scoped_property_access_expression] = STATE(756),
    [sym_scoped_property_access_expression] = STATE(759),
    [sym_function_call_expression] = STATE(726),
    [sym__callable_expression] = STATE(2343),
    [sym_scoped_call_expression] = STATE(726),
    [sym__scope_resolution_qualifier] = STATE(2700),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(726),
    [sym_nullsafe_member_call_expression] = STATE(726),
    [sym__variable_subscript_expression] = STATE(757),
    [sym__dereferencable_subscript_expression] = STATE(726),
    [sym__dereferencable_expression] = STATE(1857),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(728),
    [sym__simple_variable] = STATE(725),
    [sym__new_variable] = STATE(750),
    [sym__callable_variable] = STATE(746),
    [sym_variable_name] = STATE(728),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(613),
    [aux_sym_print_intrinsic_token1] = ACTIONS(625),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_text_interpolation] = STATE(585),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1652),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2641),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_variable] = STATE(759),
    [sym__variable_member_access_expression] = STATE(754),
    [sym_member_access_expression] = STATE(759),
    [sym__variable_nullsafe_member_access_expression] = STATE(755),
    [sym_nullsafe_member_access_expression] = STATE(759),
    [sym__variable_scoped_property_access_expression] = STATE(756),
    [sym_scoped_property_access_expression] = STATE(759),
    [sym_function_call_expression] = STATE(726),
    [sym__callable_expression] = STATE(2343),
    [sym_scoped_call_expression] = STATE(726),
    [sym__scope_resolution_qualifier] = STATE(2700),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(726),
    [sym_nullsafe_member_call_expression] = STATE(726),
    [sym__variable_subscript_expression] = STATE(757),
    [sym__dereferencable_subscript_expression] = STATE(726),
    [sym__dereferencable_expression] = STATE(1857),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(728),
    [sym__simple_variable] = STATE(725),
    [sym__new_variable] = STATE(750),
    [sym__callable_variable] = STATE(746),
    [sym_variable_name] = STATE(728),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(701),
    [aux_sym_print_intrinsic_token1] = ACTIONS(711),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_text_interpolation] = STATE(586),
    [sym_qualified_name] = STATE(778),
    [sym__name] = STATE(1652),
    [sym_namespace_name] = STATE(2614),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1028),
    [sym__anonymous_function_header] = STATE(2429),
    [sym__arrow_function_header] = STATE(2549),
    [sym_arrow_function] = STATE(1028),
    [sym_literal] = STATE(1028),
    [sym_throw_expression] = STATE(1028),
    [sym_primary_expression] = STATE(1017),
    [sym_parenthesized_expression] = STATE(774),
    [sym_class_constant_access_expression] = STATE(852),
    [sym_print_intrinsic] = STATE(1028),
    [sym_object_creation_expression] = STATE(1028),
    [sym__new_non_dereferencable_expression] = STATE(1034),
    [sym__new_dereferencable_expression] = STATE(775),
    [sym_update_expression] = STATE(1028),
    [sym_cast_variable] = STATE(759),
    [sym__variable_member_access_expression] = STATE(754),
    [sym_member_access_expression] = STATE(759),
    [sym__variable_nullsafe_member_access_expression] = STATE(755),
    [sym_nullsafe_member_access_expression] = STATE(759),
    [sym__variable_scoped_property_access_expression] = STATE(756),
    [sym_scoped_property_access_expression] = STATE(759),
    [sym_function_call_expression] = STATE(726),
    [sym__callable_expression] = STATE(2343),
    [sym_scoped_call_expression] = STATE(726),
    [sym__scope_resolution_qualifier] = STATE(2700),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(726),
    [sym_nullsafe_member_call_expression] = STATE(726),
    [sym__variable_subscript_expression] = STATE(757),
    [sym__dereferencable_subscript_expression] = STATE(726),
    [sym__dereferencable_expression] = STATE(1857),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(810),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(806),
    [sym_string] = STATE(806),
    [sym_heredoc] = STATE(806),
    [sym_nowdoc] = STATE(806),
    [sym_shell_command_expression] = STATE(1028),
    [sym_boolean] = STATE(1011),
    [sym_null] = STATE(1011),
    [sym__string] = STATE(781),
    [sym_dynamic_variable_name] = STATE(728),
    [sym__simple_variable] = STATE(725),
    [sym__new_variable] = STATE(750),
    [sym__callable_variable] = STATE(746),
    [sym_variable_name] = STATE(728),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(603),
    [anon_sym_LPAREN2] = ACTIONS(1556),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(609),
    [sym_float] = ACTIONS(611),
    [sym_integer] = ACTIONS(611),
    [aux_sym_throw_expression_token1] = ACTIONS(671),
    [aux_sym_print_intrinsic_token1] = ACTIONS(681),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(627),
    [anon_sym_DASH_DASH] = ACTIONS(629),
    [anon_sym_PLUS_PLUS] = ACTIONS(629),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(633),
    [aux_sym__argument_name_token2] = ACTIONS(635),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(637),
    [anon_sym_DQUOTE] = ACTIONS(637),
    [aux_sym_string_token1] = ACTIONS(639),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_LT_LT_LT] = ACTIONS(641),
    [anon_sym_BQUOTE] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(1558),
    [sym_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_text_interpolation] = STATE(587),
    [sym_qualified_name] = STATE(964),
    [sym__name] = STATE(1676),
    [sym_namespace_name] = STATE(2699),
    [sym_static_modifier] = STATE(2366),
    [sym_anonymous_function] = STATE(1150),
    [sym__anonymous_function_header] = STATE(2327),
    [sym__arrow_function_header] = STATE(2696),
    [sym_arrow_function] = STATE(1150),
    [sym_literal] = STATE(1150),
    [sym_throw_expression] = STATE(1150),
    [sym_primary_expression] = STATE(1108),
    [sym_parenthesized_expression] = STATE(942),
    [sym_class_constant_access_expression] = STATE(1035),
    [sym_print_intrinsic] = STATE(1150),
    [sym_object_creation_expression] = STATE(1150),
    [sym__new_non_dereferencable_expression] = STATE(1142),
    [sym__new_dereferencable_expression] = STATE(982),
    [sym_update_expression] = STATE(1150),
    [sym_cast_variable] = STATE(908),
    [sym__variable_member_access_expression] = STATE(914),
    [sym_member_access_expression] = STATE(908),
    [sym__variable_nullsafe_member_access_expression] = STATE(909),
    [sym_nullsafe_member_access_expression] = STATE(908),
    [sym__variable_scoped_property_access_expression] = STATE(917),
    [sym_scoped_property_access_expression] = STATE(908),
    [sym_function_call_expression] = STATE(878),
    [sym__callable_expression] = STATE(2306),
    [sym_scoped_call_expression] = STATE(878),
    [sym__scope_resolution_qualifier] = STATE(2505),
    [sym_relative_scope] = STATE(2691),
    [sym_member_call_expression] = STATE(878),
    [sym_nullsafe_member_call_expression] = STATE(878),
    [sym__variable_subscript_expression] = STATE(906),
    [sym__dereferencable_subscript_expression] = STATE(878),
    [sym__dereferencable_expression] = STATE(1877),
    [sym__dereferencable_scalar] = STATE(1714),
    [sym_array_creation_expression] = STATE(980),
    [sym_attribute_group] = STATE(1378),
    [sym_attribute_list] = STATE(1861),
    [sym_encapsed_string] = STATE(927),
    [sym_string] = STATE(927),
    [sym_heredoc] = STATE(927),
    [sym_nowdoc] = STATE(927),
    [sym_shell_command_expression] = STATE(1150),
    [sym_boolean] = STATE(1169),
    [sym_null] = STATE(1169),
    [sym__string] = STATE(928),
    [sym_dynamic_variable_name] = STATE(882),
    [sym__simple_variable] = STATE(865),
    [sym__new_variable] = STATE(895),
    [sym__callable_variable] = STATE(889),
    [sym_variable_name] = STATE(882),
    [sym__reserved_identifier] = STATE(721),
    [sym__identifier] = STATE(1503),
    [aux_sym_attribute_list_repeat1] = STATE(1365),
    [sym_name] = ACTIONS(659),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(597),
    [aux_sym__namespace_use_type_token1] = ACTIONS(601),
    [anon_sym_BSLASH] = ACTIONS(226),
    [anon_sym_LPAREN2] = ACTIONS(1560),
    [aux_sym__arrow_function_header_token1] = ACTIONS(254),
    [aux_sym_cast_type_token1] = ACTIONS(256),
    [sym_float] = ACTIONS(266),
    [sym_integer] = ACTIONS(266),
    [aux_sym_throw_expression_token1] = ACTIONS(278),
    [aux_sym_print_intrinsic_token1] = ACTIONS(302),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(304),
    [anon_sym_DASH_DASH] = ACTIONS(306),
    [anon_sym_PLUS_PLUS] = ACTIONS(306),
    [anon_sym_LBRACK] = ACTIONS(985),
    [anon_sym_self] = ACTIONS(312),
    [anon_sym_parent] = ACTIONS(312),
    [aux_sym__argument_name_token1] = ACTIONS(314),
    [aux_sym__argument_name_token2] = ACTIONS(316),
    [anon_sym_POUND_LBRACK] = ACTIONS(318),
    [aux_sym_encapsed_string_token1] = ACTIONS(320),
    [anon_sym_DQUOTE] = ACTIONS(320),
    [aux_sym_string_token1] = ACTIONS(322),
    [anon_sym_SQUOTE] = ACTIONS(322),
    [anon_sym_LT_LT_LT] = ACTIONS(324),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(1562),
    [sym_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_text_interpolation] = STATE(588),
    [sym_name] = ACTIONS(1564),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1566),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1564),
    [aux_sym_global_declaration_token1] = ACTIONS(1564),
    [aux_sym_namespace_definition_token1] = ACTIONS(1564),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token1] = ACTIONS(1564),
    [aux_sym__namespace_use_type_token2] = ACTIONS(1564),
    [anon_sym_BSLASH] = ACTIONS(1566),
    [anon_sym_LBRACE] = ACTIONS(1566),
    [aux_sym_trait_declaration_token1] = ACTIONS(1564),
    [aux_sym_interface_declaration_token1] = ACTIONS(1564),
    [aux_sym_enum_declaration_token1] = ACTIONS(1564),
    [anon_sym_COLON] = ACTIONS(1566),
    [aux_sym_class_declaration_token1] = ACTIONS(1564),
    [aux_sym_final_modifier_token1] = ACTIONS(1564),
    [aux_sym_abstract_modifier_token1] = ACTIONS(1564),
    [aux_sym_readonly_modifier_token1] = ACTIONS(1564),
    [sym_var_modifier] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1564),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1564),
    [anon_sym_LPAREN2] = ACTIONS(1566),
    [aux_sym__arrow_function_header_token1] = ACTIONS(1564),
    [aux_sym_cast_type_token1] = ACTIONS(1564),
    [aux_sym_echo_statement_token1] = ACTIONS(1564),
    [aux_sym_exit_statement_token1] = ACTIONS(1564),
    [anon_sym_unset] = ACTIONS(1564),
    [aux_sym_declare_statement_token1] = ACTIONS(1564),
    [sym_float] = ACTIONS(1564),
    [aux_sym_try_statement_token1] = ACTIONS(1564),
    [aux_sym_goto_statement_token1] = ACTIONS(1564),
    [aux_sym_continue_statement_token1] = ACTIONS(1564),
    [aux_sym_break_statement_token1] = ACTIONS(1564),
    [sym_integer] = ACTIONS(1564),
    [aux_sym_return_statement_token1] = ACTIONS(1564),
    [aux_sym_throw_expression_token1] = ACTIONS(1564),
    [aux_sym_while_statement_token1] = ACTIONS(1564),
    [aux_sym_do_statement_token1] = ACTIONS(1564),
    [aux_sym_for_statement_token1] = ACTIONS(1564),
    [aux_sym_foreach_statement_token1] = ACTIONS(1564),
    [aux_sym_if_statement_token1] = ACTIONS(1564),
    [aux_sym_match_expression_token1] = ACTIONS(1564),
    [aux_sym_switch_statement_token1] = ACTIONS(1564),
    [anon_sym_PLUS] = ACTIONS(1564),
    [anon_sym_DASH] = ACTIONS(1564),
    [anon_sym_TILDE] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1566),
    [anon_sym_AT] = ACTIONS(1566),
    [aux_sym_clone_expression_token1] = ACTIONS(1564),
    [aux_sym_print_intrinsic_token1] = ACTIONS(1564),
    [aux_sym__new_non_dereferencable_expression_token1] = ACTIONS(1564),
    [anon_sym_DASH_DASH] = ACTIONS(1566),
    [anon_sym_PLUS_PLUS] = ACTIONS(1566),
    [aux_sym__list_destructing_token1] = ACTIONS(1564),
    [anon_sym_LBRACK] = ACTIONS(1566),
    [anon_sym_self] = ACTIONS(1564),
    [anon_sym_parent] = ACTIONS(1564),
    [aux_sym__argument_name_token1] = ACTIONS(1564),
    [aux_sym__argument_name_token2] = ACTIONS(1564),
    [anon_sym_POUND_LBRACK] = ACTIONS(1566),
    [aux_sym_encapsed_string_token1] = ACTIONS(1566),
    [anon_sym_DQUOTE] = ACTIONS(1566),
    [aux_sym_string_token1] = ACTIONS(1566),
    [anon_sym_SQUOTE] = ACTIONS(1566),
    [anon_sym_LT_LT_LT] = ACTIONS(1566),
    [anon_sym_BQUOTE] = ACTIONS(1566),
    [anon_sym_DOLLAR] = ACTIONS(1566),
    [aux_sym_yield_expression_token1] = ACTIONS(1564),
    [aux_sym_include_expression_token1] = ACTIONS(1564),
    [aux_sym_include_once_expression_token1] = ACTIONS(1564),
    [aux_sym_require_expression_token1] = ACTIONS(1564),
    [aux_sym_require_once_expression_token1] = ACTIONS(1564),
    [sym_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_text_interpolation] = STATE(589),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1568),
    [anon_sym_AMP] = ACTIONS(1570),
    [anon_sym_COMMA] = ACTIONS(1568),
    [anon_sym_EQ] = ACTIONS(1570),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1568),
    [anon_sym_LBRACE] = ACTIONS(1568),
    [anon_sym_RBRACE] = ACTIONS(1568),
    [aux_sym_base_clause_token1] = ACTIONS(1568),
    [anon_sym_COLON] = ACTIONS(1570),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1568),
    [anon_sym_EQ_GT] = ACTIONS(1568),
    [anon_sym_LPAREN2] = ACTIONS(1568),
    [anon_sym_RPAREN2] = ACTIONS(1568),
    [anon_sym_QMARK] = ACTIONS(1570),
    [anon_sym_PIPE] = ACTIONS(1570),
    [anon_sym_PLUS] = ACTIONS(1570),
    [anon_sym_DASH] = ACTIONS(1570),
    [anon_sym_COLON_COLON] = ACTIONS(1568),
    [anon_sym_DASH_DASH] = ACTIONS(1568),
    [anon_sym_PLUS_PLUS] = ACTIONS(1568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1568),
    [anon_sym_STAR_EQ] = ACTIONS(1568),
    [anon_sym_SLASH_EQ] = ACTIONS(1568),
    [anon_sym_PERCENT_EQ] = ACTIONS(1568),
    [anon_sym_PLUS_EQ] = ACTIONS(1568),
    [anon_sym_DASH_EQ] = ACTIONS(1568),
    [anon_sym_DOT_EQ] = ACTIONS(1568),
    [anon_sym_LT_LT_EQ] = ACTIONS(1568),
    [anon_sym_GT_GT_EQ] = ACTIONS(1568),
    [anon_sym_AMP_EQ] = ACTIONS(1568),
    [anon_sym_CARET_EQ] = ACTIONS(1568),
    [anon_sym_PIPE_EQ] = ACTIONS(1568),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1568),
    [anon_sym_DASH_GT] = ACTIONS(1568),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1568),
    [anon_sym_LBRACK] = ACTIONS(1568),
    [anon_sym_RBRACK] = ACTIONS(1568),
    [aux_sym_binary_expression_token1] = ACTIONS(1568),
    [anon_sym_QMARK_QMARK] = ACTIONS(1570),
    [anon_sym_STAR_STAR] = ACTIONS(1570),
    [aux_sym_binary_expression_token2] = ACTIONS(1568),
    [aux_sym_binary_expression_token3] = ACTIONS(1568),
    [aux_sym_binary_expression_token4] = ACTIONS(1568),
    [anon_sym_PIPE_PIPE] = ACTIONS(1568),
    [anon_sym_AMP_AMP] = ACTIONS(1568),
    [anon_sym_CARET] = ACTIONS(1570),
    [anon_sym_EQ_EQ] = ACTIONS(1570),
    [anon_sym_BANG_EQ] = ACTIONS(1570),
    [anon_sym_LT_GT] = ACTIONS(1568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1568),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(1570),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_LT_EQ] = ACTIONS(1570),
    [anon_sym_GT_EQ] = ACTIONS(1568),
    [anon_sym_LT_EQ_GT] = ACTIONS(1568),
    [anon_sym_LT_LT] = ACTIONS(1570),
    [anon_sym_GT_GT] = ACTIONS(1570),
    [anon_sym_DOT] = ACTIONS(1570),
    [anon_sym_STAR] = ACTIONS(1570),
    [anon_sym_SLASH] = ACTIONS(1570),
    [anon_sym_PERCENT] = ACTIONS(1570),
    [sym_comment] = ACTIONS(1572),
  },
  [590] = {
    [sym_text_interpolation] = STATE(590),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1574),
    [anon_sym_AMP] = ACTIONS(1576),
    [anon_sym_COMMA] = ACTIONS(1574),
    [anon_sym_EQ] = ACTIONS(1576),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1574),
    [anon_sym_LBRACE] = ACTIONS(1574),
    [anon_sym_RBRACE] = ACTIONS(1574),
    [aux_sym_base_clause_token1] = ACTIONS(1574),
    [anon_sym_COLON] = ACTIONS(1576),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1574),
    [anon_sym_EQ_GT] = ACTIONS(1574),
    [anon_sym_LPAREN2] = ACTIONS(1574),
    [anon_sym_RPAREN2] = ACTIONS(1574),
    [anon_sym_QMARK] = ACTIONS(1576),
    [anon_sym_PIPE] = ACTIONS(1576),
    [anon_sym_PLUS] = ACTIONS(1576),
    [anon_sym_DASH] = ACTIONS(1576),
    [anon_sym_COLON_COLON] = ACTIONS(1574),
    [anon_sym_DASH_DASH] = ACTIONS(1574),
    [anon_sym_PLUS_PLUS] = ACTIONS(1574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1574),
    [anon_sym_STAR_EQ] = ACTIONS(1574),
    [anon_sym_SLASH_EQ] = ACTIONS(1574),
    [anon_sym_PERCENT_EQ] = ACTIONS(1574),
    [anon_sym_PLUS_EQ] = ACTIONS(1574),
    [anon_sym_DASH_EQ] = ACTIONS(1574),
    [anon_sym_DOT_EQ] = ACTIONS(1574),
    [anon_sym_LT_LT_EQ] = ACTIONS(1574),
    [anon_sym_GT_GT_EQ] = ACTIONS(1574),
    [anon_sym_AMP_EQ] = ACTIONS(1574),
    [anon_sym_CARET_EQ] = ACTIONS(1574),
    [anon_sym_PIPE_EQ] = ACTIONS(1574),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1574),
    [anon_sym_DASH_GT] = ACTIONS(1574),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1574),
    [anon_sym_LBRACK] = ACTIONS(1574),
    [anon_sym_RBRACK] = ACTIONS(1574),
    [aux_sym_binary_expression_token1] = ACTIONS(1574),
    [anon_sym_QMARK_QMARK] = ACTIONS(1576),
    [anon_sym_STAR_STAR] = ACTIONS(1576),
    [aux_sym_binary_expression_token2] = ACTIONS(1574),
    [aux_sym_binary_expression_token3] = ACTIONS(1574),
    [aux_sym_binary_expression_token4] = ACTIONS(1574),
    [anon_sym_PIPE_PIPE] = ACTIONS(1574),
    [anon_sym_AMP_AMP] = ACTIONS(1574),
    [anon_sym_CARET] = ACTIONS(1576),
    [anon_sym_EQ_EQ] = ACTIONS(1576),
    [anon_sym_BANG_EQ] = ACTIONS(1576),
    [anon_sym_LT_GT] = ACTIONS(1574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1574),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1574),
    [anon_sym_LT] = ACTIONS(1576),
    [anon_sym_GT] = ACTIONS(1576),
    [anon_sym_LT_EQ] = ACTIONS(1576),
    [anon_sym_GT_EQ] = ACTIONS(1574),
    [anon_sym_LT_EQ_GT] = ACTIONS(1574),
    [anon_sym_LT_LT] = ACTIONS(1576),
    [anon_sym_GT_GT] = ACTIONS(1576),
    [anon_sym_DOT] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1576),
    [anon_sym_SLASH] = ACTIONS(1576),
    [anon_sym_PERCENT] = ACTIONS(1576),
    [sym_comment] = ACTIONS(1572),
  },
  [591] = {
    [sym_text_interpolation] = STATE(591),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1578),
    [anon_sym_AMP] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(1580),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1578),
    [anon_sym_LBRACE] = ACTIONS(1578),
    [anon_sym_RBRACE] = ACTIONS(1578),
    [aux_sym_base_clause_token1] = ACTIONS(1578),
    [anon_sym_COLON] = ACTIONS(1580),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1578),
    [anon_sym_EQ_GT] = ACTIONS(1578),
    [anon_sym_LPAREN2] = ACTIONS(1578),
    [anon_sym_RPAREN2] = ACTIONS(1578),
    [anon_sym_QMARK] = ACTIONS(1580),
    [anon_sym_PIPE] = ACTIONS(1580),
    [anon_sym_PLUS] = ACTIONS(1580),
    [anon_sym_DASH] = ACTIONS(1580),
    [anon_sym_COLON_COLON] = ACTIONS(1578),
    [anon_sym_DASH_DASH] = ACTIONS(1578),
    [anon_sym_PLUS_PLUS] = ACTIONS(1578),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1578),
    [anon_sym_STAR_EQ] = ACTIONS(1578),
    [anon_sym_SLASH_EQ] = ACTIONS(1578),
    [anon_sym_PERCENT_EQ] = ACTIONS(1578),
    [anon_sym_PLUS_EQ] = ACTIONS(1578),
    [anon_sym_DASH_EQ] = ACTIONS(1578),
    [anon_sym_DOT_EQ] = ACTIONS(1578),
    [anon_sym_LT_LT_EQ] = ACTIONS(1578),
    [anon_sym_GT_GT_EQ] = ACTIONS(1578),
    [anon_sym_AMP_EQ] = ACTIONS(1578),
    [anon_sym_CARET_EQ] = ACTIONS(1578),
    [anon_sym_PIPE_EQ] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1578),
    [anon_sym_DASH_GT] = ACTIONS(1578),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1578),
    [anon_sym_LBRACK] = ACTIONS(1578),
    [anon_sym_RBRACK] = ACTIONS(1578),
    [aux_sym_binary_expression_token1] = ACTIONS(1578),
    [anon_sym_QMARK_QMARK] = ACTIONS(1580),
    [anon_sym_STAR_STAR] = ACTIONS(1580),
    [aux_sym_binary_expression_token2] = ACTIONS(1578),
    [aux_sym_binary_expression_token3] = ACTIONS(1578),
    [aux_sym_binary_expression_token4] = ACTIONS(1578),
    [anon_sym_PIPE_PIPE] = ACTIONS(1578),
    [anon_sym_AMP_AMP] = ACTIONS(1578),
    [anon_sym_CARET] = ACTIONS(1580),
    [anon_sym_EQ_EQ] = ACTIONS(1580),
    [anon_sym_BANG_EQ] = ACTIONS(1580),
    [anon_sym_LT_GT] = ACTIONS(1578),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1578),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1578),
    [anon_sym_LT] = ACTIONS(1580),
    [anon_sym_GT] = ACTIONS(1580),
    [anon_sym_LT_EQ] = ACTIONS(1580),
    [anon_sym_GT_EQ] = ACTIONS(1578),
    [anon_sym_LT_EQ_GT] = ACTIONS(1578),
    [anon_sym_LT_LT] = ACTIONS(1580),
    [anon_sym_GT_GT] = ACTIONS(1580),
    [anon_sym_DOT] = ACTIONS(1580),
    [anon_sym_STAR] = ACTIONS(1580),
    [anon_sym_SLASH] = ACTIONS(1580),
    [anon_sym_PERCENT] = ACTIONS(1580),
    [sym_comment] = ACTIONS(1572),
  },
  [592] = {
    [sym_text_interpolation] = STATE(592),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1582),
    [anon_sym_AMP] = ACTIONS(1584),
    [anon_sym_COMMA] = ACTIONS(1582),
    [anon_sym_EQ] = ACTIONS(1584),
    [aux_sym_namespace_use_clause_token1] = ACTIONS(1582),
    [anon_sym_LBRACE] = ACTIONS(1582),
    [anon_sym_RBRACE] = ACTIONS(1582),
    [aux_sym_base_clause_token1] = ACTIONS(1582),
    [anon_sym_COLON] = ACTIONS(1584),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1582),
    [anon_sym_EQ_GT] = ACTIONS(1582),
    [anon_sym_LPAREN2] = ACTIONS(1582),
    [anon_sym_RPAREN2] = ACTIONS(1582),
    [anon_sym_QMARK] = ACTIONS(1584),
    [anon_sym_PIPE] = ACTIONS(1584),
    [anon_sym_PLUS] = ACTIONS(1584),
    [anon_sym_DASH] = ACTIONS(1584),
    [anon_sym_COLON_COLON] = ACTIONS(1582),
    [anon_sym_DASH_DASH] = ACTIONS(1582),
    [anon_sym_PLUS_PLUS] = ACTIONS(1582),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1582),
    [anon_sym_STAR_EQ] = ACTIONS(1582),
    [anon_sym_SLASH_EQ] = ACTIONS(1582),
    [anon_sym_PERCENT_EQ] = ACTIONS(1582),
    [anon_sym_PLUS_EQ] = ACTIONS(1582),
    [anon_sym_DASH_EQ] = ACTIONS(1582),
    [anon_sym_DOT_EQ] = ACTIONS(1582),
    [anon_sym_LT_LT_EQ] = ACTIONS(1582),
    [anon_sym_GT_GT_EQ] = ACTIONS(1582),
    [anon_sym_AMP_EQ] = ACTIONS(1582),
    [anon_sym_CARET_EQ] = ACTIONS(1582),
    [anon_sym_PIPE_EQ] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1582),
    [anon_sym_DASH_GT] = ACTIONS(1582),
    [anon_sym_QMARK_DASH_GT] = ACTIONS(1582),
    [anon_sym_LBRACK] = ACTIONS(1582),
    [anon_sym_RBRACK] = ACTIONS(1582),
    [aux_sym_binary_expression_token1] = ACTIONS(1582),
    [anon_sym_QMARK_QMARK] = ACTIONS(1584),
    [anon_sym_STAR_STAR] = ACTIONS(1584),
    [aux_sym_binary_expression_token2] = ACTIONS(1582),
    [aux_sym_binary_expression_token3] = ACTIONS(1582),
    [aux_sym_binary_expression_token4] = ACTIONS(1582),
    [anon_sym_PIPE_PIPE] = ACTIONS(1582),
    [anon_sym_AMP_AMP] = ACTIONS(1582),
    [anon_sym_CARET] = ACTIONS(1584),
    [anon_sym_EQ_EQ] = ACTIONS(1584),
    [anon_sym_BANG_EQ] = ACTIONS(1584),
    [anon_sym_LT_GT] = ACTIONS(1582),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1582),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1582),
    [anon_sym_LT] = ACTIONS(1584),
    [anon_sym_GT] = ACTIONS(1584),
    [anon_sym_LT_EQ] = ACTIONS(1584),
    [anon_sym_GT_EQ] = ACTIONS(1582),
    [anon_sym_LT_EQ_GT] = ACTIONS(1582),
    [anon_sym_LT_LT] = ACTIONS(1584),
    [anon_sym_GT_GT] = ACTIONS(1584),
    [anon_sym_DOT] = ACTIONS(1584),
    [anon_sym_STAR] = ACTIONS(1584),
    [anon_sym_SLASH] = ACTIONS(1584),
    [anon_sym_PERCENT] = ACTIONS(1584),
    [sym_comment] = ACTIONS(1572),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(593), 1,
      sym_text_interpolation,
    STATE(619), 1,
      sym_arguments,
    ACTIONS(1588), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [79] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(594), 1,
      sym_text_interpolation,
    STATE(617), 1,
      sym_arguments,
    ACTIONS(1594), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [158] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(595), 1,
      sym_text_interpolation,
    ACTIONS(1598), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [232] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1602), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [306] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(597), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [382] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(598), 1,
      sym_text_interpolation,
    ACTIONS(1612), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(599), 1,
      sym_text_interpolation,
    ACTIONS(1616), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [530] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(600), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1630), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [614] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(601), 1,
      sym_text_interpolation,
    ACTIONS(1634), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [688] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(602), 1,
      sym_text_interpolation,
    ACTIONS(1638), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [762] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(603), 1,
      sym_text_interpolation,
    ACTIONS(1642), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1640), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [836] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(604), 1,
      sym_text_interpolation,
    ACTIONS(1646), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1644), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [910] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(605), 1,
      sym_text_interpolation,
    ACTIONS(1650), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1648), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [984] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(606), 1,
      sym_text_interpolation,
    ACTIONS(1654), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1058] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(607), 1,
      sym_text_interpolation,
    ACTIONS(1658), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1132] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(608), 1,
      sym_text_interpolation,
    ACTIONS(1662), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1206] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(609), 1,
      sym_text_interpolation,
    ACTIONS(1666), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1280] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1670), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1354] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1662), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1428] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1606), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1502] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN2,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1674), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1578] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1676), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1652] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1680), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1678), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1726] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1684), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1688), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1686), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1874] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1692), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1690), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1696), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2022] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1700), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2096] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1704), 21,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 39,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2170] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1630), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2251] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(623), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1630), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2332] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(624), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2413] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN2,
    STATE(625), 1,
      sym_text_interpolation,
    STATE(653), 1,
      sym_arguments,
    ACTIONS(1588), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1586), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2488] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN2,
    STATE(626), 1,
      sym_text_interpolation,
    STATE(654), 1,
      sym_arguments,
    ACTIONS(1594), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1592), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1616), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1614), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2633] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1658), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1656), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2703] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(1712), 1,
      anon_sym_EQ,
    STATE(629), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1714), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2783] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(1650), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1648), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2853] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(1716), 1,
      anon_sym_EQ,
    STATE(631), 1,
      sym_text_interpolation,
    ACTIONS(1718), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1576), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1574), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3003] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1612), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1610), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3073] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1692), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1690), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3143] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3215] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(636), 1,
      sym_text_interpolation,
    ACTIONS(1670), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1668), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3285] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1722), 1,
      sym_name,
    ACTIONS(1728), 1,
      anon_sym_BSLASH,
    ACTIONS(1731), 1,
      anon_sym_RBRACE,
    ACTIONS(1733), 1,
      anon_sym_LPAREN2,
    ACTIONS(1736), 1,
      aux_sym_cast_type_token1,
    ACTIONS(1739), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1742), 1,
      anon_sym_LBRACK,
    ACTIONS(1751), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1754), 1,
      anon_sym_DOLLAR,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1640), 1,
      sym__name,
    STATE(1668), 1,
      sym_class_constant_access_expression,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(1951), 1,
      sym__new_variable,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(1745), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(1748), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(637), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(1996), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1725), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1714), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1863), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3421] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(638), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3499] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(639), 1,
      sym_text_interpolation,
    ACTIONS(1580), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1578), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3569] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(640), 1,
      sym_text_interpolation,
    ACTIONS(1654), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1652), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3639] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1757), 1,
      sym_name,
    ACTIONS(1759), 1,
      anon_sym_RBRACE,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(641), 1,
      sym_text_interpolation,
    STATE(651), 1,
      aux_sym_use_list_repeat1,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1640), 1,
      sym__name,
    STATE(1668), 1,
      sym_class_constant_access_expression,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(1951), 1,
      sym__new_variable,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(1996), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1714), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1863), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [3777] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(642), 1,
      sym_text_interpolation,
    ACTIONS(1684), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1682), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3847] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(643), 1,
      sym_text_interpolation,
    ACTIONS(1638), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1636), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3917] = 41,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(644), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1598), 1,
      sym__callable_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1651), 1,
      sym__new_variable,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2392), 1,
      sym_by_ref,
    STATE(2394), 1,
      sym__list_destructing,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1650), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [4059] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(645), 1,
      sym_text_interpolation,
    ACTIONS(1676), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1608), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4129] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN2,
    STATE(646), 1,
      sym_text_interpolation,
    ACTIONS(1674), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1672), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4201] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(647), 1,
      sym_text_interpolation,
    ACTIONS(1584), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1582), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4271] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(648), 1,
      sym_text_interpolation,
    ACTIONS(1680), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1678), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4341] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(649), 1,
      sym_text_interpolation,
    ACTIONS(1700), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1698), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(650), 1,
      sym_text_interpolation,
    ACTIONS(1602), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1600), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4481] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1757), 1,
      sym_name,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1767), 1,
      anon_sym_RBRACE,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(637), 1,
      aux_sym_use_list_repeat1,
    STATE(651), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1640), 1,
      sym__name,
    STATE(1668), 1,
      sym_class_constant_access_expression,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(1951), 1,
      sym__new_variable,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    STATE(1996), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1714), 3,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
      sym__callable_variable,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1863), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [4619] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(652), 1,
      sym_text_interpolation,
    ACTIONS(1718), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1630), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(653), 1,
      sym_text_interpolation,
    ACTIONS(1696), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1694), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4769] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(654), 1,
      sym_text_interpolation,
    ACTIONS(1688), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1686), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(655), 1,
      sym_text_interpolation,
    ACTIONS(1570), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1568), 36,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4909] = 41,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(308), 1,
      aux_sym__list_destructing_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(656), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1563), 1,
      sym__callable_variable,
    STATE(1568), 1,
      sym__new_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2205), 1,
      sym_by_ref,
    STATE(2206), 1,
      sym__list_destructing,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1569), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [5051] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(657), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 20,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5129] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(658), 1,
      sym_text_interpolation,
    ACTIONS(1718), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1630), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5206] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(659), 1,
      sym_text_interpolation,
    ACTIONS(1718), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1630), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5283] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_EQ,
    STATE(660), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1714), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5360] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(661), 1,
      sym_text_interpolation,
    ACTIONS(1606), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1604), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5429] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(1769), 1,
      anon_sym_EQ,
    STATE(662), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1771), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5508] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1662), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5577] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1662), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1660), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5646] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(665), 1,
      sym_text_interpolation,
    ACTIONS(1704), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1702), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [5715] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(666), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1630), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5794] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_EQ,
    STATE(667), 1,
      sym_text_interpolation,
    ACTIONS(1718), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5871] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_EQ,
    STATE(668), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1714), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5948] = 40,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(855), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(669), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1591), 1,
      sym__callable_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1697), 1,
      sym__new_variable,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2439), 1,
      sym__array_destructing,
    STATE(2447), 1,
      sym_by_ref,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1696), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [6087] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_EQ,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1718), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1720), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 16,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6164] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1642), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1640), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6233] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(1773), 1,
      anon_sym_RPAREN2,
    STATE(672), 1,
      sym_text_interpolation,
    STATE(2240), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6318] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1598), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1596), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6387] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1666), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1664), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1646), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1644), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6525] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(676), 1,
      sym_text_interpolation,
    ACTIONS(1634), 20,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1632), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [6594] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6674] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(1773), 1,
      anon_sym_RPAREN2,
    STATE(678), 1,
      sym_text_interpolation,
    STATE(2240), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6756] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    ACTIONS(1773), 1,
      anon_sym_RPAREN2,
    STATE(679), 1,
      sym_text_interpolation,
    STATE(2240), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6838] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_EQ,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1771), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6914] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(1712), 1,
      anon_sym_EQ,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1714), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [6994] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1630), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7070] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1622), 1,
      anon_sym_EQ,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1630), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7146] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(684), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7226] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_EQ,
    STATE(685), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1771), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1618), 15,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7302] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1782), 1,
      anon_sym_RPAREN2,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(686), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1573), 1,
      sym__callable_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1683), 1,
      sym__new_variable,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1682), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7435] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(687), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7512] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(688), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7589] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1784), 1,
      anon_sym_RPAREN2,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(689), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1573), 1,
      sym__callable_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1683), 1,
      sym__new_variable,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1682), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7722] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_EQ,
    STATE(690), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1714), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [7799] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1786), 1,
      anon_sym_RPAREN2,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(691), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1573), 1,
      sym__callable_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1683), 1,
      sym__new_variable,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1682), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [7932] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_EQ,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1777), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1714), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8009] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(1712), 1,
      anon_sym_EQ,
    STATE(693), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1788), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1714), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8088] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(694), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8165] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_EQ,
    STATE(695), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1708), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [8242] = 38,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1791), 1,
      anon_sym_RPAREN2,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(696), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1573), 1,
      sym__callable_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1683), 1,
      sym__new_variable,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1682), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8375] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(697), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1573), 1,
      sym__callable_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1683), 1,
      sym__new_variable,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1682), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8505] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1793), 1,
      anon_sym_LPAREN2,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    STATE(698), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(752), 1,
      sym__callable_variable,
    STATE(784), 1,
      sym__variable_member_access_expression,
    STATE(793), 1,
      sym__new_variable,
    STATE(814), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(815), 1,
      sym__variable_scoped_property_access_expression,
    STATE(832), 1,
      sym__simple_variable,
    STATE(839), 1,
      sym__variable_subscript_expression,
    STATE(1622), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1946), 1,
      sym__dereferencable_expression,
    STATE(2365), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2672), 1,
      sym__scope_resolution_qualifier,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(791), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(828), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8635] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(699), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1562), 1,
      sym__callable_variable,
    STATE(1578), 1,
      sym__new_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1579), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8765] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_LPAREN2,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    STATE(700), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__callable_variable,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(725), 1,
      sym__simple_variable,
    STATE(730), 1,
      sym__new_variable,
    STATE(754), 1,
      sym__variable_member_access_expression,
    STATE(755), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(756), 1,
      sym__variable_scoped_property_access_expression,
    STATE(757), 1,
      sym__variable_subscript_expression,
    STATE(1652), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1857), 1,
      sym__dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(2343), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    STATE(2700), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(724), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(726), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [8895] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1797), 1,
      anon_sym_LPAREN2,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    STATE(701), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(918), 1,
      sym__callable_variable,
    STATE(958), 1,
      sym__simple_variable,
    STATE(973), 1,
      sym__variable_subscript_expression,
    STATE(975), 1,
      sym__variable_scoped_property_access_expression,
    STATE(979), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1008), 1,
      sym__variable_member_access_expression,
    STATE(1026), 1,
      sym__new_variable,
    STATE(1665), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1859), 1,
      sym__dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(2325), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    STATE(2716), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1010), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(974), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9025] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(702), 1,
      sym_text_interpolation,
    STATE(716), 1,
      sym__callable_variable,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(730), 1,
      sym__new_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(724), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9155] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_EQ,
    STATE(703), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1788), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1714), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [9231] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(704), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1555), 1,
      sym__callable_variable,
    STATE(1603), 1,
      sym__new_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1604), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9361] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1801), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(865), 1,
      sym__simple_variable,
    STATE(893), 1,
      sym__callable_variable,
    STATE(906), 1,
      sym__variable_subscript_expression,
    STATE(909), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(914), 1,
      sym__variable_member_access_expression,
    STATE(916), 1,
      sym__new_variable,
    STATE(917), 1,
      sym__variable_scoped_property_access_expression,
    STATE(1676), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1877), 1,
      sym__dereferencable_expression,
    STATE(2306), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2645), 1,
      sym__scope_resolution_qualifier,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(915), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(878), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9491] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_LPAREN2,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    STATE(597), 1,
      sym__simple_variable,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(612), 1,
      sym__variable_subscript_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(706), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(752), 1,
      sym__callable_variable,
    STATE(793), 1,
      sym__new_variable,
    STATE(1640), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1916), 1,
      sym__dereferencable_expression,
    STATE(2418), 1,
      sym__callable_expression,
    STATE(2598), 1,
      sym__scope_resolution_qualifier,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(791), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(614), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9621] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1797), 1,
      anon_sym_LPAREN2,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    STATE(707), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(923), 1,
      sym__callable_variable,
    STATE(958), 1,
      sym__simple_variable,
    STATE(973), 1,
      sym__variable_subscript_expression,
    STATE(975), 1,
      sym__variable_scoped_property_access_expression,
    STATE(979), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1008), 1,
      sym__variable_member_access_expression,
    STATE(1042), 1,
      sym__new_variable,
    STATE(1665), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1859), 1,
      sym__dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(2325), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    STATE(2716), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1040), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(974), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9751] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1793), 1,
      anon_sym_LPAREN2,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    STATE(708), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(772), 1,
      sym__callable_variable,
    STATE(784), 1,
      sym__variable_member_access_expression,
    STATE(814), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(815), 1,
      sym__variable_scoped_property_access_expression,
    STATE(832), 1,
      sym__simple_variable,
    STATE(839), 1,
      sym__variable_subscript_expression,
    STATE(853), 1,
      sym__new_variable,
    STATE(1622), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1946), 1,
      sym__dereferencable_expression,
    STATE(2365), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2672), 1,
      sym__scope_resolution_qualifier,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(861), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(828), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [9881] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1793), 1,
      anon_sym_LPAREN2,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    STATE(709), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(784), 1,
      sym__variable_member_access_expression,
    STATE(814), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(815), 1,
      sym__variable_scoped_property_access_expression,
    STATE(816), 1,
      sym__callable_variable,
    STATE(832), 1,
      sym__simple_variable,
    STATE(839), 1,
      sym__variable_subscript_expression,
    STATE(864), 1,
      sym__new_variable,
    STATE(1622), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(1946), 1,
      sym__dereferencable_expression,
    STATE(2365), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2672), 1,
      sym__scope_resolution_qualifier,
    STATE(2691), 1,
      sym_relative_scope,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(858), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(828), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [10011] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(710), 1,
      sym_text_interpolation,
    STATE(2440), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1803), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1805), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10081] = 37,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(609), 1,
      aux_sym_cast_type_token1,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(983), 1,
      anon_sym_LBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1763), 1,
      aux_sym__new_non_dereferencable_expression_token1,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(1797), 1,
      anon_sym_LPAREN2,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    STATE(711), 1,
      sym_text_interpolation,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(941), 1,
      sym__callable_variable,
    STATE(958), 1,
      sym__simple_variable,
    STATE(973), 1,
      sym__variable_subscript_expression,
    STATE(975), 1,
      sym__variable_scoped_property_access_expression,
    STATE(979), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(1008), 1,
      sym__variable_member_access_expression,
    STATE(1033), 1,
      sym__new_variable,
    STATE(1665), 1,
      sym__name,
    STATE(1727), 1,
      sym__new_dereferencable_expression,
    STATE(1859), 1,
      sym__dereferencable_expression,
    STATE(1863), 1,
      sym_class_constant_access_expression,
    STATE(2325), 1,
      sym__callable_expression,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2691), 1,
      sym_relative_scope,
    STATE(2716), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    STATE(1714), 2,
      sym_parenthesized_expression,
      sym__dereferencable_scalar,
    STATE(1728), 2,
      sym_array_creation_expression,
      sym__string,
    ACTIONS(312), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
    STATE(1016), 4,
      sym_cast_variable,
      sym_member_access_expression,
      sym_nullsafe_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(974), 5,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_nullsafe_member_call_expression,
      sym__dereferencable_subscript_expression,
  [10211] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_EQ,
    STATE(712), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1788), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1618), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1714), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1620), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [10287] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(713), 1,
      sym_text_interpolation,
    ACTIONS(1810), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1654), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(714), 1,
      sym_text_interpolation,
    ACTIONS(1812), 22,
      anon_sym_AMP,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_clause_token1,
      anon_sym_COLON,
      aux_sym_class_interface_clause_token1,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_self,
      anon_sym_parent,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
      sym_name,
    ACTIONS(1814), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10417] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(715), 1,
      sym_text_interpolation,
    ACTIONS(1118), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1116), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10478] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(716), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10543] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(717), 1,
      sym_text_interpolation,
    STATE(731), 1,
      sym_arguments,
    ACTIONS(1594), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10608] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(718), 1,
      sym_text_interpolation,
    STATE(736), 1,
      sym_arguments,
    ACTIONS(1588), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10673] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1820), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1822), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1824), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(719), 1,
      sym_text_interpolation,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1457), 1,
      sym__types,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1576), 1,
      sym_property_element,
    STATE(1767), 1,
      sym__function_definition_header,
    STATE(1768), 1,
      sym_variable_name,
    STATE(2267), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [10782] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(1174), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1172), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10843] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1680), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10904] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1820), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1822), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(1824), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(722), 1,
      sym_text_interpolation,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1457), 1,
      sym__types,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1608), 1,
      sym_property_element,
    STATE(1768), 1,
      sym_variable_name,
    STATE(1781), 1,
      sym__function_definition_header,
    STATE(2081), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [11013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1684), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11073] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11135] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11197] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(1676), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11257] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1654), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11317] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1612), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11377] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1650), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11437] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11499] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1688), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11559] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1658), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1654), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1680), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11739] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1810), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    ACTIONS(1654), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1696), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11861] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN2,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1674), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11923] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1576), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11983] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(739), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1678), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1584), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1570), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12169] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1692), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12229] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1616), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1670), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12349] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1638), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12409] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12475] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1602), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12535] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1580), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12595] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1700), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12655] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12718] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1666), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12777] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12840] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_text_interpolation,
    STATE(808), 1,
      sym_arguments,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12903] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(754), 1,
      sym_text_interpolation,
    ACTIONS(1662), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12962] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1662), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1704), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13080] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1606), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13139] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(758), 1,
      sym_text_interpolation,
    STATE(807), 1,
      sym_arguments,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13202] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1628), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13265] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN2,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1845), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1843), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13326] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1634), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13385] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN2,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1849), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13446] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1598), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13505] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(764), 1,
      sym_text_interpolation,
    ACTIONS(1642), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13564] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1646), 13,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(766), 1,
      sym_text_interpolation,
    ACTIONS(1853), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13681] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(767), 1,
      sym_text_interpolation,
    ACTIONS(1857), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13739] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1861), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13797] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1865), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(770), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(771), 1,
      sym_text_interpolation,
    ACTIONS(1869), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13971] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(772), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14033] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1877), 1,
      anon_sym_COMMA,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN2,
    ACTIONS(1883), 1,
      anon_sym_RPAREN2,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(773), 1,
      sym_text_interpolation,
    STATE(1143), 1,
      sym_attribute_list,
    STATE(1230), 1,
      sym_visibility_modifier,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1347), 1,
      sym_attribute_group,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1582), 1,
      sym__types,
    STATE(1737), 1,
      sym_type,
    STATE(2064), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2103), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [14137] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14199] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_LPAREN2,
    STATE(775), 1,
      sym_text_interpolation,
    ACTIONS(1899), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1895), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14261] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1903), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(1907), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14377] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(778), 1,
      sym_text_interpolation,
    ACTIONS(1909), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14437] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(779), 1,
      sym_text_interpolation,
    ACTIONS(1913), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1911), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14495] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1921), 1,
      anon_sym_DASH_GT,
    ACTIONS(1923), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(1925), 1,
      anon_sym_LBRACK,
    STATE(780), 1,
      sym_text_interpolation,
    ACTIONS(1917), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14561] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(781), 1,
      sym_text_interpolation,
    ACTIONS(1931), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1929), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14621] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(782), 1,
      sym_text_interpolation,
    ACTIONS(1935), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(783), 1,
      sym_text_interpolation,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14737] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(784), 1,
      sym_text_interpolation,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(785), 1,
      sym_text_interpolation,
    ACTIONS(1939), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(786), 1,
      sym_text_interpolation,
    ACTIONS(1943), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14911] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(1947), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1945), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14969] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1692), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15027] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(789), 1,
      sym_text_interpolation,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15085] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15143] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15261] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(793), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 13,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15321] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(1612), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15379] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(795), 1,
      sym_text_interpolation,
    ACTIONS(1951), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15437] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1955), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15495] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1959), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15553] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(798), 1,
      sym_text_interpolation,
    ACTIONS(1963), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15611] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(799), 1,
      sym_text_interpolation,
    ACTIONS(1967), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15669] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(800), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15727] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(801), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15785] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(802), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15843] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(803), 1,
      sym_text_interpolation,
    ACTIONS(1971), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15901] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(804), 1,
      sym_text_interpolation,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15959] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(805), 1,
      sym_text_interpolation,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(806), 1,
      sym_text_interpolation,
    ACTIONS(1975), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(807), 1,
      sym_text_interpolation,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(808), 1,
      sym_text_interpolation,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16191] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(809), 1,
      sym_text_interpolation,
    ACTIONS(1979), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1977), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16249] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(810), 1,
      sym_text_interpolation,
    ACTIONS(1931), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16309] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(811), 1,
      sym_text_interpolation,
    ACTIONS(1983), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1981), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16367] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(812), 1,
      sym_text_interpolation,
    ACTIONS(1987), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16425] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(1991), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1989), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16483] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(814), 1,
      sym_text_interpolation,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16541] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16599] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(816), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16661] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16719] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16777] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN2,
    STATE(819), 1,
      sym_text_interpolation,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16837] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(820), 1,
      sym_text_interpolation,
    ACTIONS(1995), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16895] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(821), 1,
      sym_text_interpolation,
    ACTIONS(1999), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16953] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(822), 1,
      sym_text_interpolation,
    ACTIONS(1642), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17011] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(2003), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2001), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17069] = 28,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN2,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2005), 1,
      anon_sym_COMMA,
    ACTIONS(2007), 1,
      anon_sym_RPAREN2,
    STATE(824), 1,
      sym_text_interpolation,
    STATE(1143), 1,
      sym_attribute_list,
    STATE(1230), 1,
      sym_visibility_modifier,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1347), 1,
      sym_attribute_group,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1582), 1,
      sym__types,
    STATE(1737), 1,
      sym_type,
    STATE(2064), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2067), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [17173] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(2011), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2009), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17231] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(826), 1,
      sym_text_interpolation,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(2015), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2013), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17347] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(1676), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(2019), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(830), 1,
      sym_text_interpolation,
    ACTIONS(2023), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17521] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_EQ,
    STATE(831), 1,
      sym_text_interpolation,
    ACTIONS(2025), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1857), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 29,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17583] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(832), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17643] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(2032), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17701] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(2036), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17759] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(1646), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(836), 1,
      sym_text_interpolation,
    ACTIONS(2040), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17875] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(2044), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(838), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [17991] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(839), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(840), 1,
      sym_text_interpolation,
    ACTIONS(2048), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18107] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(841), 1,
      sym_text_interpolation,
    ACTIONS(2052), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(843), 1,
      sym_text_interpolation,
    ACTIONS(2056), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18281] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(844), 1,
      sym_text_interpolation,
    ACTIONS(1039), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1037), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18339] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(2060), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(2064), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18455] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(1031), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1029), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18513] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(848), 1,
      sym_text_interpolation,
    ACTIONS(2068), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(849), 1,
      sym_text_interpolation,
    ACTIONS(1564), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18629] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN2,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2070), 1,
      anon_sym_RPAREN2,
    STATE(850), 1,
      sym_text_interpolation,
    STATE(1143), 1,
      sym_attribute_list,
    STATE(1230), 1,
      sym_visibility_modifier,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1347), 1,
      sym_attribute_group,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1582), 1,
      sym__types,
    STATE(1737), 1,
      sym_type,
    STATE(2064), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2318), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [18730] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(851), 1,
      sym_text_interpolation,
    STATE(2440), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1803), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18791] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(852), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18850] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(853), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18909] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_LPAREN2,
    STATE(854), 1,
      sym_text_interpolation,
    STATE(884), 1,
      sym_arguments,
    ACTIONS(1594), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18970] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(855), 1,
      sym_text_interpolation,
    STATE(2440), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1803), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19031] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(856), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1680), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19092] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19149] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(858), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19208] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN2,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2074), 1,
      anon_sym_RPAREN2,
    STATE(859), 1,
      sym_text_interpolation,
    STATE(1143), 1,
      sym_attribute_list,
    STATE(1230), 1,
      sym_visibility_modifier,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1347), 1,
      sym_attribute_group,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1582), 1,
      sym__types,
    STATE(1737), 1,
      sym_type,
    STATE(2064), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2318), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19309] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN2,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2076), 1,
      anon_sym_RPAREN2,
    STATE(860), 1,
      sym_text_interpolation,
    STATE(1143), 1,
      sym_attribute_list,
    STATE(1230), 1,
      sym_visibility_modifier,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1347), 1,
      sym_attribute_group,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1582), 1,
      sym__types,
    STATE(1737), 1,
      sym_type,
    STATE(2064), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2318), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19410] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(861), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19469] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN2,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2078), 1,
      anon_sym_RPAREN2,
    STATE(862), 1,
      sym_text_interpolation,
    STATE(1143), 1,
      sym_attribute_list,
    STATE(1230), 1,
      sym_visibility_modifier,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1347), 1,
      sym_attribute_group,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1582), 1,
      sym__types,
    STATE(1737), 1,
      sym_type,
    STATE(2064), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2318), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [19570] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_LPAREN2,
    STATE(863), 1,
      sym_text_interpolation,
    STATE(866), 1,
      sym_arguments,
    ACTIONS(1588), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19631] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19690] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19748] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1696), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19804] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1670), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19860] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1602), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19916] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1584), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19972] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN2,
    ACTIONS(1885), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(870), 1,
      sym_text_interpolation,
    STATE(1143), 1,
      sym_attribute_list,
    STATE(1230), 1,
      sym_visibility_modifier,
    STATE(1342), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1347), 1,
      sym_attribute_group,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1582), 1,
      sym__types,
    STATE(1737), 1,
      sym_type,
    STATE(2064), 1,
      sym_reference_modifier,
    STATE(2076), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    STATE(2318), 3,
      sym_property_promotion_parameter,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [20070] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1580), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1700), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20182] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1654), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20238] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2025), 1,
      anon_sym_RPAREN2,
    ACTIONS(2028), 1,
      anon_sym_EQ,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1857), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20298] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1684), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20354] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1616), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20410] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    ACTIONS(2080), 1,
      sym_name,
    ACTIONS(2082), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2084), 1,
      anon_sym_BSLASH,
    ACTIONS(2086), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(877), 1,
      sym_text_interpolation,
    STATE(975), 1,
      sym__variable_scoped_property_access_expression,
    STATE(979), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(983), 1,
      sym_anonymous_class,
    STATE(986), 1,
      sym__new_variable,
    STATE(1008), 1,
      sym__variable_member_access_expression,
    STATE(1045), 1,
      sym__reserved_identifier,
    STATE(1047), 1,
      sym__name,
    STATE(1048), 1,
      sym__class_name_reference,
    STATE(1052), 1,
      sym_parenthesized_expression,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1397), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1398), 1,
      sym_attribute_list,
    STATE(2567), 1,
      sym_namespace_name,
    ACTIONS(2090), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(973), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(1044), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [20526] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1676), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20582] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1570), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20638] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1638), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20694] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1650), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20750] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1612), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20806] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(2092), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2094), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(608), 1,
      sym__variable_member_access_expression,
    STATE(611), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(621), 1,
      sym__variable_scoped_property_access_expression,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(786), 1,
      sym_anonymous_class,
    STATE(883), 1,
      sym_text_interpolation,
    STATE(987), 1,
      sym_parenthesized_expression,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1391), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1393), 1,
      sym_attribute_list,
    STATE(1747), 1,
      sym__new_variable,
    STATE(2473), 1,
      sym__class_name_reference,
    STATE(2482), 1,
      sym__name,
    STATE(2614), 1,
      sym_namespace_name,
    ACTIONS(2098), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(612), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [20922] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1688), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20978] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(885), 1,
      sym_text_interpolation,
    ACTIONS(1576), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21034] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1658), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21090] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1680), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21146] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN2,
    STATE(888), 1,
      sym_text_interpolation,
    ACTIONS(1674), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21204] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1718), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21266] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(890), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1678), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21328] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(244), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(248), 1,
      sym_var_modifier,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    ACTIONS(2092), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2094), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2100), 1,
      sym_name,
    ACTIONS(2102), 1,
      anon_sym_BSLASH,
    ACTIONS(2104), 1,
      anon_sym_LPAREN2,
    STATE(780), 1,
      sym__new_variable,
    STATE(784), 1,
      sym__variable_member_access_expression,
    STATE(786), 1,
      sym_anonymous_class,
    STATE(814), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(815), 1,
      sym__variable_scoped_property_access_expression,
    STATE(891), 1,
      sym_text_interpolation,
    STATE(900), 1,
      sym__class_name_reference,
    STATE(901), 1,
      sym__name,
    STATE(904), 1,
      sym__reserved_identifier,
    STATE(987), 1,
      sym_parenthesized_expression,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1391), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1393), 1,
      sym_attribute_list,
    STATE(2654), 1,
      sym_namespace_name,
    ACTIONS(2098), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(839), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(903), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [21444] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(892), 1,
      sym_text_interpolation,
    ACTIONS(1692), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21500] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(893), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21560] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(894), 1,
      sym_text_interpolation,
    ACTIONS(2108), 18,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2106), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [21616] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(895), 1,
      sym_text_interpolation,
    ACTIONS(1718), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21675] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_EQ,
    STATE(896), 1,
      sym_text_interpolation,
    ACTIONS(1857), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21732] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(897), 1,
      sym_text_interpolation,
    ACTIONS(1634), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21787] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(898), 1,
      sym_text_interpolation,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21842] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(899), 1,
      sym_text_interpolation,
    STATE(995), 1,
      sym_arguments,
    ACTIONS(1588), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1586), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21901] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(771), 1,
      sym_arguments,
    STATE(900), 1,
      sym_text_interpolation,
    ACTIONS(2114), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2112), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21960] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1919), 1,
      anon_sym_COLON_COLON,
    STATE(901), 1,
      sym_text_interpolation,
    ACTIONS(1917), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(902), 1,
      sym_text_interpolation,
    ACTIONS(2118), 17,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_LBRACK,
      anon_sym_POUND_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
    ACTIONS(2116), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
      aux_sym_cast_type_token1,
      sym_float,
      sym_integer,
      aux_sym_throw_expression_token1,
      aux_sym_match_expression_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_clone_expression_token1,
      aux_sym_print_intrinsic_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      aux_sym__list_destructing_token1,
      anon_sym_self,
      anon_sym_parent,
      aux_sym__argument_name_token1,
      aux_sym__argument_name_token2,
      aux_sym_yield_expression_token1,
      aux_sym_include_expression_token1,
      aux_sym_include_once_expression_token1,
      aux_sym_require_expression_token1,
      aux_sym_require_once_expression_token1,
      sym_name,
  [22072] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(903), 1,
      sym_text_interpolation,
    ACTIONS(2120), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22127] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(904), 1,
      sym_text_interpolation,
    ACTIONS(1680), 11,
      anon_sym_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22182] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(905), 1,
      sym_text_interpolation,
    ACTIONS(1666), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(906), 1,
      sym_text_interpolation,
    ACTIONS(1606), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22292] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(907), 1,
      sym_text_interpolation,
    STATE(997), 1,
      sym_arguments,
    ACTIONS(1594), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22351] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(1718), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22410] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22465] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1646), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22520] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(911), 1,
      sym_text_interpolation,
    ACTIONS(1812), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 30,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22575] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(912), 1,
      sym_text_interpolation,
    ACTIONS(1642), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1598), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22685] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(914), 1,
      sym_text_interpolation,
    ACTIONS(1662), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22740] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22797] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22854] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1704), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22909] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(919), 1,
      sym_text_interpolation,
    ACTIONS(2060), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2058), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23021] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(1650), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(2015), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2013), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23129] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    STATE(922), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1678), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23191] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23249] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(924), 1,
      sym_text_interpolation,
    ACTIONS(1616), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1614), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23303] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(1658), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(1670), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1668), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23411] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(1975), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1973), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23465] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(1931), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1929), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(1947), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1945), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23575] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_EQ,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(1857), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 28,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23631] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2124), 1,
      anon_sym_COLON,
    STATE(931), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1678), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(932), 1,
      sym_text_interpolation,
    ACTIONS(1903), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1901), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(2068), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2066), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(1680), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(935), 1,
      sym_text_interpolation,
    ACTIONS(2011), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2009), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23909] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(2019), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2017), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(937), 1,
      sym_text_interpolation,
    ACTIONS(2032), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2030), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(938), 1,
      sym_text_interpolation,
    ACTIONS(1861), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1859), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24071] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(939), 1,
      sym_text_interpolation,
    ACTIONS(1598), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1596), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(940), 1,
      sym_text_interpolation,
    ACTIONS(2052), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2050), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24179] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(941), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24237] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(942), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24295] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(1971), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24349] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(1967), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1965), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24403] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(945), 1,
      sym_text_interpolation,
    ACTIONS(1646), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1644), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24457] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(946), 1,
      sym_text_interpolation,
    ACTIONS(1584), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1582), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24511] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(947), 1,
      sym_text_interpolation,
    ACTIONS(1602), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1600), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24565] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(1570), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1568), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(1959), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1957), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24673] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(950), 1,
      sym_text_interpolation,
    ACTIONS(1642), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1640), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24727] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(951), 1,
      sym_text_interpolation,
    ACTIONS(1857), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24781] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(952), 1,
      sym_text_interpolation,
    ACTIONS(1634), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1632), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24835] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(953), 1,
      sym_text_interpolation,
    ACTIONS(2040), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2038), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24889] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(1174), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1172), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24943] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(955), 1,
      sym_text_interpolation,
    ACTIONS(1576), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1574), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24997] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(2126), 1,
      anon_sym_COLON,
    STATE(956), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1678), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25059] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(957), 1,
      sym_text_interpolation,
    ACTIONS(1907), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1905), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25113] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_LPAREN2,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25169] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(959), 1,
      sym_text_interpolation,
    ACTIONS(2056), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2054), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(960), 1,
      sym_text_interpolation,
    ACTIONS(1638), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1636), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25277] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(961), 1,
      sym_text_interpolation,
    ACTIONS(1564), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25331] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN2,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(1845), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1843), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25387] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(963), 1,
      sym_text_interpolation,
    ACTIONS(1865), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1863), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25441] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(964), 1,
      sym_text_interpolation,
    ACTIONS(1909), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25497] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(2023), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2021), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25551] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(966), 1,
      sym_text_interpolation,
    ACTIONS(2003), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2001), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25605] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(967), 1,
      sym_text_interpolation,
    ACTIONS(1987), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1985), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(968), 1,
      sym_text_interpolation,
    ACTIONS(1935), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1933), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25713] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(1939), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1937), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25767] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(970), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1680), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(971), 1,
      sym_text_interpolation,
    ACTIONS(1612), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1610), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(1995), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1993), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25933] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(1606), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1604), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25987] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(974), 1,
      sym_text_interpolation,
    ACTIONS(1676), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1608), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26041] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(975), 1,
      sym_text_interpolation,
    ACTIONS(1704), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1702), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26095] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(976), 1,
      sym_text_interpolation,
    ACTIONS(2064), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2062), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26149] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(977), 1,
      sym_text_interpolation,
    ACTIONS(1869), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1867), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26203] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(978), 1,
      sym_text_interpolation,
    ACTIONS(1853), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1851), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26257] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(979), 1,
      sym_text_interpolation,
    ACTIONS(1662), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26311] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(980), 1,
      sym_text_interpolation,
    ACTIONS(1931), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26367] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_LPAREN2,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(1849), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1847), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26423] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_LPAREN2,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(1899), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1895), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26481] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(983), 1,
      sym_text_interpolation,
    ACTIONS(1943), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1941), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26535] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(1979), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1977), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26589] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(985), 1,
      sym_text_interpolation,
    ACTIONS(1654), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26643] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2128), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2130), 1,
      anon_sym_DASH_GT,
    ACTIONS(2132), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(2134), 1,
      anon_sym_LBRACK,
    STATE(986), 1,
      sym_text_interpolation,
    ACTIONS(1917), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26705] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(1917), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26759] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1656), 1,
      anon_sym_LPAREN2,
    STATE(988), 1,
      sym_text_interpolation,
    ACTIONS(1674), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1672), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26815] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(989), 1,
      sym_text_interpolation,
    ACTIONS(2036), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2034), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26869] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(990), 1,
      sym_text_interpolation,
    ACTIONS(1999), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1997), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26923] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(991), 1,
      sym_text_interpolation,
    ACTIONS(1963), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1961), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [26977] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(992), 1,
      sym_text_interpolation,
    ACTIONS(1692), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1690), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27031] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(993), 1,
      sym_text_interpolation,
    ACTIONS(1580), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1578), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27085] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(994), 1,
      sym_text_interpolation,
    ACTIONS(1700), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(995), 1,
      sym_text_interpolation,
    ACTIONS(1696), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1694), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(996), 1,
      sym_text_interpolation,
    ACTIONS(1913), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1911), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27247] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(997), 1,
      sym_text_interpolation,
    ACTIONS(1688), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1686), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27301] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(1118), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1116), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27355] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(999), 1,
      sym_text_interpolation,
    ACTIONS(1955), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1953), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27409] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1000), 1,
      sym_text_interpolation,
    ACTIONS(2048), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2046), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27463] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(1983), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1981), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1002), 1,
      sym_text_interpolation,
    ACTIONS(2044), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2042), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27571] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1003), 1,
      sym_text_interpolation,
    ACTIONS(1684), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1682), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27625] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1004), 1,
      sym_text_interpolation,
    ACTIONS(1991), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1989), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1005), 1,
      sym_text_interpolation,
    ACTIONS(1666), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1664), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27733] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1006), 1,
      sym_text_interpolation,
    ACTIONS(1951), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1949), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27787] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1007), 1,
      sym_text_interpolation,
    ACTIONS(1564), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27841] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(1662), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1660), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27895] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1009), 1,
      sym_text_interpolation,
    ACTIONS(2138), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2136), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [27948] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1010), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28003] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1011), 1,
      sym_text_interpolation,
    ACTIONS(1929), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28056] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1012), 1,
      sym_text_interpolation,
    ACTIONS(2142), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2140), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1013), 1,
      sym_text_interpolation,
    ACTIONS(2146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2144), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28162] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1014), 1,
      sym_text_interpolation,
    ACTIONS(2150), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2148), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28215] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1015), 1,
      sym_text_interpolation,
    ACTIONS(2154), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2152), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28268] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1016), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28323] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1017), 1,
      sym_text_interpolation,
    ACTIONS(2158), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28376] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1018), 1,
      sym_text_interpolation,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1019), 1,
      sym_text_interpolation,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(2170), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2168), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28535] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_EQ,
    STATE(1021), 1,
      sym_text_interpolation,
    ACTIONS(2172), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1857), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1855), 25,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28592] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1022), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28645] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1023), 1,
      sym_text_interpolation,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28698] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28751] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1025), 1,
      sym_text_interpolation,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28804] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1622), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28859] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(1027), 1,
      sym_text_interpolation,
    STATE(2440), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1803), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28916] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1028), 1,
      sym_text_interpolation,
    ACTIONS(1620), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [28969] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29022] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1031), 1,
      sym_text_interpolation,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29128] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1032), 1,
      sym_text_interpolation,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29181] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1873), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1871), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29236] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1034), 1,
      sym_text_interpolation,
    ACTIONS(1895), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29289] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1035), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1620), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29344] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1036), 1,
      sym_text_interpolation,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29450] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1038), 1,
      sym_text_interpolation,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29503] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2218), 1,
      aux_sym_binary_expression_token1,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29558] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1040), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29613] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1041), 1,
      sym_text_interpolation,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 29,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29666] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1042), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1839), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1837), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29721] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1043), 1,
      sym_text_interpolation,
    ACTIONS(1654), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1652), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29773] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1044), 1,
      sym_text_interpolation,
    ACTIONS(2120), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1909), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1045), 1,
      sym_text_interpolation,
    ACTIONS(1680), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1678), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29877] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1046), 1,
      sym_text_interpolation,
    ACTIONS(1812), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1814), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON_COLON,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29928] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2128), 1,
      anon_sym_COLON_COLON,
    STATE(1047), 1,
      sym_text_interpolation,
    ACTIONS(1917), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [29981] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(977), 1,
      sym_arguments,
    STATE(1048), 1,
      sym_text_interpolation,
    ACTIONS(2114), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2112), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30036] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [30114] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1050), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2252), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [30202] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1051), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30284] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1052), 1,
      sym_text_interpolation,
    ACTIONS(1917), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1915), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30334] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2270), 1,
      anon_sym_QMARK,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30416] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1054), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [30504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1055), 1,
      sym_text_interpolation,
    ACTIONS(1564), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1566), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [30554] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1056), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [30642] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [30712] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [30800] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2280), 1,
      anon_sym_QMARK,
    STATE(1059), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [30882] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    STATE(1060), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [30956] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    STATE(1061), 1,
      sym_text_interpolation,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 24,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [31012] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1062), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31094] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    STATE(1063), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31146] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31228] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1065), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 8,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [31314] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    STATE(1066), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 25,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [31366] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 9,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31450] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [31526] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1069), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [31608] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1070), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2206), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31696] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 14,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [31768] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1072), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31856] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [31944] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32032] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    STATE(1075), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2176), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 18,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32098] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1076), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32186] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 7,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32274] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    STATE(1078), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 22,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [32332] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    STATE(1079), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 19,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [32394] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2294), 1,
      anon_sym_EQ_GT,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2152), 6,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [32484] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 20,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [32544] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1082), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 10,
      anon_sym_SEMI,
      aux_sym_namespace_use_clause_token1,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32626] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2300), 1,
      anon_sym_EQ_GT,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1083), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2152), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32715] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2270), 1,
      anon_sym_QMARK,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [32796] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2372), 1,
      anon_sym_EQ_GT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1085), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2152), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_binary_expression_token1,
  [32885] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1086), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [32972] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2216), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2214), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33021] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33072] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1089), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2252), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33159] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [33246] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1091), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33327] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1092), 1,
      sym_text_interpolation,
    ACTIONS(2222), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2220), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33376] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(2208), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2206), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33425] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1094), 1,
      sym_text_interpolation,
    ACTIONS(2212), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2210), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33474] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2144), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33523] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2200), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2198), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33572] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2204), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2202), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33672] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33759] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [33846] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(2150), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2148), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [33895] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [33976] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1103), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [34045] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1104), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [34130] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(1039), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1037), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34179] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1106), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34262] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1107), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      sym__modifier,
    STATE(1399), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1455), 1,
      sym__const_declaration,
    ACTIONS(2384), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2382), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [34319] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1108), 1,
      sym_text_interpolation,
    ACTIONS(2158), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2156), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34368] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2154), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2152), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34417] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1110), 1,
      sym_text_interpolation,
    ACTIONS(2162), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2160), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34466] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2206), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [34553] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [34626] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1113), 1,
      sym_text_interpolation,
    ACTIONS(2196), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [34675] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1114), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [34762] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1115), 1,
      sym_text_interpolation,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [34817] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1116), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [34894] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [34975] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(1031), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1029), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35024] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35075] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1120), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [35150] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2386), 1,
      aux_sym_binary_expression_token1,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35201] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2252), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [35288] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [35359] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [35440] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1125), 1,
      sym_text_interpolation,
    ACTIONS(2142), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2140), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35489] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2176), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [35554] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1127), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [35639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1128), 1,
      sym_text_interpolation,
    ACTIONS(2192), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2190), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [35688] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1129), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [35775] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1130), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2206), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [35862] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1131), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [35923] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    STATE(1132), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36006] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2170), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2168), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36055] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1134), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [36132] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2188), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2186), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36181] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1136), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [36256] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [36327] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_QMARK,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1138), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [36408] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36495] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1140), 1,
      sym_text_interpolation,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [36550] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1141), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2176), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [36615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1142), 1,
      sym_text_interpolation,
    ACTIONS(1895), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1893), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [36664] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1881), 1,
      anon_sym_LPAREN2,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(2388), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1143), 1,
      sym_text_interpolation,
    STATE(1245), 1,
      sym_visibility_modifier,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1582), 1,
      sym__types,
    STATE(1749), 1,
      sym_type,
    STATE(2180), 1,
      sym_reference_modifier,
    STATE(2184), 1,
      sym_variable_name,
    STATE(2647), 1,
      sym_namespace_name,
    ACTIONS(250), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [36745] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1144), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [36832] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1145), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [36893] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1146), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 21,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [36950] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [37009] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 19,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [37068] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    STATE(1149), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37119] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(1620), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1618), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37168] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37217] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37304] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1153), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37391] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37472] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1155), 1,
      sym_text_interpolation,
    ACTIONS(2184), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2182), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37521] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37602] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(2138), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2136), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [37651] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1158), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [37738] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    STATE(1159), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37819] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1160), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [37900] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [37987] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1162), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38074] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1163), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [38161] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [38230] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1165), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38311] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2392), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2397), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2400), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2403), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2406), 1,
      sym_var_modifier,
    STATE(1338), 1,
      sym__modifier,
    STATE(1166), 2,
      sym_text_interpolation,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2395), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2409), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2390), 17,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [38376] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1167), 1,
      sym_text_interpolation,
    ACTIONS(2166), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2164), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38425] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1168), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38506] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1169), 1,
      sym_text_interpolation,
    ACTIONS(1929), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1927), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38555] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [38612] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1171), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [38685] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2180), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2178), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [38734] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2270), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1173), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38815] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1174), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [38896] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
  [38983] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1176), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [39070] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1177), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      sym__modifier,
    STATE(1399), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1433), 1,
      sym__const_declaration,
    ACTIONS(2384), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(2382), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [39127] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2274), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39213] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1179), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2288), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39299] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2270), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1180), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2268), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39379] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 10,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [39455] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2276), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39541] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1183), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2206), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39627] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1184), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2272), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39713] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1185), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39793] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1186), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2296), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [39873] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2286), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [39959] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1188), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2292), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40045] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2290), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40131] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40211] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2452), 1,
      anon_sym_EQ_GT,
    STATE(1191), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2152), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40299] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1192), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 6,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [40383] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1193), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2252), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40469] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [40519] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2266), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [40599] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1196), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2284), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
  [40685] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2176), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2174), 16,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [40749] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 17,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [40809] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [40877] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 12,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [40947] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [41021] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_QMARK,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2278), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [41101] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 20,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [41157] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 22,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [41211] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2176), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 11,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [41283] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1206), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2174), 18,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DOT,
  [41341] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2176), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2174), 23,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [41391] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1208), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2174), 7,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [41473] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1209), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2282), 8,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [41553] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1210), 1,
      sym_text_interpolation,
    STATE(2337), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2454), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41642] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1211), 1,
      sym_text_interpolation,
    STATE(2357), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2458), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41731] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1212), 1,
      sym_text_interpolation,
    STATE(2490), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2460), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41820] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1213), 1,
      sym_text_interpolation,
    STATE(2353), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2462), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41909] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1214), 1,
      sym_text_interpolation,
    STATE(2339), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2464), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [41998] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1215), 1,
      sym_text_interpolation,
    ACTIONS(2150), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2148), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [42047] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(2466), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [42132] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1217), 1,
      sym_text_interpolation,
    STATE(2305), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2468), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42221] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1218), 1,
      sym_text_interpolation,
    STATE(2412), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2470), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42310] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1219), 1,
      sym_text_interpolation,
    ACTIONS(2146), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2144), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [42359] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    STATE(1220), 1,
      sym_text_interpolation,
    STATE(2342), 1,
      sym_property_hook_list,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2472), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42448] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2474), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42532] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2476), 1,
      anon_sym_EQ_GT,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(2152), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42618] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2478), 1,
      anon_sym_EQ_GT,
    STATE(1223), 1,
      sym_text_interpolation,
    ACTIONS(2152), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42704] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2480), 1,
      anon_sym_COMMA,
    ACTIONS(2482), 1,
      anon_sym_EQ_GT,
    STATE(1224), 1,
      sym_text_interpolation,
    STATE(2224), 1,
      aux_sym_match_condition_list_repeat1,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42792] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2486), 1,
      anon_sym_COMMA,
    STATE(1225), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42878] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(572), 1,
      sym__semicolon,
    STATE(1226), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [42964] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1227), 1,
      sym_text_interpolation,
    STATE(1454), 1,
      sym__semicolon,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43050] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1228), 1,
      sym_text_interpolation,
    STATE(2053), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43136] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(574), 1,
      sym__semicolon,
    STATE(1229), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43222] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1230), 1,
      sym_text_interpolation,
    STATE(1289), 1,
      sym_readonly_modifier,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym__types,
    STATE(1894), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1748), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43296] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2488), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1231), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym__types,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1567), 1,
      sym_type,
    STATE(1746), 1,
      sym_const_element,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43368] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(556), 1,
      sym__semicolon,
    STATE(1232), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43454] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(575), 1,
      sym__semicolon,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43540] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2490), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43624] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2488), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1235), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym__types,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1618), 1,
      sym_type,
    STATE(1785), 1,
      sym_const_element,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43696] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1236), 1,
      sym_text_interpolation,
    STATE(2059), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43782] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1237), 1,
      sym_text_interpolation,
    STATE(2063), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [43868] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2488), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1238), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym__types,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1564), 1,
      sym_type,
    STATE(1835), 1,
      sym_const_element,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [43940] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2486), 1,
      anon_sym_COMMA,
    STATE(1239), 1,
      sym_text_interpolation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44026] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2488), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1240), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym__types,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1612), 1,
      sym_type,
    STATE(1724), 1,
      sym_const_element,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44098] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1241), 1,
      sym_text_interpolation,
    STATE(1445), 1,
      sym__semicolon,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44184] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1242), 1,
      sym_text_interpolation,
    STATE(2232), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44270] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2494), 1,
      anon_sym_EQ_GT,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(2152), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44356] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_AMP,
    ACTIONS(2342), 1,
      anon_sym_PIPE,
    ACTIONS(2346), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2348), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2362), 1,
      anon_sym_GT_EQ,
    ACTIONS(2366), 1,
      anon_sym_DOT,
    ACTIONS(2370), 1,
      anon_sym_PERCENT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2376), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2378), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2380), 1,
      aux_sym_binary_expression_token4,
    STATE(1244), 1,
      sym_text_interpolation,
    STATE(1802), 1,
      sym__semicolon,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2356), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2364), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2368), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2360), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2358), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44442] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(246), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1245), 1,
      sym_text_interpolation,
    STATE(1282), 1,
      sym_readonly_modifier,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym__types,
    STATE(1915), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1764), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [44516] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1246), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44599] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2500), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44682] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2504), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2510), 1,
      anon_sym_RBRACE,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1107), 1,
      sym_final_modifier,
    STATE(1248), 1,
      sym_text_interpolation,
    STATE(1263), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_list,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1435), 1,
      sym__member_declaration,
    STATE(1436), 1,
      sym__class_const_declaration,
    STATE(1437), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1438), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [44771] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1249), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2522), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44854] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2524), 1,
      anon_sym_EQ_GT,
    ACTIONS(2526), 1,
      anon_sym_RPAREN2,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [44939] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1251), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45022] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2504), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2530), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1107), 1,
      sym_final_modifier,
    STATE(1252), 1,
      sym_text_interpolation,
    STATE(1271), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_list,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1435), 1,
      sym__member_declaration,
    STATE(1436), 1,
      sym__class_const_declaration,
    STATE(1437), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1438), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45111] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1253), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2532), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45194] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2484), 1,
      anon_sym_SEMI,
    ACTIONS(2534), 1,
      anon_sym_COMMA,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45279] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2536), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45362] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2504), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2538), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1107), 1,
      sym_final_modifier,
    STATE(1256), 1,
      sym_text_interpolation,
    STATE(1262), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_list,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1435), 1,
      sym__member_declaration,
    STATE(1436), 1,
      sym__class_const_declaration,
    STATE(1437), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1438), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45451] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2540), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45534] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1258), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2542), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45617] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2544), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45700] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2546), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [45783] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2504), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2548), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1107), 1,
      sym_final_modifier,
    STATE(1252), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1261), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_list,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1435), 1,
      sym__member_declaration,
    STATE(1436), 1,
      sym__class_const_declaration,
    STATE(1437), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1438), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45872] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2504), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2550), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1107), 1,
      sym_final_modifier,
    STATE(1262), 1,
      sym_text_interpolation,
    STATE(1271), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_list,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1435), 1,
      sym__member_declaration,
    STATE(1436), 1,
      sym__class_const_declaration,
    STATE(1437), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1438), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [45961] = 27,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2504), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2552), 1,
      anon_sym_RBRACE,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1107), 1,
      sym_final_modifier,
    STATE(1263), 1,
      sym_text_interpolation,
    STATE(1271), 1,
      aux_sym_declaration_list_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_list,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1435), 1,
      sym__member_declaration,
    STATE(1436), 1,
      sym__class_const_declaration,
    STATE(1437), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1438), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46050] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2484), 1,
      anon_sym_RPAREN2,
    ACTIONS(2554), 1,
      anon_sym_COMMA,
    STATE(1264), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46135] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2492), 1,
      anon_sym_SEMI,
    ACTIONS(2534), 1,
      anon_sym_COMMA,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46220] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1266), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2556), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46303] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1267), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2558), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46386] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    ACTIONS(2492), 1,
      anon_sym_RPAREN2,
    ACTIONS(2554), 1,
      anon_sym_COMMA,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46471] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2560), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46554] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1270), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2562), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46637] = 26,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2564), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2567), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2570), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2573), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2576), 1,
      anon_sym_RBRACE,
    ACTIONS(2578), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2581), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2584), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2587), 1,
      sym_var_modifier,
    ACTIONS(2593), 1,
      anon_sym_POUND_LBRACK,
    STATE(719), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1107), 1,
      sym_final_modifier,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1373), 1,
      sym_attribute_list,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1435), 1,
      sym__member_declaration,
    STATE(1436), 1,
      sym__class_const_declaration,
    STATE(1437), 1,
      sym__const_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1271), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(2590), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1438), 3,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [46724] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2596), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46807] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2412), 1,
      anon_sym_AMP,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2416), 1,
      anon_sym_PIPE,
    ACTIONS(2420), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2422), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2424), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2426), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2428), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2430), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2432), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2434), 1,
      anon_sym_CARET,
    ACTIONS(2442), 1,
      anon_sym_GT_EQ,
    ACTIONS(2446), 1,
      anon_sym_DOT,
    ACTIONS(2450), 1,
      anon_sym_PERCENT,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2436), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2444), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2598), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(2440), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2438), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46890] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2600), 1,
      anon_sym_RBRACK,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [46972] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2602), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47054] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2604), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47136] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2606), 1,
      anon_sym_EQ_GT,
    STATE(1277), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47218] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2608), 1,
      anon_sym_RBRACE,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47300] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2610), 1,
      anon_sym_RBRACE,
    STATE(1279), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47382] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2612), 1,
      anon_sym_RBRACK,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47464] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2614), 1,
      anon_sym_RPAREN2,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47546] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1282), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym__types,
    STATE(1950), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1778), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [47614] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2616), 1,
      anon_sym_RBRACK,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47696] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2618), 1,
      anon_sym_RBRACE,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47778] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2620), 1,
      anon_sym_RBRACE,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47860] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2622), 1,
      anon_sym_RBRACK,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [47942] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2624), 1,
      anon_sym_RBRACE,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48024] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2626), 1,
      anon_sym_EQ_GT,
    STATE(1288), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48106] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1289), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1686), 1,
      sym__types,
    STATE(1912), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1762), 2,
      sym_variable_name,
      sym_by_ref,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [48174] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2628), 1,
      anon_sym_RBRACK,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48256] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2630), 1,
      anon_sym_RBRACK,
    STATE(1291), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48338] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2632), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48420] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2634), 1,
      anon_sym_COLON,
    STATE(1293), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48502] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2636), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48584] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    STATE(1295), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48666] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2640), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48748] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2642), 1,
      anon_sym_RBRACE,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48830] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2644), 1,
      anon_sym_RBRACE,
    STATE(1298), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48912] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2646), 1,
      anon_sym_EQ_GT,
    STATE(1299), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [48994] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2648), 1,
      anon_sym_COLON,
    STATE(1300), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49076] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2650), 1,
      anon_sym_RBRACE,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49158] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2652), 1,
      anon_sym_RBRACK,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49240] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2654), 1,
      anon_sym_RBRACK,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49322] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2656), 1,
      anon_sym_RBRACE,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49404] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2662), 1,
      anon_sym_LPAREN,
    STATE(1305), 1,
      sym_text_interpolation,
    ACTIONS(2660), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(2658), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_LPAREN2,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [49450] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2664), 1,
      anon_sym_RBRACE,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49532] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    STATE(1307), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49614] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2668), 1,
      anon_sym_RBRACK,
    STATE(1308), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49696] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2670), 1,
      anon_sym_RPAREN2,
    STATE(1309), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49778] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2526), 1,
      anon_sym_RPAREN2,
    STATE(1310), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49860] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(1311), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [49942] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2674), 1,
      anon_sym_RBRACE,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50024] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2676), 1,
      anon_sym_RPAREN2,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50106] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2678), 1,
      anon_sym_RPAREN2,
    STATE(1314), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50188] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2680), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1315), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50270] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2682), 1,
      anon_sym_RPAREN2,
    STATE(1316), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50352] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2684), 1,
      anon_sym_COLON,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50434] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2686), 1,
      anon_sym_RBRACE,
    STATE(1318), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50516] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2688), 1,
      anon_sym_RPAREN2,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50598] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50680] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2692), 1,
      anon_sym_RBRACE,
    STATE(1321), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50762] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50844] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2696), 1,
      anon_sym_COLON,
    STATE(1323), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [50926] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2698), 1,
      anon_sym_RBRACK,
    STATE(1324), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51008] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2298), 1,
      anon_sym_AMP,
    ACTIONS(2302), 1,
      anon_sym_QMARK,
    ACTIONS(2304), 1,
      anon_sym_PIPE,
    ACTIONS(2308), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2314), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2316), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2318), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2330), 1,
      anon_sym_GT_EQ,
    ACTIONS(2334), 1,
      anon_sym_DOT,
    ACTIONS(2338), 1,
      anon_sym_PERCENT,
    ACTIONS(2700), 1,
      anon_sym_RBRACK,
    STATE(1325), 1,
      sym_text_interpolation,
    ACTIONS(2306), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2324), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2332), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2328), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2326), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51090] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51172] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_AMP,
    ACTIONS(2226), 1,
      anon_sym_PIPE,
    ACTIONS(2230), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2232), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2234), 1,
      anon_sym_CARET,
    ACTIONS(2242), 1,
      anon_sym_GT_EQ,
    ACTIONS(2246), 1,
      anon_sym_DOT,
    ACTIONS(2250), 1,
      anon_sym_PERCENT,
    ACTIONS(2254), 1,
      anon_sym_QMARK,
    ACTIONS(2256), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(2258), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(2260), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(2262), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(2264), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2704), 1,
      anon_sym_RPAREN2,
    STATE(1327), 1,
      sym_text_interpolation,
    ACTIONS(2228), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2236), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2244), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2248), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(2238), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [51254] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1328), 1,
      sym_text_interpolation,
    ACTIONS(2708), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2706), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51297] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2710), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2713), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2716), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2719), 1,
      anon_sym_RBRACE,
    ACTIONS(2721), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2724), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2727), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2730), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2733), 1,
      sym_var_modifier,
    ACTIONS(2739), 1,
      anon_sym_POUND_LBRACK,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1380), 1,
      sym_attribute_list,
    STATE(1387), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1440), 1,
      sym__enum_member_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    STATE(1329), 2,
      sym_text_interpolation,
      aux_sym_enum_declaration_list_repeat1,
    ACTIONS(2736), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51376] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2504), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2742), 1,
      anon_sym_RBRACE,
    ACTIONS(2744), 1,
      aux_sym_enum_case_token1,
    STATE(1330), 1,
      sym_text_interpolation,
    STATE(1331), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1380), 1,
      sym_attribute_list,
    STATE(1387), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1440), 1,
      sym__enum_member_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51457] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2504), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2744), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1331), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1380), 1,
      sym_attribute_list,
    STATE(1387), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1440), 1,
      sym__enum_member_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51538] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1332), 1,
      sym_text_interpolation,
    ACTIONS(2750), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2748), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51581] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2504), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2744), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    STATE(1329), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1333), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1380), 1,
      sym_attribute_list,
    STATE(1387), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1440), 1,
      sym__enum_member_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51662] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2504), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2744), 1,
      aux_sym_enum_case_token1,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_enum_declaration_list_repeat1,
    STATE(1334), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      sym__modifier,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1380), 1,
      sym_attribute_list,
    STATE(1387), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1440), 1,
      sym__enum_member_declaration,
    STATE(1754), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1441), 3,
      sym_enum_case,
      sym_method_declaration,
      sym_use_declaration,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [51743] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1335), 1,
      sym_text_interpolation,
    ACTIONS(2758), 4,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2756), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51786] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1336), 1,
      sym_text_interpolation,
    ACTIONS(1810), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2760), 26,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51829] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1337), 1,
      sym_text_interpolation,
    ACTIONS(2764), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2762), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51871] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1338), 1,
      sym_text_interpolation,
    ACTIONS(2768), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2766), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1339), 1,
      sym_text_interpolation,
    ACTIONS(2384), 3,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOLLAR,
    ACTIONS(2382), 25,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_string,
      anon_sym_int,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [51955] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1828), 1,
      anon_sym_LPAREN2,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2770), 1,
      sym_bottom_type,
    STATE(1340), 1,
      sym_text_interpolation,
    STATE(1457), 1,
      sym__types,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(2448), 1,
      sym_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(1533), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52016] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    ACTIONS(2776), 1,
      anon_sym_LPAREN2,
    ACTIONS(2778), 1,
      anon_sym_QMARK,
    ACTIONS(2780), 1,
      sym_bottom_type,
    STATE(1341), 1,
      sym_text_interpolation,
    STATE(1551), 1,
      sym__types,
    STATE(1819), 1,
      sym_qualified_name,
    STATE(2012), 1,
      sym_type,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1820), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    STATE(2284), 3,
      sym_union_type,
      sym_intersection_type,
      sym_disjunctive_normal_form_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52077] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_POUND_LBRACK,
    STATE(1342), 1,
      sym_text_interpolation,
    STATE(1343), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1347), 1,
      sym_attribute_group,
    ACTIONS(2784), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2782), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52122] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_POUND_LBRACK,
    STATE(1347), 1,
      sym_attribute_group,
    STATE(1343), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2788), 5,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2786), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52165] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1344), 1,
      sym_text_interpolation,
    ACTIONS(2795), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2793), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52202] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1345), 1,
      sym_text_interpolation,
    ACTIONS(2799), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2797), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52239] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1346), 1,
      sym_text_interpolation,
    ACTIONS(2803), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2801), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52276] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1347), 1,
      sym_text_interpolation,
    ACTIONS(2807), 6,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND_LBRACK,
      anon_sym_DOLLAR,
    ACTIONS(2805), 17,
      anon_sym_string,
      anon_sym_int,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
      sym_name,
  [52313] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2809), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2811), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2813), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2815), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2817), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(2819), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1348), 1,
      sym_text_interpolation,
    STATE(1389), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1502), 1,
      sym_static_modifier,
    STATE(2414), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [52379] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1349), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(2094), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2723), 1,
      sym_intersection_type,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52429] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2821), 1,
      anon_sym_LPAREN2,
    STATE(1350), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1528), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52479] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1351), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(2094), 1,
      sym__types,
    STATE(2572), 1,
      sym_intersection_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52529] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(2821), 1,
      anon_sym_LPAREN2,
    STATE(1352), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1528), 1,
      sym__types,
    STATE(2647), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52579] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1353), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(2094), 1,
      sym__types,
    STATE(2543), 1,
      sym_intersection_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52629] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1354), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(2094), 1,
      sym__types,
    STATE(2571), 1,
      sym_intersection_type,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52679] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    ACTIONS(2778), 1,
      anon_sym_QMARK,
    ACTIONS(2823), 1,
      anon_sym_LPAREN2,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      sym_qualified_name,
    STATE(1888), 1,
      sym__types,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1820), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52729] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    ACTIONS(2100), 1,
      sym_name,
    ACTIONS(2102), 1,
      anon_sym_BSLASH,
    ACTIONS(2104), 1,
      anon_sym_LPAREN2,
    STATE(780), 1,
      sym__new_variable,
    STATE(784), 1,
      sym__variable_member_access_expression,
    STATE(814), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(815), 1,
      sym__variable_scoped_property_access_expression,
    STATE(901), 1,
      sym__name,
    STATE(904), 1,
      sym__reserved_identifier,
    STATE(987), 1,
      sym_parenthesized_expression,
    STATE(1022), 1,
      sym__class_name_reference,
    STATE(1356), 1,
      sym_text_interpolation,
    STATE(2654), 1,
      sym_namespace_name,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(839), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(903), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [52795] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    ACTIONS(2821), 1,
      anon_sym_LPAREN2,
    STATE(1357), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1513), 1,
      sym__types,
    STATE(2647), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52845] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    ACTIONS(2778), 1,
      anon_sym_QMARK,
    ACTIONS(2823), 1,
      anon_sym_LPAREN2,
    STATE(1358), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      sym_qualified_name,
    STATE(1852), 1,
      sym__types,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1820), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52895] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    ACTIONS(2821), 1,
      anon_sym_LPAREN2,
    STATE(1359), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1513), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52945] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1360), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(2094), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(2737), 1,
      sym_intersection_type,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [52995] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    ACTIONS(2080), 1,
      sym_name,
    ACTIONS(2084), 1,
      anon_sym_BSLASH,
    ACTIONS(2088), 1,
      anon_sym_LPAREN2,
    STATE(975), 1,
      sym__variable_scoped_property_access_expression,
    STATE(979), 1,
      sym__variable_nullsafe_member_access_expression,
    STATE(986), 1,
      sym__new_variable,
    STATE(1008), 1,
      sym__variable_member_access_expression,
    STATE(1045), 1,
      sym__reserved_identifier,
    STATE(1047), 1,
      sym__name,
    STATE(1052), 1,
      sym_parenthesized_expression,
    STATE(1151), 1,
      sym__class_name_reference,
    STATE(1361), 1,
      sym_text_interpolation,
    STATE(2567), 1,
      sym_namespace_name,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(973), 2,
      sym__variable_subscript_expression,
      sym__simple_variable,
    STATE(1044), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [53061] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2809), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2819), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(2825), 1,
      aux_sym_trait_declaration_token1,
    ACTIONS(2827), 1,
      aux_sym_interface_declaration_token1,
    ACTIONS(2829), 1,
      aux_sym_enum_declaration_token1,
    ACTIONS(2831), 1,
      aux_sym_class_declaration_token1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1362), 1,
      sym_text_interpolation,
    STATE(1392), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1502), 1,
      sym_static_modifier,
    STATE(2435), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 4,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_visibility_modifier,
  [53127] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2788), 1,
      anon_sym_AMP,
    ACTIONS(2833), 1,
      anon_sym_POUND_LBRACK,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1363), 2,
      sym_text_interpolation,
      aux_sym_attribute_list_repeat1,
    ACTIONS(2786), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53166] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1364), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1524), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53213] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(2784), 1,
      anon_sym_AMP,
    STATE(1363), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1365), 1,
      sym_text_interpolation,
    STATE(1378), 1,
      sym_attribute_group,
    ACTIONS(2782), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53254] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    STATE(1366), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1524), 1,
      sym__types,
    STATE(2647), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53301] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    ACTIONS(2778), 1,
      anon_sym_QMARK,
    STATE(1367), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      sym_qualified_name,
    STATE(1853), 1,
      sym__types,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1820), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53348] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    ACTIONS(1887), 1,
      anon_sym_QMARK,
    STATE(1368), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1518), 1,
      sym__types,
    STATE(2647), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53395] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1830), 1,
      anon_sym_QMARK,
    STATE(1369), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1518), 1,
      sym__types,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1499), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53442] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    ACTIONS(2778), 1,
      anon_sym_QMARK,
    STATE(1370), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      sym_qualified_name,
    STATE(1896), 1,
      sym__types,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1820), 3,
      sym_named_type,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53489] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1371), 1,
      sym_text_interpolation,
    STATE(1716), 1,
      sym_static_variable_declaration,
    STATE(1854), 1,
      sym_variable_name,
    ACTIONS(1652), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1810), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53531] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1372), 1,
      sym_text_interpolation,
    STATE(1788), 1,
      sym_static_variable_declaration,
    STATE(1854), 1,
      sym_variable_name,
    ACTIONS(1652), 4,
      anon_sym_LPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1810), 12,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
  [53573] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2508), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    STATE(722), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1177), 1,
      sym_final_modifier,
    STATE(1338), 1,
      sym__modifier,
    STATE(1373), 1,
      sym_text_interpolation,
    STATE(1449), 1,
      sym__const_declaration,
    STATE(1765), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 4,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1374), 1,
      sym_text_interpolation,
    ACTIONS(2799), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2797), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53663] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1375), 1,
      sym_text_interpolation,
    ACTIONS(2795), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2793), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53696] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1376), 1,
      sym_text_interpolation,
    ACTIONS(2803), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2801), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1377), 1,
      sym_text_interpolation,
    ACTIONS(1106), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
      aux_sym_else_clause_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1104), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [53762] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1378), 1,
      sym_text_interpolation,
    ACTIONS(2807), 2,
      anon_sym_AMP,
      anon_sym_POUND_LBRACK,
    ACTIONS(2805), 17,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_trait_declaration_token1,
      aux_sym_interface_declaration_token1,
      aux_sym_enum_declaration_token1,
      aux_sym_enum_case_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym__arrow_function_header_token1,
      sym_name,
  [53795] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    STATE(1379), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1500), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53835] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2838), 1,
      aux_sym_enum_case_token1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1380), 1,
      sym_text_interpolation,
    STATE(1383), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1765), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [53887] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1818), 1,
      sym_name,
    ACTIONS(1879), 1,
      anon_sym_BSLASH,
    STATE(1381), 1,
      sym_text_interpolation,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(2647), 1,
      sym_namespace_name,
    STATE(1500), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(1826), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53927] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2772), 1,
      sym_name,
    STATE(1382), 1,
      sym_text_interpolation,
    STATE(1819), 1,
      sym_qualified_name,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1827), 2,
      sym_named_type,
      sym_primitive_type,
    ACTIONS(2774), 12,
      anon_sym_string,
      anon_sym_int,
      anon_sym_array,
      aux_sym_primitive_type_token1,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_void,
      anon_sym_mixed,
      anon_sym_false,
      anon_sym_null,
      anon_sym_true,
  [53967] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1383), 1,
      sym_text_interpolation,
    STATE(1781), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54016] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2840), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2842), 1,
      aux_sym_class_declaration_token1,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1384), 1,
      sym_text_interpolation,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54065] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2844), 1,
      aux_sym__namespace_use_type_token2,
    ACTIONS(2846), 1,
      aux_sym_class_declaration_token1,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54114] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(611), 1,
      sym_integer,
    ACTIONS(641), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2848), 1,
      sym_float,
    ACTIONS(2850), 1,
      aux_sym__argument_name_token1,
    ACTIONS(2852), 1,
      aux_sym__argument_name_token2,
    STATE(1386), 1,
      sym_text_interpolation,
    STATE(2668), 1,
      sym_literal,
    ACTIONS(637), 2,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
    ACTIONS(639), 2,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
    STATE(1011), 3,
      sym_boolean,
      sym_null,
      sym__string,
    STATE(806), 4,
      sym_encapsed_string,
      sym_string,
      sym_heredoc,
      sym_nowdoc,
  [54161] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2506), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1387), 1,
      sym_text_interpolation,
    STATE(1767), 1,
      sym__function_definition_header,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54210] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2854), 1,
      anon_sym_LBRACE,
    ACTIONS(2860), 1,
      anon_sym_BSLASHu,
    ACTIONS(2863), 1,
      sym__new_line,
    ACTIONS(2866), 1,
      anon_sym_DOLLAR,
    ACTIONS(2869), 1,
      sym_heredoc_end,
    STATE(1403), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1514), 1,
      sym_variable_name,
    STATE(1593), 1,
      sym_dynamic_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2857), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1388), 2,
      sym_text_interpolation,
      aux_sym_heredoc_body_repeat1,
    STATE(1609), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1610), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54260] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2871), 1,
      aux_sym_class_declaration_token1,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1389), 1,
      sym_text_interpolation,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54306] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2873), 1,
      aux_sym_class_declaration_token1,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54352] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2875), 1,
      aux_sym_class_declaration_token1,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1391), 1,
      sym_text_interpolation,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54398] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2877), 1,
      aux_sym_class_declaration_token1,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1392), 1,
      sym_text_interpolation,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54444] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2879), 1,
      aux_sym_class_declaration_token1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1393), 1,
      sym_text_interpolation,
    STATE(1394), 1,
      aux_sym_class_declaration_repeat1,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54490] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2881), 1,
      aux_sym_class_declaration_token1,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54536] = 16,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2883), 1,
      anon_sym_LBRACE,
    ACTIONS(2887), 1,
      anon_sym_BSLASHu,
    ACTIONS(2889), 1,
      sym__new_line,
    ACTIONS(2892), 1,
      anon_sym_DOLLAR,
    ACTIONS(2894), 1,
      sym_heredoc_end,
    STATE(1388), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1395), 1,
      sym_text_interpolation,
    STATE(1403), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1514), 1,
      sym_variable_name,
    STATE(1593), 1,
      sym_dynamic_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1609), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1610), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54588] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1396), 1,
      sym_text_interpolation,
    ACTIONS(2896), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_cast_type_token1,
      aux_sym__new_non_dereferencable_expression_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1731), 10,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      aux_sym_encapsed_string_token1,
      anon_sym_DQUOTE,
      aux_sym_string_token1,
      anon_sym_SQUOTE,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR,
  [54618] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2898), 1,
      aux_sym_class_declaration_token1,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1397), 1,
      sym_text_interpolation,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54664] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2900), 1,
      aux_sym_class_declaration_token1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1390), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1398), 1,
      sym_text_interpolation,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54710] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2512), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(2514), 1,
      aux_sym_abstract_modifier_token1,
    ACTIONS(2516), 1,
      aux_sym_readonly_modifier_token1,
    ACTIONS(2518), 1,
      sym_var_modifier,
    ACTIONS(2840), 1,
      aux_sym__namespace_use_type_token2,
    STATE(1166), 1,
      aux_sym_class_declaration_repeat1,
    STATE(1338), 1,
      sym__modifier,
    STATE(1399), 1,
      sym_text_interpolation,
    ACTIONS(2520), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(1339), 5,
      sym_final_modifier,
      sym_abstract_modifier,
      sym_readonly_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
  [54756] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2883), 1,
      anon_sym_LBRACE,
    ACTIONS(2887), 1,
      anon_sym_BSLASHu,
    ACTIONS(2892), 1,
      anon_sym_DOLLAR,
    STATE(1400), 1,
      sym_text_interpolation,
    STATE(1401), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1514), 1,
      sym_variable_name,
    STATE(1593), 1,
      sym_dynamic_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2869), 2,
      sym_heredoc_end,
      sym__new_line,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1609), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1610), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54803] = 13,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2902), 1,
      anon_sym_LBRACE,
    ACTIONS(2908), 1,
      anon_sym_BSLASHu,
    ACTIONS(2913), 1,
      anon_sym_DOLLAR,
    STATE(1514), 1,
      sym_variable_name,
    STATE(1593), 1,
      sym_dynamic_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2905), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2911), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1401), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1609), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1610), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54848] = 15,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2883), 1,
      anon_sym_LBRACE,
    ACTIONS(2887), 1,
      anon_sym_BSLASHu,
    ACTIONS(2892), 1,
      anon_sym_DOLLAR,
    ACTIONS(2916), 1,
      sym__new_line,
    STATE(1395), 1,
      aux_sym_heredoc_body_repeat1,
    STATE(1402), 1,
      sym_text_interpolation,
    STATE(1403), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1514), 1,
      sym_variable_name,
    STATE(1593), 1,
      sym_dynamic_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1609), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1610), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54897] = 14,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2883), 1,
      anon_sym_LBRACE,
    ACTIONS(2887), 1,
      anon_sym_BSLASHu,
    ACTIONS(2892), 1,
      anon_sym_DOLLAR,
    STATE(1401), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1403), 1,
      sym_text_interpolation,
    STATE(1514), 1,
      sym_variable_name,
    STATE(1593), 1,
      sym_dynamic_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    ACTIONS(2918), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1609), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1610), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [54944] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1404), 1,
      sym_text_interpolation,
    ACTIONS(2920), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54970] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1405), 1,
      sym_text_interpolation,
    ACTIONS(2922), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [54996] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2924), 1,
      anon_sym_LBRACE,
    ACTIONS(2930), 1,
      anon_sym_BSLASHu,
    ACTIONS(2933), 1,
      anon_sym_DQUOTE,
    ACTIONS(2935), 1,
      anon_sym_DOLLAR,
    STATE(1535), 1,
      sym_variable_name,
    STATE(1679), 1,
      sym__simple_string_member_access_expression,
    STATE(1702), 1,
      sym_dynamic_variable_name,
    ACTIONS(2927), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1406), 2,
      sym_text_interpolation,
      aux_sym__interpolated_string_body,
    STATE(1678), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1680), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55040] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    ACTIONS(2942), 1,
      anon_sym_BSLASHu,
    ACTIONS(2944), 1,
      anon_sym_DQUOTE,
    ACTIONS(2946), 1,
      anon_sym_DOLLAR,
    STATE(1406), 1,
      aux_sym__interpolated_string_body,
    STATE(1407), 1,
      sym_text_interpolation,
    STATE(1535), 1,
      sym_variable_name,
    STATE(1679), 1,
      sym__simple_string_member_access_expression,
    STATE(1702), 1,
      sym_dynamic_variable_name,
    ACTIONS(2940), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1678), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1680), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55086] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_LBRACE,
    ACTIONS(2954), 1,
      anon_sym_BSLASHu,
    ACTIONS(2957), 1,
      anon_sym_BQUOTE,
    ACTIONS(2959), 1,
      anon_sym_DOLLAR,
    STATE(1538), 1,
      sym_variable_name,
    STATE(1646), 1,
      sym__simple_string_member_access_expression,
    STATE(1707), 1,
      sym_dynamic_variable_name,
    ACTIONS(2951), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1408), 2,
      sym_text_interpolation,
      aux_sym__interpolated_execution_operator_body,
    STATE(1645), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1669), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55130] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2968), 1,
      anon_sym_BQUOTE,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    STATE(1408), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1409), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_variable_name,
    STATE(1646), 1,
      sym__simple_string_member_access_expression,
    STATE(1707), 1,
      sym_dynamic_variable_name,
    ACTIONS(2964), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1645), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1669), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55176] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    ACTIONS(2972), 1,
      anon_sym_BQUOTE,
    STATE(1410), 1,
      sym_text_interpolation,
    STATE(1411), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1538), 1,
      sym_variable_name,
    STATE(1646), 1,
      sym__simple_string_member_access_expression,
    STATE(1707), 1,
      sym_dynamic_variable_name,
    ACTIONS(2964), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1645), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1669), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55222] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    ACTIONS(2974), 1,
      anon_sym_BQUOTE,
    STATE(1408), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1411), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_variable_name,
    STATE(1646), 1,
      sym__simple_string_member_access_expression,
    STATE(1707), 1,
      sym_dynamic_variable_name,
    ACTIONS(2964), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1645), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1669), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55268] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    ACTIONS(2942), 1,
      anon_sym_BSLASHu,
    ACTIONS(2946), 1,
      anon_sym_DOLLAR,
    ACTIONS(2976), 1,
      anon_sym_DQUOTE,
    STATE(1406), 1,
      aux_sym__interpolated_string_body,
    STATE(1412), 1,
      sym_text_interpolation,
    STATE(1535), 1,
      sym_variable_name,
    STATE(1679), 1,
      sym__simple_string_member_access_expression,
    STATE(1702), 1,
      sym_dynamic_variable_name,
    ACTIONS(2940), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1678), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1680), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55314] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    ACTIONS(2942), 1,
      anon_sym_BSLASHu,
    ACTIONS(2946), 1,
      anon_sym_DOLLAR,
    ACTIONS(2978), 1,
      anon_sym_DQUOTE,
    STATE(1412), 1,
      aux_sym__interpolated_string_body,
    STATE(1413), 1,
      sym_text_interpolation,
    STATE(1535), 1,
      sym_variable_name,
    STATE(1679), 1,
      sym__simple_string_member_access_expression,
    STATE(1702), 1,
      sym_dynamic_variable_name,
    ACTIONS(2940), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1678), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1680), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55360] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1045), 1,
      sym__reserved_identifier,
    STATE(1414), 1,
      sym_text_interpolation,
    STATE(1730), 1,
      sym_namespace_use_clause,
    STATE(1856), 1,
      sym__name,
    STATE(2003), 1,
      sym__namespace_use_group,
    STATE(2662), 1,
      sym_namespace_name,
    ACTIONS(2980), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1044), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55404] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1415), 1,
      sym_text_interpolation,
    ACTIONS(2982), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55430] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACE,
    ACTIONS(2966), 1,
      anon_sym_BSLASHu,
    ACTIONS(2970), 1,
      anon_sym_DOLLAR,
    ACTIONS(2984), 1,
      anon_sym_BQUOTE,
    STATE(1409), 1,
      aux_sym__interpolated_execution_operator_body,
    STATE(1416), 1,
      sym_text_interpolation,
    STATE(1538), 1,
      sym_variable_name,
    STATE(1646), 1,
      sym__simple_string_member_access_expression,
    STATE(1707), 1,
      sym_dynamic_variable_name,
    ACTIONS(2964), 2,
      sym_execution_string_chars,
      sym_escape_sequence,
    STATE(1645), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1669), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55476] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1417), 1,
      sym_text_interpolation,
    ACTIONS(2986), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55502] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1045), 1,
      sym__reserved_identifier,
    STATE(1418), 1,
      sym_text_interpolation,
    STATE(1786), 1,
      sym_namespace_use_clause,
    STATE(1856), 1,
      sym__name,
    STATE(2058), 1,
      sym__namespace_use_group,
    STATE(2662), 1,
      sym_namespace_name,
    ACTIONS(2980), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1044), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [55546] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LBRACE,
    ACTIONS(2942), 1,
      anon_sym_BSLASHu,
    ACTIONS(2946), 1,
      anon_sym_DOLLAR,
    ACTIONS(2988), 1,
      anon_sym_DQUOTE,
    STATE(1407), 1,
      aux_sym__interpolated_string_body,
    STATE(1419), 1,
      sym_text_interpolation,
    STATE(1535), 1,
      sym_variable_name,
    STATE(1679), 1,
      sym__simple_string_member_access_expression,
    STATE(1702), 1,
      sym_dynamic_variable_name,
    ACTIONS(2940), 2,
      sym_encapsed_string_chars,
      sym_escape_sequence,
    STATE(1678), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
    STATE(1680), 2,
      sym__complex_string_part,
      sym__simple_string_part,
  [55592] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1420), 1,
      sym_text_interpolation,
    ACTIONS(2990), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55618] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1421), 1,
      sym_text_interpolation,
    ACTIONS(2992), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55644] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1422), 1,
      sym_text_interpolation,
    ACTIONS(2994), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55670] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1423), 1,
      sym_text_interpolation,
    ACTIONS(2996), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55696] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1424), 1,
      sym_text_interpolation,
    ACTIONS(2998), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55722] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1425), 1,
      sym_text_interpolation,
    ACTIONS(3000), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55748] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1426), 1,
      sym_text_interpolation,
    ACTIONS(3002), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55774] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1427), 1,
      sym_text_interpolation,
    ACTIONS(3004), 14,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55800] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1428), 1,
      sym_text_interpolation,
    ACTIONS(3006), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55825] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(3008), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55850] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1430), 1,
      sym_text_interpolation,
    ACTIONS(3010), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55875] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1431), 1,
      sym_text_interpolation,
    ACTIONS(3012), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55900] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1432), 1,
      sym_text_interpolation,
    ACTIONS(3014), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55925] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1433), 1,
      sym_text_interpolation,
    ACTIONS(3016), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55950] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1434), 1,
      sym_text_interpolation,
    ACTIONS(3018), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [55975] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1435), 1,
      sym_text_interpolation,
    ACTIONS(3020), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56000] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1436), 1,
      sym_text_interpolation,
    ACTIONS(3022), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56025] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1437), 1,
      sym_text_interpolation,
    ACTIONS(3024), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56050] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1438), 1,
      sym_text_interpolation,
    ACTIONS(3026), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56075] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1439), 1,
      sym_text_interpolation,
    ACTIONS(3028), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56100] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1440), 1,
      sym_text_interpolation,
    ACTIONS(3030), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56125] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1441), 1,
      sym_text_interpolation,
    ACTIONS(3032), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56150] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1442), 1,
      sym_text_interpolation,
    ACTIONS(3034), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56175] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1443), 1,
      sym_text_interpolation,
    ACTIONS(3036), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56200] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_BSLASHu,
    ACTIONS(3038), 1,
      anon_sym_LBRACE,
    ACTIONS(3040), 1,
      anon_sym_DOLLAR,
    STATE(1400), 1,
      aux_sym__interpolated_string_body_heredoc,
    STATE(1444), 1,
      sym_text_interpolation,
    STATE(1514), 1,
      sym_variable_name,
    STATE(1593), 1,
      sym_dynamic_variable_name,
    STATE(1611), 1,
      sym__simple_string_member_access_expression,
    ACTIONS(2885), 2,
      sym_encapsed_string_chars_heredoc,
      sym_escape_sequence,
    STATE(1609), 2,
      sym__complex_string_part,
      sym__simple_string_part,
    STATE(1610), 2,
      sym__simple_string_subscript_expression,
      sym__simple_variable,
  [56243] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1445), 1,
      sym_text_interpolation,
    ACTIONS(3042), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56268] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1446), 1,
      sym_text_interpolation,
    STATE(2257), 1,
      sym__name,
    STATE(2278), 1,
      sym_namespace_use_clause,
    STATE(2614), 1,
      sym_namespace_name,
    ACTIONS(3044), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56309] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1447), 1,
      sym_text_interpolation,
    ACTIONS(3046), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56334] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(3048), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56359] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1449), 1,
      sym_text_interpolation,
    ACTIONS(3050), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56384] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1450), 1,
      sym_text_interpolation,
    ACTIONS(3052), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56409] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1451), 1,
      sym_text_interpolation,
    STATE(2257), 1,
      sym__name,
    STATE(2393), 1,
      sym_namespace_use_clause,
    STATE(2614), 1,
      sym_namespace_name,
    ACTIONS(3044), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56450] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1452), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3054), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3056), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [56481] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1045), 1,
      sym__reserved_identifier,
    STATE(1453), 1,
      sym_text_interpolation,
    STATE(1856), 1,
      sym__name,
    STATE(2164), 1,
      sym_namespace_use_clause,
    STATE(2699), 1,
      sym_namespace_name,
    ACTIONS(3058), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
    STATE(1044), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56522] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1454), 1,
      sym_text_interpolation,
    ACTIONS(3060), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56547] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1455), 1,
      sym_text_interpolation,
    ACTIONS(3062), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym__namespace_use_type_token1,
      aux_sym__namespace_use_type_token2,
      anon_sym_RBRACE,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_POUND_LBRACK,
  [56572] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1456), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1678), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [56601] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_AMP,
    ACTIONS(3076), 1,
      anon_sym_PIPE,
    STATE(1457), 1,
      sym_text_interpolation,
    STATE(1504), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1517), 1,
      aux_sym_union_type_repeat1,
    STATE(1519), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3071), 3,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
    ACTIONS(3064), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [56637] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    STATE(593), 1,
      sym__member_name,
    STATE(615), 1,
      sym__reserved_identifier,
    STATE(1458), 1,
      sym_text_interpolation,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(607), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56675] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3084), 1,
      sym_name,
    ACTIONS(3086), 1,
      anon_sym_RBRACE,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1459), 1,
      sym_text_interpolation,
    STATE(1469), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1776), 1,
      sym_property_hook,
    STATE(1777), 1,
      sym_attribute_list,
    STATE(2117), 1,
      sym_final_modifier,
    STATE(2670), 1,
      sym_reference_modifier,
  [56721] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    ACTIONS(3088), 1,
      sym_name,
    STATE(595), 1,
      sym__member_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1460), 1,
      sym_text_interpolation,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(607), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56759] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    STATE(863), 1,
      sym__member_name,
    STATE(887), 1,
      sym__reserved_identifier,
    STATE(1461), 1,
      sym_text_interpolation,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(886), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56797] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    ACTIONS(3088), 1,
      sym_name,
    STATE(594), 1,
      sym__member_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1462), 1,
      sym_text_interpolation,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(607), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56835] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(3098), 1,
      anon_sym_RBRACK,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1463), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym__name,
    STATE(2361), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56875] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3102), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1464), 1,
      sym_text_interpolation,
    ACTIONS(2384), 10,
      aux_sym_function_static_declaration_token1,
      aux_sym__namespace_use_type_token2,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [56903] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    ACTIONS(3088), 1,
      sym_name,
    STATE(593), 1,
      sym__member_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1465), 1,
      sym_text_interpolation,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(607), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56941] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(760), 1,
      sym__identifier,
    STATE(988), 1,
      sym__simple_variable,
    STATE(1466), 1,
      sym_text_interpolation,
    STATE(2333), 1,
      sym__member_name,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [56981] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    ACTIONS(3088), 1,
      sym_name,
    STATE(604), 1,
      sym__member_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1467), 1,
      sym_text_interpolation,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(607), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57019] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(3106), 1,
      anon_sym_RBRACK,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1468), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym__name,
    STATE(2361), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57059] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3084), 1,
      sym_name,
    ACTIONS(3108), 1,
      anon_sym_RBRACE,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1469), 1,
      sym_text_interpolation,
    STATE(1481), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1776), 1,
      sym_property_hook,
    STATE(1777), 1,
      sym_attribute_list,
    STATE(2117), 1,
      sym_final_modifier,
    STATE(2670), 1,
      sym_reference_modifier,
  [57105] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3092), 1,
      sym_name,
    ACTIONS(3096), 1,
      anon_sym_LBRACE,
    STATE(854), 1,
      sym__member_name,
    STATE(887), 1,
      sym__reserved_identifier,
    STATE(1470), 1,
      sym_text_interpolation,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(886), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3094), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57143] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3110), 1,
      sym_name,
    ACTIONS(3114), 1,
      anon_sym_LBRACE,
    STATE(626), 1,
      sym__member_name,
    STATE(648), 1,
      sym__reserved_identifier,
    STATE(1471), 1,
      sym_text_interpolation,
    STATE(628), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3112), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57181] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(3116), 1,
      anon_sym_RBRACK,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1472), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym__name,
    STATE(2361), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57221] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(760), 1,
      sym__identifier,
    STATE(888), 1,
      sym__simple_variable,
    STATE(1473), 1,
      sym_text_interpolation,
    STATE(2317), 1,
      sym__member_name,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57261] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3110), 1,
      sym_name,
    ACTIONS(3114), 1,
      anon_sym_LBRACE,
    STATE(625), 1,
      sym__member_name,
    STATE(648), 1,
      sym__reserved_identifier,
    STATE(1474), 1,
      sym_text_interpolation,
    STATE(628), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3112), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57299] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3084), 1,
      sym_name,
    ACTIONS(3118), 1,
      anon_sym_RBRACE,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1475), 1,
      sym_text_interpolation,
    STATE(1486), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1776), 1,
      sym_property_hook,
    STATE(1777), 1,
      sym_attribute_list,
    STATE(2117), 1,
      sym_final_modifier,
    STATE(2670), 1,
      sym_reference_modifier,
  [57345] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(737), 1,
      sym__simple_variable,
    STATE(760), 1,
      sym__identifier,
    STATE(1476), 1,
      sym_text_interpolation,
    STATE(2354), 1,
      sym__member_name,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57385] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(899), 1,
      sym__member_name,
    STATE(934), 1,
      sym__reserved_identifier,
    STATE(1477), 1,
      sym_text_interpolation,
    STATE(925), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57423] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(907), 1,
      sym__member_name,
    STATE(934), 1,
      sym__reserved_identifier,
    STATE(1478), 1,
      sym_text_interpolation,
    STATE(925), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57461] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3126), 1,
      anon_sym_LBRACE,
    STATE(646), 1,
      sym__simple_variable,
    STATE(934), 1,
      sym__reserved_identifier,
    STATE(962), 1,
      sym__identifier,
    STATE(1479), 1,
      sym_text_interpolation,
    STATE(2483), 1,
      sym__member_name,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57501] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    ACTIONS(3128), 1,
      anon_sym_RBRACK,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1480), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym__name,
    STATE(2361), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57541] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3130), 1,
      sym_name,
    ACTIONS(3133), 1,
      anon_sym_AMP,
    ACTIONS(3136), 1,
      anon_sym_RBRACE,
    ACTIONS(3138), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(3141), 1,
      anon_sym_POUND_LBRACK,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1776), 1,
      sym_property_hook,
    STATE(1777), 1,
      sym_attribute_list,
    STATE(2117), 1,
      sym_final_modifier,
    STATE(2670), 1,
      sym_reference_modifier,
    STATE(1481), 2,
      sym_text_interpolation,
      aux_sym_property_hook_list_repeat1,
  [57585] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym__reserved_identifier,
    STATE(939), 1,
      sym__member_name,
    STATE(1482), 1,
      sym_text_interpolation,
    STATE(925), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57623] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3124), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym__reserved_identifier,
    STATE(945), 1,
      sym__member_name,
    STATE(1483), 1,
      sym_text_interpolation,
    STATE(925), 2,
      sym__simple_variable,
      sym__identifier,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57661] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(760), 1,
      sym__identifier,
    STATE(819), 1,
      sym__simple_variable,
    STATE(1484), 1,
      sym_text_interpolation,
    STATE(2374), 1,
      sym__member_name,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57701] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3144), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_LBRACE,
    STATE(718), 1,
      sym__member_name,
    STATE(734), 1,
      sym__reserved_identifier,
    STATE(1485), 1,
      sym_text_interpolation,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(732), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57739] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(318), 1,
      anon_sym_POUND_LBRACK,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3084), 1,
      sym_name,
    ACTIONS(3150), 1,
      anon_sym_RBRACE,
    STATE(1365), 1,
      aux_sym_attribute_list_repeat1,
    STATE(1378), 1,
      sym_attribute_group,
    STATE(1481), 1,
      aux_sym_property_hook_list_repeat1,
    STATE(1486), 1,
      sym_text_interpolation,
    STATE(1776), 1,
      sym_property_hook,
    STATE(1777), 1,
      sym_attribute_list,
    STATE(2117), 1,
      sym_final_modifier,
    STATE(2670), 1,
      sym_reference_modifier,
  [57785] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3078), 1,
      sym_name,
    ACTIONS(3082), 1,
      anon_sym_LBRACE,
    STATE(594), 1,
      sym__member_name,
    STATE(615), 1,
      sym__reserved_identifier,
    STATE(1487), 1,
      sym_text_interpolation,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(607), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3080), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57823] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3120), 1,
      sym_name,
    ACTIONS(3126), 1,
      anon_sym_LBRACE,
    STATE(888), 1,
      sym__simple_variable,
    STATE(934), 1,
      sym__reserved_identifier,
    STATE(962), 1,
      sym__identifier,
    STATE(1488), 1,
      sym_text_interpolation,
    STATE(2317), 1,
      sym__member_name,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3122), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57863] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3144), 1,
      sym_name,
    ACTIONS(3148), 1,
      anon_sym_LBRACE,
    STATE(717), 1,
      sym__member_name,
    STATE(734), 1,
      sym__reserved_identifier,
    STATE(1489), 1,
      sym_text_interpolation,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(732), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3146), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57901] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(835), 1,
      sym__member_name,
    STATE(1490), 1,
      sym_text_interpolation,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(826), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57939] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(838), 1,
      sym__member_name,
    STATE(1491), 1,
      sym_text_interpolation,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(826), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [57977] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3104), 1,
      anon_sym_LBRACE,
    STATE(613), 1,
      sym__simple_variable,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(760), 1,
      sym__identifier,
    STATE(1492), 1,
      sym_text_interpolation,
    STATE(2488), 1,
      sym__member_name,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58017] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(753), 1,
      sym__member_name,
    STATE(1493), 1,
      sym_text_interpolation,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(826), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58055] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3152), 1,
      anon_sym_LBRACE,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(758), 1,
      sym__member_name,
    STATE(1494), 1,
      sym_text_interpolation,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(826), 2,
      sym__simple_variable,
      sym__identifier,
    ACTIONS(3090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58093] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1495), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym__name,
    STATE(2037), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58130] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1496), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym__name,
    STATE(2084), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58167] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1497), 1,
      sym_text_interpolation,
    ACTIONS(3154), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3156), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58192] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1498), 1,
      sym_text_interpolation,
    ACTIONS(3054), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3056), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(3158), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3160), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58242] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1500), 1,
      sym_text_interpolation,
    ACTIONS(3162), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3164), 7,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58267] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1501), 1,
      sym_text_interpolation,
    STATE(1864), 1,
      sym__name,
    STATE(2361), 1,
      sym_attribute,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58304] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3166), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3168), 1,
      aux_sym__arrow_function_header_token1,
    STATE(1502), 1,
      sym_text_interpolation,
    ACTIONS(2384), 9,
      aux_sym_function_static_declaration_token1,
      aux_sym_class_declaration_token1,
      aux_sym_final_modifier_token1,
      aux_sym_abstract_modifier_token1,
      aux_sym_readonly_modifier_token1,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [58331] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1503), 1,
      sym_text_interpolation,
    ACTIONS(1909), 11,
      anon_sym_COMMA,
      aux_sym_namespace_use_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [58354] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3174), 1,
      anon_sym_PIPE,
    STATE(1504), 1,
      sym_text_interpolation,
    STATE(1510), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3170), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3172), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58382] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1505), 1,
      sym_text_interpolation,
    STATE(1554), 1,
      sym_reference_modifier,
    STATE(1723), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58418] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3180), 1,
      anon_sym_AMP,
    STATE(1506), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3178), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3183), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [58444] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1507), 1,
      sym_text_interpolation,
    STATE(2192), 1,
      sym__name,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58478] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1045), 1,
      sym__reserved_identifier,
    STATE(1508), 1,
      sym_text_interpolation,
    STATE(1874), 1,
      sym__name,
    STATE(2593), 1,
      sym_namespace_name,
    STATE(1044), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58512] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1509), 1,
      sym_text_interpolation,
    ACTIONS(1810), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1652), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [58540] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_PIPE,
    STATE(1510), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3185), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3187), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58566] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1045), 1,
      sym__reserved_identifier,
    STATE(1511), 1,
      sym_text_interpolation,
    STATE(1577), 1,
      sym__name,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1044), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58600] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1512), 1,
      sym_text_interpolation,
    ACTIONS(3192), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3194), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58624] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1513), 1,
      sym_text_interpolation,
    ACTIONS(3196), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3199), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58648] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3202), 1,
      anon_sym_DASH_GT,
    ACTIONS(3204), 1,
      anon_sym_LBRACK,
    ACTIONS(3206), 1,
      sym_encapsed_string_chars_after_variable_heredoc,
    STATE(1514), 1,
      sym_text_interpolation,
    ACTIONS(1612), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1610), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [58678] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3174), 1,
      anon_sym_PIPE,
    STATE(1515), 1,
      sym_text_interpolation,
    STATE(1523), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3208), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3210), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58706] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1516), 1,
      sym_text_interpolation,
    STATE(2204), 1,
      sym__name,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58740] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3216), 1,
      anon_sym_PIPE,
    STATE(1517), 1,
      sym_text_interpolation,
    STATE(1525), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3212), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3214), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58768] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1518), 1,
      sym_text_interpolation,
    ACTIONS(3178), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3183), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [58792] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_AMP,
    STATE(1506), 1,
      aux_sym_intersection_type_repeat1,
    STATE(1519), 1,
      sym_text_interpolation,
    ACTIONS(3218), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3220), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [58820] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1520), 1,
      sym_text_interpolation,
    STATE(1899), 1,
      sym__name,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58854] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1765), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1521), 1,
      sym_text_interpolation,
    STATE(2079), 1,
      sym__name,
    STATE(2614), 1,
      sym_namespace_name,
    STATE(1503), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [58888] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1522), 1,
      sym_text_interpolation,
    ACTIONS(1668), 5,
      sym_encapsed_string_chars_heredoc,
      sym_encapsed_string_chars_after_variable_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
    ACTIONS(1670), 5,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
  [58912] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3174), 1,
      anon_sym_PIPE,
    STATE(1510), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1523), 1,
      sym_text_interpolation,
    ACTIONS(3222), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3224), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58940] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1524), 1,
      sym_text_interpolation,
    ACTIONS(3226), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3228), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [58964] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3230), 1,
      anon_sym_PIPE,
    STATE(1525), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3226), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3228), 4,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOLLAR,
  [58990] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1526), 1,
      sym_text_interpolation,
    STATE(1550), 1,
      sym_reference_modifier,
    STATE(1744), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59026] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1045), 1,
      sym__reserved_identifier,
    STATE(1527), 1,
      sym_text_interpolation,
    STATE(1874), 1,
      sym__name,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1044), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59060] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1528), 1,
      sym_text_interpolation,
    ACTIONS(3185), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3187), 6,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [59084] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(226), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2080), 1,
      sym_name,
    STATE(1045), 1,
      sym__reserved_identifier,
    STATE(1529), 1,
      sym_text_interpolation,
    STATE(1873), 1,
      sym__name,
    STATE(2699), 1,
      sym_namespace_name,
    STATE(1044), 2,
      sym_qualified_name,
      sym__identifier,
    ACTIONS(2090), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59118] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1530), 1,
      sym_text_interpolation,
    STATE(1606), 1,
      sym_formal_parameters,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1808), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59153] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1531), 1,
      sym_text_interpolation,
    STATE(1566), 1,
      sym_formal_parameters,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1807), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59188] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1532), 1,
      sym_text_interpolation,
    STATE(1570), 1,
      sym_formal_parameters,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1805), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1533), 1,
      sym_text_interpolation,
    ACTIONS(3239), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(3241), 5,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [59246] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1534), 1,
      sym_text_interpolation,
    STATE(1617), 1,
      sym_formal_parameters,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1814), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59281] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_BSLASHu,
    ACTIONS(3243), 1,
      anon_sym_DASH_GT,
    ACTIONS(3245), 1,
      anon_sym_LBRACK,
    ACTIONS(3247), 1,
      sym_encapsed_string_chars_after_variable,
    STATE(1535), 1,
      sym_text_interpolation,
    ACTIONS(1610), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59310] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1536), 1,
      sym_text_interpolation,
    ACTIONS(1810), 2,
      aux_sym__namespace_use_type_token1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(1652), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59335] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1537), 1,
      sym_text_interpolation,
    STATE(1580), 1,
      sym_formal_parameters,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1798), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59370] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_BSLASHu,
    ACTIONS(3249), 1,
      anon_sym_DASH_GT,
    ACTIONS(3251), 1,
      anon_sym_LBRACK,
    ACTIONS(3253), 1,
      sym_execution_string_chars_after_variable,
    STATE(1538), 1,
      sym_text_interpolation,
    ACTIONS(1610), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59399] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1539), 1,
      sym_text_interpolation,
    STATE(1575), 1,
      sym_formal_parameters,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1799), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59434] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_EQ,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1540), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3056), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3054), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [59463] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1541), 1,
      sym_text_interpolation,
    STATE(1574), 1,
      sym_formal_parameters,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1800), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59498] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_BSLASHu,
    STATE(1542), 1,
      sym_text_interpolation,
    ACTIONS(1668), 8,
      sym_execution_string_chars,
      sym_execution_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [59521] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1543), 1,
      sym_text_interpolation,
    STATE(1590), 1,
      sym_formal_parameters,
    STATE(1790), 1,
      sym__property_hook_body,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [59556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_BSLASHu,
    STATE(1544), 1,
      sym_text_interpolation,
    ACTIONS(1668), 8,
      sym_encapsed_string_chars,
      sym_encapsed_string_chars_after_variable,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [59579] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(938), 1,
      sym_declaration_list,
    STATE(1545), 1,
      sym_text_interpolation,
    STATE(1688), 1,
      sym_arguments,
    STATE(1924), 1,
      sym_base_clause,
    STATE(2422), 1,
      sym_class_interface_clause,
  [59613] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(768), 1,
      sym_declaration_list,
    STATE(1546), 1,
      sym_text_interpolation,
    STATE(1685), 1,
      sym_arguments,
    STATE(1923), 1,
      sym_base_clause,
    STATE(2415), 1,
      sym_class_interface_clause,
  [59647] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_COLON,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1547), 1,
      sym_text_interpolation,
    ACTIONS(1652), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59671] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(989), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3265), 1,
      aux_sym_finally_clause_token1,
    STATE(1548), 1,
      sym_text_interpolation,
    STATE(1553), 1,
      aux_sym_try_statement_repeat1,
    ACTIONS(987), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1833), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59701] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(978), 1,
      sym_declaration_list,
    STATE(1549), 1,
      sym_text_interpolation,
    STATE(1627), 1,
      sym_arguments,
    STATE(1905), 1,
      sym_base_clause,
    STATE(2381), 1,
      sym_class_interface_clause,
  [59735] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1550), 1,
      sym_text_interpolation,
    STATE(1756), 1,
      sym_formal_parameters,
    STATE(2428), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59765] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3267), 1,
      anon_sym_AMP,
    ACTIONS(3269), 1,
      anon_sym_PIPE,
    STATE(1551), 1,
      sym_text_interpolation,
    STATE(1829), 1,
      aux_sym_union_type_repeat1,
    STATE(1830), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1839), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3071), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [59795] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(769), 1,
      sym_declaration_list,
    STATE(1552), 1,
      sym_text_interpolation,
    STATE(1662), 1,
      sym_arguments,
    STATE(1937), 1,
      sym_base_clause,
    STATE(2499), 1,
      sym_class_interface_clause,
  [59829] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(997), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3271), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3274), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(995), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1553), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1833), 2,
      sym_catch_clause,
      sym_finally_clause,
  [59857] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1554), 1,
      sym_text_interpolation,
    STATE(1738), 1,
      sym_formal_parameters,
    STATE(2428), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59887] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3277), 1,
      anon_sym_COMMA,
    ACTIONS(3279), 1,
      anon_sym_RPAREN2,
    STATE(1555), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [59915] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(766), 1,
      sym_declaration_list,
    STATE(1556), 1,
      sym_text_interpolation,
    STATE(1705), 1,
      sym_arguments,
    STATE(1930), 1,
      sym_base_clause,
    STATE(2467), 1,
      sym_class_interface_clause,
  [59949] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3088), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1557), 1,
      sym_text_interpolation,
    STATE(1681), 1,
      sym_reference_modifier,
    STATE(2420), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [59979] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(846), 1,
      sym_declaration_list,
    STATE(1558), 1,
      sym_text_interpolation,
    STATE(1699), 1,
      sym_arguments,
    STATE(1931), 1,
      sym_base_clause,
    STATE(2468), 1,
      sym_class_interface_clause,
  [60013] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    ACTIONS(3281), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1559), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1678), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60039] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(963), 1,
      sym_declaration_list,
    STATE(1560), 1,
      sym_text_interpolation,
    STATE(1695), 1,
      sym_arguments,
    STATE(1879), 1,
      sym_base_clause,
    STATE(2470), 1,
      sym_class_interface_clause,
  [60073] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(976), 1,
      sym_declaration_list,
    STATE(1561), 1,
      sym_text_interpolation,
    STATE(1625), 1,
      sym_arguments,
    STATE(1904), 1,
      sym_base_clause,
    STATE(2384), 1,
      sym_class_interface_clause,
  [60107] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3283), 1,
      anon_sym_COMMA,
    ACTIONS(3285), 1,
      anon_sym_RPAREN2,
    STATE(1562), 1,
      sym_text_interpolation,
    STATE(2212), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60135] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    ACTIONS(3287), 1,
      anon_sym_RPAREN2,
    STATE(1563), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60163] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1564), 1,
      sym_text_interpolation,
    STATE(1766), 1,
      sym_const_element,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60190] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1565), 1,
      sym_text_interpolation,
    ACTIONS(3289), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3291), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60211] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    STATE(1566), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1812), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60240] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1567), 1,
      sym_text_interpolation,
    STATE(1759), 1,
      sym_const_element,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60267] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_RPAREN2,
    STATE(1568), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60292] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_RPAREN2,
    STATE(1569), 1,
      sym_text_interpolation,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60317] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    STATE(1570), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1811), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60346] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3295), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3298), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3293), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(1571), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1903), 2,
      sym_case_statement,
      sym_default_statement,
  [60371] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      sym_text_interpolation,
    STATE(1796), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1450), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60398] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(1573), 1,
      sym_text_interpolation,
    ACTIONS(3305), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60421] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    STATE(1574), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1806), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60450] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    STATE(1575), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1804), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60479] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1576), 1,
      sym_text_interpolation,
    STATE(1615), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1442), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60506] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_text_interpolation,
    STATE(1607), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1417), 2,
      sym_use_list,
      sym__semicolon,
  [60533] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_COMMA,
    ACTIONS(3285), 1,
      anon_sym_RPAREN2,
    STATE(1578), 1,
      sym_text_interpolation,
    STATE(2212), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60558] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_COMMA,
    ACTIONS(3285), 1,
      anon_sym_RPAREN2,
    STATE(1579), 1,
      sym_text_interpolation,
    STATE(2212), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60583] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    STATE(1580), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1803), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60612] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1581), 1,
      sym_text_interpolation,
    STATE(2195), 1,
      sym_const_element,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [60639] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_AMP,
    ACTIONS(3317), 1,
      anon_sym_PIPE,
    STATE(1582), 1,
      sym_text_interpolation,
    STATE(1719), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1720), 1,
      aux_sym_union_type_repeat1,
    STATE(1889), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3071), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [60668] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1583), 1,
      sym_text_interpolation,
    STATE(1796), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1443), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60695] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1572), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1584), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1430), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60722] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      sym_text_interpolation,
    STATE(1796), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1431), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60749] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1583), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1586), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1428), 2,
      sym_property_hook_list,
      sym__semicolon,
  [60776] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1587), 1,
      sym_text_interpolation,
    ACTIONS(3319), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3321), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60797] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1588), 1,
      sym_text_interpolation,
    ACTIONS(3323), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3325), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60818] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3329), 1,
      anon_sym_DASH,
    STATE(1589), 1,
      sym_text_interpolation,
    STATE(2546), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3327), 2,
      sym_integer,
      sym_name,
    STATE(2655), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [60845] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    STATE(1590), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1797), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [60874] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(1591), 1,
      sym_text_interpolation,
    ACTIONS(3331), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60897] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1592), 1,
      sym_text_interpolation,
    ACTIONS(2528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1678), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [60918] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1593), 1,
      sym_text_interpolation,
    ACTIONS(1612), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1610), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60939] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1594), 1,
      sym_text_interpolation,
    ACTIONS(1616), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1614), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [60960] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1834), 1,
      anon_sym_BSLASH,
    STATE(1595), 1,
      sym_text_interpolation,
    STATE(2409), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3056), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [60983] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1596), 1,
      sym_text_interpolation,
    ACTIONS(1692), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1690), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61004] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1597), 1,
      sym_text_interpolation,
    ACTIONS(1670), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(1668), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61025] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(1598), 1,
      sym_text_interpolation,
    ACTIONS(3333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61048] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1599), 1,
      sym_text_interpolation,
    ACTIONS(3335), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(2911), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61069] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1600), 1,
      sym_text_interpolation,
    ACTIONS(2498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1678), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61090] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3329), 1,
      anon_sym_DASH,
    STATE(1601), 1,
      sym_text_interpolation,
    STATE(2705), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3327), 2,
      sym_integer,
      sym_name,
    STATE(2655), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [61117] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1602), 1,
      sym_text_interpolation,
    ACTIONS(2500), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1678), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61138] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_COMMA,
    ACTIONS(3279), 1,
      anon_sym_RPAREN2,
    STATE(1603), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61163] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_COMMA,
    ACTIONS(3279), 1,
      anon_sym_RPAREN2,
    STATE(1604), 1,
      sym_text_interpolation,
    STATE(2165), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61188] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1605), 1,
      sym_text_interpolation,
    ACTIONS(2118), 3,
      anon_sym_LPAREN2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    ACTIONS(2116), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [61209] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    STATE(1606), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1813), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61238] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3307), 1,
      anon_sym_COMMA,
    ACTIONS(3309), 1,
      anon_sym_LBRACE,
    STATE(1607), 1,
      sym_text_interpolation,
    STATE(1736), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1423), 2,
      sym_use_list,
      sym__semicolon,
  [61265] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1585), 1,
      aux_sym_property_declaration_repeat1,
    STATE(1608), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1432), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61292] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1609), 1,
      sym_text_interpolation,
    ACTIONS(3337), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3339), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61313] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1610), 1,
      sym_text_interpolation,
    ACTIONS(3341), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3343), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61334] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1611), 1,
      sym_text_interpolation,
    ACTIONS(3345), 3,
      anon_sym_LBRACE,
      anon_sym_BSLASHu,
      anon_sym_DOLLAR,
    ACTIONS(3347), 4,
      sym_encapsed_string_chars_heredoc,
      sym_heredoc_end,
      sym_escape_sequence,
      sym__new_line,
  [61355] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1612), 1,
      sym_text_interpolation,
    STATE(1739), 1,
      sym_const_element,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61382] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3329), 1,
      anon_sym_DASH,
    STATE(1613), 1,
      sym_text_interpolation,
    STATE(2661), 1,
      sym__simple_string_array_access_argument,
    ACTIONS(3327), 2,
      sym_integer,
      sym_name,
    STATE(2655), 2,
      sym__simple_string_subscript_unary_expression,
      sym_variable_name,
  [61409] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1614), 1,
      sym_text_interpolation,
    ACTIONS(2562), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1678), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61430] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_COMMA,
    ACTIONS(3303), 1,
      anon_sym_LBRACE,
    STATE(1615), 1,
      sym_text_interpolation,
    STATE(1796), 1,
      aux_sym_property_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1434), 2,
      sym_property_hook_list,
      sym__semicolon,
  [61457] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_COLON_COLON,
    STATE(1616), 1,
      sym_text_interpolation,
    ACTIONS(1652), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_RPAREN2,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61478] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    ACTIONS(3235), 1,
      anon_sym_EQ_GT,
    STATE(1617), 1,
      sym_text_interpolation,
    STATE(1791), 1,
      sym_compound_statement,
    STATE(1793), 1,
      sym__semicolon,
    STATE(1815), 1,
      sym__property_hook_body,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [61507] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1618), 1,
      sym_text_interpolation,
    STATE(1828), 1,
      sym_const_element,
    STATE(2656), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [61534] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3349), 1,
      anon_sym_SQUOTE,
    ACTIONS(3351), 1,
      aux_sym_string_token2,
    ACTIONS(3353), 1,
      aux_sym_string_content_token1,
    STATE(1619), 1,
      sym_text_interpolation,
    STATE(1704), 1,
      aux_sym_string_repeat1,
    STATE(1865), 1,
      aux_sym_string_content_repeat1,
    STATE(2038), 1,
      sym_string_content,
  [61562] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_BSLASHu,
    STATE(1620), 1,
      sym_text_interpolation,
    ACTIONS(1690), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [61582] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3355), 1,
      sym_name,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3359), 1,
      anon_sym_DOLLAR,
    STATE(1621), 1,
      sym_text_interpolation,
    STATE(1673), 1,
      sym__simple_variable,
    STATE(1707), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61608] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(770), 1,
      sym_arguments,
    STATE(1622), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [61630] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3361), 1,
      sym_name,
    ACTIONS(3363), 1,
      anon_sym_LBRACE,
    STATE(627), 1,
      sym__simple_variable,
    STATE(1623), 1,
      sym_text_interpolation,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61656] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym_declaration_list,
    STATE(1624), 1,
      sym_text_interpolation,
    STATE(1878), 1,
      sym_base_clause,
    STATE(2449), 1,
      sym_class_interface_clause,
  [61684] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(936), 1,
      sym_declaration_list,
    STATE(1625), 1,
      sym_text_interpolation,
    STATE(1926), 1,
      sym_base_clause,
    STATE(2417), 1,
      sym_class_interface_clause,
  [61712] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1626), 1,
      sym_text_interpolation,
    STATE(1938), 1,
      sym_base_clause,
    STATE(2111), 1,
      sym_declaration_list,
    STATE(2475), 1,
      sym_class_interface_clause,
  [61740] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(938), 1,
      sym_declaration_list,
    STATE(1627), 1,
      sym_text_interpolation,
    STATE(1924), 1,
      sym_base_clause,
    STATE(2422), 1,
      sym_class_interface_clause,
  [61768] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1558), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3367), 1,
      sym_name,
    ACTIONS(3369), 1,
      anon_sym_LBRACE,
    STATE(743), 1,
      sym__simple_variable,
    STATE(1628), 1,
      sym_text_interpolation,
    STATE(728), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61794] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    ACTIONS(3371), 1,
      sym_name,
    ACTIONS(3373), 1,
      anon_sym_LBRACE,
    STATE(789), 1,
      sym__simple_variable,
    STATE(1629), 1,
      sym_text_interpolation,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61820] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3377), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3379), 1,
      aux_sym_switch_block_token1,
    STATE(1571), 1,
      aux_sym_switch_block_repeat1,
    STATE(1630), 1,
      sym_text_interpolation,
    STATE(1903), 2,
      sym_case_statement,
      sym_default_statement,
  [61846] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3377), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3381), 1,
      anon_sym_RBRACE,
    STATE(1571), 1,
      aux_sym_switch_block_repeat1,
    STATE(1631), 1,
      sym_text_interpolation,
    STATE(1903), 2,
      sym_case_statement,
      sym_default_statement,
  [61872] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3383), 1,
      sym_name,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    ACTIONS(3387), 1,
      anon_sym_DOLLAR,
    STATE(1632), 1,
      sym_text_interpolation,
    STATE(1701), 1,
      sym__simple_variable,
    STATE(1702), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61898] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3359), 1,
      anon_sym_DOLLAR,
    ACTIONS(3389), 1,
      sym_name,
    STATE(1633), 1,
      sym_text_interpolation,
    STATE(1673), 1,
      sym__simple_variable,
    STATE(1707), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61924] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3391), 1,
      sym_name,
    ACTIONS(3393), 1,
      anon_sym_LBRACE,
    ACTIONS(3395), 1,
      anon_sym_DOLLAR,
    STATE(1594), 1,
      sym__simple_variable,
    STATE(1634), 1,
      sym_text_interpolation,
    STATE(1593), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61950] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym_LBRACE,
    ACTIONS(3395), 1,
      anon_sym_DOLLAR,
    ACTIONS(3397), 1,
      sym_name,
    STATE(1594), 1,
      sym__simple_variable,
    STATE(1635), 1,
      sym_text_interpolation,
    STATE(1593), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [61976] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3399), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3401), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3403), 1,
      aux_sym_else_clause_token1,
    STATE(1636), 1,
      sym_text_interpolation,
    STATE(1771), 1,
      aux_sym_if_statement_repeat2,
    STATE(2223), 1,
      sym_else_if_clause_2,
    STATE(2627), 1,
      sym_else_clause_2,
  [62004] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3401), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3403), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3405), 1,
      aux_sym_if_statement_token2,
    STATE(1637), 1,
      sym_text_interpolation,
    STATE(1771), 1,
      aux_sym_if_statement_repeat2,
    STATE(2223), 1,
      sym_else_if_clause_2,
    STATE(2601), 1,
      sym_else_clause_2,
  [62032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_BSLASHu,
    STATE(1638), 1,
      sym_text_interpolation,
    ACTIONS(3321), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62052] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_BSLASHu,
    STATE(1639), 1,
      sym_text_interpolation,
    ACTIONS(3291), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62072] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(602), 1,
      sym_arguments,
    STATE(1640), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62094] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3407), 1,
      sym_name,
    ACTIONS(3409), 1,
      anon_sym_LBRACE,
    STATE(599), 1,
      sym__simple_variable,
    STATE(1641), 1,
      sym_text_interpolation,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62120] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3377), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3411), 1,
      aux_sym_switch_block_token1,
    STATE(1571), 1,
      aux_sym_switch_block_repeat1,
    STATE(1642), 1,
      sym_text_interpolation,
    STATE(1903), 2,
      sym_case_statement,
      sym_default_statement,
  [62146] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1013), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3413), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3415), 1,
      aux_sym_else_clause_token1,
    STATE(1643), 1,
      sym_text_interpolation,
    STATE(1711), 1,
      aux_sym_if_statement_repeat1,
    STATE(1960), 1,
      sym_else_if_clause,
    STATE(2227), 1,
      sym_else_clause,
  [62174] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3417), 1,
      sym_name,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1644), 1,
      sym_text_interpolation,
    STATE(1919), 1,
      sym_named_type,
    STATE(2256), 1,
      sym_type_list,
    STATE(2614), 1,
      sym_namespace_name,
  [62202] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_BSLASHu,
    STATE(1645), 1,
      sym_text_interpolation,
    ACTIONS(3343), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_BSLASHu,
    STATE(1646), 1,
      sym_text_interpolation,
    ACTIONS(3347), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62242] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3351), 1,
      aux_sym_string_token2,
    ACTIONS(3353), 1,
      aux_sym_string_content_token1,
    ACTIONS(3419), 1,
      anon_sym_SQUOTE,
    STATE(1647), 1,
      sym_text_interpolation,
    STATE(1704), 1,
      aux_sym_string_repeat1,
    STATE(1865), 1,
      aux_sym_string_content_repeat1,
    STATE(2038), 1,
      sym_string_content,
  [62270] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3351), 1,
      aux_sym_string_token2,
    ACTIONS(3353), 1,
      aux_sym_string_content_token1,
    ACTIONS(3421), 1,
      anon_sym_SQUOTE,
    STATE(1647), 1,
      aux_sym_string_repeat1,
    STATE(1648), 1,
      sym_text_interpolation,
    STATE(1865), 1,
      aux_sym_string_content_repeat1,
    STATE(2038), 1,
      sym_string_content,
  [62298] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(1649), 1,
      sym_text_interpolation,
    STATE(2440), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1805), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [62320] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1650), 1,
      sym_text_interpolation,
    ACTIONS(3333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62340] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1651), 1,
      sym_text_interpolation,
    ACTIONS(3333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62360] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(745), 1,
      sym_arguments,
    STATE(1652), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62382] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3319), 1,
      anon_sym_BSLASHu,
    STATE(1653), 1,
      sym_text_interpolation,
    ACTIONS(3321), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62402] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3289), 1,
      anon_sym_BSLASHu,
    STATE(1654), 1,
      sym_text_interpolation,
    ACTIONS(3291), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62422] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_LBRACE,
    ACTIONS(3387), 1,
      anon_sym_DOLLAR,
    ACTIONS(3423), 1,
      sym_name,
    STATE(1655), 1,
      sym_text_interpolation,
    STATE(1701), 1,
      sym__simple_variable,
    STATE(1702), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_BSLASHu,
    STATE(1656), 1,
      sym_text_interpolation,
    ACTIONS(1668), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62468] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3401), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3403), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3425), 1,
      aux_sym_if_statement_token2,
    STATE(1637), 1,
      aux_sym_if_statement_repeat2,
    STATE(1657), 1,
      sym_text_interpolation,
    STATE(2223), 1,
      sym_else_if_clause_2,
    STATE(2530), 1,
      sym_else_clause_2,
  [62496] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3417), 1,
      sym_name,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1658), 1,
      sym_text_interpolation,
    STATE(1919), 1,
      sym_named_type,
    STATE(2182), 1,
      sym_type_list,
    STATE(2614), 1,
      sym_namespace_name,
  [62524] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1013), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3427), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3430), 1,
      aux_sym_else_clause_token1,
    STATE(1659), 1,
      sym_text_interpolation,
    STATE(1711), 1,
      aux_sym_if_statement_repeat1,
    STATE(1960), 1,
      sym_else_if_clause,
    STATE(2227), 1,
      sym_else_clause,
  [62552] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_BSLASHu,
    STATE(1660), 1,
      sym_text_interpolation,
    ACTIONS(1668), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [62572] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3377), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3433), 1,
      aux_sym_switch_block_token1,
    STATE(1642), 1,
      aux_sym_switch_block_repeat1,
    STATE(1661), 1,
      sym_text_interpolation,
    STATE(1903), 2,
      sym_case_statement,
      sym_default_statement,
  [62598] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(846), 1,
      sym_declaration_list,
    STATE(1662), 1,
      sym_text_interpolation,
    STATE(1931), 1,
      sym_base_clause,
    STATE(2468), 1,
      sym_class_interface_clause,
  [62626] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(500), 1,
      sym_declaration_list,
    STATE(1663), 1,
      sym_text_interpolation,
    STATE(1936), 1,
      sym_base_clause,
    STATE(2495), 1,
      sym_class_interface_clause,
  [62654] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3351), 1,
      aux_sym_string_token2,
    ACTIONS(3353), 1,
      aux_sym_string_content_token1,
    ACTIONS(3435), 1,
      anon_sym_SQUOTE,
    STATE(1619), 1,
      aux_sym_string_repeat1,
    STATE(1664), 1,
      sym_text_interpolation,
    STATE(1865), 1,
      aux_sym_string_content_repeat1,
    STATE(2038), 1,
      sym_string_content,
  [62682] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(960), 1,
      sym_arguments,
    STATE(1665), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62704] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN2,
    STATE(643), 1,
      sym_arguments,
    STATE(1666), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62726] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    ACTIONS(3437), 1,
      sym_name,
    ACTIONS(3439), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym__simple_variable,
    STATE(1667), 1,
      sym_text_interpolation,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [62752] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3281), 1,
      aux_sym_namespace_use_clause_token1,
    ACTIONS(3441), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(1668), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62774] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3445), 1,
      anon_sym_BSLASHu,
    STATE(1669), 1,
      sym_text_interpolation,
    ACTIONS(3443), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62794] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1005), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3447), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3450), 1,
      aux_sym_else_clause_token1,
    STATE(1659), 1,
      aux_sym_if_statement_repeat1,
    STATE(1670), 1,
      sym_text_interpolation,
    STATE(1960), 1,
      sym_else_if_clause,
    STATE(2056), 1,
      sym_else_clause,
  [62822] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1671), 1,
      sym_text_interpolation,
    STATE(1927), 1,
      sym_base_clause,
    STATE(2270), 1,
      sym_declaration_list,
    STATE(2438), 1,
      sym_class_interface_clause,
  [62850] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1672), 1,
      sym_text_interpolation,
    STATE(1929), 1,
      sym_base_clause,
    STATE(2126), 1,
      sym_declaration_list,
    STATE(2441), 1,
      sym_class_interface_clause,
  [62878] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_BSLASHu,
    STATE(1673), 1,
      sym_text_interpolation,
    ACTIONS(1614), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [62898] = 9,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3453), 1,
      sym_php_tag,
    ACTIONS(3455), 1,
      aux_sym_text_token1,
    ACTIONS(3457), 1,
      aux_sym_text_token2,
    ACTIONS(3459), 1,
      sym__eof,
    STATE(1674), 1,
      sym_text_interpolation,
    STATE(1816), 1,
      aux_sym_text_repeat1,
    STATE(2301), 1,
      sym_text,
  [62926] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3377), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3461), 1,
      anon_sym_RBRACE,
    STATE(1675), 1,
      sym_text_interpolation,
    STATE(1708), 1,
      aux_sym_switch_block_repeat1,
    STATE(1903), 2,
      sym_case_statement,
      sym_default_statement,
  [62952] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_LPAREN2,
    STATE(880), 1,
      sym_arguments,
    STATE(1676), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [62974] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1562), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3463), 1,
      sym_name,
    ACTIONS(3465), 1,
      anon_sym_LBRACE,
    STATE(876), 1,
      sym__simple_variable,
    STATE(1677), 1,
      sym_text_interpolation,
    STATE(882), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [63000] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3341), 1,
      anon_sym_BSLASHu,
    STATE(1678), 1,
      sym_text_interpolation,
    ACTIONS(3343), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63020] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_BSLASHu,
    STATE(1679), 1,
      sym_text_interpolation,
    ACTIONS(3347), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63040] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_BSLASHu,
    STATE(1680), 1,
      sym_text_interpolation,
    ACTIONS(3467), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63060] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3088), 1,
      sym_name,
    STATE(721), 1,
      sym__reserved_identifier,
    STATE(1681), 1,
      sym_text_interpolation,
    STATE(2454), 1,
      sym__identifier,
    ACTIONS(2098), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [63084] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1682), 1,
      sym_text_interpolation,
    ACTIONS(3305), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63104] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1683), 1,
      sym_text_interpolation,
    ACTIONS(3305), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63124] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_BSLASHu,
    STATE(1684), 1,
      sym_text_interpolation,
    ACTIONS(1690), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63144] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(811), 1,
      sym_declaration_list,
    STATE(1685), 1,
      sym_text_interpolation,
    STATE(1920), 1,
      sym_base_clause,
    STATE(2378), 1,
      sym_class_interface_clause,
  [63172] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_DOLLAR,
    ACTIONS(3076), 1,
      anon_sym_PIPE,
    ACTIONS(3471), 1,
      anon_sym_AMP,
    STATE(1504), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    STATE(1517), 1,
      aux_sym_union_type_repeat1,
    STATE(1686), 1,
      sym_text_interpolation,
    STATE(2131), 1,
      aux_sym_intersection_type_repeat1,
  [63200] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_declaration_list,
    STATE(1687), 1,
      sym_text_interpolation,
    STATE(1911), 1,
      sym_base_clause,
    STATE(2324), 1,
      sym_class_interface_clause,
  [63228] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1001), 1,
      sym_declaration_list,
    STATE(1688), 1,
      sym_text_interpolation,
    STATE(1947), 1,
      sym_base_clause,
    STATE(2397), 1,
      sym_class_interface_clause,
  [63256] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1005), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3413), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3415), 1,
      aux_sym_else_clause_token1,
    STATE(1643), 1,
      aux_sym_if_statement_repeat1,
    STATE(1689), 1,
      sym_text_interpolation,
    STATE(1960), 1,
      sym_else_if_clause,
    STATE(2056), 1,
      sym_else_clause,
  [63284] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3401), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3403), 1,
      aux_sym_else_clause_token1,
    ACTIONS(3477), 1,
      aux_sym_if_statement_token2,
    STATE(1636), 1,
      aux_sym_if_statement_repeat2,
    STATE(1690), 1,
      sym_text_interpolation,
    STATE(2223), 1,
      sym_else_if_clause_2,
    STATE(2620), 1,
      sym_else_clause_2,
  [63312] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3377), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3479), 1,
      anon_sym_RBRACE,
    STATE(1631), 1,
      aux_sym_switch_block_repeat1,
    STATE(1691), 1,
      sym_text_interpolation,
    STATE(1903), 2,
      sym_case_statement,
      sym_default_statement,
  [63338] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_declaration_list,
    STATE(1692), 1,
      sym_text_interpolation,
    STATE(1909), 1,
      sym_base_clause,
    STATE(2331), 1,
      sym_class_interface_clause,
  [63366] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3377), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3481), 1,
      aux_sym_switch_block_token1,
    STATE(1630), 1,
      aux_sym_switch_block_repeat1,
    STATE(1693), 1,
      sym_text_interpolation,
    STATE(1903), 2,
      sym_case_statement,
      sym_default_statement,
  [63392] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1694), 1,
      sym_text_interpolation,
    STATE(1845), 1,
      sym_base_clause,
    STATE(2020), 1,
      sym_declaration_list,
    STATE(2391), 1,
      sym_class_interface_clause,
  [63420] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(976), 1,
      sym_declaration_list,
    STATE(1695), 1,
      sym_text_interpolation,
    STATE(1904), 1,
      sym_base_clause,
    STATE(2384), 1,
      sym_class_interface_clause,
  [63448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1696), 1,
      sym_text_interpolation,
    ACTIONS(3331), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63468] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1697), 1,
      sym_text_interpolation,
    ACTIONS(3331), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63488] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_BSLASHu,
    STATE(1698), 1,
      sym_text_interpolation,
    ACTIONS(3325), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63508] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(829), 1,
      sym_declaration_list,
    STATE(1699), 1,
      sym_text_interpolation,
    STATE(1922), 1,
      sym_base_clause,
    STATE(2416), 1,
      sym_class_interface_clause,
  [63536] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3483), 1,
      anon_sym_BSLASHu,
    STATE(1700), 1,
      sym_text_interpolation,
    ACTIONS(2957), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63556] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_BSLASHu,
    STATE(1701), 1,
      sym_text_interpolation,
    ACTIONS(1614), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63576] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_BSLASHu,
    STATE(1702), 1,
      sym_text_interpolation,
    ACTIONS(1610), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63596] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_BSLASHu,
    STATE(1703), 1,
      sym_text_interpolation,
    ACTIONS(3325), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63616] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3485), 1,
      anon_sym_SQUOTE,
    ACTIONS(3487), 1,
      aux_sym_string_token2,
    ACTIONS(3490), 1,
      aux_sym_string_content_token1,
    STATE(1865), 1,
      aux_sym_string_content_repeat1,
    STATE(2038), 1,
      sym_string_content,
    STATE(1704), 2,
      sym_text_interpolation,
      aux_sym_string_repeat1,
  [63642] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(768), 1,
      sym_declaration_list,
    STATE(1705), 1,
      sym_text_interpolation,
    STATE(1923), 1,
      sym_base_clause,
    STATE(2415), 1,
      sym_class_interface_clause,
  [63670] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym_BSLASHu,
    STATE(1706), 1,
      sym_text_interpolation,
    ACTIONS(2933), 5,
      sym_encapsed_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_DQUOTE,
      anon_sym_DOLLAR,
  [63690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_BSLASHu,
    STATE(1707), 1,
      sym_text_interpolation,
    ACTIONS(1610), 5,
      sym_execution_string_chars,
      anon_sym_LBRACE,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR,
  [63710] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3375), 1,
      aux_sym_enum_case_token1,
    ACTIONS(3377), 1,
      aux_sym_match_default_expression_token1,
    ACTIONS(3495), 1,
      anon_sym_RBRACE,
    STATE(1571), 1,
      aux_sym_switch_block_repeat1,
    STATE(1708), 1,
      sym_text_interpolation,
    STATE(1903), 2,
      sym_case_statement,
      sym_default_statement,
  [63736] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_COMMA,
    STATE(1709), 1,
      sym_text_interpolation,
    STATE(1823), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2221), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63759] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_PIPE,
    STATE(1710), 1,
      sym_text_interpolation,
    STATE(1755), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3210), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [63780] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1053), 1,
      aux_sym_while_statement_token1,
    ACTIONS(1055), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3501), 1,
      aux_sym_else_if_clause_token1,
    STATE(1960), 1,
      sym_else_if_clause,
    STATE(1711), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [63803] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(13), 1,
      aux_sym_text_token1,
    ACTIONS(15), 1,
      aux_sym_text_token2,
    ACTIONS(3504), 1,
      ts_builtin_sym_end,
    ACTIONS(3506), 1,
      sym_php_tag,
    STATE(1712), 1,
      sym_text_interpolation,
    STATE(1715), 1,
      aux_sym_text_repeat1,
  [63828] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3508), 1,
      sym_name,
    ACTIONS(3510), 1,
      anon_sym_BSLASH,
    STATE(562), 1,
      sym_compound_statement,
    STATE(1713), 1,
      sym_text_interpolation,
    STATE(1722), 1,
      sym_namespace_name,
  [63853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_LPAREN2,
    STATE(1714), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [63872] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3512), 1,
      ts_builtin_sym_end,
    ACTIONS(3514), 1,
      sym_php_tag,
    ACTIONS(3516), 1,
      aux_sym_text_token1,
    ACTIONS(3519), 1,
      aux_sym_text_token2,
    STATE(1715), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [63895] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(583), 1,
      sym__semicolon,
    STATE(1716), 1,
      sym_text_interpolation,
    STATE(1731), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63918] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3524), 1,
      anon_sym_PIPE,
    STATE(1717), 1,
      sym_text_interpolation,
    STATE(1750), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3210), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63939] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_COMMA,
    STATE(578), 1,
      sym__semicolon,
    STATE(1718), 1,
      sym_text_interpolation,
    STATE(1732), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [63962] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3524), 1,
      anon_sym_PIPE,
    STATE(1719), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3172), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [63983] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3526), 1,
      anon_sym_PIPE,
    STATE(1720), 1,
      sym_text_interpolation,
    STATE(1752), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3214), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64004] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_BSLASH,
    STATE(1721), 1,
      sym_text_interpolation,
    STATE(1821), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3528), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64025] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(560), 1,
      sym__semicolon,
    STATE(570), 1,
      sym_compound_statement,
    STATE(1722), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64048] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3534), 1,
      anon_sym_LBRACE,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    STATE(1723), 1,
      sym_text_interpolation,
    STATE(2089), 1,
      sym_anonymous_function_use_clause,
    STATE(2576), 1,
      sym__return_type,
  [64073] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(522), 1,
      sym__semicolon,
    STATE(1724), 1,
      sym_text_interpolation,
    STATE(1740), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64096] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    ACTIONS(3542), 1,
      anon_sym_COLON,
    STATE(550), 1,
      sym_enum_declaration_list,
    STATE(1725), 1,
      sym_text_interpolation,
    STATE(2445), 1,
      sym_class_interface_clause,
  [64121] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3544), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3546), 1,
      aux_sym_finally_clause_token1,
    STATE(444), 1,
      aux_sym_try_statement_repeat1,
    STATE(1726), 1,
      sym_text_interpolation,
    STATE(451), 2,
      sym_catch_clause,
      sym_finally_clause,
  [64144] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1897), 1,
      anon_sym_LPAREN2,
    STATE(1727), 1,
      sym_text_interpolation,
    ACTIONS(1899), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [64163] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1728), 1,
      sym_text_interpolation,
    ACTIONS(1931), 5,
      anon_sym_LPAREN2,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [64180] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(1729), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2263), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64203] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_COMMA,
    STATE(555), 1,
      sym__semicolon,
    STATE(1730), 1,
      sym_text_interpolation,
    STATE(1735), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64226] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(569), 1,
      sym__semicolon,
    STATE(1731), 1,
      sym_text_interpolation,
    STATE(1890), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64249] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_COMMA,
    STATE(573), 1,
      sym__semicolon,
    STATE(1732), 1,
      sym_text_interpolation,
    STATE(1891), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64272] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1733), 1,
      sym_text_interpolation,
    ACTIONS(3550), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64289] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_BSLASH,
    STATE(1734), 1,
      sym_text_interpolation,
    STATE(1832), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3552), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64310] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_COMMA,
    STATE(579), 1,
      sym__semicolon,
    STATE(1735), 1,
      sym_text_interpolation,
    STATE(1892), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64333] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3556), 1,
      anon_sym_COMMA,
    STATE(1736), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(3554), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64352] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3559), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1737), 1,
      sym_text_interpolation,
    STATE(2178), 1,
      sym_reference_modifier,
    STATE(2179), 1,
      sym_variable_name,
  [64377] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3561), 1,
      anon_sym_LBRACE,
    STATE(1738), 1,
      sym_text_interpolation,
    STATE(2185), 1,
      sym_anonymous_function_use_clause,
    STATE(2548), 1,
      sym__return_type,
  [64402] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(517), 1,
      sym__semicolon,
    STATE(1739), 1,
      sym_text_interpolation,
    STATE(1753), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64425] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(511), 1,
      sym__semicolon,
    STATE(1740), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64448] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1723), 1,
      sym_formal_parameters,
    STATE(1741), 1,
      sym_text_interpolation,
    STATE(2450), 1,
      sym_reference_modifier,
  [64473] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1742), 1,
      sym_text_interpolation,
    STATE(2016), 1,
      sym_formal_parameters,
    STATE(2372), 1,
      sym_reference_modifier,
  [64498] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3563), 1,
      anon_sym_LBRACE,
    STATE(1743), 1,
      sym_text_interpolation,
    STATE(2290), 1,
      sym_anonymous_function_use_clause,
    STATE(2681), 1,
      sym__return_type,
  [64523] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3565), 1,
      anon_sym_LBRACE,
    STATE(1744), 1,
      sym_text_interpolation,
    STATE(2275), 1,
      sym_anonymous_function_use_clause,
    STATE(2693), 1,
      sym__return_type,
  [64548] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    ACTIONS(3567), 1,
      anon_sym_COLON,
    STATE(528), 1,
      sym_enum_declaration_list,
    STATE(1745), 1,
      sym_text_interpolation,
    STATE(2334), 1,
      sym_class_interface_clause,
  [64573] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(511), 1,
      sym__semicolon,
    STATE(1746), 1,
      sym_text_interpolation,
    STATE(1761), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64596] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN2,
    ACTIONS(3569), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3571), 1,
      anon_sym_DASH_GT,
    ACTIONS(3573), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3575), 1,
      anon_sym_LBRACK,
    STATE(1747), 1,
      sym_text_interpolation,
  [64621] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3579), 1,
      anon_sym_EQ,
    STATE(1748), 1,
      sym_text_interpolation,
    STATE(2319), 1,
      sym_property_hook_list,
    ACTIONS(3577), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [64644] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3581), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1749), 1,
      sym_text_interpolation,
    STATE(2276), 1,
      sym_variable_name,
    STATE(2277), 1,
      sym_reference_modifier,
  [64669] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3524), 1,
      anon_sym_PIPE,
    STATE(1750), 1,
      sym_text_interpolation,
    STATE(1751), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3224), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64690] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3583), 1,
      anon_sym_PIPE,
    STATE(1751), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3187), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64709] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_PIPE,
    STATE(1752), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3228), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [64728] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(492), 1,
      sym__semicolon,
    STATE(1753), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64751] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1415), 1,
      sym_compound_statement,
    STATE(1425), 1,
      sym__semicolon,
    STATE(1754), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64774] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_PIPE,
    STATE(1755), 1,
      sym_text_interpolation,
    STATE(1840), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3224), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [64795] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3589), 1,
      anon_sym_LBRACE,
    STATE(1756), 1,
      sym_text_interpolation,
    STATE(2162), 1,
      sym_anonymous_function_use_clause,
    STATE(2522), 1,
      sym__return_type,
  [64820] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1757), 1,
      sym_text_interpolation,
    ACTIONS(3591), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [64837] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3593), 1,
      anon_sym_LBRACE,
    STATE(1758), 1,
      sym_text_interpolation,
    STATE(2151), 1,
      sym_anonymous_function_use_clause,
    STATE(2508), 1,
      sym__return_type,
  [64862] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(501), 1,
      sym__semicolon,
    STATE(1759), 1,
      sym_text_interpolation,
    STATE(1774), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64885] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(1760), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2027), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64908] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(503), 1,
      sym__semicolon,
    STATE(1761), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [64931] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3597), 1,
      anon_sym_EQ,
    STATE(1762), 1,
      sym_text_interpolation,
    STATE(2502), 1,
      sym_property_hook_list,
    ACTIONS(3595), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [64954] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3601), 1,
      anon_sym_EQ,
    STATE(1763), 1,
      sym_text_interpolation,
    STATE(2503), 1,
      sym_property_hook_list,
    ACTIONS(3599), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [64977] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3605), 1,
      anon_sym_EQ,
    STATE(1764), 1,
      sym_text_interpolation,
    STATE(2432), 1,
      sym_property_hook_list,
    ACTIONS(3603), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65000] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1421), 1,
      sym_compound_statement,
    STATE(1424), 1,
      sym__semicolon,
    STATE(1765), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65023] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(1729), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1766), 1,
      sym_text_interpolation,
    STATE(2024), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65046] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1405), 1,
      sym__semicolon,
    STATE(1427), 1,
      sym_compound_statement,
    STATE(1767), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65069] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3609), 1,
      anon_sym_EQ,
    STATE(1768), 1,
      sym_text_interpolation,
    ACTIONS(3607), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [65088] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3611), 1,
      anon_sym_LBRACE,
    STATE(1769), 1,
      sym_text_interpolation,
    STATE(2172), 1,
      sym_anonymous_function_use_clause,
    STATE(2531), 1,
      sym__return_type,
  [65113] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1047), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1770), 1,
      sym_text_interpolation,
    ACTIONS(1045), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65132] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3613), 1,
      aux_sym_if_statement_token2,
    ACTIONS(3615), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(3618), 1,
      aux_sym_else_clause_token1,
    STATE(2223), 1,
      sym_else_if_clause_2,
    STATE(1771), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [65155] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3532), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3620), 1,
      anon_sym_LBRACE,
    STATE(1772), 1,
      sym_text_interpolation,
    STATE(2019), 1,
      sym_anonymous_function_use_clause,
    STATE(2635), 1,
      sym__return_type,
  [65180] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3622), 1,
      anon_sym_LBRACE,
    ACTIONS(3624), 1,
      anon_sym_COLON,
    STATE(1773), 1,
      sym_text_interpolation,
    STATE(2097), 1,
      sym_enum_declaration_list,
    STATE(2442), 1,
      sym_class_interface_clause,
  [65205] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(566), 1,
      sym__semicolon,
    STATE(1774), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      aux_sym__const_declaration_repeat1,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65228] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    STATE(1775), 1,
      sym_text_interpolation,
    STATE(2359), 1,
      sym_property_hook_list,
    ACTIONS(3626), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1776), 1,
      sym_text_interpolation,
    ACTIONS(3630), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3632), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65270] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(242), 1,
      aux_sym_final_modifier_token1,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3634), 1,
      sym_name,
    STATE(1777), 1,
      sym_text_interpolation,
    STATE(2006), 1,
      sym_final_modifier,
    STATE(2660), 1,
      sym_reference_modifier,
  [65295] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3638), 1,
      anon_sym_EQ,
    STATE(1778), 1,
      sym_text_interpolation,
    STATE(2352), 1,
      sym_property_hook_list,
    ACTIONS(3636), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65318] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3642), 1,
      anon_sym_EQ,
    STATE(1779), 1,
      sym_text_interpolation,
    STATE(2350), 1,
      sym_property_hook_list,
    ACTIONS(3640), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65341] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3644), 1,
      anon_sym_RPAREN2,
    STATE(1780), 1,
      sym_text_interpolation,
    STATE(2344), 2,
      sym_variable_name,
      sym_by_ref,
  [65364] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1404), 1,
      sym__semicolon,
    STATE(1420), 1,
      sym_compound_statement,
    STATE(1781), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65387] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3263), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(3265), 1,
      aux_sym_finally_clause_token1,
    STATE(1548), 1,
      aux_sym_try_statement_repeat1,
    STATE(1782), 1,
      sym_text_interpolation,
    STATE(1833), 2,
      sym_catch_clause,
      sym_finally_clause,
  [65410] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(603), 1,
      anon_sym_BSLASH,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3417), 1,
      sym_name,
    STATE(1498), 1,
      sym_qualified_name,
    STATE(1783), 1,
      sym_text_interpolation,
    STATE(1991), 1,
      sym_named_type,
    STATE(2614), 1,
      sym_namespace_name,
  [65435] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3622), 1,
      anon_sym_LBRACE,
    ACTIONS(3646), 1,
      anon_sym_COLON,
    STATE(1784), 1,
      sym_text_interpolation,
    STATE(2118), 1,
      sym_enum_declaration_list,
    STATE(2462), 1,
      sym_class_interface_clause,
  [65460] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(1785), 1,
      sym_text_interpolation,
    STATE(1831), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2148), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65483] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_COMMA,
    STATE(1786), 1,
      sym_text_interpolation,
    STATE(1824), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2190), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65506] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1787), 1,
      sym_text_interpolation,
    STATE(2197), 1,
      sym__semicolon,
    STATE(2200), 1,
      sym_compound_statement,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65529] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1788), 1,
      sym_text_interpolation,
    STATE(1822), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2229), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [65552] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3508), 1,
      sym_name,
    ACTIONS(3510), 1,
      anon_sym_BSLASH,
    STATE(1787), 1,
      sym_namespace_name,
    STATE(1789), 1,
      sym_text_interpolation,
    STATE(2239), 1,
      sym_compound_statement,
  [65577] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1790), 1,
      sym_text_interpolation,
    ACTIONS(3648), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3650), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65596] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1791), 1,
      sym_text_interpolation,
    ACTIONS(3652), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3654), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1043), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1792), 1,
      sym_text_interpolation,
    ACTIONS(1041), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [65634] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1793), 1,
      sym_text_interpolation,
    ACTIONS(3656), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3658), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65653] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_LBRACE,
    ACTIONS(3662), 1,
      anon_sym_EQ,
    STATE(1794), 1,
      sym_text_interpolation,
    STATE(2307), 1,
      sym_property_hook_list,
    ACTIONS(3660), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [65676] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(3664), 1,
      anon_sym_RPAREN2,
    STATE(1795), 1,
      sym_text_interpolation,
    STATE(2344), 2,
      sym_variable_name,
      sym_by_ref,
  [65699] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_COMMA,
    STATE(1796), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(3666), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [65718] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1797), 1,
      sym_text_interpolation,
    ACTIONS(3671), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3673), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65737] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1798), 1,
      sym_text_interpolation,
    ACTIONS(3675), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3677), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65756] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1799), 1,
      sym_text_interpolation,
    ACTIONS(3679), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3681), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1800), 1,
      sym_text_interpolation,
    ACTIONS(3683), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3685), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65794] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3687), 1,
      sym_name,
    STATE(1801), 1,
      sym_text_interpolation,
    STATE(2029), 1,
      sym_visibility_modifier,
    ACTIONS(3689), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [65815] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1802), 1,
      sym_text_interpolation,
    ACTIONS(3691), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3693), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65834] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1803), 1,
      sym_text_interpolation,
    ACTIONS(3695), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3697), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65853] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1804), 1,
      sym_text_interpolation,
    ACTIONS(3699), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3701), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1805), 1,
      sym_text_interpolation,
    ACTIONS(3703), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3705), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65891] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1806), 1,
      sym_text_interpolation,
    ACTIONS(3707), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3709), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65910] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1807), 1,
      sym_text_interpolation,
    ACTIONS(3711), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3713), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65929] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1808), 1,
      sym_text_interpolation,
    ACTIONS(3715), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3717), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65948] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1809), 1,
      sym_text_interpolation,
    ACTIONS(1039), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1037), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1810), 1,
      sym_text_interpolation,
    ACTIONS(1031), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1029), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [65986] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1811), 1,
      sym_text_interpolation,
    ACTIONS(3719), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3721), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66005] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1812), 1,
      sym_text_interpolation,
    ACTIONS(3723), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3725), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66024] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1813), 1,
      sym_text_interpolation,
    ACTIONS(3727), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3729), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66043] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1814), 1,
      sym_text_interpolation,
    ACTIONS(3731), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3733), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66062] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1815), 1,
      sym_text_interpolation,
    ACTIONS(3735), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(3737), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66081] = 8,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3455), 1,
      aux_sym_text_token1,
    ACTIONS(3457), 1,
      aux_sym_text_token2,
    ACTIONS(3504), 1,
      sym__eof,
    ACTIONS(3506), 1,
      sym_php_tag,
    STATE(1816), 1,
      sym_text_interpolation,
    STATE(1817), 1,
      aux_sym_text_repeat1,
  [66106] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3512), 1,
      sym__eof,
    ACTIONS(3514), 1,
      sym_php_tag,
    ACTIONS(3739), 1,
      aux_sym_text_token1,
    ACTIONS(3742), 1,
      aux_sym_text_token2,
    STATE(1817), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [66129] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1818), 1,
      sym_text_interpolation,
    ACTIONS(3156), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66146] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1819), 1,
      sym_text_interpolation,
    ACTIONS(3056), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66163] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1820), 1,
      sym_text_interpolation,
    ACTIONS(3160), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66180] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_BSLASH,
    STATE(1821), 1,
      sym_text_interpolation,
    STATE(1834), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3552), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66201] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_COMMA,
    STATE(1822), 1,
      sym_text_interpolation,
    STATE(1890), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(2041), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66224] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_COMMA,
    STATE(1823), 1,
      sym_text_interpolation,
    STATE(1891), 1,
      aux_sym_global_declaration_repeat1,
    STATE(2040), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66247] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_COMMA,
    STATE(1824), 1,
      sym_text_interpolation,
    STATE(1892), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2023), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66270] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1825), 1,
      sym_text_interpolation,
    ACTIONS(3745), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66287] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3749), 1,
      anon_sym_COLON,
    STATE(1826), 1,
      sym_text_interpolation,
    STATE(2008), 1,
      sym__return_type,
    ACTIONS(3747), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66308] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1827), 1,
      sym_text_interpolation,
    ACTIONS(3164), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66325] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(1828), 1,
      sym_text_interpolation,
    STATE(1844), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1985), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66348] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3751), 1,
      anon_sym_PIPE,
    STATE(1829), 1,
      sym_text_interpolation,
    STATE(1843), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(3214), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66369] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_PIPE,
    STATE(1830), 1,
      sym_text_interpolation,
    STATE(1840), 1,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3172), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66390] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(1831), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2047), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66413] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_BSLASH,
    STATE(1832), 1,
      sym_text_interpolation,
    STATE(1834), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3753), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66434] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1035), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1833), 1,
      sym_text_interpolation,
    ACTIONS(1033), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3757), 1,
      anon_sym_BSLASH,
    STATE(1834), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(3755), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66472] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(1760), 1,
      aux_sym__const_declaration_repeat1,
    STATE(1835), 1,
      sym_text_interpolation,
    STATE(2047), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66495] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1836), 1,
      sym_text_interpolation,
    ACTIONS(3760), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [66512] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1051), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1837), 1,
      sym_text_interpolation,
    ACTIONS(1049), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [66531] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3749), 1,
      anon_sym_COLON,
    STATE(1838), 1,
      sym_text_interpolation,
    STATE(2231), 1,
      sym__return_type,
    ACTIONS(3762), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66552] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3267), 1,
      anon_sym_AMP,
    STATE(1839), 1,
      sym_text_interpolation,
    STATE(1841), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3220), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66573] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_PIPE,
    STATE(1840), 2,
      sym_text_interpolation,
      aux_sym_disjunctive_normal_form_type_repeat1,
    ACTIONS(3187), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66592] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_AMP,
    STATE(1841), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3183), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66611] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1842), 1,
      sym_text_interpolation,
    ACTIONS(1106), 2,
      aux_sym_final_modifier_token1,
      sym_name,
    ACTIONS(1104), 3,
      anon_sym_AMP,
      anon_sym_RBRACE,
      anon_sym_POUND_LBRACK,
  [66630] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3770), 1,
      anon_sym_PIPE,
    STATE(1843), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(3228), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [66649] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_COMMA,
    STATE(1844), 1,
      sym_text_interpolation,
    STATE(1898), 1,
      aux_sym__const_declaration_repeat1,
    STATE(2194), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66672] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1845), 1,
      sym_text_interpolation,
    STATE(2272), 1,
      sym_declaration_list,
    STATE(2371), 1,
      sym_class_interface_clause,
  [66694] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1846), 1,
      sym_text_interpolation,
    STATE(2344), 2,
      sym_variable_name,
      sym_by_ref,
  [66714] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1718), 1,
      sym__simple_variable,
    STATE(1847), 1,
      sym_text_interpolation,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [66734] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1848), 1,
      sym_text_interpolation,
    STATE(2673), 1,
      sym_declare_directive,
    ACTIONS(3773), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [66752] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1849), 1,
      sym_text_interpolation,
    STATE(2016), 1,
      sym_formal_parameters,
    STATE(2372), 1,
      sym_reference_modifier,
  [66774] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_LPAREN2,
    STATE(505), 1,
      sym__semicolon,
    STATE(1850), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [66794] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3779), 1,
      anon_sym_DASH_GT,
    ACTIONS(3781), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3783), 1,
      anon_sym_LBRACK,
    STATE(1851), 1,
      sym_text_interpolation,
  [66816] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1852), 1,
      sym_text_interpolation,
    ACTIONS(3199), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [66832] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1853), 1,
      sym_text_interpolation,
    ACTIONS(3183), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_LBRACE,
  [66848] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_EQ,
    STATE(1854), 1,
      sym_text_interpolation,
    ACTIONS(3785), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [66866] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1855), 1,
      sym_text_interpolation,
    ACTIONS(3789), 2,
      ts_builtin_sym_end,
      aux_sym_text_token2,
    ACTIONS(3791), 2,
      sym_php_tag,
      aux_sym_text_token1,
  [66884] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3795), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1856), 1,
      sym_text_interpolation,
    ACTIONS(3793), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [66902] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3797), 1,
      anon_sym_DASH_GT,
    ACTIONS(3799), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3801), 1,
      anon_sym_LBRACK,
    STATE(1857), 1,
      sym_text_interpolation,
  [66924] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(547), 1,
      sym_declaration_list,
    STATE(1858), 1,
      sym_text_interpolation,
    STATE(2443), 1,
      sym_base_clause,
  [66946] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3803), 1,
      anon_sym_DASH_GT,
    ACTIONS(3805), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3807), 1,
      anon_sym_LBRACK,
    STATE(1859), 1,
      sym_text_interpolation,
  [66968] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1723), 1,
      sym_formal_parameters,
    STATE(1860), 1,
      sym_text_interpolation,
    STATE(2450), 1,
      sym_reference_modifier,
  [66990] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2502), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(2819), 1,
      aux_sym__arrow_function_header_token1,
    ACTIONS(3809), 1,
      aux_sym__namespace_use_type_token1,
    STATE(1861), 1,
      sym_text_interpolation,
    STATE(2453), 1,
      sym_static_modifier,
  [67012] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1862), 1,
      sym_text_interpolation,
    STATE(2540), 1,
      sym_declare_directive,
    ACTIONS(3773), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67030] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1863), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [67046] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(1864), 1,
      sym_text_interpolation,
    STATE(2299), 1,
      sym_arguments,
    ACTIONS(3811), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [67066] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3353), 1,
      aux_sym_string_content_token1,
    STATE(1865), 1,
      sym_text_interpolation,
    STATE(1882), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3813), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [67086] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3817), 1,
      sym__new_line,
    ACTIONS(3819), 1,
      sym_heredoc_end,
    STATE(1866), 1,
      sym_text_interpolation,
    STATE(2501), 1,
      sym_heredoc_body,
  [67108] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1743), 1,
      sym_formal_parameters,
    STATE(1867), 1,
      sym_text_interpolation,
    STATE(2493), 1,
      sym_reference_modifier,
  [67130] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1868), 1,
      sym_text_interpolation,
    STATE(2140), 1,
      sym_formal_parameters,
    STATE(2491), 1,
      sym_reference_modifier,
  [67152] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1869), 1,
      sym_text_interpolation,
    STATE(2147), 1,
      sym_formal_parameters,
    STATE(2487), 1,
      sym_reference_modifier,
  [67174] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1870), 1,
      sym_text_interpolation,
    STATE(2158), 1,
      sym__simple_variable,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67194] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1871), 1,
      sym_text_interpolation,
    ACTIONS(3755), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [67210] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1872), 1,
      sym_text_interpolation,
    ACTIONS(3194), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [67226] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1873), 1,
      sym_text_interpolation,
    ACTIONS(3554), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [67242] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3823), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(1874), 1,
      sym_text_interpolation,
    ACTIONS(3821), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [67260] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1875), 1,
      sym_text_interpolation,
    ACTIONS(3745), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [67276] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1876), 1,
      sym_text_interpolation,
    STATE(2554), 1,
      sym_declare_directive,
    ACTIONS(3773), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67294] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3825), 1,
      anon_sym_DASH_GT,
    ACTIONS(3827), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3829), 1,
      anon_sym_LBRACK,
    STATE(1877), 1,
      sym_text_interpolation,
  [67316] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(544), 1,
      sym_declaration_list,
    STATE(1878), 1,
      sym_text_interpolation,
    STATE(2430), 1,
      sym_class_interface_clause,
  [67338] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(976), 1,
      sym_declaration_list,
    STATE(1879), 1,
      sym_text_interpolation,
    STATE(2384), 1,
      sym_class_interface_clause,
  [67360] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    ACTIONS(3833), 1,
      anon_sym_RPAREN2,
    STATE(1880), 1,
      sym_text_interpolation,
    STATE(2243), 1,
      aux_sym__list_destructing_repeat1,
  [67382] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1881), 1,
      sym_text_interpolation,
    ACTIONS(3835), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [67398] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3839), 1,
      aux_sym_string_content_token1,
    ACTIONS(3837), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
    STATE(1882), 2,
      sym_text_interpolation,
      aux_sym_string_content_repeat1,
  [67416] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3817), 1,
      sym__new_line,
    ACTIONS(3842), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3844), 1,
      sym_heredoc_end,
    STATE(1883), 1,
      sym_text_interpolation,
    STATE(2477), 1,
      sym_heredoc_body,
  [67438] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1744), 1,
      sym_formal_parameters,
    STATE(1884), 1,
      sym_text_interpolation,
    STATE(2425), 1,
      sym_reference_modifier,
  [67460] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_declaration_list,
    STATE(1885), 1,
      sym_text_interpolation,
    STATE(2336), 1,
      sym_base_clause,
  [67482] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1758), 1,
      sym_formal_parameters,
    STATE(1886), 1,
      sym_text_interpolation,
    STATE(2329), 1,
      sym_reference_modifier,
  [67504] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1887), 1,
      sym_text_interpolation,
    STATE(2294), 1,
      sym_formal_parameters,
    STATE(2328), 1,
      sym_reference_modifier,
  [67526] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1888), 1,
      sym_text_interpolation,
    ACTIONS(3187), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [67542] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3846), 1,
      anon_sym_AMP,
    STATE(1889), 1,
      sym_text_interpolation,
    STATE(1897), 1,
      aux_sym_intersection_type_repeat1,
    ACTIONS(3220), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [67562] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3851), 1,
      anon_sym_COMMA,
    ACTIONS(3849), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1890), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [67580] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_COMMA,
    ACTIONS(3854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1891), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [67598] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3861), 1,
      anon_sym_COMMA,
    ACTIONS(3859), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1892), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [67616] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1893), 1,
      sym_text_interpolation,
    ACTIONS(3760), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [67632] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1894), 1,
      sym_text_interpolation,
    STATE(1763), 2,
      sym_variable_name,
      sym_by_ref,
  [67652] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1895), 1,
      sym_text_interpolation,
    STATE(2271), 2,
      sym_variable_name,
      sym_by_ref,
  [67672] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1896), 1,
      sym_text_interpolation,
    ACTIONS(3228), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [67688] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3864), 1,
      anon_sym_AMP,
    ACTIONS(3183), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
    STATE(1897), 2,
      sym_text_interpolation,
      aux_sym_intersection_type_repeat1,
  [67706] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3869), 1,
      anon_sym_COMMA,
    ACTIONS(3867), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1898), 2,
      sym_text_interpolation,
      aux_sym__const_declaration_repeat1,
  [67724] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3872), 1,
      anon_sym_COMMA,
    STATE(1899), 1,
      sym_text_interpolation,
    STATE(1917), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3874), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [67744] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1900), 1,
      sym_text_interpolation,
    STATE(2523), 1,
      sym_declare_directive,
    ACTIONS(3773), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [67762] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3876), 1,
      anon_sym_DASH_GT,
    ACTIONS(3878), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    STATE(1901), 1,
      sym_text_interpolation,
  [67784] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(328), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1709), 1,
      sym__simple_variable,
    STATE(1902), 1,
      sym_text_interpolation,
    STATE(633), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67804] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1903), 1,
      sym_text_interpolation,
    ACTIONS(3882), 4,
      anon_sym_RBRACE,
      aux_sym_enum_case_token1,
      aux_sym_match_default_expression_token1,
      aux_sym_switch_block_token1,
  [67820] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(936), 1,
      sym_declaration_list,
    STATE(1904), 1,
      sym_text_interpolation,
    STATE(2417), 1,
      sym_class_interface_clause,
  [67842] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(938), 1,
      sym_declaration_list,
    STATE(1905), 1,
      sym_text_interpolation,
    STATE(2422), 1,
      sym_class_interface_clause,
  [67864] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1795), 1,
      anon_sym_DOLLAR,
    STATE(792), 1,
      sym__simple_variable,
    STATE(1906), 1,
      sym_text_interpolation,
    STATE(794), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67884] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1907), 1,
      sym_text_interpolation,
    ACTIONS(3884), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [67900] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(480), 1,
      sym_enum_declaration_list,
    STATE(1908), 1,
      sym_text_interpolation,
    STATE(2408), 1,
      sym_class_interface_clause,
  [67922] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(499), 1,
      sym_declaration_list,
    STATE(1909), 1,
      sym_text_interpolation,
    STATE(2484), 1,
      sym_class_interface_clause,
  [67944] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOLLAR,
    STATE(952), 1,
      sym__simple_variable,
    STATE(1910), 1,
      sym_text_interpolation,
    STATE(971), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [67964] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_declaration_list,
    STATE(1911), 1,
      sym_text_interpolation,
    STATE(2497), 1,
      sym_class_interface_clause,
  [67986] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1912), 1,
      sym_text_interpolation,
    STATE(1775), 2,
      sym_variable_name,
      sym_by_ref,
  [68006] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1913), 1,
      sym_text_interpolation,
    ACTIONS(3591), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [68022] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1914), 1,
      sym_text_interpolation,
    ACTIONS(1814), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [68038] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1915), 1,
      sym_text_interpolation,
    STATE(1779), 2,
      sym_variable_name,
      sym_by_ref,
  [68058] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3880), 1,
      anon_sym_LBRACK,
    ACTIONS(3886), 1,
      anon_sym_DASH_GT,
    ACTIONS(3888), 1,
      anon_sym_QMARK_DASH_GT,
    STATE(1916), 1,
      sym_text_interpolation,
  [68080] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3872), 1,
      anon_sym_COMMA,
    STATE(1917), 1,
      sym_text_interpolation,
    STATE(1942), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(3890), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [68100] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3892), 1,
      anon_sym_EQ,
    STATE(1439), 1,
      sym__semicolon,
    STATE(1918), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68120] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_PIPE,
    STATE(1919), 1,
      sym_text_interpolation,
    STATE(1944), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3894), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [68140] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(841), 1,
      sym_declaration_list,
    STATE(1920), 1,
      sym_text_interpolation,
    STATE(2360), 1,
      sym_class_interface_clause,
  [68162] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3622), 1,
      anon_sym_LBRACE,
    STATE(1921), 1,
      sym_text_interpolation,
    STATE(2292), 1,
      sym_enum_declaration_list,
    STATE(2373), 1,
      sym_class_interface_clause,
  [68184] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(798), 1,
      sym_declaration_list,
    STATE(1922), 1,
      sym_text_interpolation,
    STATE(2377), 1,
      sym_class_interface_clause,
  [68206] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(811), 1,
      sym_declaration_list,
    STATE(1923), 1,
      sym_text_interpolation,
    STATE(2378), 1,
      sym_class_interface_clause,
  [68228] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(1001), 1,
      sym_declaration_list,
    STATE(1924), 1,
      sym_text_interpolation,
    STATE(2397), 1,
      sym_class_interface_clause,
  [68250] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_LPAREN,
    STATE(1925), 1,
      sym_text_interpolation,
    ACTIONS(2660), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [68268] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(991), 1,
      sym_declaration_list,
    STATE(1926), 1,
      sym_text_interpolation,
    STATE(2395), 1,
      sym_class_interface_clause,
  [68290] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1927), 1,
      sym_text_interpolation,
    STATE(2154), 1,
      sym_declaration_list,
    STATE(2388), 1,
      sym_class_interface_clause,
  [68312] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(1928), 1,
      sym_text_interpolation,
    ACTIONS(3789), 2,
      sym__eof,
      aux_sym_text_token2,
    ACTIONS(3791), 2,
      sym_php_tag,
      aux_sym_text_token1,
  [68330] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1929), 1,
      sym_text_interpolation,
    STATE(2013), 1,
      sym_declaration_list,
    STATE(2398), 1,
      sym_class_interface_clause,
  [68352] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(768), 1,
      sym_declaration_list,
    STATE(1930), 1,
      sym_text_interpolation,
    STATE(2415), 1,
      sym_class_interface_clause,
  [68374] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(829), 1,
      sym_declaration_list,
    STATE(1931), 1,
      sym_text_interpolation,
    STATE(2416), 1,
      sym_class_interface_clause,
  [68396] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3622), 1,
      anon_sym_LBRACE,
    STATE(1932), 1,
      sym_text_interpolation,
    STATE(2142), 1,
      sym_enum_declaration_list,
    STATE(2433), 1,
      sym_class_interface_clause,
  [68418] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(563), 1,
      sym_enum_declaration_list,
    STATE(1933), 1,
      sym_text_interpolation,
    STATE(2376), 1,
      sym_class_interface_clause,
  [68440] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1934), 1,
      sym_text_interpolation,
    STATE(1969), 1,
      sym_declaration_list,
    STATE(2446), 1,
      sym_base_clause,
  [68462] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3817), 1,
      sym__new_line,
    ACTIONS(3900), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3902), 1,
      sym_heredoc_end,
    STATE(1935), 1,
      sym_text_interpolation,
    STATE(2451), 1,
      sym_heredoc_body,
  [68484] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_declaration_list,
    STATE(1936), 1,
      sym_text_interpolation,
    STATE(2363), 1,
      sym_class_interface_clause,
  [68506] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(846), 1,
      sym_declaration_list,
    STATE(1937), 1,
      sym_text_interpolation,
    STATE(2468), 1,
      sym_class_interface_clause,
  [68528] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1938), 1,
      sym_text_interpolation,
    STATE(1971), 1,
      sym_declaration_list,
    STATE(2413), 1,
      sym_class_interface_clause,
  [68550] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1939), 1,
      sym_text_interpolation,
    ACTIONS(3550), 4,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [68566] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(645), 1,
      anon_sym_DOLLAR,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(601), 1,
      sym__simple_variable,
    STATE(1940), 1,
      sym_text_interpolation,
    STATE(598), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [68586] = 7,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3817), 1,
      sym__new_line,
    ACTIONS(3904), 1,
      anon_sym_DQUOTE2,
    ACTIONS(3906), 1,
      sym_heredoc_end,
    STATE(1941), 1,
      sym_text_interpolation,
    STATE(2492), 1,
      sym_heredoc_body,
  [68608] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3908), 1,
      anon_sym_COMMA,
    ACTIONS(3554), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1942), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [68626] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3911), 1,
      anon_sym_EQ,
    STATE(1448), 1,
      sym__semicolon,
    STATE(1943), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68646] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3896), 1,
      anon_sym_PIPE,
    STATE(1944), 1,
      sym_text_interpolation,
    STATE(1953), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3913), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
  [68666] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3257), 1,
      aux_sym_base_clause_token1,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1945), 1,
      sym_text_interpolation,
    STATE(2123), 1,
      sym_declaration_list,
    STATE(2457), 1,
      sym_base_clause,
  [68688] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3915), 1,
      anon_sym_DASH_GT,
    ACTIONS(3917), 1,
      anon_sym_QMARK_DASH_GT,
    ACTIONS(3919), 1,
      anon_sym_LBRACK,
    STATE(1946), 1,
      sym_text_interpolation,
  [68710] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    ACTIONS(3259), 1,
      aux_sym_class_interface_clause_token1,
    STATE(940), 1,
      sym_declaration_list,
    STATE(1947), 1,
      sym_text_interpolation,
    STATE(2340), 1,
      sym_class_interface_clause,
  [68732] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3921), 1,
      anon_sym_LPAREN2,
    STATE(1948), 1,
      sym_text_interpolation,
    STATE(2274), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68752] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3925), 1,
      sym_nowdoc_string,
    STATE(1949), 1,
      sym_text_interpolation,
    STATE(1954), 1,
      aux_sym_nowdoc_body_repeat1,
    ACTIONS(3923), 2,
      sym_heredoc_end,
      sym__new_line,
  [68772] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(731), 1,
      anon_sym_AMP,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(1950), 1,
      sym_text_interpolation,
    STATE(1794), 2,
      sym_variable_name,
      sym_by_ref,
  [68792] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1951), 1,
      sym_text_interpolation,
    ACTIONS(1626), 4,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_QMARK_DASH_GT,
      anon_sym_LBRACK,
  [68808] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1952), 1,
      sym_text_interpolation,
    ACTIONS(3666), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [68824] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3929), 1,
      anon_sym_PIPE,
    ACTIONS(3927), 2,
      anon_sym_RPAREN2,
      anon_sym_DOLLAR,
    STATE(1953), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [68842] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3934), 1,
      sym_nowdoc_string,
    ACTIONS(3932), 2,
      sym_heredoc_end,
      sym__new_line,
    STATE(1954), 2,
      sym_text_interpolation,
      aux_sym_nowdoc_body_repeat1,
  [68860] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3937), 1,
      anon_sym_COMMA,
    ACTIONS(3939), 1,
      anon_sym_RPAREN2,
    STATE(1955), 1,
      sym_text_interpolation,
    STATE(2273), 1,
      aux_sym_arguments_repeat1,
  [68879] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(489), 1,
      sym__semicolon,
    STATE(1956), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68896] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1262), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1957), 1,
      sym_text_interpolation,
    ACTIONS(1260), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68913] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1958), 1,
      sym_text_interpolation,
    STATE(1987), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68930] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1959), 1,
      sym_text_interpolation,
    STATE(2264), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68947] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1542), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1960), 1,
      sym_text_interpolation,
    ACTIONS(1540), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68964] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1330), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1961), 1,
      sym_text_interpolation,
    ACTIONS(1328), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [68981] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1962), 1,
      sym_text_interpolation,
    STATE(2173), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [68998] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1418), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1963), 1,
      sym_text_interpolation,
    ACTIONS(1416), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69015] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(496), 1,
      sym__semicolon,
    STATE(1964), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(502), 1,
      sym__semicolon,
    STATE(1965), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69049] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(506), 1,
      sym__semicolon,
    STATE(1966), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69066] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(507), 1,
      sym__semicolon,
    STATE(1967), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69083] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1968), 1,
      sym_text_interpolation,
    STATE(2181), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69100] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1350), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1969), 1,
      sym_text_interpolation,
    ACTIONS(1348), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69117] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1970), 1,
      sym_text_interpolation,
    ACTIONS(2708), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [69132] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1398), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1971), 1,
      sym_text_interpolation,
    ACTIONS(1396), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69149] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3941), 1,
      anon_sym_DQUOTE,
    ACTIONS(3943), 1,
      anon_sym_SQUOTE,
    ACTIONS(3945), 1,
      sym_heredoc_start,
    STATE(1972), 1,
      sym_text_interpolation,
  [69168] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1314), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1973), 1,
      sym_text_interpolation,
    ACTIONS(1312), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69185] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1342), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1974), 1,
      sym_text_interpolation,
    ACTIONS(1340), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69202] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1346), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1975), 1,
      sym_text_interpolation,
    ACTIONS(1344), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69219] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1976), 1,
      sym_text_interpolation,
    STATE(2110), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69236] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1062), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1977), 1,
      sym_text_interpolation,
    ACTIONS(1060), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69253] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1070), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1978), 1,
      sym_text_interpolation,
    ACTIONS(1068), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69270] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1979), 1,
      sym_text_interpolation,
    STATE(2193), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69287] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3947), 1,
      anon_sym_COMMA,
    ACTIONS(3950), 1,
      anon_sym_RPAREN2,
    STATE(1980), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [69304] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(476), 1,
      sym__semicolon,
    STATE(1981), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69321] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1982), 1,
      sym_text_interpolation,
    ACTIONS(3952), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [69336] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1983), 1,
      sym_text_interpolation,
    ACTIONS(3954), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [69351] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1354), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1984), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69368] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1298), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1985), 1,
      sym_text_interpolation,
    ACTIONS(1296), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69385] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1082), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1986), 1,
      sym_text_interpolation,
    ACTIONS(1080), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69402] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1090), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1987), 1,
      sym_text_interpolation,
    ACTIONS(1088), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69419] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(540), 1,
      sym__semicolon,
    STATE(1988), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1094), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1989), 1,
      sym_text_interpolation,
    ACTIONS(1092), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1990), 1,
      sym_text_interpolation,
    STATE(2265), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69470] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1991), 1,
      sym_text_interpolation,
    ACTIONS(3927), 3,
      anon_sym_RPAREN2,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [69485] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(543), 1,
      sym__semicolon,
    STATE(1992), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69502] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1362), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1993), 1,
      sym_text_interpolation,
    ACTIONS(1360), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69519] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1102), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1994), 1,
      sym_text_interpolation,
    ACTIONS(1100), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69536] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1242), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1995), 1,
      sym_text_interpolation,
    ACTIONS(1240), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69553] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1396), 1,
      sym__semicolon,
    STATE(1996), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69570] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3956), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_RPAREN2,
    STATE(1997), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [69587] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1995), 1,
      sym__semicolon,
    STATE(1998), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69604] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1106), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1999), 1,
      sym_text_interpolation,
    ACTIONS(1104), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69621] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1110), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2000), 1,
      sym_text_interpolation,
    ACTIONS(1108), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69638] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1494), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2001), 1,
      sym_text_interpolation,
    ACTIONS(1492), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1334), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2002), 1,
      sym_text_interpolation,
    ACTIONS(1332), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69672] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(553), 1,
      sym__semicolon,
    STATE(2003), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69689] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2004), 1,
      sym_text_interpolation,
    STATE(2258), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69706] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1214), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2005), 1,
      sym_text_interpolation,
    ACTIONS(1212), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69723] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(3961), 1,
      sym_name,
    STATE(2006), 1,
      sym_text_interpolation,
    STATE(2735), 1,
      sym_reference_modifier,
  [69742] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1226), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2007), 1,
      sym_text_interpolation,
    ACTIONS(1224), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69759] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2008), 1,
      sym_text_interpolation,
    ACTIONS(3963), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [69774] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1957), 1,
      sym__semicolon,
    STATE(2009), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69791] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1382), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2010), 1,
      sym_text_interpolation,
    ACTIONS(1380), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69808] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1394), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2011), 1,
      sym_text_interpolation,
    ACTIONS(1392), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69825] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2012), 1,
      sym_text_interpolation,
    ACTIONS(3965), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [69840] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1230), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2013), 1,
      sym_text_interpolation,
    ACTIONS(1228), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69857] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2014), 1,
      sym_text_interpolation,
    STATE(2068), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69874] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2000), 1,
      sym__semicolon,
    STATE(2015), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69891] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3967), 1,
      anon_sym_EQ_GT,
    STATE(2016), 1,
      sym_text_interpolation,
    STATE(2545), 1,
      sym__return_type,
  [69910] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(577), 1,
      sym__semicolon,
    STATE(2017), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69927] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3859), 1,
      anon_sym_RBRACE,
    ACTIONS(3969), 1,
      anon_sym_COMMA,
    STATE(2018), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [69944] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3972), 1,
      anon_sym_LBRACE,
    STATE(2019), 1,
      sym_text_interpolation,
    STATE(2684), 1,
      sym__return_type,
  [69963] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1234), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2020), 1,
      sym_text_interpolation,
    ACTIONS(1232), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [69980] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(576), 1,
      sym__semicolon,
    STATE(2021), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [69997] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3974), 1,
      anon_sym_LBRACE,
    ACTIONS(3976), 1,
      anon_sym_COLON,
    STATE(552), 1,
      sym_switch_block,
    STATE(2022), 1,
      sym_text_interpolation,
  [70016] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1538), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2023), 1,
      sym_text_interpolation,
    ACTIONS(1536), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1238), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2024), 1,
      sym_text_interpolation,
    ACTIONS(1236), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70050] = 4,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    STATE(2025), 1,
      sym_text_interpolation,
    ACTIONS(3978), 3,
      sym_heredoc_end,
      sym_nowdoc_string,
      sym__new_line,
  [70065] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1414), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2026), 1,
      sym_text_interpolation,
    ACTIONS(1412), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70082] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1246), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2027), 1,
      sym_text_interpolation,
    ACTIONS(1244), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70099] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    STATE(2028), 1,
      sym_text_interpolation,
    ACTIONS(3980), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [70116] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3982), 1,
      sym_name,
    STATE(2029), 1,
      sym_text_interpolation,
    ACTIONS(3984), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70133] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3986), 1,
      anon_sym_COMMA,
    ACTIONS(3988), 1,
      anon_sym_RBRACK,
    STATE(2030), 1,
      sym_text_interpolation,
    STATE(2119), 1,
      aux_sym__array_destructing_repeat1,
  [70152] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3990), 1,
      anon_sym_RPAREN2,
    STATE(2031), 1,
      sym_text_interpolation,
    STATE(2244), 1,
      aux_sym__list_destructing_repeat1,
  [70171] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2032), 1,
      sym_text_interpolation,
    ACTIONS(3992), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [70186] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3994), 1,
      anon_sym_RPAREN2,
    STATE(2033), 1,
      sym_text_interpolation,
    STATE(2244), 1,
      aux_sym__list_destructing_repeat1,
  [70205] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3996), 1,
      anon_sym_COMMA,
    ACTIONS(3998), 1,
      anon_sym_RBRACK,
    STATE(2034), 1,
      sym_text_interpolation,
    STATE(2120), 1,
      aux_sym_array_creation_expression_repeat1,
  [70224] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3986), 1,
      anon_sym_COMMA,
    ACTIONS(3988), 1,
      anon_sym_RBRACK,
    STATE(2035), 1,
      sym_text_interpolation,
    STATE(2121), 1,
      aux_sym__array_destructing_repeat1,
  [70243] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2036), 1,
      sym_text_interpolation,
    ACTIONS(4000), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [70258] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4002), 1,
      anon_sym_COMMA,
    ACTIONS(4004), 1,
      anon_sym_RBRACK,
    STATE(2037), 1,
      sym_text_interpolation,
    STATE(2122), 1,
      aux_sym_attribute_group_repeat1,
  [70277] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4008), 1,
      aux_sym_string_content_token1,
    STATE(2038), 1,
      sym_text_interpolation,
    ACTIONS(4006), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [70294] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4012), 1,
      aux_sym_string_content_token1,
    STATE(2039), 1,
      sym_text_interpolation,
    ACTIONS(4010), 2,
      anon_sym_SQUOTE,
      aux_sym_string_token2,
  [70311] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1514), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2040), 1,
      sym_text_interpolation,
    ACTIONS(1512), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70328] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1498), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2041), 1,
      sym_text_interpolation,
    ACTIONS(1496), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70345] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_EQ_GT,
    ACTIONS(4014), 1,
      anon_sym_COMMA,
    STATE(2042), 2,
      sym_text_interpolation,
      aux_sym_match_condition_list_repeat1,
  [70362] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4017), 1,
      anon_sym_COMMA,
    ACTIONS(4020), 1,
      anon_sym_RBRACE,
    STATE(2043), 2,
      sym_text_interpolation,
      aux_sym_match_block_repeat1,
  [70379] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1074), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2044), 1,
      sym_text_interpolation,
    ACTIONS(1072), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70396] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1989), 1,
      sym__semicolon,
    STATE(2045), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70413] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1458), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2046), 1,
      sym_text_interpolation,
    ACTIONS(1456), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70430] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1274), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2047), 1,
      sym_text_interpolation,
    ACTIONS(1272), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70447] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(514), 1,
      sym__semicolon,
    STATE(2048), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70464] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1854), 1,
      sym_variable_name,
    STATE(2049), 1,
      sym_text_interpolation,
    STATE(2203), 1,
      sym_static_variable_declaration,
  [70483] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2050), 1,
      sym_text_interpolation,
    STATE(2086), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70500] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1430), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2051), 1,
      sym_text_interpolation,
    ACTIONS(1428), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2052), 1,
      sym_text_interpolation,
    STATE(2280), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70534] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1510), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2053), 1,
      sym_text_interpolation,
    ACTIONS(1508), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70551] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1326), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2054), 1,
      sym_text_interpolation,
    ACTIONS(1324), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70568] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4024), 1,
      aux_sym_else_clause_token1,
    STATE(2055), 1,
      sym_text_interpolation,
    ACTIONS(4022), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [70585] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1546), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2056), 1,
      sym_text_interpolation,
    ACTIONS(1544), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70602] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2044), 1,
      sym__semicolon,
    STATE(2057), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2058), 1,
      sym_text_interpolation,
    STATE(2170), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70636] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1518), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2059), 1,
      sym_text_interpolation,
    ACTIONS(1516), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70653] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1366), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2060), 1,
      sym_text_interpolation,
    ACTIONS(1364), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70670] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4026), 1,
      sym_name,
    ACTIONS(4028), 1,
      anon_sym_LBRACE,
    STATE(2061), 1,
      sym_text_interpolation,
    STATE(2474), 1,
      sym_namespace_use_group,
  [70689] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1550), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2062), 1,
      sym_text_interpolation,
    ACTIONS(1548), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70706] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1522), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2063), 1,
      sym_text_interpolation,
    ACTIONS(1520), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70723] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4030), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2064), 1,
      sym_text_interpolation,
    STATE(2169), 1,
      sym_variable_name,
  [70742] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(483), 1,
      sym__semicolon,
    STATE(2065), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70759] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1978), 1,
      sym__semicolon,
    STATE(2066), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70776] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4032), 1,
      anon_sym_COMMA,
    ACTIONS(4034), 1,
      anon_sym_RPAREN2,
    STATE(2067), 1,
      sym_text_interpolation,
    STATE(2175), 1,
      aux_sym_formal_parameters_repeat1,
  [70795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1134), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2068), 1,
      sym_text_interpolation,
    ACTIONS(1132), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70812] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(482), 1,
      sym__semicolon,
    STATE(2069), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70829] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1306), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2070), 1,
      sym_text_interpolation,
    ACTIONS(1304), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70846] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2071), 1,
      sym_text_interpolation,
    STATE(2107), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70863] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(520), 1,
      sym__semicolon,
    STATE(2072), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70880] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1286), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2073), 1,
      sym_text_interpolation,
    ACTIONS(1284), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [70897] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(546), 1,
      sym__semicolon,
    STATE(2074), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70914] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(481), 1,
      sym__semicolon,
    STATE(2075), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70931] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4038), 1,
      anon_sym_EQ,
    STATE(2076), 1,
      sym_text_interpolation,
    ACTIONS(4036), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [70948] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4040), 1,
      anon_sym_LBRACE,
    ACTIONS(4042), 1,
      anon_sym_COLON,
    STATE(2051), 1,
      sym_switch_block,
    STATE(2077), 1,
      sym_text_interpolation,
  [70967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(479), 1,
      sym__semicolon,
    STATE(2078), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [70984] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2079), 1,
      sym_text_interpolation,
    ACTIONS(3554), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [70999] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1768), 1,
      sym_variable_name,
    STATE(1952), 1,
      sym_property_element,
    STATE(2080), 1,
      sym_text_interpolation,
  [71018] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1584), 1,
      sym_property_element,
    STATE(1768), 1,
      sym_variable_name,
    STATE(2081), 1,
      sym_text_interpolation,
  [71037] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1282), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2082), 1,
      sym_text_interpolation,
    ACTIONS(1280), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71054] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4044), 1,
      anon_sym_COMMA,
    ACTIONS(4046), 1,
      anon_sym_RBRACK,
    STATE(2083), 1,
      sym_text_interpolation,
    STATE(2134), 1,
      aux_sym_array_creation_expression_repeat1,
  [71073] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4048), 1,
      anon_sym_COMMA,
    ACTIONS(4050), 1,
      anon_sym_RBRACK,
    STATE(2084), 1,
      sym_text_interpolation,
    STATE(2136), 1,
      aux_sym_attribute_group_repeat1,
  [71092] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_RPAREN2,
    ACTIONS(4052), 1,
      anon_sym_COMMA,
    STATE(1997), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2085), 1,
      sym_text_interpolation,
  [71111] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1370), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2086), 1,
      sym_text_interpolation,
    ACTIONS(1368), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71128] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(478), 1,
      sym__semicolon,
    STATE(2087), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71145] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1278), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2088), 1,
      sym_text_interpolation,
    ACTIONS(1276), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71162] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4054), 1,
      anon_sym_LBRACE,
    STATE(2089), 1,
      sym_text_interpolation,
    STATE(2563), 1,
      sym__return_type,
  [71181] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4058), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_text_interpolation,
    ACTIONS(4056), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [71198] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1222), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2091), 1,
      sym_text_interpolation,
    ACTIONS(1220), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71215] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3747), 1,
      anon_sym_LBRACE,
    STATE(2092), 1,
      sym_text_interpolation,
    STATE(2565), 1,
      sym__return_type,
  [71234] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4060), 1,
      sym__new_line,
    ACTIONS(4062), 1,
      sym_heredoc_end,
    STATE(2093), 1,
      sym_text_interpolation,
    STATE(2464), 1,
      sym_nowdoc_body,
  [71253] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_AMP,
    ACTIONS(4064), 1,
      anon_sym_RPAREN2,
    STATE(1519), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2094), 1,
      sym_text_interpolation,
  [71272] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2095), 1,
      sym_text_interpolation,
    STATE(2269), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71289] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1294), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2096), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1338), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2097), 1,
      sym_text_interpolation,
    ACTIONS(1336), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71323] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2098), 1,
      sym_text_interpolation,
    STATE(2268), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71340] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1526), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2099), 1,
      sym_text_interpolation,
    ACTIONS(1524), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2100), 1,
      sym_text_interpolation,
    STATE(2168), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71374] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1963), 1,
      sym__semicolon,
    STATE(2101), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71391] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4066), 1,
      anon_sym_EQ_GT,
    STATE(2102), 1,
      sym_text_interpolation,
    STATE(2594), 1,
      sym__return_type,
  [71410] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_COMMA,
    ACTIONS(4070), 1,
      anon_sym_RPAREN2,
    STATE(2103), 1,
      sym_text_interpolation,
    STATE(2157), 1,
      aux_sym_formal_parameters_repeat1,
  [71429] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4072), 1,
      anon_sym_COMMA,
    ACTIONS(4074), 1,
      anon_sym_RPAREN2,
    STATE(2104), 1,
      sym_text_interpolation,
    STATE(2208), 1,
      aux_sym_array_creation_expression_repeat1,
  [71448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(549), 1,
      sym__semicolon,
    STATE(2105), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71465] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(871), 1,
      anon_sym_RBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4076), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_match_block_repeat1,
    STATE(2106), 1,
      sym_text_interpolation,
  [71484] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1530), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2107), 1,
      sym_text_interpolation,
    ACTIONS(1528), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71501] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2108), 1,
      sym_text_interpolation,
    STATE(2246), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71518] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2109), 1,
      sym_text_interpolation,
    ACTIONS(4078), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [71533] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1218), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2110), 1,
      sym_text_interpolation,
    ACTIONS(1216), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71550] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1426), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2111), 1,
      sym_text_interpolation,
    ACTIONS(1424), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71567] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_RPAREN2,
    STATE(2112), 1,
      sym_text_interpolation,
    STATE(2240), 1,
      aux_sym__list_destructing_repeat1,
  [71586] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1773), 1,
      anon_sym_RPAREN2,
    STATE(2113), 1,
      sym_text_interpolation,
    STATE(2244), 1,
      aux_sym__list_destructing_repeat1,
  [71605] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_COMMA,
    ACTIONS(4082), 1,
      anon_sym_RPAREN2,
    STATE(2114), 1,
      sym_text_interpolation,
    STATE(2163), 1,
      aux_sym_array_creation_expression_repeat1,
  [71624] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1270), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2115), 1,
      sym_text_interpolation,
    ACTIONS(1268), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71641] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1266), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2116), 1,
      sym_text_interpolation,
    ACTIONS(1264), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71658] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1875), 1,
      anon_sym_AMP,
    ACTIONS(4084), 1,
      sym_name,
    STATE(2117), 1,
      sym_text_interpolation,
    STATE(2658), 1,
      sym_reference_modifier,
  [71677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1422), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2118), 1,
      sym_text_interpolation,
    ACTIONS(1420), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71694] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3986), 1,
      anon_sym_COMMA,
    ACTIONS(4086), 1,
      anon_sym_RBRACK,
    STATE(2119), 1,
      sym_text_interpolation,
    STATE(2121), 1,
      aux_sym__array_destructing_repeat1,
  [71713] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(845), 1,
      anon_sym_RBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4088), 1,
      anon_sym_COMMA,
    STATE(2120), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_array_creation_expression_repeat1,
  [71732] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4090), 1,
      anon_sym_COMMA,
    ACTIONS(4093), 1,
      anon_sym_RBRACK,
    STATE(2121), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [71749] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3098), 1,
      anon_sym_RBRACK,
    ACTIONS(4095), 1,
      anon_sym_COMMA,
    STATE(2122), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      aux_sym_attribute_group_repeat1,
  [71768] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1410), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2123), 1,
      sym_text_interpolation,
    ACTIONS(1408), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71785] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3817), 1,
      sym__new_line,
    ACTIONS(4097), 1,
      sym_heredoc_end,
    STATE(2124), 1,
      sym_text_interpolation,
    STATE(2355), 1,
      sym_heredoc_body,
  [71804] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1358), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2125), 1,
      sym_text_interpolation,
    ACTIONS(1356), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71821] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1322), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2126), 1,
      sym_text_interpolation,
    ACTIONS(1320), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71838] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1374), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2127), 1,
      sym_text_interpolation,
    ACTIONS(1372), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2128), 1,
      sym_text_interpolation,
    STATE(2213), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [71872] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1386), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2129), 1,
      sym_text_interpolation,
    ACTIONS(1384), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71889] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4101), 1,
      anon_sym_RBRACE,
    STATE(2018), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2130), 1,
      sym_text_interpolation,
  [71908] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3220), 1,
      anon_sym_DOLLAR,
    ACTIONS(4103), 1,
      anon_sym_AMP,
    STATE(1506), 1,
      aux_sym_intersection_type_repeat1,
    STATE(2131), 1,
      sym_text_interpolation,
  [71927] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(2132), 1,
      sym_text_interpolation,
    STATE(2427), 1,
      sym_parenthesized_expression,
  [71946] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1182), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2133), 1,
      sym_text_interpolation,
    ACTIONS(1180), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [71963] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(839), 1,
      anon_sym_RBRACK,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4106), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      sym_text_interpolation,
    STATE(2250), 1,
      aux_sym_array_creation_expression_repeat1,
  [71982] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4110), 1,
      anon_sym_RPAREN2,
    STATE(2135), 1,
      sym_text_interpolation,
    STATE(2286), 1,
      aux_sym_arguments_repeat1,
  [72001] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3116), 1,
      anon_sym_RBRACK,
    ACTIONS(4112), 1,
      anon_sym_COMMA,
    STATE(2136), 1,
      sym_text_interpolation,
    STATE(2251), 1,
      aux_sym_attribute_group_repeat1,
  [72020] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2137), 1,
      sym_text_interpolation,
    STATE(2188), 1,
      sym__semicolon,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72037] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1142), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2138), 1,
      sym_text_interpolation,
    ACTIONS(1140), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72054] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3817), 1,
      sym__new_line,
    ACTIONS(4114), 1,
      sym_heredoc_end,
    STATE(2139), 1,
      sym_text_interpolation,
    STATE(2455), 1,
      sym_heredoc_body,
  [72073] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4116), 1,
      anon_sym_EQ_GT,
    STATE(2140), 1,
      sym_text_interpolation,
    STATE(2690), 1,
      sym__return_type,
  [72092] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1114), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2141), 1,
      sym_text_interpolation,
    ACTIONS(1112), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1154), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2142), 1,
      sym_text_interpolation,
    ACTIONS(1152), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72126] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1122), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2143), 1,
      sym_text_interpolation,
    ACTIONS(1120), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72143] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4118), 1,
      anon_sym_COMMA,
    ACTIONS(4120), 1,
      anon_sym_RPAREN2,
    STATE(2144), 1,
      sym_text_interpolation,
    STATE(2191), 1,
      aux_sym_arguments_repeat1,
  [72162] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4122), 1,
      anon_sym_EQ_GT,
    STATE(2145), 1,
      sym_text_interpolation,
    STATE(2646), 1,
      sym__return_type,
  [72181] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1170), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2146), 1,
      sym_text_interpolation,
    ACTIONS(1168), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72198] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4124), 1,
      anon_sym_EQ_GT,
    STATE(2147), 1,
      sym_text_interpolation,
    STATE(2697), 1,
      sym__return_type,
  [72217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1318), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2148), 1,
      sym_text_interpolation,
    ACTIONS(1316), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72234] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1126), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2149), 1,
      sym_text_interpolation,
    ACTIONS(1124), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72251] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1178), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2150), 1,
      sym_text_interpolation,
    ACTIONS(1176), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72268] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4126), 1,
      anon_sym_LBRACE,
    STATE(2151), 1,
      sym_text_interpolation,
    STATE(2636), 1,
      sym__return_type,
  [72287] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1390), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2152), 1,
      sym_text_interpolation,
    ACTIONS(1388), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72304] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1130), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2153), 1,
      sym_text_interpolation,
    ACTIONS(1128), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72321] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1250), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2154), 1,
      sym_text_interpolation,
    ACTIONS(1248), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72338] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2141), 1,
      sym__semicolon,
    STATE(2155), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72355] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(474), 1,
      sym__semicolon,
    STATE(2156), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72372] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2076), 1,
      anon_sym_RPAREN2,
    ACTIONS(4128), 1,
      anon_sym_COMMA,
    STATE(2157), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      aux_sym_formal_parameters_repeat1,
  [72391] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2158), 1,
      sym_text_interpolation,
    ACTIONS(3854), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72406] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2143), 1,
      sym__semicolon,
    STATE(2159), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72423] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(473), 1,
      sym__semicolon,
    STATE(2160), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72440] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4026), 1,
      sym_name,
    ACTIONS(4028), 1,
      anon_sym_LBRACE,
    STATE(2161), 1,
      sym_text_interpolation,
    STATE(2323), 1,
      sym_namespace_use_group,
  [72459] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4130), 1,
      anon_sym_LBRACE,
    STATE(2162), 1,
      sym_text_interpolation,
    STATE(2632), 1,
      sym__return_type,
  [72478] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(825), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_COMMA,
    STATE(1980), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2163), 1,
      sym_text_interpolation,
  [72497] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2164), 1,
      sym_text_interpolation,
    ACTIONS(3859), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72512] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_RPAREN2,
    ACTIONS(4134), 1,
      anon_sym_COMMA,
    STATE(2165), 1,
      sym_text_interpolation,
    STATE(2259), 1,
      aux_sym_unset_statement_repeat1,
  [72531] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1138), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2166), 1,
      sym_text_interpolation,
    ACTIONS(1136), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72548] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2167), 1,
      sym_text_interpolation,
    ACTIONS(4136), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [72563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1098), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2168), 1,
      sym_text_interpolation,
    ACTIONS(1096), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72580] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4140), 1,
      anon_sym_EQ,
    STATE(2169), 1,
      sym_text_interpolation,
    ACTIONS(4138), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [72597] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1434), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2170), 1,
      sym_text_interpolation,
    ACTIONS(1432), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72614] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4142), 1,
      anon_sym_COMMA,
    ACTIONS(4144), 1,
      anon_sym_RBRACE,
    STATE(2171), 1,
      sym_text_interpolation,
    STATE(2214), 1,
      aux_sym_match_block_repeat1,
  [72633] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4146), 1,
      anon_sym_LBRACE,
    STATE(2172), 1,
      sym_text_interpolation,
    STATE(2631), 1,
      sym__return_type,
  [72652] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1450), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2173), 1,
      sym_text_interpolation,
    ACTIONS(1448), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72669] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4148), 1,
      anon_sym_COMMA,
    ACTIONS(4151), 1,
      anon_sym_RPAREN2,
    STATE(2174), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [72686] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2070), 1,
      anon_sym_RPAREN2,
    ACTIONS(4153), 1,
      anon_sym_COMMA,
    STATE(2175), 1,
      sym_text_interpolation,
    STATE(2293), 1,
      aux_sym_formal_parameters_repeat1,
  [72705] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(472), 1,
      sym__semicolon,
    STATE(2176), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72722] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(470), 1,
      sym__semicolon,
    STATE(2177), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72739] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4155), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2178), 1,
      sym_text_interpolation,
    STATE(2289), 1,
      sym_variable_name,
  [72758] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4159), 1,
      anon_sym_EQ,
    STATE(2179), 1,
      sym_text_interpolation,
    ACTIONS(4157), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [72775] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4161), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2180), 1,
      sym_text_interpolation,
    STATE(2285), 1,
      sym_variable_name,
  [72794] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1454), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2181), 1,
      sym_text_interpolation,
    ACTIONS(1452), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72811] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4163), 1,
      anon_sym_RPAREN2,
    STATE(2182), 1,
      sym_text_interpolation,
    STATE(2536), 1,
      sym_variable_name,
  [72830] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2073), 1,
      sym__semicolon,
    STATE(2183), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [72847] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4167), 1,
      anon_sym_EQ,
    STATE(2184), 1,
      sym_text_interpolation,
    ACTIONS(4165), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [72864] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4169), 1,
      anon_sym_LBRACE,
    STATE(2185), 1,
      sym_text_interpolation,
    STATE(2721), 1,
      sym__return_type,
  [72883] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3762), 1,
      anon_sym_LBRACE,
    STATE(2186), 1,
      sym_text_interpolation,
    STATE(2727), 1,
      sym__return_type,
  [72902] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3817), 1,
      sym__new_line,
    ACTIONS(4171), 1,
      sym_heredoc_end,
    STATE(2187), 1,
      sym_text_interpolation,
    STATE(2410), 1,
      sym_heredoc_body,
  [72921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1146), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2188), 1,
      sym_text_interpolation,
    ACTIONS(1144), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72938] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4060), 1,
      sym__new_line,
    ACTIONS(4173), 1,
      sym_heredoc_end,
    STATE(2189), 1,
      sym_text_interpolation,
    STATE(2406), 1,
      sym_nowdoc_body,
  [72957] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1442), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2190), 1,
      sym_text_interpolation,
    ACTIONS(1440), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [72974] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(803), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4175), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2191), 1,
      sym_text_interpolation,
  [72993] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4177), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2192), 1,
      sym_text_interpolation,
    ACTIONS(3821), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73010] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1466), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2193), 1,
      sym_text_interpolation,
    ACTIONS(1464), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73027] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1202), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2194), 1,
      sym_text_interpolation,
    ACTIONS(1200), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73044] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2195), 1,
      sym_text_interpolation,
    ACTIONS(3867), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [73059] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2166), 1,
      sym__semicolon,
    STATE(2196), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73076] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1462), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2197), 1,
      sym_text_interpolation,
    ACTIONS(1460), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73093] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1438), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2198), 1,
      sym_text_interpolation,
    ACTIONS(1436), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73110] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(466), 1,
      sym__semicolon,
    STATE(2199), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73127] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1502), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2200), 1,
      sym_text_interpolation,
    ACTIONS(1500), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73144] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2201), 1,
      sym_text_interpolation,
    ACTIONS(4179), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73159] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2202), 1,
      sym_text_interpolation,
    ACTIONS(4181), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73174] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2203), 1,
      sym_text_interpolation,
    ACTIONS(3849), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [73189] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3872), 1,
      anon_sym_COMMA,
    ACTIONS(4183), 1,
      anon_sym_LBRACE,
    STATE(2204), 1,
      sym_text_interpolation,
    STATE(2261), 1,
      aux_sym_base_clause_repeat1,
  [73208] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3287), 1,
      anon_sym_RPAREN2,
    STATE(2033), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2205), 1,
      sym_text_interpolation,
  [73227] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_RPAREN2,
    STATE(2031), 1,
      aux_sym__list_destructing_repeat1,
    STATE(2206), 1,
      sym_text_interpolation,
  [73246] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1198), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2207), 1,
      sym_text_interpolation,
    ACTIONS(1196), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73263] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(831), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4187), 1,
      anon_sym_COMMA,
    STATE(1980), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(2208), 1,
      sym_text_interpolation,
  [73282] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1490), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2209), 1,
      sym_text_interpolation,
    ACTIONS(1488), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73299] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(475), 1,
      sym__semicolon,
    STATE(2210), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73316] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(469), 1,
      sym__semicolon,
    STATE(2211), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73333] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1782), 1,
      anon_sym_RPAREN2,
    ACTIONS(4189), 1,
      anon_sym_COMMA,
    STATE(2212), 1,
      sym_text_interpolation,
    STATE(2259), 1,
      aux_sym_unset_statement_repeat1,
  [73352] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1150), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2213), 1,
      sym_text_interpolation,
    ACTIONS(1148), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73369] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(873), 1,
      anon_sym_RBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    STATE(2043), 1,
      aux_sym_match_block_repeat1,
    STATE(2214), 1,
      sym_text_interpolation,
  [73388] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(465), 1,
      sym__semicolon,
    STATE(2215), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(464), 1,
      sym__semicolon,
    STATE(2216), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73422] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1186), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2217), 1,
      sym_text_interpolation,
    ACTIONS(1184), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73439] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(561), 1,
      sym__semicolon,
    STATE(2218), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73456] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1086), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2219), 1,
      sym_text_interpolation,
    ACTIONS(1084), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73473] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(460), 1,
      sym__semicolon,
    STATE(2220), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73490] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1534), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2221), 1,
      sym_text_interpolation,
    ACTIONS(1532), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73507] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4193), 1,
      anon_sym_DQUOTE,
    ACTIONS(4195), 1,
      anon_sym_SQUOTE,
    ACTIONS(4197), 1,
      sym_heredoc_start,
    STATE(2222), 1,
      sym_text_interpolation,
  [73526] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4201), 1,
      aux_sym_else_clause_token1,
    STATE(2223), 1,
      sym_text_interpolation,
    ACTIONS(4199), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [73543] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(963), 1,
      anon_sym_EQ_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4203), 1,
      anon_sym_COMMA,
    STATE(2042), 1,
      aux_sym_match_condition_list_repeat1,
    STATE(2224), 1,
      sym_text_interpolation,
  [73562] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1194), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2225), 1,
      sym_text_interpolation,
    ACTIONS(1192), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73579] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2153), 1,
      sym__semicolon,
    STATE(2226), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73596] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1078), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2227), 1,
      sym_text_interpolation,
    ACTIONS(1076), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73613] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4205), 1,
      anon_sym_COMMA,
    ACTIONS(4207), 1,
      anon_sym_RBRACE,
    STATE(2106), 1,
      aux_sym_match_block_repeat1,
    STATE(2228), 1,
      sym_text_interpolation,
  [73632] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1554), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2229), 1,
      sym_text_interpolation,
    ACTIONS(1552), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73649] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(459), 1,
      sym__semicolon,
    STATE(2230), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73666] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2231), 1,
      sym_text_interpolation,
    ACTIONS(4209), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [73681] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1446), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2232), 1,
      sym_text_interpolation,
    ACTIONS(1444), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73698] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1066), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2233), 1,
      sym_text_interpolation,
    ACTIONS(1064), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73715] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    STATE(2234), 1,
      sym_text_interpolation,
    ACTIONS(4211), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [73732] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(791), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4213), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2235), 1,
      sym_text_interpolation,
  [73751] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(558), 1,
      sym__semicolon,
    STATE(2236), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73768] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(557), 1,
      sym__semicolon,
    STATE(2237), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73785] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2238), 1,
      sym_text_interpolation,
    ACTIONS(4215), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73800] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1470), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2239), 1,
      sym_text_interpolation,
    ACTIONS(1468), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73817] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4217), 1,
      anon_sym_RPAREN2,
    STATE(2240), 1,
      sym_text_interpolation,
    STATE(2244), 1,
      aux_sym__list_destructing_repeat1,
  [73836] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2241), 1,
      sym_text_interpolation,
    ACTIONS(4219), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [73851] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_COMMA,
    ACTIONS(4223), 1,
      anon_sym_RPAREN2,
    STATE(2235), 1,
      aux_sym_arguments_repeat1,
    STATE(2242), 1,
      sym_text_interpolation,
  [73870] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(865), 1,
      anon_sym_COMMA,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4225), 1,
      anon_sym_RPAREN2,
    STATE(2243), 1,
      sym_text_interpolation,
    STATE(2244), 1,
      aux_sym__list_destructing_repeat1,
  [73889] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1775), 1,
      anon_sym_RPAREN2,
    ACTIONS(4227), 1,
      anon_sym_COMMA,
    STATE(2244), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [73906] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3831), 1,
      anon_sym_EQ,
    STATE(2245), 1,
      sym_text_interpolation,
    ACTIONS(4230), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [73923] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1158), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2246), 1,
      sym_text_interpolation,
    ACTIONS(1156), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73940] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1378), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2247), 1,
      sym_text_interpolation,
    ACTIONS(1376), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [73957] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2248), 1,
      sym_text_interpolation,
    ACTIONS(3950), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
      anon_sym_RBRACK,
  [73972] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2010), 1,
      sym__semicolon,
    STATE(2249), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [73989] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_RBRACK,
    ACTIONS(4232), 1,
      anon_sym_COMMA,
    STATE(2250), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [74006] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4235), 1,
      anon_sym_COMMA,
    ACTIONS(4238), 1,
      anon_sym_RBRACK,
    STATE(2251), 2,
      sym_text_interpolation,
      aux_sym_attribute_group_repeat1,
  [74023] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(793), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4240), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2252), 1,
      sym_text_interpolation,
  [74042] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2149), 1,
      sym__semicolon,
    STATE(2253), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74059] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4242), 1,
      anon_sym_COMMA,
    ACTIONS(4244), 1,
      anon_sym_RPAREN2,
    STATE(2252), 1,
      aux_sym_arguments_repeat1,
    STATE(2254), 1,
      sym_text_interpolation,
  [74078] = 6,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(3817), 1,
      sym__new_line,
    ACTIONS(4246), 1,
      sym_heredoc_end,
    STATE(2255), 1,
      sym_text_interpolation,
    STATE(2458), 1,
      sym_heredoc_body,
  [74097] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4248), 1,
      anon_sym_RPAREN2,
    STATE(2256), 1,
      sym_text_interpolation,
    STATE(2590), 1,
      sym_variable_name,
  [74116] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4250), 1,
      aux_sym_namespace_use_clause_token1,
    STATE(2257), 1,
      sym_text_interpolation,
    ACTIONS(3793), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74133] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1258), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2258), 1,
      sym_text_interpolation,
    ACTIONS(1256), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74150] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3305), 1,
      anon_sym_RPAREN2,
    ACTIONS(4252), 1,
      anon_sym_COMMA,
    STATE(2259), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [74167] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(536), 1,
      sym__semicolon,
    STATE(2260), 1,
      sym_text_interpolation,
    ACTIONS(439), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74184] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3872), 1,
      anon_sym_COMMA,
    ACTIONS(4255), 1,
      anon_sym_LBRACE,
    STATE(1942), 1,
      aux_sym_base_clause_repeat1,
    STATE(2261), 1,
      sym_text_interpolation,
  [74203] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(795), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2262), 1,
      sym_text_interpolation,
  [74222] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1486), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2263), 1,
      sym_text_interpolation,
    ACTIONS(1484), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74239] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1190), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2264), 1,
      sym_text_interpolation,
    ACTIONS(1188), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74256] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1166), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2265), 1,
      sym_text_interpolation,
    ACTIONS(1164), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74273] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2011), 1,
      sym__semicolon,
    STATE(2266), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74290] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1832), 1,
      anon_sym_DOLLAR,
    STATE(1586), 1,
      sym_property_element,
    STATE(1768), 1,
      sym_variable_name,
    STATE(2267), 1,
      sym_text_interpolation,
  [74309] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1310), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2268), 1,
      sym_text_interpolation,
    ACTIONS(1308), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74326] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1406), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2269), 1,
      sym_text_interpolation,
    ACTIONS(1404), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74343] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1290), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2270), 1,
      sym_text_interpolation,
    ACTIONS(1288), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74360] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_COMMA,
    ACTIONS(4261), 1,
      anon_sym_RPAREN2,
    STATE(2085), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
    STATE(2271), 1,
      sym_text_interpolation,
  [74379] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1482), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2272), 1,
      sym_text_interpolation,
    ACTIONS(1480), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74396] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(787), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4263), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2273), 1,
      sym_text_interpolation,
  [74415] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1254), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2274), 1,
      sym_text_interpolation,
    ACTIONS(1252), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74432] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4265), 1,
      anon_sym_LBRACE,
    STATE(2275), 1,
      sym_text_interpolation,
    STATE(2514), 1,
      sym__return_type,
  [74451] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4269), 1,
      anon_sym_EQ,
    STATE(2276), 1,
      sym_text_interpolation,
    ACTIONS(4267), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74468] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    ACTIONS(4271), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2090), 1,
      sym_variable_name,
    STATE(2277), 1,
      sym_text_interpolation,
  [74487] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    ACTIONS(4273), 1,
      anon_sym_RBRACE,
    STATE(2130), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(2278), 1,
      sym_text_interpolation,
  [74506] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4275), 1,
      anon_sym_EQ_GT,
    STATE(2279), 1,
      sym_text_interpolation,
    STATE(2526), 1,
      sym__return_type,
  [74525] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1162), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2280), 1,
      sym_text_interpolation,
    ACTIONS(1160), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74542] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4277), 1,
      anon_sym_EQ_GT,
    STATE(2281), 1,
      sym_text_interpolation,
    STATE(2510), 1,
      sym__return_type,
  [74561] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2282), 1,
      sym_text_interpolation,
    ACTIONS(4279), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [74576] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1506), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2283), 1,
      sym_text_interpolation,
    ACTIONS(1504), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74593] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2284), 1,
      sym_text_interpolation,
    ACTIONS(3241), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [74608] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_EQ,
    STATE(2285), 1,
      sym_text_interpolation,
    ACTIONS(4281), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74625] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(807), 1,
      anon_sym_RPAREN2,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4285), 1,
      anon_sym_COMMA,
    STATE(2174), 1,
      aux_sym_arguments_repeat1,
    STATE(2286), 1,
      sym_text_interpolation,
  [74644] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2099), 1,
      sym__semicolon,
    STATE(2287), 1,
      sym_text_interpolation,
    ACTIONS(435), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [74661] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1206), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2288), 1,
      sym_text_interpolation,
    ACTIONS(1204), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74678] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_EQ,
    STATE(2289), 1,
      sym_text_interpolation,
    ACTIONS(4287), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74695] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4291), 1,
      anon_sym_LBRACE,
    STATE(2290), 1,
      sym_text_interpolation,
    STATE(2529), 1,
      sym__return_type,
  [74714] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1478), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2291), 1,
      sym_text_interpolation,
    ACTIONS(1476), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74731] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1474), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2292), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74748] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4293), 1,
      anon_sym_COMMA,
    ACTIONS(4296), 1,
      anon_sym_RPAREN2,
    STATE(2293), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [74765] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(4298), 1,
      anon_sym_EQ_GT,
    STATE(2294), 1,
      sym_text_interpolation,
    STATE(2519), 1,
      sym__return_type,
  [74784] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1302), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2295), 1,
      sym_text_interpolation,
    ACTIONS(1300), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1210), 1,
      aux_sym_else_clause_token1,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2296), 1,
      sym_text_interpolation,
    ACTIONS(1208), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [74818] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_COMMA,
    ACTIONS(4302), 1,
      anon_sym_RPAREN2,
    STATE(2262), 1,
      aux_sym_arguments_repeat1,
    STATE(2297), 1,
      sym_text_interpolation,
  [74837] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2298), 1,
      sym_text_interpolation,
    STATE(2349), 1,
      sym_variable_name,
  [74853] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2299), 1,
      sym_text_interpolation,
    ACTIONS(4304), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [74867] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(493), 1,
      ts_builtin_sym_end,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4306), 1,
      sym_php_tag,
    STATE(2300), 1,
      sym_text_interpolation,
  [74883] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2301), 1,
      sym_text_interpolation,
    ACTIONS(4308), 2,
      sym__eof,
      sym_php_tag,
  [74897] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2302), 1,
      sym_text_interpolation,
    ACTIONS(4310), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [74911] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2303), 1,
      sym_text_interpolation,
    ACTIONS(2492), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [74925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
    STATE(103), 1,
      sym_parenthesized_expression,
    STATE(2304), 1,
      sym_text_interpolation,
  [74941] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2305), 1,
      sym_text_interpolation,
    ACTIONS(4314), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74955] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_LPAREN2,
    STATE(880), 1,
      sym_arguments,
    STATE(2306), 1,
      sym_text_interpolation,
  [74971] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2307), 1,
      sym_text_interpolation,
    ACTIONS(4316), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [74985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2308), 1,
      sym_text_interpolation,
    STATE(2431), 1,
      sym_variable_name,
  [75001] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1726), 1,
      sym_compound_statement,
    STATE(2309), 1,
      sym_text_interpolation,
  [75017] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
    STATE(59), 1,
      sym_parenthesized_expression,
    STATE(2310), 1,
      sym_text_interpolation,
  [75033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2311), 1,
      sym_text_interpolation,
    STATE(2437), 1,
      sym_variable_name,
  [75049] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2312), 1,
      sym_text_interpolation,
    ACTIONS(4318), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75063] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2313), 1,
      sym_text_interpolation,
    STATE(2436), 1,
      sym_variable_name,
  [75079] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2314), 1,
      sym_text_interpolation,
    ACTIONS(4320), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75093] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
    STATE(56), 1,
      sym_parenthesized_expression,
    STATE(2315), 1,
      sym_text_interpolation,
  [75109] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(2316), 1,
      sym_text_interpolation,
    STATE(2380), 1,
      sym_parenthesized_expression,
  [75125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_LPAREN2,
    STATE(872), 1,
      sym_arguments,
    STATE(2317), 1,
      sym_text_interpolation,
  [75141] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2318), 1,
      sym_text_interpolation,
    ACTIONS(4296), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75155] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2319), 1,
      sym_text_interpolation,
    ACTIONS(4322), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75169] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(2022), 1,
      sym_parenthesized_expression,
    STATE(2320), 1,
      sym_text_interpolation,
  [75185] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2321), 1,
      sym_text_interpolation,
    ACTIONS(4324), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75199] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2322), 1,
      sym_text_interpolation,
    ACTIONS(3046), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75213] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2323), 1,
      sym_text_interpolation,
    ACTIONS(4326), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75227] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_declaration_list,
    STATE(2324), 1,
      sym_text_interpolation,
  [75243] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(960), 1,
      sym_arguments,
    STATE(2325), 1,
      sym_text_interpolation,
  [75259] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(458), 1,
      sym_compound_statement,
    STATE(2326), 1,
      sym_text_interpolation,
  [75275] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4328), 1,
      anon_sym_LBRACE,
    STATE(1087), 1,
      sym_compound_statement,
    STATE(2327), 1,
      sym_text_interpolation,
  [75291] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(2145), 1,
      sym_formal_parameters,
    STATE(2328), 1,
      sym_text_interpolation,
  [75307] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1772), 1,
      sym_formal_parameters,
    STATE(2329), 1,
      sym_text_interpolation,
  [75323] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2330), 1,
      sym_text_interpolation,
    ACTIONS(3831), 2,
      anon_sym_EQ,
      anon_sym_RPAREN2,
  [75337] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(499), 1,
      sym_declaration_list,
    STATE(2331), 1,
      sym_text_interpolation,
  [75353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN2,
    STATE(643), 1,
      sym_arguments,
    STATE(2332), 1,
      sym_text_interpolation,
  [75369] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2110), 1,
      anon_sym_LPAREN2,
    STATE(994), 1,
      sym_arguments,
    STATE(2333), 1,
      sym_text_interpolation,
  [75385] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(498), 1,
      sym_enum_declaration_list,
    STATE(2334), 1,
      sym_text_interpolation,
  [75401] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2335), 1,
      sym_text_interpolation,
    ACTIONS(4330), 2,
      anon_sym_string,
      anon_sym_int,
  [75415] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(495), 1,
      sym_declaration_list,
    STATE(2336), 1,
      sym_text_interpolation,
  [75431] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2337), 1,
      sym_text_interpolation,
    ACTIONS(4332), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75445] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2338), 1,
      sym_text_interpolation,
    ACTIONS(4279), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [75459] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2339), 1,
      sym_text_interpolation,
    ACTIONS(4334), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75473] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(984), 1,
      sym_declaration_list,
    STATE(2340), 1,
      sym_text_interpolation,
  [75489] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_LBRACE,
    STATE(453), 1,
      sym_compound_statement,
    STATE(2341), 1,
      sym_text_interpolation,
  [75505] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2342), 1,
      sym_text_interpolation,
    ACTIONS(4338), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75519] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(745), 1,
      sym_arguments,
    STATE(2343), 1,
      sym_text_interpolation,
  [75535] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2344), 1,
      sym_text_interpolation,
    ACTIONS(3959), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75549] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2345), 1,
      sym_text_interpolation,
    ACTIONS(2498), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75563] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2346), 1,
      sym_text_interpolation,
    ACTIONS(2500), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75577] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2347), 1,
      sym_text_interpolation,
    ACTIONS(4340), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [75591] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2348), 1,
      sym_text_interpolation,
    ACTIONS(4342), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [75605] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2349), 1,
      sym_text_interpolation,
    ACTIONS(4344), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75619] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2350), 1,
      sym_text_interpolation,
    ACTIONS(4346), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75633] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
    STATE(104), 1,
      sym_parenthesized_expression,
    STATE(2351), 1,
      sym_text_interpolation,
  [75649] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2352), 1,
      sym_text_interpolation,
    ACTIONS(4348), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75663] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2353), 1,
      sym_text_interpolation,
    ACTIONS(4350), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LPAREN2,
    STATE(749), 1,
      sym_arguments,
    STATE(2354), 1,
      sym_text_interpolation,
  [75693] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4352), 1,
      sym__new_line,
    ACTIONS(4354), 1,
      sym_heredoc_end,
    STATE(2355), 1,
      sym_text_interpolation,
  [75709] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(2092), 1,
      sym_formal_parameters,
    STATE(2356), 1,
      sym_text_interpolation,
  [75725] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2357), 1,
      sym_text_interpolation,
    ACTIONS(4356), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75739] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_declaration_list,
    STATE(2358), 1,
      sym_text_interpolation,
  [75755] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2359), 1,
      sym_text_interpolation,
    ACTIONS(4358), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [75769] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(809), 1,
      sym_declaration_list,
    STATE(2360), 1,
      sym_text_interpolation,
  [75785] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2361), 1,
      sym_text_interpolation,
    ACTIONS(4238), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75799] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2362), 1,
      sym_text_interpolation,
    ACTIONS(4360), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [75813] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(548), 1,
      sym_declaration_list,
    STATE(2363), 1,
      sym_text_interpolation,
  [75829] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LPAREN2,
    ACTIONS(4364), 1,
      anon_sym_RPAREN2,
    STATE(2364), 1,
      sym_text_interpolation,
  [75845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(770), 1,
      sym_arguments,
    STATE(2365), 1,
      sym_text_interpolation,
  [75861] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3100), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3102), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2366), 1,
      sym_text_interpolation,
  [75877] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2367), 1,
      sym_text_interpolation,
    ACTIONS(4366), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [75891] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(497), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2055), 1,
      sym_colon_block,
    STATE(2368), 1,
      sym_text_interpolation,
  [75907] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2369), 1,
      sym_text_interpolation,
    ACTIONS(4136), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [75921] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1792), 1,
      sym_compound_statement,
    STATE(2370), 1,
      sym_text_interpolation,
  [75937] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(2026), 1,
      sym_declaration_list,
    STATE(2371), 1,
      sym_text_interpolation,
  [75953] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(2102), 1,
      sym_formal_parameters,
    STATE(2372), 1,
      sym_text_interpolation,
  [75969] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_LBRACE,
    STATE(2054), 1,
      sym_enum_declaration_list,
    STATE(2373), 1,
      sym_text_interpolation,
  [75985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1841), 1,
      anon_sym_LPAREN2,
    STATE(817), 1,
      sym_arguments,
    STATE(2374), 1,
      sym_text_interpolation,
  [76001] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2375), 1,
      sym_text_interpolation,
    ACTIONS(2484), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76015] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_enum_declaration_list,
    STATE(2376), 1,
      sym_text_interpolation,
  [76031] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(833), 1,
      sym_declaration_list,
    STATE(2377), 1,
      sym_text_interpolation,
  [76047] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(841), 1,
      sym_declaration_list,
    STATE(2378), 1,
      sym_text_interpolation,
  [76063] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2379), 1,
      sym_text_interpolation,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76077] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4369), 1,
      anon_sym_LBRACE,
    STATE(1172), 1,
      sym_match_block,
    STATE(2380), 1,
      sym_text_interpolation,
  [76093] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(938), 1,
      sym_declaration_list,
    STATE(2381), 1,
      sym_text_interpolation,
  [76109] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2382), 1,
      sym_text_interpolation,
    ACTIONS(3984), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76123] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
    STATE(74), 1,
      sym_parenthesized_expression,
    STATE(2383), 1,
      sym_text_interpolation,
  [76139] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_declaration_list,
    STATE(2384), 1,
      sym_text_interpolation,
  [76155] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1770), 1,
      sym_compound_statement,
    STATE(2385), 1,
      sym_text_interpolation,
  [76171] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_RPAREN2,
    ACTIONS(4371), 1,
      anon_sym_EQ,
    STATE(2386), 1,
      sym_text_interpolation,
  [76187] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2387), 1,
      sym_text_interpolation,
    ACTIONS(4373), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [76201] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(2283), 1,
      sym_declaration_list,
    STATE(2388), 1,
      sym_text_interpolation,
  [76217] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2389), 1,
      sym_text_interpolation,
    ACTIONS(4375), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [76231] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
    STATE(73), 1,
      sym_parenthesized_expression,
    STATE(2390), 1,
      sym_text_interpolation,
  [76247] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(2272), 1,
      sym_declaration_list,
    STATE(2391), 1,
      sym_text_interpolation,
  [76263] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2392), 1,
      sym_text_interpolation,
    ACTIONS(3333), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76277] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2393), 1,
      sym_text_interpolation,
    ACTIONS(3859), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [76291] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2394), 1,
      sym_text_interpolation,
    ACTIONS(4378), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76305] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_declaration_list,
    STATE(2395), 1,
      sym_text_interpolation,
  [76321] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2396), 1,
      sym_text_interpolation,
    ACTIONS(4380), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76335] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_declaration_list,
    STATE(2397), 1,
      sym_text_interpolation,
  [76351] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(2291), 1,
      sym_declaration_list,
    STATE(2398), 1,
      sym_text_interpolation,
  [76367] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2399), 1,
      sym_text_interpolation,
    ACTIONS(4020), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [76381] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(401), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2400), 1,
      sym_text_interpolation,
    STATE(2640), 1,
      sym_colon_block,
  [76397] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1782), 1,
      sym_compound_statement,
    STATE(2401), 1,
      sym_text_interpolation,
  [76413] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
    STATE(65), 1,
      sym_parenthesized_expression,
    STATE(2402), 1,
      sym_text_interpolation,
  [76429] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(2403), 1,
      sym_text_interpolation,
    STATE(2427), 1,
      sym_parenthesized_expression,
  [76445] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(2077), 1,
      sym_parenthesized_expression,
    STATE(2404), 1,
      sym_text_interpolation,
  [76461] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2096), 1,
      anon_sym_LPAREN2,
    STATE(2368), 1,
      sym_parenthesized_expression,
    STATE(2405), 1,
      sym_text_interpolation,
  [76477] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4382), 1,
      sym__new_line,
    ACTIONS(4384), 1,
      sym_heredoc_end,
    STATE(2406), 1,
      sym_text_interpolation,
  [76493] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2233), 1,
      sym_compound_statement,
    STATE(2407), 1,
      sym_text_interpolation,
  [76509] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_enum_declaration_list,
    STATE(2408), 1,
      sym_text_interpolation,
  [76525] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_BSLASH,
    STATE(2409), 1,
      sym_text_interpolation,
    STATE(2500), 1,
      aux_sym_namespace_name_repeat1,
  [76541] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4386), 1,
      sym__new_line,
    ACTIONS(4388), 1,
      sym_heredoc_end,
    STATE(2410), 1,
      sym_text_interpolation,
  [76557] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
    STATE(114), 1,
      sym_parenthesized_expression,
    STATE(2411), 1,
      sym_text_interpolation,
  [76573] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2412), 1,
      sym_text_interpolation,
    ACTIONS(4390), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76587] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(2138), 1,
      sym_declaration_list,
    STATE(2413), 1,
      sym_text_interpolation,
  [76603] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(228), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(559), 1,
      sym_compound_statement,
    STATE(2414), 1,
      sym_text_interpolation,
  [76619] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(811), 1,
      sym_declaration_list,
    STATE(2415), 1,
      sym_text_interpolation,
  [76635] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(798), 1,
      sym_declaration_list,
    STATE(2416), 1,
      sym_text_interpolation,
  [76651] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(991), 1,
      sym_declaration_list,
    STATE(2417), 1,
      sym_text_interpolation,
  [76667] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(602), 1,
      sym_arguments,
    STATE(2418), 1,
      sym_text_interpolation,
  [76683] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2419), 1,
      sym_text_interpolation,
    ACTIONS(2484), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN2,
  [76697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1826), 1,
      sym_formal_parameters,
    STATE(2420), 1,
      sym_text_interpolation,
  [76713] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2421), 1,
      sym_text_interpolation,
    ACTIONS(2492), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [76727] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(1001), 1,
      sym_declaration_list,
    STATE(2422), 1,
      sym_text_interpolation,
  [76743] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(2125), 1,
      sym_declaration_list,
    STATE(2423), 1,
      sym_text_interpolation,
  [76759] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2424), 1,
      sym_text_interpolation,
    STATE(2472), 1,
      sym_variable_name,
  [76775] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1756), 1,
      sym_formal_parameters,
    STATE(2425), 1,
      sym_text_interpolation,
  [76791] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_LBRACE,
    STATE(454), 1,
      sym_compound_statement,
    STATE(2426), 1,
      sym_text_interpolation,
  [76807] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_LBRACE,
    STATE(1023), 1,
      sym_match_block,
    STATE(2427), 1,
      sym_text_interpolation,
  [76823] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(2186), 1,
      sym_formal_parameters,
    STATE(2428), 1,
      sym_text_interpolation,
  [76839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1038), 1,
      sym_compound_statement,
    STATE(2429), 1,
      sym_text_interpolation,
  [76855] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(477), 1,
      sym_declaration_list,
    STATE(2430), 1,
      sym_text_interpolation,
  [76871] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2431), 1,
      sym_text_interpolation,
    ACTIONS(4394), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76885] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2432), 1,
      sym_text_interpolation,
    ACTIONS(4396), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76899] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_LBRACE,
    STATE(2060), 1,
      sym_enum_declaration_list,
    STATE(2433), 1,
      sym_text_interpolation,
  [76915] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2434), 1,
      sym_text_interpolation,
    ACTIONS(4398), 2,
      anon_sym_string,
      anon_sym_int,
  [76929] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2046), 1,
      sym_compound_statement,
    STATE(2435), 1,
      sym_text_interpolation,
  [76945] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2436), 1,
      sym_text_interpolation,
    ACTIONS(4400), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76959] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2437), 1,
      sym_text_interpolation,
    ACTIONS(4402), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [76973] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(2154), 1,
      sym_declaration_list,
    STATE(2438), 1,
      sym_text_interpolation,
  [76989] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2439), 1,
      sym_text_interpolation,
    ACTIONS(4230), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77003] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_BSLASH,
    STATE(2440), 1,
      sym_text_interpolation,
    STATE(2500), 1,
      aux_sym_namespace_name_repeat1,
  [77019] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(2013), 1,
      sym_declaration_list,
    STATE(2441), 1,
      sym_text_interpolation,
  [77035] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_LBRACE,
    STATE(2007), 1,
      sym_enum_declaration_list,
    STATE(2442), 1,
      sym_text_interpolation,
  [77051] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(518), 1,
      sym_declaration_list,
    STATE(2443), 1,
      sym_text_interpolation,
  [77067] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2444), 1,
      sym_text_interpolation,
    ACTIONS(4407), 2,
      anon_sym_string,
      anon_sym_int,
  [77081] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_LBRACE,
    STATE(521), 1,
      sym_enum_declaration_list,
    STATE(2445), 1,
      sym_text_interpolation,
  [77097] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(2005), 1,
      sym_declaration_list,
    STATE(2446), 1,
      sym_text_interpolation,
  [77113] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2447), 1,
      sym_text_interpolation,
    ACTIONS(3331), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77127] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2448), 1,
      sym_text_interpolation,
    ACTIONS(3965), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [77141] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(544), 1,
      sym_declaration_list,
    STATE(2449), 1,
      sym_text_interpolation,
  [77157] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1738), 1,
      sym_formal_parameters,
    STATE(2450), 1,
      sym_text_interpolation,
  [77173] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4409), 1,
      sym__new_line,
    ACTIONS(4411), 1,
      sym_heredoc_end,
    STATE(2451), 1,
      sym_text_interpolation,
  [77189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
    STATE(57), 1,
      sym_parenthesized_expression,
    STATE(2452), 1,
      sym_text_interpolation,
  [77205] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3166), 1,
      aux_sym__namespace_use_type_token1,
    ACTIONS(3168), 1,
      aux_sym__arrow_function_header_token1,
    STATE(2453), 1,
      sym_text_interpolation,
  [77221] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3237), 1,
      anon_sym_LPAREN2,
    STATE(1838), 1,
      sym_formal_parameters,
    STATE(2454), 1,
      sym_text_interpolation,
  [77237] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4413), 1,
      sym__new_line,
    ACTIONS(4415), 1,
      sym_heredoc_end,
    STATE(2455), 1,
      sym_text_interpolation,
  [77253] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2456), 1,
      sym_text_interpolation,
    ACTIONS(4417), 2,
      anon_sym_string,
      anon_sym_int,
  [77267] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(2295), 1,
      sym_declaration_list,
    STATE(2457), 1,
      sym_text_interpolation,
  [77283] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4419), 1,
      sym__new_line,
    ACTIONS(4421), 1,
      sym_heredoc_end,
    STATE(2458), 1,
      sym_text_interpolation,
  [77299] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4336), 1,
      anon_sym_LBRACE,
    STATE(455), 1,
      sym_compound_statement,
    STATE(2459), 1,
      sym_text_interpolation,
  [77315] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_LPAREN2,
    STATE(2216), 1,
      sym_parenthesized_expression,
    STATE(2460), 1,
      sym_text_interpolation,
  [77331] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3925), 1,
      sym_nowdoc_string,
    STATE(1949), 1,
      aux_sym_nowdoc_body_repeat1,
    STATE(2461), 1,
      sym_text_interpolation,
  [77347] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_LBRACE,
    STATE(1973), 1,
      sym_enum_declaration_list,
    STATE(2462), 1,
      sym_text_interpolation,
  [77363] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2312), 1,
      sym_variable_name,
    STATE(2463), 1,
      sym_text_interpolation,
  [77379] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4425), 1,
      sym__new_line,
    ACTIONS(4427), 1,
      sym_heredoc_end,
    STATE(2464), 1,
      sym_text_interpolation,
  [77395] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2465), 1,
      sym_text_interpolation,
    ACTIONS(4151), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77409] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2314), 1,
      sym_variable_name,
    STATE(2466), 1,
      sym_text_interpolation,
  [77425] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(768), 1,
      sym_declaration_list,
    STATE(2467), 1,
      sym_text_interpolation,
  [77441] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(829), 1,
      sym_declaration_list,
    STATE(2468), 1,
      sym_text_interpolation,
  [77457] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2469), 1,
      sym_text_interpolation,
    ACTIONS(2562), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77471] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(976), 1,
      sym_declaration_list,
    STATE(2470), 1,
      sym_text_interpolation,
  [77487] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_DOLLAR,
    STATE(2321), 1,
      sym_variable_name,
    STATE(2471), 1,
      sym_text_interpolation,
  [77503] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2472), 1,
      sym_text_interpolation,
    ACTIONS(4429), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77517] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(771), 1,
      sym_arguments,
    STATE(2473), 1,
      sym_text_interpolation,
  [77533] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2474), 1,
      sym_text_interpolation,
    ACTIONS(4431), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77547] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1971), 1,
      sym_declaration_list,
    STATE(2475), 1,
      sym_text_interpolation,
  [77563] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4312), 1,
      anon_sym_LPAREN2,
    STATE(115), 1,
      sym_parenthesized_expression,
    STATE(2476), 1,
      sym_text_interpolation,
  [77579] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4433), 1,
      sym__new_line,
    ACTIONS(4435), 1,
      sym_heredoc_end,
    STATE(2477), 1,
      sym_text_interpolation,
  [77595] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2478), 1,
      sym_text_interpolation,
    ACTIONS(4093), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77609] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2479), 1,
      sym_text_interpolation,
    ACTIONS(1780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [77623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(393), 1,
      anon_sym_LBRACE,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(1837), 1,
      sym_compound_statement,
    STATE(2480), 1,
      sym_text_interpolation,
  [77639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4423), 1,
      anon_sym_LPAREN2,
    STATE(1958), 1,
      sym_parenthesized_expression,
    STATE(2481), 1,
      sym_text_interpolation,
  [77655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym_LPAREN2,
    ACTIONS(3569), 1,
      anon_sym_COLON_COLON,
    STATE(2482), 1,
      sym_text_interpolation,
  [77671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_LPAREN2,
    STATE(649), 1,
      sym_arguments,
    STATE(2483), 1,
      sym_text_interpolation,
  [77687] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_declaration_list,
    STATE(2484), 1,
      sym_text_interpolation,
  [77703] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2485), 1,
      sym_text_interpolation,
    ACTIONS(4437), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77717] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(1984), 1,
      sym_declaration_list,
    STATE(2486), 1,
      sym_text_interpolation,
  [77733] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(2281), 1,
      sym_formal_parameters,
    STATE(2487), 1,
      sym_text_interpolation,
  [77749] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(1590), 1,
      anon_sym_LPAREN2,
    STATE(620), 1,
      sym_arguments,
    STATE(2488), 1,
      sym_text_interpolation,
  [77765] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(532), 1,
      sym_declaration_list,
    STATE(2489), 1,
      sym_text_interpolation,
  [77781] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2490), 1,
      sym_text_interpolation,
    ACTIONS(4439), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(2279), 1,
      sym_formal_parameters,
    STATE(2491), 1,
      sym_text_interpolation,
  [77811] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4441), 1,
      sym__new_line,
    ACTIONS(4443), 1,
      sym_heredoc_end,
    STATE(2492), 1,
      sym_text_interpolation,
  [77827] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym_LPAREN2,
    STATE(1769), 1,
      sym_formal_parameters,
    STATE(2493), 1,
      sym_text_interpolation,
  [77843] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2494), 1,
      sym_text_interpolation,
    ACTIONS(2528), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77857] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_declaration_list,
    STATE(2495), 1,
      sym_text_interpolation,
  [77873] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LPAREN2,
    STATE(2496), 1,
      sym_text_interpolation,
  [77889] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    STATE(571), 1,
      sym_declaration_list,
    STATE(2497), 1,
      sym_text_interpolation,
  [77905] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2498), 1,
      sym_text_interpolation,
    ACTIONS(4445), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [77919] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    STATE(846), 1,
      sym_declaration_list,
    STATE(2499), 1,
      sym_text_interpolation,
  [77935] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4447), 1,
      anon_sym_BSLASH,
    STATE(2500), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
  [77949] = 5,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4450), 1,
      sym__new_line,
    ACTIONS(4452), 1,
      sym_heredoc_end,
    STATE(2501), 1,
      sym_text_interpolation,
  [77965] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2502), 1,
      sym_text_interpolation,
    ACTIONS(4454), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77979] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2503), 1,
      sym_text_interpolation,
    ACTIONS(4456), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [77993] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2504), 1,
      sym_text_interpolation,
    ACTIONS(3008), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN2,
  [78007] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4458), 1,
      anon_sym_COLON_COLON,
    STATE(2505), 1,
      sym_text_interpolation,
  [78020] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4460), 1,
      sym_name,
    STATE(2506), 1,
      sym_text_interpolation,
  [78033] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4462), 1,
      sym_name,
    STATE(2507), 1,
      sym_text_interpolation,
  [78046] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4464), 1,
      anon_sym_LBRACE,
    STATE(2508), 1,
      sym_text_interpolation,
  [78059] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(953), 1,
      anon_sym_COLON,
    ACTIONS(1572), 1,
      sym_comment,
    STATE(2509), 1,
      sym_text_interpolation,
  [78072] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_EQ_GT,
    STATE(2510), 1,
      sym_text_interpolation,
  [78085] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3755), 1,
      anon_sym_BSLASH,
    STATE(2511), 1,
      sym_text_interpolation,
  [78098] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4468), 1,
      anon_sym_SQUOTE2,
    STATE(2512), 1,
      sym_text_interpolation,
  [78111] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_RBRACK,
    STATE(2513), 1,
      sym_text_interpolation,
  [78124] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4470), 1,
      anon_sym_LBRACE,
    STATE(2514), 1,
      sym_text_interpolation,
  [78137] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4472), 1,
      sym_name,
    STATE(2515), 1,
      sym_text_interpolation,
  [78150] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4110), 1,
      anon_sym_RPAREN2,
    STATE(2516), 1,
      sym_text_interpolation,
  [78163] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4474), 1,
      sym_name,
    STATE(2517), 1,
      sym_text_interpolation,
  [78176] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4120), 1,
      anon_sym_RPAREN2,
    STATE(2518), 1,
      sym_text_interpolation,
  [78189] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_EQ_GT,
    STATE(2519), 1,
      sym_text_interpolation,
  [78202] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4478), 1,
      sym_name,
    STATE(2520), 1,
      sym_text_interpolation,
  [78215] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4480), 1,
      aux_sym_while_statement_token2,
    STATE(2521), 1,
      sym_text_interpolation,
  [78228] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_LBRACE,
    STATE(2522), 1,
      sym_text_interpolation,
  [78241] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_RPAREN2,
    STATE(2523), 1,
      sym_text_interpolation,
  [78254] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4486), 1,
      sym_name,
    STATE(2524), 1,
      sym_text_interpolation,
  [78267] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4488), 1,
      sym_name,
    STATE(2525), 1,
      sym_text_interpolation,
  [78280] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_EQ_GT,
    STATE(2526), 1,
      sym_text_interpolation,
  [78293] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_RPAREN2,
    STATE(2527), 1,
      sym_text_interpolation,
  [78306] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_RPAREN,
    STATE(2528), 1,
      sym_text_interpolation,
  [78319] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_LBRACE,
    STATE(2529), 1,
      sym_text_interpolation,
  [78332] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4496), 1,
      aux_sym_if_statement_token2,
    STATE(2530), 1,
      sym_text_interpolation,
  [78345] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4498), 1,
      anon_sym_LBRACE,
    STATE(2531), 1,
      sym_text_interpolation,
  [78358] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4144), 1,
      anon_sym_RBRACE,
    STATE(2532), 1,
      sym_text_interpolation,
  [78371] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3998), 1,
      anon_sym_RBRACK,
    STATE(2533), 1,
      sym_text_interpolation,
  [78384] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4500), 1,
      anon_sym_RPAREN2,
    STATE(2534), 1,
      sym_text_interpolation,
  [78397] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_SEMI,
    STATE(2535), 1,
      sym_text_interpolation,
  [78410] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4504), 1,
      anon_sym_RPAREN2,
    STATE(2536), 1,
      sym_text_interpolation,
  [78423] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4506), 1,
      aux_sym_while_statement_token2,
    STATE(2537), 1,
      sym_text_interpolation,
  [78436] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_SEMI,
    STATE(2538), 1,
      sym_text_interpolation,
  [78449] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_LPAREN2,
    STATE(2539), 1,
      sym_text_interpolation,
  [78462] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_RPAREN2,
    STATE(2540), 1,
      sym_text_interpolation,
  [78475] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_EQ,
    STATE(2541), 1,
      sym_text_interpolation,
  [78488] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4516), 1,
      sym_heredoc_end,
    STATE(2542), 1,
      sym_text_interpolation,
  [78501] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_RPAREN2,
    STATE(2543), 1,
      sym_text_interpolation,
  [78514] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_RPAREN2,
    STATE(2544), 1,
      sym_text_interpolation,
  [78527] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4520), 1,
      anon_sym_EQ_GT,
    STATE(2545), 1,
      sym_text_interpolation,
  [78540] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_RBRACK,
    STATE(2546), 1,
      sym_text_interpolation,
  [78553] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4524), 1,
      sym_heredoc_end,
    STATE(2547), 1,
      sym_text_interpolation,
  [78566] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4526), 1,
      anon_sym_LBRACE,
    STATE(2548), 1,
      sym_text_interpolation,
  [78579] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_EQ_GT,
    STATE(2549), 1,
      sym_text_interpolation,
  [78592] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_EQ,
    STATE(2550), 1,
      sym_text_interpolation,
  [78605] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4532), 1,
      anon_sym_RPAREN2,
    STATE(2551), 1,
      sym_text_interpolation,
  [78618] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4534), 1,
      sym_name,
    STATE(2552), 1,
      sym_text_interpolation,
  [78631] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4536), 1,
      anon_sym_SEMI,
    STATE(2553), 1,
      sym_text_interpolation,
  [78644] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4538), 1,
      anon_sym_RPAREN2,
    STATE(2554), 1,
      sym_text_interpolation,
  [78657] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4540), 1,
      anon_sym_RPAREN,
    STATE(2555), 1,
      sym_text_interpolation,
  [78670] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4542), 1,
      sym_heredoc_end,
    STATE(2556), 1,
      sym_text_interpolation,
  [78683] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_RPAREN2,
    STATE(2557), 1,
      sym_text_interpolation,
  [78696] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4070), 1,
      anon_sym_RPAREN2,
    STATE(2558), 1,
      sym_text_interpolation,
  [78709] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_RBRACK,
    STATE(2559), 1,
      sym_text_interpolation,
  [78722] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4548), 1,
      anon_sym_RPAREN2,
    STATE(2560), 1,
      sym_text_interpolation,
  [78735] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4550), 1,
      anon_sym_RPAREN2,
    STATE(2561), 1,
      sym_text_interpolation,
  [78748] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4552), 1,
      anon_sym_RPAREN2,
    STATE(2562), 1,
      sym_text_interpolation,
  [78761] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_LBRACE,
    STATE(2563), 1,
      sym_text_interpolation,
  [78774] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_RPAREN2,
    STATE(2564), 1,
      sym_text_interpolation,
  [78787] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3963), 1,
      anon_sym_LBRACE,
    STATE(2565), 1,
      sym_text_interpolation,
  [78800] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4558), 1,
      sym_name,
    STATE(2566), 1,
      sym_text_interpolation,
  [78813] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4560), 1,
      anon_sym_BSLASH,
    STATE(2567), 1,
      sym_text_interpolation,
  [78826] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4562), 1,
      sym_name,
    STATE(2568), 1,
      sym_text_interpolation,
  [78839] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym_SQUOTE2,
    STATE(2569), 1,
      sym_text_interpolation,
  [78852] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4566), 1,
      anon_sym_RPAREN2,
    STATE(2570), 1,
      sym_text_interpolation,
  [78865] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4568), 1,
      anon_sym_RPAREN2,
    STATE(2571), 1,
      sym_text_interpolation,
  [78878] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4570), 1,
      anon_sym_RPAREN2,
    STATE(2572), 1,
      sym_text_interpolation,
  [78891] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4572), 1,
      sym_name,
    STATE(2573), 1,
      sym_text_interpolation,
  [78904] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4574), 1,
      anon_sym_RPAREN2,
    STATE(2574), 1,
      sym_text_interpolation,
  [78917] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4576), 1,
      anon_sym_RPAREN2,
    STATE(2575), 1,
      sym_text_interpolation,
  [78930] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_LBRACE,
    STATE(2576), 1,
      sym_text_interpolation,
  [78943] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4580), 1,
      sym_name,
    STATE(2577), 1,
      sym_text_interpolation,
  [78956] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_SEMI,
    STATE(2578), 1,
      sym_text_interpolation,
  [78969] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4584), 1,
      anon_sym_LPAREN2,
    STATE(2579), 1,
      sym_text_interpolation,
  [78982] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4586), 1,
      sym_name,
    STATE(2580), 1,
      sym_text_interpolation,
  [78995] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4588), 1,
      anon_sym_SEMI,
    STATE(2581), 1,
      sym_text_interpolation,
  [79008] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4590), 1,
      sym_name,
    STATE(2582), 1,
      sym_text_interpolation,
  [79021] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4592), 1,
      sym_name,
    STATE(2583), 1,
      sym_text_interpolation,
  [79034] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_SEMI,
    STATE(2584), 1,
      sym_text_interpolation,
  [79047] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_RPAREN2,
    STATE(2585), 1,
      sym_text_interpolation,
  [79060] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4598), 1,
      sym_name,
    STATE(2586), 1,
      sym_text_interpolation,
  [79073] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4600), 1,
      sym_name,
    STATE(2587), 1,
      sym_text_interpolation,
  [79086] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4602), 1,
      sym_heredoc_start,
    STATE(2588), 1,
      sym_text_interpolation,
  [79099] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4034), 1,
      anon_sym_RPAREN2,
    STATE(2589), 1,
      sym_text_interpolation,
  [79112] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4604), 1,
      anon_sym_RPAREN2,
    STATE(2590), 1,
      sym_text_interpolation,
  [79125] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym_name,
    STATE(2591), 1,
      sym_text_interpolation,
  [79138] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_RPAREN2,
    STATE(2592), 1,
      sym_text_interpolation,
  [79151] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_BSLASH,
    STATE(2593), 1,
      sym_text_interpolation,
  [79164] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_EQ_GT,
    STATE(2594), 1,
      sym_text_interpolation,
  [79177] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_RPAREN2,
    STATE(2595), 1,
      sym_text_interpolation,
  [79190] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_RPAREN2,
    STATE(2596), 1,
      sym_text_interpolation,
  [79203] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3407), 1,
      sym_name,
    STATE(2597), 1,
      sym_text_interpolation,
  [79216] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_COLON_COLON,
    STATE(2598), 1,
      sym_text_interpolation,
  [79229] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4620), 1,
      aux_sym_while_statement_token1,
    STATE(2599), 1,
      sym_text_interpolation,
  [79242] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym_name,
    STATE(2600), 1,
      sym_text_interpolation,
  [79255] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4624), 1,
      aux_sym_if_statement_token2,
    STATE(2601), 1,
      sym_text_interpolation,
  [79268] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4371), 1,
      anon_sym_EQ,
    STATE(2602), 1,
      sym_text_interpolation,
  [79281] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4626), 1,
      sym_name,
    STATE(2603), 1,
      sym_text_interpolation,
  [79294] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4628), 1,
      sym_name,
    STATE(2604), 1,
      sym_text_interpolation,
  [79307] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4630), 1,
      sym_name,
    STATE(2605), 1,
      sym_text_interpolation,
  [79320] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4632), 1,
      sym_name,
    STATE(2606), 1,
      sym_text_interpolation,
  [79333] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_EQ_GT,
    STATE(2607), 1,
      sym_text_interpolation,
  [79346] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4636), 1,
      sym_name,
    STATE(2608), 1,
      sym_text_interpolation,
  [79359] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4026), 1,
      sym_name,
    STATE(2609), 1,
      sym_text_interpolation,
  [79372] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4638), 1,
      sym_name,
    STATE(2610), 1,
      sym_text_interpolation,
  [79385] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4640), 1,
      sym_heredoc_start,
    STATE(2611), 1,
      sym_text_interpolation,
  [79398] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4642), 1,
      sym_heredoc_start,
    STATE(2612), 1,
      sym_text_interpolation,
  [79411] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4644), 1,
      sym_heredoc_end,
    STATE(2613), 1,
      sym_text_interpolation,
  [79424] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_BSLASH,
    STATE(2614), 1,
      sym_text_interpolation,
  [79437] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_LPAREN2,
    STATE(2615), 1,
      sym_text_interpolation,
  [79450] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym_name,
    STATE(2616), 1,
      sym_text_interpolation,
  [79463] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4650), 1,
      sym_name,
    STATE(2617), 1,
      sym_text_interpolation,
  [79476] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4652), 1,
      sym_name,
    STATE(2618), 1,
      sym_text_interpolation,
  [79489] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_name,
    STATE(2619), 1,
      sym_text_interpolation,
  [79502] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4656), 1,
      aux_sym_if_statement_token2,
    STATE(2620), 1,
      sym_text_interpolation,
  [79515] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_RBRACE,
    STATE(2621), 1,
      sym_text_interpolation,
  [79528] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4658), 1,
      anon_sym_EQ_GT,
    STATE(2622), 1,
      sym_text_interpolation,
  [79541] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_EQ_GT,
    STATE(2623), 1,
      sym_text_interpolation,
  [79554] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4662), 1,
      sym_name,
    STATE(2624), 1,
      sym_text_interpolation,
  [79567] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4664), 1,
      sym_heredoc_end,
    STATE(2625), 1,
      sym_text_interpolation,
  [79580] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4666), 1,
      sym_name,
    STATE(2626), 1,
      sym_text_interpolation,
  [79593] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4668), 1,
      aux_sym_if_statement_token2,
    STATE(2627), 1,
      sym_text_interpolation,
  [79606] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4670), 1,
      sym_heredoc_end,
    STATE(2628), 1,
      sym_text_interpolation,
  [79619] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_RPAREN2,
    STATE(2629), 1,
      sym_text_interpolation,
  [79632] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4674), 1,
      aux_sym_while_statement_token1,
    STATE(2630), 1,
      sym_text_interpolation,
  [79645] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_LBRACE,
    STATE(2631), 1,
      sym_text_interpolation,
  [79658] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_LBRACE,
    STATE(2632), 1,
      sym_text_interpolation,
  [79671] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4680), 1,
      anon_sym_RPAREN2,
    STATE(2633), 1,
      sym_text_interpolation,
  [79684] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4682), 1,
      sym_heredoc_end,
    STATE(2634), 1,
      sym_text_interpolation,
  [79697] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_LBRACE,
    STATE(2635), 1,
      sym_text_interpolation,
  [79710] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_LBRACE,
    STATE(2636), 1,
      sym_text_interpolation,
  [79723] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4688), 1,
      sym_heredoc_end,
    STATE(2637), 1,
      sym_text_interpolation,
  [79736] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4223), 1,
      anon_sym_RPAREN2,
    STATE(2638), 1,
      sym_text_interpolation,
  [79749] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_RPAREN2,
    STATE(2639), 1,
      sym_text_interpolation,
  [79762] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4692), 1,
      aux_sym_if_statement_token2,
    STATE(2640), 1,
      sym_text_interpolation,
  [79775] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_EQ_GT,
    STATE(2641), 1,
      sym_text_interpolation,
  [79788] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_EQ,
    STATE(2642), 1,
      sym_text_interpolation,
  [79801] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4698), 1,
      anon_sym_RPAREN2,
    STATE(2643), 1,
      sym_text_interpolation,
  [79814] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4364), 1,
      anon_sym_RPAREN2,
    STATE(2644), 1,
      sym_text_interpolation,
  [79827] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_COLON_COLON,
    STATE(2645), 1,
      sym_text_interpolation,
  [79840] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_EQ_GT,
    STATE(2646), 1,
      sym_text_interpolation,
  [79853] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_BSLASH,
    STATE(2647), 1,
      sym_text_interpolation,
  [79866] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_RPAREN2,
    STATE(2648), 1,
      sym_text_interpolation,
  [79879] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4706), 1,
      sym_name,
    STATE(2649), 1,
      sym_text_interpolation,
  [79892] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4708), 1,
      anon_sym_RPAREN2,
    STATE(2650), 1,
      sym_text_interpolation,
  [79905] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_RPAREN2,
    STATE(2651), 1,
      sym_text_interpolation,
  [79918] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4712), 1,
      aux_sym_foreach_statement_token2,
    STATE(2652), 1,
      sym_text_interpolation,
  [79931] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_RPAREN2,
    STATE(2653), 1,
      sym_text_interpolation,
  [79944] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4716), 1,
      anon_sym_BSLASH,
    STATE(2654), 1,
      sym_text_interpolation,
  [79957] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_RBRACK,
    STATE(2655), 1,
      sym_text_interpolation,
  [79970] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_EQ,
    STATE(2656), 1,
      sym_text_interpolation,
  [79983] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_RPAREN2,
    STATE(2657), 1,
      sym_text_interpolation,
  [79996] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4724), 1,
      sym_name,
    STATE(2658), 1,
      sym_text_interpolation,
  [80009] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_SEMI,
    STATE(2659), 1,
      sym_text_interpolation,
  [80022] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4728), 1,
      sym_name,
    STATE(2660), 1,
      sym_text_interpolation,
  [80035] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4730), 1,
      anon_sym_RBRACK,
    STATE(2661), 1,
      sym_text_interpolation,
  [80048] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4732), 1,
      anon_sym_BSLASH,
    STATE(2662), 1,
      sym_text_interpolation,
  [80061] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4734), 1,
      sym_heredoc_end,
    STATE(2663), 1,
      sym_text_interpolation,
  [80074] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_LPAREN2,
    STATE(2664), 1,
      sym_text_interpolation,
  [80087] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_LPAREN2,
    STATE(2665), 1,
      sym_text_interpolation,
  [80100] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4244), 1,
      anon_sym_RPAREN2,
    STATE(2666), 1,
      sym_text_interpolation,
  [80113] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4740), 1,
      sym_heredoc_end,
    STATE(2667), 1,
      sym_text_interpolation,
  [80126] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_RPAREN2,
    STATE(2668), 1,
      sym_text_interpolation,
  [80139] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4744), 1,
      sym_heredoc_start,
    STATE(2669), 1,
      sym_text_interpolation,
  [80152] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4746), 1,
      sym_name,
    STATE(2670), 1,
      sym_text_interpolation,
  [80165] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4748), 1,
      anon_sym_RPAREN2,
    STATE(2671), 1,
      sym_text_interpolation,
  [80178] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_COLON_COLON,
    STATE(2672), 1,
      sym_text_interpolation,
  [80191] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4752), 1,
      anon_sym_RPAREN2,
    STATE(2673), 1,
      sym_text_interpolation,
  [80204] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_SEMI,
    STATE(2674), 1,
      sym_text_interpolation,
  [80217] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4756), 1,
      sym_name,
    STATE(2675), 1,
      sym_text_interpolation,
  [80230] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4758), 1,
      sym_integer,
    STATE(2676), 1,
      sym_text_interpolation,
  [80243] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4760), 1,
      anon_sym_RPAREN2,
    STATE(2677), 1,
      sym_text_interpolation,
  [80256] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4762), 1,
      aux_sym_foreach_statement_token2,
    STATE(2678), 1,
      sym_text_interpolation,
  [80269] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4764), 1,
      anon_sym_RPAREN2,
    STATE(2679), 1,
      sym_text_interpolation,
  [80282] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3361), 1,
      sym_name,
    STATE(2680), 1,
      sym_text_interpolation,
  [80295] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4766), 1,
      anon_sym_LBRACE,
    STATE(2681), 1,
      sym_text_interpolation,
  [80308] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4768), 1,
      anon_sym_RPAREN2,
    STATE(2682), 1,
      sym_text_interpolation,
  [80321] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4770), 1,
      anon_sym_LPAREN2,
    STATE(2683), 1,
      sym_text_interpolation,
  [80334] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(2684), 1,
      sym_text_interpolation,
  [80347] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4774), 1,
      anon_sym_RPAREN2,
    STATE(2685), 1,
      sym_text_interpolation,
  [80360] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_RPAREN2,
    STATE(2686), 1,
      sym_text_interpolation,
  [80373] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4778), 1,
      anon_sym_RPAREN2,
    STATE(2687), 1,
      sym_text_interpolation,
  [80386] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4780), 1,
      sym_name,
    STATE(2688), 1,
      sym_text_interpolation,
  [80399] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4782), 1,
      anon_sym_RPAREN2,
    STATE(2689), 1,
      sym_text_interpolation,
  [80412] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4784), 1,
      anon_sym_EQ_GT,
    STATE(2690), 1,
      sym_text_interpolation,
  [80425] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_COLON_COLON,
    STATE(2691), 1,
      sym_text_interpolation,
  [80438] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4786), 1,
      anon_sym_COLON_COLON,
    STATE(2692), 1,
      sym_text_interpolation,
  [80451] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4788), 1,
      anon_sym_LBRACE,
    STATE(2693), 1,
      sym_text_interpolation,
  [80464] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_RPAREN2,
    STATE(2694), 1,
      sym_text_interpolation,
  [80477] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4790), 1,
      anon_sym_EQ,
    STATE(2695), 1,
      sym_text_interpolation,
  [80490] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4792), 1,
      anon_sym_EQ_GT,
    STATE(2696), 1,
      sym_text_interpolation,
  [80503] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4794), 1,
      anon_sym_EQ_GT,
    STATE(2697), 1,
      sym_text_interpolation,
  [80516] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4796), 1,
      sym_name,
    STATE(2698), 1,
      sym_text_interpolation,
  [80529] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4798), 1,
      anon_sym_BSLASH,
    STATE(2699), 1,
      sym_text_interpolation,
  [80542] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4800), 1,
      anon_sym_COLON_COLON,
    STATE(2700), 1,
      sym_text_interpolation,
  [80555] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4802), 1,
      anon_sym_LPAREN2,
    STATE(2701), 1,
      sym_text_interpolation,
  [80568] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4804), 1,
      anon_sym_LPAREN2,
    STATE(2702), 1,
      sym_text_interpolation,
  [80581] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4806), 1,
      sym_name,
    STATE(2703), 1,
      sym_text_interpolation,
  [80594] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4808), 1,
      anon_sym_SEMI,
    STATE(2704), 1,
      sym_text_interpolation,
  [80607] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_RBRACK,
    STATE(2705), 1,
      sym_text_interpolation,
  [80620] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(3939), 1,
      anon_sym_RPAREN2,
    STATE(2706), 1,
      sym_text_interpolation,
  [80633] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4812), 1,
      anon_sym_LPAREN2,
    STATE(2707), 1,
      sym_text_interpolation,
  [80646] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4814), 1,
      anon_sym_LPAREN2,
    STATE(2708), 1,
      sym_text_interpolation,
  [80659] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4816), 1,
      sym_name,
    STATE(2709), 1,
      sym_text_interpolation,
  [80672] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4818), 1,
      sym_name,
    STATE(2710), 1,
      sym_text_interpolation,
  [80685] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4820), 1,
      sym_name,
    STATE(2711), 1,
      sym_text_interpolation,
  [80698] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4822), 1,
      anon_sym_LPAREN2,
    STATE(2712), 1,
      sym_text_interpolation,
  [80711] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4824), 1,
      anon_sym_LPAREN2,
    STATE(2713), 1,
      sym_text_interpolation,
  [80724] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4826), 1,
      anon_sym_RPAREN2,
    STATE(2714), 1,
      sym_text_interpolation,
  [80737] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4828), 1,
      anon_sym_LPAREN2,
    STATE(2715), 1,
      sym_text_interpolation,
  [80750] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4830), 1,
      anon_sym_COLON_COLON,
    STATE(2716), 1,
      sym_text_interpolation,
  [80763] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4832), 1,
      sym_name,
    STATE(2717), 1,
      sym_text_interpolation,
  [80776] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4834), 1,
      sym_name,
    STATE(2718), 1,
      sym_text_interpolation,
  [80789] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4836), 1,
      sym_name,
    STATE(2719), 1,
      sym_text_interpolation,
  [80802] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4838), 1,
      anon_sym_LPAREN2,
    STATE(2720), 1,
      sym_text_interpolation,
  [80815] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4840), 1,
      anon_sym_LBRACE,
    STATE(2721), 1,
      sym_text_interpolation,
  [80828] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4842), 1,
      sym_name,
    STATE(2722), 1,
      sym_text_interpolation,
  [80841] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4844), 1,
      anon_sym_RPAREN2,
    STATE(2723), 1,
      sym_text_interpolation,
  [80854] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_LPAREN2,
    STATE(2724), 1,
      sym_text_interpolation,
  [80867] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4848), 1,
      sym_name,
    STATE(2725), 1,
      sym_text_interpolation,
  [80880] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4850), 1,
      anon_sym_SEMI,
    STATE(2726), 1,
      sym_text_interpolation,
  [80893] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_LBRACE,
    STATE(2727), 1,
      sym_text_interpolation,
  [80906] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4852), 1,
      sym_name,
    STATE(2728), 1,
      sym_text_interpolation,
  [80919] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4854), 1,
      anon_sym_SEMI,
    STATE(2729), 1,
      sym_text_interpolation,
  [80932] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_LPAREN2,
    STATE(2730), 1,
      sym_text_interpolation,
  [80945] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4858), 1,
      sym_name,
    STATE(2731), 1,
      sym_text_interpolation,
  [80958] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4860), 1,
      anon_sym_LPAREN2,
    STATE(2732), 1,
      sym_text_interpolation,
  [80971] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4862), 1,
      anon_sym_LPAREN2,
    STATE(2733), 1,
      sym_text_interpolation,
  [80984] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4864), 1,
      ts_builtin_sym_end,
    STATE(2734), 1,
      sym_text_interpolation,
  [80997] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4866), 1,
      sym_name,
    STATE(2735), 1,
      sym_text_interpolation,
  [81010] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4868), 1,
      anon_sym_SEMI,
    STATE(2736), 1,
      sym_text_interpolation,
  [81023] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4870), 1,
      anon_sym_RPAREN2,
    STATE(2737), 1,
      sym_text_interpolation,
  [81036] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_LPAREN2,
    STATE(2738), 1,
      sym_text_interpolation,
  [81049] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1572), 1,
      sym_comment,
    ACTIONS(4874), 1,
      anon_sym_LPAREN2,
    STATE(2739), 1,
      sym_text_interpolation,
  [81062] = 1,
    ACTIONS(4876), 1,
      ts_builtin_sym_end,
  [81066] = 1,
    ACTIONS(4878), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(593)] = 0,
  [SMALL_STATE(594)] = 79,
  [SMALL_STATE(595)] = 158,
  [SMALL_STATE(596)] = 232,
  [SMALL_STATE(597)] = 306,
  [SMALL_STATE(598)] = 382,
  [SMALL_STATE(599)] = 456,
  [SMALL_STATE(600)] = 530,
  [SMALL_STATE(601)] = 614,
  [SMALL_STATE(602)] = 688,
  [SMALL_STATE(603)] = 762,
  [SMALL_STATE(604)] = 836,
  [SMALL_STATE(605)] = 910,
  [SMALL_STATE(606)] = 984,
  [SMALL_STATE(607)] = 1058,
  [SMALL_STATE(608)] = 1132,
  [SMALL_STATE(609)] = 1206,
  [SMALL_STATE(610)] = 1280,
  [SMALL_STATE(611)] = 1354,
  [SMALL_STATE(612)] = 1428,
  [SMALL_STATE(613)] = 1502,
  [SMALL_STATE(614)] = 1578,
  [SMALL_STATE(615)] = 1652,
  [SMALL_STATE(616)] = 1726,
  [SMALL_STATE(617)] = 1800,
  [SMALL_STATE(618)] = 1874,
  [SMALL_STATE(619)] = 1948,
  [SMALL_STATE(620)] = 2022,
  [SMALL_STATE(621)] = 2096,
  [SMALL_STATE(622)] = 2170,
  [SMALL_STATE(623)] = 2251,
  [SMALL_STATE(624)] = 2332,
  [SMALL_STATE(625)] = 2413,
  [SMALL_STATE(626)] = 2488,
  [SMALL_STATE(627)] = 2563,
  [SMALL_STATE(628)] = 2633,
  [SMALL_STATE(629)] = 2703,
  [SMALL_STATE(630)] = 2783,
  [SMALL_STATE(631)] = 2853,
  [SMALL_STATE(632)] = 2933,
  [SMALL_STATE(633)] = 3003,
  [SMALL_STATE(634)] = 3073,
  [SMALL_STATE(635)] = 3143,
  [SMALL_STATE(636)] = 3215,
  [SMALL_STATE(637)] = 3285,
  [SMALL_STATE(638)] = 3421,
  [SMALL_STATE(639)] = 3499,
  [SMALL_STATE(640)] = 3569,
  [SMALL_STATE(641)] = 3639,
  [SMALL_STATE(642)] = 3777,
  [SMALL_STATE(643)] = 3847,
  [SMALL_STATE(644)] = 3917,
  [SMALL_STATE(645)] = 4059,
  [SMALL_STATE(646)] = 4129,
  [SMALL_STATE(647)] = 4201,
  [SMALL_STATE(648)] = 4271,
  [SMALL_STATE(649)] = 4341,
  [SMALL_STATE(650)] = 4411,
  [SMALL_STATE(651)] = 4481,
  [SMALL_STATE(652)] = 4619,
  [SMALL_STATE(653)] = 4699,
  [SMALL_STATE(654)] = 4769,
  [SMALL_STATE(655)] = 4839,
  [SMALL_STATE(656)] = 4909,
  [SMALL_STATE(657)] = 5051,
  [SMALL_STATE(658)] = 5129,
  [SMALL_STATE(659)] = 5206,
  [SMALL_STATE(660)] = 5283,
  [SMALL_STATE(661)] = 5360,
  [SMALL_STATE(662)] = 5429,
  [SMALL_STATE(663)] = 5508,
  [SMALL_STATE(664)] = 5577,
  [SMALL_STATE(665)] = 5646,
  [SMALL_STATE(666)] = 5715,
  [SMALL_STATE(667)] = 5794,
  [SMALL_STATE(668)] = 5871,
  [SMALL_STATE(669)] = 5948,
  [SMALL_STATE(670)] = 6087,
  [SMALL_STATE(671)] = 6164,
  [SMALL_STATE(672)] = 6233,
  [SMALL_STATE(673)] = 6318,
  [SMALL_STATE(674)] = 6387,
  [SMALL_STATE(675)] = 6456,
  [SMALL_STATE(676)] = 6525,
  [SMALL_STATE(677)] = 6594,
  [SMALL_STATE(678)] = 6674,
  [SMALL_STATE(679)] = 6756,
  [SMALL_STATE(680)] = 6838,
  [SMALL_STATE(681)] = 6914,
  [SMALL_STATE(682)] = 6994,
  [SMALL_STATE(683)] = 7070,
  [SMALL_STATE(684)] = 7146,
  [SMALL_STATE(685)] = 7226,
  [SMALL_STATE(686)] = 7302,
  [SMALL_STATE(687)] = 7435,
  [SMALL_STATE(688)] = 7512,
  [SMALL_STATE(689)] = 7589,
  [SMALL_STATE(690)] = 7722,
  [SMALL_STATE(691)] = 7799,
  [SMALL_STATE(692)] = 7932,
  [SMALL_STATE(693)] = 8009,
  [SMALL_STATE(694)] = 8088,
  [SMALL_STATE(695)] = 8165,
  [SMALL_STATE(696)] = 8242,
  [SMALL_STATE(697)] = 8375,
  [SMALL_STATE(698)] = 8505,
  [SMALL_STATE(699)] = 8635,
  [SMALL_STATE(700)] = 8765,
  [SMALL_STATE(701)] = 8895,
  [SMALL_STATE(702)] = 9025,
  [SMALL_STATE(703)] = 9155,
  [SMALL_STATE(704)] = 9231,
  [SMALL_STATE(705)] = 9361,
  [SMALL_STATE(706)] = 9491,
  [SMALL_STATE(707)] = 9621,
  [SMALL_STATE(708)] = 9751,
  [SMALL_STATE(709)] = 9881,
  [SMALL_STATE(710)] = 10011,
  [SMALL_STATE(711)] = 10081,
  [SMALL_STATE(712)] = 10211,
  [SMALL_STATE(713)] = 10287,
  [SMALL_STATE(714)] = 10353,
  [SMALL_STATE(715)] = 10417,
  [SMALL_STATE(716)] = 10478,
  [SMALL_STATE(717)] = 10543,
  [SMALL_STATE(718)] = 10608,
  [SMALL_STATE(719)] = 10673,
  [SMALL_STATE(720)] = 10782,
  [SMALL_STATE(721)] = 10843,
  [SMALL_STATE(722)] = 10904,
  [SMALL_STATE(723)] = 11013,
  [SMALL_STATE(724)] = 11073,
  [SMALL_STATE(725)] = 11135,
  [SMALL_STATE(726)] = 11197,
  [SMALL_STATE(727)] = 11257,
  [SMALL_STATE(728)] = 11317,
  [SMALL_STATE(729)] = 11377,
  [SMALL_STATE(730)] = 11437,
  [SMALL_STATE(731)] = 11499,
  [SMALL_STATE(732)] = 11559,
  [SMALL_STATE(733)] = 11619,
  [SMALL_STATE(734)] = 11679,
  [SMALL_STATE(735)] = 11739,
  [SMALL_STATE(736)] = 11801,
  [SMALL_STATE(737)] = 11861,
  [SMALL_STATE(738)] = 11923,
  [SMALL_STATE(739)] = 11983,
  [SMALL_STATE(740)] = 12049,
  [SMALL_STATE(741)] = 12109,
  [SMALL_STATE(742)] = 12169,
  [SMALL_STATE(743)] = 12229,
  [SMALL_STATE(744)] = 12289,
  [SMALL_STATE(745)] = 12349,
  [SMALL_STATE(746)] = 12409,
  [SMALL_STATE(747)] = 12475,
  [SMALL_STATE(748)] = 12535,
  [SMALL_STATE(749)] = 12595,
  [SMALL_STATE(750)] = 12655,
  [SMALL_STATE(751)] = 12718,
  [SMALL_STATE(752)] = 12777,
  [SMALL_STATE(753)] = 12840,
  [SMALL_STATE(754)] = 12903,
  [SMALL_STATE(755)] = 12962,
  [SMALL_STATE(756)] = 13021,
  [SMALL_STATE(757)] = 13080,
  [SMALL_STATE(758)] = 13139,
  [SMALL_STATE(759)] = 13202,
  [SMALL_STATE(760)] = 13265,
  [SMALL_STATE(761)] = 13326,
  [SMALL_STATE(762)] = 13385,
  [SMALL_STATE(763)] = 13446,
  [SMALL_STATE(764)] = 13505,
  [SMALL_STATE(765)] = 13564,
  [SMALL_STATE(766)] = 13623,
  [SMALL_STATE(767)] = 13681,
  [SMALL_STATE(768)] = 13739,
  [SMALL_STATE(769)] = 13797,
  [SMALL_STATE(770)] = 13855,
  [SMALL_STATE(771)] = 13913,
  [SMALL_STATE(772)] = 13971,
  [SMALL_STATE(773)] = 14033,
  [SMALL_STATE(774)] = 14137,
  [SMALL_STATE(775)] = 14199,
  [SMALL_STATE(776)] = 14261,
  [SMALL_STATE(777)] = 14319,
  [SMALL_STATE(778)] = 14377,
  [SMALL_STATE(779)] = 14437,
  [SMALL_STATE(780)] = 14495,
  [SMALL_STATE(781)] = 14561,
  [SMALL_STATE(782)] = 14621,
  [SMALL_STATE(783)] = 14679,
  [SMALL_STATE(784)] = 14737,
  [SMALL_STATE(785)] = 14795,
  [SMALL_STATE(786)] = 14853,
  [SMALL_STATE(787)] = 14911,
  [SMALL_STATE(788)] = 14969,
  [SMALL_STATE(789)] = 15027,
  [SMALL_STATE(790)] = 15085,
  [SMALL_STATE(791)] = 15143,
  [SMALL_STATE(792)] = 15203,
  [SMALL_STATE(793)] = 15261,
  [SMALL_STATE(794)] = 15321,
  [SMALL_STATE(795)] = 15379,
  [SMALL_STATE(796)] = 15437,
  [SMALL_STATE(797)] = 15495,
  [SMALL_STATE(798)] = 15553,
  [SMALL_STATE(799)] = 15611,
  [SMALL_STATE(800)] = 15669,
  [SMALL_STATE(801)] = 15727,
  [SMALL_STATE(802)] = 15785,
  [SMALL_STATE(803)] = 15843,
  [SMALL_STATE(804)] = 15901,
  [SMALL_STATE(805)] = 15959,
  [SMALL_STATE(806)] = 16017,
  [SMALL_STATE(807)] = 16075,
  [SMALL_STATE(808)] = 16133,
  [SMALL_STATE(809)] = 16191,
  [SMALL_STATE(810)] = 16249,
  [SMALL_STATE(811)] = 16309,
  [SMALL_STATE(812)] = 16367,
  [SMALL_STATE(813)] = 16425,
  [SMALL_STATE(814)] = 16483,
  [SMALL_STATE(815)] = 16541,
  [SMALL_STATE(816)] = 16599,
  [SMALL_STATE(817)] = 16661,
  [SMALL_STATE(818)] = 16719,
  [SMALL_STATE(819)] = 16777,
  [SMALL_STATE(820)] = 16837,
  [SMALL_STATE(821)] = 16895,
  [SMALL_STATE(822)] = 16953,
  [SMALL_STATE(823)] = 17011,
  [SMALL_STATE(824)] = 17069,
  [SMALL_STATE(825)] = 17173,
  [SMALL_STATE(826)] = 17231,
  [SMALL_STATE(827)] = 17289,
  [SMALL_STATE(828)] = 17347,
  [SMALL_STATE(829)] = 17405,
  [SMALL_STATE(830)] = 17463,
  [SMALL_STATE(831)] = 17521,
  [SMALL_STATE(832)] = 17583,
  [SMALL_STATE(833)] = 17643,
  [SMALL_STATE(834)] = 17701,
  [SMALL_STATE(835)] = 17759,
  [SMALL_STATE(836)] = 17817,
  [SMALL_STATE(837)] = 17875,
  [SMALL_STATE(838)] = 17933,
  [SMALL_STATE(839)] = 17991,
  [SMALL_STATE(840)] = 18049,
  [SMALL_STATE(841)] = 18107,
  [SMALL_STATE(842)] = 18165,
  [SMALL_STATE(843)] = 18223,
  [SMALL_STATE(844)] = 18281,
  [SMALL_STATE(845)] = 18339,
  [SMALL_STATE(846)] = 18397,
  [SMALL_STATE(847)] = 18455,
  [SMALL_STATE(848)] = 18513,
  [SMALL_STATE(849)] = 18571,
  [SMALL_STATE(850)] = 18629,
  [SMALL_STATE(851)] = 18730,
  [SMALL_STATE(852)] = 18791,
  [SMALL_STATE(853)] = 18850,
  [SMALL_STATE(854)] = 18909,
  [SMALL_STATE(855)] = 18970,
  [SMALL_STATE(856)] = 19031,
  [SMALL_STATE(857)] = 19092,
  [SMALL_STATE(858)] = 19149,
  [SMALL_STATE(859)] = 19208,
  [SMALL_STATE(860)] = 19309,
  [SMALL_STATE(861)] = 19410,
  [SMALL_STATE(862)] = 19469,
  [SMALL_STATE(863)] = 19570,
  [SMALL_STATE(864)] = 19631,
  [SMALL_STATE(865)] = 19690,
  [SMALL_STATE(866)] = 19748,
  [SMALL_STATE(867)] = 19804,
  [SMALL_STATE(868)] = 19860,
  [SMALL_STATE(869)] = 19916,
  [SMALL_STATE(870)] = 19972,
  [SMALL_STATE(871)] = 20070,
  [SMALL_STATE(872)] = 20126,
  [SMALL_STATE(873)] = 20182,
  [SMALL_STATE(874)] = 20238,
  [SMALL_STATE(875)] = 20298,
  [SMALL_STATE(876)] = 20354,
  [SMALL_STATE(877)] = 20410,
  [SMALL_STATE(878)] = 20526,
  [SMALL_STATE(879)] = 20582,
  [SMALL_STATE(880)] = 20638,
  [SMALL_STATE(881)] = 20694,
  [SMALL_STATE(882)] = 20750,
  [SMALL_STATE(883)] = 20806,
  [SMALL_STATE(884)] = 20922,
  [SMALL_STATE(885)] = 20978,
  [SMALL_STATE(886)] = 21034,
  [SMALL_STATE(887)] = 21090,
  [SMALL_STATE(888)] = 21146,
  [SMALL_STATE(889)] = 21204,
  [SMALL_STATE(890)] = 21266,
  [SMALL_STATE(891)] = 21328,
  [SMALL_STATE(892)] = 21444,
  [SMALL_STATE(893)] = 21500,
  [SMALL_STATE(894)] = 21560,
  [SMALL_STATE(895)] = 21616,
  [SMALL_STATE(896)] = 21675,
  [SMALL_STATE(897)] = 21732,
  [SMALL_STATE(898)] = 21787,
  [SMALL_STATE(899)] = 21842,
  [SMALL_STATE(900)] = 21901,
  [SMALL_STATE(901)] = 21960,
  [SMALL_STATE(902)] = 22017,
  [SMALL_STATE(903)] = 22072,
  [SMALL_STATE(904)] = 22127,
  [SMALL_STATE(905)] = 22182,
  [SMALL_STATE(906)] = 22237,
  [SMALL_STATE(907)] = 22292,
  [SMALL_STATE(908)] = 22351,
  [SMALL_STATE(909)] = 22410,
  [SMALL_STATE(910)] = 22465,
  [SMALL_STATE(911)] = 22520,
  [SMALL_STATE(912)] = 22575,
  [SMALL_STATE(913)] = 22630,
  [SMALL_STATE(914)] = 22685,
  [SMALL_STATE(915)] = 22740,
  [SMALL_STATE(916)] = 22797,
  [SMALL_STATE(917)] = 22854,
  [SMALL_STATE(918)] = 22909,
  [SMALL_STATE(919)] = 22967,
  [SMALL_STATE(920)] = 23021,
  [SMALL_STATE(921)] = 23075,
  [SMALL_STATE(922)] = 23129,
  [SMALL_STATE(923)] = 23191,
  [SMALL_STATE(924)] = 23249,
  [SMALL_STATE(925)] = 23303,
  [SMALL_STATE(926)] = 23357,
  [SMALL_STATE(927)] = 23411,
  [SMALL_STATE(928)] = 23465,
  [SMALL_STATE(929)] = 23521,
  [SMALL_STATE(930)] = 23575,
  [SMALL_STATE(931)] = 23631,
  [SMALL_STATE(932)] = 23693,
  [SMALL_STATE(933)] = 23747,
  [SMALL_STATE(934)] = 23801,
  [SMALL_STATE(935)] = 23855,
  [SMALL_STATE(936)] = 23909,
  [SMALL_STATE(937)] = 23963,
  [SMALL_STATE(938)] = 24017,
  [SMALL_STATE(939)] = 24071,
  [SMALL_STATE(940)] = 24125,
  [SMALL_STATE(941)] = 24179,
  [SMALL_STATE(942)] = 24237,
  [SMALL_STATE(943)] = 24295,
  [SMALL_STATE(944)] = 24349,
  [SMALL_STATE(945)] = 24403,
  [SMALL_STATE(946)] = 24457,
  [SMALL_STATE(947)] = 24511,
  [SMALL_STATE(948)] = 24565,
  [SMALL_STATE(949)] = 24619,
  [SMALL_STATE(950)] = 24673,
  [SMALL_STATE(951)] = 24727,
  [SMALL_STATE(952)] = 24781,
  [SMALL_STATE(953)] = 24835,
  [SMALL_STATE(954)] = 24889,
  [SMALL_STATE(955)] = 24943,
  [SMALL_STATE(956)] = 24997,
  [SMALL_STATE(957)] = 25059,
  [SMALL_STATE(958)] = 25113,
  [SMALL_STATE(959)] = 25169,
  [SMALL_STATE(960)] = 25223,
  [SMALL_STATE(961)] = 25277,
  [SMALL_STATE(962)] = 25331,
  [SMALL_STATE(963)] = 25387,
  [SMALL_STATE(964)] = 25441,
  [SMALL_STATE(965)] = 25497,
  [SMALL_STATE(966)] = 25551,
  [SMALL_STATE(967)] = 25605,
  [SMALL_STATE(968)] = 25659,
  [SMALL_STATE(969)] = 25713,
  [SMALL_STATE(970)] = 25767,
  [SMALL_STATE(971)] = 25825,
  [SMALL_STATE(972)] = 25879,
  [SMALL_STATE(973)] = 25933,
  [SMALL_STATE(974)] = 25987,
  [SMALL_STATE(975)] = 26041,
  [SMALL_STATE(976)] = 26095,
  [SMALL_STATE(977)] = 26149,
  [SMALL_STATE(978)] = 26203,
  [SMALL_STATE(979)] = 26257,
  [SMALL_STATE(980)] = 26311,
  [SMALL_STATE(981)] = 26367,
  [SMALL_STATE(982)] = 26423,
  [SMALL_STATE(983)] = 26481,
  [SMALL_STATE(984)] = 26535,
  [SMALL_STATE(985)] = 26589,
  [SMALL_STATE(986)] = 26643,
  [SMALL_STATE(987)] = 26705,
  [SMALL_STATE(988)] = 26759,
  [SMALL_STATE(989)] = 26815,
  [SMALL_STATE(990)] = 26869,
  [SMALL_STATE(991)] = 26923,
  [SMALL_STATE(992)] = 26977,
  [SMALL_STATE(993)] = 27031,
  [SMALL_STATE(994)] = 27085,
  [SMALL_STATE(995)] = 27139,
  [SMALL_STATE(996)] = 27193,
  [SMALL_STATE(997)] = 27247,
  [SMALL_STATE(998)] = 27301,
  [SMALL_STATE(999)] = 27355,
  [SMALL_STATE(1000)] = 27409,
  [SMALL_STATE(1001)] = 27463,
  [SMALL_STATE(1002)] = 27517,
  [SMALL_STATE(1003)] = 27571,
  [SMALL_STATE(1004)] = 27625,
  [SMALL_STATE(1005)] = 27679,
  [SMALL_STATE(1006)] = 27733,
  [SMALL_STATE(1007)] = 27787,
  [SMALL_STATE(1008)] = 27841,
  [SMALL_STATE(1009)] = 27895,
  [SMALL_STATE(1010)] = 27948,
  [SMALL_STATE(1011)] = 28003,
  [SMALL_STATE(1012)] = 28056,
  [SMALL_STATE(1013)] = 28109,
  [SMALL_STATE(1014)] = 28162,
  [SMALL_STATE(1015)] = 28215,
  [SMALL_STATE(1016)] = 28268,
  [SMALL_STATE(1017)] = 28323,
  [SMALL_STATE(1018)] = 28376,
  [SMALL_STATE(1019)] = 28429,
  [SMALL_STATE(1020)] = 28482,
  [SMALL_STATE(1021)] = 28535,
  [SMALL_STATE(1022)] = 28592,
  [SMALL_STATE(1023)] = 28645,
  [SMALL_STATE(1024)] = 28698,
  [SMALL_STATE(1025)] = 28751,
  [SMALL_STATE(1026)] = 28804,
  [SMALL_STATE(1027)] = 28859,
  [SMALL_STATE(1028)] = 28916,
  [SMALL_STATE(1029)] = 28969,
  [SMALL_STATE(1030)] = 29022,
  [SMALL_STATE(1031)] = 29075,
  [SMALL_STATE(1032)] = 29128,
  [SMALL_STATE(1033)] = 29181,
  [SMALL_STATE(1034)] = 29236,
  [SMALL_STATE(1035)] = 29289,
  [SMALL_STATE(1036)] = 29344,
  [SMALL_STATE(1037)] = 29397,
  [SMALL_STATE(1038)] = 29450,
  [SMALL_STATE(1039)] = 29503,
  [SMALL_STATE(1040)] = 29558,
  [SMALL_STATE(1041)] = 29613,
  [SMALL_STATE(1042)] = 29666,
  [SMALL_STATE(1043)] = 29721,
  [SMALL_STATE(1044)] = 29773,
  [SMALL_STATE(1045)] = 29825,
  [SMALL_STATE(1046)] = 29877,
  [SMALL_STATE(1047)] = 29928,
  [SMALL_STATE(1048)] = 29981,
  [SMALL_STATE(1049)] = 30036,
  [SMALL_STATE(1050)] = 30114,
  [SMALL_STATE(1051)] = 30202,
  [SMALL_STATE(1052)] = 30284,
  [SMALL_STATE(1053)] = 30334,
  [SMALL_STATE(1054)] = 30416,
  [SMALL_STATE(1055)] = 30504,
  [SMALL_STATE(1056)] = 30554,
  [SMALL_STATE(1057)] = 30642,
  [SMALL_STATE(1058)] = 30712,
  [SMALL_STATE(1059)] = 30800,
  [SMALL_STATE(1060)] = 30882,
  [SMALL_STATE(1061)] = 30956,
  [SMALL_STATE(1062)] = 31012,
  [SMALL_STATE(1063)] = 31094,
  [SMALL_STATE(1064)] = 31146,
  [SMALL_STATE(1065)] = 31228,
  [SMALL_STATE(1066)] = 31314,
  [SMALL_STATE(1067)] = 31366,
  [SMALL_STATE(1068)] = 31450,
  [SMALL_STATE(1069)] = 31526,
  [SMALL_STATE(1070)] = 31608,
  [SMALL_STATE(1071)] = 31696,
  [SMALL_STATE(1072)] = 31768,
  [SMALL_STATE(1073)] = 31856,
  [SMALL_STATE(1074)] = 31944,
  [SMALL_STATE(1075)] = 32032,
  [SMALL_STATE(1076)] = 32098,
  [SMALL_STATE(1077)] = 32186,
  [SMALL_STATE(1078)] = 32274,
  [SMALL_STATE(1079)] = 32332,
  [SMALL_STATE(1080)] = 32394,
  [SMALL_STATE(1081)] = 32484,
  [SMALL_STATE(1082)] = 32544,
  [SMALL_STATE(1083)] = 32626,
  [SMALL_STATE(1084)] = 32715,
  [SMALL_STATE(1085)] = 32796,
  [SMALL_STATE(1086)] = 32885,
  [SMALL_STATE(1087)] = 32972,
  [SMALL_STATE(1088)] = 33021,
  [SMALL_STATE(1089)] = 33072,
  [SMALL_STATE(1090)] = 33159,
  [SMALL_STATE(1091)] = 33246,
  [SMALL_STATE(1092)] = 33327,
  [SMALL_STATE(1093)] = 33376,
  [SMALL_STATE(1094)] = 33425,
  [SMALL_STATE(1095)] = 33474,
  [SMALL_STATE(1096)] = 33523,
  [SMALL_STATE(1097)] = 33572,
  [SMALL_STATE(1098)] = 33623,
  [SMALL_STATE(1099)] = 33672,
  [SMALL_STATE(1100)] = 33759,
  [SMALL_STATE(1101)] = 33846,
  [SMALL_STATE(1102)] = 33895,
  [SMALL_STATE(1103)] = 33976,
  [SMALL_STATE(1104)] = 34045,
  [SMALL_STATE(1105)] = 34130,
  [SMALL_STATE(1106)] = 34179,
  [SMALL_STATE(1107)] = 34262,
  [SMALL_STATE(1108)] = 34319,
  [SMALL_STATE(1109)] = 34368,
  [SMALL_STATE(1110)] = 34417,
  [SMALL_STATE(1111)] = 34466,
  [SMALL_STATE(1112)] = 34553,
  [SMALL_STATE(1113)] = 34626,
  [SMALL_STATE(1114)] = 34675,
  [SMALL_STATE(1115)] = 34762,
  [SMALL_STATE(1116)] = 34817,
  [SMALL_STATE(1117)] = 34894,
  [SMALL_STATE(1118)] = 34975,
  [SMALL_STATE(1119)] = 35024,
  [SMALL_STATE(1120)] = 35075,
  [SMALL_STATE(1121)] = 35150,
  [SMALL_STATE(1122)] = 35201,
  [SMALL_STATE(1123)] = 35288,
  [SMALL_STATE(1124)] = 35359,
  [SMALL_STATE(1125)] = 35440,
  [SMALL_STATE(1126)] = 35489,
  [SMALL_STATE(1127)] = 35554,
  [SMALL_STATE(1128)] = 35639,
  [SMALL_STATE(1129)] = 35688,
  [SMALL_STATE(1130)] = 35775,
  [SMALL_STATE(1131)] = 35862,
  [SMALL_STATE(1132)] = 35923,
  [SMALL_STATE(1133)] = 36006,
  [SMALL_STATE(1134)] = 36055,
  [SMALL_STATE(1135)] = 36132,
  [SMALL_STATE(1136)] = 36181,
  [SMALL_STATE(1137)] = 36256,
  [SMALL_STATE(1138)] = 36327,
  [SMALL_STATE(1139)] = 36408,
  [SMALL_STATE(1140)] = 36495,
  [SMALL_STATE(1141)] = 36550,
  [SMALL_STATE(1142)] = 36615,
  [SMALL_STATE(1143)] = 36664,
  [SMALL_STATE(1144)] = 36745,
  [SMALL_STATE(1145)] = 36832,
  [SMALL_STATE(1146)] = 36893,
  [SMALL_STATE(1147)] = 36950,
  [SMALL_STATE(1148)] = 37009,
  [SMALL_STATE(1149)] = 37068,
  [SMALL_STATE(1150)] = 37119,
  [SMALL_STATE(1151)] = 37168,
  [SMALL_STATE(1152)] = 37217,
  [SMALL_STATE(1153)] = 37304,
  [SMALL_STATE(1154)] = 37391,
  [SMALL_STATE(1155)] = 37472,
  [SMALL_STATE(1156)] = 37521,
  [SMALL_STATE(1157)] = 37602,
  [SMALL_STATE(1158)] = 37651,
  [SMALL_STATE(1159)] = 37738,
  [SMALL_STATE(1160)] = 37819,
  [SMALL_STATE(1161)] = 37900,
  [SMALL_STATE(1162)] = 37987,
  [SMALL_STATE(1163)] = 38074,
  [SMALL_STATE(1164)] = 38161,
  [SMALL_STATE(1165)] = 38230,
  [SMALL_STATE(1166)] = 38311,
  [SMALL_STATE(1167)] = 38376,
  [SMALL_STATE(1168)] = 38425,
  [SMALL_STATE(1169)] = 38506,
  [SMALL_STATE(1170)] = 38555,
  [SMALL_STATE(1171)] = 38612,
  [SMALL_STATE(1172)] = 38685,
  [SMALL_STATE(1173)] = 38734,
  [SMALL_STATE(1174)] = 38815,
  [SMALL_STATE(1175)] = 38896,
  [SMALL_STATE(1176)] = 38983,
  [SMALL_STATE(1177)] = 39070,
  [SMALL_STATE(1178)] = 39127,
  [SMALL_STATE(1179)] = 39213,
  [SMALL_STATE(1180)] = 39299,
  [SMALL_STATE(1181)] = 39379,
  [SMALL_STATE(1182)] = 39455,
  [SMALL_STATE(1183)] = 39541,
  [SMALL_STATE(1184)] = 39627,
  [SMALL_STATE(1185)] = 39713,
  [SMALL_STATE(1186)] = 39793,
  [SMALL_STATE(1187)] = 39873,
  [SMALL_STATE(1188)] = 39959,
  [SMALL_STATE(1189)] = 40045,
  [SMALL_STATE(1190)] = 40131,
  [SMALL_STATE(1191)] = 40211,
  [SMALL_STATE(1192)] = 40299,
  [SMALL_STATE(1193)] = 40383,
  [SMALL_STATE(1194)] = 40469,
  [SMALL_STATE(1195)] = 40519,
  [SMALL_STATE(1196)] = 40599,
  [SMALL_STATE(1197)] = 40685,
  [SMALL_STATE(1198)] = 40749,
  [SMALL_STATE(1199)] = 40809,
  [SMALL_STATE(1200)] = 40877,
  [SMALL_STATE(1201)] = 40947,
  [SMALL_STATE(1202)] = 41021,
  [SMALL_STATE(1203)] = 41101,
  [SMALL_STATE(1204)] = 41157,
  [SMALL_STATE(1205)] = 41211,
  [SMALL_STATE(1206)] = 41283,
  [SMALL_STATE(1207)] = 41341,
  [SMALL_STATE(1208)] = 41391,
  [SMALL_STATE(1209)] = 41473,
  [SMALL_STATE(1210)] = 41553,
  [SMALL_STATE(1211)] = 41642,
  [SMALL_STATE(1212)] = 41731,
  [SMALL_STATE(1213)] = 41820,
  [SMALL_STATE(1214)] = 41909,
  [SMALL_STATE(1215)] = 41998,
  [SMALL_STATE(1216)] = 42047,
  [SMALL_STATE(1217)] = 42132,
  [SMALL_STATE(1218)] = 42221,
  [SMALL_STATE(1219)] = 42310,
  [SMALL_STATE(1220)] = 42359,
  [SMALL_STATE(1221)] = 42448,
  [SMALL_STATE(1222)] = 42532,
  [SMALL_STATE(1223)] = 42618,
  [SMALL_STATE(1224)] = 42704,
  [SMALL_STATE(1225)] = 42792,
  [SMALL_STATE(1226)] = 42878,
  [SMALL_STATE(1227)] = 42964,
  [SMALL_STATE(1228)] = 43050,
  [SMALL_STATE(1229)] = 43136,
  [SMALL_STATE(1230)] = 43222,
  [SMALL_STATE(1231)] = 43296,
  [SMALL_STATE(1232)] = 43368,
  [SMALL_STATE(1233)] = 43454,
  [SMALL_STATE(1234)] = 43540,
  [SMALL_STATE(1235)] = 43624,
  [SMALL_STATE(1236)] = 43696,
  [SMALL_STATE(1237)] = 43782,
  [SMALL_STATE(1238)] = 43868,
  [SMALL_STATE(1239)] = 43940,
  [SMALL_STATE(1240)] = 44026,
  [SMALL_STATE(1241)] = 44098,
  [SMALL_STATE(1242)] = 44184,
  [SMALL_STATE(1243)] = 44270,
  [SMALL_STATE(1244)] = 44356,
  [SMALL_STATE(1245)] = 44442,
  [SMALL_STATE(1246)] = 44516,
  [SMALL_STATE(1247)] = 44599,
  [SMALL_STATE(1248)] = 44682,
  [SMALL_STATE(1249)] = 44771,
  [SMALL_STATE(1250)] = 44854,
  [SMALL_STATE(1251)] = 44939,
  [SMALL_STATE(1252)] = 45022,
  [SMALL_STATE(1253)] = 45111,
  [SMALL_STATE(1254)] = 45194,
  [SMALL_STATE(1255)] = 45279,
  [SMALL_STATE(1256)] = 45362,
  [SMALL_STATE(1257)] = 45451,
  [SMALL_STATE(1258)] = 45534,
  [SMALL_STATE(1259)] = 45617,
  [SMALL_STATE(1260)] = 45700,
  [SMALL_STATE(1261)] = 45783,
  [SMALL_STATE(1262)] = 45872,
  [SMALL_STATE(1263)] = 45961,
  [SMALL_STATE(1264)] = 46050,
  [SMALL_STATE(1265)] = 46135,
  [SMALL_STATE(1266)] = 46220,
  [SMALL_STATE(1267)] = 46303,
  [SMALL_STATE(1268)] = 46386,
  [SMALL_STATE(1269)] = 46471,
  [SMALL_STATE(1270)] = 46554,
  [SMALL_STATE(1271)] = 46637,
  [SMALL_STATE(1272)] = 46724,
  [SMALL_STATE(1273)] = 46807,
  [SMALL_STATE(1274)] = 46890,
  [SMALL_STATE(1275)] = 46972,
  [SMALL_STATE(1276)] = 47054,
  [SMALL_STATE(1277)] = 47136,
  [SMALL_STATE(1278)] = 47218,
  [SMALL_STATE(1279)] = 47300,
  [SMALL_STATE(1280)] = 47382,
  [SMALL_STATE(1281)] = 47464,
  [SMALL_STATE(1282)] = 47546,
  [SMALL_STATE(1283)] = 47614,
  [SMALL_STATE(1284)] = 47696,
  [SMALL_STATE(1285)] = 47778,
  [SMALL_STATE(1286)] = 47860,
  [SMALL_STATE(1287)] = 47942,
  [SMALL_STATE(1288)] = 48024,
  [SMALL_STATE(1289)] = 48106,
  [SMALL_STATE(1290)] = 48174,
  [SMALL_STATE(1291)] = 48256,
  [SMALL_STATE(1292)] = 48338,
  [SMALL_STATE(1293)] = 48420,
  [SMALL_STATE(1294)] = 48502,
  [SMALL_STATE(1295)] = 48584,
  [SMALL_STATE(1296)] = 48666,
  [SMALL_STATE(1297)] = 48748,
  [SMALL_STATE(1298)] = 48830,
  [SMALL_STATE(1299)] = 48912,
  [SMALL_STATE(1300)] = 48994,
  [SMALL_STATE(1301)] = 49076,
  [SMALL_STATE(1302)] = 49158,
  [SMALL_STATE(1303)] = 49240,
  [SMALL_STATE(1304)] = 49322,
  [SMALL_STATE(1305)] = 49404,
  [SMALL_STATE(1306)] = 49450,
  [SMALL_STATE(1307)] = 49532,
  [SMALL_STATE(1308)] = 49614,
  [SMALL_STATE(1309)] = 49696,
  [SMALL_STATE(1310)] = 49778,
  [SMALL_STATE(1311)] = 49860,
  [SMALL_STATE(1312)] = 49942,
  [SMALL_STATE(1313)] = 50024,
  [SMALL_STATE(1314)] = 50106,
  [SMALL_STATE(1315)] = 50188,
  [SMALL_STATE(1316)] = 50270,
  [SMALL_STATE(1317)] = 50352,
  [SMALL_STATE(1318)] = 50434,
  [SMALL_STATE(1319)] = 50516,
  [SMALL_STATE(1320)] = 50598,
  [SMALL_STATE(1321)] = 50680,
  [SMALL_STATE(1322)] = 50762,
  [SMALL_STATE(1323)] = 50844,
  [SMALL_STATE(1324)] = 50926,
  [SMALL_STATE(1325)] = 51008,
  [SMALL_STATE(1326)] = 51090,
  [SMALL_STATE(1327)] = 51172,
  [SMALL_STATE(1328)] = 51254,
  [SMALL_STATE(1329)] = 51297,
  [SMALL_STATE(1330)] = 51376,
  [SMALL_STATE(1331)] = 51457,
  [SMALL_STATE(1332)] = 51538,
  [SMALL_STATE(1333)] = 51581,
  [SMALL_STATE(1334)] = 51662,
  [SMALL_STATE(1335)] = 51743,
  [SMALL_STATE(1336)] = 51786,
  [SMALL_STATE(1337)] = 51829,
  [SMALL_STATE(1338)] = 51871,
  [SMALL_STATE(1339)] = 51913,
  [SMALL_STATE(1340)] = 51955,
  [SMALL_STATE(1341)] = 52016,
  [SMALL_STATE(1342)] = 52077,
  [SMALL_STATE(1343)] = 52122,
  [SMALL_STATE(1344)] = 52165,
  [SMALL_STATE(1345)] = 52202,
  [SMALL_STATE(1346)] = 52239,
  [SMALL_STATE(1347)] = 52276,
  [SMALL_STATE(1348)] = 52313,
  [SMALL_STATE(1349)] = 52379,
  [SMALL_STATE(1350)] = 52429,
  [SMALL_STATE(1351)] = 52479,
  [SMALL_STATE(1352)] = 52529,
  [SMALL_STATE(1353)] = 52579,
  [SMALL_STATE(1354)] = 52629,
  [SMALL_STATE(1355)] = 52679,
  [SMALL_STATE(1356)] = 52729,
  [SMALL_STATE(1357)] = 52795,
  [SMALL_STATE(1358)] = 52845,
  [SMALL_STATE(1359)] = 52895,
  [SMALL_STATE(1360)] = 52945,
  [SMALL_STATE(1361)] = 52995,
  [SMALL_STATE(1362)] = 53061,
  [SMALL_STATE(1363)] = 53127,
  [SMALL_STATE(1364)] = 53166,
  [SMALL_STATE(1365)] = 53213,
  [SMALL_STATE(1366)] = 53254,
  [SMALL_STATE(1367)] = 53301,
  [SMALL_STATE(1368)] = 53348,
  [SMALL_STATE(1369)] = 53395,
  [SMALL_STATE(1370)] = 53442,
  [SMALL_STATE(1371)] = 53489,
  [SMALL_STATE(1372)] = 53531,
  [SMALL_STATE(1373)] = 53573,
  [SMALL_STATE(1374)] = 53630,
  [SMALL_STATE(1375)] = 53663,
  [SMALL_STATE(1376)] = 53696,
  [SMALL_STATE(1377)] = 53729,
  [SMALL_STATE(1378)] = 53762,
  [SMALL_STATE(1379)] = 53795,
  [SMALL_STATE(1380)] = 53835,
  [SMALL_STATE(1381)] = 53887,
  [SMALL_STATE(1382)] = 53927,
  [SMALL_STATE(1383)] = 53967,
  [SMALL_STATE(1384)] = 54016,
  [SMALL_STATE(1385)] = 54065,
  [SMALL_STATE(1386)] = 54114,
  [SMALL_STATE(1387)] = 54161,
  [SMALL_STATE(1388)] = 54210,
  [SMALL_STATE(1389)] = 54260,
  [SMALL_STATE(1390)] = 54306,
  [SMALL_STATE(1391)] = 54352,
  [SMALL_STATE(1392)] = 54398,
  [SMALL_STATE(1393)] = 54444,
  [SMALL_STATE(1394)] = 54490,
  [SMALL_STATE(1395)] = 54536,
  [SMALL_STATE(1396)] = 54588,
  [SMALL_STATE(1397)] = 54618,
  [SMALL_STATE(1398)] = 54664,
  [SMALL_STATE(1399)] = 54710,
  [SMALL_STATE(1400)] = 54756,
  [SMALL_STATE(1401)] = 54803,
  [SMALL_STATE(1402)] = 54848,
  [SMALL_STATE(1403)] = 54897,
  [SMALL_STATE(1404)] = 54944,
  [SMALL_STATE(1405)] = 54970,
  [SMALL_STATE(1406)] = 54996,
  [SMALL_STATE(1407)] = 55040,
  [SMALL_STATE(1408)] = 55086,
  [SMALL_STATE(1409)] = 55130,
  [SMALL_STATE(1410)] = 55176,
  [SMALL_STATE(1411)] = 55222,
  [SMALL_STATE(1412)] = 55268,
  [SMALL_STATE(1413)] = 55314,
  [SMALL_STATE(1414)] = 55360,
  [SMALL_STATE(1415)] = 55404,
  [SMALL_STATE(1416)] = 55430,
  [SMALL_STATE(1417)] = 55476,
  [SMALL_STATE(1418)] = 55502,
  [SMALL_STATE(1419)] = 55546,
  [SMALL_STATE(1420)] = 55592,
  [SMALL_STATE(1421)] = 55618,
  [SMALL_STATE(1422)] = 55644,
  [SMALL_STATE(1423)] = 55670,
  [SMALL_STATE(1424)] = 55696,
  [SMALL_STATE(1425)] = 55722,
  [SMALL_STATE(1426)] = 55748,
  [SMALL_STATE(1427)] = 55774,
  [SMALL_STATE(1428)] = 55800,
  [SMALL_STATE(1429)] = 55825,
  [SMALL_STATE(1430)] = 55850,
  [SMALL_STATE(1431)] = 55875,
  [SMALL_STATE(1432)] = 55900,
  [SMALL_STATE(1433)] = 55925,
  [SMALL_STATE(1434)] = 55950,
  [SMALL_STATE(1435)] = 55975,
  [SMALL_STATE(1436)] = 56000,
  [SMALL_STATE(1437)] = 56025,
  [SMALL_STATE(1438)] = 56050,
  [SMALL_STATE(1439)] = 56075,
  [SMALL_STATE(1440)] = 56100,
  [SMALL_STATE(1441)] = 56125,
  [SMALL_STATE(1442)] = 56150,
  [SMALL_STATE(1443)] = 56175,
  [SMALL_STATE(1444)] = 56200,
  [SMALL_STATE(1445)] = 56243,
  [SMALL_STATE(1446)] = 56268,
  [SMALL_STATE(1447)] = 56309,
  [SMALL_STATE(1448)] = 56334,
  [SMALL_STATE(1449)] = 56359,
  [SMALL_STATE(1450)] = 56384,
  [SMALL_STATE(1451)] = 56409,
  [SMALL_STATE(1452)] = 56450,
  [SMALL_STATE(1453)] = 56481,
  [SMALL_STATE(1454)] = 56522,
  [SMALL_STATE(1455)] = 56547,
  [SMALL_STATE(1456)] = 56572,
  [SMALL_STATE(1457)] = 56601,
  [SMALL_STATE(1458)] = 56637,
  [SMALL_STATE(1459)] = 56675,
  [SMALL_STATE(1460)] = 56721,
  [SMALL_STATE(1461)] = 56759,
  [SMALL_STATE(1462)] = 56797,
  [SMALL_STATE(1463)] = 56835,
  [SMALL_STATE(1464)] = 56875,
  [SMALL_STATE(1465)] = 56903,
  [SMALL_STATE(1466)] = 56941,
  [SMALL_STATE(1467)] = 56981,
  [SMALL_STATE(1468)] = 57019,
  [SMALL_STATE(1469)] = 57059,
  [SMALL_STATE(1470)] = 57105,
  [SMALL_STATE(1471)] = 57143,
  [SMALL_STATE(1472)] = 57181,
  [SMALL_STATE(1473)] = 57221,
  [SMALL_STATE(1474)] = 57261,
  [SMALL_STATE(1475)] = 57299,
  [SMALL_STATE(1476)] = 57345,
  [SMALL_STATE(1477)] = 57385,
  [SMALL_STATE(1478)] = 57423,
  [SMALL_STATE(1479)] = 57461,
  [SMALL_STATE(1480)] = 57501,
  [SMALL_STATE(1481)] = 57541,
  [SMALL_STATE(1482)] = 57585,
  [SMALL_STATE(1483)] = 57623,
  [SMALL_STATE(1484)] = 57661,
  [SMALL_STATE(1485)] = 57701,
  [SMALL_STATE(1486)] = 57739,
  [SMALL_STATE(1487)] = 57785,
  [SMALL_STATE(1488)] = 57823,
  [SMALL_STATE(1489)] = 57863,
  [SMALL_STATE(1490)] = 57901,
  [SMALL_STATE(1491)] = 57939,
  [SMALL_STATE(1492)] = 57977,
  [SMALL_STATE(1493)] = 58017,
  [SMALL_STATE(1494)] = 58055,
  [SMALL_STATE(1495)] = 58093,
  [SMALL_STATE(1496)] = 58130,
  [SMALL_STATE(1497)] = 58167,
  [SMALL_STATE(1498)] = 58192,
  [SMALL_STATE(1499)] = 58217,
  [SMALL_STATE(1500)] = 58242,
  [SMALL_STATE(1501)] = 58267,
  [SMALL_STATE(1502)] = 58304,
  [SMALL_STATE(1503)] = 58331,
  [SMALL_STATE(1504)] = 58354,
  [SMALL_STATE(1505)] = 58382,
  [SMALL_STATE(1506)] = 58418,
  [SMALL_STATE(1507)] = 58444,
  [SMALL_STATE(1508)] = 58478,
  [SMALL_STATE(1509)] = 58512,
  [SMALL_STATE(1510)] = 58540,
  [SMALL_STATE(1511)] = 58566,
  [SMALL_STATE(1512)] = 58600,
  [SMALL_STATE(1513)] = 58624,
  [SMALL_STATE(1514)] = 58648,
  [SMALL_STATE(1515)] = 58678,
  [SMALL_STATE(1516)] = 58706,
  [SMALL_STATE(1517)] = 58740,
  [SMALL_STATE(1518)] = 58768,
  [SMALL_STATE(1519)] = 58792,
  [SMALL_STATE(1520)] = 58820,
  [SMALL_STATE(1521)] = 58854,
  [SMALL_STATE(1522)] = 58888,
  [SMALL_STATE(1523)] = 58912,
  [SMALL_STATE(1524)] = 58940,
  [SMALL_STATE(1525)] = 58964,
  [SMALL_STATE(1526)] = 58990,
  [SMALL_STATE(1527)] = 59026,
  [SMALL_STATE(1528)] = 59060,
  [SMALL_STATE(1529)] = 59084,
  [SMALL_STATE(1530)] = 59118,
  [SMALL_STATE(1531)] = 59153,
  [SMALL_STATE(1532)] = 59188,
  [SMALL_STATE(1533)] = 59223,
  [SMALL_STATE(1534)] = 59246,
  [SMALL_STATE(1535)] = 59281,
  [SMALL_STATE(1536)] = 59310,
  [SMALL_STATE(1537)] = 59335,
  [SMALL_STATE(1538)] = 59370,
  [SMALL_STATE(1539)] = 59399,
  [SMALL_STATE(1540)] = 59434,
  [SMALL_STATE(1541)] = 59463,
  [SMALL_STATE(1542)] = 59498,
  [SMALL_STATE(1543)] = 59521,
  [SMALL_STATE(1544)] = 59556,
  [SMALL_STATE(1545)] = 59579,
  [SMALL_STATE(1546)] = 59613,
  [SMALL_STATE(1547)] = 59647,
  [SMALL_STATE(1548)] = 59671,
  [SMALL_STATE(1549)] = 59701,
  [SMALL_STATE(1550)] = 59735,
  [SMALL_STATE(1551)] = 59765,
  [SMALL_STATE(1552)] = 59795,
  [SMALL_STATE(1553)] = 59829,
  [SMALL_STATE(1554)] = 59857,
  [SMALL_STATE(1555)] = 59887,
  [SMALL_STATE(1556)] = 59915,
  [SMALL_STATE(1557)] = 59949,
  [SMALL_STATE(1558)] = 59979,
  [SMALL_STATE(1559)] = 60013,
  [SMALL_STATE(1560)] = 60039,
  [SMALL_STATE(1561)] = 60073,
  [SMALL_STATE(1562)] = 60107,
  [SMALL_STATE(1563)] = 60135,
  [SMALL_STATE(1564)] = 60163,
  [SMALL_STATE(1565)] = 60190,
  [SMALL_STATE(1566)] = 60211,
  [SMALL_STATE(1567)] = 60240,
  [SMALL_STATE(1568)] = 60267,
  [SMALL_STATE(1569)] = 60292,
  [SMALL_STATE(1570)] = 60317,
  [SMALL_STATE(1571)] = 60346,
  [SMALL_STATE(1572)] = 60371,
  [SMALL_STATE(1573)] = 60398,
  [SMALL_STATE(1574)] = 60421,
  [SMALL_STATE(1575)] = 60450,
  [SMALL_STATE(1576)] = 60479,
  [SMALL_STATE(1577)] = 60506,
  [SMALL_STATE(1578)] = 60533,
  [SMALL_STATE(1579)] = 60558,
  [SMALL_STATE(1580)] = 60583,
  [SMALL_STATE(1581)] = 60612,
  [SMALL_STATE(1582)] = 60639,
  [SMALL_STATE(1583)] = 60668,
  [SMALL_STATE(1584)] = 60695,
  [SMALL_STATE(1585)] = 60722,
  [SMALL_STATE(1586)] = 60749,
  [SMALL_STATE(1587)] = 60776,
  [SMALL_STATE(1588)] = 60797,
  [SMALL_STATE(1589)] = 60818,
  [SMALL_STATE(1590)] = 60845,
  [SMALL_STATE(1591)] = 60874,
  [SMALL_STATE(1592)] = 60897,
  [SMALL_STATE(1593)] = 60918,
  [SMALL_STATE(1594)] = 60939,
  [SMALL_STATE(1595)] = 60960,
  [SMALL_STATE(1596)] = 60983,
  [SMALL_STATE(1597)] = 61004,
  [SMALL_STATE(1598)] = 61025,
  [SMALL_STATE(1599)] = 61048,
  [SMALL_STATE(1600)] = 61069,
  [SMALL_STATE(1601)] = 61090,
  [SMALL_STATE(1602)] = 61117,
  [SMALL_STATE(1603)] = 61138,
  [SMALL_STATE(1604)] = 61163,
  [SMALL_STATE(1605)] = 61188,
  [SMALL_STATE(1606)] = 61209,
  [SMALL_STATE(1607)] = 61238,
  [SMALL_STATE(1608)] = 61265,
  [SMALL_STATE(1609)] = 61292,
  [SMALL_STATE(1610)] = 61313,
  [SMALL_STATE(1611)] = 61334,
  [SMALL_STATE(1612)] = 61355,
  [SMALL_STATE(1613)] = 61382,
  [SMALL_STATE(1614)] = 61409,
  [SMALL_STATE(1615)] = 61430,
  [SMALL_STATE(1616)] = 61457,
  [SMALL_STATE(1617)] = 61478,
  [SMALL_STATE(1618)] = 61507,
  [SMALL_STATE(1619)] = 61534,
  [SMALL_STATE(1620)] = 61562,
  [SMALL_STATE(1621)] = 61582,
  [SMALL_STATE(1622)] = 61608,
  [SMALL_STATE(1623)] = 61630,
  [SMALL_STATE(1624)] = 61656,
  [SMALL_STATE(1625)] = 61684,
  [SMALL_STATE(1626)] = 61712,
  [SMALL_STATE(1627)] = 61740,
  [SMALL_STATE(1628)] = 61768,
  [SMALL_STATE(1629)] = 61794,
  [SMALL_STATE(1630)] = 61820,
  [SMALL_STATE(1631)] = 61846,
  [SMALL_STATE(1632)] = 61872,
  [SMALL_STATE(1633)] = 61898,
  [SMALL_STATE(1634)] = 61924,
  [SMALL_STATE(1635)] = 61950,
  [SMALL_STATE(1636)] = 61976,
  [SMALL_STATE(1637)] = 62004,
  [SMALL_STATE(1638)] = 62032,
  [SMALL_STATE(1639)] = 62052,
  [SMALL_STATE(1640)] = 62072,
  [SMALL_STATE(1641)] = 62094,
  [SMALL_STATE(1642)] = 62120,
  [SMALL_STATE(1643)] = 62146,
  [SMALL_STATE(1644)] = 62174,
  [SMALL_STATE(1645)] = 62202,
  [SMALL_STATE(1646)] = 62222,
  [SMALL_STATE(1647)] = 62242,
  [SMALL_STATE(1648)] = 62270,
  [SMALL_STATE(1649)] = 62298,
  [SMALL_STATE(1650)] = 62320,
  [SMALL_STATE(1651)] = 62340,
  [SMALL_STATE(1652)] = 62360,
  [SMALL_STATE(1653)] = 62382,
  [SMALL_STATE(1654)] = 62402,
  [SMALL_STATE(1655)] = 62422,
  [SMALL_STATE(1656)] = 62448,
  [SMALL_STATE(1657)] = 62468,
  [SMALL_STATE(1658)] = 62496,
  [SMALL_STATE(1659)] = 62524,
  [SMALL_STATE(1660)] = 62552,
  [SMALL_STATE(1661)] = 62572,
  [SMALL_STATE(1662)] = 62598,
  [SMALL_STATE(1663)] = 62626,
  [SMALL_STATE(1664)] = 62654,
  [SMALL_STATE(1665)] = 62682,
  [SMALL_STATE(1666)] = 62704,
  [SMALL_STATE(1667)] = 62726,
  [SMALL_STATE(1668)] = 62752,
  [SMALL_STATE(1669)] = 62774,
  [SMALL_STATE(1670)] = 62794,
  [SMALL_STATE(1671)] = 62822,
  [SMALL_STATE(1672)] = 62850,
  [SMALL_STATE(1673)] = 62878,
  [SMALL_STATE(1674)] = 62898,
  [SMALL_STATE(1675)] = 62926,
  [SMALL_STATE(1676)] = 62952,
  [SMALL_STATE(1677)] = 62974,
  [SMALL_STATE(1678)] = 63000,
  [SMALL_STATE(1679)] = 63020,
  [SMALL_STATE(1680)] = 63040,
  [SMALL_STATE(1681)] = 63060,
  [SMALL_STATE(1682)] = 63084,
  [SMALL_STATE(1683)] = 63104,
  [SMALL_STATE(1684)] = 63124,
  [SMALL_STATE(1685)] = 63144,
  [SMALL_STATE(1686)] = 63172,
  [SMALL_STATE(1687)] = 63200,
  [SMALL_STATE(1688)] = 63228,
  [SMALL_STATE(1689)] = 63256,
  [SMALL_STATE(1690)] = 63284,
  [SMALL_STATE(1691)] = 63312,
  [SMALL_STATE(1692)] = 63338,
  [SMALL_STATE(1693)] = 63366,
  [SMALL_STATE(1694)] = 63392,
  [SMALL_STATE(1695)] = 63420,
  [SMALL_STATE(1696)] = 63448,
  [SMALL_STATE(1697)] = 63468,
  [SMALL_STATE(1698)] = 63488,
  [SMALL_STATE(1699)] = 63508,
  [SMALL_STATE(1700)] = 63536,
  [SMALL_STATE(1701)] = 63556,
  [SMALL_STATE(1702)] = 63576,
  [SMALL_STATE(1703)] = 63596,
  [SMALL_STATE(1704)] = 63616,
  [SMALL_STATE(1705)] = 63642,
  [SMALL_STATE(1706)] = 63670,
  [SMALL_STATE(1707)] = 63690,
  [SMALL_STATE(1708)] = 63710,
  [SMALL_STATE(1709)] = 63736,
  [SMALL_STATE(1710)] = 63759,
  [SMALL_STATE(1711)] = 63780,
  [SMALL_STATE(1712)] = 63803,
  [SMALL_STATE(1713)] = 63828,
  [SMALL_STATE(1714)] = 63853,
  [SMALL_STATE(1715)] = 63872,
  [SMALL_STATE(1716)] = 63895,
  [SMALL_STATE(1717)] = 63918,
  [SMALL_STATE(1718)] = 63939,
  [SMALL_STATE(1719)] = 63962,
  [SMALL_STATE(1720)] = 63983,
  [SMALL_STATE(1721)] = 64004,
  [SMALL_STATE(1722)] = 64025,
  [SMALL_STATE(1723)] = 64048,
  [SMALL_STATE(1724)] = 64073,
  [SMALL_STATE(1725)] = 64096,
  [SMALL_STATE(1726)] = 64121,
  [SMALL_STATE(1727)] = 64144,
  [SMALL_STATE(1728)] = 64163,
  [SMALL_STATE(1729)] = 64180,
  [SMALL_STATE(1730)] = 64203,
  [SMALL_STATE(1731)] = 64226,
  [SMALL_STATE(1732)] = 64249,
  [SMALL_STATE(1733)] = 64272,
  [SMALL_STATE(1734)] = 64289,
  [SMALL_STATE(1735)] = 64310,
  [SMALL_STATE(1736)] = 64333,
  [SMALL_STATE(1737)] = 64352,
  [SMALL_STATE(1738)] = 64377,
  [SMALL_STATE(1739)] = 64402,
  [SMALL_STATE(1740)] = 64425,
  [SMALL_STATE(1741)] = 64448,
  [SMALL_STATE(1742)] = 64473,
  [SMALL_STATE(1743)] = 64498,
  [SMALL_STATE(1744)] = 64523,
  [SMALL_STATE(1745)] = 64548,
  [SMALL_STATE(1746)] = 64573,
  [SMALL_STATE(1747)] = 64596,
  [SMALL_STATE(1748)] = 64621,
  [SMALL_STATE(1749)] = 64644,
  [SMALL_STATE(1750)] = 64669,
  [SMALL_STATE(1751)] = 64690,
  [SMALL_STATE(1752)] = 64709,
  [SMALL_STATE(1753)] = 64728,
  [SMALL_STATE(1754)] = 64751,
  [SMALL_STATE(1755)] = 64774,
  [SMALL_STATE(1756)] = 64795,
  [SMALL_STATE(1757)] = 64820,
  [SMALL_STATE(1758)] = 64837,
  [SMALL_STATE(1759)] = 64862,
  [SMALL_STATE(1760)] = 64885,
  [SMALL_STATE(1761)] = 64908,
  [SMALL_STATE(1762)] = 64931,
  [SMALL_STATE(1763)] = 64954,
  [SMALL_STATE(1764)] = 64977,
  [SMALL_STATE(1765)] = 65000,
  [SMALL_STATE(1766)] = 65023,
  [SMALL_STATE(1767)] = 65046,
  [SMALL_STATE(1768)] = 65069,
  [SMALL_STATE(1769)] = 65088,
  [SMALL_STATE(1770)] = 65113,
  [SMALL_STATE(1771)] = 65132,
  [SMALL_STATE(1772)] = 65155,
  [SMALL_STATE(1773)] = 65180,
  [SMALL_STATE(1774)] = 65205,
  [SMALL_STATE(1775)] = 65228,
  [SMALL_STATE(1776)] = 65251,
  [SMALL_STATE(1777)] = 65270,
  [SMALL_STATE(1778)] = 65295,
  [SMALL_STATE(1779)] = 65318,
  [SMALL_STATE(1780)] = 65341,
  [SMALL_STATE(1781)] = 65364,
  [SMALL_STATE(1782)] = 65387,
  [SMALL_STATE(1783)] = 65410,
  [SMALL_STATE(1784)] = 65435,
  [SMALL_STATE(1785)] = 65460,
  [SMALL_STATE(1786)] = 65483,
  [SMALL_STATE(1787)] = 65506,
  [SMALL_STATE(1788)] = 65529,
  [SMALL_STATE(1789)] = 65552,
  [SMALL_STATE(1790)] = 65577,
  [SMALL_STATE(1791)] = 65596,
  [SMALL_STATE(1792)] = 65615,
  [SMALL_STATE(1793)] = 65634,
  [SMALL_STATE(1794)] = 65653,
  [SMALL_STATE(1795)] = 65676,
  [SMALL_STATE(1796)] = 65699,
  [SMALL_STATE(1797)] = 65718,
  [SMALL_STATE(1798)] = 65737,
  [SMALL_STATE(1799)] = 65756,
  [SMALL_STATE(1800)] = 65775,
  [SMALL_STATE(1801)] = 65794,
  [SMALL_STATE(1802)] = 65815,
  [SMALL_STATE(1803)] = 65834,
  [SMALL_STATE(1804)] = 65853,
  [SMALL_STATE(1805)] = 65872,
  [SMALL_STATE(1806)] = 65891,
  [SMALL_STATE(1807)] = 65910,
  [SMALL_STATE(1808)] = 65929,
  [SMALL_STATE(1809)] = 65948,
  [SMALL_STATE(1810)] = 65967,
  [SMALL_STATE(1811)] = 65986,
  [SMALL_STATE(1812)] = 66005,
  [SMALL_STATE(1813)] = 66024,
  [SMALL_STATE(1814)] = 66043,
  [SMALL_STATE(1815)] = 66062,
  [SMALL_STATE(1816)] = 66081,
  [SMALL_STATE(1817)] = 66106,
  [SMALL_STATE(1818)] = 66129,
  [SMALL_STATE(1819)] = 66146,
  [SMALL_STATE(1820)] = 66163,
  [SMALL_STATE(1821)] = 66180,
  [SMALL_STATE(1822)] = 66201,
  [SMALL_STATE(1823)] = 66224,
  [SMALL_STATE(1824)] = 66247,
  [SMALL_STATE(1825)] = 66270,
  [SMALL_STATE(1826)] = 66287,
  [SMALL_STATE(1827)] = 66308,
  [SMALL_STATE(1828)] = 66325,
  [SMALL_STATE(1829)] = 66348,
  [SMALL_STATE(1830)] = 66369,
  [SMALL_STATE(1831)] = 66390,
  [SMALL_STATE(1832)] = 66413,
  [SMALL_STATE(1833)] = 66434,
  [SMALL_STATE(1834)] = 66453,
  [SMALL_STATE(1835)] = 66472,
  [SMALL_STATE(1836)] = 66495,
  [SMALL_STATE(1837)] = 66512,
  [SMALL_STATE(1838)] = 66531,
  [SMALL_STATE(1839)] = 66552,
  [SMALL_STATE(1840)] = 66573,
  [SMALL_STATE(1841)] = 66592,
  [SMALL_STATE(1842)] = 66611,
  [SMALL_STATE(1843)] = 66630,
  [SMALL_STATE(1844)] = 66649,
  [SMALL_STATE(1845)] = 66672,
  [SMALL_STATE(1846)] = 66694,
  [SMALL_STATE(1847)] = 66714,
  [SMALL_STATE(1848)] = 66734,
  [SMALL_STATE(1849)] = 66752,
  [SMALL_STATE(1850)] = 66774,
  [SMALL_STATE(1851)] = 66794,
  [SMALL_STATE(1852)] = 66816,
  [SMALL_STATE(1853)] = 66832,
  [SMALL_STATE(1854)] = 66848,
  [SMALL_STATE(1855)] = 66866,
  [SMALL_STATE(1856)] = 66884,
  [SMALL_STATE(1857)] = 66902,
  [SMALL_STATE(1858)] = 66924,
  [SMALL_STATE(1859)] = 66946,
  [SMALL_STATE(1860)] = 66968,
  [SMALL_STATE(1861)] = 66990,
  [SMALL_STATE(1862)] = 67012,
  [SMALL_STATE(1863)] = 67030,
  [SMALL_STATE(1864)] = 67046,
  [SMALL_STATE(1865)] = 67066,
  [SMALL_STATE(1866)] = 67086,
  [SMALL_STATE(1867)] = 67108,
  [SMALL_STATE(1868)] = 67130,
  [SMALL_STATE(1869)] = 67152,
  [SMALL_STATE(1870)] = 67174,
  [SMALL_STATE(1871)] = 67194,
  [SMALL_STATE(1872)] = 67210,
  [SMALL_STATE(1873)] = 67226,
  [SMALL_STATE(1874)] = 67242,
  [SMALL_STATE(1875)] = 67260,
  [SMALL_STATE(1876)] = 67276,
  [SMALL_STATE(1877)] = 67294,
  [SMALL_STATE(1878)] = 67316,
  [SMALL_STATE(1879)] = 67338,
  [SMALL_STATE(1880)] = 67360,
  [SMALL_STATE(1881)] = 67382,
  [SMALL_STATE(1882)] = 67398,
  [SMALL_STATE(1883)] = 67416,
  [SMALL_STATE(1884)] = 67438,
  [SMALL_STATE(1885)] = 67460,
  [SMALL_STATE(1886)] = 67482,
  [SMALL_STATE(1887)] = 67504,
  [SMALL_STATE(1888)] = 67526,
  [SMALL_STATE(1889)] = 67542,
  [SMALL_STATE(1890)] = 67562,
  [SMALL_STATE(1891)] = 67580,
  [SMALL_STATE(1892)] = 67598,
  [SMALL_STATE(1893)] = 67616,
  [SMALL_STATE(1894)] = 67632,
  [SMALL_STATE(1895)] = 67652,
  [SMALL_STATE(1896)] = 67672,
  [SMALL_STATE(1897)] = 67688,
  [SMALL_STATE(1898)] = 67706,
  [SMALL_STATE(1899)] = 67724,
  [SMALL_STATE(1900)] = 67744,
  [SMALL_STATE(1901)] = 67762,
  [SMALL_STATE(1902)] = 67784,
  [SMALL_STATE(1903)] = 67804,
  [SMALL_STATE(1904)] = 67820,
  [SMALL_STATE(1905)] = 67842,
  [SMALL_STATE(1906)] = 67864,
  [SMALL_STATE(1907)] = 67884,
  [SMALL_STATE(1908)] = 67900,
  [SMALL_STATE(1909)] = 67922,
  [SMALL_STATE(1910)] = 67944,
  [SMALL_STATE(1911)] = 67964,
  [SMALL_STATE(1912)] = 67986,
  [SMALL_STATE(1913)] = 68006,
  [SMALL_STATE(1914)] = 68022,
  [SMALL_STATE(1915)] = 68038,
  [SMALL_STATE(1916)] = 68058,
  [SMALL_STATE(1917)] = 68080,
  [SMALL_STATE(1918)] = 68100,
  [SMALL_STATE(1919)] = 68120,
  [SMALL_STATE(1920)] = 68140,
  [SMALL_STATE(1921)] = 68162,
  [SMALL_STATE(1922)] = 68184,
  [SMALL_STATE(1923)] = 68206,
  [SMALL_STATE(1924)] = 68228,
  [SMALL_STATE(1925)] = 68250,
  [SMALL_STATE(1926)] = 68268,
  [SMALL_STATE(1927)] = 68290,
  [SMALL_STATE(1928)] = 68312,
  [SMALL_STATE(1929)] = 68330,
  [SMALL_STATE(1930)] = 68352,
  [SMALL_STATE(1931)] = 68374,
  [SMALL_STATE(1932)] = 68396,
  [SMALL_STATE(1933)] = 68418,
  [SMALL_STATE(1934)] = 68440,
  [SMALL_STATE(1935)] = 68462,
  [SMALL_STATE(1936)] = 68484,
  [SMALL_STATE(1937)] = 68506,
  [SMALL_STATE(1938)] = 68528,
  [SMALL_STATE(1939)] = 68550,
  [SMALL_STATE(1940)] = 68566,
  [SMALL_STATE(1941)] = 68586,
  [SMALL_STATE(1942)] = 68608,
  [SMALL_STATE(1943)] = 68626,
  [SMALL_STATE(1944)] = 68646,
  [SMALL_STATE(1945)] = 68666,
  [SMALL_STATE(1946)] = 68688,
  [SMALL_STATE(1947)] = 68710,
  [SMALL_STATE(1948)] = 68732,
  [SMALL_STATE(1949)] = 68752,
  [SMALL_STATE(1950)] = 68772,
  [SMALL_STATE(1951)] = 68792,
  [SMALL_STATE(1952)] = 68808,
  [SMALL_STATE(1953)] = 68824,
  [SMALL_STATE(1954)] = 68842,
  [SMALL_STATE(1955)] = 68860,
  [SMALL_STATE(1956)] = 68879,
  [SMALL_STATE(1957)] = 68896,
  [SMALL_STATE(1958)] = 68913,
  [SMALL_STATE(1959)] = 68930,
  [SMALL_STATE(1960)] = 68947,
  [SMALL_STATE(1961)] = 68964,
  [SMALL_STATE(1962)] = 68981,
  [SMALL_STATE(1963)] = 68998,
  [SMALL_STATE(1964)] = 69015,
  [SMALL_STATE(1965)] = 69032,
  [SMALL_STATE(1966)] = 69049,
  [SMALL_STATE(1967)] = 69066,
  [SMALL_STATE(1968)] = 69083,
  [SMALL_STATE(1969)] = 69100,
  [SMALL_STATE(1970)] = 69117,
  [SMALL_STATE(1971)] = 69132,
  [SMALL_STATE(1972)] = 69149,
  [SMALL_STATE(1973)] = 69168,
  [SMALL_STATE(1974)] = 69185,
  [SMALL_STATE(1975)] = 69202,
  [SMALL_STATE(1976)] = 69219,
  [SMALL_STATE(1977)] = 69236,
  [SMALL_STATE(1978)] = 69253,
  [SMALL_STATE(1979)] = 69270,
  [SMALL_STATE(1980)] = 69287,
  [SMALL_STATE(1981)] = 69304,
  [SMALL_STATE(1982)] = 69321,
  [SMALL_STATE(1983)] = 69336,
  [SMALL_STATE(1984)] = 69351,
  [SMALL_STATE(1985)] = 69368,
  [SMALL_STATE(1986)] = 69385,
  [SMALL_STATE(1987)] = 69402,
  [SMALL_STATE(1988)] = 69419,
  [SMALL_STATE(1989)] = 69436,
  [SMALL_STATE(1990)] = 69453,
  [SMALL_STATE(1991)] = 69470,
  [SMALL_STATE(1992)] = 69485,
  [SMALL_STATE(1993)] = 69502,
  [SMALL_STATE(1994)] = 69519,
  [SMALL_STATE(1995)] = 69536,
  [SMALL_STATE(1996)] = 69553,
  [SMALL_STATE(1997)] = 69570,
  [SMALL_STATE(1998)] = 69587,
  [SMALL_STATE(1999)] = 69604,
  [SMALL_STATE(2000)] = 69621,
  [SMALL_STATE(2001)] = 69638,
  [SMALL_STATE(2002)] = 69655,
  [SMALL_STATE(2003)] = 69672,
  [SMALL_STATE(2004)] = 69689,
  [SMALL_STATE(2005)] = 69706,
  [SMALL_STATE(2006)] = 69723,
  [SMALL_STATE(2007)] = 69742,
  [SMALL_STATE(2008)] = 69759,
  [SMALL_STATE(2009)] = 69774,
  [SMALL_STATE(2010)] = 69791,
  [SMALL_STATE(2011)] = 69808,
  [SMALL_STATE(2012)] = 69825,
  [SMALL_STATE(2013)] = 69840,
  [SMALL_STATE(2014)] = 69857,
  [SMALL_STATE(2015)] = 69874,
  [SMALL_STATE(2016)] = 69891,
  [SMALL_STATE(2017)] = 69910,
  [SMALL_STATE(2018)] = 69927,
  [SMALL_STATE(2019)] = 69944,
  [SMALL_STATE(2020)] = 69963,
  [SMALL_STATE(2021)] = 69980,
  [SMALL_STATE(2022)] = 69997,
  [SMALL_STATE(2023)] = 70016,
  [SMALL_STATE(2024)] = 70033,
  [SMALL_STATE(2025)] = 70050,
  [SMALL_STATE(2026)] = 70065,
  [SMALL_STATE(2027)] = 70082,
  [SMALL_STATE(2028)] = 70099,
  [SMALL_STATE(2029)] = 70116,
  [SMALL_STATE(2030)] = 70133,
  [SMALL_STATE(2031)] = 70152,
  [SMALL_STATE(2032)] = 70171,
  [SMALL_STATE(2033)] = 70186,
  [SMALL_STATE(2034)] = 70205,
  [SMALL_STATE(2035)] = 70224,
  [SMALL_STATE(2036)] = 70243,
  [SMALL_STATE(2037)] = 70258,
  [SMALL_STATE(2038)] = 70277,
  [SMALL_STATE(2039)] = 70294,
  [SMALL_STATE(2040)] = 70311,
  [SMALL_STATE(2041)] = 70328,
  [SMALL_STATE(2042)] = 70345,
  [SMALL_STATE(2043)] = 70362,
  [SMALL_STATE(2044)] = 70379,
  [SMALL_STATE(2045)] = 70396,
  [SMALL_STATE(2046)] = 70413,
  [SMALL_STATE(2047)] = 70430,
  [SMALL_STATE(2048)] = 70447,
  [SMALL_STATE(2049)] = 70464,
  [SMALL_STATE(2050)] = 70483,
  [SMALL_STATE(2051)] = 70500,
  [SMALL_STATE(2052)] = 70517,
  [SMALL_STATE(2053)] = 70534,
  [SMALL_STATE(2054)] = 70551,
  [SMALL_STATE(2055)] = 70568,
  [SMALL_STATE(2056)] = 70585,
  [SMALL_STATE(2057)] = 70602,
  [SMALL_STATE(2058)] = 70619,
  [SMALL_STATE(2059)] = 70636,
  [SMALL_STATE(2060)] = 70653,
  [SMALL_STATE(2061)] = 70670,
  [SMALL_STATE(2062)] = 70689,
  [SMALL_STATE(2063)] = 70706,
  [SMALL_STATE(2064)] = 70723,
  [SMALL_STATE(2065)] = 70742,
  [SMALL_STATE(2066)] = 70759,
  [SMALL_STATE(2067)] = 70776,
  [SMALL_STATE(2068)] = 70795,
  [SMALL_STATE(2069)] = 70812,
  [SMALL_STATE(2070)] = 70829,
  [SMALL_STATE(2071)] = 70846,
  [SMALL_STATE(2072)] = 70863,
  [SMALL_STATE(2073)] = 70880,
  [SMALL_STATE(2074)] = 70897,
  [SMALL_STATE(2075)] = 70914,
  [SMALL_STATE(2076)] = 70931,
  [SMALL_STATE(2077)] = 70948,
  [SMALL_STATE(2078)] = 70967,
  [SMALL_STATE(2079)] = 70984,
  [SMALL_STATE(2080)] = 70999,
  [SMALL_STATE(2081)] = 71018,
  [SMALL_STATE(2082)] = 71037,
  [SMALL_STATE(2083)] = 71054,
  [SMALL_STATE(2084)] = 71073,
  [SMALL_STATE(2085)] = 71092,
  [SMALL_STATE(2086)] = 71111,
  [SMALL_STATE(2087)] = 71128,
  [SMALL_STATE(2088)] = 71145,
  [SMALL_STATE(2089)] = 71162,
  [SMALL_STATE(2090)] = 71181,
  [SMALL_STATE(2091)] = 71198,
  [SMALL_STATE(2092)] = 71215,
  [SMALL_STATE(2093)] = 71234,
  [SMALL_STATE(2094)] = 71253,
  [SMALL_STATE(2095)] = 71272,
  [SMALL_STATE(2096)] = 71289,
  [SMALL_STATE(2097)] = 71306,
  [SMALL_STATE(2098)] = 71323,
  [SMALL_STATE(2099)] = 71340,
  [SMALL_STATE(2100)] = 71357,
  [SMALL_STATE(2101)] = 71374,
  [SMALL_STATE(2102)] = 71391,
  [SMALL_STATE(2103)] = 71410,
  [SMALL_STATE(2104)] = 71429,
  [SMALL_STATE(2105)] = 71448,
  [SMALL_STATE(2106)] = 71465,
  [SMALL_STATE(2107)] = 71484,
  [SMALL_STATE(2108)] = 71501,
  [SMALL_STATE(2109)] = 71518,
  [SMALL_STATE(2110)] = 71533,
  [SMALL_STATE(2111)] = 71550,
  [SMALL_STATE(2112)] = 71567,
  [SMALL_STATE(2113)] = 71586,
  [SMALL_STATE(2114)] = 71605,
  [SMALL_STATE(2115)] = 71624,
  [SMALL_STATE(2116)] = 71641,
  [SMALL_STATE(2117)] = 71658,
  [SMALL_STATE(2118)] = 71677,
  [SMALL_STATE(2119)] = 71694,
  [SMALL_STATE(2120)] = 71713,
  [SMALL_STATE(2121)] = 71732,
  [SMALL_STATE(2122)] = 71749,
  [SMALL_STATE(2123)] = 71768,
  [SMALL_STATE(2124)] = 71785,
  [SMALL_STATE(2125)] = 71804,
  [SMALL_STATE(2126)] = 71821,
  [SMALL_STATE(2127)] = 71838,
  [SMALL_STATE(2128)] = 71855,
  [SMALL_STATE(2129)] = 71872,
  [SMALL_STATE(2130)] = 71889,
  [SMALL_STATE(2131)] = 71908,
  [SMALL_STATE(2132)] = 71927,
  [SMALL_STATE(2133)] = 71946,
  [SMALL_STATE(2134)] = 71963,
  [SMALL_STATE(2135)] = 71982,
  [SMALL_STATE(2136)] = 72001,
  [SMALL_STATE(2137)] = 72020,
  [SMALL_STATE(2138)] = 72037,
  [SMALL_STATE(2139)] = 72054,
  [SMALL_STATE(2140)] = 72073,
  [SMALL_STATE(2141)] = 72092,
  [SMALL_STATE(2142)] = 72109,
  [SMALL_STATE(2143)] = 72126,
  [SMALL_STATE(2144)] = 72143,
  [SMALL_STATE(2145)] = 72162,
  [SMALL_STATE(2146)] = 72181,
  [SMALL_STATE(2147)] = 72198,
  [SMALL_STATE(2148)] = 72217,
  [SMALL_STATE(2149)] = 72234,
  [SMALL_STATE(2150)] = 72251,
  [SMALL_STATE(2151)] = 72268,
  [SMALL_STATE(2152)] = 72287,
  [SMALL_STATE(2153)] = 72304,
  [SMALL_STATE(2154)] = 72321,
  [SMALL_STATE(2155)] = 72338,
  [SMALL_STATE(2156)] = 72355,
  [SMALL_STATE(2157)] = 72372,
  [SMALL_STATE(2158)] = 72391,
  [SMALL_STATE(2159)] = 72406,
  [SMALL_STATE(2160)] = 72423,
  [SMALL_STATE(2161)] = 72440,
  [SMALL_STATE(2162)] = 72459,
  [SMALL_STATE(2163)] = 72478,
  [SMALL_STATE(2164)] = 72497,
  [SMALL_STATE(2165)] = 72512,
  [SMALL_STATE(2166)] = 72531,
  [SMALL_STATE(2167)] = 72548,
  [SMALL_STATE(2168)] = 72563,
  [SMALL_STATE(2169)] = 72580,
  [SMALL_STATE(2170)] = 72597,
  [SMALL_STATE(2171)] = 72614,
  [SMALL_STATE(2172)] = 72633,
  [SMALL_STATE(2173)] = 72652,
  [SMALL_STATE(2174)] = 72669,
  [SMALL_STATE(2175)] = 72686,
  [SMALL_STATE(2176)] = 72705,
  [SMALL_STATE(2177)] = 72722,
  [SMALL_STATE(2178)] = 72739,
  [SMALL_STATE(2179)] = 72758,
  [SMALL_STATE(2180)] = 72775,
  [SMALL_STATE(2181)] = 72794,
  [SMALL_STATE(2182)] = 72811,
  [SMALL_STATE(2183)] = 72830,
  [SMALL_STATE(2184)] = 72847,
  [SMALL_STATE(2185)] = 72864,
  [SMALL_STATE(2186)] = 72883,
  [SMALL_STATE(2187)] = 72902,
  [SMALL_STATE(2188)] = 72921,
  [SMALL_STATE(2189)] = 72938,
  [SMALL_STATE(2190)] = 72957,
  [SMALL_STATE(2191)] = 72974,
  [SMALL_STATE(2192)] = 72993,
  [SMALL_STATE(2193)] = 73010,
  [SMALL_STATE(2194)] = 73027,
  [SMALL_STATE(2195)] = 73044,
  [SMALL_STATE(2196)] = 73059,
  [SMALL_STATE(2197)] = 73076,
  [SMALL_STATE(2198)] = 73093,
  [SMALL_STATE(2199)] = 73110,
  [SMALL_STATE(2200)] = 73127,
  [SMALL_STATE(2201)] = 73144,
  [SMALL_STATE(2202)] = 73159,
  [SMALL_STATE(2203)] = 73174,
  [SMALL_STATE(2204)] = 73189,
  [SMALL_STATE(2205)] = 73208,
  [SMALL_STATE(2206)] = 73227,
  [SMALL_STATE(2207)] = 73246,
  [SMALL_STATE(2208)] = 73263,
  [SMALL_STATE(2209)] = 73282,
  [SMALL_STATE(2210)] = 73299,
  [SMALL_STATE(2211)] = 73316,
  [SMALL_STATE(2212)] = 73333,
  [SMALL_STATE(2213)] = 73352,
  [SMALL_STATE(2214)] = 73369,
  [SMALL_STATE(2215)] = 73388,
  [SMALL_STATE(2216)] = 73405,
  [SMALL_STATE(2217)] = 73422,
  [SMALL_STATE(2218)] = 73439,
  [SMALL_STATE(2219)] = 73456,
  [SMALL_STATE(2220)] = 73473,
  [SMALL_STATE(2221)] = 73490,
  [SMALL_STATE(2222)] = 73507,
  [SMALL_STATE(2223)] = 73526,
  [SMALL_STATE(2224)] = 73543,
  [SMALL_STATE(2225)] = 73562,
  [SMALL_STATE(2226)] = 73579,
  [SMALL_STATE(2227)] = 73596,
  [SMALL_STATE(2228)] = 73613,
  [SMALL_STATE(2229)] = 73632,
  [SMALL_STATE(2230)] = 73649,
  [SMALL_STATE(2231)] = 73666,
  [SMALL_STATE(2232)] = 73681,
  [SMALL_STATE(2233)] = 73698,
  [SMALL_STATE(2234)] = 73715,
  [SMALL_STATE(2235)] = 73732,
  [SMALL_STATE(2236)] = 73751,
  [SMALL_STATE(2237)] = 73768,
  [SMALL_STATE(2238)] = 73785,
  [SMALL_STATE(2239)] = 73800,
  [SMALL_STATE(2240)] = 73817,
  [SMALL_STATE(2241)] = 73836,
  [SMALL_STATE(2242)] = 73851,
  [SMALL_STATE(2243)] = 73870,
  [SMALL_STATE(2244)] = 73889,
  [SMALL_STATE(2245)] = 73906,
  [SMALL_STATE(2246)] = 73923,
  [SMALL_STATE(2247)] = 73940,
  [SMALL_STATE(2248)] = 73957,
  [SMALL_STATE(2249)] = 73972,
  [SMALL_STATE(2250)] = 73989,
  [SMALL_STATE(2251)] = 74006,
  [SMALL_STATE(2252)] = 74023,
  [SMALL_STATE(2253)] = 74042,
  [SMALL_STATE(2254)] = 74059,
  [SMALL_STATE(2255)] = 74078,
  [SMALL_STATE(2256)] = 74097,
  [SMALL_STATE(2257)] = 74116,
  [SMALL_STATE(2258)] = 74133,
  [SMALL_STATE(2259)] = 74150,
  [SMALL_STATE(2260)] = 74167,
  [SMALL_STATE(2261)] = 74184,
  [SMALL_STATE(2262)] = 74203,
  [SMALL_STATE(2263)] = 74222,
  [SMALL_STATE(2264)] = 74239,
  [SMALL_STATE(2265)] = 74256,
  [SMALL_STATE(2266)] = 74273,
  [SMALL_STATE(2267)] = 74290,
  [SMALL_STATE(2268)] = 74309,
  [SMALL_STATE(2269)] = 74326,
  [SMALL_STATE(2270)] = 74343,
  [SMALL_STATE(2271)] = 74360,
  [SMALL_STATE(2272)] = 74379,
  [SMALL_STATE(2273)] = 74396,
  [SMALL_STATE(2274)] = 74415,
  [SMALL_STATE(2275)] = 74432,
  [SMALL_STATE(2276)] = 74451,
  [SMALL_STATE(2277)] = 74468,
  [SMALL_STATE(2278)] = 74487,
  [SMALL_STATE(2279)] = 74506,
  [SMALL_STATE(2280)] = 74525,
  [SMALL_STATE(2281)] = 74542,
  [SMALL_STATE(2282)] = 74561,
  [SMALL_STATE(2283)] = 74576,
  [SMALL_STATE(2284)] = 74593,
  [SMALL_STATE(2285)] = 74608,
  [SMALL_STATE(2286)] = 74625,
  [SMALL_STATE(2287)] = 74644,
  [SMALL_STATE(2288)] = 74661,
  [SMALL_STATE(2289)] = 74678,
  [SMALL_STATE(2290)] = 74695,
  [SMALL_STATE(2291)] = 74714,
  [SMALL_STATE(2292)] = 74731,
  [SMALL_STATE(2293)] = 74748,
  [SMALL_STATE(2294)] = 74765,
  [SMALL_STATE(2295)] = 74784,
  [SMALL_STATE(2296)] = 74801,
  [SMALL_STATE(2297)] = 74818,
  [SMALL_STATE(2298)] = 74837,
  [SMALL_STATE(2299)] = 74853,
  [SMALL_STATE(2300)] = 74867,
  [SMALL_STATE(2301)] = 74883,
  [SMALL_STATE(2302)] = 74897,
  [SMALL_STATE(2303)] = 74911,
  [SMALL_STATE(2304)] = 74925,
  [SMALL_STATE(2305)] = 74941,
  [SMALL_STATE(2306)] = 74955,
  [SMALL_STATE(2307)] = 74971,
  [SMALL_STATE(2308)] = 74985,
  [SMALL_STATE(2309)] = 75001,
  [SMALL_STATE(2310)] = 75017,
  [SMALL_STATE(2311)] = 75033,
  [SMALL_STATE(2312)] = 75049,
  [SMALL_STATE(2313)] = 75063,
  [SMALL_STATE(2314)] = 75079,
  [SMALL_STATE(2315)] = 75093,
  [SMALL_STATE(2316)] = 75109,
  [SMALL_STATE(2317)] = 75125,
  [SMALL_STATE(2318)] = 75141,
  [SMALL_STATE(2319)] = 75155,
  [SMALL_STATE(2320)] = 75169,
  [SMALL_STATE(2321)] = 75185,
  [SMALL_STATE(2322)] = 75199,
  [SMALL_STATE(2323)] = 75213,
  [SMALL_STATE(2324)] = 75227,
  [SMALL_STATE(2325)] = 75243,
  [SMALL_STATE(2326)] = 75259,
  [SMALL_STATE(2327)] = 75275,
  [SMALL_STATE(2328)] = 75291,
  [SMALL_STATE(2329)] = 75307,
  [SMALL_STATE(2330)] = 75323,
  [SMALL_STATE(2331)] = 75337,
  [SMALL_STATE(2332)] = 75353,
  [SMALL_STATE(2333)] = 75369,
  [SMALL_STATE(2334)] = 75385,
  [SMALL_STATE(2335)] = 75401,
  [SMALL_STATE(2336)] = 75415,
  [SMALL_STATE(2337)] = 75431,
  [SMALL_STATE(2338)] = 75445,
  [SMALL_STATE(2339)] = 75459,
  [SMALL_STATE(2340)] = 75473,
  [SMALL_STATE(2341)] = 75489,
  [SMALL_STATE(2342)] = 75505,
  [SMALL_STATE(2343)] = 75519,
  [SMALL_STATE(2344)] = 75535,
  [SMALL_STATE(2345)] = 75549,
  [SMALL_STATE(2346)] = 75563,
  [SMALL_STATE(2347)] = 75577,
  [SMALL_STATE(2348)] = 75591,
  [SMALL_STATE(2349)] = 75605,
  [SMALL_STATE(2350)] = 75619,
  [SMALL_STATE(2351)] = 75633,
  [SMALL_STATE(2352)] = 75649,
  [SMALL_STATE(2353)] = 75663,
  [SMALL_STATE(2354)] = 75677,
  [SMALL_STATE(2355)] = 75693,
  [SMALL_STATE(2356)] = 75709,
  [SMALL_STATE(2357)] = 75725,
  [SMALL_STATE(2358)] = 75739,
  [SMALL_STATE(2359)] = 75755,
  [SMALL_STATE(2360)] = 75769,
  [SMALL_STATE(2361)] = 75785,
  [SMALL_STATE(2362)] = 75799,
  [SMALL_STATE(2363)] = 75813,
  [SMALL_STATE(2364)] = 75829,
  [SMALL_STATE(2365)] = 75845,
  [SMALL_STATE(2366)] = 75861,
  [SMALL_STATE(2367)] = 75877,
  [SMALL_STATE(2368)] = 75891,
  [SMALL_STATE(2369)] = 75907,
  [SMALL_STATE(2370)] = 75921,
  [SMALL_STATE(2371)] = 75937,
  [SMALL_STATE(2372)] = 75953,
  [SMALL_STATE(2373)] = 75969,
  [SMALL_STATE(2374)] = 75985,
  [SMALL_STATE(2375)] = 76001,
  [SMALL_STATE(2376)] = 76015,
  [SMALL_STATE(2377)] = 76031,
  [SMALL_STATE(2378)] = 76047,
  [SMALL_STATE(2379)] = 76063,
  [SMALL_STATE(2380)] = 76077,
  [SMALL_STATE(2381)] = 76093,
  [SMALL_STATE(2382)] = 76109,
  [SMALL_STATE(2383)] = 76123,
  [SMALL_STATE(2384)] = 76139,
  [SMALL_STATE(2385)] = 76155,
  [SMALL_STATE(2386)] = 76171,
  [SMALL_STATE(2387)] = 76187,
  [SMALL_STATE(2388)] = 76201,
  [SMALL_STATE(2389)] = 76217,
  [SMALL_STATE(2390)] = 76231,
  [SMALL_STATE(2391)] = 76247,
  [SMALL_STATE(2392)] = 76263,
  [SMALL_STATE(2393)] = 76277,
  [SMALL_STATE(2394)] = 76291,
  [SMALL_STATE(2395)] = 76305,
  [SMALL_STATE(2396)] = 76321,
  [SMALL_STATE(2397)] = 76335,
  [SMALL_STATE(2398)] = 76351,
  [SMALL_STATE(2399)] = 76367,
  [SMALL_STATE(2400)] = 76381,
  [SMALL_STATE(2401)] = 76397,
  [SMALL_STATE(2402)] = 76413,
  [SMALL_STATE(2403)] = 76429,
  [SMALL_STATE(2404)] = 76445,
  [SMALL_STATE(2405)] = 76461,
  [SMALL_STATE(2406)] = 76477,
  [SMALL_STATE(2407)] = 76493,
  [SMALL_STATE(2408)] = 76509,
  [SMALL_STATE(2409)] = 76525,
  [SMALL_STATE(2410)] = 76541,
  [SMALL_STATE(2411)] = 76557,
  [SMALL_STATE(2412)] = 76573,
  [SMALL_STATE(2413)] = 76587,
  [SMALL_STATE(2414)] = 76603,
  [SMALL_STATE(2415)] = 76619,
  [SMALL_STATE(2416)] = 76635,
  [SMALL_STATE(2417)] = 76651,
  [SMALL_STATE(2418)] = 76667,
  [SMALL_STATE(2419)] = 76683,
  [SMALL_STATE(2420)] = 76697,
  [SMALL_STATE(2421)] = 76713,
  [SMALL_STATE(2422)] = 76727,
  [SMALL_STATE(2423)] = 76743,
  [SMALL_STATE(2424)] = 76759,
  [SMALL_STATE(2425)] = 76775,
  [SMALL_STATE(2426)] = 76791,
  [SMALL_STATE(2427)] = 76807,
  [SMALL_STATE(2428)] = 76823,
  [SMALL_STATE(2429)] = 76839,
  [SMALL_STATE(2430)] = 76855,
  [SMALL_STATE(2431)] = 76871,
  [SMALL_STATE(2432)] = 76885,
  [SMALL_STATE(2433)] = 76899,
  [SMALL_STATE(2434)] = 76915,
  [SMALL_STATE(2435)] = 76929,
  [SMALL_STATE(2436)] = 76945,
  [SMALL_STATE(2437)] = 76959,
  [SMALL_STATE(2438)] = 76973,
  [SMALL_STATE(2439)] = 76989,
  [SMALL_STATE(2440)] = 77003,
  [SMALL_STATE(2441)] = 77019,
  [SMALL_STATE(2442)] = 77035,
  [SMALL_STATE(2443)] = 77051,
  [SMALL_STATE(2444)] = 77067,
  [SMALL_STATE(2445)] = 77081,
  [SMALL_STATE(2446)] = 77097,
  [SMALL_STATE(2447)] = 77113,
  [SMALL_STATE(2448)] = 77127,
  [SMALL_STATE(2449)] = 77141,
  [SMALL_STATE(2450)] = 77157,
  [SMALL_STATE(2451)] = 77173,
  [SMALL_STATE(2452)] = 77189,
  [SMALL_STATE(2453)] = 77205,
  [SMALL_STATE(2454)] = 77221,
  [SMALL_STATE(2455)] = 77237,
  [SMALL_STATE(2456)] = 77253,
  [SMALL_STATE(2457)] = 77267,
  [SMALL_STATE(2458)] = 77283,
  [SMALL_STATE(2459)] = 77299,
  [SMALL_STATE(2460)] = 77315,
  [SMALL_STATE(2461)] = 77331,
  [SMALL_STATE(2462)] = 77347,
  [SMALL_STATE(2463)] = 77363,
  [SMALL_STATE(2464)] = 77379,
  [SMALL_STATE(2465)] = 77395,
  [SMALL_STATE(2466)] = 77409,
  [SMALL_STATE(2467)] = 77425,
  [SMALL_STATE(2468)] = 77441,
  [SMALL_STATE(2469)] = 77457,
  [SMALL_STATE(2470)] = 77471,
  [SMALL_STATE(2471)] = 77487,
  [SMALL_STATE(2472)] = 77503,
  [SMALL_STATE(2473)] = 77517,
  [SMALL_STATE(2474)] = 77533,
  [SMALL_STATE(2475)] = 77547,
  [SMALL_STATE(2476)] = 77563,
  [SMALL_STATE(2477)] = 77579,
  [SMALL_STATE(2478)] = 77595,
  [SMALL_STATE(2479)] = 77609,
  [SMALL_STATE(2480)] = 77623,
  [SMALL_STATE(2481)] = 77639,
  [SMALL_STATE(2482)] = 77655,
  [SMALL_STATE(2483)] = 77671,
  [SMALL_STATE(2484)] = 77687,
  [SMALL_STATE(2485)] = 77703,
  [SMALL_STATE(2486)] = 77717,
  [SMALL_STATE(2487)] = 77733,
  [SMALL_STATE(2488)] = 77749,
  [SMALL_STATE(2489)] = 77765,
  [SMALL_STATE(2490)] = 77781,
  [SMALL_STATE(2491)] = 77795,
  [SMALL_STATE(2492)] = 77811,
  [SMALL_STATE(2493)] = 77827,
  [SMALL_STATE(2494)] = 77843,
  [SMALL_STATE(2495)] = 77857,
  [SMALL_STATE(2496)] = 77873,
  [SMALL_STATE(2497)] = 77889,
  [SMALL_STATE(2498)] = 77905,
  [SMALL_STATE(2499)] = 77919,
  [SMALL_STATE(2500)] = 77935,
  [SMALL_STATE(2501)] = 77949,
  [SMALL_STATE(2502)] = 77965,
  [SMALL_STATE(2503)] = 77979,
  [SMALL_STATE(2504)] = 77993,
  [SMALL_STATE(2505)] = 78007,
  [SMALL_STATE(2506)] = 78020,
  [SMALL_STATE(2507)] = 78033,
  [SMALL_STATE(2508)] = 78046,
  [SMALL_STATE(2509)] = 78059,
  [SMALL_STATE(2510)] = 78072,
  [SMALL_STATE(2511)] = 78085,
  [SMALL_STATE(2512)] = 78098,
  [SMALL_STATE(2513)] = 78111,
  [SMALL_STATE(2514)] = 78124,
  [SMALL_STATE(2515)] = 78137,
  [SMALL_STATE(2516)] = 78150,
  [SMALL_STATE(2517)] = 78163,
  [SMALL_STATE(2518)] = 78176,
  [SMALL_STATE(2519)] = 78189,
  [SMALL_STATE(2520)] = 78202,
  [SMALL_STATE(2521)] = 78215,
  [SMALL_STATE(2522)] = 78228,
  [SMALL_STATE(2523)] = 78241,
  [SMALL_STATE(2524)] = 78254,
  [SMALL_STATE(2525)] = 78267,
  [SMALL_STATE(2526)] = 78280,
  [SMALL_STATE(2527)] = 78293,
  [SMALL_STATE(2528)] = 78306,
  [SMALL_STATE(2529)] = 78319,
  [SMALL_STATE(2530)] = 78332,
  [SMALL_STATE(2531)] = 78345,
  [SMALL_STATE(2532)] = 78358,
  [SMALL_STATE(2533)] = 78371,
  [SMALL_STATE(2534)] = 78384,
  [SMALL_STATE(2535)] = 78397,
  [SMALL_STATE(2536)] = 78410,
  [SMALL_STATE(2537)] = 78423,
  [SMALL_STATE(2538)] = 78436,
  [SMALL_STATE(2539)] = 78449,
  [SMALL_STATE(2540)] = 78462,
  [SMALL_STATE(2541)] = 78475,
  [SMALL_STATE(2542)] = 78488,
  [SMALL_STATE(2543)] = 78501,
  [SMALL_STATE(2544)] = 78514,
  [SMALL_STATE(2545)] = 78527,
  [SMALL_STATE(2546)] = 78540,
  [SMALL_STATE(2547)] = 78553,
  [SMALL_STATE(2548)] = 78566,
  [SMALL_STATE(2549)] = 78579,
  [SMALL_STATE(2550)] = 78592,
  [SMALL_STATE(2551)] = 78605,
  [SMALL_STATE(2552)] = 78618,
  [SMALL_STATE(2553)] = 78631,
  [SMALL_STATE(2554)] = 78644,
  [SMALL_STATE(2555)] = 78657,
  [SMALL_STATE(2556)] = 78670,
  [SMALL_STATE(2557)] = 78683,
  [SMALL_STATE(2558)] = 78696,
  [SMALL_STATE(2559)] = 78709,
  [SMALL_STATE(2560)] = 78722,
  [SMALL_STATE(2561)] = 78735,
  [SMALL_STATE(2562)] = 78748,
  [SMALL_STATE(2563)] = 78761,
  [SMALL_STATE(2564)] = 78774,
  [SMALL_STATE(2565)] = 78787,
  [SMALL_STATE(2566)] = 78800,
  [SMALL_STATE(2567)] = 78813,
  [SMALL_STATE(2568)] = 78826,
  [SMALL_STATE(2569)] = 78839,
  [SMALL_STATE(2570)] = 78852,
  [SMALL_STATE(2571)] = 78865,
  [SMALL_STATE(2572)] = 78878,
  [SMALL_STATE(2573)] = 78891,
  [SMALL_STATE(2574)] = 78904,
  [SMALL_STATE(2575)] = 78917,
  [SMALL_STATE(2576)] = 78930,
  [SMALL_STATE(2577)] = 78943,
  [SMALL_STATE(2578)] = 78956,
  [SMALL_STATE(2579)] = 78969,
  [SMALL_STATE(2580)] = 78982,
  [SMALL_STATE(2581)] = 78995,
  [SMALL_STATE(2582)] = 79008,
  [SMALL_STATE(2583)] = 79021,
  [SMALL_STATE(2584)] = 79034,
  [SMALL_STATE(2585)] = 79047,
  [SMALL_STATE(2586)] = 79060,
  [SMALL_STATE(2587)] = 79073,
  [SMALL_STATE(2588)] = 79086,
  [SMALL_STATE(2589)] = 79099,
  [SMALL_STATE(2590)] = 79112,
  [SMALL_STATE(2591)] = 79125,
  [SMALL_STATE(2592)] = 79138,
  [SMALL_STATE(2593)] = 79151,
  [SMALL_STATE(2594)] = 79164,
  [SMALL_STATE(2595)] = 79177,
  [SMALL_STATE(2596)] = 79190,
  [SMALL_STATE(2597)] = 79203,
  [SMALL_STATE(2598)] = 79216,
  [SMALL_STATE(2599)] = 79229,
  [SMALL_STATE(2600)] = 79242,
  [SMALL_STATE(2601)] = 79255,
  [SMALL_STATE(2602)] = 79268,
  [SMALL_STATE(2603)] = 79281,
  [SMALL_STATE(2604)] = 79294,
  [SMALL_STATE(2605)] = 79307,
  [SMALL_STATE(2606)] = 79320,
  [SMALL_STATE(2607)] = 79333,
  [SMALL_STATE(2608)] = 79346,
  [SMALL_STATE(2609)] = 79359,
  [SMALL_STATE(2610)] = 79372,
  [SMALL_STATE(2611)] = 79385,
  [SMALL_STATE(2612)] = 79398,
  [SMALL_STATE(2613)] = 79411,
  [SMALL_STATE(2614)] = 79424,
  [SMALL_STATE(2615)] = 79437,
  [SMALL_STATE(2616)] = 79450,
  [SMALL_STATE(2617)] = 79463,
  [SMALL_STATE(2618)] = 79476,
  [SMALL_STATE(2619)] = 79489,
  [SMALL_STATE(2620)] = 79502,
  [SMALL_STATE(2621)] = 79515,
  [SMALL_STATE(2622)] = 79528,
  [SMALL_STATE(2623)] = 79541,
  [SMALL_STATE(2624)] = 79554,
  [SMALL_STATE(2625)] = 79567,
  [SMALL_STATE(2626)] = 79580,
  [SMALL_STATE(2627)] = 79593,
  [SMALL_STATE(2628)] = 79606,
  [SMALL_STATE(2629)] = 79619,
  [SMALL_STATE(2630)] = 79632,
  [SMALL_STATE(2631)] = 79645,
  [SMALL_STATE(2632)] = 79658,
  [SMALL_STATE(2633)] = 79671,
  [SMALL_STATE(2634)] = 79684,
  [SMALL_STATE(2635)] = 79697,
  [SMALL_STATE(2636)] = 79710,
  [SMALL_STATE(2637)] = 79723,
  [SMALL_STATE(2638)] = 79736,
  [SMALL_STATE(2639)] = 79749,
  [SMALL_STATE(2640)] = 79762,
  [SMALL_STATE(2641)] = 79775,
  [SMALL_STATE(2642)] = 79788,
  [SMALL_STATE(2643)] = 79801,
  [SMALL_STATE(2644)] = 79814,
  [SMALL_STATE(2645)] = 79827,
  [SMALL_STATE(2646)] = 79840,
  [SMALL_STATE(2647)] = 79853,
  [SMALL_STATE(2648)] = 79866,
  [SMALL_STATE(2649)] = 79879,
  [SMALL_STATE(2650)] = 79892,
  [SMALL_STATE(2651)] = 79905,
  [SMALL_STATE(2652)] = 79918,
  [SMALL_STATE(2653)] = 79931,
  [SMALL_STATE(2654)] = 79944,
  [SMALL_STATE(2655)] = 79957,
  [SMALL_STATE(2656)] = 79970,
  [SMALL_STATE(2657)] = 79983,
  [SMALL_STATE(2658)] = 79996,
  [SMALL_STATE(2659)] = 80009,
  [SMALL_STATE(2660)] = 80022,
  [SMALL_STATE(2661)] = 80035,
  [SMALL_STATE(2662)] = 80048,
  [SMALL_STATE(2663)] = 80061,
  [SMALL_STATE(2664)] = 80074,
  [SMALL_STATE(2665)] = 80087,
  [SMALL_STATE(2666)] = 80100,
  [SMALL_STATE(2667)] = 80113,
  [SMALL_STATE(2668)] = 80126,
  [SMALL_STATE(2669)] = 80139,
  [SMALL_STATE(2670)] = 80152,
  [SMALL_STATE(2671)] = 80165,
  [SMALL_STATE(2672)] = 80178,
  [SMALL_STATE(2673)] = 80191,
  [SMALL_STATE(2674)] = 80204,
  [SMALL_STATE(2675)] = 80217,
  [SMALL_STATE(2676)] = 80230,
  [SMALL_STATE(2677)] = 80243,
  [SMALL_STATE(2678)] = 80256,
  [SMALL_STATE(2679)] = 80269,
  [SMALL_STATE(2680)] = 80282,
  [SMALL_STATE(2681)] = 80295,
  [SMALL_STATE(2682)] = 80308,
  [SMALL_STATE(2683)] = 80321,
  [SMALL_STATE(2684)] = 80334,
  [SMALL_STATE(2685)] = 80347,
  [SMALL_STATE(2686)] = 80360,
  [SMALL_STATE(2687)] = 80373,
  [SMALL_STATE(2688)] = 80386,
  [SMALL_STATE(2689)] = 80399,
  [SMALL_STATE(2690)] = 80412,
  [SMALL_STATE(2691)] = 80425,
  [SMALL_STATE(2692)] = 80438,
  [SMALL_STATE(2693)] = 80451,
  [SMALL_STATE(2694)] = 80464,
  [SMALL_STATE(2695)] = 80477,
  [SMALL_STATE(2696)] = 80490,
  [SMALL_STATE(2697)] = 80503,
  [SMALL_STATE(2698)] = 80516,
  [SMALL_STATE(2699)] = 80529,
  [SMALL_STATE(2700)] = 80542,
  [SMALL_STATE(2701)] = 80555,
  [SMALL_STATE(2702)] = 80568,
  [SMALL_STATE(2703)] = 80581,
  [SMALL_STATE(2704)] = 80594,
  [SMALL_STATE(2705)] = 80607,
  [SMALL_STATE(2706)] = 80620,
  [SMALL_STATE(2707)] = 80633,
  [SMALL_STATE(2708)] = 80646,
  [SMALL_STATE(2709)] = 80659,
  [SMALL_STATE(2710)] = 80672,
  [SMALL_STATE(2711)] = 80685,
  [SMALL_STATE(2712)] = 80698,
  [SMALL_STATE(2713)] = 80711,
  [SMALL_STATE(2714)] = 80724,
  [SMALL_STATE(2715)] = 80737,
  [SMALL_STATE(2716)] = 80750,
  [SMALL_STATE(2717)] = 80763,
  [SMALL_STATE(2718)] = 80776,
  [SMALL_STATE(2719)] = 80789,
  [SMALL_STATE(2720)] = 80802,
  [SMALL_STATE(2721)] = 80815,
  [SMALL_STATE(2722)] = 80828,
  [SMALL_STATE(2723)] = 80841,
  [SMALL_STATE(2724)] = 80854,
  [SMALL_STATE(2725)] = 80867,
  [SMALL_STATE(2726)] = 80880,
  [SMALL_STATE(2727)] = 80893,
  [SMALL_STATE(2728)] = 80906,
  [SMALL_STATE(2729)] = 80919,
  [SMALL_STATE(2730)] = 80932,
  [SMALL_STATE(2731)] = 80945,
  [SMALL_STATE(2732)] = 80958,
  [SMALL_STATE(2733)] = 80971,
  [SMALL_STATE(2734)] = 80984,
  [SMALL_STATE(2735)] = 80997,
  [SMALL_STATE(2736)] = 81010,
  [SMALL_STATE(2737)] = 81023,
  [SMALL_STATE(2738)] = 81036,
  [SMALL_STATE(2739)] = 81049,
  [SMALL_STATE(2740)] = 81062,
  [SMALL_STATE(2741)] = 81066,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [19] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [22] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(567),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1371),
  [28] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1847),
  [31] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1713),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1414),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1505),
  [40] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2725),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(102),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2722),
  [52] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2719),
  [55] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [58] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [60] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2717),
  [63] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [66] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [69] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [72] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [75] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [78] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(122),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1849),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2715),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1850),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2713),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2712),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1169),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2309),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2710),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(213),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2310),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(111),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2708),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2707),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2315),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2316),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2320),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(412),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(587),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(877),
  [159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2701),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(140),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1616),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1095),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1101),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1495),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1419),
  [183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1664),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1416),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1623),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(386),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(384),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, 0, 135),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, 0, 135),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, 0, 135),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, 0, 135),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2, 0, 0),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2, 0, 0),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2732),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2351),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2739),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2683),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2402),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1, 0, 0),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2, 0, 0),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3, 0, 0),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2052),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(996),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 1, 0, 0), SHIFT(779),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1, 0, 0),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_placeholder, 1, 0, 0),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 3, 0, 0),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 2, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 6),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 6),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2539),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2459),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(2411),
  [1020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(112),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2411),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(112),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1, 0, 0),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 187),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 187),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 164),
  [1047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 164),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96), SHIFT_REPEAT(2411),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 189),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, 0, 12),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 23),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 95),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 95),
  [1080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 6),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 1, 0, 1),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 94),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 94),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 23),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12, 0, 216),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12, 0, 216),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5, 0, 0),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 1, 0, 0),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 1, 0, 0),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5, 0, 0),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 204),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 215),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 214),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 213),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 5, 0, 0),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 193),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 191),
  [1148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 211),
  [1152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 92),
  [1154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 92),
  [1156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 189),
  [1158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 189),
  [1160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 210),
  [1164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 209),
  [1168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 3, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 167),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 168),
  [1184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, 0, 171),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, 0, 171),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 204),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 204),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 203),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 46),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 110),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 110),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 170),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 113),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 114),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 114),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 168),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 5, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 115),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 2, 0, 0),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 166),
  [1258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 166),
  [1260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 171),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 171),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 171),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 171),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 95),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 95),
  [1288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 74),
  [1290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 74),
  [1292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 165),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 4, 0, 46),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 48),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration_list, 2, 0, 0),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7, 0, 0),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 48),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 3, 0, 0),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 72),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 72),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 174),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 7, 0, 174),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 192),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 72),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 72),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 191),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 72),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 72),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 4, 0, 72),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 4, 0, 72),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, 0, 15),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 188),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 131),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 131),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 132),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 132),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 0),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 166),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 48),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 7, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 15),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 176),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 176),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exit_statement, 4, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 15),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 15),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 23),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 18),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, 0, 23),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 52),
  [1452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 53),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 33),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 16),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4, 0, 0),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, 0, 6),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 145),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 6, 0, 145),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 146),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 146),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_declaration, 6, 0, 114),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_declaration, 6, 0, 114),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 23),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, 0, 15),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3, 0, 0),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 51),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 51),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 52),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [1584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [1586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, 0, 31),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_access_expression, 3, 0, 31),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_member_access_expression, 3, 0, 31),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 3, 0, 16),
  [1602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 3, 0, 16),
  [1604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 0),
  [1608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_variable, 1, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2, 0, 0),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, 0, 50),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, 0, 50),
  [1632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_scoped_property_access_expression, 3, 0, 25),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, 0, 11),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 3, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_nullsafe_member_access_expression, 3, 0, 31),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 3, 0, 0),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_name, 1, 0, 5),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__member_name, 1, 0, 5),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 3),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_subscript_expression, 4, 0, 0),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, 0, 25),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__callable_variable, 1, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier, 1, 0, 0),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier, 1, 0, 0),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__dereferencable_subscript_expression, 4, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 69),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullsafe_member_call_expression, 4, 0, 69),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, 0, 69),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, 0, 69),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, 0, 68),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, 0, 68),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_variable, 1, 0, 4),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1559),
  [1725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1616),
  [1728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2626),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(130),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2615),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(883),
  [1742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(159),
  [1745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1413),
  [1748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1648),
  [1751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2222),
  [1754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1641),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [1788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__array_destructing_element, 3, 0, 0),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2, 0, 8),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0), SHIFT(2552),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 3, 0, 26),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [1834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0), SHIFT(2552),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_ref, 2, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 5, 0, 107),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 5, 0, 107),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 54),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 54),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2, 0, 0),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 98),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 98),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 2, 0, 6),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 3, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 0),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__callable_expression, 1, 0, 2),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1, 0, 2),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 7, 0, 173),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 7, 0, 173),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 60),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 60),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__name, 1, 0, 0),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name_reference, 1, 0, 0),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_scalar, 1, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 59),
  [1935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 59),
  [1937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 5, 0, 101),
  [1939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 5, 0, 101),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_dereferencable_expression, 2, 0, 0),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6, 0, 22),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 4, 0, 58),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 0),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 22),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 136),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 3, 0, 0),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 7, 0, 194),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 7, 0, 194),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 5, 0, 137),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 5, 0, 137),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 102),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 102),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 140),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 140),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_encapsed_string, 2, 0, 0),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 101),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 3, 0, 24),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 7, 0, 173),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 7, 0, 173),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 4, 0, 97),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 100),
  [2025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0), REDUCE(sym_array_creation_expression, 2, 0, 0),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 132),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 132),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc, 6, 0, 141),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nowdoc, 6, 0, 141),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 0),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 141),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 141),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 6, 0, 142),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 6, 0, 142),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 6, 0, 172),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 6, 0, 172),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc, 5, 0, 99),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc, 5, 0, 99),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 22),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_class, 3, 0, 36),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 22),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argument_name, 2, 0, 61),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argument_name, 2, 0, 61),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__new_non_dereferencable_expression, 2, 0, 0),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_modifier, 1, 0, 0),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__name, 1, 0, 0),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 3, 0, 0),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 50),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 50),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1, 0, 0),
  [2146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1, 0, 0),
  [2148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 1, 0, 0),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2, 0, 0),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_error_suppression_expression, 2, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2, 0, 9),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_command_expression, 2, 0, 0),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2, 0, 0),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 29),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 23),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 5, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 5, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 14),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_initializer, 3, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function, 2, 0, 13),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2, 0, 0),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_assignment_expression, 4, 0, 67),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, 0, 66),
  [2270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, 0, 66),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 28),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2, 0, 0),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 106),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 106),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 29),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2, 0, 0),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2, 0, 0),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2, 0, 0),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 30),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1, 0, 0),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1, 0, 0),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [2390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [2395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0),
  [2397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [2400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [2403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 152),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 118),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 201),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 183),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 151),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 3, 0, 86),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 158),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 177),
  [2472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 182),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, 0, 34),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_condition_list, 1, 0, 0),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1, 0, 0),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3, 0, 0),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 63),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 2, 0, 62),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 126),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreach_value, 1, 0, 0),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 120),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_default_expression, 3, 0, 133),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 6, 0, 184),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_conditional_expression, 3, 0, 134),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 116),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 86),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 156),
  [2560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 155),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 3, 0, 103),
  [2564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [2567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [2570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1557),
  [2573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [2581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [2584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [2590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [2593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1495),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, 0, 160),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [2658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 4, 0, 49),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 49),
  [2710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1336),
  [2713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1511),
  [2716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1557),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0),
  [2721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2573),
  [2724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [2727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1337),
  [2730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1332),
  [2733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1339),
  [2736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [2739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1495),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_modifier, 1, 0, 0),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [2756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_final_modifier, 1, 0, 0),
  [2760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1, 0, 0),
  [2762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_modifier, 1, 0, 0),
  [2766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_declaration_repeat1, 1, 0, 0),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_list, 1, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0),
  [2790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1496),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 3, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 4, 0, 0),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_group, 5, 0, 0),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 1, 0, 0),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [2833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1495),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1, 0, 0),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [2857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1609),
  [2863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1444),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2, 0, 0),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [2889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0), SHIFT(1444),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2, 0, 0),
  [2896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(357),
  [2905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1609),
  [2908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1609),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [2913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0), SHIFT_REPEAT(1634),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 1, 0, 0),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 163),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 130),
  [2924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(273),
  [2927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1680),
  [2930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1680),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [2935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0), SHIFT_REPEAT(1655),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [2948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(353),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1669),
  [2954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1669),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [2959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0), SHIFT_REPEAT(1621),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 0),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 4, 0, 162),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 33),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 0),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 128),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 90),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 129),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 46),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 2, 0, 0),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 185),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 161),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 161),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 3, 0, 127),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, 0, 0),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 47),
  [3024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 1, 0, 1),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1, 0, 0),
  [3028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 3, 0, 16),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_list_repeat1, 1, 0, 0),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_member_declaration, 1, 0, 0),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3, 0, 0),
  [3036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, 0, 46),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 5, 0, 186),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook_list, 3, 0, 0),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 4, 0, 82),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 91),
  [3052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 6, 0, 185),
  [3054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 1, 0, 0),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 1, 0, 0),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_case, 6, 0, 202),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_const_declaration, 2, 0, 89),
  [3064] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3071] = {.entry = {.count = 4, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [3130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1543),
  [3133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1605),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0),
  [3138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1335),
  [3141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1495),
  [3144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1, 0, 0),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__types, 1, 0, 0),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1, 0, 0),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 2, -1, 0),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1369),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1350),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 4, 0, 0),
  [3196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 3, -1, 0),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunctive_normal_form_type, 4, -1, 0),
  [3226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0),
  [3230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1364),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [3271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2724),
  [3274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2480),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 57),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_member_access_expression, 3, 0, 57),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [3295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(315),
  [3298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2387),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [3311] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1368),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__complex_string_part, 3, 0, 0),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_expression, 4, 0, 0),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0),
  [3333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 0),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 2, 0, 0),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body_heredoc, 1, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 0),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_part, 1, 0, 3),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [3427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(2476),
  [3430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 53), SHIFT(117),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 1, 0, 0),
  [3447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(2476),
  [3450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 23), SHIFT(117),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 1, 0, 0),
  [3471] = {.entry = {.count = 5, .reusable = true}}, REDUCE(sym_type, 1, 0, 0), REDUCE(sym_union_type, 1, 0, 0), REDUCE(sym_intersection_type, 1, 0, 0), REDUCE(sym_disjunctive_normal_form_type, 1, -1, 0), SHIFT(1369),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_execution_operator_body, 2, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2038),
  [3490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [3493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__interpolated_string_body, 2, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 96), SHIFT_REPEAT(2476),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1, 0, 0),
  [3506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1, 0, 0),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0),
  [3516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [3519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1855),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1, 0, 0),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 2, 0, 7),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2, 0, 0),
  [3554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0),
  [3556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1529),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 19),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 27),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 32),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 2, 0, 38),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [3583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1352),
  [3586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1366),
  [3589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 70),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 73),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 78),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 79),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 84),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1, 0, 5),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 64),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96),
  [3615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96), SHIFT_REPEAT(2405),
  [3618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, 0, 96),
  [3620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 111),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 117),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_hook_list_repeat1, 1, 0, 0),
  [3632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_hook_list_repeat1, 1, 0, 0),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [3636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 122),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 123),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [3648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 2, 0, 153),
  [3650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 2, 0, 153),
  [3652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 154),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 154),
  [3656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 1, 0, 0),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 1, 0, 0),
  [3660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 157),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [3666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0),
  [3668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [3671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 178),
  [3675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 179),
  [3679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 180),
  [3683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 3, 0, 181),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [3691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_hook_body, 3, 0, 6),
  [3695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 195),
  [3699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 196),
  [3703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 197),
  [3707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 198),
  [3711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 199),
  [3715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 4, 0, 200),
  [3719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 205),
  [3723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 206),
  [3727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 207),
  [3731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 5, 0, 208),
  [3735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property_hook, 6, 0, 212),
  [3737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_hook, 6, 0, 212),
  [3739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1928),
  [3742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2, 0, 0), SHIFT_REPEAT(1928),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, 0, 21),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0),
  [3755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0),
  [3757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2582),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 42),
  [3764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunctive_normal_form_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1355),
  [3767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1367),
  [3770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1370),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1, 0, 0),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, 0, 5),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1, 0, 0),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1, 0, 0),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [3811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [3813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2, 0, 17),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1, 0, 0),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, 0, 0),
  [3837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2039),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1368),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0),
  [3851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2049),
  [3854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0),
  [3856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1870),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0),
  [3861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1453),
  [3864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_intersection_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1368),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0),
  [3869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1581),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [3874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2, 0, 0),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1, 0, 0),
  [3884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, 0, 0),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [3890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3, 0, 0),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1521),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nowdoc_body, 2, 0, 0),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [3929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1783),
  [3932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0),
  [3934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2025),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [3947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [3950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 139),
  [3954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, 0, 0),
  [3956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1846),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2, 0, 0),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, 0, 45),
  [3965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, 0, 43),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 2, 0, 7),
  [3969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1451),
  [3972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 111),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_nowdoc_body_repeat1, 1, 0, 0),
  [3980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 10),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [3984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 0),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [3992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 139),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, 0, 0),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [4006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [4014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_condition_list_repeat1, 2, 0, 0), SHIFT_REPEAT(367),
  [4017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [4020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, 0, 23),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, 0, 5),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 7),
  [4056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, 0, 125),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 1, 0, 0),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 19),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3, 0, 0),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, 0, 0),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [4103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0), SHIFT(1369),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 27),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [4122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 111),
  [4124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 32),
  [4126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 73),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [4130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 70),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [4136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 3, 0, 35),
  [4138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 37),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 64),
  [4148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(157),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [4157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 39),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, 0, 40),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 19),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [4179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 56),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, 0, 0),
  [4183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2, 0, 0),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 51),
  [4201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, 0, 51),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [4209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, 0, 88),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 55),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 0),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, 0, 56),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [4230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 56),
  [4232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [4235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1501),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_group_repeat1, 2, 0, 0),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [4252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(697),
  [4255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3, 0, 0),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 32),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 85),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [4275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 64),
  [4277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 70),
  [4279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 4, 0, 75),
  [4281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 83),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, 0, 81),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 27),
  [4293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(870),
  [4296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 73),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 7),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [4310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6, 0, 0),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 158),
  [4316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 157),
  [4318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 82),
  [4320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 80),
  [4322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 3, 0, 38),
  [4324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 77),
  [4326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 4, 0, 76),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [4332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 152),
  [4334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 6, 0, 151),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 182),
  [4340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4, 0, 0),
  [4342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5, 0, 0),
  [4344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 5, 0, 159),
  [4346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 123),
  [4348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 122),
  [4350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 183),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 118),
  [4358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 5, 0, 117),
  [4360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4, 0, 0),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1, 0, 0),
  [4366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 3, 0, 0), REDUCE(sym_array_element_initializer, 3, 0, 0),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [4375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing_element, 1, 0, 0), REDUCE(sym_array_element_initializer, 1, 0, 0),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, 0, 138),
  [4380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3, 0, 0),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 7, 0, 177),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 124),
  [4396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 84),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [4400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 119),
  [4402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 121),
  [4404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 3, 0, 0), SHIFT(2552),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 16),
  [4431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_use_group, 3, 0, 36),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4, 0, 0),
  [4439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 8, 0, 201),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3, 0, 0),
  [4447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2552),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 78),
  [4456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_promotion_parameter, 4, 0, 79),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [4464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 112),
  [4466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 108),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [4470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 109),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 112),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [4482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 108),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [4490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 5, 0, 104),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 105),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 104),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 3, 0, 20),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [4526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 41),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_subscript_unary_expression, 2, 0, 0),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 44),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [4578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 3, 0, 20),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [4612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 41),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [4676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 143),
  [4678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 144),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 147),
  [4686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 6, 0, 148),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, 0, 6),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 6, 0, 147),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [4718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_string_array_access_argument, 1, 0, 0),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3, 0, 0),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3, 0, 0),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 65),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [4772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 7, 0, 175),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [4784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 65),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 4, 0, 71),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [4794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arrow_function_header, 4, 0, 71),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__anonymous_function_header, 5, 0, 87),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4864] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [4876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2, 0, 0),
  [4878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_encapsed_string_chars = 1,
  ts_external_token_encapsed_string_chars_after_variable = 2,
  ts_external_token_execution_string_chars = 3,
  ts_external_token_execution_string_chars_after_variable = 4,
  ts_external_token_encapsed_string_chars_heredoc = 5,
  ts_external_token_encapsed_string_chars_after_variable_heredoc = 6,
  ts_external_token__eof = 7,
  ts_external_token_heredoc_start = 8,
  ts_external_token_heredoc_end = 9,
  ts_external_token_nowdoc_string = 10,
  ts_external_token_sentinel_error = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_encapsed_string_chars] = sym_encapsed_string_chars,
  [ts_external_token_encapsed_string_chars_after_variable] = sym_encapsed_string_chars_after_variable,
  [ts_external_token_execution_string_chars] = sym_execution_string_chars,
  [ts_external_token_execution_string_chars_after_variable] = sym_execution_string_chars_after_variable,
  [ts_external_token_encapsed_string_chars_heredoc] = sym_encapsed_string_chars_heredoc,
  [ts_external_token_encapsed_string_chars_after_variable_heredoc] = sym_encapsed_string_chars_after_variable_heredoc,
  [ts_external_token__eof] = sym__eof,
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_nowdoc_string] = sym_nowdoc_string,
  [ts_external_token_sentinel_error] = sym_sentinel_error,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token__eof] = true,
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
    [ts_external_token_sentinel_error] = true,
  },
  [2] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [3] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [4] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
  },
  [5] = {
    [ts_external_token_encapsed_string_chars] = true,
  },
  [6] = {
    [ts_external_token_execution_string_chars] = true,
  },
  [7] = {
    [ts_external_token_encapsed_string_chars_heredoc] = true,
    [ts_external_token_encapsed_string_chars_after_variable_heredoc] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [8] = {
    [ts_external_token_encapsed_string_chars] = true,
    [ts_external_token_encapsed_string_chars_after_variable] = true,
  },
  [9] = {
    [ts_external_token_execution_string_chars] = true,
    [ts_external_token_execution_string_chars_after_variable] = true,
  },
  [10] = {
    [ts_external_token__eof] = true,
  },
  [11] = {
    [ts_external_token_heredoc_end] = true,
  },
  [12] = {
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_nowdoc_string] = true,
  },
  [13] = {
    [ts_external_token_heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_nowdoc_string] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_php(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
